(function(){
	var aview,topView;
	var activitys = {};
	function intUI(view,activity,gameId){
		var html = [
			'<a class="target" gameid="',gameId,'" adid="',activity.adInfoId,'" posid="',activity.adLocationId,'" title="',activity.adTitle,'" jhref="',activity.adTargetPath,'">',
				'<img src="',activity.adImgPath,'">',
			'</a>'
		].join('');
		view.evalJS("setData('"+activity.adLocationId+"','"+html+"')");
	}
	function updateUI(view,data){
		var html = [
			'<img src="',data.imagePath,'">'
		].join('');
		view.evalJS("setData('"+html+"')");
	}
	function showView(game){
		var activity = game.adInfoList[0];
		aview = plus.webview.create("_www/view/activity.html",'activity',{
			zindex:997,background:'transparent',
			top:'0px',left:'0px',
			width:'100%',height:'100%'
		});
		activitys[activity.adLocationId] = {
			game:game,
			actView:aview
		};
		
		aview.hide('none');
		aview.addEventListener('loaded',function(){
			intUI(aview,activity,game.gameId);
		},false);
		aview.addEventListener('close',function(){
			if(topView) topView.setStyle({mask:'none'});
		},false);
	}
	
	window.addEventListener('activityLoaded',function(e){
		var activity = activitys[e.detail.actId];
		topView = plus.webview.getTopWebview();
		topView.setStyle({mask:'rgba(0,0,0,0.5)'});
		activity.actView.show('zoom-out'); 
	},false);
	window.addEventListener('activityClick',function(e){
		var activity = activitys[e.detail.actId];
		var ad = activity.game.adInfoList[0];
		var href = ad.adTargetPath;
		var type = ad.adTartetType||1;
		jad.adClick(ad.adInfoId,ad.adLocationId,activity.game.gameId);
		if(type==1){
			if(/^http(s)?:\/\//.test(href)){
				app.openUrl(href);
			}else if(/^WXMiniPro:\/\//.test(href) && plus.LanuchMiniPro){
				 var reg = new RegExp("^WXMiniPro://([^/]+)(/.+)");
				 var match = reg.exec(href);
				 if(match.length==3) plus.LanuchMiniPro.open(match[1],match[2]);
			}else{
				mui.openWindow(href);
			}
			setTimeout(function(){
				activity.actView.close('none');
			},100);
		}else if(type==2){
			var wait = $.showWaiting('正在领取...');
			request.get(href).then(function(data){
				updateUI(activity.actView,data);
				wait.close();
			}).catch(function(err){
				wait.close();
				activity.actView.close();
				$.toast('抱歉，参加活动失败！');
			});
		}
	},false);
	window.addEventListener('activityClose',function(e){
		var activity = activitys[e.detail.actId];
		var ad = activity.game.adInfoList[0];
		jad.skipClick(ad.adInfoId,ad.adLocationId,activity.game.gameId);
	},false);
	window.addEventListener('showActivity',function(e){
		var posId = e.detail.posId;
		var triggerPoint = e.detail.triggerPoint;
		var exData = e.detail.data;
		appSvc.getActivity(posId,triggerPoint,exData).then(function(game){
			if(game && game.adInfoList && game.adInfoList.length>0){
				setTimeout(function(){
					showView(game);
				},2000);
			}
		});
	},false);
	
})();
