/**
 * Created by tuchl on 2016-08-12.
 */
(function ($) {
	var g = function(id){ return document.getElementById(id); };
	var pager = {pageIndex:1,pages:1,pageSize:5,status:1};
	var pics = [{counCate:'dlzx',name:'jcon-chat'},
				{counCate:'sbfw',name:'jcon-consult'},
				{counCate:'txzg',name:'jcon-coffee'},
				{counCate:'gjjzx',name:'jcon-words'},
				{counCate:'mfzg',name:'jcon-house'},
				{counCate:'gszx',name:'jcon-house'},
				{counCate:'jflh',name:'jcon-hourglass'}];
	var pull = null;
	var getListHtml = function(list){
        var html='';
        var html2 ='';
        for(var i in list){
        	var item = list[i];
        	var state = item.isNewReply?'<span class="red-dot">&nbsp;</span>':'';
        	if(item.consultStatus===2){
        		var star = '';
        		for(var x=0;x<item.score;x++){ star+='<span class="fa fa-star"></span>';}
        		state= star;//+' <span>关闭</span>';
        	}
        	for(var n in pics){
        		var itemPic = pics[n];
				if(item.counCate == itemPic.counCate){
					html2 = itemPic.name;
				}
        	}
        	html+=[
	    		'<li class="advice">',
	    			'<div class="mui-card-content">',
		                '<div class="to-detail" aid="',item.id,'">',
		               		'<span class="adcice-topTitle">',
		               			geo.names[geo.codes.indexOf(item.cityCode)],'-',
			                	item.counCateName,
			                	item.counQuerCateName?'-'+item.counQuerCateName:'',
			                '</span>',
			                '<div class="advice-title advice-pic-left">',
			                '<span class="jcon ',html2,'">',
			                '</span>',
			                '</div>',
							'<div class="advice-title mui-clearfix">',
								'<span class="title">',item.title,'</span>',
								'<span class="state">',state,'</span>',
								'<p class="advice-info">',
								 '<span class="mui-pull-left">',item.creatTime,'</span>',
			               		'</p>',
							'</div>',
						'</div>',
		            '</div>',
				'</li>'].join('');
        }
        return html;
   };
  
  	var getConsultList = function (pageIndex,pullSel,dou){
    	if(!app.checkLogin()){
    		if(pullSel && dou) pullSel.endPullDownToRefresh();
        	if(pullSel && !dou) pullSel.endPullUpToRefresh(true);
    		return;
    	}
    	if(pageIndex===1 && pullSel) pullSel.refresh(true);
        bizSvc.getConsultList(pageIndex,pager.pageSize,pager.status).then(function(data){
        	pager.pageIndex = data.pagination.pageNum||1;
        	pager.totalItems = data.pagination.totalItems||0;
        	pager.pages = parseInt((pager.totalItems+pager.pageSize-1)/pager.pageSize);
        	pager.pullUpTips.style.display=pager.totalItems<=pager.pageSize?'none':'block';
        	if(pager.pageIndex===1) g('list').innerHTML = '';
        	if(pager.totalItems===0) g('list').innerHTML = '<div class="not-network"><span>您还没有此类咨询</span></div>';
        	g('list').innerHTML += getListHtml(data.list);
        	if(pullSel && dou) pullSel.endPullDownToRefresh();
        	if(pullSel) pullSel.endPullUpToRefresh(pager.pageIndex>=pager.pages);
        }).catch(function(err){
        	if(pullSel && dou) pullSel.endPullDownToRefresh();
        	if(pullSel && !dou) pullSel.endPullUpToRefresh();
        	if(err.code=='0') g('list').innerHTML = '<div class="not-network"><span>点击页面 重新加载</span></div>';
        	console.error(err.message,err);
        });
    };
  
	var openDetailPage = function(){
        var id = this.getAttribute("aid");
        $.openWindow({
            url:'advice-detail.html',
            extras:{aid:id},
            waiting: {autoShow: false}
        });
    };
    
	$('#list').on('tap','.to-detail',openDetailPage);
	$('#list').on('tap','.not-network',function(){
		getConsultList(1);
	});
	g('newQues').addEventListener('tap',function(){
	   	$.openWindow({url:'advice-cate.html'});
	},false);
	
	$.ready(function(){
	    $('#nav').on('tap','.mui-tab-item',function(){
	    	var state = parseInt(this.getAttribute('state'));
	    	g('nav').children[0].classList.remove("mui-active");
	    	g('nav').children[1].classList.remove("mui-active");
	    	this.classList.add("mui-active");
	    	if(pager.status!==state){
	    		pager.status = state;
	    		pull.pullDownLoading();
	    	}
	    });
	    var scroll = $('.mui-scroll-wrapper').scroll({
	    	bounce: false,
			indicators: true,
			deceleration:mui.os.ios?0.003:0.0009
	    });
		pull = $('#pullRefresh').pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						getConsultList(1,self,true);
					}, 10);
				}
			},
			up:{
				callback: function() {
					var self = this;
					setTimeout(function() {
						getConsultList(pager.pageIndex+1,self,false);
					}, 10);
				}
			}
		});
		pager.pullUpTips = g('pullRefresh').querySelector('.mui-pull-bottom-tips');
		pager.pullUpTips.style.display='none';
		pull.pullDownLoading();
		
		window.addEventListener('refresh_data',function(){
			pull.pullDownLoading();
		},false);
		window.addEventListener('refreshAdviceState',function(){
			var redDot = document.querySelector('div[aid="'+event.detail.id+'"] .red-dot');
			if(redDot) redDot.parentNode.removeChild(redDot);
		},false);
	});
	
	
})(mui);