(function($,app,sbSvc,userSvc) {
	window.myInsuredPersontype = 0;
	$.init({ swipeBack:true });
	var product = {},
		order = {
			productId:0,
			percount:0,
			para:'',
		 	startMonth:'',
		 	endMonth:'',
		 	bz:''
		},
		selectedPerson={},
		sMonthPicker,
		eMonthPicker,ePickerMaxDate,
		numPicker,
		personPopMask;
	//初始化获取容器高度
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight,
			navBarH = g('header').offsetHeight,
			productHd = g('productHd').offsetHeight,
			statusBar = imbar.isImmersedStatusbar,
			amiOne = g('amiOne').offsetHeight;
			g('product').style.top = (windowH - navBarH) +'px';
//			g('productHd').style.top = (navBarH) +'px';
			g('proData').style.top = (40 + amiOne) +'px';
//			g('productBd').style.top = (statusBar + navBarH) +'px';
	}
	initFeed();
	var typeImgs=['',
		'../images/advice/payment.jpg', //代缴
		'../images/advice/repair.jpg', //补缴
		'../images/advice/extract.jpg', //提取
		'../images/advice/residence.jpg' //资格办理
		];
	var noticeImgs=['',
		'../images/advice/ssprocess.gif', // pCategory=1  社保
		'../images/advice/ssprocess.gif', // pCategory=2 公积金
		'../images/advice/ssprocess.gif', //pCategory=3 个税
		'../images/advice/ssprocess.gif' // pCategory=？&pType=4 居住证
		];
	var noticeHtmls = 	[
		'',[
			'<div><span>1、</span><p>参保前需要在原单位减员</p></div>',
	    		'<div><span>2、</span><p>第一次参保需提供身份证复印件、户口本页复印件、本人一寸白底照片、电子版一寸白底照片（电子版照片发送至邮箱kefu@joyshebao.com）</p></div>',
	    		'<div><span>3、</span><p>缴纳记录次月即可查询，可在社保详情—>入账明细查看</p></div>',
	    		'<div class="beizhu">注：因客户自身原因（未了解清楚、无故撤单）退费的服务费不予退还。</div>',
		]
	];	
	var processHtmls = 	[
		'',[
			'<li><span>1</span>1、提交订单并支付成功</li>',
	    		'<li><span>2</span>2、查悦客服给您电话确认参保信息</li>',
	    		'<li><span>3</span>3、将您的参保信息提交到社保局</li>',
	    		'<li><span>4</span>4、等待社保局办理，当月完成扣款</li>',
	    		'<li><span>5</span>5、查悦客服短信通知，当月办理成功</li>',
	    		'<li><span>6</span>6、等待社保系统更新，查询社保缴纳详情</li>'
		]
	];
    
    String.prototype.addMonth = function(num){
		if(!(/\d{4}-\d{2}/.test(this) || /\d{4}-\d{2}-\d{2}/.test(this))) return this+num;
		var tDate = new Date(this.length>7?this:this+'-01');
		tDate.setMonth(tDate.getMonth()+num);
		return tDate.toJSON().substr(0,this.length);
	};
	String.prototype.monthNum = function(date2){
		if(!(/\d{4}-\d{2}/.test(this) || /\d{4}-\d{2}-\d{2}/.test(this))) return 0;
		if(!(/\d{4}-\d{2}/.test(date2) || /\d{4}-\d{2}-\d{2}/.test(date2))) return 0;
		var date1 = this;
		date1 = date1.split("-");
	    date2 = date2.split("-");
	    var year1 = parseInt(date1[0]),month1 = parseInt(date1[1]), 
	        year2 = parseInt(date2[0]),month2 = parseInt(date2[1]),
        	months = (year2 - year1)*12+(month2-month1)+1;
    	return months;
	};
	
	var setPieChart = function (data){
		var kind = JSON.stringify(data)
				.replace(/\{"name":"([^"]+)[^\}]+\}/g,'$1')
				.replace(/\[|\]/g,'').split(',');
		
		var labels = kind; //kind.slice(0,5);
//		console.log(labels);
	 	var option = {
	 		tooltip : {
	 			show:false,
		        trigger: 'item',
		        formatter: "{b} <br/>{c} ({d}%)"
		    },
	 		legend:{
	 			orient:'horizontal',
	 			top:0, 
	 			right:10,
	 			bottom:10,
//	 			height:'80px',
	 			width:'120px',
	 			itemWidth:10,
	 			itemHeight:10,
	 			data:labels,
	 			formatter: function (name) {
			        return echarts.format.truncateText(name, 40, '12px Microsoft Yahei', '…');
			    },
	 			tooltip: {show: true}
 			},
		    series : [{
		        name: '险种',
		        type: 'pie',
		        startAngle:-30,
		        radius : ['30%','88%'],
		        center: ['27%', '50%'], 
		        hoverAnimation:false,
		        data:data,
		        color:['rgba(0,187,170,1)','rgba(249,132,65,1)','rgba(79,120,212,1)','rgba(53,165,113,1)','rgba(106,86,221,1)','rgba(223,83,74,1)','rgba(11,44,244,1)','rgba(9,243,235,1)','rgba(17,245,55,1)'],
		       	label:{normal:{show:false}}
	       }]
		};
		var chart = echarts.init(g('pieBox'));
		chart.setOption(option);
	};
	
	var getMonths = function(date1,date2){
		date1 = date1.split("-");
	    date2 = date2.split("-");
	    var year1 = parseInt(date1[0]), 
	        month1 = parseInt(date1[1]), 
	        year2 = parseInt(date2[0]), 
	        month2 = parseInt(date2[1]),
        	months = (year2 - year1)*12+(month2-month1)+1,
        	montnData=[];
        for(var i=1;i<=months;i++){
        	montnData.push({text:i.toString(),value:i});
        }
    	return montnData;
	};
	
	var getYears = function(date1,date2){
		date1 = date1.split("-");
	    date2 = date2.split("-");
	    var year1 = parseInt(date1[0]), 
	        month1 = parseInt(date1[1]), 
	        year2 = parseInt(date2[0]), 
	        month2 = parseInt(date2[1]),
        	months = (year2 - year1)*12+(month2-month1)+1,
        	years = parseInt(months/12);
        	yearData=[];
        for(var i=1;i<=years;i++){
			yearData.push({text:i.toString()+'年',value:i});
        }
    		return yearData;
	};

	var getStartMonth = function(minMonth,cutDay){
		if(!/\d{6}/.test(minMonth)){
			var today = new Date();
				cutDay = isNaN(cutDay)?25:parseInt(cutDay);
			if(today.getDate()>=cutDay){
				today.setMonth(today.getMonth()+1);
			}
			minMonth = today.toJSON();
			return minMonth.substr(0,4)+'-'+minMonth.substr(5,2);
		}else{
			return minMonth.substr(0,4)+'-'+minMonth.substr(4,2);
		}
		
	};
	
	var getEndMonth = function(minMonth,maxMonth){
		if(!/\d{6}/.test(maxMonth)){
			var today = new Date(),
			startDate = new Date(minMonth+'-01');
			startDate.setMonth(startDate.getMonth()+12);
			maxMonth = startDate.toJSON();
			return maxMonth.substr(0,4)+'-'+maxMonth.substr(5,2);
		}else{
			return maxMonth.substr(0,4)+'-'+maxMonth.substr(4,2);
		}
	};
	var goAddPerson = function(){
		$.openWindow({
			url:'personAdd.html',
			extras: {
				"pType": product.pType,
				"pCategory": product.pCate,
				"cityCode": product.pCityCode
			}
		});
	};
	
	var bindData = function(data){
		product.id = data.id;
		product.pName = data.pName;
		product.pAmount = data.pAmount;
		product.pServiceFee = data.pServiceFee;
		product.servicesCompName = data.servicesCompName;
		product.pPayDate = data.pPayDate; //每月办理 截止日期
		product.pPayMonth = data.pPayDate; //增减当月或次月表示：1当月 2次月
		product.pCate = data.pCategory; //1：社保服务 2：公积金服务 3：个税服务
		product.pType = data.pType //1：代缴 2：补缴  3：提取  4：户口居住证
		product.pFeeType = data.pFeeType; //1 按年 2按月 3按次 4面议 5半年
		product.serviceType = data.serviceType; //0：一次性服务  1：连续周期服务
        product.pCityCode = data.pCityCode;
        
		product.cityName = geo.getCityNameByCode(data.pCityCode);
		product.tipDay = data.tips?data.tips.match(/\d+日/)[0]:'——';
		product.minMonth = getStartMonth(data.minMonth, parseInt(product.tipDay));
		product.maxMonth = getEndMonth(data.minMonth,data.maxnMonth);
		
		product.proImg = data.pTypeImage?data.pTypeImage:typeImgs[data.pType];

		var imgType = data.pType===4?data.pType:data.pCategory;
		//product.notice = '<img src="'+(data.pKnowImage?data.pKnowImage:noticeImgs[imgType])+'" />';
		product.notice= noticeHtmls[1].join('');
		product.process= processHtmls[1].join('');
		try{
			product.pFeeDetailImg = data.pFeeDetailImg?JSON.parse(data.pFeeDetailImg):{};
		}catch(e){
			console.log('数据异常');
		}
		//当产品详情没有数据时，处理显隐“查看详情”按钮
		g('showTableBtn').classList[data.pFeeDetail == null ? 'add' : 'remove']('mui-hidden');
		
		product.pFeeDetail = data.pFeeDetail?data.pFeeDetail:'';
		product.bizFee = '<span class="font-blod">'+(data.pAmount?data.pAmount:'0.00')+'</span> 元';
		product.svcFee = '<span class="font-blod">'+data.pServiceFee+'</span> 元';
		product.totalFee = '<span class="font-blod">'+(data.pAmount*100+data.pServiceFee*100)/100+'</span> 元';;

		jscope.bind(g('product'),product,'pro');
		
		if(product.pFeeDetailImg){
			if(product.pFeeDetailImg.data) setPieChart(product.pFeeDetailImg.data);
			if(product.pFeeDetailImg.text) g('barTxt').innerHTML='<span><span>'+product.pFeeDetailImg.text+'</span></span>';
		}
		g('dtable').innerHTML = product.pFeeDetail;
		g('title').innerHTML = product.pName;


		if(data.pFeeDetail) g('showTableBtn').classList.remove('mui-hidden');
		
		g('popListAddBtn').addEventListener('tap',function(e){
			goAddPerson();
		},false);
		g('addPerson').addEventListener('tap',function(e){
			goAddPerson();
		},false);
		
	};
	
	var getProduct = function(pid){
		sbSvc.postSecurityProduct(pid).then(function(data){
			bindData(data);
			
			order.productId = product.id;
			if(product.serviceType===0){
				g('svcCycle').classList.add('mui-hidden');
			}else{
				//g('cycleUnit').innerText = ['','年','个月','','','个月'][product.pFeeType];
				var numData = [{text:'1',value:1}],
					sBeginDate = new Date(product.minMonth+'-01'),
					sEndDate,maxMonth,endMonth;

				if(product.pFeeType===1){//1 按年
					if(product.pType===2){
						//补缴 选择日期范围  开始月,结束月  上下限为产品 限制范围
						sEndDate = new Date(product.maxMonth+'-01');
						maxMonth = product.maxMonth;
						endMonth = product.maxMonth;
					}else{
						//非补缴 选择年数   开始月 上限是当前截止缴纳下一月可选范围一年, 最多5年
						sEndDate = new Date(product.minMonth.addMonth(11)+'-01');//parseInt(sMonArr[0])+1,parseInt(sMonArr[1])-1
						maxMonth = product.minMonth.addMonth(59);
				 		endMonth = product.minMonth.addMonth(11);
					}
					numData = getYears(product.minMonth,maxMonth);
					
					sMonthPicker = new $.DtPicker({type:'month',value:product.minMonth,beginDate:sBeginDate,endDate:sEndDate});
					numPicker = new mui.PopPicker();
					numPicker.setData(numData);
					numPicker.pickers[0].setSelectedValue(1);
					g('eDatePicker').classList.add('mui-hidden'); 
					g('numPicker').classList.remove('mui-hidden');
					g('cycleNum').innerText = '1年';
				}else if(product.pFeeType===2){//2按月
					if(product.pType===2){
						//补缴  日期选择上下限 为产品 限制范围
						sEndDate = new Date(product.maxMonth+'-01');
						ePickerMaxDate= new Date(product.maxMonth+'-01');
						endMonth = product.maxMonth;
					}else{
						//非补缴  开始月:上限是当前截止缴纳下一月  可选范围12个月,结束月:上限和开始月一致  范围60个月
						sEndDate = new Date(product.minMonth.addMonth(11)+'-01');
						ePickerMaxDate = new Date(product.minMonth.addMonth(59)+'-01');
						endMonth = product.minMonth;//product.maxMonth; //product.minMonth.addMonth(11);
					}
					sMonthPicker = new $.DtPicker({ type:'month',value:product.minMonth,beginDate:sBeginDate,endDate:sEndDate});
					g('eDatePicker').classList.remove('mui-hidden'); 
					g('numPicker').classList.add('mui-hidden');
				}else if(product.pFeeType=='5'){//半年
					sEndDate = new Date(product.minMonth.addMonth(11)+'-01');
					endMonth = product.minMonth.addMonth(5);
					sMonthPicker = new $.DtPicker({type:'month', value:product.minMonth, beginDate:sBeginDate,endDate:sEndDate});
					
					numPicker = new mui.PopPicker();
					numPicker.setData([
						{text:'6个月',value:1},{text:'12个月',value:2},{text:'18个月',value:3},{text:'24个月',value:4}
					]);
					numPicker.pickers[0].setSelectedValue(1);
					
					g('eDatePicker').classList.add('mui-hidden');
					g('numPicker').classList.remove('mui-hidden');
					
					g('months').classList.add('disabled');
					g('cycleNum').innerText = '6个月';
				}else{
					endMonth = product.maxMonth;
					g('svcCycle').classList.add('mui-hidden');
				}
				
				order.startMonth = product.minMonth;
				order.endMonth = endMonth;
			 	g('cycleSMonth').innerText = order.startMonth;
			 	g('cycleEMonth').innerText = order.endMonth;
			 	//g('cycleNum').innerText = order.startMonth.monthNum(endMonth);
			}
			
		}).catch(function(err){
			dataErrorEvent();
			console.error(err.message,err);
		});
	};
	
	var dataErrorEvent = function(){
		g('purchase').style.backgroundColor='rgba(204,204,204)';
		g('purchase').removeEventListener('tap',function(){},false);
		g('purchase').addEventListener('tap',function(){
			$.toast('发生数据错误，无法购买');
		},false);
	};
	
	var createCheckItem = function(per){
		var chk = document.createElement('div'),
			//len=per.bodyCode.length,
			cno = per.bodyCode.replace(/(\d{3})(\d+)(.{2})/,'$1*************$3'),
			//cno = cno.substr(0,3)+'**********'+cno.substr(len-2,len-1),
			checked = (per.id+'_'+per.type in selectedPerson)?' checked="checked"':'';	
		chk.className = 'mui-checkbox';
		chk.id = 'perCks_'+per.id+'_'+per.type;
		uId = per.id
		chk.innerHTML = [
			'<label class="pcheck">',
				'<input name="per_',per.id,'_',per.type,'" pname="',per.name,'" value="',per.type,',',per.id,'"',checked,' type="checkbox">',
				'<div class="pname">',
					per.name,
					per.type!=="3"?'<span class="jcon jcon-renzheng color-main pflag"></span>':'',
				'</div>',
				'<div class="pcard"><span class="mr">身份证</span>',cno,'</div>',
			'</label>',
			'<div class="data mui-hidden">',JSON.stringify(per),'</div>',
			'<span class="edit-btn up_date jcon jcon-upDates" perId="',per.id,'"></span>'
		].join('');

		g('perList').appendChild(chk);
	};
	
	var getBuyersNew = function(){
		sbSvc.getBuyerList({}).then(function(data){
			g('goLogin').classList.add('mui-hidden');
			if(data.length>0){
				g('addPerson').classList.add('mui-hidden');
				g('selectPerson').classList.remove('mui-hidden');

				selectedPerson[data[0].id+'_'+data[0].type] = {value:data[0].type+','+data[0].id,name:data[0].name};
				setSelectPerson();
				calcAmount(true);
				g('perList').innerHTML='';
				$.each(data,function(idx,per){
					createCheckItem(per);
				});
				$('.mui-scroll-wrapper').scroll({deceleration:0.0006,bounce: false});
			}else{
				g('addPerson').classList.remove('mui-hidden');
				g('selectPerson').classList.add('mui-hidden');
			}
		}).catch(function(err){
			console.error(err.message,err);
		});
	};
	
	var refresh = function(){
		if(app.checkLogin()){
			g('goLogin').classList.add('mui-hidden');
			g('addPerson').classList.remove('mui-hidden');
			g('selectPerson').classList.add('mui-hidden');
			getBuyersNew();
		}else{
			g('goLogin').classList.remove('mui-hidden');
			g('addPerson').classList.add('mui-hidden');
			g('selectPerson').classList.add('mui-hidden');
		}
	};
	
	var setPicerData = function(isPickerStart){
		var startMonth = sMonthPicker.getSelected().value,
			endMonth = g('cycleEMonth').innerText;
		if(numPicker){
			var months = numPicker.getSelectedItems()[0].value,
				by = 1;
				if(product.pFeeType==5) by = 6;
				if(product.pFeeType==1) by = 12;
			endMonth = startMonth.addMonth(months*by-1);
		}else{
			if(eMonthPicker && !eMonthPicker.disposed){
				endMonth = eMonthPicker.getSelected().value;
			}else{
				endMonth =  startMonth>endMonth?startMonth:endMonth;
			}
		}
		order.startMonth = startMonth;
		order.endMonth  = endMonth;
		g('cycleSMonth').innerText=startMonth;
		g('cycleEMonth').innerText=endMonth;
	};
	
	var setSelectPerson = function(){
		var i,size=0,names=[],paras=[];
		for(i in selectedPerson){
			if(names.length<2) names.push(selectedPerson[i].name); 
			paras.push(selectedPerson[i].value);
			size++;
		}
		order.para = paras.join('|');
		order.percount = size;
		if(size>0){
			var html = '<span class="color-main">'+names.join(',')+'</span>';
			if(size>1) html +='<span class="cldk fs-12"> 等'+size+'人</span>';
			g('selectedPerson').innerHTML=html;
			g('orderAmt').style.display = 'block';
		}else{
			g('selectedPerson').innerHTML='请选择';
		}
	};
	
	
	var resetForm = function(formId){
		jel('#'+formId+' input').val('');
	};
	
	var calcAmount = function(first){
		var calc = function(){
			var amount = 0,pAmount=0,pServiceFee=0,perNum=order.percount;
			var pTotalFee = (product.pAmount*100+product.pServiceFee*100)/100;
			if(product.pFeeType===1){
				var years = parseInt(g('cycleNum').innerText);
				amount = pTotalFee*perNum*years;
				pAmount = product.pAmount*perNum*years;
				pServiceFee = product.pServiceFee*perNum*years;
			}else if(product.pFeeType===2){
				var months = order.startMonth.monthNum(order.endMonth);
				amount = pTotalFee*perNum*months;
				pAmount = product.pAmount*perNum*months;
				pServiceFee = product.pServiceFee*perNum*months;
			}else{
				amount = pTotalFee*perNum;
				pAmount = product.pAmount*perNum;
				pServiceFee = product.pServiceFee*perNum;
			}
			if(amount>0){
				g('orderAmt').classList.remove('mui-hidden');
				g('amount').innerText = amount.toFixed(2);
				g('pAmount').innerText = pAmount.toFixed(2);
				g('pServiceFee').innerText = pServiceFee.toFixed(2);
			}else{
				g('orderAmt').classList.add('mui-hidden');
			}
		};
		if(first){
			if(!$.isEmptyObject(product)){
				calc();	
			}else{
				var tryTimes = 20; 
				var gd = setInterval(function(){
					tryTimes--;
					if(tryTimes===0) { 
						dataErrorEvent();
						clearInterval(gd); 
						return;
					}
					if($.isEmptyObject(product)) return;
					calc();
					clearInterval(gd);
				},50);
			}
		}else{
			calc();
		}
	};
	$.ready(function(){
		var pid = common.utils.queryString('pid');
//		var flag = 0;  //标识，初始为0
		
//		document.querySelector('.product-hd').style.paddingTop= (imbar.isImmersedStatusbar?imbar.navBarHeight:44)+'px';
		
		getProduct(pid);
		refresh();
		
		//点击查看详情
		g('showTableBtn').addEventListener('tap',function(event){
			g('detailsMaskBox').classList.remove('mui-hidden');
//			g('detailsBtn').style.top = (((g('dtable').children('tr').length * 40)/2)+20)  +'px';
			lookDetails = 1;
//			if(flag == 1){
//				event.preventDefault();　
//			}
		},false);
		
		//点击查看详情内的关闭按钮
		g('detailsBtn').addEventListener('tap',function(){
			g('detailsMaskBox').classList.add('mui-hidden');
			lookDetails = 0;
		},false);
		
		//开始月份
		g('startMonth').addEventListener('tap',function(){
			sMonthPicker.show(function(rs){
			 	setPicerData(true);
			 	calcAmount();
			});
		},false);
		//结束月份
		g('endMonth').addEventListener('tap',function(){
			eMonthPicker = null;
			var ceMonth = g('cycleEMonth').innerText,
				csMonth = sMonthPicker.getSelected().value,
				eBeginDate = new Date(csMonth+'-01'),
				eMonthVal = csMonth>ceMonth?csMonth:ceMonth;
			eMonthPicker = new $.DtPicker({
				type:'month',
				value: eMonthVal,
				beginDate:eBeginDate,
				endDate:ePickerMaxDate
			});
			eMonthPicker.show(function(rs){
				setPicerData();
				calcAmount();
				eMonthPicker.dispose();
			});
		},false);
		g('months').addEventListener('tap',function(){
			numPicker.show(function(sitem){
				g('cycleNum').innerText= sitem[0].text;
			 	setPicerData();
			 	calcAmount();
			});
		},false);
		
		g('goLogin').addEventListener('tap',function(e){
			app.toLogin();
		},false);
		
		//选择参保人
		g('selectPerson').addEventListener('tap',function(e){
			window.myInsuredPersontype = 1;
			monitorVariable = 0;
			plus.navigator.setStatusBarStyle('dark');
			$('#personList').popover('show');
		},false);
		$('#personList').on('change', 'input', function() {
			if(this.checked){
				selectedPerson[this.name.replace('per_','')] = {value:this.value,name:this.getAttribute('pname')};
			}else{
				delete selectedPerson[this.name.replace('per_','')];
			}
			setSelectPerson();
			calcAmount();
		});
//---------------------------------------------------------------------------------------

//		g('closeListPop').addEventListener('tap',function(e){
//			$('#personList').popover('hide');
//		},false);
		
		g('selectOk').addEventListener('tap',function(e){
			window.myInsuredPersontype = 0;
			plus.navigator.setStatusBarStyle('light');
			$('#personList').popover('hide');
		},false);

		g('backToList').addEventListener('tap',function(e){
			window.myInsuredPersontype = 1;
			monitorVariable = 0;
			plus.navigator.setStatusBarStyle('dark');
			$('#personList').popover('show');
		},false);
		
		$('#personList').on('tap','.edit-btn',function(){
			var uId = this.getAttribute('perId');
			var perSonInfo = JSON.parse(this.parentNode.querySelector('.data').innerText);
			window.myInsuredPersontype = 0;
			plus.navigator.setStatusBarStyle('dark');
//			$('#personList').popover('hide');
			$.openWindow({
				url:'personAdd.html?uId='+uId,
				extras: {
					"pType": product.pType,
					"pCategory": product.pCate,
					"cityCode": product.pCityCode,
					"perSonInfo": perSonInfo
				}
			});
			
		},false);
		
		//控制确认订单左滑不会回到上一个页面
		var goBack  = mui.back;
		var monitorVariable = 0;	//监听确认订单页是否显示的变量
		var lookDetails = 0;		//监听查看详情显示变量
		mui.back = function (){
			//控制查看详情左滑不会回到上一个页面
			if(monitorVariable == 0 && lookDetails == 0 && window.myInsuredPersontype == 0){
				plus.navigator.setStatusBarStyle('light');
				goBack();
			}else {
				if(monitorVariable){
					plus.navigator.setStatusBarStyle('dark');
				}else {
					plus.navigator.setStatusBarStyle('light');
				}
				$('#personList').popover('hide');
				window.myInsuredPersontype = 0;
				g('productBox').classList.add('mui-hidden');
				monitorVariable = 0;
				g('detailsMaskBox').classList.add('mui-hidden');
				lookDetails = 0;
				
			}
		}
		
		var verificationOfCancellation = function(){
			userSvc.getSetUpUserInfo(true).then(function (data) {
				if(data.logoutStatus == 0){
		       		//未申请注销[正常登录状态]
		       		return true;
		       	}else if(data.logoutStatus == 1){
		       		//已申请注销，并在7天注销范围内
		       		return false;
		       	}else if (data.logoutStatus == 3){
		       		//已申请注销
		       		return true;
		       	}
	        }).catch(function(err) {
				console.log(err.message,err);
			});
		}
		//关闭注销提示
		g('logoutBtn').addEventListener('tap',function(e){
			g('logoutBox').style.display = 'none';
			g('maskBox').style.display = 'none';
		},false);
	    //点击确认订单的提交订单
		g('purchase').addEventListener('tap',function(e){
			//判断是否为注销申请状态[Y:显示注销提示]
			userSvc.getSetUpUserInfo(true).then(function (data) {
				if(data.logoutStatus == 1){
		       		//已申请注销，并在7天注销范围内
		       		g('logoutBox').style.display = 'block';
					g('maskBox').style.display = 'block';
					return;
		       	}else {
		       		if(order.percount<1) return $.toast('请先选择参保人');
					monitorVariable = 1;   //改变监听确认订单的变量
					window.myInsuredPersontype = 1;
					plus.navigator.setStatusBarStyle('light');
					//确认订单
					g('productBox').classList.remove('mui-hidden');	//确认订单显示
					g('proNames').innerHTML = g('proName').innerHTML;	//产品名称
					g('cityName').innerHTML = g('proCityName').innerHTML;	//办理城市
					g('name').innerHTML = g('selectedPerson').innerHTML;	//参保人
					g('startTime').innerHTML = g('cycleSMonth').innerHTML;	//开始时间
					g('endTime').innerHTML = g('cycleEMonth').innerHTML;	//结束时间
					g('amounts').innerHTML = (parseFloat(g('pAmount').innerHTML)*100+parseFloat(g('pServiceFee').innerHTML)*100)/100 +'元';//总金额
					
					if(imbar.isIphoneX){
					    var postBarH = g('postBar').offsetHeight;
					    var headerH = g('header').offsetHeight;
					    document.querySelector('.post-bars').style.height = postBarH + 'px';
					    document.querySelector('.post-bars').style.paddingBottom = '34px';
					    
					    g('productBox').querySelector('.confirm_Order').style.height = headerH +'px';
					    g('productBox').querySelector('.confirm_Order').style.paddingTop = '44px';
					}
		       	}
	        }).catch(function(err) {
				console.log(err.message,err);
				return;
			});
		},false);
		
		
		//立即购买
		g('postOrder').addEventListener('tap',function(e){
			monitorVariable = 0;
			window.myInsuredPersontype = 1;
			var postData = $.extend({},order);
			postData.startMonth=order.startMonth?order.startMonth.replace(/-/,''):'';
			postData.endMonth=order.endMonth?order.endMonth.replace(/-/,''):'';
			plus.nativeUI.showWaiting();
			sbSvc.createOrder(postData).then(function(data){
				var total= data.pTotalAmount;
				var proId=data.pId;
				plus.nativeUI.closeWaiting();
				app.fireEvent('main','refreshUserBizState');
				var buzzId = data.buzzId,
					pName = product.pName,
					amt = g("amount").innerText;
				var detail = data;
				var ws = $.openWindow({// buzzId 订单ID    pro 产品姓名    amt 总价格
					url:'o2o/payment.html?orderId='+buzzId+"&proname="+encodeURIComponent(pName)+"&proId="+proId+"&total="+total+"&serviceType="+product.serviceType,
//				 	url: 'order-pay.html?id='+buzzId+'&pro='+encodeURIComponent(pName)+'&amt='+amt,  
				 	extras: { detail: detail,persons: selectedPerson}
			 	});
			 	g('productBox').classList.add('mui-hidden');
			 	/*
			 	ws.addEventListener('loaded',function(){
			 		setTimeout(function(){
			 			var v = plus.webview.getWebviewById('agent-info');
			 			if(v) v.close('none');
			 		},100);
			 	},false);
			 	*/
			 	
			 	//神策社保订单
				if(window.SDAnalytics){
					SDAnalytics.customTrack('joySiOrder',{
						 jtrack_siOrder_id:data.buzzId,
						 jtrack_siOrder_pTypeName:data.pTypeName,
						 jtrack_siOrder_createTime:data.createTime,
						 jtrack_siOrder_pName:data.pName,
						 jtrack_siOrder_buyerCount:data.buyerCount,
						 jtrack_siOrder_pServiceFee:data.pServiceFee,
						 jtrack_siOrder_pAmount:data.pAmount
					});
				}
			 	
			}).catch(function(err){
				plus.nativeUI.closeWaiting();
				$.alert(err.message);
				console.error(err.message,err);
			})
		},false)
		
		g('chat').addEventListener('tap',function(e){
			app.toKefu();
		},false);
		
		window.addEventListener('refresh_data',function(){
			refresh();
		},false);
		
		var Initialization = function(){
			//初始化判断是否有登陆，决定合计金额的显隐
			var user = app.getUser();
			if(!user){
				g('orderAmt').style.display = 'none';
			}
			//获取手机顶部高度，适配例iphoneX带有status bar高度
			if(imbar.isImmersedStatusbar){
				jel('#productBox>.mui-bar-nav').css('height',imbar.navBarHeight+'px');
				jel('#productBox>.mui-bar-nav').css('paddingTop',imbar.statusbarHeight+'px');
			}
		}
		
		Initialization();
	});
	//神策埋点
	function joyTrack(){
		//在线咨询
		jTrack.regEvents('#chat','joyLinkClick','jtrack_name:在线咨询');
		//提交社保订单按钮
		jTrack.regEvents('#postOrder','joyLinkClick','jtrack_name:提交社保订单');
	}
	$.plusReady(function(){
		joyTrack();
	});
})(mui,app,sbSvc,userSvc);