(function($,app,sbSvc) {
	$.init({swipeBack:false});
 	//var cateNames = ['全部','社保代理','公积金代理','社保补缴','社保转移','生育津贴办理','工作居住证、落户'];
 	var cateNames = myStorage.getItem('SecurityProType');
	var filter = {pCate:0,pCityCode:'110000'};
	var pager = {pageIndex:1,pageSize:10,pages:1};
	var scroll = $('#offCanvasContentScroll').scroll();
 	var city = app.getCity();
 	var cityView = null;
 	
	var getSecurityProductList = function (pindex,pullFn,dou) {
		if(pindex>pager.pages){
    		if(pullFn&&dou) pullFn.endPullDownToRefresh();
    		if(pullFn&&!dou) pullFn.endPullUpToRefresh(true);
    	}
    	if(pindex===1){
    		if(pullFn) pullFn.refresh(true);
    		scroll.scrollTo(0,0);
    		pager.pullUpTips.style.display='none';
    	}
		sbSvc.postSecurityProductList(filter.pCityCode,filter.pCate,pindex,pager.pageSize).then(function(data){
			pager.pageIndex = data.pagination.pageNum||1;
        	pager.pages = parseInt((data.pagination.totalItems+pager.pageSize-1)/pager.pageSize)||1;
        	if(pager.pageIndex===1){ g('ssList').innerHTML = ''; }
			var proEl,proData,html=[];
			for(var i in data.list){
				proData = data.list[i];
				//proEl = document.createElement('div');
				//proEl.className='payment-list';
				html = html.concat([
					'<div class="payment-list">',
						'<div pid="',proData.id,'" cid="',proData.pCategory,'" cname="',proData.pCategoryName,'" ptype="',proData.pType,'" pname="',proData.pName,'" class="mui-clearfix financeCorp joy-link">',
							'<img class="compImg" src="',proData.pTypeImage||'../images/advice/repair.jpg','">',
							'<div class="contentxt">',
								'<p class="contxtTil color-main">',proData.pName,'</p>',
								'<p class="comInfo">',
									'<span>',proData.feeTypeName,'</span>',
								'</p>',
							'</div>',
							'<p class="dashed"></p>',
							'<p class="comcomp">',
								proData.servicesCompName,
								'<span class="dbtn">详情</span>',
							'</p>',
						'</div>',
					'</div>'
				]);
				//g('ssList').appendChild(proEl);
			}
			g('ssList').innerHTML+=html.join('');
			
			pager.pullUpTips.style.display=data.pagination.totalItems<pager.pageSize?'none':'block';
        	if(data.pagination.totalItems===0) g('ssList').innerHTML = '<div class="not-network"><span>暂时没有 此类产品</span></div>';
        	if(pullFn && dou) pullFn.endPullDownToRefresh();
        	if(pullFn && !dou) pullFn.endPullUpToRefresh(data.pageNum===data.pages);
		}).catch(function(err){
			if(pullFn && dou) pullFn.endPullDownToRefresh();
        	if(pullFn && !dou) pullFn.endPullUpToRefresh();
        	if(err.code=='0') g('ssList').innerHTML = '<div class="not-network"><span>点击页面 重新加载</span></div>';
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var showCityView = function(){
		$.currentWebview.setStyle({ mask:'rgba(0,0,0,0.5)' });
		cityView = plus.webview.getWebviewById('agentShebaoCity');
		if(cityView){
			plus.webview.show('agentShebaoCity', 'slide-in-right');
			return;
		}
		
		cityView = $.openWindow({
			id:'agentShebaoCity',
			url:'agent-shebao-city.html?parent'+ encodeURIComponent( $.currentWebview.id),
		    styles:{
				top:imbar.statusbarHeight,
				left:'20%',
				bottom:'0px',
				width:'80%',
				popGesture:'hide'
			},
			waiting:{autoShow:false}
	    });
		cityView.addEventListener('hide',function(){
			$.currentWebview.setStyle({ mask:'none' });
		},false);
	};
	
	$.plusReady(function(){
		$.currentWebview.addEventListener('close',function(){
			var wv = plus.webview.getWebviewById('agentShebaoCity');
			if(wv) wv.close('none');
		},false);
		
		$.currentWebview.addEventListener('maskClick',function(){
			plus.webview.hide('agentShebaoCity', 'slide-out-right');
			setTimeout(function(){
				$.currentWebview.setStyle({ mask:'none' });
			},50);
		},false);
	});
	
	
	var createCates = function(){
		var html='';
		$.each(cateNames, function(i,type) {
			html+='<li cate="'+type.id+'" class="mui-table-view-cell"><a class="mui-navigate-right" href="#">'+type.name+'</a></li>';
		}); 
		g('typeList').innerHTML = html;
	};
	
 	filter.pCityCode = city.cityCode;
	g('cityTxt').innerHTML = city.cityName;
	g('pCity').classList.add('on');
	
	createCates();
	var cate = common.utils.queryString('cate')||1;
	if(cate){
		filter.pCate = parseInt(cate);
		g('pCateTxt').innerText = cateNames[filter.pCate].name;
		g('pCate').classList.add('on');
	}
	
	if(imbar.isImmersedStatusbar){
		g('catePop').style.top = imbar.navBarHeight+'px';
	}
	
	$.ready(function(){
		pager.pull = $('#pullRefresh').pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						getSecurityProductList(1,self,true);
					}, 100);
				}
			},
			up:{
				callback: function() {
					var self = this;
					setTimeout(function() {
						getSecurityProductList(pager.pageIndex+1,self,false);
					}, 100);
				}
			}
		});
		pager.pullUpTips = g('pullRefresh').querySelector('.mui-pull-bottom-tips');
		pager.pullUpTips.style.display='none';
		//pager.pull.pullDownLoading();
		getSecurityProductList(1,pager.pull,true);
	});
	
	$('#ssList').on('tap','.joy-link',function(){
 		var _url ="agent-info.html?pid="+this.getAttribute('pid');
		$.openWindow({ url: _url, id: "agent-info",styles:{scrollIndicator:'none'} });
 	});
 	
 	g('typeList').addEventListener('selected',function(e){
		var el = e.detail.el,
			pCate=parseInt(el.getAttribute('cate'))
			pCateEl = g('pCate'),
			pCateTxt = g('pCateTxt');///pCateEl.children[0].children[0]; 
			
		filter.pCate = pCate;
		pCateEl.classList.remove('active');
		if(pCate!==0){
			pCateEl.classList.add('on');
			pCateTxt.innerText = el.innerText;
		}else{
			pCateEl.classList.remove('on');
			pCateTxt.innerText = '类型';
		}
		$('#catePop').popover('hide');
		getSecurityProductList(1,pager.pull,true);
		//pager.pull.pullDownLoading();
	});
 	
 	g('pCate').addEventListener('tap',function(){
 		$('#catePop').popover('show');
 	},false);
 	
	g('pCity').addEventListener('tap',function(e){
		showCityView();
		e.stopPropagation();
	},false);
	

	window.addEventListener('ChangeCity',function(e){
		city = {
			cityName:e.detail.cityName,
			cityCode:e.detail.cityCode
		};
		g('cityTxt').innerHTML = city.cityName;
		filter.pCityCode = city.cityCode;
		getSecurityProductList(1,pager.pull,true);
	},false);

})(mui,app,sbSvc);