/**
 * Created by tuchl on 2016-06-23.
 */
(function($,myStorage,common,app,userSvc) {
	var obj = {};
	var defaults = ['weixin','qq','sinaweibo','alipay'];
	obj.oauths = {};
	obj.auths = [];
	obj.hasOauths = true;
	
	obj.setAuths = function(successBack,errorBack){
		//$.plusReady(function(){});
		successBack = successBack || $.noop;
		errorBack = errorBack || $.noop;
		var alipayInfo = defaults.indexOf('alipay')>=0?userSvc.getAlipayService():null;
		plus.oauth.getServices(function(services) {
			for (var i in services) {
				var service = services[i];
				obj.oauths[service.id] = service;
				if(defaults.indexOf(service.id)>=0){
					obj.auths.push(service);
				}
			}
			if(alipayInfo){
				obj.oauths['alipay'] = alipayInfo;
				obj.auths.push(alipayInfo);
			}
			successBack(obj.auths,obj.oauths);
		}, function(error) {
			auth.hasOauths = false;
			errorBack(error);
		});
	};

    obj.getOauthUser = function(oauth){
		var type = oauth.id;
		var oauthUser = {};
		if(type == 'weixin'){
			oauthUser = {
				thirdType:oauth.id,
				openId:oauth.authResult.openid,
				unionid:oauth.userInfo.unionid,
				nickname:oauth.userInfo.nickname,
				head:oauth.userInfo.headimgurl,
				sex:oauth.userInfo.sex,
				province:oauth.userInfo.province,
				city:oauth.userInfo.city,
				country:oauth.userInfo.country,
				weiBoPath:''
			};
		}else if(type == 'qq'){
			oauthUser = {
				thirdType:oauth.id,
				openId:oauth.authResult.openid,
				nickname:oauth.userInfo.nickname,
				head:oauth.userInfo.figureurl,
				weiBoPath:''
			};
		}else if(type == 'sinaweibo'){
			oauthUser = {
				thirdType:oauth.id,
				openId:oauth.authResult.uid,
				nickname:oauth.userInfo.name,
				head:oauth.userInfo.avatar_hd,
				weiBoPath:oauth.userInfo.url
			};
		}else if(type == 'alipay'){
             oauthUser = {
                thirdType:oauth.id,
                openId:oauth.userInfo.userId,
                nickname:oauth.userInfo.nickName,
                head:oauth.userInfo.avatar,
                province: oauth.userInfo.province,
                city: oauth.userInfo.city,
                sex:oauth.userInfo.gender
             };
        }
		return oauthUser;
    };

 	window.auth= obj;

})(mui,myStorage,common,app,userSvc);