(function($){
	var bizContent = "",
		cateId=1,
		pulls = {},
		type = common.utils.queryString('type'),
		name = common.utils.queryString('name');
		name =decodeURI(name);
		g("baoxian_name").innerHTML=name+"保险";
	var proListGroup = g("proListGroup");
	var getList = function(pullSel){
		var conItem=g('cate1'),
			proList=conItem.querySelector('.proList');
		var Lazyload = $('#cate1').imageLazyload({
			placeholder: '../images/loading-ins.png',
			autoDestroy: false
		});	
		bizSvc.getInsProList(type).then(function(list){
			var item;
			if(list.length==0){
				proList.innerHTML = '<div class="not-network"><span>暂无此类 保险产品</span></div>';
			}else{
				proList.innerHTML = '';
				for(var i=0;i<list.length;i++){
					var rcmdLabelHtml = list[i].isHot?'<div class="baoxianHot"><img src="../images/baoxianHot.png"/></div>':'';
					item = document.createElement('div');
					item.className = 'mui-card ins-list';
					item.setAttribute('pid',list[i].id);
					item.setAttribute('pname',list[i].pName);
					item.setAttribute('url',list[i].pUrl);
					item.innerHTML = [
						'<div class="ins-img">',
							'<img data-lazyload="',list[i].pImg,'" src="../images/loading-ins.png">',
							rcmdLabelHtml,
						'</div>',
						'<div class="ins-title mui-clearfix">',
							'<h3 class="mui-pull-left">',list[i].pName,'</h3>',
						'</div>',
						'<div class="ins-intro"><span class="p_intro mui-ellipsis">',list[i].pIntro,'</span><div class="price mui-pull-right">',
								'<span class="numb">',list[i].pAmount,'</span>',
								'<span class="unit">元起</span>',
							'</div>','</div>'
					].join('');
					proList.appendChild(item);
				}
				conItem.setAttribute('created','1');
				Lazyload.refresh(true);
			}
			if(pullSel) pullSel.endPullDownToRefresh();
       }).catch(function(err){
        	if(pullSel) pullSel.endPullDownToRefresh();
        	if(err.code=='0') proList.innerHTML = '<div class="not-network"><span>点击页面 重新加载</span></div>';
        	console.error(err.message,err);
        });
	};
    //getList(type);
    var setPullRefresh = function(){
		var pullRefresh = g('pullRefresh'),
			judgeDown,//判断是否允许下拉
			pull;
		pull = $('#pullRefresh').pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						getList(self);
					}, 10);
				}
			}
		});
		pull.pullDownLoading();
	};
	setPullRefresh()
	var getBizParams = function(pid,callback){
		plus.nativeUI.showWaiting();
		bizSvc.getBizzParas(pid).then(function(data){
			plus.nativeUI.closeWaiting();
			callback(data);
		}).catch(function(err){
			plus.nativeUI.closeWaiting();
			callback();
			console.error(err.message,err);
		});
    };
	
	$.init({swipeBack:true});
	

	$('#proListGroup').on('tap','.ins-list',function(){
		var pid = this.getAttribute('pid');
		var url = this.getAttribute('url');
		getBizParams(pid,function(data){
			if(data && data.visitUrl){
				url = data.visitUrl;
			}
			//支持小程序链接
			app.openMultiURL(url);
		});
		return false;
	});
    
    $('.mui-scroll-wrapper').scroll({
    		bounce: false,
		indicators: true,
		deceleration:mui.os.ios?0.003:0.0009
    });

})(mui);