(function($){
	var g = function(id){
		return document.getElementById(id);
	};
	//第一段字符串拼接
	var getHtml = function(data){
		var html = '';
		html += ['<li class="topic-list-item">',
					'<div class="mui-clearfix" orderType="',data.orderType,'" buzzId="',data.buzzId,'">',
						'<div class="dingDanTop">',
							'<div class="dingDanLeft">',
								'<a href="javascript:;">',
									'<h1><img src="',data.orgLogoAddr,'" /></h1>',
								'</a>',
							'</div>',
							'<div class="dingDanRight">',
								'<span class="giveUp"> ', data.applyStatus, '</span>',
							'</div>',
						'</div>',
					'</div>',
				 '</li>'].join('');
		return html;
	};
	
	//第二段字符串拼接
	var getProduct = function(data){
		var html = '';
		if(data.withdrawUrl | data.repayUrl){
			html +=['<div class="midLeft">',
						'<span>', data.productName, '</span>',
					'</div>',
					'<div class="midRight">',
						 '<a href="',data.withdrawUrl,'" class="tiXian">提  现</a>',
						' <a href="',data.repayUrl,'" class="huanKuan">还  款</a>',
					'</div>',
				].join('');
		}else{
			g('productFunction').style.display="none";
		}
		
		return html;
	};
	//借款金额判断
	var getLoanOrderAmt = function(data){
		var html2 = '';
		if(data.loanOrderAmt != null){
			html2 +=['<div class="midLeft">',
						'<span>借款金额</span>',
					' </div>',
					'<div class="midRight">',
						'<span style="color:#f3b830;">', data.loanOrderAmt, '元</span>',
					'</div>'].join('');
		}else{
			g("loanMoney").style.display="none";
		}
		return html2;
	};
	 
	 
	//第三段字符串的拼接
	var getdingDanList =  function(list){
		var html ='';
		for(i in list){
			var item = list[i];
			html += ['<li>',
						'<div class="listLeft">',
							'<span>' ,item.processTime, '</span>',
						'</div>',
						'<div class="listRight">',
							'<span>' ,item.processContent, '</span>',
						'</div>',
					'</li>'].join('');
		};
		return html;
	};
	
	var type = common.utils.queryString("orderType");
	var id = common.utils.queryString("buzzId");
	loanSvc.getOrderInfo(type,id).then(function(data){
		g('conBox').innerHTML = getHtml(data);
		//g('pLogo').src = data.orgLogoAddr;
		//g('pStatus').innerText = data.applyStatus;
		g('productFunction').innerHTML = getProduct(data);
		g('loanMoney').innerHTML = getLoanOrderAmt(data);
		g('dingDanList').innerHTML = getdingDanList(data.processList);
	});
	
})(mui);