(function($){
	var createCates = function(list){
		var cates = list || myStorage.getItem('insCates') || [];
		var htmlCate =[],htmlCon=[];
		for(var i in cates){
			htmlCate=htmlCate.concat([
				'<a href="#cate',cates[i].key,'"','jHref="baoxianList.html"',
					' cate="',cates[i].key,'"',
					' class="mui-control-item insurance_type"><span class="typeIcon"><img src="',cates[i].imgUrl,'"/></span><span class="typeTitle">',
					cates[i].value,
				'</span></a>'
			]);
		}
		g('cates').innerHTML=htmlCate.join('');
	};
	var getCates = function(){
		bizSvc.getInsType().then(function(cates){
			createCates(cates);
        }).catch(function(err){
			console.error(err.message,err);
        });
	};
	var getLinks = function(){
		bizSvc.getCominsOrgList().then(function(links){
			var htmlLinks =[];
			$(links).each(function(i,link){
				htmlLinks=htmlLinks.concat([
					'<a title="',link.orgName,'" jhref="',link.targetUrl,'">',
						'<img src="',link.orgLogoAddr,'"/>',
					'</a>'
				]);
			});
			g('links').innerHTML=htmlLinks.join('');
        }).catch(function(err){
			console.error(err.message,err);
        });
	};
    
    createCates();
	getCates();
	getLinks();
	bizSvc.saveInsTypePV(1);

	$.plusReady(function(){
		plus.webview.currentWebview().setStyle({
			scrollIndicator:'none'
		});
	});
	
	window.addEventListener('scroll',function(e){
		if(e.detail.hasHorizontalScroll) return;
		var offset = 100;
		var scrollTop = e.detail ? Math.abs(e.detail.y) :
				document.body.scrollTop|| document.documentElement.scrollTop;
		if(scrollTop<=offset){
			var opacity = scrollTop/offset;
			$('#header')[0].style.backgroundColor='rgba(57, 191, 179, '+opacity+')';
			$('#header .mui-title')[0].style.color='rgba(255, 255, 255, 1)';
		}else{
			$('#header')[0].style.backgroundColor='rgba(57, 191, 179, 1)';
			$('#header .mui-title')[0].style.color='rgba(255, 255, 255, 1)';
		}
	},false);
	
	//微信客服按钮
	g('wechatCustomerServiceBun').addEventListener('tap',function(){
		$.openWindow('insurances-services.html');
	},false);
	//咨询客服按钮
	g('zxkf').addEventListener('tap',function(){
		$.openWindow('insurances-services.html');
	},false);
	
	//分享
	function initData(isRefresh) {
		var content = {};
		content.title = '您的保险私人顾问';
		content.introduce = '查悦保险为您提供，1对1专属保险师免费在线咨询，投保到理赔一站式优质服务。';
		if(!isRefresh) {
			var shareMsg = {
				href: app._webUrl + "/insurances.html",
				title: content.title,
				content: content.introduce,
				weixin_WXSceneTimeline:{
					href: app._webUrl + "/insurances.html",
					title: "咨询，投保到理赔一站式服务。",
				},
			};

			share.initShare("share", shareMsg, function() {
				$.toast('分享成功');
			}, function(e) {
				if(e.code === -100) {
					$.toast('已取消分享');
				} else {
					$.toast('分享失败：' + e.message);
				}
			});
		}
	}
	//分享入口
	g('share').addEventListener('tap',function(e){
		initData(false);
	},false);
	
    //分类列表
    $('#cates').on('tap','a',function(){
		var type=this.getAttribute("cate");
   		var href = "insurances-list.html?cate="+type;
   		bizSvc.saveInsTypePV(type); 
		$.openWindow(href);
	});
	
	$('#links').on('tap','a',function(){
		var url = this.getAttribute('jhref');
		if(url){
			app.openMultiURL(url);
		}
	});
	
    $('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
    });
	
	//神策埋点
	function joyTrack(){
		//tab [重疾  寿险  旅行  意外   车险]
		jTrack.regEvents('#cates a','joyCateClick','jtrack_name:this.innerText,jtrack_cate_type:4,jtrack_cate_id:attr.cate');
		//其他广告位
		jTrack.regEvents('.joy-ad a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
	}
	$.plusReady(function(){
 		joyTrack();
	});
})(mui);