(function($,app,myStorage) {
	window.main = window.main||{};
	var windowWidth = window.innerWidth;
	var gjjDisplay = true,topicTop = true;
	var lastTime = 0; //记录点赞时间
	var selectParams = {};

	var pullTop = (function(){
		var funsHeight = g('homeFuns').offsetHeight;
		var setPullTop = function(lastY){
			var absY = Math.abs(lastY);
			var height = lastY<0 ? absY>funsHeight ? funsHeight:absY : 0;
			var opacity0 = 1 - height/funsHeight;
			var opacity1 = height>0.5*funsHeight? 1-2*(funsHeight-height)/funsHeight : 0;
			var opacity2 = height<0.5*funsHeight ? 2*(funsHeight-height)/funsHeight-1 : 0;
			g('homeFuns').querySelector('.funs-inner').style.opacity = opacity0;
			g('homeBar').querySelector('.home-top').style.opacity=opacity2;
			g('homeBar').querySelector('.fun-quick').style.opacity=opacity1;
			g('homeBar').querySelector('.fun-quick').style.zIndex=opacity1>0?'2':'0';
			g('homeFuns').children[0].style['webkitTransform'] = 'translateY('+(height/2)+'px)';
		};
		var slideLeft = function(lastY){
			var absY = Math.abs(lastY);
			var height = lastY<0 ? absY>funsHeight ? funsHeight:absY : 0;
			var opacity = height/funsHeight;
			var opacity0 = 1 - opacity;
			var opacity1 = height>0.5*funsHeight? 1-2*(funsHeight-height)/funsHeight : 0;
			var opacity2 = height<0.5*funsHeight ? 2*(funsHeight-height)/funsHeight-1 : 0;
			g('homeBar').querySelector('.home-top').style.opacity=opacity2;
			g('homeBar').querySelector('.fun-quick').style.opacity=opacity1;
			g('messageBar').classList[opacity1?'add':'remove']('mui-hidden');	//控制消息中心显隐，避免遮挡搜索框
			var w1 = opacity2 * 64  + 36;
			g('homeBar').querySelector('.home-top').style.width=w1+'%';
			g('locationBar').style.visibility = opacity2 > .7 ? 'visible':'hidden';	
			g('homeBar').querySelector('.home-top').style['webkitTransform'] = 'translateX(-'+(opacity*75)+'%)';
		};
		
		return {
			funsHeight:funsHeight,
			opacity:setPullTop,
			slideLeft:slideLeft
		}
	})();
	
	// 懒加载
	var Lazyload = $('#feed').imageLazyload({
		placeholder: '../images/lazy-news.png',
		autoDestroy: false
	});
	
	var pullUp = function(puller){
		getFeedList('up').then(function(len){
			puller.endPullUpToRefresh(len==0);
		}).catch(function(err){
			puller.endPullUpToRefresh();
		});
	};
	var pullDown = function(puller){
		getDailyTopicsList(true);
		getFeedList('down').then(function(data){
			puller.endPullDownToRefresh(data);
		}).catch(function(err){
			puller.endPullDownToRefresh(0);
		});
		topicTop = true;
	};
	// 创建feed流元素
	var createFeedArt = function(data){
		var item = document.createElement('div');
		item.className = 'feed-item';
		item.classList.add(['ad','article','minfo','visual','store','product'][data.feedType]);
		item.setAttribute('data-hide','0');
		item.setAttribute('data-change','0');
		item.setAttribute('data-id',data.id);
		item.setAttribute('data-type',data.feedType);
		var coverStyle=data.type==2?'<span class="vbtn"></span>':'';
		var title = data.title ? data.title : '';
		var isVideo = '0';
		var play_icon = '',feedTitle = '',zan = '';
		var img_H = 0;
		if(data.feedImageWidth && data.feedImageHeight && data.feedImageWidth !== 0 && data.feedImageHeight !== 0){
			img_H = getImageSize(data.feedImageWidth,data.feedImageHeight);
		}else{
			img_H = '';
		}
		// feed流类型
		switch (data.feedType){
			case 1:
			 	// 文章
			 	isVideo = data.type==2?'1':'0';
				item.setAttribute('data-video',isVideo);
				zan = '<span class="praise jcon jcon-dianzan" aid="'+data.id+'" praised="'+(data.agreeStates?1:0)+'">'+(data.agreeCount||'')+'</span><span class="praise_area" data-type="' + data.feedType + '"></span>';
			 	break;
			case 2:
			 	// 悦头条
			 	isVideo = [1,3].indexOf(data.type)<0?'0':'1';
				item.setAttribute('data-video',isVideo);
				title = data.title.replace(/<[^>]+>/g,'');
				if(title.length>20){
					title = title.substr(0,18)+'...';
				}
				zan = '<span class="praise jcon jcon-dianzan" aid="'+data.id+'" praised="'+(data.agreeStates?1:0)+'">'+(data.agreeCount||'')+'</span><span class="praise_area" data-type="' + data.feedType + '"></span>';
			 	break;
			case 3:
				// 小视频 jcon jcon-bofang
				play_icon = '<div class="play_icon"><div class="float-btn jcon jcon-bofang"></div></div>';
				zan = '<span class="praise jcon jcon-dianzan" aid="'+data.id+'" praised="'+(data.agreeStates?1:0)+'">'+(data.agreeCount||'')+'</span><span class="praise_area" data-type="' + data.feedType + '"></span>';
				break;
			case 4:
				// 店铺
				zan = '<span class="praise jcon jcon-dianzan mui-hidden" aid="'+data.id+'" praised="'+(data.agreeStates?1:0)+'">'+(data.agreeCount||'')+'</span><span class="praise_area" data-type="' + data.feedType + '"></span>';
				item.setAttribute('dis',data.distance);
				item.setAttribute('leve2',data.leve2);
				break;
			case 5:
				// 产品详情
				zan = '<span class="praise jcon jcon-dianzan mui-hidden" aid="'+data.id+'" praised="'+(data.agreeStates?1:0)+'">'+(data.agreeCount||'')+'</span><span class="praise_area" data-type="' + data.feedType + '"></span>';
				item.setAttribute('storeId',data.storeId);
				item.setAttribute('dis',data.distance);
				item.setAttribute('leve2',data.leve2);
				item.setAttribute('s_name',data.storeName);
				break;
			
		}
		if(data.isShowTitle == 1){
			feedTitle = '<div class="title">' + title + '</div>';
		}else{
			feedTitle = '';
		}

		item.innerHTML = [
			'<a class="tap-box" data-id="',data.id,'" data-type="',data.feedType,'" data-video="',isVideo,'">',
				'<div class="cover"><img height="' + img_H +'" data-lazyload="' + data.image + '"  src="../images/lazy-news.png" data-img="' + (data.gifImage ? data.gifImage : data.image) + '"/>',coverStyle,play_icon,'</div>',
				feedTitle,
			'</a>',
			'<div class="info">',
				'<span class="author mui-ellipsis">',
					'<img src="',data.headImage,'">',
					'<span class="mui-ellipsis">',data.releaseOperatorName ? data.releaseOperatorName : '','</span>',
				'</span>',zan,
				'<b class="c-yellow"></b>',
			'</div>'
		].join('');
		return item;
	};
	var createFeedList = function(dir,cbox1,cbox2,data){
		var feelist = [];
		if(dir == 'down'){
			// 下拉 颠倒数据位置
			feelist = data && data.length > 0 ? data.reverse() : data;
		}else {
			feelist = data;
		}
		$.each(feelist,function(i,item){
			var feedItem = null;
			var cbox = cbox1.offsetHeight<=cbox2.offsetHeight ? cbox1 : cbox2,
				cbox_type = cbox.getAttribute('data-type');
			feedItem = createFeedArt(item);	
			if(dir!='down'){
				cbox.appendChild(feedItem);
			}else{
				if(cbox_type == '0'){
					// 话题置顶
					cbox.insertBefore(feedItem,cbox.children[1]);
				}else {
					cbox.insertBefore(feedItem,cbox.children[0]);
				}
				
			}
		});
	};
	// 获取尺寸
	var getImageSize = function(imgW,imgH){
		var imgSize = {
			width:imgW,
			height:imgH,
			ratio: Number(imgH)/Number(imgW), 
			realHeight: Number(windowWidth/2-20)*Number(imgH)/Number(imgW)
		}
    		return parseInt(imgSize.realHeight);
	}
	var prisetimer = null,sendtimer = null;
	var realTime = function(feedType,param){
		var currentTime = new Date().getTime();
        //记录两次相连的点击时间间隔，大于1秒，重新记录点击次数
        var count = (currentTime-lastTime) < 500 ? count + 1 : 1;
        lastTime = new Date().getTime();
        if(count === 1){
            clearTimeout(prisetimer);
            prisetimer = setTimeout(function(){
  				distinguish(feedType,param);
            },200)
        }else {
        		clearTimeout(sendtimer);
            // 连续点击不执行
            clearTimeout(prisetimer);
            sendtimer = setTimeout(function(){
            		distinguish(feedType,param);
            },500)
        }
		
	}
	var distinguish = function(feedType,data){
		switch (feedType){
			case 'article':
				return newsSvc.follow(0, data.aid, data.dir).then(function(res){
					console.log(res);
				}).catch(function(err){
					data.el.removeAttribute('praising');
					console.error(err.message,err);
				});
				break;
			case 'minfo':
				return newsSvc.likeMan(data.aid, data.dir, 0).then(function(res){
					console.log(res);
				}).catch(function(err){
					data.el.removeAttribute('praising');
					console.error(err.message,err);
				});
				break;
			case 'visual':
				return newsSvc.getliked(data.aid,0,data.operateType).then(function(res){
					console.log(res);
				}).catch(function(err){
					data.el.removeAttribute('praising');
					console.error(err.message,err);
				});
				break;
		}
	}
	// 点赞-文章
	var praiseArticle = function(){
		if (!app.checkLogin()) {
			app.toLogin(); 
			return;
		}
		var nt = plus.networkinfo.getCurrentType();
		if(nt == plus.networkinfo.CONNECTION_NONE){
			$.toast('网络不可用');
			return;
		}
    		var el = this.parentElement.querySelector('.praise');
	    		aid = el.getAttribute('aid'),
	    		dir = el.getAttribute('praised')==='1',
	    		praising = el.getAttribute('praising'),
	    		feedType = 'article';
    		var parent = el.parentElement;
    		var param = {
    			aid: aid,
    			dir: dir,
    			el: el
    		}
    		if(praising) return;
		el.setAttribute('praising','1');	
		el.setAttribute('praised',dir?'0':'1');
		parent.setAttribute('praised',dir?'0':'1');
		var praiseNum = parseInt(el.innerText||0)+(dir?-1:1);
		el.innerHTML = praiseNum||'';
		var elw = parseInt(el.offsetWidth) <= 15 ? 22 : parseInt(el.offsetWidth),
			el_edge = 10, // 父级边距
			cye_w = parent.querySelector('.c-yellow').offsetWidth; // 8-边距
		parent.querySelector('.c-yellow').style.right = (elw + el_edge - cye_w - 8 + el_edge/3) + 'px';
		el.classList[dir?'remove':'add']('active');
		setTimeout(function(){
			el.removeAttribute('praising');
		},300)
		realTime(feedType,param);
   	};
   	// 点赞-小视频
   	var praiseVisual = function(){
		if (!app.checkLogin()) {
			app.toLogin(); 
			return;
		}
		var nt = plus.networkinfo.getCurrentType();
		if(nt == plus.networkinfo.CONNECTION_NONE){
			$.toast('网络不可用');
			return;
		}
    		var el = this.parentElement.querySelector('.praise');
	    		aid = el.getAttribute('aid'),
	    		dir = el.getAttribute('praised')==='1',
	    		operateType = dir ? '0' : '1';
	    		praising = el.getAttribute('praising'),
	    		feedType = 'visual';
    		var parent = el.parentElement;
    		var param = {
    			aid: aid,
    			operateType: operateType,
    			el: el
    		}
    		if(praising) return;
    		// 实时改变
		el.setAttribute('praising','1');	
		el.setAttribute('praised',dir?'0':'1');
		parent.setAttribute('praised',dir?'0':'1');
		var praiseNum = parseInt(el.innerText||0)+(dir?-1:1);
		el.innerHTML = praiseNum||'';
		var elw = parseInt(el.offsetWidth) <= 15 ? 22 : parseInt(el.offsetWidth),
			el_edge = 10, // 父级边距
			cye_w = parent.querySelector('.c-yellow').offsetWidth; // 8-边距
		parent.querySelector('.c-yellow').style.right = (elw + el_edge - cye_w - 8 + el_edge/3) + 'px';
		el.classList[dir?'remove':'add']('active');
		setTimeout(function(){
			el.removeAttribute('praising');
		},300)
		realTime(feedType,param);
  	};
  	// 点赞-悦头条
  	var praiseMinfo = function(){
		if (!app.checkLogin()) {
			app.toLogin(); 
			return;
		}
		var nt = plus.networkinfo.getCurrentType();
		if(nt == plus.networkinfo.CONNECTION_NONE){
			$.toast('网络不可用');
			return;
		}
    		var el = this.parentElement.querySelector('.praise');
	    		aid = el.getAttribute('aid'),
	    		dir = el.getAttribute('praised')==='1'?0:1,
	    		praising = el.getAttribute('praising'),
	    		feedType = 'minfo';
    		var parent = el.parentElement;
    		var param = {
    			aid: aid,
    			dir: dir,
    			el: el
    		}
    		if(praising) return;
		el.setAttribute('praising','1');	
		el.setAttribute('praised',dir?'1':'0');
		parent.setAttribute('praised',dir?'1':'0');
		var praiseNum = parseInt(el.innerText||0)+(dir?1:-1);
		el.innerHTML = praiseNum||'';
		el.classList[dir?'add':'remove']('active');
		var elw = parseInt(el.offsetWidth) <= 15 ? 22 : parseInt(el.offsetWidth),
				el_edge = 10, // 父级边距
				cye_w = parent.querySelector('.c-yellow').offsetWidth; // 8-边距
		parent.querySelector('.c-yellow').style.right = (elw + el_edge - cye_w - 8 + el_edge/3) + 'px';
		setTimeout(function(){
			el.removeAttribute('praising');
		},300)
		realTime(feedType,param);
	};
   	
   	//修改刷新文案提示框
   	var creatTips = function (data){
		var tipsItem = document.getElementsByClassName('tips-item')[0];
		if(data>0){
			tipsItem.innerText = "为您更新" + data + "条内容";
		}else {
			tipsItem.innerText = "没有更新内容";
		}
		g('homeScroll').insertBefore(tipsItem,g('homeScroll').childNodes[0]);
		setTimeout(function(){
			g('homeScroll').removeChild(tipsItem);
		},2000);
   	}
   	
   	//话题置顶
   	var getDailyTopicsList = function(isfirst){
   		var cityCode = app.getCity().cityCode;
   		if(isfirst){
   			// 投票置顶
   			newsSvc.getVoteByTop(cityCode).then(function(res){
				var vote_list = document.querySelectorAll('.vote-list');
				if(res && Object.keys(res).length > 0){
					$.each(vote_list,function(idx,val){
						val.classList.remove('mui-hidden');
						val.setAttribute('id',res.id);
						val.querySelector('.vote-attend span').innerHTML = res.readAmount;
						val.querySelector('.vote-title').innerHTML = res.title;
						val.querySelector('.vote-left').innerHTML = res.rightContent;
						val.querySelector('.vote-right').innerHTML = res.opposContent;
					})
				}else {
					$.each(vote_list,function(idx,val){
						this.classList.add('mui-hidden');
					})
				}
			}).catch(function(err){
				console.error(err.message);
			});
			// 话题置顶
			newsSvc.getDailyTopicsList(cityCode).then(function(data){
				if(data && Object.keys(data).length > 0){
					g('topicList').innerHTML = '';
					if(data.topicList && data.topicList.length > 0){
						topicTop = false;
						if(data.feedTopicImage){
							g('topicTop').style.backgroundImage = 'url(' + data.feedTopicImage + ')'
						}
						g('topicTop').querySelector('.top-title').innerHTML = data.feedTopicTitle ? data.feedTopicTitle : '话题';
						var parent = g('topicList');
						$.each(data.topicList,function(idx,val){
							var $_li = document.createElement('li');
							var activity = '';
							$_li.setAttribute('class','mui-table-view-cell');
							$_li.setAttribute('id',val.id);
							if(val.activity == 1){
								// 无活动
								activity = 'topic-active';
							}
							$_li.innerHTML = '<span class="topic-title ' + activity + '">&#35;&nbsp;' + val.title + '&nbsp;</span>' + (val.activity == 1 ? '<span class="activity">活动中</span>' : '');
							parent.appendChild($_li);
						})
					}
				}else {
					g('topicTop').classList.add('hide');
				}
	
			}).catch(function(err){
				console.log(err);
			})
		}
   	}
   	
   	// feed流
	var getFeedList = function(dir,isFirst,refreshState){
		var slider = $('#feed').slider();
		var index = slider.slideNumber;
		var sliderItem = g('feedGroup').children[index];
		var box = sliderItem.querySelector('.data-box');
		var cbox1 = box.querySelector('.feed-box[data-type="0"]'),cbox2 = box.querySelector('.feed-box[data-type="1"]');
		var cboxs = cbox1.offsetHeight<=cbox2.offsetHeight?[cbox1,cbox2]:[cbox2,cbox1];
		var cityCode = app.getCity().cityCode;
		var type = dir && dir == 'up' ? 1 : 0; // 0-下拉 1-上滑
			
		var tabEl = g('feedTab').children[index];		
		var pageNum = sliderItem.getAttribute('page');
		pageNum = pageNum?parseInt(pageNum)+1:1;
		if(index==0){
			// feed流
			return newsSvc.getRecommendFeed(isFirst,pageNum,cityCode,selectParams.lon,selectParams.lat,type).then(function(data){
				if(!topicTop){
					g('topicTop').classList.remove('hide');
				}
				createFeedList(dir,cbox1,cbox2,data);
				Lazyload.refresh(true);
				$(sliderItem.querySelector('.mui-scroll-wrapper')).scroll().refresh();
				sliderItem.setAttribute('data-init','true');
				sliderItem.setAttribute('page',pageNum);
				if(refreshState){
					creatTips(data && data.length || 0);
					var sc = $(sliderItem.querySelector('.mui-scroll-wrapper')).jscroll();
					sc.scrollTo(0,0,300);
				}
				//if(data && isFirst) setPullRefresh();
				var result = null;
				if(data){
					result = data && data.length > 0 ?  data.length : 0
				}else {
					// 为null 继续加载
					result = 1;
				}
				return result;
			}).catch(function(err){
				var tipsItem = document.getElementsByClassName('tips-item')[0];
				if(tipsItem){
					g('homeScroll').removeChild(tipsItem);
				}
				console.log(err.message,err);
				return 0;
			});
		}else{
			// 社保/生活/健康feed流
			var tab = tabEl.getAttribute('tab');
			return newsSvc.getChannelFeed(tab,pageNum,'',cityCode,selectParams.lon,selectParams.lat,type,isFirst).then(function(data){
				createFeedList(dir,cbox1,cbox2,data);
				Lazyload.refresh(true);
				sliderItem.setAttribute('data-init','true');
				sliderItem.setAttribute('page',pageNum);
				if(refreshState){
					creatTips(data && data.length || 0);
					var sc = $(sliderItem.querySelector('.mui-scroll-wrapper')).jscroll();
					sc.scrollTo(0,0,300);
				}
				var result = null;
				if(data){
					result = data && data.length > 0 ?  data.length : 0
				}else {
					// 为null 继续加载
					result = 1;
				}
				return result;
			}).catch(function(err){
				var tipsItem = document.getElementsByClassName('tips-item')[0];
				if(tipsItem){
					g('homeScroll').removeChild(tipsItem);
				}
				console.log(err.message,err);
				return 0;
			});
		}
	};

	var setPullRefresh = function(){
		var windowH = document.documentElement.clientHeight;
		$('#feedGroup .mui-scroll').setJPullToRefresh({
			up:{
				offset:windowH/2,
				callback:function(){
					pullUp(this);
				}
			}
		});
		$('#homeScroll>.mui-scroll').setJPullToRefresh({
			down:{
				offset:60,
				callback:function(){
					pullDown(this);
				}
			}
		});
	};
	

	//跳转至消息中心
	var goMessageCenter = function(){
		$.openWindow({id:'messageCenter',url:'messageCenter/messageCenter.html'});
		var mainhomePageId = plus.webview.getWebviewById('messageCenter');
		mainhomePageId.addEventListener('close', function() {
			main.homeFun.messageCenterTip();
		});
	};
	var goGzjs = function(){
		$.openWindow({
			url:'calc/calc-index.html',
		    waiting:{autoShow:false}
		});
	};
	
	var goSearch = function(){
		$.openWindow({
			url:'search_all.html',
		    waiting:{autoShow:false}
		});
	};
	var pickCity = function(){
		document.activeElement.blur();
		$.openWindow({url:'pick-city.html?workType=0',id:'pickCity',waiting: {autoShow: false}});
	};
	
	//社保、公积金 判断是否登录
	var checkLoginFun = function (ids){
		var user = app.getUser()||{};
		if(app.checkLogin()){
			switch (ids){
				case 'sbk-info':
					if(user.securityAcctId){
						app.showSheBaoInfo(user.securityAcctId);
					}else{
						app.showSheBaoAdd();
					}
					break;
				case 'gjj-info':
					if(user.fundAcctId){
						app.showGongJiJinInfo(user.fundAcctId);
					}else{
						app.showGongJiJinAdd();
					}
					break;
				default:
			 		break;
			}
		}else{
			app.toLogin();
		}
	}
	//点击icon跳转
	var iconTapFun = function(elementBtn){
		var linkId = elementBtn.getAttribute('serialNumber');
			appSvc.mainLinksCountClick(linkId);
		var thisHref = elementBtn.getAttribute('data-href');
		var url = thisHref.split('/');
		var ids = url[url.length-1].split('.html');
		switch (ids[0]){
			case 'sbk-info':
				checkLoginFun(ids[0]);
				break;
			case 'gjj-info':
				checkLoginFun(ids[0]);
				break;
			default:
				app.openMultiURL(thisHref);
				break;
		}
	}
	
	var goKefu = function(){
		$.openWindow('qa.html','qa');
	};
	var goJoy = function(){
		//main.toJoyPage('tab-joy');
		$.openWindow('analysis.html','analysis');
	};
	var goSheBao = function(){
		var user = app.getUser()||{};
		 if(user.userId){
		 	 if(user.securityAcctId){
		 	 	app.showSheBaoInfo(user.securityAcctId);
		 	 }else{
		 	 	app.showSheBaoAdd();
		 	 }
		 }else{
		 	app.toLogin();
		 }
	};
	var goGongJiJin = function(){
		 var user = app.getUser()||{};
		 if(user.userId){
		 	 if(user.fundAcctId){
		 	 	app.showGongJiJinInfo(user.fundAcctId);
		 	 }else{
		 	 	app.showGongJiJinAdd();
		 	 }
		 }else{
		 	app.toLogin();
		 }
	};
	var toTop = function(){
		mainScroll.scrollTo(0,0,100);
		mainScroll._toggleChild(false);
	};
	var hideAdBox = function(){
		if(mainScroll.y<=mainScroll.maxScrollY){
		 	var adBox = g('adBox');
			if(!adBox.classList.contains('mui-hidden')){
				adBox.classList.add('mui-hidden');
				mainScroll.refresh();
			}
		 }
	};
	// 获取经纬度
	function initData(coords) {
		var cur_city = app.getCity();
		var cityCode = cur_city.cityCode;
		if(coords) {
			selectParams.lat = coords.latitude;
			selectParams.lon = coords.longitude;
		}
		selectParams.cityCode = cur_city.cityCode;
	};
	geo.getPoint(initData);
	
	var mainScroll,feedScrolls;
	main.homeFun = {
		inited:false,
		initDataState:function(toggle){
			var hideAmt = app.getState('hideNum');
			if(toggle){
				hideAmt = !hideAmt;
				app.setState('hideNum',hideAmt);
			}
	        if(hideAmt){
	            var ybAmt = jel('#ybAmt');
	            var ylAmt = jel('#ylAmt');
	            var gjjAmt = jel('#gjjAmt');
	            ybAmt.html(ybAmt.attr('value'));
	            ylAmt.html(ylAmt.attr('value'));
	            gjjAmt.html(gjjAmt.attr('value'));
	            jel('.sec-box .state-btn').addClass('hide');
	            jel('.sec-box .state-btn').html('<i class="fa fa-eye"></i> 隐藏金额');
	        }else{
	            jel('#ybAmt').html("*******");
	            jel('#ylAmt').html("*******");
	            jel('#gjjAmt').html("*******");
	           	jel('.sec-box .state-btn').removeClass('hide');
	            jel('.sec-box .state-btn').html('<i class="fa fa-eye"></i> 显示金额');
	        }
		},
		setSecInfo:function(data){
			g('shebaoInfo').classList[data?'add':'remove']('bind');
			if(data){
				jel('#shebaoInfo .info').attr('data-id',data.id);
				var ybamt = common.utils.formatCurrency(data.medicalAccountBalance);
				var ylamt = common.utils.formatCurrency(data.pensionAccountBalance);					 
				jel('#ybAmt').attr('value',ybamt);
				jel('#ylAmt').attr('value',ylamt);
				jel('#shebaoInfo .acc-name').html(data.name);
				jel('#shebaoInfo .acc-txt').html(data.securityState||'异常');
				jel('#shebaoInfo .acc-txt')[data.securityState!=='正常'?'addClass':'removeClass']('abn');
			}
		},
		setFundInfo:function(data){
			g('fundInfo').classList[data?'add':'remove']('bind');
			if(data){
				jel('#fundInfo .info').attr('data-id',data.id);
				var gjjamt = common.utils.formatCurrency(data.balance);		 
				jel('#gjjAmt').attr('value',gjjamt);
				jel('#fundInfo .acc-name').html(data.name);
				jel('#fundInfo .acc-txt').html(data.fundState||'异常');
				jel('#fundInfo .acc-txt')[data.fundState!=='正常'?'addClass':'removeClass']('abn');
			}
		},
		showSecInfo:function(){
			var user = app.getUser();
			var secInfo = null;
			if(user && user.securityAcctId){
				secInfo = shebaoSvc.getSavedSecInfo(user.securityAcctId);
			}
			main.homeFun.setSecInfo(secInfo);
		},
		showFundInfo:function(){
			var user = app.getUser();
			var fundInfo = null;
			if(user && user.fundAcctId){
				fundInfo = gjjSvc.getSavedFunInfo(user.fundAcctId);
			}
			main.homeFun.setFundInfo(fundInfo);
		},
		showInfo:function(){
			var user = app.getUser()||{};
			g('secBox').classList[user.securityAcctId||user.fundAcctId?'add':'remove']('mui-hidden'); 
			//main.homeFun.showSecInfo();
			//main.homeFun.showFundInfo();
	    },
		getHotKeyowrds:function(){
	    		var keywords = myStorage.getItem('hotKeys');
	    		if(keywords && keywords.length){
	    			jel('#searchBar .keyword').html(keywords.join(' | '));
	    		}
	    		newsSvc.getKeyWordList().then(function(data){
	    			myStorage.setItem('hotKeys',data);
	    			jel('#searchBar .keyword').html(data.join(' | '));
	    		});
	   	},
		initFeed:function(){
			var windowH = document.documentElement.clientHeight,
				navBarH = g('homeBar').offsetHeight,
				feedTabH = g('feedTab').offsetHeight||38,
				footerH = g('tabNav').offsetHeight;
			g('feedGroup').style.height = (windowH-navBarH-feedTabH-footerH)+'px';
			getDailyTopicsList(true);
			getFeedList('up',true);
			topicTop = true;
		},
		//消息中心-获取首页消息列表/获取所有未读消息数量
		getIndexMesList:function(e){
			var webView = plus.webview.getWebviewById('messageCenter');
			$.fire(webView,'getIndexMesList');
			$.fire(webView,'unreadMessageNum');
		},
		//消息中心-系统通知列表刷新
		getOrderMessage:function(e){
			var webView = plus.webview.getWebviewById('systemNotification');
			$.fire(webView,'getOrderMessage');
		},
		//首页-消息中心红点控制
	 	messageCenterTip:function (e) {
			messageCenterSvc.getUnreadMessageNum().then(function(data) {
				if(data>0){
					g('redDot').classList.remove('mui-hidden');
				}else {
					g('redDot').classList.add('mui-hidden');
				}
			}).catch(function(err) {
				
			});
		},
		//首页第一部分icon数据渲染处理
		indexIconB:function (data){
			var homeFuns = g('homeFuns');
			var titleIcon = g('titleIcon');
			var funsInner = homeFuns.querySelector('.funs-inner');
			var html='';
			var titleIconHtml = '';
			$.each(data,function(i,link){
				html+=[
					'<a serialNumber="',link.buzzId,'" data-href="',link.linkUrl,'" data-isSelf="',link.isSelf,'" class="fun">',
						'<img src="',link.imgPath,'" />',
						'<span>',link.buzzName,'</span>',
					'</a>'
				].join('');
				titleIconHtml+=[
					'<a serialNumber="',link.buzzId,'" class="fun " data-href="',link.linkUrl,'">',
						'<img src="',link.imgPath,'" />',
					'</a>'
				].join('');
			});
			if(html){
				funsInner.innerHTML=html;
				titleIcon.innerHTML=titleIconHtml;
			}
		},
		//首页第二部分icon数据处理
		indexIconS:function (data){
			var bizList = g('bizList');
			var html='';
			$.each(data,function(i,link){
				var href = link.linkUrl?' data-href="'+link.linkUrl+'"':'';
				html+=[
					'<div class="btn" serialNumber="',link.buzzId,'"',href,'>',
						'<img src="',link.imgPath,'">',
						'<span>',link.buzzName,'</span>',
					'</div>'
				].join('');
			});
			if(html){
				g('bizList').innerHTML=html;
				g('bizList').classList.remove('mui-hidden');
			}
		},
		
		//获取icon
		indexIconList:function (){
			var dataObj = {};
			dataObj.cityCode = app.getCity().cityCode || '000000';
			dataObj.plusOsName = plus.os.name;
			dataObj.channel = app.getChannel();
			dataObj.locationId = 'indexIcon';
			g('homeFuns').querySelector('.funs-inner').innerHTML = '';
			g('bizList').innerHTML = '';
			g('titleIcon').innerHTML = '';
			
			appSvc.getIconList(dataObj).then(function(data){
				var dataList = data.list;
				main.homeFun.indexIconB(dataList.slice(0,4));
				main.homeFun.indexIconS(dataList.slice(4));
	        }).catch(function(err){
	        		console.log(err.message,err);
	        });
		},
		initEvents:function(){
			$('.home-top').on('tap','.search-tap',goSearch,false);
			$('.home-top').on('tap','.location-bar',pickCity,false);
			
			$('#titleIcon').on('tap','.fun',function(){
				iconTapFun(this);
			},false);
			$('#homeFuns').on('tap','.fun',function(){
				iconTapFun(this);
			},false);
			g('messageBar').addEventListener('tap',goMessageCenter,false);
			
			$('#homeFuns').on('tap','#gzjs2',goGzjs,false);
			
			$('.fun-quick').on('tap','.search_all .search-tap',goSearch);
			$('.fun-quick').on('tap','.gotoTop',toTop);
			
			$('#bizList').on('tap','.btn',function(){
				iconTapFun(this);
			});
					
			$('#shebaoInfo').on('tap','.state-btn',function(e){	
				main.homeFun.initDataState(true);
		        return false;
		    },false);
		    $('#shebaoInfo').on('tap','.unbind',function(){
		    		var user = app.getUser();
			    	if(user){
			    		app.showSheBaoAdd();
		        }else {
		            app.toLogin();
		        }
		    		return false;
		    });
		    $('#shebaoInfo').on('tap','.info',function(){
				var id = this.getAttribute('data-id');
		    		app.showSheBaoInfo(id);
		    		return false;
		    });
		  	
		  	$('#fundInfo').on('tap','.state-btn',function(e){
				main.homeFun.initDataState(true);
		        return false;
		    },false);
		  	$('#fundInfo').on('tap','.unbind',function(){
		    		var user = app.getUser();
			    	if(user){
			    		app.showGongJiJinAdd();
		        }else {
		            app.toLogin();
		        }
		    		return false;
		    });
		    $('#fundInfo').on('tap','.info',function(){
				var id = this.getAttribute('data-id');
		    		app.showGongJiJinInfo(id);
		    		return false;
		    });
		    
		    $('#feedGroup').on('tap','.feed-item.minfo .tap-box',function(){
				var isVideo = this.getAttribute('data-video')=='1';
				var id = this.getAttribute('data-id');
				if(isVideo){
					$.openWindow('minfo/minfo-video.html?mId='+id,'minfo-video');
				}else{
					$.openWindow('minfo/minfo.html?mId='+id,'minfo');
				}
			});
			$('#feedGroup').on('tap','.feed-item.article .tap-box',function(){
				var isVideo = this.getAttribute('data-video')=='1';
				var id = this.getAttribute('data-id');
				if(isVideo){
					$.openWindow('article-video.html?aid='+id,'article-video');
				}else{
					$.openWindow('article.html?aid='+id,'article');
				}
			});
			// 店铺
			$('#feedGroup').on('tap','.feed-item.store .tap-box',function(e){
				var evt=e||event;
				evt.stopPropagation();
				var self = this.parentElement,
					storeId = self.getAttribute("data-id"),
		 			dis = self.getAttribute("dis"),
					level2 = self.getAttribute("leve2");
				if(level2==6){
					//体检跳转到原页面
					$.openWindow("_www/view/o2o/tijian_store.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
				}else{
					$.openWindow("_www/view/o2o/hospital.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
				}
			});
			// 产品详情
			$('#feedGroup').on('tap','.feed-item.product .tap-box',function(e){
				var evt=e||event;
				evt.stopPropagation();
				var self = this.parentElement,
					storeId = self.getAttribute("storeId"),
					pid = self.getAttribute("data-id"),
					distance = self.getAttribute("dis"),
					storeName = self.getAttribute("s_name"),
					level2 = self.getAttribute("leve2");
				$.openWindow("_www/view/o2o/pro_detail.html?proId="+pid+"&distance="+distance+"&storeId="+storeId+"&level2="+level2+"&storeName="+encodeURIComponent(storeName));
			});
			$('#feedGroup').on('tap','.feed-item.visual .tap-box',function(){
				var id = this.getAttribute('data-id');
				$.openWindow('visualFrequency.html?visualId=' + id,'visual');
			});
			// 话题
			$('#feedGroup').on('tap','#topicList .mui-table-view-cell',function(){
				var id = this.getAttribute('id');
				$.openWindow('topicList.html?tid=' + id,'topic');
			});
			// 投票
			$('#feedGroup').on('tap','.vote-list',function(){
				var id = this.getAttribute('id');
				$.openWindow('subscriber-vote.html?id=' + id,'vote');
			});
			$('#feedGroup').on('tap','.article .praise_area',praiseArticle);
			$('#feedGroup').on('tap','.minfo .praise_area',praiseMinfo);
			$('#feedGroup').on('tap','.visual .praise_area',praiseVisual);
			
			g('feed').addEventListener('slide',function(){
				var box = g('feedGroup').children[event.detail.slideNumber];
				if(!box.getAttribute('data-init')){
					getFeedList('up',true);
				}
			},false);
			
			window.addEventListener('UserInfoUpdate',function(){
				main.homeFun.showInfo();
				var user = app.getUser();
				if(user) main.myPageFun.getReplyState();
			},false);
			window.addEventListener('SecInfoUpdate',function(){
				main.homeFun.showSecInfo();
				main.homeFun.initDataState();
			},false);
			window.addEventListener('FundInfoUpdate',function(){
				main.homeFun.showFundInfo();
				main.homeFun.initDataState();
			},false);
			
			window.addEventListener('resize',function(){
				if(!!mainScroll){
					mainScroll.refresh();
				}
			},false);
			window.addEventListener('getFeedList',function(){
				getDailyTopicsList(true);
				getFeedList('down',false,true);
				topicTop = true;
			},false);
			window.addEventListener('changeCity', function(){
				getDailyTopicsList(true);
			} ,false);
			window.addEventListener('getpraised',function(){
				var praised = $('#feedGroup')[0].querySelectorAll('.info');
				// 点赞初始化
				$.each(praised, function(idx,val) {
					val.removeAttribute('praised');
				});
			},false);
			
			//消息中心
			window.addEventListener('getIndexMesList',main.homeFun.getIndexMesList,false);
			window.addEventListener('getOrderMessage',main.homeFun.getOrderMessage,false);
			window.addEventListener('messageCenterTip',main.homeFun.messageCenterTip,false);
			
			// 更新点赞-小视频
			window.addEventListener('praiseFeed',function(event){
				var aid = event.detail.aid;
				var dir = event.detail.operateType;
				var count = event.detail.count;
				var el = document.querySelectorAll('.praise[aid="' + aid + '"]');
				if(el[0]){
					if(dir == 0){
						// 取消点赞
						el[0].setAttribute('praised','0');
						if(count > 0) el[0].innerHTML = count;
					}else {
						// 点赞
						el[0].setAttribute('praised','1');
						if(count > 0) el[0].innerHTML = count;
					}
				}
			})
			
			g('homeScroll').addEventListener('scrollend',hideAdBox,false);
			g('homeContent').addEventListener('touchend',hideAdBox,false);
			g('homeContent').addEventListener('scroll',function(e){
				if(e.detail.hasHorizontalScroll || e.target!=g('homeContent')) return;
				pullTop.slideLeft(e.detail.y);
				$('#feed').slider().resetPosition();
			},false);
			$('#feed').on('scroll','.mui-scroll-wrapper',function(e){
				$('#feed').slider().resetPosition();
				var slider = $('#feed').slider().slideNumber;
				if(slider == 0){
					var itemDom = g('feed0').querySelectorAll('.feed-item.visual');
					var scrollY = Math.abs(e.detail.y);
					var default_img = ''
					$.each(itemDom, function(idx,val) {
						if(val.querySelector('img').getAttribute('src') !== Lazyload.options.placeholder){
							checkScroll(val,scrollY);
						}
					});
				}
			},false);
			function checkScroll(itemDom,scrollY) {
			    //滚动条高度+视窗高度 = 可见区域底部高度
			    var visibleBottom = scrollY + document.documentElement.clientHeight * 0.6;
			    //可见区域顶部高度
			    var visibleTop = scrollY;
			    var centerY = itemDom.offsetTop + (itemDom.offsetHeight * 0.5);
			    var show = centerY > visibleTop && centerY < visibleBottom;
			    if (show) {
			        // showing
			        var el = itemDom.querySelector('img'),
			        		gifUrl = el.getAttribute('data-img'),
			        		imgUrl = el.getAttribute('src'),
			        		change = itemDom.getAttribute('data-change');
			        	if(change && change == 1){
			        		return false;
			        	}
			        	el.setAttribute('src',gifUrl);
			        	el.setAttribute('data-img',imgUrl);
			        itemDom.setAttribute('data-change','1');
			        itemDom.setAttribute('data-hide','1');
			    }else{
			        // hidden
			        var el = itemDom.querySelector('img'),
			        		imgUrl = el.getAttribute('data-img'),
			        		gifUrl = el.getAttribute('src'),
			        		data_hide = itemDom.getAttribute('data-hide');
		        	 	if(data_hide && data_hide == 0){
			        		return false;
			        	}
			        	el.setAttribute('src',imgUrl);
			        	el.setAttribute('data-img',gifUrl);
			        	itemDom.setAttribute('data-change','0');
			        	itemDom.setAttribute('data-hide','0');
			    }
			}
		},
		refresh:function(){
			main.homeFun.showInfo();
			main.homeFun.initDataState();
		},
		init:function(){
			main.homeFun.inited = true;
			main.homeFun.indexIconList();
			main.homeFun.showInfo();
			main.homeFun.initFeed();
			main.homeFun.initDataState();
			main.homeFun.getHotKeyowrds();
			main.homeFun.messageCenterTip();
	
			mainScroll = $('#homeScroll').jscroll({
				scrollX: false,
				indicators: false,
				bounce:false,
				child:{
					fixBox:'#feed',
					fixBar:'#feedTab',
					scBox:'#feedGroup',
					scrolls:'#feedGroup .mui-scroll-wrapper',
					active:'#feedGroup .mui-slider-item.mui-active .mui-scroll-wrapper'
				}
			});
			setPullRefresh();
		}
	};
 
})(mui,app,myStorage);