(function($,app,myStorage) {
	window.main = window.main||{};
	main.joyFun = {
		inited:false,
		getSecInfo:function(sbkid,callback){
			callback = callback || $.noop;
			shebaoSvc.getSecInfo(sbkid).then(function(data){
				callback(data);
			}).catch(function(){
				callback({payBase:0,payCity:app.getCity().cityCode});
				console.error(err.message,err);
			});
	   	},
	   	setApps:function(cityCode){
	   		jel('.apps .app-link').removeAttr('state');
	   		jel('.apps .app-link').removeAttr('mid');
	   		jel('.apps .app-link').removeAttr('jhref');
	   		var apps={
		 		'100100':{appName:'医疗',appIcon:'icon-yll'},
		 		'100200':{appName:'生育',appIcon:'icon-sey'},
		 		'100300':{appName:'工伤',appIcon:'icon-gs'},
		 		'100400':{appName:'养老',appIcon:'icon-yl'},
		 		'100500':{appName:'失业',appIcon:'icon-siy'},
		 		
		 		'200100':{appName:'居住证/落户',appIcon:'icon-jzz'},
		 		'200200':{appName:'买房',appIcon:'icon-mf'},
		 		'200300':{appName:'买车',appIcon:'icon-mc'},
		 		'200400':{appName:'子女上学',appIcon:'icon-sx'}
			};
			var setAppLink = function(data){
				$.each(data, function(i,app) {
					var modular = apps[app.modularId];
					if(!modular) return;
					app.appIcon = modular.appIcon;
					var link = g('tabJoy').querySelector('.app-link.'+app.appIcon);
					if(!link) return;
					link.setAttribute('state',app.flag);
					link.setAttribute('mid',app.modularId);
					//link.setAttribute('jhref',apps[app.modularId+''].appUrl);
					//link.setAttribute('jhref','joymods/index.html?mcode='+app.modularId);
				});
			}
			if(plus.networkinfo.getCurrentType()==1){
				jdb.getData('joyState','joyState').then(function(data){
		 			if(data && data.data){
			 			setAppLink(data.data);
		 			}
				});
			}else{
				joySvc.getInsList(cityCode).then(function(data){
					if(data){
						jdb.saveData('joyState',{id:'joyState',data:data});
						setAppLink(data);
					}
				}).catch(function(err){
					console.log(err.message,err);
				});
			}
			joySvc.getAIList(cityCode).then(function(data){
	    		$.each(data, function(i,app) {
					var link = g('tabJoy').querySelector('.app-link.'+app.appIcon);
					if(!link) return;
					link.setAttribute('jhref',app.appUrl);
				});
			});
	    },
	    refreshApps:function(){
		    	var city = app.getCity();
		    	var state = app.getState();
		    	if(!state.token || !state.info.securityAcctId){
		    		main.joyFun.setApps(city.cityCode);
		    	}
	    },
	    getJoyStyle:function(){
		    	var curVer = 2;
		    	var cStyle = myStorage.getItemPlus('JoyHtmlStyle')||{version:1};
		    	if(parseInt(cStyle.version)>curVer){
		    		return cStyle;
		    	}else{
		    		return {version:curVer,filename:'_www/view/joymods/css.css'};
		    	}
	    },
	    updateJoyStyle:function(){
		    	var cStyle = main.joyFun.getJoyStyle();
		    	appSvc.getAppResourceUrl('JoyHtmlStyle').then(function(data){
		    		if(data && parseInt(data.version)>parseInt(cStyle.version)){
		    			var dtask = plus.downloader.createDownload(data.path, {
			    				filename:'_doc/joymods/css_'+data.version+'.css'
			    			}, function ( d, status ) {
							if (status == 200) { 
								cStyle = data;
								cStyle.filename = d.filename;
								myStorage.setItemPlus('JoyHtmlStyle',cStyle);
							}
						});
						dtask.start(); 
		    		}
		    	}).catch(function(err){
		    		console.log(err.message,err);
		    	});
	    },
	    refresh:function () {
		    	var city = app.getCity();	
		    	var state = app.getState();
		    	if(state.token && state.info && state.info.securityAcctId){
			 		g('shebaoState').style.display = 'block';
			 		main.joyFun.getSecInfo(state.info.securityAcctId,function(data){
			 			main.joyFun.setApps(data.payCity);
			       	});
			       	shebaoSvc.getPayMonthsAndState(state.info.securityAcctId).then(function(data){
			 			g('yiLiaoMonth').innerHTML = data.medMonths;
			 			g('yangLaoMonth').innerHTML = data.pensMonths;
			 			g('state').innerHTML = data.states;
			       	});
		    	}else{
		    		g('shebaoState').style.display = 'none';
				main.joyFun.setApps(city.cityCode);
		    	}
	    },
	    init:function(){
	    		main.joyFun.inited = true;
			main.joyFun.refresh();
			main.joyFun.updateJoyStyle();
			$('#joyScroll').scroll({
				deceleration: 0.0005,
				indicators: false,
				bounce:true
			});
			
			var showMapLinks = function(scrollTop){
				var mt = jel('#joyContent').getStyle()[0].style.marginTop,
				styles = jel('#joyScroll a').getStyle();
				mt = parseFloat(mt)+scrollTop;
				for(var i=0;i<styles.length;i++){
					if(mt<parseFloat(styles[i].style.top) + parseFloat(styles[i].style.height)){
						styles[i].el.style.display='none';
					}else{
						styles[i].el.style.display='inline-block';
					}
				}
			};
	
			var ist;
			g('joyScroll').addEventListener('scrollend',function(e){
				clearTimeout(ist);
				ist = setTimeout(function(){
					showMapLinks(e.detail.lastY);
				},100);
			},false);
			g('joyScroll').addEventListener('scroll',function(e){
				clearTimeout(ist);
				ist = setTimeout(function(){
					showMapLinks(e.detail.lastY);
				},100);
			},false);
			
			$('.apps').on('tap','.app-link',function(){
				var flag = this.getAttribute('state');
				var mid = this.getAttribute('mid');
				var url = this.getAttribute('jhref');
				if(flag=='1' && mid){
					var href = 'joymods/index.html?mcode='+mid;
					var cStyle = main.joyFun.getJoyStyle();
					if(cStyle.type) href+='&css='+encodeURIComponent(cStyle.filename);
					var joyapp = $.openWindow({
						id:'joy_'+mid,
						url:href
					});
				}else if(url){
					$.openWindow({
						id:'joy_'+this.innerText,
						url:url+'?t=1517305077376'
					});
				}else{
					$.alert('该城市无相关政策介绍','智能应用','确定',function(){},'div');
				}
			});
			$('.map-links').on('tap','.map-link',function(){
				var link = this;
				var url = this.getAttribute('jhref');
				$.openWindow(url);
				//plus.webview.open('joy-map.html?wd='+encodeURIComponent(link.getAttribute('wd')),'joyMap');
			});
	    }
	};

})(mui,app,myStorage);