(function($,app,myStorage) {
	$.init({
		swipeBack:false,
		gestureConfig:{
			longtap: true,
			swipeleft:true,
			swiperight:true,
			swipeup:true,
			swipedown:true
		}
	});
	
	window.main = window.main||{};
	$.extend(main,{
		secInfo:{},
		fundInfo:{},
		pushMessages:[],
		pushMessagesCache:{},
		appSwitchs:null,
		appInit:false
	},true);
	var initImbar = function(){
		if(imbar && imbar.isImmersedStatusbar){
			var bar =imbar,
				homeBar = g('homeBar');
			jel('#tabHome>.mui-bar-nav').css('height',(bar.statusbarHeight+50)+'px');
			jel('#tabHome>.mui-bar-nav').css('paddingTop',bar.statusbarHeight+'px');
			//jel('#homeContent').css('paddingTop',bar.navBarHeight+'px');			
			jel('#homeScroll').css('top',(bar.statusbarHeight+50)+'px');//+g('homeFuns').offsetHeight
			
			jel('#choose').css('paddingTop',bar.statusbarHeight+'px');
			jel('#choose').css('height',bar.navBarHeight+'px');
			jel('#cateSlider').css('top',bar.navBarHeight+'px');
			jel('#Mask').css('top',bar.statusbarHeight+'px');
			
			jel('#tabJoy>.mui-bar-nav').css('height',bar.navBarHeight+'px');
			jel('#tabJoy>.mui-bar-nav').css('paddingTop',bar.statusbarHeight+'px');
			jel('#tabJoy>.mui-scroll-wrapper').css('top',bar.navBarHeight+'px');
				
			jel('#tabServices>.mui-bar-nav').css('height',bar.navBarHeight+'px');
			jel('#tabServices>.mui-bar-nav').css('paddingTop',bar.statusbarHeight+'px');
			jel('#tabServices>.mui-scroll-wrapper').css('top',bar.navBarHeight+'px');
			
//			jel('#tabMypage .top-ban').css('paddingTop',bar.statusbarHeight+'px');
//			jel('#tabMypage .top-hdl').css('paddingTop',bar.statusbarHeight+'px');
			jel('#tabMypage>.mui-bar-nav').css('height',bar.navBarHeight+'px');
			jel('#tabMypage>.mui-bar-nav').css('paddingTop',bar.statusbarHeight+'px');
			jel('#tabMypage>.mui-scroll-wrapper').css('top',bar.statusbarHeight+'px');
		}
	};
	var showGuidPage = function(closeBack){
		//透明 background:'transparent',
		plus.navigator.setFullscreen(false);
		var guide = plus.webview.create('guide.html','guide',{
			zindex:1000,top:'0px',left:'0px',width:'100%',height:'100%'
		});
		guide.show('zoom-fade-out');
		guide.addEventListener('titleUpdate',function(){
			plus.navigator.setStatusBarStyle('dark');
			if(plus.navigator.hasSplashscreen()) plus.navigator.closeSplashscreen();
		},false);
		guide.addEventListener('close',function(){
			plus.navigator.setStatusBarStyle('light');
			if(closeBack) closeBack();
		},false);
	};
	var shownHandler = function(){
		if(mui.os.android){
			var mainActivity = plus.android.runtimeMainActivity();
			if(mainActivity.closeSplash) mainActivity.closeSplash();
		}
		plus.navigator.closeSplashscreen();
		plus.navigator.setFullscreen(false);
		plus.runtime.getProperty(plus.runtime.appid, function(info){
			if(plus.runtime.version!==info.version){
				myStorage.setItem('resver',info.version);
			}
		});
		if(plus.runtime.launcher === 'scheme'){
			newintentHandler();
		} 
		app.fireEvent('main','showActivity',{
			posId:'activity_home',
			triggerPoint:105
		});
		setTimeout(function(){ 
			update.checkVersion();
		},2000);
	};
 	var versionChange = function(closeBack){
 		myStorage.setItem('appver',plus.runtime.version);
		myStorage.setItem('resver',plus.runtime.version);
		showGuidPage(closeBack);
 	};
	var setCity = function(city,gap){
		if(gap){
			var oCity = app.getCity();
			city = Date.now() - oCity.timestamp > gap ? city : oCity;
		}
		var ocode = jel('#locationBar span').attr('cityCode');
		var cname = city.cityName.length>4?city.cityName.substr(0,4)+'...':city.cityName;
		jel('#locationBar span').attr('cityCode',city.cityCode);
		jel('#locationBar span').html(cname);
		jel('#cur_city span').attr('cityCode',city.cityCode);
		jel('#cur_city span').html(cname);
		city.timestamp = Date.now();
		myStorage.setItem('city',city);
		myStorage.setCookiePlus('city',city);
	};
	
	var appSwitch=function(){
		myStorage.removeItem('appSwitch');
		var cusinfo = app.getDeviceInfo(),
			conditions =
				'loan:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion+';'
			   +'creditCard:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion+';'
			   +'CommercialInsurance:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion+';'
			   +'medicine:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion+';'
			   +'sociSecuService:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion+';'
			   +'wyjq_loan:channel='+cusinfo.channel+',os='+cusinfo.os+',appVersion='+cusinfo.appVersion;
		appSvc.getSwitch(conditions).then(function(data){
			 main.appSwitchs = data;
			 myStorage.setItem('appSwitch',data);
//			 main.serviceFun.funSwitch();
		}).catch(function(err){
			console.error(err.message,err);
		});
	};
	
	var mainInit = function(){
		main.appInit = true;
		setBadgeNumber();
		checkStartArgs();
		appSwitch();
		
		updateUserData();
		jadFn.mainAdinit();
		main.homeFun.initEvents();
		
		setTimeout(function(){
			if(app.oldVersion!== plus.runtime.version){
				versionChange(shownHandler);
			}else{
				jadFn.showGuideAd(shownHandler);
			}
		},0);
		
		geo.setLocation(function(city,location){
			setCity(city,180000);
			userSvc.userActiveLog();
			main.homeFun.init();
			main.newsFun.initNews();
			main.joyFun.init();
		},180000);
	};
	var updateUserData = function(){
		userSvc.getUserInfo(true,true).then(function(data){
			app.fireEvent('main','UserInfoUpdate');
		}).catch(function(err){
			app.fireEvent('main','UserInfoUpdate');
		});
	};

	main.toJoyPage = function(tabId){
		changeTab({
			detail:{tabid:tabId||'tab-joy'}
		});
	};

	var newintentHandler = function(){
		console.log('newintent event');
		var appid = plus.runtime.appid.toLowerCase();
		var args = plus.runtime.arguments;
		if(args.indexOf("pushMsg")==2){
			var payload = JSON.parse(args);
			var msg = {title:'查悦社保',content:'',payload:payload.pushMsg};
			pushGetRun(msg);
			appSvc.pushMessageClick(msg,'4','');
			return;
		}
		var sca = args.replace(appid+'://','').split('?');
		var extras = sca.length > 1 ? common.utils.queryStringParse(args):{};
		switch(sca[0]){
			case 'joyart':
				if(extras.aid&&extras.type==2){
					$.openWindow({url:'article-video.html?aid='+extras.aid, id:'article-video'});
				}else if(extras.aid){
					$.openWindow({url:'article.html?aid='+extras.aid, id:'article'});
				}
				break;
			case 'browser':
			case 'joyurl':
				var openurl = decodeURIComponent(common.utils.queryString('url',args));
				if(openurl.indexOf('http://')==0||openurl.indexOf('https://')==0){
					extras.id = 'joyurl';
					app.openUrl(openurl,extras);
				}else{
					$.openWindow({url:openurl, extras:extras});
				}
				break;
			case 'joymsg': break;
			default:break;
		}
	};

	//获取客户定位信息相关回值处理
	var pushGetRun = function(msg) {
	    var user = app.getUser();
	    var payload = typeof msg.payload==='string' ? JSON.parse(msg.payload):msg.payload;
		switch(payload.domain){
			case 'joyart':
				if(payload.aid&&payload.type==2){
					$.openWindow({url:'article-video.html?aid='+payload.aid});
				}else if(payload.aid){
					$.openWindow({url:'article.html?aid='+payload.aid});
				}
				break;
			case 'joyurl':
				var openurl = payload.url,
					extras = payload;
				if(openurl.indexOf('http://')==0||openurl.indexOf('https://')==0){
					extras.id='joyurl';
					app.openUrl(openurl,extras);
				}else{
					$.openWindow({url:openurl, extras:extras});
				}
				break;
			case 'shebaoBindLogins':
					if(payload.content == '社保卡登录成功，点此查看' || payload.title == '社保卡登录成功，点此查看'){
						app.showSheBaoInfo(payload.securityAcctId);
					}else {
						app.showSheBaoAdd();
					}
				break;
			case 'gjjBindLogins':
					if(payload.content == '公积金卡登录成功，点此查看' || payload.title == '公积金卡登录成功，点此查看'){
						app.showGongJiJinInfo(payload.securityAcctId);
					}else {
						app.showGongJiJinAdd();
					}
				break;
			case 'shebaoInfoToUpdates':
					app.showSheBaoInfo(payload.securityAcctId);
				break;
			case 'gongjijinInfoToUpdates':
					app.showGongJiJinInfo(payload.fundAcctId);
				break;
			case 'joyRefreshSec':
				if(app.checkLogin()){
					if(user.securityAcctId){
						app.showSheBaoInfo(user.securityAcctId,{refresh:1});
					}else{
						$.alert('您还未绑定社保账户,请绑定后查询',function(){
							app.showSheBaoAdd();
						});
					}
				}else{
					$.alert('您还未登录,请登录后查询',function(){
						app.toLogin();
					});
				}
				break;
			case 'joyRefreshFun':
				if(app.checkLogin()){
					if(user.fundAcctId){
						app.showGongJiJinInfo(user.fundAcctId,{refresh:1});
					}else{
						$.alert('您还未绑定公积金账户,请绑定后查询',function(){
							app.showGongJiJinAdd();
						});
					}
				}else{
					$.alert('您还未登录,请登录后查询',function(){
						app.toLogin();
					});
				}
				break;
			case 'joymsg':
				$.openWindow({url:'messages.html', id:'messages', extras:payload});
				break;
			case 'chat':
				app.toKefu();
				break;
			default:break;
		}
	};
	var showConfirm = function(msg){
		var msgPayload = typeof msg.payload==='string' ? JSON.parse(msg.payload):msg.payload;
	    if(msgPayload.title||msgPayload.content){
	        showMsgView(msg);
	    }else{
			pushGetRun(msg);
	    }
	};
	var showMsgView = function(msg){
	    var msgPayload = typeof msg.payload==='string' ? JSON.parse(msg.payload):msg.payload;
		var mtop = imbar.statusbarHeight+10;
		if(!msgPayload.title&&msgPayload.content){
			msgPayload.title = msgPayload.content;
			msgPayload.content = undefined;
		}
		var extrs = '&tit='+encodeURIComponent(msgPayload.title);
		if(msgPayload.content) extrs+='&con='+encodeURIComponent(msgPayload.content);
		if(msgPayload.image) extrs+='&img='+encodeURIComponent(msgPayload.image);
		var url = 'showMsg.html?t='+Date.now()+extrs;

		var msgView = plus.webview.create(url,'msgView',{
			background:'transparent',dock:'top',height:'70px',
			top:mtop+'px',left:'15px',right:'15px',scrollIndicator:false,
			transition:{duration:'2s',timingfunction:'ease-in-out'}
		},{
			args:msg
		});
		msgView.show('slide-in-top');
		setTimeout(function(){
			msgView.close();
			var xpayload = JSON.stringify($.extend(msgPayload,{local:true}));
		},3000);
	};
	var checkStartArgs = function(){
       var args = plus.runtime.arguments;
       if(args.indexOf('pushMsg:')==0){
           var msg = {title:'查悦社保',content:'',payload:args.substr(8)};
           pushGetRun(msg);
           appSvc.pushMessageClick(msg,'3','');
       }
	};
	var setBadgeNumber = function(){
		if(mui.os.android){
			//main.pushMessages = plus.push.getAllMessage();
			//plus.runtime.setBadgeNumber(main.pushMessages.length||0);
		}else if(mui.os.ios){
			var GeTuiSdk = plus.ios.importClass('GeTuiSdk');
			GeTuiSdk.setBadge(0);
			plus.runtime.setBadgeNumber(0);
        }
	};
	
	var setNetType = function(nt){
		nt = nt || plus.networkinfo.getCurrentType();
		var TypeNames = ['UNKNOW','EMPTY','ETHERNET','WIFI','CELL2G','CELL3G','CELL4G'];
		var typeName = nt<TypeNames.length ? TypeNames[nt]:'OTHER';
		myStorage.setItem('NetType',typeName);
	};
	var netchangeHandler = function (toast) {
		var nt = plus.networkinfo.getCurrentType();
		var toastTxts = ['','网络已断开','','已连接到WIFI网络','已连接到2G网络','已连接到3G网络','已连接到4G网络'];
		var toasTxt = nt<toastTxts.length ? toastTxts[nt]:'';
		if(toast && toasTxt) plus.nativeUI.toast(toasTxt);
		if(!main.appInit && nt!= plus.networkinfo.CONNECTION_NONE){
			checkAndRun();
		}
		setNetType(nt);
	};

    var refresh = function () {
        console.log('refresh in home');
        main.homeFun.refresh();
        if(main.newsFun.inited) main.newsFun.refresh();
        if(main.myPageFun.inited) main.myPageFun.refresh();
    };

	var changeTab = function(event){
		var theBar = event&&event.detail.tabid ? g(event.detail.tabid):this;
		var name = theBar.getAttribute('jhref');
		//点击首页判断是否刷新
		if(g('tabHome').classList.contains('mui-active') && "#tabHome" == name){
			var tipsItem = document.getElementsByClassName('tips-item')[0];
			if(tipsItem){
				g('homeScroll').removeChild(tipsItem);
			}
			var item = document.createElement('div');
			item.className = 'tips-item';
			item.innerHTML = '<span class="fa fa-spinner fa-spin"></span>正在刷新';
			g('homeScroll').insertBefore(item,g('homeScroll').childNodes[0]);
		　　	app.fireEvent('main','getFeedList');
		}
		jel('#content>.mui-control-content').removeClass('mui-active');
		jel('#tabNav>.mui-tab-item').removeClass('mui-active');
		jel(name).addClass('mui-active');
		setTimeout(function(){
			theBar.classList.add('mui-active');
			switch(name){
				case '#tabHome':
					app.fireEvent('main','getpraised');
					break;
				case '#tabNews':
					if(!main.newsFun.inited) main.newsFun.init();
					break;
				case '#tabJoy':
					if(!main.joyFun.inited) main.joyFun.init();
					break;
				case '#tabServices':
					if(!main.serviceFun.inited) main.serviceFun.init();
					break;	
				case '#tabMypage':
					if(!main.myPageFun.inited) main.myPageFun.init();
					var badge = document.querySelector('#tab-mypage .red-corner-dot');
					if(badge) badge.classList.remove('red-corner-dot');
					break;
				default:break;
			}
		},10);
		return false;
	};
	var changeCity = function(e){
		if(e.detail){
			setCity(e.detail);
			main.homeFun.indexIconList();
			main.serviceFun.init();
		}
	};
	
	main.showConfirm = showConfirm;
	main.showMsgView = showMsgView;
	
	//是否为后台运行[Y:发送后台推送消息;N:发送小黑框推送消息]
	var isBackGround = function (msg){
		if(main.isBackground){
            console.log('background push receive');
            var temporaryObj = eval('(' + msg.payload + ')');
            msg.content = temporaryObj.content;
            msg.title = temporaryObj.title || '查悦社保:';
            plus.push.createMessage(msg.content,msg.payload,{title:msg.title});
        }else{
            console.log('frontground push receive');
            showMsgView(msg);
        }
	}
	
	
	//社保卡登录请求
	var shebaoBindLogin = function(e){
		var webView = plus.webview.getWebviewById(e.detail.webViewObId);
		var msg = {};
		localStorage.setItem('shebaoBindLoginState',false);
		shebaoSvc.bindSecurityCard(e.detail.secData).then(function (data) {
			localStorage.removeItem('shebaoBindLoginState');
			msg.payload = JSON.stringify({domain:'shebaoBindLogins',securityAcctId:data.securityAcctId,title:'',content:'社保卡登录成功，点此查看'});
			$.fire(webView,'successfulLanding',{success:data});
			isBackGround(msg);
		}).catch(function (err) {
			localStorage.removeItem('shebaoBindLoginState');
			$.fire(webView,'landingFailure',{fail:err});
			msg.payload = JSON.stringify({domain:'shebaoBindLogins',title:'',content:'社保卡登录失败，点此重新操作'});
			isBackGround(msg);
		});
	}
	
	
	//公积金卡登录请求
	var gjjBindLogin = function(e){
		var webView = plus.webview.getWebviewById(e.detail.webViewObId);
		var msg = {};
		localStorage.setItem('gjjBindLoginState',false);
		gjjSvc.analysisFundCard(e.detail.secData).then(function (data) {
			localStorage.removeItem('gjjBindLoginState');
			msg.payload = JSON.stringify({domain:'gjjBindLogins',securityAcctId:data.fundAcctId,title:'',content:'公积金卡登录成功，点此查看'});
			$.fire(webView,'gjjsuccessfulLanding',{success:data});
			isBackGround(msg);
		}).catch(function (err) {
			localStorage.removeItem('gjjBindLoginState');
			$.fire(webView,'gjjlandingFailure',{fail:err});
			msg.payload = JSON.stringify({domain:'gjjBindLogins',title:'',content:'公积金卡登录失败，点此重新操作'});
			isBackGround(msg);
		});
	}
	
	
	var shebaoInfoSecIdFun = function(securityAcctId){
		var shebaoInfoSecIdAry2 = JSON.parse(localStorage.getItem('shebaoInfoSecId'));
	   	for(var i=0;i<shebaoInfoSecIdAry2.length;i++){
	   		if(shebaoInfoSecIdAry2[i] == securityAcctId){
	   			shebaoInfoSecIdAry2.splice(i,1);
	   		}
	   	}
	   	return shebaoInfoSecIdAry2;
	}
	//社保卡更新请求
	var shebaoInfoToUpdate = function(e){
		var webView = plus.webview.getWebviewById(e.detail.webViewObId);
		var msg = {};
		
		localStorage.setItem("shebaoReadPage",false);
		var shebaoInfoSecIdAry = JSON.parse(localStorage.getItem('shebaoInfoSecId')) || [];
		shebaoInfoSecIdAry.push(e.detail.securityAcctId);
		localStorage.setItem("shebaoInfoSecId",JSON.stringify(shebaoInfoSecIdAry));
		
		shebaoSvc.refreshSecurity(e.detail.safeCode,e.detail.securityAcctId,e.detail.phoneCode).then(function (data) {
			localStorage.setItem("shebaoReadPage",true);
		   	localStorage.setItem("shebaoInfoSecId",JSON.stringify(shebaoInfoSecIdFun(e.detail.securityAcctId)));
		   	$.fire(webView,'dateRefresh',{success:data});
		   	msg.payload = JSON.stringify({domain:'shebaoInfoToUpdates',securityAcctId:e.detail.securityAcctId,title:'',content:e.detail.appName + '的社保信息更新完毕，点此查看'});
		   	isBackGround(msg);
		}).catch(function (err) {
			localStorage.removeItem("shebaoReadPage");
			localStorage.setItem("shebaoInfoSecId",JSON.stringify(shebaoInfoSecIdFun(e.detail.securityAcctId)));
   			$.fire(webView,'dateRefreshErr',{fail:err});
   			msg.payload = JSON.stringify({domain:'shebaoInfoToUpdates',securityAcctId:e.detail.securityAcctId,title:'',content:e.detail.appName + '的社保信息更新失败，点此重新操作'});
   			isBackGround(msg);
		});
	}
	var gjjInfoSecIdFun = function(fundAcctId){
		var gjjInfoSecIdAry2 = JSON.parse(localStorage.getItem('gjjInfoSecId'));
	   	for(var i=0;i<gjjInfoSecIdAry2.length;i++){
	   		if(gjjInfoSecIdAry2[i] == fundAcctId){
	   			gjjInfoSecIdAry2.splice(i,1);
	   		}
	   	}
	   	return gjjInfoSecIdAry2;
	}
	//公积金更新请求
	var gongjijinInfoToUpdate = function(e){
		var webView = plus.webview.getWebviewById(e.detail.webViewObId);
		var msg = {};
		
		localStorage.setItem("gjjReadPage",false);
		var gjjInfoSecId = JSON.parse(localStorage.getItem('gjjInfoSecId')) || [];
		gjjInfoSecId.push(e.detail.fundAcctId);
		localStorage.setItem("gjjInfoSecId",JSON.stringify(gjjInfoSecId));
		
		gjjSvc.refreshFund(e.detail.code,e.detail.fundAcctId).then(function (data) {
			localStorage.setItem("gjjReadPage",true);
		   	localStorage.setItem("gjjInfoSecId",JSON.stringify(gjjInfoSecIdFun(e.detail.fundAcctId)));
		   	msg.payload = JSON.stringify({domain:'gongjijinInfoToUpdates',fundAcctId:e.detail.fundAcctId,title:'',content:e.detail.appName + '的公积金信息更新完毕，点此查看'});
			$.fire(webView,'AccumulationFundDateSuccess',{success:data});
			isBackGround(msg);
		}).catch(function (err) {
			localStorage.removeItem("gjjReadPage");
			localStorage.setItem("gjjInfoSecId",JSON.stringify(gjjInfoSecIdFun(e.detail.fundAcctId)));
			$.fire(webView,'AccumulationFundDateErr',{fail:err});
			msg.payload = JSON.stringify({domain:'gongjijinInfoToUpdates',fundAcctId:e.detail.fundAcctId,title:'',content:e.detail.appName + '的公积金信息更新失败，点此重新操作'});
			isBackGround(msg);
		});
	}
	//设置刷新
	var settingLoad = function(e){
		var webView = plus.webview.getWebviewById('setting');
		$.fire(webView,'settingReLoad');
	}
	
	function checkAndRun(){
		if(plus.networkinfo.getCurrentType() != plus.networkinfo.CONNECTION_NONE){
			g('connectionNone').classList.add('mui-hidden');
			if(!main.appInit) mainInit();
		}else{
			g('connectionNone').classList.remove('mui-hidden');
			if(mui.os.android){
				var mainActivity = plus.android.runtimeMainActivity();
				if(mainActivity.closeSplash) mainActivity.closeSplash();
			}
			plus.navigator.closeSplashscreen();
		}
	}
	
	g('reInit').addEventListener('tap',function(){
		if($.os.ios){
			plus.JOYReachbility.analysisNetwork();
		}else{
			if(plus.networkinfo.getCurrentType() != plus.networkinfo.CONNECTION_NONE){
				if(!main.appInit) mainInit();	
			}else{
				$.alert('设备仍然无法联接到网络请检查\n 1.是否开启了飞行模式\n2.是否第三方应用限制访问网络');
			}
		}
	},false);
	
	//神策埋点
	function joyTrack(){
		//底部导航埋点
		jTrack.regEvents('#tabNav a','joyLinkClick','jtrack_name:this.innerText,jtrack_page:attr.jhref');
		//搜索框埋点
		jTrack.regEvents('#searchBar','joyLinkClick','jtrack_name:this.innerText,jtrack_page:search_all.html');
		//消息中心埋点
		jTrack.regEvents('#messageBar','joyLinkClick','jtrack_name:消息中心,jtrack_page:messageCenter.html');
		//首页feed流tab
		jTrack.regEvents('#feedTab .mui-control-item','joyCateClick','jtrack_cate_type:8,jtrack_name:this.innerText,jtrack_cate_id:attr.tab');
		//首页第一部分Icon(小)
		jTrack.regEventsLive('#titleIcon','.fun','joyFuncClick','jtrack_name:this.innerText,jtrack_page:attr.data-href,jtrack_pid:attr.serialNumber');
		//首页第一部分Icon(大)
		jTrack.regEventsLive('#funsInner','a','joyFuncClick','jtrack_name:this.innerText,jtrack_page:attr.data-href,jtrack_pid:attr.serialNumber');
		//首页第二部分Icon
		jTrack.regEventsLive('#bizList','.btn','joyFuncClick','jtrack_name:this.innerText,jtrack_page:attr.data-href,jtrack_pid:attr.serialnumber');
		//首页社会保障卡
		jTrack.regEvents('#shebaoInfo .unbind','joyLinkClick','jtrack_name:社保绑卡');
		//首页社会保障卡
		jTrack.regEvents('#fundInfo .unbind','joyLinkClick','jtrack_name:公积金绑卡');
		//首页feed流内容
		jTrack.regEventsLive('#feedGroup','.feed-item a','joyFeedClick','jtrack_name:this.innerText,jtrack_feed_type:attr.data-type,jtrack_feed_id:attr.data-id');
		//首页feed流内容-点赞/取消点赞
		jTrack.regEventsLive('#feedGroup','.feed-item .info .praise','joyPraise','jtrack_praise_type:attr.praised,jtrack_name:attr.title,jtrack_con_type:2,jtrack_con_id:attr.aid');
		//首页大广告位
		jTrack.regEventsLive('#homebig','a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
		//首页小广告位[1]
		jTrack.regEventsLive('#homesmall1','a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
		//首页小广告位[2]
		jTrack.regEventsLive('#homesmall2','a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
		//首页小广告位[3]
		jTrack.regEventsLive('#homesmall3','a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
		
		//悦社feed流tab
		jTrack.regEventsLive('#cateList','.mui-control-item','joyCateClick','jtrack_name:this.innerText,jtrack_cate_type:1,jtrack_cate_id:attr.cate');
		//悦社feed流内容评论按钮
		jTrack.regEventsLive('#pullRefresh','.article-item .article_function .pinglun','joyLinkClick','jtrack_name:悦社列表评论');
		//悦社顶部搜索框
		jTrack.regEvents('#chooseTitle .mui-placeholder','joyLinkClick','jtrack_name:文章搜索框');
		//悦社feed流内容-点赞/取消点赞
		jTrack.regEventsLive('#pullRefresh','.article-item .article_function .zhan','joyPraise','jtrack_praise_type:attr.praised,jtrack_name:attr.title,jtrack_con_type:2,jtrack_con_id:attr.aid');
		//悦社feed流内容-视频 video-cover类
		jTrack.regEventsLive('#pullRefresh','.article-item .video-cover','joyVideoPlay','jtrack_name:attr.title,jtrack_con_id:attr.aid,jtrack_con_type:2');
		
		//服务
		jTrack.regEventsLive('#serviceMain','.service-item','joyFuncClick','jtrack_name:this.innerText,jtrack_page:attr.jhref,jtrack_pid:attr.id');
		
		//我的-个人信息(用户信息)
		jTrack.regEvents('#topHandler','joyLinkClick','jtrack_name:用户信息,jtrack_page:/view/auth-login.html');
		//我的-社保订单
		jTrack.regEvents('#orders','joyLinkClick','jtrack_name:社保订单,jtrack_page:/view/order-list.html');
		//我的-医疗订单
		jTrack.regEvents('#tijian','joyLinkClick','jtrack_name:医疗订单,jtrack_page:/view/o2o/order/order-list.html');
		//我的-保险订单
		jTrack.regEvents('#insurance','joyLinkClick','jtrack_name:保险订单,jtrack_page:/view/bx-order-list.html');
		//我的-我的咨询
		jTrack.regEvents('#advices','joyLinkClick','jtrack_name:我的咨询,jtrack_page:/view/zixun.html');
		//我的-我的社保卡
		jTrack.regEvents('#sbk','joyLinkClick','jtrack_name:我的社保卡,jtrack_page:/view/sbk-list.html');
		//我的-我的公积金卡
		jTrack.regEvents('#gjj','joyLinkClick','jtrack_name:我的公积金,jtrack_page:/view/gjj-list.html');
		//我的-我的收藏
		jTrack.regEvents('#favorites','joyLinkClick','jtrack_name:我的收藏,jtrack_page:/view/favorites.html');
		//我的-我的足迹
		jTrack.regEvents('#footprint','joyLinkClick','jtrack_name:我的足迹,jtrack_page:/view/footPrint.html');
		//我的-最近评论
		jTrack.regEvents('#recently-comment','joyLinkClick','jtrack_name:最近评论,jtrack_page:/view/my-self.html');
		//我的-联系方式
		jTrack.regEvents('#contact','joyLinkClick','jtrack_name:联系方式,jtrack_page:/view/my-comment.html');
		//我的-软件更新
		jTrack.regEvents('#checkBar','joyLinkClick','jtrack_name:软件更新,jtrack_page:this.innerText');
		//我的-赐个评分
		jTrack.regEvents('#mark','joyLinkClick','jtrack_name:赐个评分');
		//我的-分享给好友
		jTrack.regEvents('#share','joyLinkClick','jtrack_name:分享应用');
		//我的-设置
		jTrack.regEvents('#setting','joyLinkClick','jtrack_name:应用设置');
	}
	
    $.ready(function(){
		app.testQuit();
		$('#content>.mui-control-content>.mui-scroll-wrapper:not(.no-init-scroll)').scroll({
			deceleration: 0.0005,
			indicators: true,
			bounce:false
		});

		$('#tabNav').on('tap','a.mui-tab-item',changeTab);
		
		window.addEventListener('goTab', changeTab,false);
		window.addEventListener('changeCity', changeCity ,false);
		window.addEventListener('refreshHome',main.homeFun.showInfo,false);

		window.addEventListener('refreshSecNum',main.myPageFun.getSecNum,false);
		window.addEventListener('refreshFunNum',main.myPageFun.getFunNum,false);
		window.addEventListener('refreshUserBizState',main.myPageFun.getPersonInfo,false);
		
		window.addEventListener('refreshUserInfo',main.myPageFun.getUserInfo,false);
		window.addEventListener('refreshUserShow',main.myPageFun.setUserMore,false);
		window.addEventListener('refreshAdviceState',main.myPageFun.getReplyState,false);
		
		window.addEventListener('refresh_data',refresh,false);
		//2019年5月28日18:16:10 luzhe
		//社保卡登录
		window.addEventListener('shebaoBindLogin',shebaoBindLogin,false);
		//公积金卡登录
		window.addEventListener('gjjBindLogin',gjjBindLogin,false);
		//社保信息
		window.addEventListener('shebaoInfoToUpdate',shebaoInfoToUpdate,false);
		//公积金信息
		window.addEventListener('gongjijinInfoToUpdate',gongjijinInfoToUpdate,false);
		//设置-注销账号
		window.addEventListener('settingLoad',settingLoad,false);
		//2019年5月28日18:16:10 luzhe  end
		
		$.plusReady(function(){
			localStorage.removeItem("shebaoReadPage");
			localStorage.removeItem("gjjReadPage");
			localStorage.removeItem("shebaoBindLoginState");
			localStorage.removeItem("gjjBindLoginState");
			localStorage.setItem("shebaoInfoSecId",JSON.stringify([]));
			localStorage.setItem("gjjInfoSecId",JSON.stringify([]));
			
			plus.screen.lockOrientation("portrait-primary");

			initImbar();
			setNetType();
			checkAndRun();
			joyTrack();
			
			plus.push.addEventListener('click', function(msg) {
			    console.log('push click');
				pushGetRun(msg);
				appSvc.pushMessageClick(msg,'1','getui');
			}, false);
			
			plus.push.addEventListener('receive', function(msg) {
				var msgPayload = typeof msg.payload==='string' ? JSON.parse(msg.payload):msg.payload;
                if(msgPayload.local) return;
                if(mui.os.android){
                    main.pushMessages = plus.push.getAllMessage();
                    plus.push.remove(main.pushMessages[main.pushMessages.length-1]);
                }
                if(main.isBackground){
                    console.log('background push receive');
                    plus.push.createMessage(msg.content,msg.payload,{title:msg.title});
                }else{
                    console.log('frontground push receive');
                    showConfirm(msg);
                }
			}, false);
			
			document.addEventListener('background', function(){
				main.isBackground = true;
			},false);
			document.addEventListener('foreground', function(){
				main.isBackground = false;
			},false);
			document.addEventListener('pause', function(){
				main.isBackground = true;
			},false);
			document.addEventListener('resume', function(){
				main.isBackground = false;
			},false);
			
			document.addEventListener('netchange', function(){
				netchangeHandler(true);
				
			},false);
		    
			document.addEventListener('msgclick', function(e){
				pushGetRun(e.detail.msg);
				appSvc.pushMessageClick(e.detail.msg,'2','getui');
			},false);
		    
			document.addEventListener('newintent', newintentHandler,false);
		});
	});
 
})(mui,app,myStorage);

