(function($,bws) {
	$.init();
	
	var me=null,ws=null;
	bws.ws = ws;
	bws.me = me;
	
	
	var closeBtn = g('close');
	var title = g('title');
	
	g('close').addEventListener('tap',function(){
		plus.webview.currentWebview().close();
	},false);
	$.plusReady(function(){
		me = plus.webview.currentWebview();
		var scalable = me.scalable===true ? true:false,
			url = decodeURIComponent(me.url),
			bh = imbar?imbar.bottomSafeArea:0;
			
		ws = plus.webview.create(url,'open_web',{
			top:imbar.navBarHeight+'px',
			bottom:bh+"px",
			errorPage:'404.html',
			scalable:scalable
		});
		ws.appendJsFile('_www/js/controller/inject-bw.js');
		//'.*\\.(jpg|png|jpeg|bmp|apk)\\b'
		ws.overrideUrlLoading({
			match:'.*\\.(ipa|apk|zip|rar|exe|7z|sh|gz)\\b'
		},function(e){
			console.log(e.url);
		});
		
		if(me.cssText) {
			ws.setCssText(me.cssText);
		}
		if(me.jsFiles) {
			if(!$.isArray(me.jsFiles)){
				me.jsFiles = [me.jsFiles];
			}
			$.each(me.jsFiles, function(i,js) {
				ws.appendJsFile(js);
			});
		}
		if(me.showCloseBtn){
			g('close').classList.remove('mui-hidden');
		}
		if(me.titleBackground){
			g('navBar').style.background=me.titleBackground;
		}		
		if(!me.title || me.autoTitle){
			ws.addEventListener("titleUpdate", function(e){
				g('title').innerText = e.title;
			}, false);
		}else if(me.title){
			g('title').innerText = decodeURIComponent(me.title);
		}
		
		ws.addEventListener('progressChanged',function(e){
			$("#progress").progressbar().setProgress(e.progress);
			if(e.progress===100){
				$("#progress").progressbar().hide();
				$("#progress")[0].classList.add('mui-hidden');
			}
		},false);
		ws.addEventListener('loading',function(e){
			$("#progress")[0].classList.remove('mui-hidden');
			$("#progress").progressbar({progress:1}).show();
		},false);
		ws.addEventListener("loaded", function(e){
			if(!ws.parent()) me.append(ws);
			if(url.indexOf(app._webUrl)<0){
				g('share').classList.remove('mui-hidden');
			}
			
			if(window.SDAnalytics){
				SDAnalytics.customTrack('joyOpenUrl',{$title:g('title').innerText,$url:url});
			}
		}, false);
		
		g('share').addEventListener('tap',function(){
			if(me.shareMsg){
				share.showShares({autoDestroy:true,useWebview:true},me.shareMsg);
			}else{
				share.showShares({autoDestroy:true,useWebview:true,shareWebview:ws});
			}
		},false);
		
		if(me.showTiming==='firstTime'){
			me.append(ws);
		}else{
			ws.addEventListener("titleUpdate", function(e){
				if(!ws.parent() && me.showTiming==='titleUpdate') me.append(ws);
				if(me.enableHistory){
					mui.oldBack = mui.back;
					mui.back = function(){
						ws.evalJS('jwin.back();');
					};
				}
			}, false);
		}
	});
})(mui, window.bws={});