(function($) {
	var getOrderContact = {
		setContacts: function() {
			var name = ['gf-kf', 'gf-wxgzh', 'thirdContacts'],
				ele = ['authority', 'WeChat', 'account'];
			var len = g('myPageContacts').querySelectorAll('li').length;
			for(var i = 0; i < len; i++) {
				orderContact(name[i], ele[i]);
			}

			$('#myPageContacts').off();
			$('#myPageContacts').on('tap', '.mui-table-view-cell a', function() {
				var action = this.getAttribute('type');
				var txt = this.getAttribute('text');
				if(action == '1') {
					// 微信账号
					app.copyText(txt);
					$.toast('号码已复制到剪贴板');
				} else if(action == '2') {
					// qq客服
					app.copyText(txt);
					plus.runtime.openURL('mqqwpa://im/chat?chat_type=crm&uin=' + txt + '&version=1&src_type=web&web_src=http:://wpa.b.qq.com');
				} else if(action == '3') {
					// 电话号码
					plus.runtime.openURL('tel:' + txt);
				} else if(action == '5') {
					// 网址
					app.openMultiURL(txt);
				}
			});
		}
	}
	

	//获取联系方式
	function orderContact(name, ele) {
		appSvc.getContactsNew(name).then(function(data) {
			if(data.conList && data.conList.length > 0){
				g(ele).querySelector('.content-head').classList.remove('mui-hidden');
				var html = [];
				$.each(data.conList, function(i, item) {
					var href = '',
						text = '';
					if(item.mlType == 3) {
						href = 'href="tel:' + item.mlContent + '"';
					} else if(item.mlType == 4) {
						href = 'href="mailto:' + item.mlContent + '"';
					}
					if(item.mlType == 1 || item.mlType == 2) {
						text = '复制';
					} else if(item.mlType == 3) {
						text = '拨打'
					} else if(item.mlType == 5) {
						text = '打开';
					} else {
						text = '暂无';
					}
					html = html.concat(['<a ' + href + ' type="' + item.mlType + '" text="' + item.mlContent + '">',
						'<span>' + item.mlTitle + '</span>',
						'<span class="color-dark pull-right">' + item.mlContent + '</span>',
						'<span class="order-copy">' + text + '</span>',
						'</a>'
					]);

				});
				g(ele).querySelector('.content-text').innerHTML = html.join('');
				g(ele).querySelector('.order-title').innerHTML = data.mlLocationName;
				
			}else{
				g(ele).querySelector('.content-head').classList.add('mui-hidden');
			}
			
		}).catch(function(err) {
			console.error(err.message, err);
		});
	}
	
	function joyTrack(){
	 	jTrack.regEventsLive('#myPageContacts','a','joyLinkClick','jtrack_name:this.innerText');
	}
	
	$.plusReady(function(){
		getOrderContact.setContacts();
		joyTrack();
	})
}(mui))