/**
 * Created by tuchl on 2016-08-12.
 */
(function ($) {
	var buzzId = null;
	var orderType = null;
	
	var g = function(id){ return document.getElementById(id); };
	
	var getOrderDetail = function(){
		var buzzId = common.utils.queryString("buzzId");
		var orderType = common.utils.queryString("orderType");
        bizSvc.getOrderDetail_new(orderType,buzzId).then(function(data){
        	g("productName").innerText = data.productName;
        	g("policyNo").innerText = data.policyNo;
        	g("createTime").innerText = data.createTime||"";
        	var state = data.notifyType;
        	if(state==="投保"){
        		g("orderState").style.cssText = "background: #008000; color: #fff; line-height: 14px; border-radius: 5px; padding:5px 10px;";
				state = "<span class='fa fa-shield color-yellow'></span> " + data.notifyType;
        	}
        	g("orderState").innerHTML = state;
        	g("orderTime").innerText = data.beginDate + " 至 " + data.endDate;
        	g("orgName").innerText="众安保险";
        	g("orgLogo").src=data.logoAddr;
        	g("premium").innerText = data.premium+'元';
        	g("sumInsured").innerText = data.sumInsured+'元';
        	
        	if(data.name){
        		g("name").innerText = data.name||"";
        		g("phoneNum").innerText = data.phoneNum||"";
        		g("cardNo").innerText = data.cardNo||"";
        	}else{
        		g("applicant").style.display="none";
        	}
        }).catch(function(err){
        	if(err.code=='0'){
				g('conBox').innerHTML = '<div class="not-network"><span>点击页面 重新加载</span></div>';
			}
        	console.error(err.message,err);
        });
	};
	
	$('#conBox').on('tap','.not-network',getOrderDetail);

    $.init();
    
    getOrderDetail();
 
})(mui);