/**
 * Created by tuchl on 2016-08-12.
 */
(function ($) {
	var channels = {};
	var id=common.utils.queryString("id");
	var pro=common.utils.queryString("pro");
	var amt=common.utils.queryString("amt");
	var g = function(id){ return document.getElementById(id); };
	var getChannels = function(s){
		var payChannels = g('payChannels');
		var channel = null;
		for(var i=0;i<s.length;i++){
			channels[s[i].id] = s[i];
			if(s[i].id == 'applePay') {
				g('applePayBox').classList.remove('mui-hidden');
			}
		}
	};
	var selectChannel = function(){
		theChk = this.querySelector('input');
		theChk.checked = true;
		return false;
	};

	var saTack = function(id,payway,result){
		//神策社保订单支付
		if(window.SDAnalytics){
			SDAnalytics.customTrack('joyOrderPay',{
				 jtrack_pay_oid:id,
				 jtrack_pay_otype:1,
				 jtrack_pay_way:payway,
				 jtrack_pay_amount:amt,
				 jtrack_pay_result:result
			});
		}
	};

	var prePay = function(payway){
		var waitting = plus.nativeUI.showWaiting();
		bizSvc.prePay(id,bizSvc.payMethod[payway]).then(function(data){
			var paySrc = null;
			if(payway=='wxpay') {
				paySrc = JSON.stringify(data.tradeData);
			}else if(payway=='alipay') {
				paySrc = data.tradeData;
			} else {
				paySrc = data.tradeData;
			}
			plus.payment.request(channels[payway], paySrc, function(result){
				saTack(id,payway,'成功');
		 		console.log(JSON.stringify(result));
		 		g('title').innerHTML = '支付结果';
		 		g('payCon').style.display="none";
		 		g('paySuccess').style.display="block";
		 		$.fire(mui.currentWebview.opener(),'paySuccess');
			}, function(error){
				saTack(id,payway,'失败');
				g('title').innerHTML = '支付结果';
				g('payCon').style.display="none";
				g('payFail').style.display="block";
				parseError(payway,error);
				//g('errTxt').innerHTML=error.message;				
			 	console.log(JSON.stringify(error));
			});
		}).catch(function(err){
			waitting.close();
			$.alert(err.message);
			console.error(err.message,err);
		});
	};
	var parseError = function(type,error){
		if(type=='wxpay'){
			if(error.message.indexOf('[payment微信:-2]')>=0){
				g('errTxt').innerHTML="您已取消支付";
			}else if(error.message.indexOf('[payment微信:-3]')>=0){
				g('errTxt').innerHTML="支付请求发送失败，请检查是否网络问题";
			}else{
				g('errTxt').innerHTML="支付环境错误";
			}
		}else if(type=='alipay'){
			if(error.message.indexOf('[payment支付宝:62001]')>=0){
				g('errTxt').innerHTML="您已取消支付";
			}else if(error.message.indexOf('[payment支付宝:62002]')>=0){
				g('errTxt').innerHTML="您的设备不支持支付";
			}else if(error.message.indexOf('[payment支付宝:62003]')>=0){
				g('errTxt').innerHTML="数据格式错误";
			}else if(error.message.indexOf('[payment支付宝:62005]')>=0){
				g('errTxt').innerHTML="订单信息错误";
			}else if(error.message.indexOf('[payment支付宝:62006]')>=0||error.message.indexOf('[payment支付宝:62007]')>=0){
				g('errTxt').innerHTML="支付宝服务错误";
			}else if(error.message.indexOf('[payment支付宝:62008]')>=0){
				g('errTxt').innerHTML="网络错误";
			}else {
				g('errTxt').innerHTML="支付环境错误";
			}
		}else{
			g('errTxt').innerHTML=error.message||'未知错误';
		}
	};
	

	var payOrder = function(){
		var chks = document.querySelector('#payChannels input:checked');
		var payChannel = channels[chks.id];
		if(!payChannel.serviceReady){
			var msg = '系统未安装“'+payChannel.description+'”服务，无法完成支付，是否立即安装？';
			plus.nativeUI.confirm(msg, function(e){
				if(e.index==0){
					payChannel.installService();
				}
			}, payChannel.description);
		}
		prePay(chks.id);
	};
	
	$.plusReady(function(){
		var ws = $.currentWebview;
		if(ws.detail) {
			g('showDetail').style.display='inline-block';
			g('pro2').innerHTML = ws.detail.pName;
			g('pAmount').innerHTML = ws.detail.pAmount;
			g('pServiceFee').innerHTML = ws.detail.pServiceFee;
			g('buyerCount').innerHTML = '×'+ws.detail.buyerCount;
			if(!ws.detail.pAmount) g('dpro').style.display='none';
			var pTotalFee = (ws.detail.pAmount*100+ws.detail.pServiceFee*100)/100;
			if(ws.detail.serviceType===1) {
				var num = ws.detail.months;
				if(ws.detail.pFeeType===1){
					num = num/12;
				}
				g('month1').innerHTML='×'+num;
				g('month2').innerHTML='×'+num;
				g('pProAmount').innerHTML = pTotalFee*num;
			}else{
				g('pProAmount').innerHTML = pTotalFee;
			}
			g('time').innerHTML = ws.detail.createTime;			
			if(ws.detail.servicesCompName){
				g('org').innerHTML = ws.detail.servicesCompName;
			}else{
				g('orgShow').style.display='none';
			}
		}else{
			g('showDetail').style.display='none';
			g('org').style.display='none';
		}
		plus.payment.getChannels(function(s){
			getChannels(s);
		}, function(e){
			alert( "获取支付通道列表失败："+e.message );
		});
	});
	
	$('#payChannels').on('tap','.mui-radio',selectChannel);
	g('payOrder').addEventListener('tap',payOrder,false);
	g('colseOK').addEventListener('tap',function(){
		app.fireEvent('order','refresh_data');
		app.fireEvent('orders','refresh_data');
		$.currentWebview.close();
	},false);
	g('colseErr').addEventListener('tap',function(){
		g('title').innerHTML = '在线支付';
		g('payCon').style.display="block";
		g('payFail').style.display="none";
	},false);
	g('showDetail').addEventListener('tap',function(){
		 if(this.classList.contains('fa-angle-down')){
		 	g('detail').style.display='block';
		 	this.classList.remove('fa-angle-down');
		 	this.classList.add('fa-angle-up');
		 }else{
		 	g('detail').style.display='none';
		 	this.classList.add('fa-angle-down');
		 	this.classList.remove('fa-angle-up');
		 }
	},false);
	
	g('pro').innerHTML = pro?decodeURIComponent(pro):'商品';
	g('pro1').innerHTML = pro?decodeURIComponent(pro):'商品';
	var amta = amt?parseFloat(amt).toFixed(2).split('.'):'0.00'.split('.');
	g('amtInt').innerHTML = amta[0];
	g('amtDec').innerHTML = '.'+amta[1];
	g('amt1').innerHTML = parseFloat(amt).toFixed(2);
})(mui);