(function($){
	$.init({swipeBack:true});
	
	$('#zixun').on('tap','.link',function(){
		if(!app.checkLogin()){
			app.toLogin();
		}else{
			var webviewId = this.getAttribute("webviewId");
			var href = this.getAttribute("jhref");
			$.openWindow(href,webviewId);
		}
	});
	$('#zixun').on('tap','.joy',function(){
		var mainView = plus.webview.getLaunchWebview();
		mui.fire(mainView, 'goTab', {tabid:'tab-joy'});
		var allWebview = plus.webview.all();
		for (var i = 0; i < allWebview.length; i++) {
			if (mainView.id != allWebview[i].id) {
				allWebview[i].close('none');
			}
		}
	});
	$('#zixun').on('tap','.kf',function(){
		app.toKefu();
	});
	
	$('#cateList').on('tap','li',function(){
		var keywords = this.getAttribute('keywords');
		$.openWindow({
			url:'search_news.html?type=2&words=' + encodeURIComponent(keywords),
			id:'searchNews',
			waiting: {autoShow: false}
		});
	});
	
	$('.mui-bar-transparent').transparent({
	    top: 0,
	    offset: 150,
	    duration: 16,
	    scrollby: document.querySelector('.mui-scroll-wrapper')
	});
	
	$(".mui-scroll-wrapper").scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
	});
	
	function setListHtml(data){
		var cateList = g('cateList');
		$.each(data, function(i,item) {
			var cateLi = document.createElement('li');
    		cateLi.setAttribute('videoId',item.id);
    		cateLi.setAttribute('videoName',item.videoName);
    		cateLi.setAttribute('keywords',item.videoSearch);
    		cateLi.style.backgroundImage = 'url('+item.videoImagePath+')';//../images/qa/vcimg.jpg;
    		cateLi.innerHTML=item.videoName;
    		cateList.appendChild(cateLi);
		});
	}
	function getVideoClassList(){
		newsSvc.getVideoClassList().then(function(data){
			setListHtml(data);
		}).catch(function(err){
			console.error(err.message,err);
		});
	}
	
	//神策埋点
	function joyTrack(){
		//在线咨询
		jTrack.regEvents('#zixun .kf','joyLinkClick','jtrack_name:在线咨询');
		//付费咨询
		jTrack.regEvents('#zixun .ff','joyLinkClick','jtrack_name:付费咨询,jtrack_page:attr.jhref');
		//热搜内容列表
		jTrack.regEventsLive('#cateList','li','joyCateClick','jtrack_name:attr.videoname,jtrack_cate_id:attr.videoid,jtrack_cate_type:2');
	}
	
	$.plusReady(function(){
		getVideoClassList();
		joyTrack();
	});
	
	
})(mui)