(function($, doc) {
	$.init();
	var pickBtn = doc.getElementById('pickCity');
	var bindBtn = doc.getElementById('bind');
	var codeImg = doc.getElementById('codeImg');
	var locationBox = doc.getElementById('location');
	var cityCodeBox = doc.getElementById('cityCodex');
	var safeCodeBox = doc.getElementById('safeCodex');
	var moreInfo = document.getElementById('moreInfo');
	var sb_reg = document.getElementById('reg');
	var sb_fgt = document.getElementById('fgt');
	var btnGetMsg = document.getElementById('btnGetMsg');
	var shebaoType = document.getElementById("shebaoType");//参保类型
	var shebaoTypeData;//存放登录问题的数据
	var officialConfigList;
	var cmParaList;//第二次输入参数
	var cityCodeChange = app.getCity(); //初始化城市
	var promptCopy = {
		account:'',
		bodyCode:'',
		name:'',
		safeCode:'',
		phoneCode:'',
		password:'',
		cityCode:'',
		selectCity:''
	};
	var showSafeCode = true;
    var securityStatus = 1;
    var paraValue;//下拉菜单参数名
    var fromVWId = common.utils.queryString('vwid'); 
    var events = common.utils.queryString('evts');
   
    //获取原始窗口的高度
    /*
    webview 高度变化 使得webview显示到最上层bug 
	var originalHeight = document.documentElement.clientHeight || document.body.clientHeight;
	window.onresize = function() {
		//软键盘弹起与隐藏  都会引起窗口的高度发生变化
		var resizeHeight = document.documentElement.clientHeight || document.body.clientHeight;
		if(resizeHeight * 1 < originalHeight * 1) { //resizeHeight<originalHeight证明窗口被挤压了
			plus.webview.currentWebview().setStyle({
				height: originalHeight
			});
		}
	}
	*/
	String.prototype.trim=function(){
		return this.replace(/(^\s*)|(\s*$)/g, "");
	};
	
	//新增：提示不能为空
	function warning(txt){
		var warn = document.getElementById("warning");
		warn.classList.add('active');
		warn.innerHTML = txt;
		setTimeout(function(){
			warn.classList.remove('active');
		},4000);
	}
	//获取图片验证码
	var getSafeCodeImg = function(img,input){
		if(!showSafeCode) return;
		var officialCode = g("shebaoType").value;
		var theImg = img || g('codeRow').querySelector('img');
		var theInput = input || g('codeRow').querySelector('input');
		shebaoSvc.getSafeCode(officialCode).then(function (data) {
			theImg.setAttribute('src',data.saveCodePath);
			theInput.value='';
		}).catch(function (err) {
			$.alert('连接社保网失败');
			console.error(err.message,err);
		});
	};
 	var bindConfirm = function(data){
 		var fields = g('confirm'); 
		while(fields.children.length>0){
			var item = fields.children[0];
			item.remove();
		}
		g('yzm').querySelector('.mui-popup-title').innerText=data.Tips||'确认身份';
		$.each(data.paraList, function(i,field) {
			field.paraValue = field.paraValue.trim();
			field.paraPrompt = field.paraPrompt.trim();
			if(field.elementType==='safeCode' && field.isDisplay==="1"){
				//设置图片验证码输入框id
				var codeRow = g('cm_safeCodeRow').cloneNode(true);
				var input = codeRow.querySelector('input');
				var img = codeRow.querySelector('img');
				input.setAttribute("placeholder",field.paraPrompt||field.paraName);
				input.setAttribute("id",field.paraValue);
				getSafeCodeImg(img,input);
				img.addEventListener('tap',function(){
					getSafeCodeImg(img,input);
				},false);
				fields.appendChild(codeRow);
			}else if(field.elementType==='phoneCode' && field.isDisplay==="1"){
				//设置短信验证码输入框id
				var phoneCodeRow = g("cm_phoneCodeRow").cloneNode(true);
				var input = phoneCodeRow.querySelector('input');
				input.setAttribute("placeholder",field.paraPrompt||field.paraName);
				input.setAttribute("id",field.paraValue);
				fields.appendChild(phoneCodeRow);
			}else if(field.elementType==='password' && field.isDisplay==="1"){
				var passwordRow = g("cm_passwordRow").cloneNode(true);
				var input = passwordRow.querySelector('input');
				input.setAttribute("placeholder",field.paraPrompt||field.paraName);
				input.setAttribute("id",field.paraValue);
				fields.appendChild(phoneCodeRow);
			}else if(field.elementType==='select' && field.isDisplay==="1"){
				paraValue = field.paraValue;
				var theRow = document.createElement('div');
				theRow.className = "mui-input-row";
				theRow.classList[field.isDisplay==="1"?"remove":"add"]('mui-hidden');
				var  selects = document.createElement("select");
				selects.setAttribute("id",field.paraValue);
				try{
					if(typeof(field.elementValue)=="string")
					field.elementValue = eval ("(" + field.elementValue+ ")");
					console.log(typeof(field.elementValue))
				}catch(e){
					console.log("解析失败")
				}
				if(field.elementValue.length>=1){
					for(var i=0;i<field.elementValue.length;i++){
						var opt = document.createElement("option");
						 for(var o in field.elementValue[i]){ 
					        opt.innerHTML = o;
					        opt.value = field.elementValue[i][o];
					      }
						selects.appendChild(opt);
					};
				}	
				theRow.appendChild(selects);
				var arrow = document.createElement("span");
				arrow.setAttribute('class','mui-icon mui-icon-arrowdown downArrow');
				arrow.setAttribute('style','z-index:20');
				theRow.appendChild(arrow);
				fields.appendChild(theRow);
			}else{
				var textRow = g("cm_textRow").cloneNode(true);
				var input = textRow.querySelector('input');
				input.setAttribute("placeholder",field.paraPrompt||field.paraName);
				input.setAttribute("id",field.paraValue);
				fields.appendChild(textRow);
			}
		});
		$('#yzm').popover('show');
 	};
 	var bindComplete = function(data){
 		var user = app.getUser();
		var secId = data.securityAcctId;
		if(!user.securityAcctId){
            user.securityAcctId = secId;
            app.setState('info',user);
		}
		app.fireEvent('insurance','refresh_data');
		app.fireEvent('sbk','refresh_data');
		app.fireEvent('main','refresh_data');
		app.fireEvent('main','refreshUserInfo');
		app.fireEvent('main','refreshJoy');
        app.fireEvent('main','refreshHome');
		app.fireEvent('main','refreshSecNum');
		app.fireEvent('main','showActivity',{
			posId:'activity_bind_security',
			triggerPoint:103,
			data:{
				securityAcctId:data.securityAcctId,
				cityCode:data.payCity,
				bodyCode:data.bodyCode
			}
		});
		$.fire(mui.currentWebview.opener(),'refresh_data');

		if(fromVWId && events){
			events = events.split(',');
			for(var ei=0;ei<events.length;ei++){
				app.fireEvent(fromVWId,events[ei]);
			}
		}
		
		var wv = app.showSheBaoInfo(secId);
		wv.addEventListener('loaded',function(){
			mui.currentWebview.close('none');
		},false);
 	};
 	
 	
 	//登录后数据处理
	var successfulLanding = function (e) {
		var data = e.detail.success;
		progessBar.stopProgess(function(){
			if(data.securityAcctId){
				bindComplete(data);
			}else if(data.paraList && data.paraList.length>0){
				cmParaList = data.paraList;
				bindConfirm(data);
			}
		});
	}
	//登录失败
	var landingFailure = function (e){
		var err = e.detail.fail;
		progessBar.hideProgess();
		if(err.code == 0){
			$.alert('网络连接已中断，请检查网络设置！');
		}else{
			app.fireEvent('main','refreshUserInfo');
			app.fireEvent('main','refreshSecNum');
			var img = document.querySelector('#fields #codeRow img')
			var input = document.querySelector('#fields #codeRow input')
			if(img && input) getSafeCodeImg(img,input);
			$.alert(err.message);
		}
		console.error(err.message,err);
	}
 	
 	
	//点击登录按钮
	var addSecurity = function(hasCm){
		var officialCode = g("shebaoType").value;
		if(!officialCode){ 
			return warning("请先选择参保类型");
		}
		if(!promptStatus()){
			return;
		}
		var officialInfo = shebaoTypeData[officialCode]||{};
		var fieldList = officialInfo.paraList;
		var secData = {};
		if(fieldList && fieldList.length>0){
			for(var i=0;i<fieldList.length;i++) {
				var field = fieldList[i];
				var val = jel("#form #"+field.paraValue).val();
				secData[field.paraValue] = val?val.trim():val;
		       if(field.isDisplay==="1" && secData[field.paraValue]==="") {
			 		warning(field.paraName+'不能为空');
			 		return false;
		       }
			}
		}else{
			secData.account = jel("#unameRow input").val().trim();
			secData.password = jel("#pwdRow input").val().trim();
			secData.safeCode = jel("#codeRow input").val().trim();
			
			if(secData.account==="") return warning('账号不能为空');
			if(secData.password==="") return warning('密码不能为空');
			if(secData.safeCode==="") return warning('验证码不能为空');
		}
		if(hasCm){
			for(var i=0;i<cmParaList.length;i++) {
				var field = cmParaList[i];
				var val = jel("#yzm #"+field.paraValue).val();
				secData[field.paraValue] = val?val.trim():val;
		        if(field.isDisplay==="1" && secData[field.paraValue]==="") {
			 		warning(field.paraName+'不能为空');
			 		return false;
			 	}
			}
			$('#yzm').popover('hide');
		}
		
		secData.cityCode = officialCode;
		console.log(secData);
		progessBar.startProgess();
		
		//调取主页消息推送
		app.fireEvent('main','shebaoBindLogin',{secData:secData,webViewObId:mui.currentWebview.id});
	};
	
	/*选择参保类型*/
	var promptStatus = function(officialCode){
		var status = true;
		var msg = '';
		for(var i=0; i<officialConfigList.length;i++){
			var official = officialConfigList[i];
			if(officialCode===official.officialCode && official.officialStatus===2){ 
				msg = official.officialStatusMessage
				status = false;
				break;
			}
		}
		//if(msg) warning(msg);
		if(msg){
			$.plusReady(function(){
				$.alert(msg);
			}); 
		} 
		//if(msg) mui.alert(msg,'提示','确定',function(){},'div');
		return status;
	};
	var cleanForm = function(){
		var fields = g('fields'); 
		while(fields.children.length>0){
			var item = fields.children[0];
			if(item.id) {
				var lbs = {'codeRow':'验证码','phoneCodeRow':'短信验证'};
				var lbTxt = item.querySelector('label');
				lbTxt.innerText = lbs[item.id];
				fields.appendChild(codeRow);
				g('defaultFields').appendChild(item);
			}else{
				item.remove();
			}
		}
		g("links").classList.add('mui-hidden');
		g("question").classList.add('mui-hidden');
	};
	//切换社保类型
	var officialChange = function(){
		var officialCode = g("shebaoType").value;//城市编码
		if(officialCode){
			var officialInfo = shebaoTypeData[officialCode];
			var paraList = officialInfo.paraList;
			var cityInfo = officialInfo.cityInfo;
			$('#loginInfor').scroll().scrollTo(0,0);
			promptStatus(officialCode);//选择参保类型
			bindOfficialInfo(cityInfo);//登录问题提示
			bindOfficialForm(paraList);//显示输入项
		}else{
			cleanForm();
		}
	};
	//温馨提示
	var elasticFrame = function(cityInfo){
		var inputBlur = g('fields').querySelectorAll('input');
		for(var i=0;i<inputBlur.length;i++){
			inputBlur[i].blur();
		}
		cityInfo = cityInfo||'';
   		$('#elasticFrameBox .mui-scroll-wrapper').scroll().scrollTo(0,0);
   		g("elasticFrameTipsCon").innerHTML = cityInfo;
   		setTimeout(function(){
   			var offsetH = g("elasticFrameTipsCon").offsetHeight+60;
   			var headerHeight = g('header').offsetHeight;
   			if(offsetH>document.documentElement.clientHeight*0.7){
   				g('elasticFrameBox').querySelector('.modal-box').style.height='80%';
   				g('elasticFrameBox').querySelector('.mui-scroll-wrapper').style.position='absolute';
   				g('elasticFrameBox').querySelector('.mui-scroll').style.position='absolute';
   				g('elasticFrameBox').querySelector('.modal-box').classList.remove('middle');
				g('elasticFrameBox').querySelector('.modal-box').style.top= headerHeight+'px';
   			}else{
   				g('elasticFrameBox').querySelector('.modal-box').style.height='auto';
   				g('elasticFrameBox').querySelector('.mui-scroll-wrapper').style.position='static';
   				g('elasticFrameBox').querySelector('.mui-scroll').style.position='static';
   				g('elasticFrameBox').querySelector('.modal-box').classList.add('middle');
	   			g('elasticFrameBox').querySelector('.modal-box').style.top='50%';
   			}
	        g('elasticFrameBox').classList.add('mui-active');
   		},100);
	};
	//登录问题提示
	var bindOfficialInfo = function(cityInfo){
		cityInfo = cityInfo||{};
		if(cityInfo.regUrl==null&&cityInfo.modUrl==null){
			g("links").classList.add('mui-hidden');
		}else{
			g("links").classList.remove('mui-hidden');
		}
		if(cityInfo.information==null){
       		g("question").classList.add('mui-hidden');
       	}else{
       		$('#modal .mui-scroll-wrapper').scroll().scrollTo(0,0);
       		g("question").classList.remove('mui-hidden');
       		g("tipsCon").innerHTML = cityInfo.information;
       		setTimeout(function(){
       			var offsetH = g("tipsCon").offsetHeight+60;
       			if(offsetH>document.documentElement.clientHeight*0.7){
       				g('modal').querySelector('.modal-box').style.height='80%';
       				g('modal').querySelector('.mui-scroll-wrapper').style.position='absolute';
       				g('modal').querySelector('.mui-scroll').style.position='absolute';
       			}else{
       				g('modal').querySelector('.modal-box').style.height='auto';
       				g('modal').querySelector('.mui-scroll-wrapper').style.position='static';
       				g('modal').querySelector('.mui-scroll').style.position='static';
       			}
       		},100);
       	}
		jscope.bind(moreInfo,cityInfo,'info');
		common.setLink();
	};
	//显示输入项
	var bindOfficialForm = function(paraList){
		var fields = g('fields'); 
		while(fields.children.length>0){
			var item = fields.children[0];
			if(item.id){
				g('defaultFields').appendChild(item);
			}else{
				item.remove();
			}
		}
		if(paraList && paraList.length>0){
			g('navigatePosition').classList.remove('navigate_position');
			$.each(paraList, function(i,field) {
				field.paraValue = field.paraValue.trim();
				field.paraPrompt = field.paraPrompt.trim();
				if(field.elementType==='safeCode' && field.isDisplay==="1"){
					//设置图片验证码输入框id
					var codeRow = g('codeRow');
					var input = codeRow.querySelector('input');
					input.setAttribute("id",field.paraValue);
					var lbTxt = codeRow.querySelector('label');
					lbTxt.innerText = field.paraName;
					fields.appendChild(codeRow);
					var img = codeRow.querySelector('img');
					getSafeCodeImg(img,input);
				}else if(field.elementType==='phoneCode' && field.isDisplay==="1"){
					//设置短信验证码输入框id
					var phoneCodeRow = g("phoneCodeRow");
					var input = phoneCodeRow.querySelector('input');
					input.setAttribute("id",field.paraValue);
					var lbTxt = phoneCodeRow.querySelector('label');
					lbTxt.innerText = field.paraName;
					fields.appendChild(phoneCodeRow);
				}else if(field.elementType==='password'){
					//设置输入密码框
					var theRow = document.createElement('div');
					theRow.className = "mui-input-row";
					theRow.classList[field.isDisplay==="1"?"remove":"add"]('mui-hidden');
					theRow.innerHTML=[
					'<label>',field.paraName,'</label>',
					'<input id="',field.paraValue,'" class="mui-input-password" type="password"',
						'placeholder="',field.paraPrompt,'" />',
					].join('');
					fields.appendChild(theRow);
				}else if(field.elementType==='select'){
					//设置选择区县
					paraValue = field.paraValue;
					var theRow = document.createElement('div');
					theRow.className = "mui-input-row";
					theRow.classList[field.isDisplay==="1"?"remove":"add"]('mui-hidden');
					theRow.innerHTML = '<label>'+field.paraName+'</label>';
					var  selects = document.createElement("select");
					selects.setAttribute("id",field.paraValue);
  					//selects.style.cssText = "width:73%; height:92%;position: absolute;left:80px;top:0;z-index: 10;";
					try{
  						if(typeof(field.elementValue)=="string")
						field.elementValue = eval ("(" + field.elementValue+ ")");
						console.log(typeof(field.elementValue))
					}catch(e){
						console.log("解析失败")
					}
					if(field.elementValue.length>=1){
						for(var i=0;i<field.elementValue.length;i++){
							var opt = document.createElement("option");
							 for(var o in field.elementValue[i]){ 
						        opt.innerHTML = o;
						        opt.value = field.elementValue[i][o];
						      }
							selects.appendChild(opt);
						};
					}
					theRow.appendChild(selects);
					var arrow = '<span id="downArrows" class="mui-icon mui-icon-arrowdown downArrow" style="z-index:20"></span>';
					theRow.innerHTML  = theRow.innerHTML + arrow;
					fields.appendChild(theRow);
				}else{
					var theRow = document.createElement('div');
					theRow.className = "mui-input-row";
					theRow.classList[field.isDisplay==="1"?"remove":"add"]('mui-hidden');
					theRow.innerHTML=[
						'<label>',field.paraName,'</label>',
						'<input id="',field.paraValue,'" type="text"',
							' placeholder="',field.paraPrompt,'" />',
					].join('');
					fields.appendChild(theRow);
				}
				//验证字段属性
				if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "account" && field.isDisplayMessage === '1'){
					//社保卡
					promptCopy.account = field.promptMessage;
					var theRows = document.getElementById('account');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','doubt');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('doubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "bodyCode" && field.isDisplayMessage === '1'){
					//身份证
					promptCopy.bodyCode = field.promptMessage;
					var theRows = document.getElementById('bodyCode');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','bodyCodeDoubt');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('bodyCodeDoubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "name" && field.isDisplayMessage === '1'){
					//名字
					promptCopy.name = field.promptMessage;
					var theRows = document.getElementById('name');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','nameDoubt');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('nameDoubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "safeCode" && field.isDisplayMessage === '1'){
					//图形验证码
					promptCopy.safeCode = field.promptMessage;
					g('safeCodeDoubt').classList.remove('mui-hidden');
					var codeRow = g('codeRow');
					var safeCodeDoubt = codeRow.querySelector('#safeCodeDoubt');
					safeCodeDoubt.setAttribute('data-paraName',field.paraName);
					safeCodeDoubt.setAttribute('data-paraValue',field.paraValue);
					g('safeCodeDoubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "phoneCode" && field.isDisplayMessage === '1'){
					//短信验证码
					var phoneCodeRow = g("phoneCodeRow");
					var doubtPhoneCodex = phoneCodeRow.querySelector('#doubtPhoneCodex');
						doubtPhoneCodex.setAttribute('data-paraName',field.paraName);
						doubtPhoneCodex.setAttribute('data-paraValue',field.paraValue);
						promptCopy.phoneCode = field.promptMessage;
						g('doubtPhoneCodex').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "password" && field.isDisplayMessage === '1'){
					//密码
					promptCopy.password = field.promptMessage;
					var theRows = document.getElementById('password');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','doubtPassWord');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('doubtPassWord').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "cityCode" && field.isDisplayMessage === '1'){
					//城市
					promptCopy.cityCode = field.promptMessage;
					var theRows = document.getElementById('cityCode');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','cityDoubt');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('cityDoubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}else if(field.promptMessage != null && field.isDisplay === '1' && field.paraValue == "selectCity" && field.isDisplayMessage === '1') {
					var displayType = true;
					promptCopy.selectCity = field.promptMessage;
					var theRows = document.getElementById('selectCity');
					var newItem=document.createElement("span");
					newItem.setAttribute('id','selectDoubt');
					newItem.setAttribute('data-paraName',field.paraName);
					newItem.setAttribute('data-paraValue',field.paraValue);
					newItem.classList.add('jcon','jcon-yiwen','doubt');
					theRows.parentNode.appendChild(newItem);
					g('downArrows').classList[displayType ?"add":"remove"]('position_right');
					g('selectDoubt').classList[field.promptMessage?"remove":"add"]('mui-hidden');
				}
			});
		}else{
			fields.appendChild(g('unameRow'));
			fields.appendChild(g('pwdRow'));
			fields.appendChild(g('codeRow'));
		}
	};
	
	//获取城市输入项数据
    var getCityConfig = function(cityCode){
		shebaoSvc.getBindCardInfor(cityCode).then(function(data) {
			officialConfigList = data.officialConfigList;
			shebaoTypeData = data.officialInfo;
			g("question").classList.add('mui-hidden');
			g("type").classList.add('mui-hidden');
			g("links").classList.add('mui-hidden');
			if(officialConfigList.length>0){
				g("type").classList.remove('mui-hidden');
				g("shebaoType").innerHTML='<option value="">请选择社保类型</option>';
				jscope.paddingSelect(g("shebaoType"), officialConfigList,'officialCode','officialName');
			}
			if(officialConfigList.length==1){
				g("type").classList.add('mui-hidden');
				g("shebaoType").value = officialConfigList[0].officialCode;
			}else if(officialConfigList.length>1){
				warning('请先选择参保城市和类型');
			}
			officialChange();
		}).catch(function(err){
			$.plusReady(function(){
				$.alert('此城市正在维护中，暂时不能登录，给您带来不便敬请谅解');
			});
			console.error(err);
		});
    };
    
	//手机验证方法
	var settime = function () {
		var intSms = null;
		var sec = 60;
		intSms = setInterval(function() {
			sec--;
			if (sec <= 0){
				clearInterval(intSms);
				btnGetMsg.innerHTML = '获取验证码';
				btnGetMsg.removeAttribute('disabled');
			} else {
				btnGetMsg.innerHTML = sec + 's';
				btnGetMsg.setAttribute('disabled','disabled');
			}
		}, 1000);
	};
	//手机验证码
	var getMsgCode = function() {
		g('warning').innerText = '';
		var datasObj = {grabType: '0',telCodeType: '2'};//grabType 0-社保,1-公积金
		var officialCode = g("shebaoType").value;
		var officialInfo = shebaoTypeData[officialCode]||{};
		var fieldList = officialInfo.paraList
		for(var i=0;i<fieldList.length;i++) {
			var field = fieldList[i];
			var val = jel("#"+field.paraValue).val();
			datasObj[field.paraValue] = val?val.trim():val;
 			if(field.isDisplay==="1" && datasObj[field.paraValue]==="" && field.paraValue!=="phoneCode") {
 				return warning(field.paraName+'不能为空');
 			}
		}
		datasObj.cityCode = officialCode;
		btnGetMsg.innerHTML = '<i class="mui-spinner"></i>';
		btnGetMsg.setAttribute('disabled','disabled');
		shebaoSvc.getTelcode(datasObj).then(function(data) {
			settime();
			g('warning').innerText = data;
		}).catch(function(err) {
			btnGetMsg.innerHTML = '获取验证码';
			btnGetMsg.removeAttribute('disabled');
			var img = document.querySelector('#fields #codeRow img')
			var input = document.querySelector('#fields #codeRow input')
			if(img && input) getSafeCodeImg(img,input);
			$.alert(err.message);
			console.error(err.message,err);
		});
	};
	
    var getCity = function () {
    	var city = app.getCity();
		locationBox.innerHTML = '<i class="fa fa-map-marker"></i>' + city.cityName;
		cityCodeBox.value = city.cityCode;
		cityCode = city.cityCode;
		getCityConfig(city.cityCode);
		//getCityDetail(city.cityCode);
	};
	var openPickCity = function(){
		document.activeElement.blur();
		$.openWindow({url:'pick-city.html?workType=0',id:'pickCity',waiting: {autoShow: false}});
	};
	var changeCityHandler = function(event){
		var city = event.detail;
		cityCodeBox.value =  city.cityCode;
		locationBox.innerHTML = city.cityName;
		cityCodeChange = city;
		getCityConfig(city.cityCode);
		//getCityDetail(city.cityCode);
	};
	
	var openRegUrl = function(url){
		if(url.indexOf(app._webUrl)==0){
			app.openUrl(url,{showCloseBtn:false,scalable:true},{cssText:'body{background:#01a29a}'});
		}else{
			plus.nativeUI.actionSheet({cancel: "取消",buttons: [{title:'复制链接'},{title:'用浏览器打开'}]},function(e){
				if(e.index==1){
					app.copyText(url);
					$.alert('链接已复制到剪贴板');
				}else if(e.index==2){
					plus.runtime.openURL(url);
				}
			});
		}
	};
	var checkAgree = function(callback){
		var user = app.getUser();
		if(!user){
			app.toLogin();
		}else{
			callback();
			var agreement = myStorage.getItem('sbkAgreement');
			if(!agreement || !agreement[user.userId]){
				showAgreement(user.userId);
			}
		}
	};
	var showAgreement = function(uid){
		g('mask').classList.add('active');
		g('agreements').classList.add('active');
		g('agreements').setAttribute('uid',uid);
	};
	
	g('quitAgree').addEventListener('tap',function(){
		g('mask').classList.remove('active');
		g('agreements').classList.remove('active');
		$.currentWebview.close();
	},false);
	
	g('sureAgree').addEventListener('tap',function(){
		var uid = g('agreements').getAttribute('uid');;
		var agreement = myStorage.getItem('sbkAgreement')||{};
		agreement[uid] = Date.now();
		myStorage.setItem('sbkAgreement',agreement);
		g('mask').classList.remove('active');
		g('agreements').classList.remove('active');
	},false);
	
	
	shebaoType.addEventListener("change",officialChange,false);
	g('btnGetMsg').addEventListener('tap', function() {
		getMsgCode();
	},false);
	
	//账户注册按钮
   	sb_reg.addEventListener('tap',function(){
		userOperations(cityCodeChange.cityCode,"0","3",'');
		var url = this.getAttribute('url');
		openRegUrl(url);
		return false;
	},false);
	//忘记密码按钮
	sb_fgt.addEventListener('tap',function(){
		userOperations(cityCodeChange.cityCode,"0","4",'');
		var url = this.getAttribute('url');	
		openRegUrl(url);
		return false;
	},false);
 
	codeImg.addEventListener('tap',function(){
		getSafeCodeImg();
	},false);
	bindBtn.addEventListener('tap',function(){
		addSecurity();
	},false);
	pickBtn.addEventListener('tap',openPickCity,false);
	g('cmPost').addEventListener('tap',function(){
		addSecurity(true);
	},false);
	
	//数据分析-用户操作记录
	var userOperations = function (cityCode,gradType,type,paraName,dataParaValue){
		var typeContent="";
		shebaoSvc.TieCardLog(cityCode,gradType,type,paraName,dataParaValue).then(function(data) {
			switch(type) {
			    case "2":
			        typeContent = "有问题点这里";
			        break;
			    case "3":
			        typeContent = "账户注册";
			        break;
			    case "4":
			        typeContent = "忘记密码";
			        break;
			    case "5":
			        typeContent = "温馨提示";
			        break;
			    default:
			        typeContent = "不存在的类型";
			} 
			if(data){
				console.log('TieCardLog :'+ gradType+','+ typeContent +'记录成功');
			}
		}).catch(function(err) {
			console.error(err.message,err);
		});
	}
	//参保城市温馨提示
	$('#form').on('tap','#cityDoubt', function() {
		elasticFrame(promptCopy.cityCode);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//身份证号温馨提示
	$('#form').on('tap','#bodyCodeDoubt', function() {
		elasticFrame(promptCopy.bodyCode);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//姓名温馨提示
	$('#form').on('tap','#nameDoubt', function() {
		elasticFrame(promptCopy.name);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//社保账号温馨提示
	$('#form').on('tap','#doubt', function() {
		elasticFrame(promptCopy.account);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//输入密码温馨提示
	$('#form').on('tap','#doubtPassWord', function() {
		elasticFrame(promptCopy.password);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//短信验证码温馨提示
	$('#form').on('tap','#doubtPhoneCodex', function() {
		elasticFrame(promptCopy.phoneCode);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//图片验证码温馨提示
	$('#form').on('tap','#safeCodeDoubt', function() {
		elasticFrame(promptCopy.safeCode);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//选择区县温馨提示
	$('#form').on('tap','#selectDoubt', function() {
		elasticFrame(promptCopy.selectCity);
		var reminderParaName = this.getAttribute('data-paraName');
		var dataParaValue = this.getAttribute('data-paraValue');
		userOperations(cityCodeChange.cityCode,"0","5",reminderParaName,dataParaValue);
	},false);
	//点击"有问题点这里"
	g('loginQs').addEventListener('tap', function() {
		userOperations(cityCodeChange.cityCode,"0","2",'');
		var btnRect = g('loginQs').getBoundingClientRect();
		var modalHeight = g('modal').querySelector('.modal-box').offsetHeight;
		var setTop = btnRect.top - modalHeight - 1;
		//var maxTop = plus.navigator.isImmersedStatusbar()?70:45;
		var maxTop = imbar.navBarHeight + 1;
		
		if(setTop<maxTop){
   			g('modal').querySelector('.modal-box').classList.add('middle');
   			g('modal').querySelector('.modal-box').style.top='50%';
   		}else{
   			g('modal').querySelector('.modal-box').classList.remove('middle');
			g('modal').querySelector('.modal-box').style.top= setTop+'px';
   		}
        g('modal').classList.add('mui-active');
    });
    $('#modal').on('tap','.modal-box',function(){
		return false;
    });
    $('#modal').on('tap','#closeTips',function(){
    	g('modal').classList.remove('mui-active');
    	return false;
    });
    //关闭温馨提示弹框
    $('#elasticFrameBox').on('tap','#elasticFrameCloseTipsBox',function(){
    	g('elasticFrameBox').classList.remove('mui-active');
    	return false;
    });
    
    
    
	$('#type').on('tap','.downArrow',function(){
		$.trigger(g('shebaoType'),'tap');
    });
    
    	var privacyUrl = app._webUrl+'/agreement/privacy.html';
	var agreeUrl = app._webUrl+'/agreement/user-agreement.html';
    var openUserAgreement = function(){
		app.openUrl(agreeUrl);
	};
	var openPrivacyAgreement = function(){
		app.openUrl(privacyUrl);
	};
	$('#agreements').on('tap','.agree-user',openUserAgreement);
	$('#agreements').on('tap','.agree-privacy',openPrivacyAgreement);
	
	window.addEventListener("changeCity",changeCityHandler);
	document.addEventListener('netchange', function(e){
		var nt = plus.networkinfo.getCurrentType();
		if(progessBar.isShow && nt == plus.networkinfo.CONNECTION_NONE){
			progessBar.hideProgess();
			$.alert('网络连接已中断，请检查网络设置！');
		}
	},false);
	window.addEventListener("refresh_data",function(){
		checkAgree(function(){
			getCity();
		});
	});
	//初始化进度条弹窗init('追加位置元素'，'特殊样式','进度条图片路径','安全认证前icon颜色','登录/更新判断[true:登录;false:更新]')
	progessBar.init(document.querySelector('.mui-content'),'top:0px','../images/spin.png','color-green-cenrer',true);
	
	common.tapLink(g('modal'));
	checkAgree(function(){
		getCity();
	});
	
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
  	});
  	$.plusReady(function(){
  		//初始化判断是否在登陆中
		var shebaoBindLoginState = localStorage.getItem('shebaoBindLoginState');
    	if(shebaoBindLoginState!=null){
	    	plus.nativeUI.alert("社保账号登录中...",function () {
            	mui.back();
        	});
		}
		document.addEventListener('successfulLanding',successfulLanding,false);
		document.addEventListener('landingFailure',landingFailure,false);
	});
})(mui, document);
