(function($,win,doc){
	$.init();
	var citySelect = doc.getElementById('item_city');
	var hukouSelect = doc.getElementById('item_huji');
	var cityCodeBox = doc.getElementById('cityCode');
	var myInput = doc.getElementById('my_inp');
	//提交按钮
	var regs = doc.getElementById('regs');
	//计算结果
	var showBox = doc.getElementById('showBox');
	
	var openPickCity = function(){
		$.openWindow({url:'pick-city.html',id:'pickCity',waiting: {autoShow: false}});
	};
	var binCityhandler = function(event){
		var city = event.detail;
		var cityName = doc.getElementById('item_city');
		var cityCodeBox = doc.getElementById('cityCode');
		cityCodeBox.value =  city.cityCode;
		cityName.innerHTML = city.cityName;
	};
    var getHukouTypes = function () {
        var cityCode = cityCodeBox.value;
        joySvc.getHuKouType(cityCode).then(function (data) {
            jscope.bindSelect(hukouSelect,data,'id','hukoutypeName');
        });
    };
	var getCountSocial = function (callback) {
		if(myInput.value == '') {
			return $.toast('缴费基数不能为空');
		}
		var dataObj = {
			cityCode:cityCodeBox.value,
			huKouType:hukouSelect.value,
			base:myInput.value
		}
		joySvc.getTrialSecurity(dataObj).then(function(data){
			showBox.innerHTML =  data + " 元";
		}).catch(function(err) {
			console.error(err.message,err);
		});
	}
	
	window.addEventListener("changeCity",binCityhandler);
	citySelect.addEventListener('tap',openPickCity,false);
	regs.addEventListener('tap',getCountSocial,false);
    getHukouTypes();
    
})(mui,window,document);