(function($){
	var comment_el = document.querySelector('.comment-cont'),// 评论列表
		comment_fix = document.querySelector('.comment-fixed'),// 评论
		author = g('visual').querySelector('.authorName'), // 昵称
		secondTagsName = g('visual').querySelector('.content'), // 内容
		tag_box = g('visual').querySelector('.tag-box'); //标签
	var visualId = common.utils.queryString('visualId');//视频ID
	var reviewId = '',releaseOperator = '',all_num = '',review_user = '',re_userContent = ""; //回复id  发布人ID  总消息 回复人名称
	var comment_send = true;
	var timer = null; // 视频暂停/播放
	var default_img = '../images/user-photo.png'; //默认头像
	var user_info = app.getUser(); // 获取用户信息
	var visual = {},shareInfo = {};// 分享信息
	
	visual = {
		init: function(){
			var video_bol = true;
			$('#commentScrollBox').scroll({
				bounce: false,
				indicators: false,
				deceleration: mui.os.ios ? 0.003 : 0.0009
			});
			$('#replyScrollBox').scroll({
				bounce: false,
				indicators: false,
				deceleration: mui.os.ios ? 0.003 : 0.0009
			});
			visual.getVideoContent(visualId,video_bol); //获取小视频详情
			visual.setPullToRefresh();
			visual.getComment(); //一级评论
		},
		param: {
			pageNum: 0,
			pageSize: 10,
			page_count:1,
			refresh: false
		},
		replyParam: {
			pageNum: 0,
			pageSize: 10,
			page_count:1,
			refresh: false
		},
		// 获取小视频详情
		getVideoContent: function(visualId,video_bol){
			newsSvc.getVideoClipsContent(visualId).then(function(data){
				if(data){
					all_num = data.replyCount;
					shareInfo = data;
					showType = data.showType;
					releaseOperator = data.releaseOperator;
					author.innerHTML = data.AuthorName ? data.AuthorName : '暂无'; // 昵称
					secondTagsName.innerHTML = data.content ? data.content : ''; // 内容
					tag_box.innerHTML = data.secondTagsName ? data.secondTagsName : ''; // 标签
					g('head-img').querySelector('img').setAttribute('src',data.AuthorHeadPath ? data.AuthorHeadPath : default_img)
					g('user-fabulous').querySelector('span.num').innerHTML = data.agreeCount ? data.agreeCount : '0';
					g('user-comment').querySelector('span.num').innerHTML = data.replyCount ? data.replyCount : '0';
					g('user-portrait').querySelector('.follow-btn').setAttribute('class',data.isFollow == 1 ? 'follow-btn mui-hidden' : 'follow-btn');
					g('user-portrait').setAttribute('fallow',data.isFollow);
					g('user-fabulous').querySelector('.jcon').setAttribute('class',data.isLike == 0 ? 'jcon jcon-dianzan1' : 'jcon jcon-dianzan1 add');
					g('user-fabulous').setAttribute('data-fabulous',data.isLike);
					g('user-collect').querySelector('.jcon').setAttribute('class',data.isCollect == 0 ? 'jcon-shoucang11 jcon' : 'jcon-shoucang11 jcon add');
					g('user-collect').setAttribute('data-collect',data.isCollect);
					if(video_bol){
						playvideo(data,video_bol);
						visual.share(shareInfo);
						document.querySelector('.joy-share-box').querySelectorAll('li[class="funs"]')[0].classList.add('mui-hidden');
					}
				}

			}).catch(function(err){
				console.log(err);
			})
		},
		// 获取一级评论
		getComment: function(pullSell){
			var commentList = g('comment-list');
			if(visual.param.refresh){
				return false;
			}
			newsSvc.getFirReviewList(visualId,visual.param.pageNum,visual.param.pageSize).then(function(data){
				commentList.parentNode.querySelector('.nothing').classList.add('mui-hidden');
				if(data && data.list.length > 0){
					if(data.pagination.totalItems < data.pagination.pageSize){
						g('commentScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
					}else{
						g('commentScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'block';
					}
					g('no_comment_box').classList.add('mui-hidden');
					g('no_comment').classList.add('mui-hidden');
					commentList.appendChild(visual.creatFragment(data));
					visual.param.page_count = parseInt((data.pagination.totalItems + data.pagination.pageSize)/data.pagination.pageSize);
					visual.param.pageNum = data.pagination.pageNum + 1;
				}else{
					if(visual.param.pageNum <= 1){
						commentList.parentNode.querySelector('.nothing').classList.add('mui-hidden');
						g('commentScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
						g('no_comment_box').classList.remove('mui-hidden');
						g('no_comment').classList.remove('mui-hidden');
						visual.param.refresh = true; // 不能刷新
					}
				}
				if(pullSell){
					pullSell.endPullUpToRefresh(visual.param.page_count >= data.pagination.pageNum)
				}
			}).catch(function(err){
				if(pullSel) pullSel.endPullUpToRefresh(true);
				g('commentScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
				if(err.code == '0') {
					commentList.innerHTML = '<div class="not-network">点击页面 重新加载</div>'
				} else {
					$.toast(err.message);
				}
			})
		},
		// 获取回复的评论
		getReplyComment: function(pullSell){
			var replyComment = g('reply-list');
			if(visual.replyParam.refresh){
				return false;
			}
			g('replyScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
			newsSvc.getReplyReviewList(reviewId,visualId,visual.replyParam.pageNum,visual.replyParam.pageSize).then(function(data){
				if(data && data.list.length > 0){
					replyComment.parentNode.querySelector('.nothing').classList.add('mui-hidden');
					if(data.pagination.totalItems < data.pagination.pageSize){
						g('replyScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
					}else{
						g('replyScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'block';
					}
					g('no_reply_box').classList.add('mui-hidden');
					g('no_reply').classList.add('mui-hidden');
					replyComment.appendChild(visual.creatFragmentReply(data));
					visual.replyParam.pageNum = data.pagination.pageNum + 1;
					visual.replyParam.page_count = parseInt((data.pagination.totalItems + data.pagination.pageSize)/data.pagination.pageSize);
				}else{
					if(visual.replyParam.pageNum <= 1){
						replyComment.parentNode.querySelector('.nothing').classList.add('mui-hidden');
						g('replyScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
						g('no_reply_box').classList.remove('mui-hidden');
						g('no_reply').classList.remove('mui-hidden');
						visual.replyParam.refresh = true; // 不能刷新
					}
				}
				if(pullSell){
					pullSell.endPullUpToRefresh(visual.replyParam.page_count >= data.pagination.pageNum);
				}
			}).catch(function(err){
				if(pullSel) pullSel.endPullUpToRefresh(true);
				g('replyScrollBox').querySelector('.mui-pull-bottom-tips').style.display = 'none';
				if(err.code == '0') {
					replyComment.innerHTML = '<div class="not-network">点击页面 重新加载</div>'
				} else {
					$.toast(err.message);
				}
				
			})
		},
		// 创建元素
		creatFragment: function(data){
			var fragment = document.createDocumentFragment();
			$.each(data.list, function(idx,val) {
				var html = visual.getHtmlList(val);
				fragment.appendChild(html);
			});
			return fragment;
		},
		getHtmlList: function(val){
			var reply_hide = val.replyCount == 0 ? 'mui-hidden' : '',
				praise = val.isLike == 0 ? 'praise_box' : 'praise_box praise_box_1',
				praise_pic = val.isLike == 0 ? 'jcon jcon-dianzan' : 'jcon jcon-dianzan1',
				del_el = (user_info && user_info.userId == val.userId) ? '' : 'mui-hidden',
				deltype = (user_info && user_info.userId == val.userId) ? '1' : '0',
				reply_bg = val.replyCount == 0 ? '' : 'comment-resize';
			var oDiv = document.createElement('div');
			oDiv.className = 'comment-item';
			oDiv.setAttribute('comment_id',val.id);
			oDiv.innerHTML = '<div class="clearfix comment-info-box"><img src="' + (val.headPath ? val.headPath : default_img) + '">' +
								'<div class="comment-info"><span class="comment-author">'+ (val.userName ? val.userName : '暂无') + '</span>' +
									'<div comment_id="' + val.id + '" class="' + praise + '" praised="0" praise="' + val.isLike + '"><span class="comment-praise ' + praise_pic + '"></span><label class="parise_num">' + (val.agreeCount ? val.agreeCount : 0) + '</label><b class="c-yellow"></b></div>' +
								'</div>' +
							'</div>' +
							'<div class="comment-bd">' + (val.content ? val.content : '暂无') + '</div>' +
							'<div class="comment-fd"><span class="comment-time">' + val.showTime + '</span><span class="reply-dot">&middot;</span><span class="comment-reply ' + reply_bg + '" replay_userid="' + (val.userId ? val.userId : '') + '" comment_id="' + val.id + '" reply_num="' + (val.replyCount ? val.replyCount : 0) + '"><label class="com_reviewNum '+ reply_hide + '">' + (val.replyCount ? val.replyCount : 0) + '</label>回复</span><span class="jcon jcon-shanchu delete_com ' + del_el + '" deltype="' + deltype + '" comment_id="' + val.id + '"></span></div>';
			return oDiv;
		},
		// 创建回复元素
		creatFragmentReply: function(data){
			var fragment = document.createDocumentFragment();
			$.each(data.list, function(idx,val) {
				var html = visual.getReplyList(val);
				fragment.appendChild(html);
			});
			return fragment;
		},
		getReplyList: function(val){
			var praise = val.isLike == 0 ? 'praise_box' : 'praise_box praise_box_1',
				praise_pic = val.isLike == 0 ? 'jcon jcon-dianzan' : 'jcon jcon-dianzan1',
				del_el = (user_info && user_info.userId == val.userId) ? '' : 'mui-hidden',
				deltype = (user_info && user_info.userId == val.userId) ? '1' : '0',
				content = val.repType == 3 ? val.content + " // <label class='re_userName'>@" + val.repUserName + "</label>" + val.repUserContent : val.content;
			var oDiv = document.createElement('div');
			oDiv.className = 'comment-item';
			oDiv.setAttribute('comment_id',val.id);
			oDiv.innerHTML = '<div class="clearfix comment-info-box"><img src="' + (val.headPath ? val.headPath : default_img) + '">' +
								'<div class="comment-info"><span class="comment-author">'+ (val.userName ? val.userName : '暂无') + '</span>' +
									'<div comment_id="' + val.id + '" class="' + praise + '" praised="0" praise="' + val.isLike + '"><span class="comment-praise ' + praise_pic + '"></span><label class="parise_num">' + (val.agreeCount ? val.agreeCount : 0) + '</label><b class="c-yellow"></b></div>' +
								'</div>' +
							'</div>' +
							'<div class="comment-bd">' + content + '</div>' +
							'<div class="comment-fd"><span class="comment-time">' + val.showTime + '</span><span class="reply-dot">&middot;</span><span class="comment-reply" replay_userid="' + (val.userId ? val.userId : '') + '" comment_id="' + val.id + '" pubname="' + val.userName + '" pubcont="' + val.content + '" reply_num="' + (val.replyCount ? val.replyCount : 0) + '"><label class="com_reviewNum mui-hidden">0</label>回复</span><span class="jcon jcon-shanchu delete_com ' + del_el + '" deltype="' + deltype + '" comment_id="' + val.id + '"></span></div>';
			return oDiv;
		},
		// 点赞
		getliked: function(self){
			var praise_el = self.querySelector('.comment-praise'),
				praise = self.getAttribute('praise'), // 0-未点赞  1-点赞
				parise_num = parseInt(self.querySelector('.parise_num').innerHTML),
				comment_id = self.getAttribute('comment_id'),
				operateType = praise == 0 ? 1 : 0;
			newsSvc.getliked(comment_id,1,operateType).then(function(data){
				if(data){
					self.setAttribute('praise',praise == 1 ? 0 : 1);
					self.setAttribute('praised',praise == 1 ? 0 : 1);
					praise_el.setAttribute('class',praise == 1 ? 'comment-praise jcon jcon-dianzan' : 'comment-praise jcon jcon-dianzan1');
					self.setAttribute('class',praise == 1 ? 'praise_box' : 'praise_box praise_box_1');
					self.querySelector('.parise_num').innerHTML = (praise == 1 ? parise_num - 1 : parise_num + 1);
					if(operateType == 1){
						$.toast('点赞成功');
					}else {
						$.toast('取消点赞成功');
					}
				}
			}).catch(function(err){
				$.toast(err.message);
			})
			
		},
		// 删除评论
		delReview: function(self,type){
			var item = self.parentElement.parentElement,
				delId = self.getAttribute('comment_id');
			var reply_all = 0;
			var btnArray = ['否', '是'];
			mui.confirm('','确认删除吗？',btnArray,function(e){
				if(e.index == 1){
					newsSvc.delReivew(delId).then(function(data){
						if(data){
							if(type == 0){
								reply_all = parseInt(self.parentElement.querySelector('.comment-reply').getAttribute('reply_num'));
								all_num = parseInt(all_num) - 1 - reply_all;
							}else{
								all_num = parseInt(all_num) - 1;
							}
							if(type == 1){
								// 回复
								var reply_num = g('reply-list').childElementCount;
								g('popovered').querySelector('.reply-size').innerHTML = reply_num == 0 ? '还没有回复哦！' : reply_num + '条回复';
								g('comment_top').querySelector('.comment-reply').setAttribute('reply_num',reply_num ? reply_num : '0');
								g('comment_top').querySelector('.com_reviewNum').innerHTML = reply_num ? reply_num + '' : '0';
								if(g('reply-list').childElementCount <= 0){
									g('no_reply_box').classList.remove('mui-hidden');
									g('no_reply').classList.remove('mui-hidden');
								}
								// 删除
								item.parentNode.removeChild(item);
							}else {
								// 评论
								var closed = g('popovered').className == 'show' ? true : false;
								if(g('comment-list').childElementCount <= 0){
									g('no_comment_box').classList.remove('mui-hidden');
									g('no_comment').classList.remove('mui-hidden');
								}
								if(closed){
									visual.hideReplyList();
									var ele = g('comment-list').querySelector('.comment-item[comment_id="' + delId + '"]');
									ele.parentElement.removeChild(ele);
								}else{
									// 删除
									item.parentNode.removeChild(item);
								}
							}
							$.toast('删除成功');
							g('user-comment').querySelector('span.num').innerHTML = all_num ? all_num : '0';
						}
					}).catch(function(err){
						console.log(err.message)
					})
				}
			},'div')
		},
		// 分享
		share: function(shareInfo){
			var shareMsg = {
				href:  app._webUrl+'/visual.html?visualId='+ visualId + '&showType=' + shareInfo.showType,
				title: shareInfo.content,
				content: '涨知识，看查悦社保小视频。',
				thumbs:[shareInfo.image],
				pictures:[shareInfo.image]
			};
			window.share.initShare("user-share", shareMsg, function() {
				newsSvc.addForwardAmount(visualId).then(function(data){
					console.log('分享次数');
				}).catch(function(err){
					console.log(err.message);
				})
				mui.toast('分享成功');
			}, function(e) {
				if(e.code === -100) {
					mui.toast('已取消分享');
				} else {
					mui.toast('分享失败：' + e.message);
				}
			});
		},
		// 蒙版、键盘消失事件
		initComments: function(type,closed){
			g('commmentTxt').blur();
			g('commmentTxt').setAttribute('placeholder','写评论...');
			g('commmentTxt').value = '';
			setTimeout(function(){
				document.querySelector(".comment-input").classList.add("mui-hidden");
				g('soft-bg').classList.add('mui-hidden');
				if(type == 1){
					if(closed){
						// 评论
						visual.hideCommentList();
					}else {
						// 回复
						visual.hideReplyList();
					}
				}
			},150)
			
		},
		// 加载初始化
		initload: function(){
			visual.param.pageNum = 1;
			visual.replyParam.pageNum = 1;
			g('comment-list').innerHTML = '';
			g('reply-list').innerHTML = '';
		},
		loadView: function(){
			var video_bol = false,
				closed = g('popovered').className == 'hide' ? true : false;
			visual.initload(); //加载初始化
			visual.getVideoContent(visualId,video_bol); //获取小视频详情
			visual.setPullToRefresh();
			visual.getComment(); //一级评论
			if(!closed){
				visual.getReplyComment(); //二级评论
			}
		},
		// 评论上拉
		setPullToRefresh: function(){
			// 评论
			$.each(document.querySelectorAll('#commentScrollBox .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					up: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								visual.getComment(self);
							},100);
						}
					}
				});
			});
			// 回复
			$.each(document.querySelectorAll('#replyScrollBox .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					up: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								visual.getReplyComment(self);
							},100);
						}
					}
				});
			});
		},
		// 隐藏评论
		hideCommentList: function(){
			comment_el.classList.add('hide');
			comment_el.classList.remove('show');
			comment_fix.classList.remove('comment-text');
			comment_fix.classList.remove('comment-list');
			document.querySelector('.comment-placeholder-box').classList.remove('mui-hidden');
			g('soft-bg').classList.add('mui-hidden');
			g('comment-bg').classList.add('mui-hidden');
			g('commmentTxt').blur();
			g('input-box').setAttribute('type','0');
			var praise_box = document.querySelectorAll('.praise_box');
			if(praise_box.length > 0){
				$.each(praise_box, function(idx,val) {
					val.setAttribute('praised','0');
				});
			}
			
		},
		// 隐藏回复列表
		hideReplyList: function(){
			g('popovered').classList.remove('show');
			g('popovered').classList.add('hide');
			g('reply-bg').classList.add('mui-hidden');
			g('commmentTxt').blur();
			g('input-box').setAttribute('type','0');
			var comment_id = g('comment_top').querySelector('.comment-item').getAttribute('comment_id'),
				comments = g('comment-list').querySelectorAll('.comment-item[comment_id="' + comment_id + '"]'),
				node = g('comment_top').querySelector('.comment-item').cloneNode(true),
				reply_num = node.querySelector('.comment-reply').getAttribute('reply_num');
				deltype = node.querySelector('.delete_com').getAttribute('deltype');
			node.querySelector('.delete_com').classList[deltype === "1" ? 'remove' : 'add']('mui-hidden');
			node.querySelector('.comment-reply').classList.remove('mui-hidden');
			if(reply_num == 0){
				node.querySelector('.com_reviewNum').classList.add('mui-hidden');
				node.querySelector('.comment-reply').classList.remove('comment-resize');
			}else{
				node.querySelector('.com_reviewNum').classList.remove('mui-hidden');
				node.querySelector('.comment-reply').classList.add('comment-resize');
			}
			g('comment-list').insertBefore(node,comments[0]);
			g('comment-list').removeChild(comments[0]);
			// 回复初始化
			visual.replyParam.pageNum = 1;
			visual.replyParam.refresh = false;
			g('reply-list').innerHTML = '';
			g('reply-list').parentElement.querySelector('.nothing').classList.remove('mui-hidden');
			g('no_reply_box').classList.add('mui-hidden');
			g('no_reply').classList.add('mui-hidden');
			$('#replyScrollBox').scroll().scrollTo(0,0);
		},
		// 写评论
		addcomment: function(showInput){
			if(!showInput){
				return false;
			}
			document.querySelector(".comment-placeholder-box").classList.add("mui-hidden");
			comment_fix.classList.remove('comment-text');
			comment_fix.classList.add('comment-list');
			document.querySelector(".comment-input").classList.remove("mui-hidden");
			comment_el.classList.remove('hide');
			comment_el.classList.add('show');
			g('soft-bg').classList.remove('mui-hidden');
			g('comment-bg').classList.remove('mui-hidden');
			setTimeout(function(){
				g('commmentTxt').focus();
			},200)
		}
	}
	
	function playvideo(content,first){
		var box = g('visual').querySelector('.video-box'),
			videoCont = g('visualFrequency').querySelector('.article-video-box');
		var clientWidth = document.documentElement.clientWidth;
		var clientHeight = document.documentElement.clientHeight;
		var iHeight = clientWidth * 9 / 16;
		var video_el = document.createElement('video');
		video_el.setAttribute('webkit-playsinline','playsinline');
		video_el.setAttribute('playsinline','playsinline');
		video_el.innerHTML = '您的手机不支持播放 HTML5 video';
		box.insertBefore(video_el,box.firstChild);
		var video_box = box.querySelector('video'),
			btn_start = box.querySelector('.float-btn'),
			load_text = box.querySelector('.load'),
			video_mask = box.querySelector('.videomask'),
			closed = box.querySelector('#back-btn');
		if(content.showType == 1){
			// 1-横屏
			videoCont.style.height = iHeight + 'px';
			video_box.style.height = iHeight + 'px';
			video_box.classList.remove('fullscreen');
		}else {
			// 2-竖屏
			videoCont.style.height = clientHeight + 'px';
			video_box.style.height = clientHeight + 'px';
			video_box.classList.add('fullscreen');
		}
		// 点击视频 播放/暂停
		box.addEventListener('tap',function(e){
			e.stopPropagation();
			if(load_text.className.indexOf('mui-hidden') == -1){
				return false;
			}
			if(video_box.paused){
				video_box.play();
				btn_start.classList.remove('out');
				btn_start.classList.remove('jcon-bofang');
				btn_start.classList.add('jcon-bofang1');
				timer = window.setTimeout(outed,300);
			}else{
				video_box.pause();
				btn_start.classList.remove('out');
				btn_start.classList.remove('jcon-bofang1');
				btn_start.classList.add('jcon-bofang');
				clearTimeout(timer);
			}
		})
		
		function outed(){
			document.querySelector('.float-btn').classList.add('out');
		}
		
		video_box.addEventListener('loadedmetadata',function(){
			console.log('jplayer=>loadedmetadata');
		},false);
		
		video_box.addEventListener('loadstart',function(){
			console.log('jplayer=>loadstart');
		},false);
		
		video_box.addEventListener('waiting',function(){
			console.log('jplayer=>waiting');
			load_text.classList.remove('mui-hidden');
		},false);
		
		// 可以播放
		video_box.addEventListener('canplay',function(){
			console.log('jplayer=>canplay');
			load_text.classList.add('mui-hidden');
			video_mask.classList.remove('mui-hidden');
			video_box.play();
		},false);
		
		// 播放过程
		video_box.addEventListener('canplaythrough',function(){
			console.log('jplayer=>canplaythrough');
			load_text.classList.add('mui-hidden');
		},false);
		
		// 播放结束
		video_box.addEventListener('ended',function(){
			video_box.play(); //再次播放
		},false);
		
		video_box.addEventListener('error',function(e){
			console.log(e);
		},false);
		
		// 应用回到前台
		document.addEventListener('resume', function(){
			var visible = plus.webview.getWebviewById('person');
			if(!visible){
				if(btn_start.className.indexOf('out') !== -1){
					video_box.play(); // 播放
				}
			}else {
				// 关闭视频 
				video_box.pause();
			}
			
		},false);
		
		// 应用暂停
		document.addEventListener('pause', function(){
			video_box.pause(); // 停止
		},false);
		
		document.addEventListener('netchange', function(){
			video_box.pause(); // 停止
			btn_start.classList.remove('out');
			btn_start.classList.remove('jcon-bofang1');
			btn_start.classList.add('jcon-bofang');
			load_text.classList.add('mui-hidden');
		},false);
		
		if(first){
			loadVideo(video_box,content);
		}
	}
	
	// 首次加载视频
	function loadVideo(video_box,content){
		video_box.poster = '#000';
		video_box.src = content.videoUrl;
		video_box.loop = "loop";
		video_box.load();
		video_box.play();
	}
	
	function outRect(){
		var topView = window.plus && plus.webview.getTopWebview();
		var isBehind =  topView && topView.__uuid__ !== plus.webview.currentWebview().__uuid__;
		if(isBehind){
			g('visual').querySelector('video').pause(); // 停止
			g('visual').querySelector('.float-btn').classList.remove('out');
			g('visual').querySelector('.float-btn').classList.remove('jcon-bofang1');
			g('visual').querySelector('.float-btn').classList.add('jcon-bofang');
		}else {
			return;
		}
	}
	
	// 初始化
	$.init({
		swipeBack:true, //启动右滑关闭功能
		gestureConfig: {
			tap: true,
			swipe: true
		}
	})
	$.plusReady(function(){
		var clientH = window.innerHeight;
		plus.webview.currentWebview().setStyle({
		    softinputMode: "adjustResize"  // 弹出软键盘时自动改变webview的高度  
		});
		visual.init();// 初始化
		var navTop = imbar.statusbarHeight,
			contH = imbar.bottomSafeArea !== 0 ? imbar.bottomSafeArea : 10,
			topicH = parseInt(document.querySelector('.comment-fixed').offsetHeight) + contH + 10;
		var close_btn = g('back-btn');
		document.querySelector('.user-info').style.bottom = topicH + 'px';
		document.querySelector('#commentScrollBox.mui-scroll-wrapper').style.paddingBottom = topicH + 'px';
		document.querySelector('#replyScrollBox.mui-scroll-wrapper').style.paddingBottom = topicH + 'px';
		g('visual').querySelector('.video-box').style.height = clientH + 'px';
		g('visual').style.height = clientH + 'px';
		close_btn.style.top = imbar.statusbarHeight + 'px';
		close_btn.classList.remove('mui-hidden');
		// 执行刷新
		window.addEventListener('refresh_data',function(e){
			user_info = app.getUser();
			visual.loadView();
		})
		close_btn.addEventListener('tap',function(e){
			e.stopPropagation();
			if(g('visual').querySelector('video')){
				g('visual').querySelector('video').pause();
			}
			mui.back();
		})
	})
	
	// 视频点赞
	g('user-fabulous').addEventListener('tap',function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin(null,outRect);
			return false;
		}
		var self = this,
			fabulous = self.getAttribute('data-fabulous'),
			ele = self.querySelector('.jcon'),
			num = parseInt(self.querySelector('span.num').innerHTML),
			operateType = fabulous == 0 ? 1 : 0;
		newsSvc.getliked(visualId,0,operateType).then(function(data){
			if(data){
				if(fabulous == 0){
					ele.classList.add('add');
					self.setAttribute('data-fabulous',"1");
					self.setAttribute('data-fabuloused',"1");
					self.querySelector('span.num').innerHTML = num+1;
					$.toast('点赞成功');
				}else{
					ele.classList.remove('add');
					self.setAttribute('data-fabulous',"0");
					self.setAttribute('data-fabuloused',"0");
					self.querySelector('span.num').innerHTML = num-1;
					$.toast('取消点赞成功');
				}
				var count = self.querySelector('span.num').innerHTML;
				$.fire(plus.webview.getLaunchWebview(),'praiseFeed',{
					aid: visualId,
					operateType: operateType,
					count: count == "" ? 0 : count
				})
			}
			
		}).catch(function(err){
			
		})
		
	})
	
	// 视频消息/评论
	g('user-comment').addEventListener('tap',function(e){
		e.stopPropagation();
		comment_fix.classList.add('comment-text');
		comment_el.classList.remove('hide');
		comment_el.classList.add('show');
		g('comment-bg').classList.remove('mui-hidden');
	})
	
	// 评论关闭
	g('comment-close').addEventListener('tap',function(e){
		e.stopPropagation();
		visual.hideCommentList();
	})
	
	$('.comment-cont').on('swipedown', '#commentScrollBox', function(e) {
		if(e.detail.distance <= 200){
			return false;
		}
		visual.hideCommentList();
	})
	
	// 回复列表关闭
	g('popover-close').addEventListener('tap',function(e){
		e.stopPropagation();
		visual.hideReplyList();
	})
	
	$('#popovered').on('swipedown', '#replyScrollBox', function(e) {
		if(e.detail.distance <= 200){
			return false;
		}
		visual.hideReplyList();
	})
	
	// 视频收藏
	g('user-collect').addEventListener('tap',function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin(null,outRect);
			return false;
		}
		var self = this,
			collect = this.getAttribute('data-collect'),
			el = this.querySelector('.jcon'),
			operateType = collect == 0 ? 1 : 0;
		newsSvc.getcollects(visualId,operateType).then(function(data){
			if(data){
				if(collect == 0){
					// 未收藏
					el.classList.add('add');
					self.setAttribute('data-collect','1');
					$.toast('收藏成功');
				}else {
					// 收藏
					el.classList.remove('add');
					self.setAttribute('data-collect','0');
					$.toast('取消收藏');
				}
			}
			
		}).catch(function(err){
			console.log(err.message);
		})
		
	})
	
	// 视频关注
	g('user-follow').addEventListener('tap',function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin(null,outRect);
			return false;
		}
		var self = this.parentNode.parentNode,
			fallow = self.getAttribute('fallow'),
			folType = fallow == 0 ? 1 : 0;
		if(fallow == 0){
			newsSvc.followMan(folType,releaseOperator).then(function(data){
				if(data){
					// 关注
					self.setAttribute('fallow',"1");
					self.querySelector('.follow-btn').classList.add('mui-hidden');
					$.toast('关注成功');
				}
			}).catch(function(err){
				console.log(err.message);
			})
			
		}
	})
	
	// 点击头像跳转个人中心
	g('head-img').addEventListener('tap',function(){
		pageActive();
		var page = $.openWindow({url:"minfo/person.html?mId=" + releaseOperator,id:'person' + Math.random(1,200).toFixed(2),waiting:{autoShow:false}}),
			pageId = plus.webview.getWebviewById(page.id);
		// 监听页面关闭
		pageId.addEventListener('close',function(){
			pageRefresh();
		})
	},false)
	
	// 评论
	$('.comment-fixed').on('tap', '.input-box', function(e) {
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin(null,outRect);
			return false;
		}
		comment_send = true;
		visual.addcomment(true);
	})
	
	// 发送评论
	mui('.comment-fixed').on('tap', '.comment-send', function() {
//		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin(null,outRect);
			g("commmentTxt").value = '';
			visual.initComments(0);
			comment_send = true;
			return false;
		}
		if(!comment_send) return;
		var type = parseInt(g('input-box').getAttribute('type')),
			value = g("commmentTxt").value.trim().replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, function(w){
				return w.codePointAt ? '&#'+w.codePointAt()+";":'';
			}),
			re = /\S/,
			parent = type == 0 ? g('comment-list') : g('reply-list'), // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
			addType = type == 2 ? 1 : type,
			user_info = app.getUser();
		if(!re.test(value)){
			$.toast('发表的内容不能为空');
			g("commmentTxt").value = '';
			g("commmentTxt").focus();
			return false;
		}
		if(type == 1){
			reviewId = g('comment_top').querySelector('.comment-reply').getAttribute('comment_id');
		}
		comment_send = false;
		newsSvc.addReivew(visualId,addType,reviewId,value).then(function(data){
			if(data){
				var review = "";
				var item = document.createElement('div');
				item.className = 'comment-item';
				item.setAttribute('comment_id',data.id);
				if(type == 2){
					// 回复评论的回复
					review = " // <label class='re_userName'>@" + review_user + "</label>" + re_userContent;
					g('input-box').setAttribute('type','1'); // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
				}
				item.innerHTML = '<div class="clearfix comment-info-box"><img src="' + user_info.headPath + '">' +
									'<div class="comment-info"><span class="comment-author">' + user_info.userName + '</span>' +
										'<div class="praise_box" praised="0" praise="0" comment_id="' + data.id + '"><span class="comment-praise jcon jcon-dianzan"></span><label class="parise_num">0</label><b class="c-yellow"></b></div>' +
									'</div>' +
								'</div>' +
								'<div class="comment-bd">' + value + review + '</div>' +
								'<div class="comment-fd"><span class="comment-time">刚刚</span><span class="reply-dot">&middot;</span><span class="comment-reply" replay_userid="' + user_info.userId + '" comment_id="' + data.id + '" reply_num="0" pubname="' + user_info.userName + '" pubcont="' + value + '"><label class="com_reviewNum mui-hidden">0</label>回复</span><span class="jcon jcon-shanchu delete_com " deltype="1" comment_id="' + data.id + '"></span></div>';
				if(parent.childElementCount > 0){
					var firstChild = parent.children[0];
					parent.insertBefore(item,firstChild);
				}else {
					parent.appendChild(item);
				}
				visual.initComments(0);
				g('no_comment_box').classList.add('mui-hidden');
				g('no_comment').classList.add('mui-hidden');
				g('no_reply_box').classList.add('mui-hidden');
				g('no_reply').classList.add('mui-hidden');
				g('popovered').querySelector('.reply-size').innerHTML = parent.childElementCount + '条回复';
				all_num = parseInt(all_num) + 1;
				g('user-comment').querySelector('span.num').innerHTML = all_num ? all_num : '0'; // 总回复
				if(type !== 0){
					// 回复评论，回复回复列表
					g('comment_top').querySelector('.comment-reply').setAttribute('reply_num',parent.childElementCount ? parent.childElementCount : '0');
					g('comment_top').querySelector('.com_reviewNum').innerHTML = parent.childElementCount ? parent.childElementCount : '0';
					$.toast('回复成功');
				}else{
					$.toast('评论成功');
				}
				setTimeout(function(){
					comment_send = true;
				},500)
				
			}
			
		}).catch(function(err){
			$.toast('增加评论失败');
		})
		
	})
	
	// 评论点赞
	$('#comment-list').on('tap','.praise_box',function(e){
		e.stopPropagation();
		var self = this;
		visual.getliked(self);
	})
	
	// 回复评论点赞
	$('#comment_reply').on('tap','.praise_box',function(e){
		e.stopPropagation();
		var self = this;
		visual.getliked(self);
	})
	
	// 评论详情
	$('#comment-list').on('tap','.comment-item',function(e){
		e.stopPropagation();
		reviewId = this.getAttribute('comment_id');
		g('popovered').classList.remove('hide');
		g('popovered').classList.add('show');
		g('input-box').setAttribute('type','1'); // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
		g('reply-bg').classList.remove('mui-hidden');
		// 回复评论显示当前评论
		var node = this.cloneNode(true),	
			reply_all = node.querySelector('.com_reviewNum').innerHTML;
		g('comment_top').innerHTML = '';
		//node.querySelector('.delete_com').classList.add('mui-hidden');
		node.querySelector('.comment-reply').classList.add('mui-hidden');
		node.querySelector('.praise_box').setAttribute('praised','0');
		g('comment_top').appendChild(node);
		if(reply_all <= 0){
			g('popovered').querySelector('.reply-size').innerHTML = '还没有回复哦!';
		}else{
			g('popovered').querySelector('.reply-size').innerHTML = reply_all + '条回复';
		}

		visual.getReplyComment();
	})
	
	// 回复评论
	$('#comment-list').on('tap','.comment-reply',function(e){
		e.stopPropagation();
		reviewId = this.getAttribute('comment_id');
		var reply_num = parseInt(this.getAttribute('reply_num')),
			showInput = reply_num <= 0 ? true : false;
		g('popovered').classList.remove('hide');
		g('popovered').classList.add('show');
		visual.addcomment(showInput);
		g('reply-bg').classList.remove('mui-hidden');
		g('input-box').setAttribute('type','1'); // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
		// 回复评论显示当前评论
		var node = this.parentNode.parentNode.cloneNode(true),
			reply_all = node.querySelector('.com_reviewNum').innerHTML;
		g('comment_top').innerHTML = '';
		//node.querySelector('.delete_com').classList.add('mui-hidden');
		node.querySelector('.comment-reply').classList.add('mui-hidden');
		g('comment_top').appendChild(node);
		g('popovered').querySelector('.reply-size').innerHTML = reply_all + '条回复';
		visual.getReplyComment();
	})
	
	// 回复中评论回复
	$('#comment_reply').on('tap','.comment-reply',function(e){
		e.stopPropagation();
		reviewId = this.getAttribute('comment_id');
		var author = this.parentElement.parentElement.querySelector('.comment-author').innerHTML;
		g('commmentTxt').setAttribute('placeholder','回复 @' + author);
		review_user = this.getAttribute('pubname');
		re_userContent = this.getAttribute('pubcont');
		visual.addcomment(true);
		g('input-box').setAttribute('type','2'); // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
	})
	
	// 删除评论
	$('#comment-list').on('tap','.delete_com',function(e){
		e.stopPropagation();
		var self = this,
			type = 0;// 评论删除
		visual.delReview(self,type);
	})
	
	// 删除回复
	$('#comment_reply').on('tap','.delete_com',function(e){
		e.stopPropagation();
		var self = this,
			type = 1; //回复删除
		visual.delReview(self,type);
	})
	
	// 删除评论
	$('#comment_top').on('tap','.delete_com',function(e){
		e.stopPropagation();
		var self = this,
			type = 0; //删除回复列表被评论的
		visual.delReview(self,type);
	})
	
	// 蒙版取消键盘
	g('soft-bg').addEventListener('tap',function(){
		var closed = g('popovered').className == 'hide' || g('popovered').className == '' ? true : false;
		visual.initComments(1,closed);
	})
	g('comment-bg').addEventListener('tap',function(e){
		e.stopPropagation();
		visual.hideCommentList();
	})
	g('reply-bg').addEventListener('tap',function(e){
		e.stopPropagation();
		visual.hideReplyList();
	})
	
	// 重新加载
	$('#reply-list').on('tap','.nothing',function(){
	    visual.getReplyComment();
   });
	
	// 重新加载-评论
	$('#comment-list').on('tap','.not-network',function(){
		visual.initload();
	    	visual.getComment();
    	});
	
	// 重新加载-回复
	$('#reply-list').on('tap','.not-network',function(){
		visual.initload();
	    visual.getReplyComment();
    	});

	// 向左 个人中心
	g('comment-bg-video-box').addEventListener("swipeleft",function(e){
		if(e.detail.distance <= 100){
			return false;
		}
		pageActive();
		var page = $.openWindow({url:"minfo/person.html?mId=" + releaseOperator,id:'person' + Math.random(1,200).toFixed(2),waiting:{autoShow:false}}),
			pageId = plus.webview.getWebviewById(page.id);
		// 监听页面关闭
		pageId.addEventListener('close',function(){
			pageRefresh();
		})
	},false);
	// 向右 关闭
	g('visualFrequency').addEventListener("swiperight",function(e){
		if(e.detail.distance <= 100){
			return false;
		}
		if(g('visual').querySelector('video')){
			g('visual').querySelector('video').pause();
		}
		mui.back();
	},false);
	
	var windowH = window.innerHeight;
	if(mui.os.android) {
		window.onresize = function() {
			if(document.body.offsetHeight === windowH) {
				closeCommentLayer();
			}
		}
	}
	
	// 输入框失焦
	g('commmentTxt').onblur = function(){
		var text = g('commmentTxt').innerHTML.replace(/\s+/g,'');
		if(mui.os.ios){
			closeCommentLayer();
		}
	}
	
	var closeCommentLayer = function(){
		var type = g('input-box').getAttribute('type'), // 输入框类型 0-评论 1-回复评论 2-评论回复的评论
			closed = document.querySelector('.comment-cont').className.indexOf('show') !== -1; // 判断评论是否显示
		g('commmentTxt').blur();
		g('commmentTxt').setAttribute('placeholder','写评论...');
		g('commmentTxt').value = '';
		document.querySelector('.comment-input').classList.add('mui-hidden');
		document.querySelector('.comment-placeholder-box').classList.remove('mui-hidden');
		document.querySelector('.comment-fixed ').classList.remove('comment-list');
		if(closed){
			document.querySelector('.comment-fixed ').classList.add('comment-text');
		}else{
			if(type == 0){
				document.querySelector('.comment-fixed ').classList.remove('comment-text');
			}else{
				document.querySelector('.comment-fixed ').classList.add('comment-text');
			}
		}
		g('soft-bg').classList.add('mui-hidden');
	}
	
	// 处理视频
	var pageActive = function(){
		if(g('visual').querySelector('video')){
			var type = g('visual').querySelector('.float-btn').className.indexOf('out') == -1 ? '0' : '1'; // 0-暂停 1-播放
			g('visual').querySelector('.float-btn').setAttribute('type',type);
			g('visual').querySelector('video').pause();
			g('visual').querySelector('.float-btn').classList.remove('out');
			g('visual').querySelector('.float-btn').classList.remove('jcon-bofang1');
			g('visual').querySelector('.float-btn').classList.add('jcon-bofang');
		}
	}
	
	// 个人中心返回更新视频
	var pageRefresh = function(){
		user_info = app.getUser();
		visual.loadView();
		if(g('visual').querySelector('video')){
			var type = g('visual').querySelector('.float-btn').getAttribute('type');
			if(type === "1"){
				// 播放
				g('visual').querySelector('video').play();
				g('visual').querySelector('.float-btn').classList.add('out');
				g('visual').querySelector('.float-btn').classList.remove('jcon-bofang');
				g('visual').querySelector('.float-btn').classList.add('jcon-bofang1');
			}
		}
	}
	
	//控制确认订单左滑不会回到上一个页面
	var goBack = mui.back;
	mui.back = function (){
		var comment_bol = document.querySelector('.comment-cont').className.indexOf('show') !== -1 ? true : false,
			popover_bol = g('popovered').className.indexOf('show') !== -1 ? true : false;
		//控制查看详情左滑不会回到上一个页面
		if((comment_bol && popover_bol) || popover_bol){
			// 回复
			visual.hideReplyList();
		}else if(comment_bol){
			// 评论
			visual.hideCommentList();
		}else {
			goBack();
		}
	}
	
})(mui)