(function($,doc) {
	$.init();
	$('.mui-scroll-wrapper').scroll({
		indicators: true, //是否显示滚动条
		scrollY:true,
		bounce:false //是否启用回弹
	});
	
	var cate,rewardId;
	var channels = {};
	var listData=[];
	var replyListData = [];
	var type,backStatus,webviewId;
	var warn = doc.getElementById("warning");
	var backPage = $.back;
	
	type = common.utils.queryString('type');
	backStatus = common.utils.queryString('back');
	webviewId = common.utils.queryString('classify');
	getInitData(0,"con1");
	
	//getReplyDot();
	
	//统一样式的警告
	function warning(txt){
		warn.innerHTML = txt;
		warn.style.display="block";
		setTimeout(function(){
			warn.style.display="none";
		},1500);
	}

	function getReplyDot(){
		//检测是否有新的回答
		bizSvc.checkReply().then(function(reply){
			if(reply.payNoRead){
				//付费咨询有回复
				$(".tab_dot")[1].style.display="block";
			}
			if(reply.noPayNoRead){
				//免费咨询有回复
				$(".tab_dot")[0].style.display="block";
			}
		}).catch(function(){
			warning(err.message,err);
			console.error(err.message,err);
		});
		
	}
	
	function getFlag(type){
		return mui.os.ios&&type==1?'<span style="color:#39bfb3">[付费]</span> ':'';
	}
	//获取数据
	function getInitData (type,objId){
		type=2; //查询登录咨询和付费咨询
		bizSvc.getZixunList(type).then(function (res) {
			if(res==null||res.length==0){
				doc.getElementById(objId).innerHTML = '<div class="mui-loading" style="display: none;"><div class="mui-spinner"></div></div>';
				var oDiv = document.createElement("div");
				oDiv.setAttribute("class","test");
				oDiv.style.cssText = "position:fixed;width:100%;height:"+document.documentElement.clientHeight+"px;z-index:990;left:0;top:0;backgound:#fff";
				var img = document.createElement("img");
				img.setAttribute("src","../images/nodatabg.png");
				img.style.cssText = mui.os.ios ?"margin-top:-64px;width:100%":"margin-top:-108px;width:100%";
				var op = document.createElement("p");
				op.innerHTML="您还没有咨询问题";
				op.style.cssText = "position:absolute;left:0;top:58%;text-align:center;z-index:100;width:100%;font-size:15px;color:#999";
				var btn = document.createElement("button");
				btn.style.cssText = "z-index:1000;width:190px;height:40px;line-height:40px;color:#fff;text-align:center;position:absolute;left:24%;bottom:12%;background:#39bfb3;border:none;border-radius:30px;padding:0;"
				btn.innerHTML = "立即咨询";
				btn.addEventListener("tap",function(){
					mui.openWindow("login-zixun.html");
				},false);
				oDiv.appendChild(img);
				oDiv.appendChild(op);
				oDiv.appendChild(btn);
				doc.getElementById(objId).appendChild(oDiv);
			}else{
				doc.getElementById(objId).innerHTML = '<div class="mui-loading" style="display: none;"><div class="mui-spinner"></div></div>';
				listData = [];
				replyListData=[];
				for(var i=0;i<res.length;i++){
					if(res[i].replyCount>=1){
						replyListData.push(res[i]);
					}else{
						//没有新回复
						listData.push(res[i]);
					}
				}
				var nul;
				//得到两组数据
				if(replyListData.length>0){
					replyListData = replyListData.sort(compare("createTime"));
					nul = createReplyList(replyListData,objId);//生成有新回复的数据列表
					nul.style.paddingTop = imbar.navBarHeight+"px";
				}
				if(listData.length>0){
					listData = listData.sort(compare("createTime"));
					var ul = createList(listData,objId);//生成没有新回复的数据列表
					if(!nul){
						ul.style.paddingTop = imbar.navBarHeight+"px";
					}
				}
			}
		}).catch(function (err) {
			warning(err.message,err);
			console.error(err.message,err);
		});
	}
	
	//生成没有新回复的列表
	function createList(data,objId){
		var createTime,qsStatus;
		var remainderTime =0;
		var oUl = doc.createElement("ul");
		oUl.setAttribute("class","mui-table-view mui-table-view-striped mui-table-view-condensed listNoReply");
		for(var m=0;m<data.length;m++){
			createTime = timestampToTime(data[m].createTime);
			if(data[m].consultStatus==2){//完成并打赏
//				qsStatus = '已完成<a class="reward" rewardId='+data[m].questionId+'>打赏咨询师</a>';
				qsStatus = '已完成';
				remainderTime = 0;
			}else if(data[m].consultStatus==1){//进行中
				qsStatus = '进行中('+data[m].surplusTime+'小时后关闭)';
				remainderTime = data[m].consultCount;
			}else if(data[m].consultStatus==4){
				qsStatus = '退款处理中(已退款)';
				remainderTime = 0;
			}else{
				qsStatus = '处理中';
				remainderTime = 0;
			} 
			
			var oLi = [
				'<li class="mui-table-view-cell qs-con"',
						' qsId=',data[m].questionId,
						' cityName=',data[m].cityName,
						' zixunType=',data[m].conCateName,
						' qsType=',data[m].queCateName,'>',
					'<h4 class="qs-hd">',
						'<span class="qs-title mui-ellipsis">',getFlag(data[m].conType),data[m].title,'</span>',
						'<span class="mui-h5">',createTime,'</span>',
						'<p class="border"></p>',
					'</h4>',
					'<div class="qs-bd">',
						'<h5 class="qs-answer">问题回复<span class="qs-answer-status">暂无回复</span></h5>',
						'<h5 class="qs-answer status">问题状态<span class="qs-answer-status">',qsStatus,'</span></h5>',
						'<h5 class="qs-answer">追问次数<span class="qs-answer-status">还剩',remainderTime,'次</span></h5>',
					'</div>',
				'</li>'].join('');
			oUl.innerHTML = oUl.innerHTML + oLi;
		}
		doc.getElementById(objId).appendChild(oUl);
	    
	    //打赏咨询师
		$(".listNoReply li").on("tap",".reward",function(e){
			rewardId = this.getAttribute("rewardId");
			e.stopPropagation();
			doc.getElementById("pay").style.display="block";
		});
		//进入详情
		$('.listNoReply').on('tap','li',function(){
			var qsId = this.getAttribute("qsId");
			var cityName = this.getAttribute("cityName");
			var zixunType = this.getAttribute("zixunType");
			var qsType = this.getAttribute("qsType");
			
			var detailVw = plus.webview.getWebviewById('zixun-detail');
			if(detailVw){
				detailVw.close('none');
			}
			var links = "zixunxiangqing.html?qsId="+qsId
				+"&pay="+type
				+"&newReply=0"
				+"&cityName="+encodeURIComponent(cityName);
			setTimeout(function(){
				mui.openWindow(links,"zixun-detail");
			},100);
		});
		return oUl;
	}
	
	//创建有新回复的列表
	function createReplyList(data,objId){
		var createTime,qsStatus;
		var remainderTime_reply =0;
		var oUl = doc.createElement("ul");
		oUl.setAttribute("class","mui-table-view mui-table-view-striped mui-table-view-condensed list");
		for(var m=0;m<data.length;m++){
			createTime = timestampToTime(data[m].createTime);
			if(data[m].consultStatus==2){//完成并打赏
//				qsStatus = '已完成<a  class="reward" rewardId='+data[m].questionId+'>打赏咨询师</a>';
				qsStatus = '已完成';
				remainderTime_reply = 0;
			}else if(data[m].consultStatus==1){//进行中
				qsStatus = '进行中('+data[m].surplusTime+'小时后关闭)';
				remainderTime_reply = data[m].consultCount;
			}else if(data[m].consultStatus==4){
				qsStatus = '退款处理中(已退款)';
				remainderTime_reply = 0;
			}else{
				qsStatus = '处理中';
				remainderTime_reply = 0;
			} 
			var oLi = [
				'<li class="mui-table-view-cell qs-con"',
						' qsId=',data[m].questionId,
						' cityName=',data[m].cityName,
						' zixunType=',data[m].conCateName,
						' qsType=',data[m].queCateName,'>',
					'<h4 class="qs-hd">',
							'<span class="qs-title mui-ellipsis">',getFlag(data[m].conType),data[m].title,'</span>',
							'<span class="mui-h5">',createTime,'</span>',
							'<p class="border"></p>',
					'</h4>',
					'<div class="qs-bd">',
						'<h5 class="qs-answer">',
							'问题回复',
							'<span class="qs-answer-status">',
								'<label class="replyLabel">有'+data[m].replyCount+'条新回复</label>',
								'<span class="dot showDot"></span>',
							'</span>',
						'</h5>',
						'<h5 class="qs-answer">问题状态<span class="qs-answer-status">'+qsStatus+'</span></h5>',
						'<h5 class="qs-answer">追问次数<span class="qs-answer-status">还剩'+remainderTime_reply+'次</span></h5>',
					'</div>',
				'</li>'].join('');
			oUl.innerHTML = oUl.innerHTML  + oLi ;
		}
		doc.getElementById(objId).appendChild(oUl);
		
		$(".list li").on("tap",".reward",function(e){
			rewardId = this.getAttribute("rewardId");
			e.stopPropagation();
			doc.getElementById("pay").style.display="block";
		});
		
		$('.list').on('tap','li',function(){
			var links = this.getAttribute("jhref");
			var qsId = this.getAttribute("qsId");
			var cityName = this.getAttribute("cityName");
			var zixunType = this.getAttribute("zixunType");
			var qsType = this.getAttribute("qsType");

			this.getElementsByClassName("dot")[0].setAttribute("class","dot");
			
			var dot = this.getElementsByClassName("dot");
			dot[0].style.display="none";
			this.getElementsByClassName("replyLabel")[0].innerHTML="暂无回复";
			
			var detailVw = plus.webview.getWebviewById('zixun-detail');
			if(detailVw){
				detailVw.close('none');
			}
			var links = "zixunxiangqing.html?qsId="+qsId
				+"&pay="+type
				+"&newReply=1"
				+"&cityName="+encodeURIComponent(cityName);
			setTimeout(function(){
				mui.openWindow(links,"zixun-detail");
			},100);
		});
		return oUl;
	}
	
	//数组从小到大数字排序
	function compare(prop) {
	    return function (obj1, obj2) {
	        var val1 = obj1[prop];
	        var val2 = obj2[prop];
	        if (!isNaN(Number(val1)) && !isNaN(Number(val2))) {
	            val1 = Number(val1);
	            val2 = Number(val2);
	        }
	        if (val1 < val2) {
	            return 1;
	        } else if (val1 > val2) {
	            return -1;
	        } else {
	            return 0;
	        }            
	    } 
	}
    
	//时间戳转换成年月日
	function timestampToTime(timestamp) {
			var time = new Date(timestamp);
		var year = time.getFullYear();
		var month = time.getMonth()+1;
		var date = time.getDate();
		var hours = time.getHours();
		var minutes = time.getMinutes();
		var seconds = time.getSeconds();
		return year+'.'+add0(month)+'.'+add0(date);
	}
	
	function add0(m){
		return m<10?'0'+m:m 
	}
	//提问跳转到服务页面
	$('#header').on('tap','#askBtn',function(){
//		var vw = plus.webview.getWebviewById('advice-cate.html');
//		if(vw){
//			vw.hide("none");
//			setTimeout(function(){
//				vw.show("slide-in-right");
//			},100);
//		}else{
//			$.openWindow("advice-cate.html");
//		}
		$.openWindow('login-zixun.html');
	});
	//监听返回
	$.back = function(){
		if(backStatus==0){
			//app.hideWebview(webviewId);
			//app.closeWebview(webviewId);
			var view = plus.webview.getWebviewById(webviewId);
            if(view) view.close();
			backPage();
		}else{
			backPage();
		}
	};
    
	var g = function(id){ 
		return document.getElementById(id); 
	};
	
	window.addEventListener("refreshPage",function(event){
		var backType= event.detail.type;
        doc.getElementById("con1").innerHTML = '<div class="mui-loading" style="display: block;"><div class="mui-spinner"></div></div>';
		getInitData(0,"con1");
	},false);

})(mui, document);
	