(function($, doc) {
	$.init();
	var channels = {};
	var id, renewId; //打赏的订单id,续费订单号
	var closeReward = doc.getElementById("closeReward");
	var warn = doc.getElementById("warning");
	var continuePay = doc.getElementById("continuePay");
	var qsAndAs = doc.getElementById("qsAndAs");
	var href = location.href;
	var paynow = doc.getElementById("paynow");
	var renew = doc.getElementById("renew");
	var cancelPay = doc.getElementById("cancelPay");
	var askBtn = doc.getElementById("askBtn");

	//var comments = doc.getElementById("comment");
	var serviceStarTxt = doc.getElementById("serviceStarTxt");
	var submitService = doc.getElementById("submitService");
	var closeComment = doc.getElementById("closeComment");
	var commentJudge = false; //默认返回不弹框

	var qsId = common.utils.queryString('qsId');
	var costType = common.utils.queryString('pay');
	var newReply = common.utils.queryString('newReply');
	var cityName = common.utils.queryString('cityName');
	if(cityName) cityName = decodeURIComponent(cityName);
	doc.getElementById("cityName").innerHTML = cityName;

	var audiosArr, curentIndex, timer;
	var index = -1;
	var picGrounp = 0;
	var consultCount = 5;
	var consultStatus = 1; //咨询状态  1 进行中 2 关闭

	var orderType = 0;

	document.getElementById('scroler').style.top = (imbar.navBarHeight + 55) + 'px';

	var cityInfo = app.getCity();
	if(cityInfo == null) {
		doc.getElementById("cityName").innerHTML = '北京';
		return false;
	}
	doc.getElementById("cityName").innerHTML = cityName;
	var backPage = $.back;

	$.back = function() {
		var backPageId = plus.webview.getWebviewById("zixun-list");
		if(commentJudge == false) { //需要评论
			$.fire(backPageId, 'refreshPage', {
				type: costType
			});
			backPage();
		} else {
			mui('#sheet1').popover('toggle');
		}
	};
	//评价
	//	comments.addEventListener("tap",function(){
	//		if(this.classList.contains("disableBtn")){
	//			return false;
	//		}
	//		mui('#sheet1').popover('toggle');
	//	},false);
	closeComment.addEventListener("tap", function() {
		commentJudge = false;
		$.back()
	}, false);
	//评价打分
	$('.icons').on('tap', 'i', function() {
		var index = parseInt(this.getAttribute("data-index"));
		var parent = this.parentNode;
		var children = parent.children;
		switch(index) {
			case 1:
				serviceStarTxt.innerHTML = "非常不满意";
				break;
			case 2:
				serviceStarTxt.innerHTML = "不满意";
				break;
			case 3:
				serviceStarTxt.innerHTML = "一般";
				break;
			case 4:
				serviceStarTxt.innerHTML = "满意";
				break;
			case 5:
				serviceStarTxt.innerHTML = "非常满意";
				break;
			default:
				break;
		}
		if(this.classList.contains("star")) {
			for(var i = 0; i < index; i++) {
				children[i].classList.remove('star');
				children[i].classList.add('star_active');
			}
		} else {
			for(var i = index; i < 5; i++) {
				children[i].classList.add('star');
				children[i].classList.remove('star_active');
			}
		}
		starIndex = index;
	});
	submitService.addEventListener("tap", function() {
		commentJudge = false;
	}, false)
	doc.getElementById("askBtn").addEventListener("tap", function() {
		var vw = plus.webview.getWebviewById('advice-cate.html');
		if(vw) {
			vw.hide("none");
			vw.show("slide-in-right");
		} else {
			$.openWindow("login-zixun.html");
		}
	}, false);

	function defaultEvent(e) {
		e.preventDefault();
	}

	var addTime = 0,
		renewal; //续费判断
	continuePay.addEventListener("tap", function() {
		if(addTime == 0) {
			if(consultStatus == 1){
				// 咨询进行中
				consultCount = consultCount;
			}else{
				consultCount = 5;
			}
			//直接继续提问
			mui.openWindow("zhuiwen.html?qsId=" + qsId + "&ccount=" + consultCount);
		} else {
			if(renewal == 1) { //免费
				bizSvc.addCount(qsId).then(function(res) {
					if(res == "success") {
						addTime = 0;
						continuePay.innerHTML = "追问（剩5次）";
						continuePay.setAttribute("class", "qsAction");
						continuePay.style.cssText = "border-right:1px solid #ccc";
						doc.getElementById("zhuiwen").className = "zhuiwen";

					}
				}).catch(function(err) {
					warning(err.message, err);
					console.error(err.message, err);
				});
			} else if(renewal == 2) {
				bizSvc.addOrder(qsId).then(function(res) {
					renewId = res.buzzId;
					doc.getElementById("cost").innerHTML = res.payAmt;
					doc.getElementById("pay").style.display = "block";
				}).catch(function(err) {
					warning(err.message, err);
					console.error(err.message, err);
				});
			}
		}
	}, false);

	//续费
	renew.addEventListener("tap", function() {
		var type = renew.getAttribute("payType");
		orderType = 1;
		id = renewId;
		if(type == 0) {
			payOrder(0)
		} else {
			payOrder(1)
		}
	}, false);
	var getDetail = function(qsId) {
		qsAndAs.innerHTML = '<div class="mui-loading"><div class="mui-spinner"></div></div>';
		bizSvc.getQsDetail(qsId).then(function(res) {
			//问题信息
			if(res.conCateName == "" || res.conCateName == null) {
				//没有咨询分类，为免费咨询
				doc.getElementById("zixunType").innerHTML = "暂无信息";
			} else if(res.queCateName == "" || res.queCateName == null) { //非免费咨询，但是没有问题咨询
				doc.getElementById("zixunType").innerHTML = res.conCateName;
			} else {
				doc.getElementById("zixunType").innerHTML = res.conCateName;
			}
			consultStatus = res.consultStatus;
			consultCount = res.consultCount;
			//有新回复且不能再追问，返回自动弹出评价框
			if(res.consultCount == 0 && newReply == 1) {
				commentJudge = true;
			}
			//关闭状态
			if(res.consultStatus == 2) {
				addTime = 1;
				doc.getElementsByClassName("endTime")[0].innerHTML = "已关闭";
				//comments.classList.add('disableBtn');
				continuePay.className = "qsAction";
				doc.getElementById("zhuiwen").className = "gray";
				//根据是否免费
				if(res.isPay == 0 || res.isPay == null) {
					//免费，点击增加次数
					continuePay.innerHTML = "继续提问";
					renewal = 1;
				} else { //不免费
					continuePay.innerHTML = "续费";
					renewal = 2;
				}
			} else { //问题没有关闭 
				doc.getElementsByClassName("endTime")[0].innerHTML = "距结束还有" + res.surplusTime + "小时";
				addTime = 0;
				continuePay.innerHTML = "追问(剩" + res.consultCount + "次)";
			}

			qsAndAs.innerHTML = "";
			//没有回复不允许评价
			//			if(res.ContentList.length<=1){
			//				comments.classList.add('disableBtn');
			//			}else{
			//				comments.classList.remove('disableBtn');
			//			}
			//先生成第一个提问的用户信息部分
			var info = app.getUser();
			for(var m = 0; m < res.ContentList.length; m++) {
				var detailBox = doc.createElement("div");
				detailBox.setAttribute("class", "detailBox");
				var qsDetail = doc.createElement("div");
				qsDetail.setAttribute("class", "qsDetail");
				var ctTime = timestampToTime(res.ContentList[m].ctTime); //转换时间格式
				if(res.ContentList[m].type == 0 || res.ContentList[m].type == 1) { //提问或者追问
					if(res.ContentList[m].type == 0) {
						var txt = '我的提问';
						//标题
						if(costType == 0) {
							//登陆咨询
							var freeTitle = doc.createElement("h4");
							freeTitle.setAttribute("class", "freeTitle");
							freeTitle.innerHTML = res.title;
							qsDetail.appendChild(freeTitle);
						}
					} else if(res.ContentList[m].type == 1) {
						var txt = '我的追问';
					}
					var userInfo = doc.createElement("div");
					userInfo.setAttribute("class", "userDetail");
					var infoDetail = doc.createElement("div");
					infoDetail.setAttribute("class", "userInfor");
					userInfo.appendChild(infoDetail);
					var user_info = '<label class="userHeader block">' +
						'<img src="' + info.headPath + '" /></label>' +
						'<span class="block type">' + txt + '</span>' +
						'<span class="block type" id="time">' + ctTime + '</span>' +
						'<span class="typeword">' +
						'<img src="../images/ask.png" /></span>';
					var oA = doc.createElement("p");
					oA.setAttribute("class", "block typeIcon");
					oA.innerHTML = "<img src='../images/info.png'/>";
					oA.addEventListener("tap", function() {
						doc.getElementById("qsInfo").style.display = "block";
					}, false);
					infoDetail.innerHTML = user_info;
					infoDetail.appendChild(oA);
					detailBox.appendChild(userInfo);
				} else { //回答
					var userInfo = doc.createElement("div");
					userInfo.setAttribute("class", "userDetail");
					var user_info = '<div class="userInfor">' +
						'<label class="userHeader block">' +
						'<img src="' + res.ContentList[m].consultPic + '" /></label>' +
						'<span class="block type">' + res.ContentList[m].consultName + '</span>' +
						'<span class="block type" id="time">' + ctTime + '</span>' +
						'<span class="typeword">' +
						'<img src="../images/answer.png" /></span></div>';
					userInfo.innerHTML = user_info;
					detailBox.appendChild(userInfo)
				}
				if(res.ContentList[m].ctAudio) {
					index++;
					if(res.ContentList[m].ctContent != "") {
						qsDetail.innerHTML = qsDetail.innerHTML + '<h5>' + res.ContentList[m].ctContent + '</h5>' +
							'<div style="padding-bottom:15px"><div class="musicAudio"><img index=' + index + ' class="musicBtn musicAudioPlayAndPause"  src="../images/play.png"/>' +
							'<div class="musicAudioProgressPar"><div class="musicAudioProgress" time="0"></div><span index=' + index + ' class="dot" draggable="true"></span></div>' +
							'<p class="musicAudioTime"><span index=' + index + ' class="currentTime" style="margin-left:10px">00:00</span><span id="totalTime">12:00</span></p>' +
							'</div></div>';
					} else {
						qsDetail.innerHTML = qsDetail.innerHTML + '<div style="padding-bottom:15px"><div class="musicAudio"><img index=' + index + ' class="musicBtn musicAudioPlayAndPause"  src="../images/play.png"/>' +
							'<div class="musicAudioProgressPar"><div class="musicAudioProgress" time="0"></div><span index=' + index + ' class="dot" draggable="true"></span></div>' +
							'<p class="musicAudioTime"><span index=' + index + ' class="currentTime" style="margin-left:10px">00:00</span><span id="totalTime">12:00</span></p>' +
							'</div></div>';
					}
					var audios = doc.createElement("audio");
					audios.setAttribute("src", res.ContentList[m].ctAudio);
					audios.setAttribute("index", index);
					audios.setAttribute("class", "audio");
					audiosArr = $(".audio");
					qsDetail.appendChild(audios);
				} else {
					if(res.ContentList[m].ctContent != "") {
						qsDetail.innerHTML = qsDetail.innerHTML + '<h5>' + res.ContentList[m].ctContent + '</h5>';
					}
				}
				detailBox.appendChild(qsDetail);
				if(res.ContentList[m].ctPicture.length != 0) {
					var qsPhoto = doc.createElement("div");
					qsPhoto.setAttribute("class", "qsPhoto");
					var picArr = res.ContentList[m].ctPicture.split(",");
					picGrounp++;
					for(var k = 0; k < picArr.length; k++) {
						var op = doc.createElement("p");
						op.setAttribute("class", "photo block");
						var oImg = doc.createElement("img");
						oImg.setAttribute("src", res.ContentList[m].ctPicture.split(",")[k]);
						oImg.setAttribute("data-preview-src", res.ContentList[m].ctPicture.split(",")[k].split("thum")[0] + res.ContentList[m].ctPicture.split(",")[k].split("thum")[1]);
						oImg.setAttribute("class", "picPath");
						oImg.setAttribute("data-preview-group", picGrounp);
						oImg.setAttribute("number", k);
						op.appendChild(oImg);
						bindEvent(oImg);
						qsPhoto.appendChild(op);
					}
					detailBox.appendChild(qsPhoto);
				}
				common.tapLink("#qsAndAs");
				qsAndAs.appendChild(detailBox);

			}
			$.previewImage();
			audiosArr = $(".audio");
			for(var k = 0; k < $(".musicBtn").length; k++) {
				$(".musicBtn")[k].addEventListener("tap", function() {
					curentIndex = this.getAttribute("index");
					var time = $(".currentTime")[curentIndex];
					var c_audio = audiosArr[curentIndex];
					var progress = $(".musicAudioProgress")[curentIndex];
					var dot = $(".dot")[curentIndex];
					playOrPaused(this, c_audio, time, progress, dot);
					//					c_audio.addEventListener("pause",function(){
					//					   $(".musicBtn")[this.getAttribute("index")].setAttribute("src","../images/play.png");
					//					},false);
					c_audio.addEventListener("playing", function() {
						var oW, oH;
						dot.addEventListener("touchstart", function(e) {
							var touches = e.touches[0];
							oW = touches.clientX - this.offsetLeft;
							oH = touches.clientY - this.offsetTop;
							//阻止页面的滑动默认事件
							document.addEventListener("touchmove", defaultEvent, false);
						}, false);
						dot.addEventListener("touchmove", function(e) {
							var sequence = e.target.getAttribute("index");
							var touches = e.touches[0];
							var oLeft = touches.clientX - oW;
							if(oLeft < 0) {
								oLeft = 0;
							} else if(oLeft > document.documentElement.clientWidth - this.offsetWidth) {
								oLeft = (document.documentElement.clientWidth - this.offsetWidth);
							}
							this.style.left = oLeft + "px";
							var dur = c_audio.duration;
							var curTime = dur * oLeft / 160;
							c_audio.currentTime = curTime;
							$(".musicAudioProgress")[sequence].style.width = oLeft + "px";
						}, false);
						dot.addEventListener("touchend", function() {
							document.removeEventListener("touchmove", defaultEvent, false);
						}, false)
					}, false);
				}, false);
			}
			$('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
			});
			if(newReply == 1) {
				mui.ready(function() {
					mui('.mui-scroll-wrapper').scroll().scrollToBottom(30)
				});
			}
		}).catch(function(err) {
			//获取问题相关信息失败
			warning(err.message, err);
			console.error(err.message, err);
		});
	};
	//隐藏问题信息
	doc.getElementById("hideInfo").addEventListener("tap", function() {
		doc.getElementById("qsInfo").style.display = "none";
	}, false);
	//点击黑色蒙版隐藏问题信息
	doc.getElementById("qsInfo").addEventListener("tap", function() {
		doc.getElementById("qsInfo").style.display = "none";
	}, false);
	//续费取消支付
	cancelPay.addEventListener("tap", function() {
		doc.getElementById("pay").style.display = "none";
	}, false)

	var bindEvent = function(oImg) {
		oImg.addEventListener("load", AutoResizeImage("68", "68", oImg), false);
	};

	//暂停或播放
	var progressTimer;

	function playOrPaused(obj, curAudio, time, pro, dot) {
		var startX, endX;
		curAudio.addEventListener("pause", function() {
			$(".musicBtn")[curentIndex].setAttribute("src", "../images/play.png");
		}, false);
		//暂停其他音频
		for(var i = 0; i < audiosArr.length; i++) {
			if(i != curentIndex) {
				audiosArr[i].pause(); //其他音频暂停
				$(".musicBtn")[i].setAttribute("src", "../images/play.png");
				$(".dot")[i].setAttribute("class", "dot");
				$(".dot")[i].removeAttribute("id");
			} else {
				if(curAudio.paused) {
					if(curAudio != "" || curAudio != null) {
						curAudio.play();
						obj.setAttribute("src", "../images/pause.png")
						changeTime(curAudio, time, pro, dot);
					}
				} else {
					curAudio.pause();
					obj.setAttribute("src", "../images/play.png");

				}
			}
		}
	}
	//更改时间和进度
	function changeTime(obj, timeObj, pro, dot) {
		var currentTime, cTime, cTime1, seconds, min;
		timer = setInterval(function() {
			currentTime = "00:00";
			currentTime = obj.currentTime;
			var progressVal = currentTime / obj.duration * 160;
			pro.style.width = progressVal + "px";
			dot.style.left = (progressVal - 3) + "px";
			min = parseInt(currentTime / 60); //分
			seconds = Math.ceil(currentTime % 60);
			if(min == 0) {
				cTime = "00:";
			} else if(min > 0 && min < 10) {
				cTime = "0" + min + ":";
			} else if(min >= 10) {
				cTime = min + ":";
			}
			if(seconds < 10) {
				cTime1 = "0" + seconds;
			} else {
				cTime1 = seconds;
			}
			timeObj.innerHTML = cTime + cTime1;
		}, 100);
	}

	//图片居中
	function AutoResizeImage(maxWidth, maxHeight, objImg) {
		var img = new Image();
		img.src = objImg.src;
		var hRatio;
		var wRatio;
		var Ratio = 1;
		img.onload = function() {
			var w = img.width;
			var h = img.height;
			wRatio = maxWidth / w;
			hRatio = maxHeight / h;
			if(maxWidth == 0 && maxHeight == 0) {
				Ratio = 1;
			} else if(maxWidth == 0) { //
				if(hRatio < 1) Ratio = hRatio;
			} else if(maxHeight == 0) {
				if(wRatio < 1) Ratio = wRatio;
			} else if(wRatio < 1 || hRatio < 1) {
				Ratio = (wRatio <= hRatio ? wRatio : hRatio);
			}
			if(Ratio < 1) {
				w = w * Ratio;
				h = h * Ratio;
			}
			objImg.height = h;
			objImg.width = w;
			if(h > w) {
				//长图
				objImg.height = h - 2;
				objImg.width = w;
				var left = parseInt((68 - w) / 2);
				objImg.style.marginLeft = left + "px";
			}
			if(h < w) {
				objImg.height = h;
				objImg.width = w - 2;
				var top = parseInt((68 - h) / 2);
				objImg.style.marginTop = top + "px";
			}
		}

	}

	//自定义打赏价钱，默认价钱不选择
	doc.getElementById("definedMoney").addEventListener("focus", function() {
		for(var m = 0; m < $(".price").length; m++) {
			$(".price")[m].setAttribute("class", "price")
		}
	}, false);
	var payOrder = function(type) {
		var typeId;
		if(type == 0) {
			var payChannel = channels["alipay"];
			typeId = "alipay";
		} else {
			var payChannel = channels["wxpay"];
			typeId = "wxpay";
		}
		if(!payChannel.serviceReady) {
			var msg = '系统未安装“' + payChannel.description + '”服务，无法完成支付，是否立即安装？';
			plus.nativeUI.confirm(msg, function(e) {
				if(e.index == 0) {
					payChannel.installService();
				}
			}, payChannel.description);
		}
		prePay(typeId);
	};
	var prePay = function(payway) {
		var waitting = plus.nativeUI.showWaiting();
		bizSvc.prePay(id, bizSvc.payMethod[payway]).then(function(data) {
			var paySrc = null;
			if(payway == 'wxpay')
				paySrc = JSON.stringify(data.tradeData);
			else if(payway == 'alipay')
				paySrc = data.tradeData;
			plus.payment.request(channels[payway], paySrc, function(result) {
				waitting.close();
				rewardSuccess(); //支付成功之后
			}, function(error) {
				parseError(payway, error);
			});
		}).catch(function(err) {
			waitting.close();
			console.error(err.message, err);
		});
	};
	var parseError = function(type, error) {
		if(type == 'wxpay') {
			if(error.message.indexOf('[payment微信:-2]') >= 0) {
				warning("您已取消支付")
			} else if(error.message.indexOf('[payment微信:-3]') >= 0) {
				warning("支付请求发送失败，请检查是否网络问题");
			} else {

				warning("支付环境错误")
			}
		} else {
			if(error.message.indexOf('[payment支付宝:62001]') >= 0) {
				warning("您已取消支付")
			} else if(error.message.indexOf('[payment支付宝:62002]') >= 0) {
				warning("您的设备不支持支付")
			} else if(error.message.indexOf('[payment支付宝:62003]') >= 0) {
				warning("数据格式错误")
			} else if(error.message.indexOf('[payment支付宝:62005]') >= 0) {
				warning("订单信息错误")
			} else if(error.message.indexOf('[payment支付宝:62006]') >= 0 || error.message.indexOf('[payment支付宝:62007]') >= 0) {
				warning("支付宝服务错误")
			} else if(error.message.indexOf('[payment支付宝:62008]') >= 0) {
				warning("网络错误")
			} else {
				warning("支付环境错误")
			}
		}
	};
	//打赏
	doc.getElementById("paynow").addEventListener("tap", function() {
		//判断是否有默认价格
		var price;
		orderType = 0;
		if($(".btnBox .active").length <= 0) {
			price = doc.getElementById("definedMoney").value;
			//判断是不是数字
			var regPos = /^\d+(\.\d+)?$/; //非负浮点数
			if(!regPos.test(price)) {
				warning("请输入数字");
				return false;
			}
			var reg = /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/;
			if(!reg.test(price)) {
				warning("输入的金额不合法");
				return false;
			}
			if(price <= 0.00) {
				warning("最小只能输入0.01元哦！");
				return false;
			}
		} else {
			price = this.getAttribute("paymoney");
		}

		var type = paynow.getAttribute("payType");
		//创建订单号
		bizSvc.reward(qsId, price).then(function(res) {
			id = res.buzzId;
			if(type == 0) {
				payOrder(0);
			} else {
				payOrder(1);
			}
		}).catch(function(err) {
			warning(err.message, err);
			console.error(err.message, err);
		});
	}, false);

	//打赏成功
	function rewardSuccess() {
		if(orderType == 0) {
			doc.getElementById("rewardConsult").style.display = "none";
			doc.getElementById("rewardSuccess").style.display = "block";
			doc.getElementById("successIcon").setAttribute("src", "../images/success.png");
			doc.getElementById("rewardSuccessTitle").innerHTML = "打赏成功";
			doc.getElementsByClassName("successTitle")[0].innerHTML = "感谢您的打赏，我们会继续努力做好社保咨询!";
			doc.getElementsByClassName("mui-backdrop-action")[0].style.display = "none";
		} else {
			bizSvc.paySuccess(qsId, renewId, 1).then(function(res) {
				if(res == "success") {
					addTime = 0;
					doc.getElementById("pay").style.display = "none";
					continuePay.innerHTML = "追问（剩5次）";
					continuePay.setAttribute("class", "qsAction");
					continuePay.style.cssText = "border-right:1px solid #ccc";
					doc.getElementById("zhuiwen").className = "zhuiwen";
					consultCount = 5;
				}
			}).catch(function(err) {
				//支付失败
				warning(err.message, err);
				console.error(err.message, err);
			});
		}

	}

	//关闭打赏
	doc.getElementById("closeReward").addEventListener("tap", function() {
		doc.getElementById("rewardSuccess").style.display = "none";
	}, false);

	//打赏失败
	function rewardFail() {
		if(orderType == 0) {
			doc.getElementById("rewardConsult").style.display = "none";
			doc.getElementById("rewardSuccess").style.display = "block";
			doc.getElementById("successIcon").setAttribute("src", "../images/fail.png");
			doc.getElementById("rewardSuccessTitle").innerHTML = "打赏失败";
			doc.getElementsByClassName("successTitle")[0].innerHTML = "感谢您的心意,我们会继续努力做好社保咨询!";
			doc.getElementsByClassName("mui-backdrop-action")[0].style.display = "none";
			//3秒自动消失
			setTimeout(function() {
				doc.getElementById("rewardSuccess").style.display = "none";
			}, 3000);
		} else {
			warning("续费失败，请重试")
		}
	}

	//切换支付方式
	for(var m = 0; m < $(".payBox .payWay").length; m++) {
		$(".payBox .payWay")[m].addEventListener("tap", function() {
			var classname = this.getAttribute("class");
			for(var i = 0; i < this.parentNode.children.length; i++) {
				this.parentNode.children[i].setAttribute("class", "payWay")
			}
			this.setAttribute("class", "payWay active");
			renew.setAttribute("payType", this.getAttribute("payType"));
			paynow.setAttribute("payType", this.getAttribute("payType"));
		}, false)
	}

	for(var k = 0; k < $(".btnBox .price").length; k++) {
		$(".btnBox .price")[k].addEventListener("tap", function() {
			var classname = this.getAttribute("class");
			for(var i = 0; i < this.parentNode.children.length; i++) {
				this.parentNode.children[i].setAttribute("class", "price")
			}
			this.setAttribute("class", "price active");
			paynow.setAttribute("payMoney", this.getAttribute("value"));
		}, false)
	}

	//时间戳转换成年月日
	function timestampToTime(timestamp) {
		var time = new Date(timestamp);
		var year = time.getFullYear();
		var month = time.getMonth() + 1;
		var date = time.getDate();
		var hours = time.getHours();
		var minutes = time.getMinutes();
		var seconds = time.getSeconds();
		return year + '-' + add0(month) + '-' + add0(date);
	}

	function add0(m) {
		return m < 10 ? '0' + m : m
	}
	//统一样式的警告
	function warning(txt) {
		warn.innerHTML = txt;
		warn.style.display = "block";
		setTimeout(function() {
			warn.style.display = "none";
		}, 1500)
	}

	getDetail(qsId);

	var g = function(id) {
		return document.getElementById(id);
	};
	var getChannels = function(s) {
		var channel = null;
		for(var i = 0; i < s.length; i++) {
			channels[s[i].id] = s[i];
		}
	};

	$.plusReady(function() {
		//获取支付通道列表
		plus.payment.getChannels(function(s) {
			getChannels(s);
		}, function(e) {
			warning("获取支付通道列表失败：" + e.message);
		});
	});

	window.addEventListener("refreshPage", function() {
		getDetail(qsId);
	}, false);

})(mui, document);