(function(tracks){
	tracks.cates = {1:'文章分类',2:'视频分类',3:'代缴分类',4:'商保类型',5:'银行名称',6:'贷款分类',7:'订单状态',8:'Feed流'};
	tracks.contypes = {1:'文章',2:'视频',3:'社保产品',4:'商业保险',5:'信用卡',6:'贷款产品'};
	tracks.searchType = {1:'文章搜索',2:'综合搜索',3:'O2O店铺搜索',4:'O2O产品搜索'};
	tracks.orderType = {1:'社保服务类订单',2:'保险服务类订单',3:'贷款服务类订单',4:'叮当快药类订单',5:'付费咨询类订单',6:'体检订单'};
	tracks.shareType = {1:'图文',2:'视频',3:'链接'};
	tracks.sharePlatform = {1:'微信',2:'朋友圈',3:'QQ',4:'微博'};

	tracks.noTrack = ['invitation.html','openUrl.html','article.html','article-video.html','activity.html','advert.html'];
	
	tracks['main.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#tabNav a","jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_page:jhref"},

			{"trackType":"joyLinkClick","jtrack_selector":".fun-quick .goSheBao","jtrack_name":"社保查询","jtrack_page":"/view/sbk-info.html"},
			{"trackType":"joyLinkClick","jtrack_selector":".fun-quick .kefu","jtrack_name":"社保咨询","jtrack_page":"/view/qa.html"},
			{"trackType":"joyLinkClick","jtrack_selector":".fun-quick .toJoy","jtrack_name":"险种分析","jtrack_page":"#tabJoy"},
			{"trackType":"joyLinkClick","jtrack_selector":".fun-quick .goGongJi","jtrack_name":"公积金查询","jtrack_page":"/view/gjj-info.html"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#goSheBao","jtrack_name":"社保查询","jtrack_page":"/view/sbk-info.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#kefu","jtrack_name":"社保咨询","jtrack_page":"/view/qa.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#toJoy","jtrack_name":"险种分析","jtrack_page":"#tabJoy"},
			{"trackType":"joyLinkClick","jtrack_selector":"#goGongJiJin","jtrack_name":"公积金查询","jtrack_page":"/view/gjj-info.html"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#shebaoInfo .unbind","jtrack_name":"社保绑卡"},
			{"trackType":"joyLinkClick","jtrack_selector":"#fundInfo .unbind","jtrack_name":"公积金绑卡"},
			
			{"trackType":"joyFuncClick","jtrack_selector":"#bizList .btn","jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_page:href,jtrack_pid:serialnumber"},
			{"trackType":"joyCateClick","jtrack_selector":"#feedTab .mui-control-item","jtrack_cate_type":8,"jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_cate_id:tab"},
			{"trackType":"joyFeedClick","jtrack_selector":"#feedGroup .feed-item a","jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_feed_type:data-type,jtrack_feed_id:data-id"},
			{"trackType":"joyPraise","jtrack_selector":".feed-item .info .praise[praised=\"0\"]","jtrack_praise_type":"点赞","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			{"trackType":"joyPraise","jtrack_selector":".feed-item .info .praise[praised=\"1\"]","jtrack_praise_type":"取消","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			
			{"trackType":"joyAdClick","jtrack_selector":"#homebig a","jtrackmap":"jtrack_ad_gameid:gameid,jtrack_ad_id:adid,jtrack_name:title,jtrack_ad_posid:posid,jtrack_ad_url:jhref"},
			{"trackType":"joyAdClick","jtrack_selector":"#homesmall1 a","jtrackmap":"jtrack_ad_gameid:gameid,jtrack_ad_id:adid,jtrack_name:title,jtrack_ad_posid:posid,jtrack_ad_url:jhref"},
			{"trackType":"joyAdClick","jtrack_selector":"#homesmall2 a","jtrackmap":"jtrack_ad_gameid:gameid,jtrack_ad_id:adid,jtrack_name:title,jtrack_ad_posid:posid,jtrack_ad_url:jhref"},
			{"trackType":"joyAdClick","jtrack_selector":"#homesmall3 a","jtrackmap":"jtrack_ad_gameid:gameid,jtrack_ad_id:adid,jtrack_name:title,jtrack_ad_posid:posid,jtrack_ad_url:jhref"},
			
			{"trackType":"joyCateClick","jtrack_selector":"#cateList .mui-control-item","jtrack_cate_type":1,"jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_cate_id:cate"},
			{"trackType":"joyLinkClick","jtrack_selector":"#pullRefresh .article-item .article_function .pinglun","jtrack_name":"悦社列表评论"},
			{"trackType":"joyLinkClick","jtrack_selector":"#chooseTitle .mui-placeholder","jtrack_name":"文章搜索框"},
						
			{"trackType":"joyConClick","jtrack_selector":"#pullRefresh .article-item .to_article[type=\"1\"]","jtrack_con_type":1,"jtrack_name":"{{this.innerText}}","jtrack_con_id":"{{aid}}"},
			{"trackType":"joyConClick","jtrack_selector":"#pullRefresh .article-item .to_article[type=\"2\"]","jtrack_con_type":2,"jtrack_name":"{{this.innerText}}","jtrack_con_id":"{{aid}}"},
			{"trackType":"joyPraise","jtrack_selector":"#pullRefresh .article-item .article_function .zhan[praised=\"0\"]","jtrack_praise_type":"点赞","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			{"trackType":"joyPraise","jtrack_selector":"#pullRefresh .article-item .article_function .zhan[praised=\"1\"]","jtrack_praise_type":"取消","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			{"trackType":"joyVideoPlay","jtrack_selector":"#pullRefresh .article-item .video-cover","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},

			{"trackType":"joyLinkClick","jtrack_selector":"#joyContent .apps a","jtrack_name":"险种分析-{{this.innerText}}","jtrackmap":"jtrack_page:jhref,jtrack_cate_id:mid"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#si","jtrack_name":"社保服务","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyLinkClick","jtrack_selector":"#CommercialInsurance","jtrack_name":"商业保险","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyLinkClick","jtrack_selector":"#creditCard","jtrack_name":"信用卡","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyLinkClick","jtrack_selector":"#loan","jtrack_name":"贷款服务","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyLinkClick","jtrack_selector":"#medicine","jtrack_name":"药品商城","jtrackmap":"jtrack_page:jhref"},

			{"trackType":"joyLinkClick","jtrack_selector":"#topHandler","jtrack_name":"用户信息","jtrack_page":"/view/auth-login.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#orders","jtrack_name":"社保订单","jtrack_page":"/view/order-list.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#tijian","jtrack_name":"医疗订单","jtrack_page":"/view/o2o/order/order-list.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#advices","jtrack_name":"我的咨询","jtrack_page":"/view/zixun.html"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#sbk","jtrack_name":"我的社保卡","jtrack_page":"/view/sbk-list.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#gjj","jtrack_name":"我的公积金","jtrack_page":"/view/gjj-list.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#favorites","jtrack_name":"我的收藏","jtrack_page":"/view/favorites.html"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#myPageContacts a","jtrack_name":"{{this.innerText}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#checkBar","jtrack_name":"软件更新","jtrack_page":"{{this.innerText}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#mark","jtrack_name":"赐个评分"},
			{"trackType":"joyLinkClick","jtrack_selector":"#share","jtrack_name":"分享应用"},
			{"trackType":"joyLinkClick","jtrack_selector":"#setting","jtrack_name":"应用设置"}
		]
	};
	tracks['qa.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#zixun .kf","jtrack_name":"在线咨询"},
			{"trackType":"joyLinkClick","jtrack_selector":"#zixun .kf","jtrack_name":"付费咨询","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyCateClick","jtrack_selector":"#cateList li","jtrack_cate_type": 2,"jtrackmap":"jtrack_name:videoname,jtrack_cate_id:videoid"}
		]
	};
	tracks['sbk-info.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#exchange","jtrack_name":"社保绑卡","jtrack_page":"/view/shebaobind.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#refresh","jtrack_name":"更新社保信息"},
			{"trackType":"joyLinkClick","jtrack_selector":"#ybTip","jtrack_name":"医保账户解释"},
			{"trackType":"joyLinkClick","jtrack_selector":"#ylTip","jtrack_name":"养老账户解释"},
			{"trackType":"joyLinkClick","jtrack_selector":".sliderBar .mui-slider-indicator a","jtrack_name":"{{this.innerText}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"footer .btn","jtrack_name":"{{this.innerText}}","jtrackmap":"jtrack_page:jhref"},
			{"trackType":"joyLinkClick","jtrack_selector":"#kefu","jtrack_name":"快速问答"},
			{"trackType":"joyLinkClick","jtrack_selector":"#infoContacts li a","jtrack_name":"{{this.innerText}}"},			
			{"trackType":"joyAdClick","jtrack_selector":"#costGroup .ad a","jtrack_ad_gameid":"{{gameid}}","jtrack_ad_id":"{{adid}}","jtrack_name":"{{title}}","jtrack_ad_posid":"{{posid}}","jtrack_ad_url":"{{jhref}}"}
		]
	};
	tracks['gjj-info.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#exchange","jtrack_name":"公积金绑定","jtrack_page":"/view/gjj-bind.html"},
			{"trackType":"joyLinkClick","jtrack_selector":"#refresh","jtrack_name":"公积金更新"},
			{"trackType":"joyLinkClick","jtrack_selector":"#tip","jtrack_name":"公积金账户解释"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#funs .fun","jtrack_name":"{{this.innerText}}","jtrack_page":"{{jhref}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#daijiaoLink","jtrack_name":"代缴代办","jtrack_page":"{{jhref}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#daikuanLink","jtrack_name":"贷款","jtrack_page":"{{jhref}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#xinyongkaLink","jtrack_name":"信用卡","jtrack_page":"{{jhref}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"footer .btn","jtrack_name":"{{this.innerText}}"}
		]
	};
	tracks['article.html'] = {
		tracks:[
			{"trackType":"joyKeyword","jtrack_selector":".tag-box a","jtrack_name":"文章搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":1},
			{"trackType":"joyLinkClick","jtrack_selector":"#share_button","jtrack_name":"文章分享(中间)"},
			{"trackType":"joyLinkClick","jtrack_selector":"#share_button2","jtrack_name":"文章分享(底部)"},
			{"trackType":"joyLinkClick","jtrack_selector":"#shoucang","jtrack_name":"收藏文章"},
			
			{"trackType":"joyEntranceClick","jtrack_selector":"#funcs .fun","jtrack_name":"{{title}}","jtrack_page":"{{jhref}}"},
			{"trackType":"joyPraise","jtrack_selector":".follow-count[data-praise=\"false\"]","jtrack_praise_type":"点赞","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			{"trackType":"joyPraise","jtrack_selector":".follow-count[data-praise=\"true\"]","jtrack_praise_type":"取消","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"}
		]
	};
	tracks['article-video.html'] = {
		tracks:[
			{"trackType":"joyKeyword","jtrack_selector":".tag-box a","jtrack_name":"文章搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":1},
			{"trackType":"joyLinkClick","jtrack_selector":"#share_button","jtrack_name":"文章分享(中间)"},
			{"trackType":"joyLinkClick","jtrack_selector":"#share_button2","jtrack_name":"文章分享(底部)"},
			{"trackType":"joyLinkClick","jtrack_selector":".understand-more","jtrack_name":"了解更多"},
			{"trackType":"joyLinkClick","jtrack_selector":"#shoucang","jtrack_name":"收藏文章"},
			
			{"trackType":"joyEntranceClick","jtrack_selector":"#funcs .fun","jtrack_name":"{{title}}","jtrack_page":"{{jhref}}"},
			{"trackType":"joyPraise","jtrack_selector":".follow-count[data-praise=\"false\"]","jtrack_praise_type":"点赞","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"},
			{"trackType":"joyPraise","jtrack_selector":".follow-count[data-praise=\"true\"]","jtrack_praise_type":"取消","jtrack_name":"{{title}}","jtrack_con_type":2,"jtrack_con_id":"{{aid}}"}
		]
	};
	tracks['advice-cate.html'] = {
		tracks:[
			{
				"trackType": "joyCateClick",
				"jtrack_selector": "#feedTab .mui-control-item",
				"jtrack_cate_type": 8,
				"jtrack_name": "{{this.innerText}}",
				"jtrack_cate_id":"{{tab}}"
			},
			{
				"trackType":"joySiProductClick",
				"jtrack_selector":"#feedGroup .content_list",
				"jtrack_siagent_cid":"{{cid}}",
				"jtrack_siagent_cname":"{{cname}}",
				"jtrack_siagent_name":"{{pname}}",
				"jtrack_siagent_id":"{{pid}}"
			}
		]
	};
	tracks['agent-info.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#chat","jtrack_name":"在线咨询"},
			{"trackType":"joyLinkClick","jtrack_selector":"#postOrder","jtrack_name":"提交社保订单"}
		]
	};
	tracks['insurances.html'] = {
		tracks:[{
			"trackType":"joyCateClick",
			"jtrack_selector":"#cates a",
			"jtrack_cate_type":4,
			"jtrack_name":"{{this.innerText}}",
			"jtrack_cate_id":"{{cate}}"
		},{
			"trackType":"joyAdClick",
			"jtrack_selector":".joy-ad a",
			"jtrack_ad_gameid":"{{gameid}}",
			"jtrack_ad_id":"{{adid}}",
			"jtrack_name":"{{title}}",
			"jtrack_ad_posid":"{{posid}}",
			"jtrack_ad_url":"{{jhref}}"
		}]
	};
	tracks['insurances-list.html'] = {
		tracks:[{
			"trackType":"joyCateClick",
			"jtrack_selector":"#cateList a",
			"jtrack_cate_type":4,
			"jtrack_name":"{{this.innerText}}",
			"jtrack_cate_id":"{{cate}}"
		},{
			"trackType":"joyInsuranceClick",
			"jtrack_selector":".proList .ins-list",
			"jtrack_ins_pid":"{{pid}}",
			"jtrack_ins_pname":"{{pname}}",
			"jtrack_ins_type":"{{type}}",
			"jtrack_ins_tname":"{{tname}}",
			"jtrack_ins_brand":"{{brand}}",
			"jtrack_ins_price":"{{price}}"
		}]
	};
	tracks['creditNew.html'] = {
		tracks:[
			{"trackType":"joyCateClick","jtrack_selector":"#banks li","jtrack_cate_type":5,"jtrack_name":"{{bankname}}","jtrack_cate_id":"{{aid}}"},
			{"trackType":"joyAdClick","jtrack_selector":"#criedit_top a","jtrackmap":"jtrack_ad_gameid:gameid,jtrack_ad_id:adid,jtrack_name:title,jtrack_ad_posid:posid,jtrack_ad_url:jhref"},
			{
				"trackType":"joyCreditCardClick",
				"jtrack_selector":"#creditAll .creditLi",
				"jtrack_pid":"{{credid}}",
				"jtrack_pname":"{{credname}}",
				"jtrack_bank":"{{bank}}",
				"jtrack_purl":"{{url}}"
			},
			{
				"trackType":"joyCreditCardClick",
				"jtrack_selector":"#creditCardList .creditLi",
				"jtrack_pid":"{{credid}}",
				"jtrack_pname":"{{credname}}",
				"jtrack_bank":"{{bank}}",
				"jtrack_purl":"{{url}}"
			},
		]
	};
	tracks['daikuanNew.html'] = {
		tracks:[
			{"trackType":"joyCateClick","jtrack_selector":"#sliderSegmentedControl a","jtrack_cate_type":6,"jtrack_name":"{{this.innerText}}","jtrack_cate_id":"{{datatype}}"},			
			{
				"trackType":"joyLoanClick",
				"jtrack_selector":"#slider li.daikuanBox",
				"jtrack_loan_pname":"{{productname}}",
				"jtrack_loan_pid":"{{productid}}",
				"jtrack_loan_ptype":"{{producttype}}",
				"jtrack_loan_spread":"{{spreadtype}}",
				"jtrack_loan_repayment":"{{repayment}}",
				"jtrack_loan_brand":"{{orgname}}",
				"jtrack_page":"{{spreadurl}}"
			}]
	};
	tracks['daikuan-XiaoEDai.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#kefu","jtrack_name":"在线咨询"},
			{"trackType":"joyLinkClick","jtrack_selector":"#applyNow","jtrack_name":"申请贷款"}
		]
	};
	tracks['daikuan-XianJinDai.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#kefu","jtrack_name":"在线咨询"},
			{"trackType":"joyLinkClick","jtrack_selector":"#applyNow","jtrack_name":"申请贷款"}
		]
	};
	tracks['my-info.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#head a","jtrack_name":"设置头像"},
			{"trackType":"joyLinkClick","jtrack_selector":"#nicknameBar a","jtrack_name":"设置昵称"},
			{"trackType":"joyLinkClick","jtrack_selector":"#mobileBar a","jtrack_name":"设置手机号码"},
			{"trackType":"joyLinkClick","jtrack_selector":"#qq.bind","jtrack_name":"绑定QQ账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#weixin.bind","jtrack_name":"绑定微信账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#sinaweibo.bind","jtrack_name":"绑定微博账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#alipay.bind","jtrack_name":"绑定支付宝账户"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#qq.unbind","jtrack_name":"解绑QQ账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#weixin.unbind","jtrack_name":"解绑微信账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#sinaweibo.unbind","jtrack_name":"解绑微博账户"},
			{"trackType":"joyLinkClick","jtrack_selector":"#alipay.unbind","jtrack_name":"解绑支付宝账户"},
			
			{"trackType":"joyLinkClick","jtrack_selector":"#signOut","jtrack_name":"退出登录"},
			{"trackType":"joyLinkClick","jtrack_selector":"#quit","jtrack_name":"退出应用"}
		]
	};
	tracks['setting.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#downSate","jtrack_name":"WIFI自动更新"},
			{"trackType":"joyLinkClick","jtrack_selector":"#push","jtrack_name":"推送设置"},
			{"trackType":"joyLinkClick","jtrack_selector":"#feedback","jtrack_name":"意见反馈"},
			{"trackType":"joyLinkClick","jtrack_selector":"#aboutus","jtrack_name":"关于我们"}
		]
	};
	tracks['feedback.html'] = {
		tracks:[	
			{"trackType":"joyLinkClick","jtrack_selector":"#submit","jtrack_name":"提交问题反馈"}
		]
	};
	tracks['about.html'] = {
		tracks:[
			{"trackType":"joyLinkClick","jtrack_selector":"#userxieyi","jtrack_name":"{{this.innerText}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#privacy","jtrack_name":"{{this.innerText}}"},
			{"trackType":"joyLinkClick","jtrack_selector":"#aboutContacts a","jtrack_name":"{{this.innerText}}"},			
			{"trackType":"joyLinkClick","jtrack_selector":"#callServices","jtrack_name":"在线咨询"}
		]
	};
	tracks['search_news.html'] = {
		tracks:[
			{"trackType":"joyKeyword","jtrack_selector":"#searchWords span","jtrack_name":"文章搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":1},
			{"trackType":"joyKeyword","jtrack_selector":"#histroyList span","jtrack_name":"文章搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":1},
			{"trackType":"joyKeyword","jtrack_selector":"#hotKeywords span","jtrack_name":"文章搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":1}
		]
	};
	tracks['search_all.html'] = {
		tracks:[
			{"trackType":"joyKeyword","jtrack_selector":"#searchWords span","jtrack_name":"综合搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":2},
			{"trackType":"joyKeyword","jtrack_selector":"#histroyList span","jtrack_name":"综合搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":2},
			{"trackType":"joyKeyword","jtrack_selector":"#hotKeywords span","jtrack_name":"综合搜索","jtrack_keyword":"{{this.innerText}}","jtrack_search_type":2}
		]
	};
	tracks['activity.html'] = {
		tracks:[{
			"trackType":"joyRedEnvelopes",
			"jtrack_selector":"#abox a",
			"jtrack_ad_gameid":"{{gameid}}",
			"jtrack_ad_id":"{{adid}}",
			"jtrack_name":"{{title}}",
			"jtrack_ad_posid":"{{posid}}",
			"jtrack_ad_url":"{{jhref}}"
		}]
	};
	tracks['advert.html'] = {
		tracks:[{
			"trackType":"joyAdClick",
			"jtrack_selector":"#adBox",
			"jtrack_ad_gameid":"{{gameid}}",
			"jtrack_ad_id":"{{adid}}",
			"jtrack_name":"{{title}}",
			"jtrack_ad_posid":"{{posid}}",
			"jtrack_ad_url":"{{jhref}}"
		}]
	};
	tracks['yiliao-analyze.html'] = {
		tracks:[{
			"trackType":"joySpreadInsClick",
			"jtrack_ins_pid":"{{pid}}",
			"jtrack_ins_pname":"{{pname}}",
			"jtrack_ins_tname":"{{type}}",
			"jtrack_ins_price":"{{price}}"
		}]
	};
	
	
})(window.saTracks={});

(function($,app,myStorage){
	//补全预置参数
	var cp = {};
	var netNames = ['unknow','none','ethernet','wifi','2g','3g','4g'];
	
	function SDAnalyticsReady(fn){
		if(window.saReady){
			fn();
		}else{
			document.addEventListener('SDAnalyticsReady',fn,false);
		}
	}
	
	function queryString(name,url){
		url = url || location.search.substr(1);
		var reg = new RegExp("(^|&|\\?)"+name+"=([^&]*)(&|$)", "i");
		var matchs = url.match(reg);
		if(matchs!==null) return decodeURIComponent(matchs[2]);
		return null;
	}
	function complementPresetInfo(){
		var devInfo = app.getDeviceInfo();
		var cntype = plus.networkinfo.getCurrentType();
		var imsi = plus.device.imsi;
		var prdName = '';
		if(imsi){
			if($.isArray(imsi) && imsi.length>0) imsi = imsi[0];
			if ( imsi.indexOf("46000")==0 || 
				 imsi.indexOf("46002")==0 || 
				 imsi.indexOf("46007")==0 ) {
	            prdName = "中国移动";
	        } else if (imsi.indexOf("46001")==0  || 
				 imsi.indexOf("46006")==0 ) {
	            prdName = "中国联通";
	        } else if (imsi.indexOf("46003")==0 ) {
	            prdName = "中国电信";
	        }
		}
		cp.$title = document.title;
		cp.$url = location.href.replace(/^.*\/www(\/.+)$/,'$1');
		cp.app_id = plus.runtime.appid;
		cp.app_name = app.name;
		cp.$app_version = devInfo.appVersion;
		cp.$network_type = netNames[cntype];
		cp.$wifi = cntype==3;
		cp.$carrier = prdName;
		var opener = plus.webview.currentWebview().opener();
		if(opener){
			cp.$referrer =opener.getURL().replace(/^.*\/www(\/.+)$/,'$1');
		}
	}
	function format(el,val){	
		if(/{{(.+)}}/g.test(val)){
			var matchs = val.match(/{{([^{}]+)}}/g);
			var str = val;
			mui.each(matchs,function(i,gm){
				var rv = '',expr = gm.replace(/{|}/g,'');
				if(/this\.(.+)/g.test(expr)){
					rv = el[expr.replace('this.','')].trim();
				}else if(/search\.(.+)/g.test(expr)){
					 rv = queryString(expr.replace('search.',''));
				}else{
					rv = el.getAttribute(expr);
				}
				str = str.replace(/{{([^{}]+)}}/,rv);
			});
			return str;
		}else{
			return val;
		}
	}
	
	function $pageView(){
		sa.track('$pageview',$.extend({},cp));
	}
	function $joyClick(obj){
		var attrs = {};
		var _attrs = obj.attributes;
		var jtrackmap = obj.getAttribute('jtrackmap')||'';
		for(var i=0;i<_attrs.length;i++){
			var key = _attrs[i].nodeName;
			var val = _attrs[i].nodeValue;
			if(key.indexOf('jtrack_')==0){
				attrs[key] = format(obj,val||'');
			}else if(jtrackmap.indexOf(':'+key)>=0){
				var reg = new RegExp("(^|,)([^:]+):"+key+"(,|$)", "i");
				var matchs = jtrackmap.match(reg);
				if(matchs!==null) attrs[matchs[2]] = val;
			}
		}
		//if(!attrs['jtrack_name']){
			//attrs['jtrack_name']=obj.innerText;
		//} 
		var evtName = obj.getAttribute('trackType')||'joyLinkClick';
		var trackData = $.extend({},attrs,cp);
		sa.track(evtName,trackData);
	}
	function customTrack(evtName,options){
		SDAnalyticsReady(function(){
			if(!evtName) return;
			var trackData = $.extend({},cp,options);
			sa.track(evtName,trackData);
		});
	}
	
	var _targets=[];
	var _options={
		enabled:true,
		pageView:true
	};
	
	function joyTrack(){
		mui.each(_targets,function(i,target){
			var els = document.querySelectorAll(target['jtrack_selector']);
			if(els.length>0){
				mui.each(els,function(n,el){
					if(el.getAttribute('joy-track-bind')) return;
					mui.each(target,function(key,value){
						el.setAttribute(key,value);
					});
					el.addEventListener('tap',function(evt){
						$joyClick(this);
					},false);
					el.setAttribute('joy-track-bind',true);
				});
			}
		}); 
	}
	function initTrack(options){
		mui.extend(_options,options);
	}
	function regTrack(targets){
		_targets = _targets.concat(targets);
	}
	function bindTrack(){
		joyTrack();
		var watchEl = document.body;
	    var MutationObserver = MutationObserver || WebKitMutationObserver;
	    if(MutationObserver){
	        var MutationObserverConfig={
	            childList: true,
	            subtree: true
	        };
	        var observer=new MutationObserver(function(mutations){
	            joyTrack();
	        });
	        observer.observe(watchEl,MutationObserverConfig);
	    }else if(el.addEventListener){
	        watchEl.addEventListener("DOMSubtreeModified", function(evt) {
	            joyTrack();
	        }, false);
	    }else{
	        console.log('unsupported browser');
	    }
	}
 	function getPageTracks(){
 		var pageName = location.href.substr(location.href.lastIndexOf('/')+1).replace(location.search,'');
 		return saTracks[pageName];
 	}
 	
 	//var saweb ='https://sc.joyshebao.com/'
 	//var saServer ='https://sc.joyshebao.com:8106/sa?project=default';

	function initSaSdk(){
		var appjs = document.querySelector('script[src$="/app.js"]');
		var sdkPath = '../js/lib/';
		sdkPath = appjs.src.replace('/app.js','/lib');
		(function(para) {
			var p = para.sdk_url,
				n = para.name,
				w = window,
				d = document,
				s = 'script',
				x = null,
				y = null;
			w['sensorsDataAnalytic201505'] = n;
			w[n] = w[n] || function(a) {
				return function() {
					(w[n]._q = w[n]._q || []).push([a, arguments]);
				}
			};
			var ifs = ['track', 'quick', 'register', 'registerPage', 'registerOnce', 'clearAllRegister', 'trackSignup', 'trackAbtest', 'setProfile', 'setOnceProfile', 'appendProfile', 'incrementProfile', 'deleteProfile', 'unsetProfile', 'identify', 'login', 'logout', 'trackLink', 'clearAllRegister'];
			for(var i = 0; i < ifs.length; i++) {
				w[n][ifs[i]] = w[n].call(null, ifs[i]);
			}
			if(!w[n]._t) {
				x = d.createElement(s), y = d.getElementsByTagName(s)[0];
				x.async = 1;
				x.src = p;
				y.parentNode.insertBefore(x, y);
				w[n].para = para;
			}
		})({
			sdk_url: sdkPath+'/sensorsdata.min.js ',
			heatmap_url:  sdkPath+'/heatmap.min.js',
			name: 'sa',
			web_url: app._saWeb,
			server_url: app._saServer,
			show_log:!!app._saShowLog,
			use_app_track:true,
			heatmap: {
				//是否开启点击图，默认 default 表示开启，自动采集 $WebClick 事件，可以设置 'not_collect' 表示关闭
				clickmap: 'not_collect',
				//是否开启触达注意力图，默认 default 表示开启，自动采集 $WebStay 事件，可以设置 'not_collect' 表示关闭
				scroll_notice_map: 'not_collect'
			}
		});
	}
 	
 	var pageTrack = getPageTracks();
 	if(pageTrack) initTrack(pageTrack.options);
 	if(pageTrack && pageTrack.tracks) regTrack(pageTrack.tracks);
 	
	window.SDAnalytics = {
		$default : cp,
		startTime:Date.now(),
		clickTargets:_targets,
		regTrack:regTrack,
		initTrack:initTrack,
		customTrack:customTrack
	};
	initSaSdk();
	
	$.plusReady(function(){
		var pageName = location.href.substr(location.href.lastIndexOf('/')+1).replace(location.search,'');
		if(_options.enabled){
			if($.os.android){
				var androidID = app.getAndroidID();
				if(androidID) sa.identify(androidID,true);
			}else if($.os.ios){
				var idfv = app.getIOSIdfv();
				if(idfv) sa.identify(idfv,true);
			}
			var user = app.getUser();
			if(user && user.userId){
				sa.login(user.userId);
			}
			complementPresetInfo();
			if(_options.pageView && saTracks.noTrack.indexOf(pageName)<0) $pageView();
			bindTrack();
			var backBtn = document.querySelector('.mui-action-back');
			if(backBtn){
				backBtn.addEventListener('tap',function(evt){
					sa.track('joyPageBack',$.extend({"jtrack_name":"返回","jtrack_type":1},cp));//software-key
				},false);
			}
			plus.key.addEventListener("backbutton",function(){
				 sa.track('joyPageBack',$.extend({"jtrack_name":"返回","jtrack_type":2},cp));//hardware-key
			});
			$.currentWebview.addEventListener("popGesture",function(){
				 sa.track('joyPageBack',$.extend({"jtrack_name":"返回","jtrack_type":3},cp));//popGesture
			});
			window.saReady = true;
			$.fire($.currentWebview,'SDAnalyticsReady');
		}
		//sa.quick('autoTrack');
	});
})(mui,app,myStorage);