(function(app,req,svc) {
	/*咨询工单*/
	svc.getAdviceCate = function(type){
		var url = app._baseUrl + '/consultService/getCounCate/'+type;
		return req.get(url);
	};
	
	svc.postAdvice = function(data){
		var url = app._baseUrl + '/consultService/leaveMessage';
		return req.post(url,data);
	};
	
	svc.getConsultList = function(pageNum,pageSize,Status){
		var url = app._baseUrl + '/consultService/getConsultList';
		return req.post(url,{pageNum:pageNum,pageSize:pageSize,Status:Status});
	};
	
	svc.getConsultDetail = function(id){
		var url = app._baseUrl + '/consultService/getConsultDetail/'+id;
		return req.get(url);
	};
	 
	svc.setConsultScore = function(data){
		var url = app._baseUrl + '/consultService/setConsultScore';
		return req.post(url,data);
	};
	
	svc.getConsultCity = function(type){
		var url = app._baseUrl + '/consultService/getConsultCity/'+type;
		return req.get(url);
	};
	
	/*商业保险*/
	svc.getInsuranceType = function(){
		var url = app._baseUrl + '/ccommercialIns/getBusiInsuProductType';
		return req.get(url);
	};
	svc.getInsuranceProductList = function(type){
		var url = app._baseUrl + '/commercialIns/getBusiInsuProductList/'+type;
		return req.get(url);
	};
	svc.getInsType = function(){
		var url = app._baseUrl + '/commercialIns/getInsTypeInfoNew';
		return req.get(url).then(function(list){
			myStorage.setItem('insCates',list);
			return list;
		});
	};
	svc.getInsProList = function(type){
		var url = app._baseUrl + '/commercialIns/getInsInfoNew';
		return req.post(url,{pType:type});
	};
	svc.getZhonganParam = function(){
		var url = app._baseUrl + '/commercialIns/getUseInfo';
		return req.get(url);
	};
	svc.getBizzParas = function(pid){
		var url = app._baseUrl + '/commercialIns/getTowardPage';
		return req.post(url,{insProId:pid});
	};
	svc.getCominsOrgList = function(){
		var url = app._baseUrl + '/online/commercialIns/getCominsOrgList';
		return req.get(url);
	};
	svc.saveInsTypePV = function(cateId){
		var url = app._baseUrl + '/online/commercialIns/saveInsTypePV';
		return req.post(url, {pType:cateId,orgAttributionType:1});
	};
	svc.saveInsPV = function(pid,type){
		var url = app._baseUrl + '/online/commercialIns/saveInsPV';
		return req.post(url, {pId:pid,pType:type,orgAttributionType:1});
	};
	
	/*信用卡*/
	svc.getCreditBankList = function(){
		var url = app._baseUrl + '/credit/getCreditBankList';
		return req.get(url);
	}
	svc.getCreditCardList = function(data){
		var url = app._baseUrl + '/credit/getCreditCardList';
		return req.post(url,data);
	};
	svc.getApplayCreditCard = function(id){
		var url = app._baseUrl + '/credit/applayCreditCard';
		return req.post(url,{id:id});
	};
	
	/*付费咨询*/
	//新增提交登录咨询
	svc.loginZixun = function(data,images){
		var url = app._gwCons+"/consult/submitQuestion";
		return request.postAddFiles(url,data,images);
	}
	svc.zhuiwenZixun = function(data,images){
		var url = app._gwCons+"/consult/submitAddQuestion";
		return request.postAddFiles(url,data,images);
	};
	//新增获取我的咨询列表
	svc.getZixunList = function(type){
		var url =app._gwCons+"/consult/getConsultList";
		return req.post(url,{type:type});
	};
	//咨询类别
	svc.getZixunType = function(cityCode){
		var url = app._gwCons+"/consult/getConsultTypeList";
		return req.post(url,{cityCode:cityCode});
	};
	//问题类别
	svc.getQsType= function(typeId){
		var url = app._gwCons+"/consult/getQuestionTypeList";
		return req.post(url,{id:typeId});
	};
	//问题详情
	svc.getQsDetail= function(qsId){
		var url = app._gwCons+"/consult/getConsultInfo";
		return req.post(url,{questionId:qsId});
	};
	//支付成功之后
	svc.paySuccess = function(questionId,buzzId,type){
		var url = app._gwCons+"/consult/payOrderSuccess";
		return req.post(url,{questionId:questionId,buzzId:buzzId,type:type});
	};
	//追问
	svc.moreAsk= function(qsId){
		var url = app._gwCons+"/consult/submitAddQuestion";
		return req.post(url,{questionId:qsId});
	}
	//打赏
	svc.reward= function(qsId,money){
		var url = app._gwCons+"/consult/createRewardOrder";
		return req.post(url,{questionId:qsId,orderAmount:money});
	};
	//续费
	svc.addOrder= function(qsId){
		var url = app._gwCons+"/consult/createAddOrder";
		return req.post(url,{questionId:qsId});
	}
	//（免费）增加次数
	svc.addCount= function(qsId){
		var url = app._gwCons+"/consult/continueQuestion";
		return req.post(url,{questionId:qsId});
	};
	//检测新的回复
	svc.checkReply= function(){
		var url = app._gwCons+"/consult/getIsNoRead";
		return req.post(url,{});
	};
	//社保服务页获取总标题描述信息
	svc.getQuestionInfor = function(){
		var url= app._gwCons+"/consult/getConsultDesc";
		return req.get(url);
	};
	
	svc.getOrderDetail = function (type,id) {
		var url = app._baseUrl + '/order/getBuzzOrderInfoNew';
		return req.post(url,{'orderType':type,"buzzId":id});
	};
    svc.getOrderDetail_new = function (type,id) {
    	var url = app._baseUrl + '/u/order/getBuzzOrderInfoNew';
    	return req.post(url,{'orderType':type,"buzzId":id});
    }; 
    
	
	
	
	/*支付*/
	svc.wxPrePay = function(type,orderId){
		var url = app._baseUrl + '/epay/wxPrePay';
		return req.post(url,{type:type,orderId:orderId});
	};
	svc.aliPrePay = function(type,orderId){
		var url = app._baseUrl + '/epay/aliPrePay';
		return req.post(url,{type:type,orderId:orderId});
	};
	
	svc.payMethod = {wxpay:'1',alipay:'2',applePay:'5',unionPay:'4'};//2019.09.03未添加一卡通支付
	svc.prePay = function(orderId,payMethod){
		var url = app._gwEpay + '/epayBusiness/common';
		var userId = app.getUser().userId;
		var postData = '{"funCode":"ZF0001","payMethod":"'+payMethod+'","payType":"08","userId":"'+userId+'","orderId":"'+orderId+'"}';
		return req.post(url,{reqJson:postData},{
			headers:{'Content-Type':'application/x-www-form-urlencoded'}
		});
	};
	
})(app,request,window.bizSvc={});
