(function(app,req){
	var svc = {};
	//贷款产品列表
	svc.getLoanProdList = function(productType,startAmt,endAmt){
		var url = app._baseUrl + '/loan/getNewLoanProdList';
		return req.post(url,{
			'productType':productType,
			'startAmt':startAmt,
			'endAmt':endAmt
		});
	};
	
	//贷款产品详情
	svc.getLoanProdInfo = function (id) {
        var url = app._baseUrl + '/loan/getLoanProdInfo';
    	return req.post(url,{'productId':id});
    };
	
    //贷款申请页面
    svc.getapplyLoan = function (productId) {
        var url = app._baseUrl + '/loan/applyLoan';
    	return req.post(url,{'productId':productId});
    };
    
    //月供试算
    svc.trialmonRepAmt = function(productId,cycle,amount){
   		 var url = app._baseUrl + '/loan/trialmonRepAmt';
   		 return req.post(url,{'productId':productId,'cycle':cycle,'amount':amount});
   	};
   	
    //个人贷款详情
	svc.getOrderInfo = function (type,id) {
        var url = app._baseUrl + '/order/getOrderInfo';
    	return req.post(url,{'orderType':type,"buzzId":id});
    };
 	
 	window.loanSvc =svc;
 	return svc;
})(app,request);