(function(app,req) {
	var svc = {};
	//获取所有未读消息数量
	svc.getUnreadMessageNum = function(){
		var url = app._baseUrl+'/online/message/allUnReadCount';
		return req.post(url,{});
	};
	//获取消息标记已读
	svc.getMessageReaded = function(dataObj){
		var url = app._baseUrl+'/online/message/readMsg';
		return req.post(url,{msgTypeId:dataObj});
	};
	//获取消息中心消息列表
	svc.getIndexMesList = function(){
		var url = app._baseUrl+'/online/message/getIndexMesList';
		return req.post(url,{});
	};
	//按消息类型获取子类消息列表
	svc.getMesList = function(dataObj){
		var url = app._baseUrl+'/online/message/getMesList';
		return req.post(url,{msgTypeId:dataObj});
	};
	//获取指定消息类型的消息内容列表
	svc.getSysMsgList = function(dataObj){
		var url = app._baseUrl+'/online/message/getSysMsgList';
		return req.post(url,{msgTypeId:dataObj});
	};
	//指定消息内容下的一个消息内容标记已读
	svc.getModifyMsgRead = function(dataObj){
		var url = app._baseUrl+'/online/message/ModifyMsgRead';
		return req.post(url,{msgTypeId:dataObj.msgTypeId,taskId:dataObj.taskId});
	};
	//获取系统消息内容详情
	svc.getSysMsgDetail = function(dataObj){
		var url = app._baseUrl+'/online/message/getSysMsgDetail';
		return req.post(url,{contentId:dataObj});
	};
	
	window.messageCenterSvc=svc;
	return svc;
})(app,request);
