(function(app,req) {
	
	var svc = {};
	//品牌
	svc.getBrandList = function(pos){
		var url = app._gwO2o+'/app/findAllAvailableBrand';
		return req.post(url,pos);
	};
	
	//商圈列表
	svc.getBusinessAreaList = function(code){
		var url = app._gwO2o+'/app/getBusinessAreaList';
		return req.post(url,{cityCode:code});
	};
	//筛选分类
	svc.getScreeningCategoryList = function(){
		var url = app._gwO2o+'/app/getScreeningCategoryList';
		return req.post(url);
	};
	
	//政务筛选分类
	svc.zwCategoryList = function(id){
		var url = app._gwO2o+'/app/level3';
		return req.post(url,{parent:id});
	}
	
	//详情
	svc.getDetail = function(data){
		var url = app._gwO2o+'/app/productSaleInfo';
		return req.post(url,data);
	};
	//产品推荐列表
	svc.recomPro = function(data){
		var url = app._gwO2o+'/app/recommendedProduct';
		return req.post(url,data);
	};
	//系统推荐
	svc.systemRecomPro = function(data){
		var url = app._gwO2o+'/app/recommendedList';
		return req.post(url,data);
	};
	//店铺印象
	svc.storeImpression = function(data){
		var url = app._gwO2o+'/app/getStoreImpressionsByStoreId';
		return req.post(url,data);
	};
	//单个产品包含项目
	svc.productProject = function(data){
		var url = app._gwO2o+'/app/getProductProject';
		return req.post(url,data);
	};
	//产品可用店铺
	svc.productStore = function(data){
		var url = app._gwO2o+'/app/searchProductStore';
		return req.post(url,data);
	};
	//电话号码
	svc.getNumber = function(data){
		var url = app._gwO2o+'/app/getStorePhones';
		return req.post(url,data);
	};
	//订单号
	svc.buyProduct = function(data){
		var url = app._gwO2o+'/app/buyProduct';
		return req.post(url,data);
	};
	// 产品搜索列表
	svc.getProList = function(data){
		var url = app._gwO2o+'/app/searchProduct';
		return req.post(url,data);
	};

	//地图页面列表
	svc.searchStore = function(params){
		var url = app._gwO2o+'/app/searchStore';
		return req.post(url,params);
	};
	//查询社保卡信息
	svc.getCardInfo = function(sbkid){
		var url = app._baseUrl + '/pool/getSecInfo';
		return req.post(url,{"securityAcctId":sbkid})
	};
	//订单列表
	svc.getOrderList = function(status,pageNo,pageSize){
		var url = app._gwO2o+'/app/myBuzzOrder';
		return req.post(url,{queryStatus:status,pageNo:pageNo,pageSize:pageSize});
	};
	
	//订单详情
	svc.getOrderDetail = function(buzzId){
		var url = app._gwO2o+'/app/orderInfo';
		return req.post(url,{buzzId:buzzId});
	};
	
	//预约申请
	svc.applyForPredetermine = function(data){
		var url = app._gwO2o+'/app/applyForPredetermine';
		return req.post(url,data);
	};
	
	//退款原因列表
	svc.getRefundsReasons = function(){
		var url = app._gwO2o+'/app/getRefundReasonList';
		return req.post(url,{});
	};
	//申请退款
	svc.applyRefunds = function(data){
		var url = app._gwO2o+'/app/orderRefund';
		return req.post(url,data);
	};
	//预约详情
	svc.getPredetermine = function(orderId){
		var url = app._gwO2o+'/app/getPredetermineByItem';
		return req.post(url,{itemId:orderId});
	};
	//退款详情
	svc.getRefundsDetail = function(orderId){
		var url = app._gwO2o+'/app/orderRefundInfo';
		return req.post(url,{orderId:orderId});
	};
	//政务详情
	svc.zw_detail = function(id){
		var url= app._gwO2o+'/app/storeInfo';
		return req.post(url,{storeId:id});
	};
	//体检产品详情
	svc.tjProductDetail = function(data){
		var url= app._gwO2o+'/app/userViewProductSaleInfo';
		return req.post(url,data);
	};
	//详情页面判断下架
	
	svc.outTime = function(data){
		var url= app._gwO2o+'/app/userViewProductSaleInfotime';
		return req.post(url,data);
	};
	//定点医院
	svc.getSecHosList = function(sbkid){
		var url = app._baseUrl + '/pool/getSecHosList';
		return req.post(url,{"securityAcctId":sbkid});
	};
	
	//体检店铺推荐产品
	svc.storeProduct = function(id,level){
		var url=app._gwO2o +'/app/getRecommendedProductsByStoreId'
		return req.post(url,{"storeId":id,"systematicOneLevel":level});
	}
	//体检店铺所有产品
	svc.storeAllPro = function(id,num,size){
		var url=app._gwO2o +"/app/getProductsByStoreId";
		return req.post(url,{storeId:id,"orderBy":"0",pageNo:num,pageSize:size})
	};
	
	//案例列表
	svc.caseList = function(id,pageNo,pageSize){
		var url=app._gwO2o +"/app/searchCaseList";
		return req.post(url,{storeId:id,pageNo:pageNo,pageSize:pageSize})
	};
	//医师详情案例列表
	svc.docter_caseList=function(id,doctorId,pageNo,pageSize){
		var url=app._gwO2o +"/app/doctorInfoSearchCaseList";
		return req.post(url,{storeId:id,doctorId:doctorId,pageNo:pageNo,pageSize:pageSize})
	};
	//案例详情
	svc.caseDetails = function(id){
		var url=app._gwO2o +"/app/searchCaseDetails";
		return req.post(url,{caseId:id})
	};
	//根据案例搜索店铺医师信息
	svc.caseDocter = function(id,lon,lat){
		var url=app._gwO2o +"/app/searchCaseRelevanceDoctorStore";
		return req.post(url,{caseId:id,lon:lon,lat:lat})
	};
	//根据案例搜索相关产品
	svc.relatedCase = function(caseId,lon,lat){
		var url=app._gwO2o +"/app/searchCaseRelevanceProject";
		return req.post(url,{caseId:caseId,lon:lon,lat:lat})
	};
	//医师列表
	svc.docterList=function(id,num,size){
		var url=app._gwO2o +"/app/searchDoctorList";
		return req.post(url,{storeId:id,pageNo:num,pageSize:size})
	}
	//医师详情
	svc.docterDetail=function(id){
		var url=app._gwO2o +"/app/searchDoctorDetails";
		return req.post(url,{doctorId:id})
	};
	//根据店铺搜索医师
	svc.jigouDocter=function(storeId){
		var url=app._gwO2o +"/app/searchStoreRelevanceDoctor";
		return req.post(url,{storeId:storeId})
	};
	//根据店铺搜索案例
	svc.jigouCase=function(id){
		var url=app._gwO2o +"/app/searchStoreRelevanceCase";
		return req.post(url,{storeId:id})
	};
	//详情页推荐
	svc.searchRecommendStoreList = function(lat,lon,storeId){
		var url=app._gwO2o +"/app/searchRecommendStoreList";
		return req.post(url,{lat:lat,lon:lon,storeId:storeId})
	};
	//查看店铺资质
	svc.check_zizhi = function(storeId){
		var url=app._gwO2o +"/app/searchQualificationImage";
		return req.post(url,{storeId:storeId})
	};
	//取消订单
	svc.cancelOrder = function(id){
		var url=app._gwO2o +"/cancelOrder";
		return req.post(url,{buzzId:id})
	};
	//删除订单
	svc.delOrder = function(buzzId){
		var url=app._gwO2o +"/deleteOrder";
		return req.post(url,{buzzId:buzzId})
	};
	//撤销退款
	svc.cancelRefund = function(buzzId){
		var url=app._gwO2o +"/cancelRefund";
		return req.post(url,{orderId:buzzId})
	};
	//预约页面带入体检人手机号和店铺营业时间
	svc.searchPredetermine=function(storeId){
		var url=app._gwO2o +"/searchPredeterminePhone";
		return req.post(url,{storeId:storeId})
	};
	//判断用户是否注销
	svc.searchProductLogout=function(){
		var url=app._gwO2o +"/searchProductLogout";
		return req.post(url)
	}
	//提交用户表单
	svc.contactUser=function(id,name,phone){
		var url=app._gwO2o +'/app/insertPredetermineUser';
		return req.post(url,{storeId:id,userName:name,userPhone:phone});
	};
	//修改预约信息
	svc.modifyPredetermine=function(data){
		var url=app._gwO2o+'/app/updatePredetermine';
		return req.post(url,data);
	};
	//支付方式
	svc.payment=function(data){
		var url=app._gwO2o+'/app/pullOutPayMethod';
		return req.post(url,data);
	};
	//店铺产品分类
	svc.storeProductType=function(level,parent,pageNo,pageSize,topParent,id){
		var url=app._gwO2o+'/app/getProjectSystematicList';
		return req.post(url,{level:level,parent:parent,pageNo:pageNo,pageSize:pageSize,topParent:topParent,storeId:id});
	}
	
	svc.getPay=function(system){
		var url = app._gwEpay + '/epayBusiness/common';
		var userId = app.getUser().userId;
		var postData = '{"funCode":"LJ1000","payType":"08","system":"'+system+'"}';
		return req.post(url,{reqJson:postData},{
			headers:{'Content-Type':'application/x-www-form-urlencoded'}
		});
	}

 
	//9月上上
	//新版店铺搜索
	svc.searchNewStore=function(params){
		var url=app._gwO2o+'/app/searchNewStore';
		return req.post(url,params);
	};
  svc.getAreaNameList=function(code){
		var url=app._gwO2o+'/app/getAreaNameList';
		return req.post(url,{cityCode:code});
	}
	//市区中商圈
	svc.getTradingArea=function(code,areas){
		var url=app._gwO2o+'/app/getAreaBusinessAreaList';
		return req.post(url,{cityCode:code,area:areas});
	}
	//行业分类
	svc.getIndustryCategoryList=function(level,parent,topParent,cityCode){
		var url=app._gwO2o+'/app/getIndustryCategoryList';
		return req.post(url,{level:level,parent:parent,topParent:topParent,cityCode:cityCode});
	}
	
	
	//九月下
	svc.getClassify=function(level,parent,topParent,cityCode){
		var url=app._gwO2o+'/app/getIndustryCategoryListByRank';
		return req.post(url,{level:level,parent:parent,topParent:topParent,cityCode:cityCode});
	}
	svc.getRankList=function(lon,lat,cityCode,id){
		var url=app._gwO2o+'/app/getRankList';
		return req.post(url,{lon:lon,lat:lat,cityCode:cityCode,industryCategoryId:id});
	}
	
	window.tijianSvc=svc;
	return svc;
})(app,request);
