(function($, doc) {
	var personalInformation = app.getUser();	//获取用户信息
	var obj = {}; 
	obj.secInfo = {
		userId:personalInformation.userId
	}
	//验证注销条件
	var verifyCancellationConditions = function (){
		var datasObj = {
			userId:obj.secInfo.userId,			//用户id
			cityCode:app.getCity().cityCode		//城市cityCode
		};
		shebaoSvc.verifyCancellationConditions(datasObj).then(function(data) {
			if(data.flag){
				
				g('tipsIcon').classList.add('success_icon');
				$('#describe')[0].innerHTML = '注销申请成功';
				g('auxiliaryStatement').classList.remove('mui-hidden');
				
			}else {
				$('#describe')[0].innerHTML = '抱歉，由于以下原因，账号无法注销';
				g('auxiliaryStatement').classList.add('mui-hidden');
				g('tipsIcon').classList.remove('success_icon');
				g('tipsIcon').classList.add('error_icon');
				g('reason').classList.remove('mui-hidden');
				var datas = data.result;
				for(var i = 0;i<datas.length;i++){
					switch(datas[i].status) {
					    case '1':
					        g('orders').classList.remove('mui-hidden');
							$('#orders')[0].querySelector('a').innerText = datas[i].message;
					        break;
					    case '2':
					        g('order').classList.remove('mui-hidden');
							$('#order')[0].querySelector('a').innerText = datas[i].message;
					        break;
					    case '3':
					        g('tijian').classList.remove('mui-hidden');
							$('#tijian')[0].querySelector('a').innerText = datas[i].message;
					        break;
					    case '4':
					        g('phoneModify').classList.remove('mui-hidden');
							$('#phoneModify')[0].querySelector('a').innerText = datas[i].message;
					        break;
					    default:
					} 
				}
			}
		}).catch(function(err) {
			console.error(err.message,err);
		});
	}
	
	//跳转至社保代缴列表页
	var orderList = function (){
		$.openWindow({id: 'orders',url:'../order-list.html'});
	}
	//跳转至医疗列表页
	var medicalCare = function (){
		$.openWindow({id: 'tijian-order-list',url: '../o2o/order/order-list.html'});
	}
	
	
	
	
	//跳转到设置页
	var settingPage = function() {
		var wvs = plus.webview.all();	//所有窗口对象
		var setting = plus.webview.getWebviewById('setting');	//指定窗口对象
		var main = plus.webview.getLaunchWebview();
		var self = plus.webview.currentWebview();	//当前窗口对象
		app.fireEvent('main','settingLoad');
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === main.id || wvs[i].id === setting.id || wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId) {
				continue;
			} else {
				wvs[i].close('none');	//关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close('slide-out-right');
	};
	//社保订单未完成
	g('orders').addEventListener('tap',function(e){
		orderList();
	},false);
	//社保订单已完成，但在服务中
	g('order').addEventListener('tap',function(e){
		orderList();
	},false);
	//医疗订单未完成
	g('tijian').addEventListener('tap',function(e){
		medicalCare();
	},false);
	//返回设置首页
	g('nextStep').addEventListener('tap',function(e){
		plus.navigator.setStatusBarStyle('light');
		settingPage();
	},false);
	verifyCancellationConditions();
}(mui, document));