(function($, doc,shebaoSvc) {
	var btnGetMsg = doc.getElementById('btnGetMsg');
	var personalInformation = app.getUser();	//获取用户信息
	var obj = {};
	obj.secInfo = {
		userId:personalInformation.userId,
		tplId:'logout_code'
	};
	//设置验证码倒计时
	var settime = function () {
		var intSms = null;
		var sec = 60;
		intSms = setInterval(function() {
			sec--;
			if (sec <= 0) {
				clearInterval(intSms);
				btnGetMsg.innerHTML = '获取验证码';
				btnGetMsg.removeAttribute('disabled');
			} else {
				btnGetMsg.innerHTML = sec + 's';
				btnGetMsg.setAttribute('disabled','disabled');
			}
		}, 1000);
	};
	//验证码请求
	var getMsgCode = function() {
		var datasObj = {
			userId:obj.secInfo.userId,
			tplId: obj.secInfo.tplId,
		};
		btnGetMsg.innerHTML = '<i class="mui-spinner"></i>';
		btnGetMsg.setAttribute('disabled','disabled');
		shebaoSvc.getCancellationTelcode(datasObj).then(function(a) {
			settime();
		}).catch(function(err) {
			btnGetMsg.innerHTML = '获取验证码';
			btnGetMsg.removeAttribute('disabled');
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	
	//验证手机验证码
	var refreshSec = function (event) {
		document.activeElement.blur();
		var phoneCode = g('phoneCode').value.trim();
		if(phoneCode.length==0){
			g('phoneCode').focus();
			return $.toast("请输入短信验证码");
		}else {
			var datasObj = {
				userId:obj.secInfo.userId,
				rcode: phoneCode,
			};
			shebaoSvc.verificationShortMessageCode(datasObj).then(function(data) {
				var phoneCode = g('phoneCode').value = '';
				$.openWindow({id:'confirmCancellation',url:'confirmCancellation.html'});
			}).catch(function(err) {
				$.toast(err.message);
			});
		}
	};
	//
	g('btnGetMsg').addEventListener('tap',function(){
		getMsgCode();
	},false);
	//下一步
	g('nextStep').addEventListener('tap',refreshSec,false);
}(mui, document,shebaoSvc));