(function($){
	//标记已经加载成功的个数
	var REQ_TOTAL = 0;
	//模块导出
	window.module = {};
	window.exports = {};
	//记录各个模块的顺序
	var exp_scripts = {};
	var exp_obj = {};
	//判断是否数组
	function isArray(param) {
	    return param instanceof Array;
	}
	function createScript(src) {
	    var $script = document.createElement('script');	
	    $script.setAttribute('src', src);
	    return $script;
	}
	function createStyles(styles) {
	    var req_list;
	    if(isArray(styles)) {
	        req_list = styles;
	    } else {
	        req_list = [styles];
	    }
	    $.each(req_list, function(i,src) {
		    var $style = document.createElement('link');
		    $style.setAttribute('rel', 'stylesheet');
		    $style.setAttribute('type', 'text/css');
		    $style.setAttribute('href', src);
		    document.head.appendChild($style);
	    });
	}

	function require(src, callback) {
	    var $script = exp_scripts[src];
		if(!$script){
			$script = createScript(src);
			exp_scripts[src] = $script;
	        var $node = document.head;//document.querySelector('body');
	        $node.appendChild($script);
		}
		(function($script) {
			if(!exp_obj[src]){
				 $script.addEventListener('load',function() {
	           	 	if(!exp_obj[src]) exp_obj[src] = mui.extend({},module.exports);
	           	 	var mobj = mui.extend({},exp_obj[src]);
	                module.exports = {};
	                callback && callback.apply(module.exports, [mobj]);
	            },false);
			}else{
				var mobj = mui.extend({},exp_obj[src]);
            		callback && callback.apply(module.exports, [mobj]);
			}
        })($script);
       
	}
	
	window.require = require;
	window.createScript = createScript;
	window.createStyles = createStyles;
})(mui);
