(function($,app,sbSvc) {
	var buzzType = common.utils.queryString('buzzType');
	var cityCode = common.utils.queryString('cityCode');
	var scroll = $('#homeScroll').scroll({
			deceleration: 0.0005,
			indicators: false,
			bounce:false
		});
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight;
			g('homeScroll').style.paddingTop = '25px';
	}
	var showDiv = function (){
		if(buzzType == '1'){
			//城乡居民社保缴费
			g('resident').classList.remove('mui-hidden');
		}else {
			//灵活就业社保缴费
			g('obtainEmployment').classList.remove('mui-hidden');
		}
	}
	var getsaveAppointFun = function (buzzType){
		if(app.checkLogin()){
			var user = app.getUser();
			sbSvc.getsaveAppoint(cityCode,user.mobile,buzzType).then(function(data){
				if(buzzType == '1'){
					g('maskImg').setAttribute('src','img/greenYes.png');
				}else {
					g('maskImg').setAttribute('src','img/blueYes.png');
				}
				g('maskBox').classList.remove('mui-hidden');
			}).catch(function(err){
				console.error(err.message,err);
			});
		}else {
			app.toLogin();
		}
	};
	//关闭提示框
	g('closeBox').addEventListener('tap',function(){
		g('maskBox').classList.add('mui-hidden');
	});
	//居民社保预约按钮
	g('makeAnAppointment').addEventListener('tap',function(){
		getsaveAppointFun(buzzType);
	});
	//灵活就业预约按钮
	g('flexibleEmployment').addEventListener('tap',function(){
		getsaveAppointFun(buzzType);
	});
	//神策埋点
	function joyTrack(){
		//城乡居民社保缴纳-立即预约
		jTrack.regEvents('#makeAnAppointment','joyLinkClick','jtrack_name:立即预约');
		//灵活就业社保缴费-立即预约
		jTrack.regEvents('#flexibleEmployment','joyLinkClick','jtrack_name:立即预约');
	}
	$.plusReady(function(){
		initFeed();
		showDiv();
		joyTrack();
	});
})(mui,app,sbSvc);