(function($,doc,messageCenterSvc) {
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
	});
	//获取地址栏参数
	function getQueryVariable (variable) {
       var query = window.location.search.substring(1);
       var vars = query.split("&");
       for (var i=0;i<vars.length;i++) {
               var pair = vars[i].split("=");
               if(pair[0] == variable){return pair[1];}
       }
       return(false);
	}
	//系统通知消息列表数据处理
	var orderMessageList = function (data){
		var messageInfoRow = document.getElementById('messageInfo');
		var html = '';
		if(data.length>0){
			$.each(data, function(i,item) {
				var unReadCount = item.unReadCount > 99 ? '99+' : item.unReadCount;
				var unreadNum = item.unReadCount == null ? 0 : item.unReadCount;
				var numMuiHidden = unReadCount == null ? 'mui-hidden' : '';
				html +=	'<a data-msgTypeId="'+item.msgTypeId+'" data-name="'+item.msgTypeName+'" data-unReadCount="'+unreadNum+'" data-href="'+item.transitionUrl+'">';
				html +=	'<li class="mui-navigate-right"><dl>';
				html +=	'<dt><img src="'+item.logoUrl+'"/></dt>';
				html +=	'<dd class="dl_style"><div class="content_div">';
				html +=	'<h6>'+item.msgTypeName+'</h6>';
				html +=	'<span class="red_num list_message_num_r '+numMuiHidden+'">'+unReadCount+'</span>';
				html +=	'</div></dd></dl></li></a>';
			});
		}else {
			html += '<div id="noComment" class="noContent">';
			html += '<img src="../../images/mynodatabg.png">';
			html += '<p>暂无内容</p>';
			html += '</div>';
		}
		messageInfoRow.innerHTML = html;
	}
	//获取子类消息数据列表
	var getOrderMessage = function (){
		var msgTypeIdData = getQueryVariable('msgTypeId');
		messageCenterSvc.getMesList(msgTypeIdData).then(function(data) {
			orderMessageList(data);
		}).catch(function(err) {
			$.toast(err.message);
		});
	}
	//系统通知对用跳转
	$('#messageInfo').on('tap','a',function(){
		var urlAll = this.getAttribute('data-href');
		var msgTypeId = this.getAttribute('data-msgTypeId');
		var msgTitle = this.getAttribute('data-name');
		var url = urlAll.split('/');
		var ids = url[url.length-1].split('.html');
		var id,urlLink;
		id = ids[0];
		urlLink = url[url.length-1];
		$.openWindow({id: id,url: 'systemNotification/'+urlLink+'?msgTypeId='+msgTypeId+'&title='+encodeURIComponent(msgTitle)});
		var currentPageId = plus.webview.getWebviewById(id);
		currentPageId.addEventListener('close', function() {
			getOrderMessage();
		});
	},false);
	//神策埋点
	function joyTrack(){
		//系统通知分类点击
		jTrack.regEventsLive('#messageInfo','a','joyMsgCateClick','jtrack_msgcate_name:attr.data-name,jtrack_msgcate_id:attr.data-msgtypeid,jtrack_msgcount:attr.data-unReadCount');
	}
	$.plusReady(function(){
		plus.navigator.setStatusBarStyle('dark');
		document.addEventListener('getOrderMessage',getOrderMessage,false);
		joyTrack();
	});
	getOrderMessage();
	
})(mui,document,messageCenterSvc);
