(function($,doc) {
	var mId = common.utils.queryString('mId');
	var user = app.getUser();
	var followedId,authorInfo;//作者id
	var  tab_index=0;
	var rq_params={pageSize:5,pageNum:1};//头条和头条评论的请求参数
	var articleParams = {pageSize:5,pageNum:1};//文章评论的参数
	
	//文章默认图片
	var article_defaultPic='image/dd_yiyuan.png';
	$.previewImage();
	$('#pullRefreshs .mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
     //处理图片
    function dealPic(imgList,m){
    	var imgHTML=[],imgStr="";
    	for(k=0;k<imgList.length;k++){
    		imgHTML=imgHTML.concat([
    			'<div class="info_img pic"><img src="',imgList[k],'" data-preview-src="" data-preview-group="',m,'" /></div>'
    		]);
    	}
    	imgStr = imgHTML.join("");
    	return imgStr;
    }
	
	function pullupRefresh(pullSel,index){
		if(index==0){
			//头条
			rq_params.pageNum++;
			getAllMes(rq_params,pullSel)
		}else if(index==1){
			rq_params.pageNum++;
			getAllCom(rq_params,pullSel)
		}else{
			articleParams.pageNum++;
			getArticleCom(articleParams,pullSel)
		}
	}
	
	var scroll_obj;
	var setPullToRefresh= function(tab_index) {
			var node =document.querySelectorAll('#pullRefreshs .mui-scroll')[tab_index];
			var deferred = Q.defer();
			scroll_obj = $(node).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullupRefresh(self,tab_index);
						}, 100);
					}
				}
			});
		}
	//获取微头条
	function getAllMes(params,pullSel){
		var id=params.releaseOperator;
		var pageNum = params.pageNum;
		var pageSize = params.pageSize;
		newsSvc.getAllMes(id,pageNum,pageSize).then(function(res){
			var list = res.data;
			var imgArr=[];
			var showAll = doc.createElement("div");
			showAll.setAttribute("class","showAllText");
			showAll.innerHTML="全文";
		
			if(list.length<=0){
				g("noMes").classList.remove("mui-hidden");
			}else{
				g("noMes").classList.add("mui-hidden");
				for(var m=0;m<list.length;m++){
					var oDiv = doc.createElement("div");
					oDiv.setAttribute("class","mes");
					var value = list[m];
					var htmlCon=[],imgStr="";
					var img = value.imageList;
  					var imgClass="";
					if(value.content.indexOf("img")>0){
						value.content =value.content.replace(/<img.*\/>/ig, "")
					}
					if(img){
						var len = img.length;
						if(len>0){
							if(len==2||len==4){
								imgClass = "imgs two";
							};
							if(len==1){
								imgClass = "imgs one";
							};
							if(len==3||len>4){
								imgClass = "imgs three";
							}
						}
						imgStr = dealPic(img,m)
					}
					
					htmlCon=htmlCon.concat([
						 '<div class="authorMes"><div class="author_pic">',
						 '<img src="../o2o/image/defaultheader.png" /></div>',
						 '<div class="author_info"><p class="authorName">',value.releaseOperatorName,'</p><p class="publishTime">',value.updateTime,'</p>',
							'</div></div><div class="content"><div>',value.content,'</div>',
							'</div><div class="picBox ',imgClass,'">',imgStr,'</div></div>'
					 ]);
 					oDiv.innerHTML = htmlCon.join("");
					//g("toutiaoCon").appendChild(oDiv);
//					if(pullSel){
//						g("toutiaoCon").appendChild(oDiv);
//					}
				}
				g("tab_toutia").setAttribute("load",1)
				for(var l=0;l<$(".content").length;l++){
					var hig = $(".content")[l].offsetHeight;
					$(".content")[l].setAttribute("hig",hig);
					if(hig>60){
						$(".content")[l].classList.add("hide");
						$(".content")[l].appendChild(showAll);
						showAll.setAttribute("sort",l)
					}
				}
			}
			if(pullSel){
				pullSel.endPullUpToRefresh(res.pages<=pageNum);
				
			}else{
				if(res.pages<=pageNum){
					console.log(11)
				}else{
					setPullToRefresh(0)
				}
			}
			
			
		}).then(function(err){
			console.log(err)
		})
	};
	function delHtmlTag(str){
	　　return str.replace(/<[^>]+>/g,"");
	}

	//展开全文
	$("#toutiaoCon").on("tap",".showAllText",function(){
		var index = this.getAttribute("sort");
		if(this.classList.contains("close")){//关闭状态
			$(".content")[index].classList.add("hide");
			this.innerHTML="全文";
			this.classList.remove("close");
		}else{
			$(".content")[index].classList.remove("hide");
			this.innerHTML="收起";
			this.classList.add("close");
		}
	})
	function getAllCom(params,pullSel){
		var id=params.releaseOperator;
		var pageNum = params.pageNum;
		var pageSize = params.pageSize;
		newsSvc.getAllCom(id,pageNum,pageSize).then(function(res){
			var list = res.data;
			if(list.length<=0){
				g("noComment").classList.remove("mui-hidden");
			}else{
				
				g("noComment").classList.add("mui-hidden");
				$.each(list,function(key,value){
					var oDiv = doc.createElement("div");
					oDiv.setAttribute("class","mes");
					oDiv.setAttribute("minfoId",value.minfoId)
					var htmlCon=[];
					var userName;
					if(value.type==0){
						userName = value.userName;
					}else{
						userName = value.repUserName;
					};
					if(value.minfoContent==""){
						value.minfoContent="#悦头条#"
					}else{
						if(value.minfoContent.indexOf("img")>0){
							value.minfoContent =value.minfoContent.replace(/<img.*\/>/ig, "")
						}
						value.minfoContent =delHtmlTag(value.minfoContent);
					}
				    if(value.minfoType==0){
					   //纯文字
					   htmlCon=htmlCon.concat([
					   	 '<div class="authorMes"><div class="author_pic">',
					   	 '<img src="../o2o/image/defaultheader.png"></div>',
					   	'<div class="author_info"><p class="authorName">kylin</p>',
					   	'<p class="publishTime">',value.releaseDate,'</p></div></div>',
					   	'<div class="comment_txt">',value.content,'</div>',
					   	'<div class="minfn_info word"><div class="wordTxt mui-ellipsis-2">',value.minfoContent,'</div></div>'
					   ]);
					   oDiv.innerHTML = htmlCon.join(""); 
				    }else{
					   //文字和图片
					   console.log(value.imageUrl);
					   htmlCon = htmlCon.concat([
						   '<div class="authorMes"><div class="author_pic">',
							'<img src="',value.headPath,'" /></div><div class="author_info">',
							'<p class="authorName">',value.userName,'</p><p class="publishTime">',value.releaseDate,'</p>',
							'</div></div><div class="comment_txt">',value.content,'</div>',
							'<div class="minfn_info pic clearfix">',
							'<div class="minfn_info_pic"><img src="',value.imageUrl,'"/></div>',
							'<div class="minfn_info word">',
							'<div class="wordTxt mui-ellipsis-2">',value.minfoContent,'</div></div></div>'
					   ]);
					    oDiv.innerHTML = htmlCon.join(""); 
				    }
				  // g("author_comment").appendChild(oDiv) 
				})
				g("tab_comment").setAttribute("load",1)
			}
			if(pullSel){
				pullSel.endPullUpToRefresh(res.pages<=pageNum);
				g("author_comment").appendChild(oDiv);
			}else{
				if(res.pages<=pageNum){
					console.log(11)
				}else{
					setPullToRefresh(1)
				}
			}	
		}).then(function(err){
			console.log(err)
		});
	};
	var getAuthorInfo = function(id){
		newsSvc.getUserbyConId(id).then(function(res){
			authorInfo = res.userInfo;
			console.log(authorInfo)
			g("follow_num").innerHTML=authorInfo.followCount;
			g("follow_fans").innerHTML=authorInfo.followedCount;
			followedId = authorInfo.userId;
			articleParams.reviewUserId = followedId;
			rq_params.releaseOperator = followedId;
			g("authorName").innerHTML = authorInfo.userName;
			if(authorInfo.signName){g("personal_brief").innerHTML = authorInfo.signName;}
			jel('#followBtn').attr('class',authorInfo.isFollow==1?'followBtn followed':'followBtn nofollow');
			jel('#followBtn').html(authorInfo.isFollow==1?'已关注':'+关注');
			getAllMes(rq_params);
		}).catch(function(err){
			console.log(err.message.err)
		})
	};
	
	function getArticleCom(params,pullSel){
		newsSvc.getArticleCom(params.reviewUserId,params.pageSize,params.pageNum).then(function(res){
			var  comment_list = res.list;
			if(comment_list.length>0){
				g("no_article_comment").classList.add("mui-hidden");
				for(var m=0;m<comment_list.length;m++){
					var value = comment_list[m];
					var htmlCon=[];
					var oDiv = doc.createElement("div");
					oDiv.setAttribute("class","mes");
					oDiv.setAttribute("minfoId",value.documentId);
				    var article_img = article_defaultPic;
					if(value.image){
						article_img = value.image;
					}
					htmlCon = htmlCon.concat([
					   '<div class="authorMes"><div class="author_pic">',
						'<img src="',authorInfo.headPath,'" /></div><div class="author_info">',
						'<p class="authorName">',authorInfo.userName,'</p><p class="publishTime">',value.createDate,'</p>',
						'</div></div><div class="comment_txt">',value.content,'</div>',
						'<div class="minfn_info pic clearfix">',
						'<div class="minfn_info_pic"><img src="',article_img,'"/></div>',
						'<div class="minfn_info word">',
						'<div class="wordTxt mui-ellipsis-2">',value.title,'</div></div></div>'
					]);
					oDiv.innerHTML = htmlCon.join("");
					//g("articleCom").appendChild(oDiv);
				};
				if(pullSel){
					var len = $("#articleCom .mes").length;
					pullSel.endPullUpToRefresh(len>=res.pagination.totalItems);
					g("articleCom").appendChild(oDiv);
				}else{
					setPullToRefresh(2)
				}
			}else{
				if(pullSel){
					pullSel.endPullUpToRefresh(true);
				}else{
					g("no_article_comment").classList.remove("mui-hidden");
				}
			}
		}).catch(function(e){
			console.log(err.message.err)
		})
	}
	//关注
	g('followBtn').addEventListener('tap',function(){
		if(app.checkLogin()){
			var folType = this.classList.contains('nofollow') ? 1:0;//未关注是1
			var userId = user.userId;
			newsSvc.followMan(folType,followedId,userId).then(function(data){
	 			jel('#followBtn').attr('class',folType==1?'followBtn followed':'followBtn nofollow');
				if(folType==1){
					g('followBtn').innerHTML="已关注";
					$.toast("关注成功");
				}else{
					g('followBtn').innerHTML="+关注";
					$.toast("取消关注");
				}
	 		}).catch(function(err){
	 			console.error(err.message,err);
	 		});
		}else{
			app.toLogin();
		}
	},false);
	
	g('slider').addEventListener('slide', function(event) {
		var index= event.detail.slideNumber;
		tab_index = index;
		var load =$("#tabs a")[index];
		var judge = load.getAttribute("load");
		if(judge==0){
			if(index==1){
				getAllCom(rq_params)
			}else if(index==2){
				getArticleCom(articleParams)
			}else{
				getAllMes(rq_params);
			}
		}
	},false);
	//点击评论进入详情
	$("#author_comment").on("tap",".mes",function(){
		var minfoId = this.getAttribute("minfoId");
		$.openWindow("minfo.html?id="+minfoId)
	})
	
	getAuthorInfo(mId);
})(mui,document);