(function($,doc){
	var storeId =  common.utils.queryString('storeId');
	var listParams={storeId:storeId,pageNo:1,pageSize:10}
	$.previewImage();
	
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var getDocterList=function(id,num,size,pull){
		tijianSvc.docterList(id,num,size).then(function (res) {//返回arr
		  var htmlCon =[];
		  var list=res.list;
		  if(list.length==0&&num>1){//第1页以上没有数据
		 		if(pull) pull.endPullUpToRefresh(true);
		  	}else if(list.length==0&&num<=1){//第一页没有数据
			  	var op = "<p class='noCase'>暂时没有数据</p>";
				g("docterList").innerHTML=op;
		  	}else{//有数据
		  	    for(var m=0;m<list.length;m++){
		  	      var skills="";
		  	        if(list[m].goodProjects.length>0){
		  	        	for(var n=0;n<list[m].goodProjects.length;n++){
		  	        		skills +='<label>['+list[m].goodProjects[n]+']</label>';
		  	        	}
		  	        }else{
		  	        	skills="";
		  	        }
		    		htmlCon =htmlCon.concat([
		    			'<div class="docter clearfix" docterId=',list[m].doctorId,'>',
		    			'<div class="docter_img" style="background:url(',list[m].headImageUrl,') no-repeat left top;background-size:cover;"></div><div class="docter_info">',
						'<p class="docter_name">',list[m].doctorName,'</p>',
						'<p class="docter_job">',list[m].doctorJob,'</p>',
						'<p class="border"></p><div class="docter_skill"><span>擅长：</span><div class="docter_skill_list">',skills,'</div></div></div></div>'
		    		]);
				};
				g("docterList").innerHTML= num==1?htmlCon.join(""):g("docterList").innerHTML+htmlCon.join("");
				if(res.page.totalCount>size&&num==1){
			   		setPullToRefresh();
			    };
			    if(pull) pull.endPullUpToRefresh(false);
		 	}
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	
	var pullupRefresh = function(pull){
		listParams.pageNo++;
		getDocterList(listParams.storeId,listParams.pageNo,listParams.pageSize,pull);
	}
	var setPullToRefresh= function() {
		$('#docter_list .mui-scroll').pullToRefresh({
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						pullupRefresh(self)
					}, 100);
				}
			}
		});
	};
	//进入医师详情页面
	$("#docterList").on("tap",".docter",function(){
		var docterId = this.getAttribute("docterId");
		$.openWindow("docter.html?docterId="+docterId+"&storeId="+storeId)
	},false)
	getDocterList(listParams.storeId,listParams.pageNo,listParams.pageSize)
})(mui,document)