(function($,joyMap){
window.joyMap={}
	$.init();
	var markerPos=[];
	var oldBack = $.back;
	var ifBack=0;//默认直接返回
	var defaultIcon = "image/tijianicon.png";
	var zw_storeId = common.utils.queryString('storeId');
	var zw_name = common.utils.queryString('storeName');
	var zw_name_encode=zw_name;
	var zw_address = common.utils.queryString('address');
	zw_name = decodeURIComponent(zw_name);
	zw_address = decodeURIComponent(zw_address);
	var zw_dis = common.utils.queryString('dis');
	zw_dis = decodeURIComponent(zw_dis);

	var zw_lon=common.utils.queryString('lon');
	var zw_lat=common.utils.queryString('lat');
	var zw_tel=common.utils.queryString('tel');
	var zw_pic=common.utils.queryString('pic');
	zw_pic= decodeURIComponent(zw_pic);
	
	var level2 = common.utils.queryString('level2');
	
	var terminalType=0;//终端类型，默认安卓
	if(mui.os.ios&&defaultIcon.indexOf('/ios/')<0){
		 terminalType=1;
	}else{
		 terminalType=0;
	}
	if(level2==14){
		defaultIcon="image/yyicon.png";
	}else if(level2==12){
		defaultIcon="image/shebaoicon.png";
	}else if(level2==13){
		defaultIcon="image/gjjicon.png";
	}else if(level2==15){
		defaultIcon="image/yficon.png";
	}
	if(terminalType==1){
		defaultIcon= defaultIcon.replace("image/","image/ios/")
	}else{
		//安卓
		var clietW = document.body.clientWidth;
		if(clietW<=320){
			defaultIcon = defaultIcon.replace("icon","icon1");
		}
	}
	var immer_bar_hig =30;
	if(window.imbar && imbar.isImmersedStatusbar){
		immer_bar_hig = window.imbar.navBarHeight;
		if(immer_bar_hig>68){
			immer_bar_hig="50";
		}else{
			immer_bar_hig="30";
		}
	}
	$.back = function(){
		if(ifBack==0){
			plus.navigator.setStatusBarStyle('light');
			oldBack();
		}else{
			$.fire(joyMap.infoView,'myBack');
		}
	};
	var viewHeight = document.body.clientHeight,
		viewWidth = document.body.clientWidth,
		secInfo,uint,dint;

	joyMap.cview = null;
	joyMap.findMe = null;
	joyMap.infoView = null;
	joyMap.searchView = null;
	joyMap.city = '';
	joyMap.map = null;
	joyMap.myPoint = null;
	joyMap.sMaker = null;
    
	joyMap.nearRange = 2000;
	joyMap.resultMarkers={};
	var bottomSafeHeight = imbar?imbar.bottomSafeArea||0:0;
	
	window.addEventListener('showFavMarkers',function(){
		joyMap.showFavMarkers(true);
	},false);
	//用户搜索
	window.addEventListener('showSearchResult',function(){
		joyMap.map.clearOverlays();
		var searchdata = event.detail;//搜索请求参数
		$.fire(joyMap.infoView,'searchResult',searchdata);
	},false);
	var createZWicon=function(marker_pos){
		var point = new plus.maps.Point(marker_pos.lon,marker_pos.lat);
		var marker = new plus.maps.Marker(point);
		marker.setIcon(defaultIcon);
		joyMap.map.addOverlay(marker);
		joyMap.map.centerAndZoom(point,14);
	}
	var createView = function(){
		var currWs = plus.webview.currentWebview();
		var left=0,top=0;
		joyMap.cview = plus.nativeObj.View.getViewById('cview');
		if(!joyMap.cview){
			top = viewHeight/2 - 33;
			left = (viewWidth - 20)/2;
			joyMap.cview = new plus.nativeObj.View('cview',{
					top:top+'px',left:left+'px',height:'33px',width:'20px'
				},[{
					id:'bmpCView',tag:'img',
					position:{top:'0px',left:'0px',width:'100%',height:'100%'}
				}]);
			joyMap.cview.interceptTouchEvent(true);
			currWs.append(joyMap.cview);
		}
		
		joyMap.infoView = plus.webview.getWebviewById('infoView');
		top = viewHeight -40;
		if(!joyMap.infoView){
			//创建新的Webview窗口
			joyMap.infoView = plus.webview.create("joy-map-inner.html?zw_name="+zw_name_encode+"&level2="+level2,'infoView',{
				top:top+'px',
				bounce:'vertical',
				scrollIndicator:'none',
				transition:{duration:300},
				background:'transparent'
			},{
				myPoint:joyMap.myPoint
			});
			//不为null表示从政务进入地图页面
			if(zw_name=="null"){
				//体检地图
				currWs.append(joyMap.infoView);
			}else{
				if(level2=="null"||level2==null){
					defaultIcon="image/mapdefault.png";
				};
				//生成单个机构的图标
				var icon_pos={lat:zw_lat,lon:zw_lon}
				createZWicon(icon_pos)
				var zw_info={"zw_address":zw_address,"zw_name":zw_name,"zw_lat":zw_lat,"zw_lon":zw_lon,"zw_storeId":zw_storeId,"dis":zw_dis,"zw_tel":zw_tel,"level2":level2,"zw_pic":zw_pic}
			
				myStorage.setItem("zw_info",zw_info);
				currWs.append(joyMap.infoView);
			}
		}else{ 
			joyMap.infoView.setStyle({top:top+'px'});
		};
		
		joyMap.searchView = plus.webview.getWebviewById('searchView');
		
		if(!joyMap.searchView){
			joyMap.searchView = plus.webview.create("joy-map-nav.html?zw_name="+zw_name_encode+"&level2="+level2,'searchView',{
				top:immer_bar_hig+'px',
				left:"2%",
				bounce:'vertical',
				scrollIndicator:'none',
				transition:{duration:300},
				background:'transparent',
				height:"40px",
				width:"96%"
			}); 
			currWs.append(joyMap.searchView);
		}else{
			joyMap.searchView.setStyle({top:'24px'});
		};
	};
	joyMap.createView = createView;
    //显示和隐藏列表
    window.addEventListener('hideList',function(){
		var top = viewHeight -40;
		joyMap.infoView.setStyle({top:top+'px'});
    },false);
    window.addEventListener('showList',function(){
   		var top = viewHeight -246;
   		joyMap.infoView.setStyle({top:top+'px'});
    },false);
   
    var selectMarker = function(id){
		var marker;
		if(id!==undefined){
			marker = joyMap.resultMarkers[id];
		} 
		if(marker) {
			if(mui.os.android && marker.bringToTop) marker.bringToTop();
			joyMap.map.centerAndZoom(marker.pos.point,18);
		}
    }
    //用户点击地图上的图标
    var markerClick = function(marker){
    	ifBack=1;
    	if(joyMap.findMe)joyMap.findMe.drawBitmap("image/find.png",'bmpFind');	
		//列表显示对应店铺
		$.fire(joyMap.infoView,'showFavMaker',marker.storeId);
	};
    window.addEventListener('updatePageHig',function(){
   		var hig = event.detail;
   		var findMe_top;
   		if(hig>=246){
   			hig = 246;
   			var top =viewHeight - hig-20;
   			joyMap.infoView.setStyle({top:top+'px'});
   			findMe_top = viewHeight - hig - 60 - bottomSafeHeight;
   		}else{
   			var top = viewHeight - hig;
   			joyMap.infoView.setStyle({top:top+'px'});
   			findMe_top = viewHeight - hig -40 - bottomSafeHeight;
   		}
   		joyMap.findMe.setStyle({top:findMe_top+'px'})
    },false);
	//用户点击单个店铺
    window.addEventListener('changeHeight',function(){
		var storeId = event.detail.storeId;
		var hig=event.detail.hig;
		var top = viewHeight -hig;
		var top1 = top-40;
		joyMap.findMe.setStyle({top:top1+'px'})
		joyMap.infoView.setStyle({top:top+'px'});
		selectMarker(storeId);
	},false);
	

	var showPlaceMarker = function(pos){
	   	for(var m=0;m<pos.length;m++){
	   	  	var point = new plus.maps.Point(pos[m].lon,pos[m].lat);
			var marker = new plus.maps.Marker(point);
			marker.setIcon(defaultIcon);
			joyMap.map.addOverlay(marker);
			marker.storeId=pos[m].storeId;
			var poss={};
			poss.point = point;
			marker.pos = poss;
			joyMap.resultMarkers[marker.storeId] = marker;
			marker.onclick = function(){
				markerClick(this);
			}
	    }
	    joyMap.map.centerAndZoom(joyMap.myPoint,14);
    }
    window.addEventListener('showPlaceMarker',function(){
   	  markerPos = event.detail;
   	  showPlaceMarker(markerPos);
    },false);
	window.addEventListener('call',function(){
		var storeId = event.detail.placeId;
		var tel = event.detail.tel;
		var nw = plus.webview.create('call.html?storeId='+storeId+"&tel="+tel,'update',{
      		top:'0px',left:'0px',height:'100%',width:'100%',zindex:998,background:'transparent'
      	}); 
      	nw.show();
      	nw.evalJS('document.body.style.background="rgba(0,0,0,0)";');
	},false)
	var openMapByScheme = function(src,dst,dname){
		var amapIsExist = false,bmapIsExist=false,theScheme='';
		//var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var amapUri ='https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		if(mui.os.ios){
			bmapIsExist=plus.runtime.isApplicationExist({action:'iosamap://'});
			if(bmapIsExist){
				//先判断高德
				theScheme ='iosamap://path?sourceApplication=applicationName&sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}=&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&t=0';
			}else{
				amapIsExist=plus.runtime.isApplicationExist({action:'baidumap://'});//百度
				var name = encodeURIComponent(dname);
				if(amapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}else{
			amapIsExist=plus.runtime.isApplicationExist({pname:'com.autonavi.minimap',action:'androidamap://'});//高德
			if(amapIsExist){
				// theScheme = 'amapuri://route/plan/?sid=BGVIS1&slat=39.92848272&slon=116.39560823&sname=A&did=BGVIS2&dlat=39.98848272&dlon=116.47560823&dname=B&dev=0&t=0'
				theScheme = 'androidamap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
			}else{
				bmapIsExist=plus.runtime.isApplicationExist({pname:'com.baidu.baiduMap',action:'baidumap://'});
				if(bmapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}
		if(theScheme){
			theScheme=common.utils.patternStrPlus(theScheme,routeData);
		}else{
			theScheme=common.utils.patternStrPlus(amapUri,routeData);
		}
		theScheme = encodeURI(theScheme);
		plus.runtime.openURL(theScheme);
	};
	window.addEventListener('goThere',function(){
		var go_pos = event.detail;
		var dstName = go_pos.dstName;//目的地名称
		var src = joyMap.myPoint;
 		var wgsSrc = GPS.gcj_decrypt(src.latitude,src.longitude);
 		var srcPoint = new plus.maps.Point(wgsSrc.lon,wgsSrc.lat);
 		var wgsDst = GPS.gcj_decrypt(go_pos.latitude,go_pos.longitude);
 		var dstPoint = new plus.maps.Point(wgsDst.lon,wgsDst.lat);
		openMapByScheme(srcPoint,dstPoint,dstName);
	},false);
	//控制返回
	window.addEventListener('setBack',function(){
		ifBack = event.detail.back;
	},false);
	window.addEventListener("changeBarColor",function(){
		plus.navigator.setStatusBarStyle('dark');
	});
	
	$.plusReady(function(){
		var  _self = plus.webview.currentWebview();
		plus.navigator.setStatusBarStyle('dark');
		joyMap.nearRange = myStorage.getItemPlus('mapSearchRange')||2000;
		joyMap.map = new plus.maps.Map('em',{zoomControls:false,position: 'abuslute'});
        var location = app.getCity();
		joyMap.city = location.cityName;//北京
		var location_city = joyMap.city+"市";//北京市
		var cur_location;
		geo.setLocation(function(c,l){
			cur_location = c;
			console.log(cur_location)
			if(cur_location.cityName==location_city){
				//在当前城市
				if(zw_name=="null"){
					joyMap.map.showUserLocation(true);
				}
			}
		});
		joyMap.map.getUserLocation(function(state,point){
			if(state!==0){//定位失败
				point =new plus.maps.Point(116.39131928,39.90793074);//获取位置失败，默认天安门
			};
			joyMap.myPoint = point;
			if(!joyMap.city){
				var url = 'http://api.map.baidu.com/geocoder/v2/?location='
				+ point.latitude+','+point.longitude
				+ '&output=json&pois=1&ak=hHe9D5WvTXS14U5cMKoS0Gi2MbaqfVg6';
				mui.getJSON(url,function(data){
				   joyMap.city = data.status===0&&data.result.addressComponent?data.result.addressComponent.city:'北京';
				});
			};
			joyMap.findMe = plus.nativeObj.View.getViewById('findMe');
			if(!joyMap.findMe){
				var top = viewHeight - 268 - 33 - bottomSafeHeight;
				joyMap.findMe = new plus.nativeObj.View('findMe',{
					top:top+'px',left:'10px',height:'30px',width:'30px'
				},[{
					id:'bmpFind',tag:'img',
					position:{top:'0px',left:'0px',width:'100%',height:'100%'},
					src:'../../images/map/find.png'
				}]);
				joyMap.findMe.interceptTouchEvent(true);
				joyMap.findMe.addEventListener('click',function(){
					joyMap.map.showUserLocation(true);
					joyMap.findMe.drawBitmap("image/find-ing.png","bmpFind");
					var cpoint = joyMap.map.getCenter();//获取中心点的位置
					joyMap.map.centerAndZoom(point,14);//地图缩放
				},false);
			}	
			plus.webview.currentWebview().append(joyMap.findMe);
		});
		createView();
		joyMap.map.onstatuschanged = function(e){
			var cpoint = joyMap.map.getCenter();
			if(!e.center.equals(cpoint)){
				if(joyMap.findMe)joyMap.findMe.drawBitmap("../../images/map/find.png",'bmpFind');	
				if(joyMap.searchKey && joyMap.searchType==='SearchNearBy' && 
					(joyMap.viewState==='searchResultHalf'||joyMap.viewState==='showMoreBtn')){
					plus.maps.Map.calculateDistance(cpoint, e.center,function(res){
				 		if(res.distance>500){
				 			joyMap[joyMap.searchType]();
				 		}
				 	});
				}
			}
		};	
		_self.addEventListener("popGesture",function() {
			plus.navigator.setStatusBarStyle('light');
		});
	})
})(mui,window.joyMap={});