(function($) {
	//productStatus 0-不可预约 1-待预约 2-预约中 3-已预约 4-体检已完成
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//sex  1-男  2-女

	var orderId = common.utils.queryString('id');
	var proId = common.utils.queryString('pid');
	var proSex = common.utils.queryString('sex');
	var proName = common.utils.queryString('pname');
	var creatDate = common.utils.queryString('sd');
	var useEnd = common.utils.queryString('ed');
	var waitDay = common.utils.queryString('wd');
	var storeId=common.utils.queryString('storeId');
	
	
	if(proName) proName = decodeURIComponent(proName);
	if(creatDate) creatDate = decodeURIComponent(creatDate);
	if(useEnd) useEnd = decodeURIComponent(useEnd);
	
	var initTel;
	var phoneModify=0;
	g("examinationPhone").addEventListener("tap",function(){
		phoneModify=1;
		g("examinationPhone").value="";
		g("examinationPhone").readOnly = false;
	},false)
	if(orderId){
		tijianSvc.getPredetermine(orderId).then(function(data){
			console.log(data);
			initTel=data.examinationPhone;
			g("examinationPhone").value=data.examinationPhone.replace(data.examinationPhone.substring(3,7), "****");
			
			g("examinationName").value=data.examinationName;
			g("card").value=data.examinationIdCard;
			//1男2女、1已婚0未婚
			var marry=document.querySelectorAll('input[name="examinationMarry"]');
			var sex=document.querySelectorAll('input[name="examinationSex"]');
			marry[data.examinationMarry].setAttribute("checked","checked");
			var sexType=parseInt(data.examinationSex)-1;
			sex[sexType].setAttribute("checked","checked");
			var theSelectEnd = document.querySelector('input[name="predetermindTimeEnd"]');
			var theSelectStart = document.querySelector('input[name="predetermindTimeStart"]');
			theSelectEnd.value=data.predetermindTimeEnd;
			theSelectStart.value=data.predetermindTimeStart;
			var showTextStart = g("selectTimeStart").querySelector('.right-txt');
			var showTextEnd = g("selectTimeEnd").querySelector('.right-txt');
			showTextStart.classList.add('selected');
			showTextEnd.classList.add('selected');
			showTextStart.innerHTML=data.predetermindTimeStart;
			showTextEnd.innerHTML=data.predetermindTimeEnd;
			
		}).catch(function(err){
			console.error(err.message,err);
		});
	}
	
	
	var isPosted = false;
	var oldback = $.back;
	$.back = function(){
		var formData = applyForm.serialize();
		if(formData.dirty && !isPosted){
			$.confirm('退出后当前编辑将不会被保存!','确认退出？',['退出','继续写'],function(e){
				if(e.index==0){
					mui.currentWebview.close();
				}
			},'div');
		}else{
			mui.currentWebview.close();
		}
	};
	
	var sbeginDate = new Date();
	var sendDate = new Date();
	var applyForm = jutils.formSerializer('#applyForm');
	var myCoords = {};
	
	function init(){
		g('proName').innerHTML = proName;
		g('result').style.paddingTop = imbar.navBarHeight+'px';

		//sbeginDate.setDate(sbeginDate.getDate()+3);
//		if(creatDate){
//			var sdate = decodeURIComponent(creatDate).substr(0,10).split('-');
//			sbeginDate.setFullYear(sdate[0],parseInt(sdate[1])-1,sdate[2]);
//		}
//		if(waitDay){
//			sbeginDate.setDate(sbeginDate.getDate() + parseInt(waitDay));
//		}
		sbeginDate.setDate(sbeginDate.getDate() +1);
		sendDate.setDate(sendDate.getDate()+15);
		if(useEnd){
			var edate = decodeURIComponent(useEnd).substr(0,10).split('-');
			sendDate.setFullYear(edate[0],parseInt(edate[1])-1,edate[2]);
		}
		geo.getPoint(function(coords){
			if(coords){
				myCoords.lat = coords.latitude;
				myCoords.lon = coords.longitude;
			}
		});
		
		$.init();
	
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true,
			deceleration: mui.os.ios ? 0.003 : 0.0009
		});
	}
	function postApply(){
		var formData = applyForm.serialize();
		
		if(formData.data.examinationPhone.indexOf("*")>0){
			//判断用户是否输入
			if(phoneModify==0){
				//未输入
				formData.data.examinationPhone=initTel;
			}else{
				$.toast("请输入正确的手机号码");
				return;
			}
		}else{
			var telReg=/^[1][3,4,5,7,8][0-9]{9}$/;
			if(!telReg.test(formData.data.examinationPhone)){
				$.toast("请输入正确的手机号码");
				return;
			}
		}
		
		if(!formData.data.examinationSex){
			formData.errors.push({});
			formData.messages.push('体检人性别必填');
		}
		if(!formData.data.examinationMarry){
			formData.errors.push({});
			formData.messages.push('体检人婚姻状况必填');
		}
		if(formData.errors.length>0){
			$.toast(formData.messages[0],{duration:'long',type:'div'});
		}else{
			formData.data.itemId = orderId;
			formData.data.predetermindTimeStart += ' 00:00:00';
			formData.data.predetermindTimeEnd += ' 00:00:00';
			plus.nativeUI.showWaiting();
			tijianSvc.applyForPredetermine(formData.data).then(function(data){
				isPosted = true;
				$.alert("","修改成功已提交审核","知道了",function(e){
					$.fire(mui.currentWebview.opener(),'modify');
					cw.close();
				},'div')
			}).catch(function(err){
				g('result').classList.add('active');
				jpl('#tplResult').pattern('#result',{
					state:'err',
					title:'提交失败！',
					message:err.message,
					btns:'<a id="reWrite" class="btn">重新填写</a>'
				});
				console.error(err.message,err);
			});
		};
	}
	
	init();

	g('selectTimeStart').addEventListener('tap',function(){
		var predetermindTimeEnd = document.querySelector('input[name="predetermindTimeEnd"]');
		var dates = predetermindTimeEnd.value.split('-');
		var endDate = dates.length == 3 ? new Date(dates[0],parseInt(dates[1])-1,dates[2]):sendDate;
		var pickerStart = new $.DtPicker({type:'date',beginDate:sbeginDate,endDate:sendDate});
		var theSelect = this;
		pickerStart.show(function(rs) {
			var predetermindTimeStart = document.querySelector('input[name="predetermindTimeStart"]');
			var showText = theSelect.querySelector('.right-txt');
			showText.classList.add('selected');
			showText.innerHTML = rs.text;
			predetermindTimeStart.value = rs.value;
			pickerStart.dispose();
		});	
	},false);
	g('selectTimeEnd').addEventListener('tap',function(){
		var predetermindTimeStart = document.querySelector('input[name="predetermindTimeStart"]');
		var dates = predetermindTimeStart.value.split('-');
		var beginDate = dates.length == 3 ? new Date(dates[0], parseInt(dates[1])-1,dates[2]):sbeginDate;
		var pickerEnd = new $.DtPicker({type:'date',beginDate:sbeginDate,endDate:sendDate});
		var theSelect = this;
		pickerEnd.show(function(rs) {
			var predetermindTimeEnd = document.querySelector('input[name="predetermindTimeEnd"]');
			var showText = theSelect.querySelector('.right-txt');
			showText.classList.add('selected');
			showText.innerHTML = rs.text;
			predetermindTimeEnd.value = rs.value;
			pickerEnd.dispose();
		});	
	},false);
	g("examinationPhone").addEventListener("focus",function(){
		g("clear").classList.remove("mui-hidden");
	},false);
	
	g("clear").addEventListener("tap",function(){
		g("examinationPhone").value="";
		g("examinationPhone").blur();
		g("clear").classList.add("mui-hidden")
	},false)
	g('selectStore').addEventListener('tap',function(){
		if(valueArray.length==0){
	    	$.plusReady(function(){
				valueArray =plus.webview.currentWebview().detail;
				var ws = $.openWindow({
					url:'select-store.html?pid='+proId+'&coords='+myCoords.lat+','+myCoords.lon,
					extras: { detail: valueArray}
				});
			})
	   }else{
	    	var ws = $.openWindow({
				url:'select-store.html?pid='+proId+'&coords='+myCoords.lat+','+myCoords.lon,
				extras: { detail: valueArray}
			});
	    }

	},false);
	window.addEventListener('selectStore',function(e){
		 g('selectStore').querySelector('input').value = e.detail.storeId;
		 var showText = g('selectStore').querySelector('.right-txt');
		 showText.classList.add('selected');
		 showText.innerHTML = e.detail.storeName;
	},false);
	
	g('postBtn').addEventListener('tap',function(){
		postApply();
	},false);
 
	$('#result').on('tap','#backThis',function(){
		 $.currentWebview.close();
	});
	$('#result').on('tap','#reWrite',function(){
		 g('result').classList.remove('active');
	});
	var valueArray=[],cw;
	$.plusReady(function() {
	 	valueArray =plus.webview.currentWebview().detail;
	 	cw=plus.webview.currentWebview();
	 	g('selectStore').querySelector('input').value = valueArray.storeId;
		var showText = g('selectStore').querySelector('.right-txt');
		showText.classList.add('selected');
		showText.innerHTML = valueArray.storeName;
	});
})(mui);