(function($,doc){
	$.init();
	var  channels={},addParams={};
	var orderId = common.utils.queryString('orderId');//订单号
	var total = common.utils.queryString('total');//总价
	var proId = common.utils.queryString('proId');
	var buyCount = common.utils.queryString('buyCount');
	addParams.buyCount =buyCount;
	addParams.proId=proId;
	g("money").innerHTML = total;
	var successStat=0,opener;//默认未支付
	var back = $.back;
	$.back = function(){
		if(successStat==0){
			back();
		}else{
			opener.close();
			back();
		}
	};
	$('#pay_path').on('tap','.path',function(){
		var index = this.getAttribute("index");
		if(index==0){
			g("zfb_icon").classList.add("jcon-duoxuan");
			g("zfb_icon").classList.remove("choose");
			g("wx_icon").classList.add("choose");
			g("wx_icon").classList.remove("jcon-duoxuan");
		}else{
			g("zfb_icon").classList.remove("jcon-duoxuan");
			g("zfb_icon").classList.add("choose");
			g("wx_icon").classList.remove("choose");
			g("wx_icon").classList.add("jcon-duoxuan");
		}
	});
	var paySuccess = function(){
		g("pay_success").classList.remove("mui-hidden");
	    successStat=1;//支付成功返回详情页面
	    $.fire(plus.webview.currentWebview().opener(),"paySuccess")
	   // addProductPayCount(addParams)
	};
	function addProductPayCount(params){
		tijianSvc.addProductPayCount(params).then(function(res){
			console.log(res)
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	}
	g("pay_btn").addEventListener("tap",function(){
		var pay_path = $("#pay_path .jcon-duoxuan")[0].getAttribute("sort");
		console.log(pay_path);
		if(pay_path==0){
			//支付宝
			payOrder(0)
		}else{
			payOrder(1)
		}
	},false);
	var payOrder = function(type){
		var typeId;
		if(type==0){
			var payChannel = channels["alipay"];
			typeId="alipay";
		}else{
			var payChannel = channels["wxpay"];
			typeId="wxpay";
		}
		if(!payChannel.serviceReady){
			var msg = '系统未安装“'+payChannel.description+'”服务，无法完成支付，是否立即安装？';
			plus.nativeUI.confirm(msg, function(e){
				if(e.index==0){
					payChannel.installService();
				}
			}, payChannel.description);
		}
		prePay(typeId);
	};
	var prePay = function(payway){
		var waitting = plus.nativeUI.showWaiting();
		bizSvc.prePay(orderId,bizSvc.payMethod[payway]).then(function(data){
			var paySrc = null;
			if(payway=='wxpay') 
				paySrc = JSON.stringify(data.tradeData);
			else if(payway=='alipay') 
				paySrc = data.tradeData;
			plus.payment.request(channels[payway], paySrc, function(result){
		 		waitting.close();
				paySuccess(); //支付成功之后
			}, function(error){
				parseError(payway,error);
			});
		}).catch(function(err){
			waitting.close();
			console.error(err.message, err);
		});
	};
	var parseError = function(type,error){
		if(type=='wxpay'){
			if(error.message.indexOf('[payment微信:-2]')>=0){
				warning("您已取消支付")
			}else if(error.message.indexOf('[payment微信:-3]')>=0){
				warning("支付请求发送失败，请检查是否网络问题");
			}else{
				
				warning("支付环境错误")
			}
		}else{
			if(error.message.indexOf('[payment支付宝:62001]')>=0){
				warning("您已取消支付")
			}else if(error.message.indexOf('[payment支付宝:62002]')>=0){
				warning("您的设备不支持支付")
			}else if(error.message.indexOf('[payment支付宝:62003]')>=0){
				warning("数据格式错误")
			}else if(error.message.indexOf('[payment支付宝:62005]')>=0){
				warning("订单信息错误")
			}else if(error.message.indexOf('[payment支付宝:62006]')>=0||error.message.indexOf('[payment支付宝:62007]')>=0){
				warning("支付宝服务错误")
			}else if(error.message.indexOf('[payment支付宝:62008]')>=0){
				warning("网络错误")
			}else {
				warning("支付环境错误")
			}
		}
	};
	//立即预约
	g("pre_order").addEventListener("tap",function(){
		mui.openWindow("order/order-detail.html?id="+orderId);
	},false)
	var getChannels = function(s) {
		var channel = null;
		for(var i = 0; i < s.length; i++) {
			channels[s[i].id] = s[i];
		}
	};
	//操作提示
	var warn = g("warning")
	function warning(txt) {
		warn.innerHTML = txt;
		warn.classList.remove("mui-hidden")
		setTimeout(function() {
			warn.classList.add("mui-hidden")
		}, 3000);
	}
	$.plusReady(function() {
		//获取支付通道列表
		plus.payment.getChannels(function(s) {
			getChannels(s);
		}, function(e) {
			alert("获取支付通道列表失败：" + e.message);
		});
		opener= plus.webview.currentWebview().opener();
	 	
	});
})(mui,document)
