(function($,doc){
	$.init();
	var proId = common.utils.queryString('proId');
	var storeId = common.utils.queryString('storeId');
	var distance = common.utils.queryString('distance');
	var level2 = common.utils.queryString('level2');
	level2=Number(level2);
	var pos={lat:"39.90793074",lon:"116.39131928"},sysParams={lat:"39.90793074",lon:"116.39131928",level1:1,level2:level2,level3:0};
	var storeName = common.utils.queryString('storeName');
	storeName = decodeURIComponent(storeName);
	g("jigouName").innerHTML = storeName;
	var pro_store;//产品可用店铺
	var scrollTop,
	 infoHig,impressionHig,locationHig;
	var xm_total,isRecom=0;
	var salePrice,originalPrice,proname;
	var userLogin=0,logout=0;//默认已登录、未注销
	
	var remaining,productStatus;//库存和下价状态
	var shareInfo={shareImage:'_www/images/logo.jpg',content:storeName};
	
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	 var back=$.back;
	 var backType=0;
	if(window.imbar && imbar.isImmersedStatusbar){
		var immer_bar_hig  = window.imbar.navBarHeight;
		g("mui-scroll-wrapper").style.top=immer_bar_hig+"px";
		g("fixedList").style.top=immer_bar_hig+"px";
	}
	$.back=function(){
		if(backType==0){
			back()
		}else{
			g("popover").classList.remove("show");
			backType=0;
		}
	};
	//判断是否登录
	function checkLogin(){
		var login = app.checkLogin();
		if(login){
			userLogin=0;
		}else{
			userLogin=1;
		}
		//判断是否注销
		tijianSvc.searchProductLogout().then(function(res){
			if(res.logOutStatus==0||res.logOutStatus==2){
				logout=0;
			}else{
				logout=1;
			}
		}).catch(function(err){
			console.log(err)
		})
		return userLogin;
	};
	checkLogin();
	
	g("pay").addEventListener("tap",function(){
		//判断是否注销
		if(logout==1){//已注销
			$.toast("抱歉您的账号已申请注销，无法购买产品，如想购买，请到（我的--设置--账户注销）终止账号注销")
		}else{
			if(remaining==0){
				$.toast("库存不足");
			}else if(productStatus==0){
				$.toast("该产品已下架");
			}else{
				if(userLogin==1){//未登陆
					$.openWindow("../auth-login.html")
				}else{
					var detail={storeName:storeName,level2:level2,storeId:storeId}
					//$.openWindow("confirm_order.html?price="+salePrice+"&originalPrice="+originalPrice+"&proId="+proId+"&proname="+proname+"&storeId="+storeId)
					var ws = $.openWindow({
						url:"confirm_order.html?price="+salePrice+"&originalPrice="+originalPrice+"&proId="+proId+"&proname="+proname+"&storeId="+storeId+"&level2="+level2,
						extras: { detail: detail}
					});
				}
			}
		}
	});
	g("close_popover1").addEventListener("tap",function(){
		g("popover1").classList.remove("show");
	},false);
	function outTime(proId){
		var pro={"productId":parseInt(proId),"storeId":parseInt(storeId)};
		tijianSvc.outTime(pro).then(function (res) {
			console.log(res)
		}).catch(function(err){
			productStatus=0;
			console.error(err.message,err);
		})
	}
	
	function getDetail(proId){
		var pro={"productId":parseInt(proId),"storeId":parseInt(storeId)};
		tijianSvc.tjProductDetail(pro).then(function (res) {
			remaining=res.remaining;
			productStatus=res.productStatus;
			
			shareInfo.title=res.productName;
			shareInfo.content=storeName+" "+res.productName+"原价"+res.originalPrice+"元"+"仅售"+res.salesPrice+"元";
			shareInfo.shareImage=res.mainImage;
			var img = '<img id="img" src="'+res.mainImage+'" />';
			g("pro_img").innerHTML = img;
			g("pro_name").innerHTML = res.productName;
			proname = res.productName;
			proname = encodeURIComponent(proname);
			g("originalPrice").innerHTML = res.originalPrice;
			g("pro_price").innerHTML = res.salesPrice;
			g("userStart").innerHTML =res.useStart;
			g("userEnd").innerHTML =res.useEnd;
			salePrice = res.salesPrice;
			originalPrice = res.originalPrice;
			g("distance").innerHTML = distance;
			g("subject_brief").innerHTML='<img src="'+res.introductionImage+'" />'
			if(res.productUser){
				g("buy_warning").classList.remove("mui-hidden")
				g("serviceTime").innerHTML=res.productUser.serviceTime;
				g("validTime").innerHTML=res.productUser.buyStart+"至"+res.productUser.buyEnd;
				g("reserveInformation").innerHTML=res.productUser.reserveInformation;
				g("applyCrowd").innerHTML=res.productUser.applyCrowd;
				g("rulesRemind").innerHTML=res.productUser.rulesRemind;
				g("businessServices").innerHTML=res.productUser.businessServices;
				g("liucheng").innerHTML=res.productUser.consumptionProcess;
				g("tixing").innerHTML=res.productUser.tips;
			}else{
				g("buy_warning").classList.add("mui-hidden")
			}
			for(var m=0;m<$(".info-con").length;m++){
				var txt = $(".info-con")[m].innerHTML;
				txt= txt.replace(/\s*/g,"");
				if(txt==""){
					$(".info-con")[m].parentNode.classList.add("mui-hidden");
				}
			}
			g("img").onload = function(){
				infoHig = g("pro_info").offsetHeight;
			}
			
			initShare();
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	
	 //分享
    function initShare(){
		var shareMsg = {
			href:app._webUrl+"/o2o/prodetail.html?storeId="+storeId+"&dis="+distance+"&level2="+level2+"&proId="+proId+"&storeName="+encodeURIComponent(storeName),
			title: shareInfo.content,
			content:shareInfo.content,
			thumbs:[shareInfo.shareImage],
			pictures:[shareInfo.shareImage]
		};
		window.share.initShare("share", shareMsg, function() {
			mui.toast('分享成功');
		}, function(e) {
			if(e.code === -100) {
				mui.toast('已取消分享');
			} else {
				mui.toast('分享失败：' + e.message);
			}
		});
	};
	//推荐套餐
	function getRecom(data){
		for(var m=0;m<$(".tc_tj").length;m++){
			$(".tc_tj")[m].classList.remove("mui-hidden")
		}
		tijianSvc.recomPro(data).then(function(res){
		    if(res.length>0){
		    	res=res.slice(0,6);
		    	var  recomlists = [];
				for(var k in res){
					recomlists=recomlists.concat([
						'<li class="like_recom" proId="',res[k].productId,'" storeId="',res[k].storeId,'" dis="',res[k].distance,'" storeName="',res[k].storeName,'">',,'<div class="tj_img"><img src="',res[k].thumbnail,'" />',
	    				'</div><p class="like_recom_con mui-ellipsis">',res[k].productName,'</p>',
	    				'<p class="like_recom_price"><strong>￥',res[k].salesprice,
	    				'</strong><span>',res[k].predetermineCount,'人已预约</span></p></li>'
					]);
				}
				g("like_list").innerHTML=recomlists.join('');
		    }else{
		    	isRecom=1;
		    }
			systemRecomPro(sysParams);
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
		
	};
    
	//系统推荐
	function systemRecomPro(params){
		tijianSvc.systemRecomPro(params).then(function(res){
			if(res.length>0){
				res=res.slice(0,14);
				//g("sys_like").classList.remove("mui-hidden");
		    	//g("buy_warning").style.marginBottom="0px"
		    	var  recomlists = [];
				for(var k in res){
					recomlists=recomlists.concat([
						'<li class="like_recom" proId="',res[k].productId,'" storeId="',res[k].storeId,'" dis="',res[k].distance,'" storeName="',res[k].storeName,'">',,'<div class="tj_img"><img src="',res[k].thumbnail,'" />',
	    				'</div><p class="like_recom_con mui-ellipsis">',res[k].productName,'</p>',
	    				'<p class="like_recom_price"><strong>￥',res[k].salesPrice,
	    				'</strong><span>',res[k].saleCount,'人已预约</span></p></li>'
					]);
				}
				g("like_list").innerHTML=g("like_list").innerHTML+recomlists.join('');
		   }else{
		    	if(isRecom==1){
		    		//没有系统推荐和店铺推荐
		    		g("buy_warning").style.marginBottom="50px";
		    		g("like").classList.add("mui-hidden");
		    		for(var m=0;m<$(".tc_tj").length;m++){
						$(".tc_tj")[m].classList.add("mui-hidden")
					};
		    	}
		    }
		}).catch(function(e){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	}
	$("#like_list").on("tap","li",function(){
		var proId = this.getAttribute("proId");
		var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		var store_Name = this.getAttribute("storeName");
		
		if(dis==null||dis==""){
			dis = distance;
		}
		if(store_Name==null||store_Name==""){
			store_Name = storeName;
		};
		store_Name = encodeURIComponent(store_Name);
		$.openWindow("pro_detail.html?proId="+proId+"&storeId="+storeId+"&distance="+dis+"&storeName="+store_Name+"&level2="+level2)
	})
	//店铺印象
	function storeImpression(storeId){
		tijianSvc.storeImpression(storeId).then(function(res){
			var impressCon=[];
			for(var i in res){
				impressCon=impressCon.concat([
					'<li class="mui-control-item mui-media">',
		             '<label class="jcon jcon-duoxuan"></label>',
		             '<label>',res[i].describe,'</label></li>'
				]);
			}
			g("impression_list").innerHTML=impressCon.join('');
			impressionHig = g("impression_list").offsetHeight;
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	//包含项目
	function productProject(proId){
		tijianSvc.productProject(proId).then(function (res) {
			console.log(res)
			var tips = res.level1List.level2List;
			console.log(tips)
			var list = res.level1List;
			var boxCon=[];
	        xm_total = list.length;
	        g("totalCount").innerHTML = xm_total;
			for(var m=0;m<list.length;m++){
				var oDiv = doc.createElement("div");
				oDiv.innerHTML='<p class="check_type_title">'+list[m].categoryName+'</p>';
				var aDiv = doc.createElement("div");
	            aDiv.setAttribute("class","check_list");
	            oDiv.appendChild(aDiv)
	            for(var k=0;k<list[m].level2List.length;k++){
	            	var check = doc.createElement("div");
	            	check.setAttribute("class","check");
					var tips="";
					if(list[m].level2List[k].instructions.length>0){
						tips='<span class="que"><img src="image/ask.png" /></span><span class="pro_tips mui-hidden">'+list[m].level2List[k].instructions
									+'</span>';
					}
	            	check.innerHTML='<p class="check_name">'+list[m].level2List[k].categoryName+'</p>'+tips;
	            	aDiv.appendChild(check);
	            	 
	            	var op1 = doc.createElement("p");
	            	op1.setAttribute("class","check_con");
	            	var icons = doc.createElement("label");
	            	icons.setAttribute("class","jcon jcon-question question_icon");
	            	check.appendChild(op1);
					var spanCon=[];
	            	for(var n=0;n<list[m].level2List[k].level3List.length;n++){
	            		spanCon = spanCon.concat([
	            			'<span>',list[m].level2List[k].level3List[n].categoryName,'</span>、'
	            		]);
	            	}
	            	var str = spanCon.join("")
	            	str = str.substr(0,str.length-1);
	            	op1.innerHTML = str;
	            }
				g("check_type").appendChild(oDiv);
			}
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	
$("#include_subject").on("tap",".que",function(){
	var title = this.parentNode.querySelector(".check_name").innerHTML;
	var txt = this.parentNode.querySelector(".pro_tips").innerHTML; 
	backType=1;
	g("popover").classList.add("show");
	g("product_name").innerHTML = title;
	g("product_txt").innerHTML = txt;
});
g("close_popover").addEventListener("tap",function(){
	g("popover").classList.remove("show");
	backType=0;
},false)


	//产品可用店铺
	function productStore(sendData){
		tijianSvc.productStore(sendData).then(function(res){
			if(res.length>1){
				pro_store = res.length-1;
				g("more_place").innerHTML="还有"+pro_store+"家机构支持该套餐";
				g("pro_pos").addEventListener("tap",function(){
					$.openWindow("jigou.html?proId="+proId+"&storeId="+storeId+"&level2="+level2,"jigou")
				},false);
			}else{
				g("more_place").classList.add("mui-hidden");
				g("go").classList.add("mui-hidden");
			}
			locationHig = g("pro_pos").offsetHeight+20;
		}).catch(function(err){
			g("more_place").classList.add("mui-hidden");
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	
	function getPoss(coords){
		if(coords){
			pos={lat:coords.latitude,lon:coords.longitude};
			sysParams.lat = coords.latitude;
			sysParams.lon =coords.longitude;
			
		}
		initData();
	};
	geo.getPoint(getPoss)
	function initData(coords){
	 	getDetail(proId);
	 	outTime(proId)
		getRecom({"storeId":storeId,"productId":proId});
		storeImpression({"storeId":storeId})
		productProject({"productId":proId})
		pos.productId = parseInt(proId);
		productStore(pos);
	};
	
	var scrollDiv = document.getElementById('mui-scroll-wrapper');
	scrollDiv.addEventListener('scroll',function(e){
		var y =  Math.abs(e.detail.y);
		scrollTop = infoHig+impressionHig+locationHig;
		if(y>=scrollTop){
			g("fixedTab").classList.remove("mui-hidden");
			g("typelist").classList.add("mui-hidden");
		}else{
			g("fixedTab").classList.add("mui-hidden");
			g("typelist").classList.remove("mui-hidden");
		}
		var t1 = g("subject_info").offsetTop;
		var t2 = g("include_subject").offsetTop;
		var t3 = g("like").offsetTop;
		var len =$("#fixedList li").length;
		if(y>=t1&&y<t2){
			for(var i=0;i<len;i++){
				$("#fixedList .anchor")[i].classList.remove("mui-active");
				$("#typelist .anchor")[i].classList.remove("mui-active");
			}
			$("#fixedList .anchor")[0].classList.add("mui-active");
			$("#typelist .anchor")[0].classList.add("mui-active")
		}
		if(y>=t2&&y<t3){
			for(var i=0;i<len;i++){
				$("#fixedList .anchor")[i].classList.remove("mui-active")
			}
			$("#fixedList .anchor")[1].classList.add("mui-active");
			$("#typelist .anchor")[1].classList.add("mui-active")
		}
		if(y>=t3){
			for(var i=0;i<len;i++){
				$("#fixedList .anchor")[i].classList.remove("mui-active")
			}
			$("#fixedList .anchor")[2].classList.add("mui-active");
			$("#typelist .anchor")[2].classList.add("mui-active")
		};
	},false);
	//锚点效果
	function toAnchor(parentObjId,tapNode){
		var parentType=0;
		$("#"+parentObjId).on("tap",tapNode,function(){
			var len = $("#"+parentObjId+" "+tapNode).length;
			for(var i=0;i<len;i++){
				$("#typelist .anchor")[i].classList.remove("mui-active")
			}
			for(var i=0;i<len;i++){
				$("#fixedTab .anchor")[i].classList.remove("mui-active")
			}
			var index = this.getAttribute("index");//0、1、2
			$("#typelist .anchor")[index].classList.add("mui-active");
			$("#fixedTab .anchor")[index].classList.add("mui-active");
			if(index==1){
				//包含项目
				g("fixedTab").classList.remove("mui-hidden")
				var scrollTop1 = g("include_subject").offsetTop;//距离页面顶部的距离
				mui('#mui-scroll-wrapper').scroll().scrollTo(0,-scrollTop1,100);
			}else if(index==2){
				var scrollTop2 = g("like").offsetTop;
				g("fixedTab").classList.remove("mui-hidden");
				mui('#mui-scroll-wrapper').scroll().scrollTo(0,-scrollTop2,100);
			}else{
				var scrollTop3 = g("subject_info").offsetTop;
				g("fixedTab").classList.add("mui-hidden");
				g("typelist").classList.remove("mui-hidden");
				mui('#mui-scroll-wrapper').scroll().scrollTo(0,-scrollTop3,100);
			}
		})
	};
	toAnchor("fixedTab","li");
	toAnchor("typelist","li");

	//登录之后
	window.addEventListener("refresh_data",function(){
		userLogin=0;
	});
	
})(mui,document)

