(function($,doc){
	var tab_index;
	var pos={},list={},selectParams={"pageNo":1,"pageSize":10,lat:"39.90793074",lon:"116.39131928"};
	var pageNo=0,pageSize=4, cur_index=0,totalPage;
	var cur_cate_id=0;
	var listData={};
	var upLoading;
	var changeCate=0;
	var city = app.getCity();
	var cityCode = city.cityCode;
	selectParams.cityCode=cityCode;
	function initData(coords){
		if(coords){
			pos.lat = coords.latitude;
			pos.lon = coords.longitude;
			selectParams.lat = coords.latitude;
			selectParams.lon = coords.longitude;
		}
		getBrand({"pageNo":1,"pageSize":100});//品牌
		getScreeningCategoryList();//筛选
		getBusinessAreaList(cityCode);//商圈
		proList(selectParams,0)
	};
	geo.getPoint(initData);
	g("searchText").addEventListener("tap",function(){
		$.openWindow("search.html");
	},false);
	$('#pullRefreshs').on('tap','.product',function(){
		var proId = this.getAttribute("proId");
		var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		var storeName = this.getAttribute("storeName");
		storeName = encodeURIComponent(storeName);
		$.openWindow("pro_detail.html?proId="+proId+"&storeId="+storeId+"&distance="+dis+"&storeName="+storeName)
	},false);
	g("store").addEventListener("tap",function(){
		$.openWindow("map.html","map");
	},false);
	//切换筛选条件
	var condition = $(".condition");
	$('#filterBox').on('tap','.filter',function(){
		g('user-defined_condition').classList.remove("mui-hidden")
		tab_index = this.getAttribute("index");
		var aLi_len = condition[tab_index].querySelector("ul").children.length;
		if(aLi_len<=3){
			var hig = aLi_len*50;
			condition[tab_index].style.height=hig+"px";
		}else{
			condition[tab_index].style.height="300px";
		}
		for(var m=0;m<condition.length;m++){
			if(m==tab_index){
				condition[m].classList.remove("mui-hidden");
				$(".filter")[m].classList.add("border");
			}else{
				condition[m].classList.add("mui-hidden");
				$(".filter")[m].classList.remove("border");
			}
		}
	},false);
	//智能排序
	$('#intelligence').on('tap','li',function(){
		g("intelligence_sort").innerHTML = this.innerHTML;
		selectParams.orderby=this.getAttribute("orderby");
		selectParams.pageNo=1;
		proList(selectParams,cur_index);
	},false);
	$('#location_list').on('tap','li',function(){
		g("location_sort").innerHTML = this.innerHTML;
		if(this.innerHTML=="全部商圈"){
			selectParams.businessArea = "";
		}else{
			selectParams.businessArea = this.innerHTML;
		}
		selectParams.pageNo=1;
		proList(selectParams,cur_index);
	},false);
	$('#condition_type').on('tap','li',function(){
		g("condition_sort").innerHTML = this.innerHTML;
		selectParams.sceeningCategory = this.getAttribute("screeningCategoryId");
		selectParams.pageNo=1;
		proList(selectParams,cur_index);
	},false);
	g("user-defined_condition").addEventListener("tap",function(){
		this.classList.add("mui-hidden")
	},false);
     //切换品牌
    $("#pro_cate").on('tap','a',function(){
		//判读是否已经加载
		selectParams.pageNo=1;
		changeCate=1;
		var loadJudge = this.getAttribute("load");
// 		if(loadJudge=="load"){
// 			return;
// 		}else{
			cur_cate_id = this.getAttribute("brandId");
			selectParams.brandId = cur_cate_id;
			cur_index = this.getAttribute("sort");
			selectParams.brandId = cur_cate_id;
			proList(selectParams,cur_index);
		//}
	},false);
	g('slider').addEventListener('slide', function(event) {
		var cates = g('pro_cate').children;
		selectParams.pageNo=1;
		var loadJudge =  cates[event.detail.slideNumber].getAttribute("load");
		var theId = cates[event.detail.slideNumber].getAttribute('cate');//品牌id
		cur_cate_id = theId;
		cur_index = cates[event.detail.slideNumber].getAttribute("sort");
		selectParams.brandId = cur_cate_id;
		proList(selectParams,cur_index);
	},false);
    
    function getBrand(pages){
    	tijianSvc.getBrandList(pages).then(function (res) {
    	    var brandList = res.brandList;
    	    var sort;
			var htmlCate=[],htmlCon=[];
			for(var i in brandList){
				var oA = doc.createElement("a");
				oA.innerHTML=brandList[i].brandName;
				oA.setAttribute("class","mui-control-item brand");
				oA.setAttribute("cate",brandList[i].brandId);
				oA.setAttribute("href","#institution"+brandList[i].brandId);
				oA.setAttribute("brandId",brandList[i].brandId);
				sort = Number(i)+1;
				oA.setAttribute("sort",sort);
				g('pro_cate').appendChild(oA);
				htmlCon =htmlCon.concat([
					'<div class="productList mui-slider-item mui-control-content" id="institution',brandList[i].brandId,'">',
						'<div class="mui-scroll-wrapper"><div class="mui-scroll list-detail"><div class="list_detail_con"></div>',
						'</div></div></div>'
				]);
			}
			g("pullRefreshs").innerHTML=g("pullRefreshs").innerHTML+htmlCon.join('');
			$('#pullRefreshs .mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true,
				deceleration: mui.os.ios ? 0.003 : 0.0009
			});
			var cateScroller = $('#institutions').scroll();
			cateScroller.refresh();
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
    }
    
	//商圈
	function getBusinessAreaList(cityCode){
		tijianSvc.getBusinessAreaList(cityCode).then(function (res) {
			var liList=[];
			for(var i=0;i<res.length;i++){
				liList =liList.concat(['<li>',res[i],'</li>'])
			}
			g('location_list').innerHTML=g('location_list').innerHTML+liList.join('');
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	//筛选分类
	function getScreeningCategoryList(){
		tijianSvc.getScreeningCategoryList().then(function (res) {
			var liList=['<li screeningCategoryId=0>全部分类</li>'];
			for(var i=0;i<res.length;i++){
				liList =liList.concat(['<li screeningCategoryId=',res[i].screeningCategoryId,'>',res[i].sceeningCategoryName,'</li>'])
			}
			g('condition_type').innerHTML=liList.join('');
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	$('#user-defined_condition .mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	function pulldownRefresh(pullSel){
   	   if(pullSel) pullSel.endPullDownToRefresh(true);
    };
	function keepOneDecimal(num) {
	 var result = parseFloat(num);
	 if (isNaN(result)) {
	 	$.toast('传递参数错误，请检查！');
	 	return false;
	 }
	 result = Math.round(num * 10) / 10;
	 return result;
	}
	function pullupRefresh(pullSel){
	   	selectParams.pageNo++;
		tijianSvc.getProList(selectParams).then(function (res) {
			var cons = res.productList;
			var upLoading = $(".list-detail")[cur_index].querySelector(".mui-pull-bottom-tips");
			try {
				var noData = $(".list_detail_con")[cur_index].querySelector(".noData");
				if(noData){
					noData.classList.add("mui-hidden")
				}
			}catch(err) {
				console.log("加载数据")
			}
			if(cons.length>0){
				var htmlCon=[],htmlStr="";
				var distance;
				for(var i in cons){
					if(cons[i].distance.indexOf("km")>0){
						distance = parseFloat(cons[i].distance);
						distance = keepOneDecimal(distance);
						if(distance>=100){
							distance = Math.ceil(distance)+"km";//
						}else{
							distance = distance+"km";
						}
					}else{
						distance = cons[i].distance;//米
					}
					var oDiv = doc.createElement("div");
					oDiv.setAttribute("class","produce_detail");
					htmlStr = '<div class="product" proId="'+cons[i].productId+'" storeid="'+cons[i].storeId+'" dis="'+distance+'" storeName="'+cons[i].storeName+'">'+
						'<div class="product_img"><img src="'+cons[i].thumbnail+'" /></div>'+
						'<div class="product_info">'+
						'<p class="product_info_name mui-ellipsis">'+cons[i].productName+'</p>'+
						'<p class="saleCount">已售'+cons[i].saleCount+'份</p>'+
						'<span class="product_price">'+cons[i].salesPrice+'元<label class="store_price">门市价：'+cons[i].originalPrice+'元</label></span></div></div>'+
						'<div class="store_name">'+
						'<label class="jcon jcon-dianpu store_icon"></label>'+
						'<span class="location_name mui-ellipsis">'+cons[i].storeName+'</span>'+
						'<span class="distance">'+distance+'</span></div></div>';
					oDiv.innerHTML=htmlStr;
					$(".list_detail_con")[cur_index].appendChild(oDiv)
				}
			}
			if(pullSel) pullSel.endPullUpToRefresh(res.page.pageNo>= res.page.totalPage);
		}).catch(function (err) {
			if(pullSel) pullSel.endPullUpToRefresh();
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	}
   var scroll_obj;
    var setPullToRefresh= function() {
		var node =document.querySelectorAll('#pullRefreshs .mui-scroll')[cur_index];
		var deferred = Q.defer();
		scroll_obj = $(node).pullToRefresh({
			down: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						pulldownRefresh(self)
					}, 100);
				}
			},
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						pullupRefresh(self);
						deferred.resolve(self)
					}, 100);
				}
			}
		});
		return deferred.promise;
	}

	//产品列表
	function proList(sendData,num){
		tijianSvc.getProList(sendData).then(function (res) {
			var cons = res.productList;
			totalPage = res.page.totalPage;
			$(".list_detail_con")[num].innerHTML="";
			setPullToRefresh();
			scroll_obj.refresh(true);
 			var load = $(".list-detail")[num].querySelector(".mui-pull-bottom-tips");

			if(cons.length>0){
				var htmlCon=[];
				var distance;
				for(var i in cons){
					if(cons[i].distance.indexOf("km")>0){
						distance = parseFloat(cons[i].distance);
						distance = keepOneDecimal(distance)
						if(distance>=100){
							distance = Math.ceil(distance)+"km";//
						}else{
							distance = distance+"km";
						}
					}else{
						distance = cons[i].distance;//米
					}
					var oDiv = doc.createElement("div");
					oDiv.setAttribute("class","produce_detail");
					htmlStr = '<div class="product" proId="'+cons[i].productId+'" storeid="'+cons[i].storeId+'" dis="'+distance+'" storeName="'+cons[i].storeName+'">'+
						'<div class="product_img"><img src="'+cons[i].thumbnail+'" /></div>'+
						'<div class="product_info">'+
						'<p class="product_info_name mui-ellipsis">'+cons[i].productName+'</p>'+
						'<p class="saleCount">已售'+cons[i].saleCount+'份</p>'+
						'<span class="product_price">'+cons[i].salesPrice+'元<label class="store_price">门市价：'+cons[i].originalPrice+'元</label></span></div></div>'+
						'<div class="store_name">'+
						'<label class="jcon jcon-dianpu store_icon"></label>'+
						'<span class="location_name mui-ellipsis">'+cons[i].storeName+'</span>'+
						'<span class="distance">'+distance+'</span></div></div>';
					oDiv.innerHTML=htmlStr;
					$(".list_detail_con")[num].appendChild(oDiv)
				}
				if(sendData.pageNo>=res.page.totalPage){
					var op = doc.createElement("p");
					op.setAttribute("class","noData");
					op.innerHTML="没有更多数据了";
					$(".list_detail_con")[num].appendChild(op);
					if(load){
						load.classList.add("mui-hidden");
					}
				}
				$(".brand")[num].setAttribute("load","load");
			}else{
				var no_pro='<div class="noDataImg" id="noDataImg"><img src="image/nodatabg.png"><p class="noDataTips">暂无产品</p></div>';
				$(".list_detail_con")[num].innerHTML=no_pro+$(".list_detail_con")[num].innerHTML;
			}
			$(".list-detail")[num].style.webkitTransform="translate3d(0px, 0px, 0px) translateZ(0px)";
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
   
   
 

})(mui,document,window.main={})
