(function($) {
	//productStatus 0-不可预约 1-待预约 2-预约中 3-已预约 4-体检已完成
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//sex  1-男  2-女

	var proId = common.utils.queryString('pid');
	var coords = common.utils.queryString('coords');
	var city = app.getCity()||{cityName:'北京',cityCode:'110000'};

	g('maskShop').style.height = document.documentElement.clientHeight+'px';
	g('city').innerHTML = city.cityName;
	var acoords = (coords||',').split(',');
	var storeId;
	/* 暂不使用商圈筛选
	g('content').style.paddingTop = (imbar.navBarHeight+44)+'px';
	g('filterBox').style.paddingTop = imbar.navBarHeight+'px';
	g('areaBox').style.height = (document.documentElement.clientHeight*0.45)+'px';
	g('sAreaBtn').addEventListener('tap',function(){
		if(!g('areaBox').classList.contains('active')){
			g('areaBox').classList.add('active');
			g('maskShop').classList.add('active');
			if(areaList.innerHTML==''){
				tijianSvc.getBusinessAreaList(city.cityCode).then(function(data){
					if(data && data.length>0){
						jpl('#tplAreaList').patternEach('#areaList',data);
					}else{
						g('areaBox').classList.add('empty');
					}
				}).catch(function(){
					console.error(err.message,err);
				});
			}
		}else{
			g('areaBox').classList.remove('active');
			g('maskShop').classList.remove('active');
		}
	},false);
	
	g('areaList').addEventListener('selected',function(e){
		var areaStr = e.detail.el.innerText;
		getShops(areaStr);
		g('sAreaBtn').querySelector('span').innerHTML = areaStr;
		g('areaBox').classList.remove('active');
		g('maskShop').classList.remove('active');
	},false);
	*/
	var openMapByScheme = function(src,dst,dname){
		var amapIsExist = false,bmapIsExist=false,theScheme='';
		//var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var amapUri ='https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		if(mui.os.ios){
			bmapIsExist=plus.runtime.isApplicationExist({action:'iosamap://'});
			if(bmapIsExist){
				//先判断高德
				theScheme ='iosamap://path?sourceApplication=applicationName&sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}=&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&t=0';
			}else{
				amapIsExist=plus.runtime.isApplicationExist({action:'baidumap://'});//百度
				var name = encodeURIComponent(dname);
				if(amapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}else{
			amapIsExist=plus.runtime.isApplicationExist({pname:'com.autonavi.minimap',action:'androidamap://'});//高德
			if(amapIsExist){
				
				// theScheme = 'amapuri://route/plan/?sid=BGVIS1&slat=39.92848272&slon=116.39560823&sname=A&did=BGVIS2&dlat=39.98848272&dlon=116.47560823&dname=B&dev=0&t=0'
				theScheme = 'androidamap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
			}else{
				bmapIsExist=plus.runtime.isApplicationExist({pname:'com.baidu.baiduMap',action:'baidumap://'});
				if(bmapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}
		if(theScheme){
			theScheme=common.utils.patternStrPlus(theScheme,routeData);
		}else{
			theScheme=common.utils.patternStrPlus(amapUri,routeData);
		}
		theScheme = encodeURI(theScheme);
		plus.runtime.openURL(theScheme)
	};
	g('maskShop').addEventListener('tap',function(e){
		g('areaBox').classList.remove('active');
		g('maskShop').classList.remove('active');
	},false);
	$("#shops").on("tap",".mui-media-body",function(){
		var currwv = plus.webview.currentWebview();
		 var opener = currwv.opener();
		 var storeId = this.getAttribute('data-id');
		 var storeName =this.getAttribute('data-name');
		 $.fire(opener,'selectStore',{storeId:storeId,storeName:storeName});
		 currwv.close();
	})
	$("#order-shop").on("tap",".mui-media-body",function(){
		var currwv = plus.webview.currentWebview();
		 var opener = currwv.opener();
		 var storeId = this.getAttribute('data-id');
		 var storeName =this.getAttribute('data-name');
		 $.fire(opener,'selectStore',{storeId:storeId,storeName:storeName});
		 currwv.close();
	})
	$("#shops").on("tap",".mui-media-body-right",function(){
		var dst_lon = this.getAttribute("data-lon");
		var dst_lat = this.getAttribute("data-lat"); 
		var dstName = this.getAttribute("data_name");
		//lon:acoords[1],lat:acoords[0]
		var wgsSrc = GPS.gcj_decrypt(acoords[0],acoords[1]);
		var srcPoint = new plus.maps.Point(wgsSrc.lon,wgsSrc.lat);
		var wgsDst = GPS.gcj_decrypt(dst_lat,dst_lon);
		var dstPoint = new plus.maps.Point(wgsDst.lon,wgsDst.lat);
		openMapByScheme(srcPoint,dstPoint,dstName);
	},false);
	$("#order-shop").on("tap",".mui-media-body-right",function(){
		console.log(111)
		var dst_lon = this.getAttribute("data-lon");
		var dst_lat = this.getAttribute("data-lat"); 
		var dstName = this.getAttribute("data_name");
		//lon:acoords[1],lat:acoords[0]
		var wgsSrc = GPS.gcj_decrypt(acoords[0],acoords[1]);
		var srcPoint = new plus.maps.Point(wgsSrc.lon,wgsSrc.lat);
		var wgsDst = GPS.gcj_decrypt(dst_lat,dst_lon);
		var dstPoint = new plus.maps.Point(wgsDst.lon,wgsDst.lat);
		openMapByScheme(srcPoint,dstPoint,dstName);
	})
	//保留一位小数
	function keepOneDecimal(num) {
	   var result = parseFloat(num);
	   if (isNaN(result)) {
	 	  $.toast('传递参数错误，请检查！');
	 	   return false;
	    }
		result = Math.round(num * 10) / 10;
		return result;
	};
	var orderShop=function(store){
		console.log(orderShop)
		var cur_store=store[0];
		var oLi='<li class="mui-table-view-cell" data-id="'+cur_store.storeId+'" data-name="'+cur_store.storeName+'">'+
				'<div class="mui-media-body" data-id="'+cur_store.storeId+'" data-name="'+cur_store.storeName+'">'+
				'<div class="mui-media-body-left">'+
				'<p class="s_name mui-ellipsis"><label class="order_s_name mui-ellipsis">'+cur_store.storeName+'</label><label class="order-place">下单机构</label></p>'+
				'<span>'+cur_store.distance+'</span>'+
				'<p class="mui-ellipsis cell-address">'+cur_store.address+'</p></div></div>'+
				'<div class="mui-media-body-right" data-lon="'+cur_store.lon+'" data-lat="'+cur_store.lat+'" data_name="'+cur_store.storeName+'">'+
				'查路线</div></li>';
		g("order-shop").innerHTML=	oLi;	
	}
	var cur_store=[];
	var getShops = function(areaStr){
		
		var searchPara = {productId:proId,lon:acoords[1],lat:acoords[0],businessArea:areaStr};
		tijianSvc.productStore(searchPara).then(function(data){
			//下单机构
			var list=data,n;
			var distance,unit;
			for(var m=0;m<list.length;m++){
				if(list[m].distance.indexOf("km")>0){
					unit="km"
				}else{
					unit="m"
				}
				distance = parseFloat(list[m].distance);
				distance = keepOneDecimal(distance);
				list[m].distance=distance+unit;
//				if(list[m].address.length>10)list[m].address=list[m].address.substring(0,15)+"...";
//				if(list[m].storeName.length>10)list[m].storeName=list[m].storeName.substring(0,10)+"...";
				if(list[m].storeId==storeId){
					cur_store.push(data[m]);
					n=m;
					orderShop(cur_store);
				}
			}
			data.splice(n,1);
			
			jpl('#tplShops').patternEach('#shops',list);
			g("noMoreStore").classList.remove("mui-hidden")
		}).catch(function(err){
			console.error(err.message,err);
		});
	};

	
	
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var valueArray=[];
	$.plusReady(function() {
	 	valueArray =plus.webview.currentWebview().detail;
	 	storeId = valueArray.storeId;
	 	console.log(valueArray)
	 	getShops();
	});
})(mui);