(function($,doc){
	$.init();
	var storeId = common.utils.queryString('storeId');
	storeId = decodeURIComponent(storeId);
	storeId = parseInt(storeId);
	var dis = common.utils.queryString('dis');
	dis = decodeURIComponent(dis);
	g("distance").innerHTML = dis;
	
	var locationInfo={};//跳转到地图页面显示的信息
	var params={"storeId":storeId};
	var phoneNumber;
	var tuijianData = {"pageNo":1,"pageSize":5,"level1":2,lat:"39.90793074",lon:"116.39131928"};
	var level2 = common.utils.queryString('level2');
	tuijianData.level2=level2;
	var map_pic;
	var cur_page,original_page;
	var titleTxt ="机构";
	
	if(level2!=="undefined"){
		if(level2==14){
			titleTxt = "定点医院";
		}else if(level2==12){
			titleTxt = "社保网点";
		}else if(level2==13){
			titleTxt = "公积金网点";
		}else if(level2==15){
			titleTxt = "定点药店";
		}else{
			titleTxt = "机构详情";
		}
		g("name").innerHTML=titleTxt;
	}
    
	var locationPos={};//机构位置
	var shareInfo={shareImage:'_www/images/logo.jpg'};;
    var appStat=0;//默认在APP内
	
	var collect = g("collect");
	//var comment_btn = g("comment_btn"); 
	var readAllComment = g("readAllComment");
	var moreRec = g("moreRec");
	$.previewImage();
	
	var userInfo = app.getUser();


    $("#list").on("tap",".place",function(){
    	var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		$.openWindow("service_location.html?storeId="+storeId+"&dis="+dis+"&level2="+level2);
    })
	comment_btn.addEventListener("tap",function(){
		$.openWindow("all_commmet.html")
	},false);
	readAllComment.addEventListener("tap",function(){
		$.openWindow("all_commmet.html")
	},false);
	moreRec.addEventListener("tap",function(){
		if(level2==null){
			$.openWindow("serviceindex.html?close=1");
		}else{
			$.openWindow("dingdian_list.html?name="+titleTxt+"&levelId="+level2);
		}
	},false);
	for(var m=0;m<$(".user_praise").length;m++){
		$(".user_praise")[m].addEventListener("tap",function(){
			var stat = this.getAttribute("stat");
			if(stat==0){//已点赞
				this.setAttribute("class","user_praise jcon jcon-praise");
				this.setAttribute("stat",1);
			}else{
				this.setAttribute("class","user_praise jcon jcon-praise-active alr");
				this.setAttribute("stat",0);
			}
		},false)
	};
	
	for(var i=0;i<$(".reply").length;i++){
		$(".reply")[i].addEventListener("tap",function(){
			g("c_reply").classList.add("c_reply_show");
			reply_number = this.getAttribute("number");
			g("myReply").focus();
		},false)
	};
	g("c_reply").addEventListener("tap",function(){
		g("c_reply").classList.remove("c_reply_show")
	},false);
	g("c_reply_box").addEventListener("tap",function(e){
		e.stopPropagation();
	},false);
	g("send_c_reply").addEventListener("tap",function(){
		g("c_reply").classList.remove("c_reply_show");
		var comment_user_name = $(".comment_user_name")[reply_number];
		var myReplyCon = document.createElement("p");
		myReplyCon.setAttribute("class","myReplyCon");
		var replyTxt = g("myReply").value;
		if(replyTxt.lenth==0){
			$.toast("取消回复");
			return false;
		}
		var delBtn = "<label class='mui-icon mui-icon-trash del_reply'></label>"
		//myReplyCon.innerHTML = myName+":"+replyTxt+delBtn;
 		$(".commentWord")[reply_number].appendChild(myReplyCon)
	    g("myReply").blur();
	},false);
	g("address").addEventListener("tap",function(){
		if(appStat==0){
			var storeName = locationInfo.storeName;
			var address = locationInfo.address;
			storeName = encodeURIComponent(storeName);
			address = encodeURIComponent(address);
			map_pic = encodeURIComponent(map_pic);
			var lon = locationInfo.point.split(" ")[0];
			var lat = locationInfo.point.split(" ")[1];
			mui.openWindow("map.html?storeId="+storeId+"&storeName="+storeName+"&address="+address+"&dis="+dis+"&level2="+level2+"&pic="+map_pic+"&lat="+lat+"&lon="+lon)
		}
	},false);
	
	
	var openMapByScheme = function(src,dst,dname){
		var amapIsExist = false,bmapIsExist=false,theScheme='';
		//var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var amapUri ='https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		if(mui.os.ios){
			bmapIsExist=plus.runtime.isApplicationExist({action:'iosamap://'});
			if(bmapIsExist){
				//先判断高德
				theScheme ='iosamap://path?sourceApplication=applicationName&sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}=&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&t=0';
			}else{
				amapIsExist=plus.runtime.isApplicationExist({action:'baidumap://'});//百度
				var name = encodeURIComponent(dname);
				if(amapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}else{
			amapIsExist=plus.runtime.isApplicationExist({pname:'com.autonavi.minimap',action:'androidamap://'});//高德
			if(amapIsExist){
				// theScheme = 'amapuri://route/plan/?sid=BGVIS1&slat=39.92848272&slon=116.39560823&sname=A&did=BGVIS2&dlat=39.98848272&dlon=116.47560823&dname=B&dev=0&t=0'
				theScheme = 'androidamap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
			}else{
				bmapIsExist=plus.runtime.isApplicationExist({pname:'com.baidu.baiduMap',action:'baidumap://'});
				if(bmapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}
		if(theScheme){
			theScheme=common.utils.patternStrPlus(theScheme,routeData);
		}else{
			theScheme=common.utils.patternStrPlus(amapUri,routeData);
		}
		theScheme = encodeURI(theScheme);
		plus.runtime.openURL(theScheme);
	};


	 //分享
    function initShare(){
		var shareMsg = {
			href:app._webUrl+"/o2o/service_location.html?storeId="+storeId+"&dis="+dis+"&level2="+level2+"&cityCode="+city.cityCode,
			title:shareInfo.title,
			content: shareInfo.content,
			thumbs:[shareInfo.shareImg],
			pictures:[shareInfo.shareImg],
			weixin_WXSceneTimeline:{
		      href:app._webUrl+"/o2o/service_location.html?storeId="+storeId+"&dis="+dis+"&level2="+level2+"&cityCode="+city.cityCode,
		      title:shareInfo.title+" "+titleTxt,
		      thumbs:[shareInfo.shareImage]
		    }
		};
		window.share.initShare("share", shareMsg, function() {
			mui.toast('分享成功');
		}, function(e) {
			if(e.code === -100) {
				mui.toast('已取消分享');
			} else {
				mui.toast('分享失败：' + e.message);
			}
		});
	};
	var city ={cityCode:'110000',cityName:'北京'}
	function pos(coords){
		if(coords){
			tuijianData.lon = coords.longitude;
			tuijianData.lat = coords.latitude;
		}
		city = app.getCity();
		tuijianData.cityCode = city.cityCode;
		proList(tuijianData);
	};
	geo.getPoint(pos);
	function initData(ans){
		tijianSvc.zw_detail(ans).then(function(res){
	  		locationPos.lon = res.point.split(" ")[0];
	  		locationPos.lat = res.point.split(" ")[1];
			g("location_name").innerHTML=res.storeName;
			shareInfo.title=res.storeName;
			shareInfo.content=res.address;
			g("address").innerHTML=res.address;
			locationInfo.storeName=res.storeName;
			locationInfo.address=res.address;
			locationInfo.point = res.point;
			var hours  = res.businessHours;
			var phones = res.storePhones;
			var hoursCon = "",phoneCon="",oImg="";
			for(var m=0;m<hours.length;m++){
				hoursCon+='<label>'+hours[m].showText+'</label>';
			}
			g("workTime").innerHTML=hoursCon;
			if(phones.length==0){
				g("call").classList.add("mui-hidden")
			}else{
				for(var i=0;i<phones.length;i++){
					phoneCon=phoneCon+'<li>'+phones[i].phone+'</li>';
				}
				g("telList").innerHTML=phoneCon;
			}
			var bannerImg = res.image;
			g("img").innerHTML = bannerImg.length;
			if(bannerImg.length>0){
				shareInfo.shareImage=bannerImg[0].imageUrl;
				map_pic = bannerImg[0].imageUrl;
				
				for(var k=0;k<bannerImg.length;k++){
					oImg=oImg+'<div class="mui-slider-item"><div class="imgbox"><img src="'+bannerImg[k].imageUrl+'" data-preview-src="" data-preview-group="0" /></div></div>';
				};
				g("picBox").innerHTML=oImg;
			}
			var impressCon=[];
			var pression = res.storeImpressions;
			for(var i in pression){
				impressCon=impressCon.concat([
					'<li>',pression[i].describe,'</li>'
				]);
			};
			g("impression").innerHTML=impressCon.join('');
			initShare();
		}).catch(function(err){
			//$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	initData(storeId);
	//新的拨打电话
	g("call").addEventListener("tap",function(){
		g("popover").classList.add("show")
	},false);
	$("#telList").on("tap","li",function(){
    	phoneNumber = this.innerHTML;
		plus.device.dial(phoneNumber, true)
    })
	g("cancel_call").addEventListener("tap",function(){
		g("popover").classList.remove("show")
	},false);
	$.plusReady(function(){
		var reply_number;
        var terminal =mui.os;
		cur_page = plus.webview.currentWebview();
		original_page = cur_page.opener();
		

    });
    
  
  
	
    function keepOneDecimal(num) {
		var result = parseFloat(num);
		if (isNaN(result)) {
		 	$.toast('传递参数错误，请检查！');
		 	return false;
		}
		result = Math.round(num * 10) / 10;
		return result;
	}
    //为您推荐
    function proList(sendData){
		tijianSvc.searchStore(sendData).then(function (res) {
			var cons = res.storeList;
			for(var i in cons){
				if(cons[i].storeId==storeId){
					cons.splice(i,1)
				}
			}
			$("#list").innerHTML="";
			if(cons.length>0){
				var htmlCon=[];
				var distance;
				for(var i in cons){
					if(cons[i].distance.indexOf("km")>0){
						distance = parseFloat(cons[i].distance);
						distance = keepOneDecimal(distance)
						if(distance>=50){
							distance = "50+km";//
						}else{
							distance = distance+"km";
						}
					}else{
						distance = cons[i].distance;//米
					}
					var impressions="";
					for(var m=0;m<cons[i].impressions.length;m++){
						impressions=impressions+'<span>'+cons[i].impressions[m].describe+'</span>';
					};
					htmlCon = htmlCon.concat(['<div class="place clearfix" storeId="',cons[i].storeId,'" dis="',distance,'"><div class="locationPic" style="background:url(',cons[i].thumbnail,') no-repeat left top;background-size:cover">',
							'</div><div class="locationInfo"><p class="locationName mui-ellipsis">',cons[i].storeName,'</p>',
							'<div class="stars"><span class="jcon jcon-collection active"></span><span class="jcon jcon-collection active"></span>',
							'<span class="jcon jcon-collection active"></span><span class="jcon jcon-collection active"></span><span class="jcon jcon-collection active"></span></div>',
							'<div class="location">',cons[i].address,'</div>',
							'<div class="location impression">',impressions,'</div></div><div class="distance">',distance,'</div></div>'
					]);
				}
				g("recommend").classList.remove("mui-hidden")
				g("list").innerHTML=htmlCon.join('');
			}else{
				g("recommend").classList.add("mui-hidden")
			}
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
}(mui,document))
	