(function($,doc){
	var placeName = common.utils.queryString('place');
	placeName = decodeURIComponent(placeName);
	//有时会出现空格
	placeName = placeName.replace(/\s*/g,"");
	
	var level2=common.utils.queryString('level2');
	g("keyword").value = placeName;
	var backStat=0;
	var back = $.back;
	var orgioinPage=0,opener;
	var sendParams={lat:"39.90793074",lon:"116.39131928",pageNo:1,pageSize:100};
	var code = myStorage.getItem("city").cityCode;
    sendParams.cityCode=code;
	
	sendParams.content = placeName;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	
	var bar = imbar.getStatusbar();
	
	if(window.imbar && imbar.isImmersedStatusbar){
		var immer_bar_hig  = window.imbar.navBarHeight;
		g("mui-scroll-wrapper").style.top=immer_bar_hig+"px";
	}
	
	//滚动的时候失去焦点
	g("mui-scroll-wrapper").addEventListener('scroll',function(e){
		g("keyword").blur();
	},false)
	//统一样式的警告
	function warning(txt){
		g("warning").innerHTML = txt;
		g("warning").style.display="block";
		setTimeout(function(){
			g("warning").style.display="none";
		},1500);
	};
	
	$.back = function(){
		if(orgioinPage==0){
			$.fire(opener,"changeBarColor")
		}
		if(backStat==0){
			back();
		}else{
	        g("noData").classList.add("mui-hidden");
	        g("productList").classList.remove("mui-hidden");
	        g("keyword").value="";
	        sendParams.pageNo=1;
	        backStat=0;
		}
	}
	var search = function(){
		setTimeout(function(){
			g('keyword').blur();
		},100);
		 //判断输入不为空
        var val = g("keyword").value;
        if(val==""){
       		warning("搜索内容不能为空！");
			return false;
        }
        var matchEmoji = /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g;
		if(matchEmoji.test(val)){
			warning("不支持emoji表情符号！");
			return false;
		}
		backStat=1;
        sendParams.content = g("keyword").value;
        sendParams.pageNo=1;
        proList(sendParams);
	};
	window.searchNews = search;
	function proList(sendData){
		tijianSvc.getProList(sendData).then(function (res) {
			g("productList").classList.remove("mui-hidden");
			g("noData").classList.add("mui-hidden");
			var cons = res.productList;
			var htmlCon=[];
			var distance;
			if(cons.length>0){
				g("productList").innerHTML="";
				for(var i in cons){
					if(cons[i].distance.indexOf("km")>0){
						distance = parseInt(cons[i].distance);
						if(distance>=100){
							distance = Math.ceil(distance)+"km";//
						}else{
							distance = distance.toFixed(1)+"km";
						}
					}else{
						distance = cons[i].distance+"m";//米
					}
					htmlCon=htmlCon.concat([
						'<div class="produce_detail" proId="',cons[i].productId,'" storeId="',cons[i].storeId,'" dis="',distance,'" storeName="',cons[i].storeName,'"><div class="product clearfix">',
						'<div class="product_img"><img src="',cons[i].thumbnail,'" /></div>',
						'<div class="product_info">',
						'<p class="product_info_name mui-ellipsis">',cons[i].productName,'</p>',
						'<p class="saleCount">已售',cons[i].saleCount,'份</p>',
						'<span class="product_price">',cons[i].salesPrice,'元<label class="store_price">门市价：',cons[i].originalPrice,'元</label></span>',
						'</div></div></div>'
					]);
				}
				g("productList").innerHTML=htmlCon.join('');
			}else{
				g("productList").classList.add("mui-hidden");
				g("noData").classList.remove("mui-hidden");
			}
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	
	$("#productList").on("tap",".produce_detail",function(){
		var proId = this.getAttribute("proId");
		var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		var storeName = this.getAttribute("storeName");
		storeName = encodeURIComponent(storeName);
		$.openWindow("pro_detail.html?proId="+proId+"&storeId="+storeId+"&distance="+dis+"&storeName="+storeName+"&level2="+level2);
	});
	
	
	function initData(myCoords){
		if(myCoords){
			sendParams.lat = myCoords.latitude;
			sendParams.lon = myCoords.longitude;
		}
		proList(sendParams);
	}	
    geo.getPoint(initData);
	$.plusReady(function(){
		plus.navigator.setStatusBarStyle('light');
		var  _self = plus.webview.currentWebview();
		opener = plus.webview.currentWebview().opener();
		if(opener.id=="infoView"){
			orgioinPage=1;//判断是否需要改变上一个页面状态栏颜色
			_self.addEventListener("popGesture",function() {
				plus.navigator.setStatusBarStyle('dark');
			});
		}
	})
    
})(mui,document)