(function($) {
	//productStatus 0-不可预约 1-待预约 2-预约中 3-已预约 4-体检已完成
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//sex  1-男  2-女
	var sex = {1:'男',2:'女'};
	var marry = {0:'未婚',1:'已婚'};
	var product={};
	var orderId = common.utils.queryString('id');
	var proName = common.utils.queryString('pname');
	var proId=common.utils.queryString("pid");
	if(proName) proName = decodeURIComponent(proName);
	g('proName').innerHTML = proName;

	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	
	var getYuyueInfo=function(orderId){
		tijianSvc.getPredetermine(orderId).then(function(data){
			if(data.ismodify==1){
				g("modify").classList.remove("mui-hidden");//1表示预约成功才执行
				g("modify").classList.add("gray")
			}
			if(data.isPrefail==1){
				var reason="预约失败原因是："+data.prefailReason;
				$.alert(reason,"修改预约失败","知道了","",'div');
				g("modify").classList.remove("mui-hidden");//1表示预约成功才执行
				g("modify").classList.add("gray");
			}
			if(data.examinationSex){
				data.examinationSexText = sex[data.examinationSex];
				data.examinationMarryText = marry[data.examinationMarry];
			}
			if(data.predetermindTimeStart) data.predetermindDateStart = data.predetermindTimeStart.substr(0,10);
			if(data.predetermindTimeEnd) data.predetermindDateEnd = data.predetermindTimeEnd.substr(0,10);
			if(data.determineTime) data.determineDate = data.determineTime;
				
			jpl('#tplPerson').pattern('#personInfo',data);
			jpl('#tplAppoint').pattern('#appointInfo',data);
			var statusTips = '预约中，请等待工作人员和你确认';
			data.showPwd='mui-hidden';
			if(data.determineStoreId) {
				g('resultBox').classList.remove('mui-hidden');
				if(data.account)  data.showPwd='';
				data.determineNum=data.orderId;
				jpl('#tplDetermine').pattern('#resultInfo',data);
				statusTips = '已预约成功';
				g("modify").classList.remove("mui-hidden");
			};
			getProductInfo(proId);//1
			g('tips').innerHTML = statusTips;
		}).catch(function(err){
			console.error(err.message,err);
		});
	}
	g("modify").addEventListener("tap",function(){
		var cname=g("modify").classList;
		if(cname.length==1){
			var path='modify_jk.html';
			var ws = $.openWindow({
				url:path+'?id='+orderId+'&pid='+product.productId+'&pname='+encodeURIComponent(product.productName)+'&sex='+product.appleToSex
				+'&sd='+encodeURIComponent(product.useStart)+'&ed='+encodeURIComponent(product.useEnd)+'&wd='+product.waitBookingDay+"&storeId="+valueArray.storeId,
				extras: { detail: valueArray}
			});
		}else{
			$.toast("您已修改过预约信息，不可再次修改")
		}
	});
	var getProductInfo = function(id){
		return tijianSvc.getDetail({productId:id}).then(function(data){
			if(data){
				product = data;
			}
		}).catch(function(err){
			 console.log(err.message,err);
		});
	};
	
	
	
	
	var setContacts = function(){
		appSvc.getContactsNew('tijian-yuyue').then(function(data){
			if(!data||!data.conList.length) return;
			var href=data.conList[0].mlType==3?'tel:'+data.conList[0].mlContent:"";
			g('store_tel').setAttribute('href',href);
			g('store_tel').setAttribute('text',data.conList[0].mlContent);
			g("store_tel_num").innerHTML=data.conList[0].mlContent;
			g("mTitle").innerHTML=data.conList[0].mlTitle;
			g('store_tel_num').setAttribute('tel',href);
		});
	};
	g("store_tel_num").addEventListener("tap",function(){
		var tel=this.getAttribute("tel");
		if(tel!==""){
			var phoneNumber = this.innerHTML;
			plus.device.dial(phoneNumber,true)
		}
		
	},false)
	//复制微信号
	g("store_tel").addEventListener("tap",function(){
		var href=this.getAttribute("href");
		if(href==""){
			var txt=g("store_tel_num").innerHTML;
			app.copyText(txt);
			mui.toast("号码已复制到剪切板")
		}
	},false)
	window.addEventListener("modify",function(e){
		getYuyueInfo(orderId)
	},false)
	setContacts();
	if(orderId){getYuyueInfo(orderId)}
	var opener,valueArray =[];
	$.plusReady(function(){
		opener = plus.webview.currentWebview().opener();
		valueArray =plus.webview.currentWebview().detail;
		console.log(valueArray)
	})
})(mui);