(function($, doc) {
	var privacyUrl = app._webUrl+'/agreement/privacy.html';
	var agreeUrl = app._webUrl+'/agreement/user-agreement.html';

	
	function initEvents(){
		g('userxieyi').addEventListener('tap',function(){
			app.openUrl(agreeUrl);
		},false);
		g('privacy').addEventListener('tap',function(){
			app.openUrl(privacyUrl);
		},false);
		g('callServices').addEventListener('tap', function(){
			app.toKefu();
		});
	}
	
	function setContacts(){
		appSvc.getContacts('aboutContacts').then(function(data){
			if(!data||!data.length) return;
			var html = [];
			$.each(data,function(i,item){
				var href = '';
				if(item.mlType==3){
					href='href="tel:'+item.mlContent+'"';
				}else if(item.mlType==4){
					href='href="mailto:'+item.mlContent+'"';
				}
				html = html.concat([
					'<div class="mui-table-view-cell">',
						'<a ',href,' type="',item.mlType,'" text="',item.mlContent,'" class="mui-navigate-right">',
							'<i class="jcon ',item.mlImgPath,'"></i>',
							'<span class="item-title">',item.mlTitle,'</span>',
							'<span class="item-des color-orange">',item.mlContent,'</span>',
						'</a>',
					'</div>']);
			});
			g('aboutContacts').innerHTML=html.join('');
		});
		$('#aboutContacts').off();
		$('#aboutContacts').on('tap','.mui-table-view-cell a',function(){
			var action = this.getAttribute('type');
			var txt = this.getAttribute('text');
			if(action=='1'){
				app.copyText(txt);
	        	    $.toast('号码已复制到剪贴板');
			}else if(action=='2'){
				app.copyText(txt);
				plus.runtime.openURL('mqqwpa://im/chat?chat_type=crm&uin='+txt+'&version=1&src_type=web&web_src=http:://wpa.b.qq.com');
			}else if(action=='3'){
				plus.runtime.openURL('tel:'+txt);
			}else if(action=='5'){
				app.openMultiURL(txt);
			}
		});
	}
	
	initEvents();
	setContacts();
	//神策埋点
	function joyTrack(){
		//查悦社保用户协议
		jTrack.regEvents('#userxieyi','joyLinkClick','jtrack_name:this.innerText');
		//查悦社保用户隐私政策
		jTrack.regEvents('#privacy','joyLinkClick','jtrack_name:this.innerText');
		//联系客服  [电话  微信客服  微信公众号]
		jTrack.regEventsLive('#aboutContacts', '.mui-table-view-cell a','joyLinkClick','jtrack_name:this.innerText');
		//在线咨询
		jTrack.regEvents('#callServices','joyLinkClick','jtrack_name:在线咨询');
	}
	$.plusReady(function(){
		var pTop = imbar.isImmersedStatusbar?imbar.statusbarHeight+44:44;
		jel('.banner').css('paddingTop',pTop+'px');
		g('version-code').innerText=plus.runtime.version;
		joyTrack();
	});

})(mui);