(function($,app,sbSvc) {

 	var cateImgClass = ['social_security_agency','provident_fund_agent','maternity_allowance','social_security_payment'];	//tab导航类名
	var filter = {pCate:0,pCityCode:'110000'};
	var pager = {pageIndex:1,pageSize:10,pages:1};
	var scroll = $('#offCanvasContentScroll').scroll();
 	var city = app.getCity();
 	var cityView = null;
 	var cityChange = 0;	//城市变化监听变量
 	var oldCityCode = filter.pCityCode;	//初始旧城市code
 	var mainScroll;
 	
 	//获取传参，控制社保服务模块开关
 	function getParams(name) {  
		var reg = new RegExp("(^|&)"+ name +"=([^&]*)(&|$)");  
		var r = window.location.search.substr(1).match(reg);  
		if(r!=null)return unescape(r[2]); return null;  
	} 
	var showHideView = function (){
		var dataObj = {};
			dataObj.cityCode = app.getCity().cityCode || '000000';
			dataObj.plusOsName = plus.os.name;
			dataObj.channel = app.getChannel();
			dataObj.locationId = 'siSubstitute';
		appSvc.getIconList(dataObj).then(function(data){
			if(data && data.list.length > 0){
				g('advertisement').classList.remove('mui-hidden');
			   	g('cityChice').classList.remove('mui-hidden');
			   	g('feed').classList.remove('mui-hidden');
			   	g('cate').classList.add('mui-hidden');
		   		mainScroll = $('#homeScroll').jscroll({
					scrollX: false,
					indicators: false,
					bounce:false,
					child:{
						fixBox:'#feed',
						fixBar:'#feedTab',
						scBox:'#feedGroup',
						scrolls:'#feedGroup .mui-scroll-wrapper',
						active:'#feedGroup .mui-slider-item.mui-active .mui-scroll-wrapper'
					}
				});
				setJPullToRefresh();
		 	}else {
				g('advertisement').classList.add('mui-hidden');
			   	g('cityChice').classList.add('mui-hidden');
			   	g('feed').classList.add('mui-hidden');
			   	g('cate').classList.remove('mui-hidden');
		 	}
        }).catch(function(err){
        	console.log(err.message,err);
        });
	}
	
	//咨询服务点击事件处理
	$('#cate').on('tap','.mui-table-view-cell a',function(){
		if(app.checkLogin()){
			mui.openWindow(this.getAttribute("jhref"));
		}else {
			app.toLogin();
		}
	},false);
	
 	var obj = { //下拉刷新  
		upFlag: true, //滑动开关，不然下拉刷新会一直闪烁因为滑动是时时的  
		time: 800 //展示的时间  
	};

	var Lazyload = $('#feed').imageLazyload({
		placeholder: '../images/lazy-news.png',
		autoDestroy: false
	});
	var pullUp = function(pullEl){
		pager.pages++;
		pager.pageIndex = Number(mui('#feedTab .mui-control-item.mui-active')[0].getAttribute('indexId'));
		cityChange = 0;
		postSecurityProductList(pager.pageIndex,pager.pages,'up').then(function(data){
			pullEl.endPullUpToRefresh(data == 0);
		}).catch(function(err){
			pullEl.endPullUpToRefresh();
		});
	};
	var pullDown = function(puller){
		pager.pages =1;
		pager.pageIndex = Number(mui('#feedTab .mui-control-item.mui-active')[0].getAttribute('indexId'));
		cityChange = 1;
		postSecurityProductList(pager.pageIndex,pager.pages,'up').then(function(data){
			puller.endPullDownToRefresh(data);
		}).catch(function(err){
			puller.endPullDownToRefresh(0);
		});
	};
	
	//初始化获取容器高度
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight,
			navBarH = g('header').offsetHeight,
			feedTabH = g('feedTab').offsetHeight||70;
			if(imbar.isImmersedStatusbar){
				g('homeScroll').style.top = imbar.navBarHeight +'px';
			}
		g('feed').style.height = (windowH-navBarH)+'px';
		g('feedGroup').style.height = (windowH-navBarH-feedTabH)+'px';
	}
	initFeed();
	

	//监听homeScroll移动距离控制选择城市
	g('homeScroll').addEventListener('scroll',function(e){
		if(e.detail.hasHorizontalScroll || e.detail.element!=g('homeScroll')) return;
		if(e.detail.y <= -185){ 
	    	g('headerCity').classList.remove('mui-hidden');
	    }else {
	    	g('headerCity').classList.add('mui-hidden');
		} 
	},false);
	
	function setJPullToRefresh () {
		mui('#feedGroup .mui-scroll').setJPullToRefresh({
			up:{
				offset:20,
				callback:function(){
					pullUp(this);
				}
			}
		});
		mui('#homeScroll>.mui-scroll').setJPullToRefresh({
			down:{
				offset:60,
				callback:function(){
					pullDown(this);
				}
			}
		});
	}
	//处理数据
	var createFeedArt = function(data){
		var proData = data;
		var item = document.createElement('div');
		item.className = 'content_list';
		
		item.setAttribute('pid',proData.id);
		item.setAttribute('cid',proData.pCategory);
		item.setAttribute('cname',proData.pCategoryName);
		item.setAttribute('ptype',proData.pType);
		item.setAttribute('pname',proData.pName);
		
		item.innerHTML = [
			'<dl>',
				'<dt class="img_picture">',
					'<img src="',proData.pImg||'../images/advice/repair.jpg','"/>',
				'</dt>',
				'<dd>',
					'<div class="content_box">',
						'<p class="color-black font-16 font-w">',proData.pName,'</p>',
						'<p class="color-gray font-14">',proData.tips,'</p>',
					'</div>',
					'<div class="price_p">',
						'<p class="color-orange font-14"><span class="font-14 font-weight">',proData.feeTypeName,'</span></p>',
						'<button class="view_details joy-link">查看详情</button>',
					'</div>',
				'</dd>',
			'</dl>',
		].join('');
		return item;
	};
	//循环每组返回的数据
	var createFeedList = function(dir,cboxs,data){
		var data = data.list;
		var cbox = cboxs;
		if(cityChange){
			cbox.innerHTML = '';
		};
		$.each(data,function(i,item){
			var feedItem = null;
			feedItem = createFeedArt(item);
			if(dir!='down'){
				cbox.appendChild(feedItem);
			}else{
				cbox.insertBefore(feedItem,cbox.childNodes[0]);
			}
		});
	};
	
	//数据请求（参数：{indexsType(服务产品类型),pageIndex(页码)}）
	var postSecurityProductList = function (indexsType,pageIndex,dir){
		return sbSvc.postSecurityProductList(filter.pCityCode,indexsType,pageIndex,pager.pageSize).then(function(data){
			var slider = $('#feed').slider();
			var index = slider.slideNumber;
			var sliderItem = g('feedGroup').children[index];
			var box = sliderItem.querySelector('.data-box');
			var pageNum = sliderItem.getAttribute('page');
			pageNum = pageNum?parseInt(pageNum)+1:1;
			sliderItem.setAttribute('data-init','true');
			sliderItem.setAttribute('page',data.pagination.pageNum);
			createFeedList(dir,box,data);
			Lazyload.refresh(true);
        	if(data.pagination.totalItems===0) box.innerHTML = '<div class="not-network"><span>暂时没有 此类产品</span></div>';
			return data && data.list.length || 0;
		}).catch(function(err){
			console.log(err.message,err);
			return 0;
		});
	}
	
	
	//调取服务下社保相关服务接口
	var getFeedList = function(dir,isFirst){
		var slider = $('#feed').slider();
		var index = slider.slideNumber;
		var sliderItem = g('feedGroup').children[index];
		var sliderTabIndex = g('feedTab').children[index];
		var indexNum = sliderTabIndex.getAttribute('indexId');
		var box = sliderItem.querySelector('.data-box');
			
		var tabEl = g('feedTab').children[index];		
		var pageNum = sliderItem.getAttribute('page');
		pageNum = pageNum?parseInt(pageNum)+1:1;
		var tab = tabEl.getAttribute('tab');
		return sbSvc.postSecurityProductList(filter.pCityCode,indexNum,pageNum,pager.pageSize).then(function(data){
			sliderItem.setAttribute('data-init','true');
			sliderItem.setAttribute('page',data.pagination.pageNum);
			createFeedList(dir,box,data);
			Lazyload.refresh(true);
        	if(data.pagination.totalItems===0) box.innerHTML = '<div class="not-network"><span>暂时没有 此类产品</span></div>';
			return data && data.length || 0;
		}).catch(function(err){
			console.log(err.message,err);
			return 0;
		});
		
	};
	
	//点击查看详情跳转至详情页
	$('#feedGroup').on('tap','.content_list',function(){
   		var _url ="agent-info.html?pid="+this.getAttribute('pid');
		$.openWindow({ url: _url, id: "agent-info",styles:{scrollIndicator:'none'} });
   	});
   	
   	//设置city回显、存储选中城市
	var setCity = function(city){
		city = city || app.getCity();
		var ocode = jel('#cityTxt').attr('cityCode');
		var ocode = jel('#headerCityTxt').attr('cityCode');
		var cname = city.cityName.length>4?city.cityName.substr(0,4)+'...':city.cityName;
		jel('#headerCityTxt').attr('cityCode',city.cityCode);
		jel('#headerCityTxt').html(cname);
		jel('#cityTxt').attr('cityCode',city.cityCode);
		jel('#cityTxt').html(cname);
		
		city.timestamp = Date.now();
		cityChange = 1;
		myStorage.setItem('city',city);
		myStorage.setCookiePlus('city',city);
	};
	
	
	//城市change时
	var changeCity = function(e){
		if(e.detail){
			setCity(e.detail);
			filter.pCityCode = e.detail.cityCode; //获取当前选中的城市cityCode
			pager.pageIndex = Number(mui('#feedTab .mui-control-item.mui-active')[0].getAttribute('indexId'));	//获取当前被选中的tab的id
			pager.pages = 1;	//获取当前分页
			//清空子页原内容并重新请求当前数据
			var sliderItem = g('feedGroup').children;
			for(var i=0;i<sliderItem.length;i++){
				sliderItem[i].setAttribute('data-init','false');
				sliderItem[i].setAttribute('page','0');
				sliderItem[i].children[0].children[0].children[0].innerHTML = '';
				sliderItem[i].children[0].children[0].style.transform = "translate3d(0px, 0px, 0px) translateZ(0px)"
			}
			cityChange = 1;
			postSecurityProductList(pager.pageIndex,pager.pages,'up');
		}
	};
	//设置滚动区域
	$('#feedGroup>.mui-control-content>.mui-scroll-wrapper:not(.no-init-scroll)').scroll({
		deceleration: 0.0005,
		indicators: true,
		bounce:false
	});
	//调取选择城市页面
	var pickCity = function(){
		document.activeElement.blur();
		$.openWindow({url:'pick-city.html?workType=0',id:'pickCity',waiting: {autoShow: false}});
	};
 	//点击选择城市
	g('pCity').addEventListener('tap',function(e){
		pickCity();
		e.stopPropagation();
	},false);
	g('headerCity').addEventListener('tap',function(e){
		pickCity();
		e.stopPropagation();
	},false);
	
	//点击tab
	$('#feedTab').on('tap','.mui-control-item',function(){
		var box = g('feedGroup').querySelector('.mui-active');
		var sliderItem = g('feedGroup').children;
		var _thisTab = this.getAttribute('tab');
		for(var i=0;i<sliderItem.length;i++){
			sliderItem[i].classList.remove('mui-active');
			if(Number(sliderItem[i].children[0].getAttribute('data-scroll')-1) == Number(_thisTab)){
				sliderItem[i].classList.add('mui-active');
				box = g('feedGroup').querySelector('.mui-active');
			}
		}
		
		var newsCityCode = app.getCity().cityCode;
		pager.pageIndex = Number(this.getAttribute('indexId'));	//获取当前被选中的tab的id
		pager.pages = 1;	//获取当前分页
		//判断是否有更换城市（Y：请求数据；N：继续判断data-init是否存在[Y:已请求过数据，不用再次请求]）
		if(oldCityCode == newsCityCode){
			//判断该元素已有属性值
			if(box.getAttribute('data-init')==='false'){
				cityChange = 0;
				postSecurityProductList(pager.pageIndex,pager.pages,'up');
			}else {
				//判断是否有该属性
				if(!box.getAttribute('data-init')){
						cityChange = 0;
						getFeedList('up');
				}
			}
		}else {
			//将变更后的城市赋予旧cityCode上
			cityChange = 0;
			oldCityCode = newsCityCode;
			postSecurityProductList(pager.pageIndex,pager.pages,'up');
		}
	},false);
	
	//左右滑动城市时事件
	g('feed').addEventListener('slide',function(){
		//mainScroll._refreshChild();
		var box = g('feedGroup').children[event.detail.slideNumber];
		var newsCityCode = app.getCity().cityCode;
		//判断是否有更换城市（Y：请求数据；N：继续判断data-init是否存在[Y:已请求过数据，不用再次请求]）
		if(oldCityCode == newsCityCode){
			//判断该元素已有属性值
			if(box.getAttribute('data-init')==='false'){
				cityChange = 0;
				getFeedList('up');
			}else {
				//判断是否有该属性
				if(!box.getAttribute('data-init')){
						cityChange = 0;
						getFeedList('up');
				}
			}
		}else {
			//将变更后的城市赋予旧cityCode上
			oldCityCode = newsCityCode;
			getFeedList('up');
		}
	},false);
	
	//初始化默认城市（首页选中）
	g('headerCityTxt').innerText = app.getCity().cityName;
	g('cityTxt').innerText = app.getCity().cityName;
	filter.pCityCode = app.getCity().cityCode;
	postSecurityProductList(1,1,'up');
	
	//神策埋点
	function joyTrack(){
		//tab
		jTrack.regEvents('#feedTab .mui-control-item','joyCateClick','jtrack_name:this.innerText,jtrack_cate_id:attr.indexId,jtrack_cate_type:8');
		//feed流产品列表
		jTrack.regEventsLive('#feedGroup','.content_list','joySiProductClick','jtrack_name:attr.pname,jtrack_siagent_cid:attr.cid,jtrack_siagent_cname:attr.cname,jtrack_siagent_id:attr.pid');
	}
	
	$.plusReady(function(){
		showHideView();
		joyTrack();
	});
	//选择城市监听
	window.addEventListener('changeCity', changeCity ,false);
})(mui,app,sbSvc);