(function($,app) {
	$.init({ swipeBack:false });
	
	var typeId = 3;//城市列表类型参数
	var city = app.getCity();

	var creatLi = function (city) {
		var li = document.createElement('li');
		li.setAttribute('data-value',city.cityCode);
		li.setAttribute('data-tags',city.cityShort);
		li.className ="mui-table-view-cell mui-inline";
		li.innerText = city.cityName;
		g('cityList').appendChild(li);
	};
	var creatGroup = function(fc) {
		var li = document.createElement('li');
		li.setAttribute('data-group',fc);
		li.className ="mui-table-view-divider";
		li.innerText = fc;
		g('cityList').appendChild(li);
	};
	var create = function (cityList) {
		var fChar = '';
		var fcharArr=[];
		$.each(cityList,function (i,city) {
			if(!city.cityCode || city.cityCode=='110000') return;
			var tChar = city.cityShort[0];
			if(tChar !== fChar){
				fChar = tChar.toUpperCase();
				fcharArr.push(fChar);
				creatGroup(tChar.toUpperCase());
			}
			creatLi(city);
		});
	};
	var getCityList = function () {
		appSvc.getNewCityList(typeId).then(function (data) {
			create(data);
			jel('#cityList li[data-value="'+city.cityCode+'"]').addClass('selected');
		}).catch(function (err) {
			console.error(err.message,err);
		});
	};
	
	jel('#cityList li[data-value="'+city.cityCode+'"]').addClass('selected');
	$('#offCanvasSideScroll').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
	});
	getCityList();
	
	mui.back = function(){
		$.currentWebview.hide('slide-out-right');
	};
	
	$.plusReady(function(){
		var opener = $.currentWebview.opener();
		opener.addEventListener('close',function(){
			$.currentWebview.close('none');
		},false);
		$('#cityList').on('tap','li[data-value]',function(){
			jel('#cityList li.selected').removeClass('selected');
			this.classList.add('selected');
			var opener = $.currentWebview.opener();
			var parentId = common.utils.queryString('parent');
			if(!opener && parentId){
				parentId = decodeURIComponent(parentId);
				opener = plus.webview.getWebviewById(parentId);
			} 
			$.fire(opener,'ChangeCity',{
				cityName:this.innerText,
				cityCode:this.dataset.value
			});
			$.currentWebview.hide('slide-out-right');
		});
	});


})(mui,app);