(function($,app){
	var main = {};
	mui.init();
	main.favorite = {
		type: 0,
		pagers:{},
		disabledPullUp: false,//是否下拉
		disableDown: true,
		loadInfo: {}, //是否加载
		getPagers: function(){
			var pager = main.favorite.pagers[main.favorite.type];
			if(!pager){
				var getpager = {
					page_num: 1,
					page_size: 20
				}
				main.favorite.pagers[main.favorite.type] = getpager;
			}
			return pager;
		},
		setPages: function(pager){
			var p = $.extend({},pager);
		    	main.favorite.pagers[''+main.favorite.type] = p;
		},
		listenSetting: {
			page_num: 1,
			page_size: 20
		},
		record: {},
		setRecord: function(num,size,type){
			var record = main.favorite.record[main.favorite.type];
			if(!record){
				var param = {
					pageNum: num,
					pageSize: size,
					type: type
				}
				main.favorite.record[main.favorite.type] = param;
			}
			return record;
		},
		// 初始化
		init: function(){
			var slide = $('#feed').slider();
			$('#pullRefresh .mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true,
				deceleration: mui.os.ios ? 0.003 : 0.0009
			});
			setTimeout(function(){
				main.favorite.creatPrintList(true); //首次加载列表-文章
			},1)
			setTimeout(function(){
				main.favorite.setPullToRefresh();
			},1)
			g('feed').addEventListener('slide',function(){
				main.favorite.initcheck();
				var feed = g('pullRefresh').children;
				var feedId = feed[event.detail.slideNumber].getAttribute('feed');
				if(feedId !== main.favorite.type){
					main.favorite.type = parseInt(feedId);
					g('feed' + main.favorite.type).querySelector('.noContent').classList.add('mui-hidden');
					var ulBox = g('feed' + main.favorite.type).querySelector('.favorite-list');
					if(ulBox.children.length <= 0){
						dynamicLoad(ulBox);
						main.favorite.pullDownRefresh();
					}
				}
			})
		},
		// 切换导航 选择框初始化
		initcheck: function(){
			var feedTap = g('pullRefresh').children,
				label = g('pullRefresh').querySelectorAll('li label'),
    				checkbox = g('pullRefresh').querySelectorAll('li input');
    			$.each(label, function() {
    				this.classList.add('all');
    			});
    			$.each(checkbox, function() {
    				this.checked = false;
    				this.setAttribute('disabled','disabled');
    				this.classList.add('mui-hidden');
    			});
    			$.each(feedTap, function() {
    				this.setAttribute('edit','0');
    			});
    			g('mui-edit').innerHTML = '编辑';
    			g('favorite_delete').classList.add('mui-hidden');
    			g('favorite_delete').querySelector('.mui-btn').classList.remove('check');
    			main.favorite.disableDown = true;
		},
		// 首次加载
		creatPrintList: function(first){
			if(first){
				g('feed' + main.favorite.type).querySelector('.noContent').classList.add('mui-hidden');
				var ulBox = g('feed' + main.favorite.type).querySelector('.favorite-list');
				dynamicLoad(ulBox);
				main.favorite.pullDownRefresh();
			}
			
		},
		// 渲染元素
		getHtmlList: function(val,collect){
			var play_video = '',all = '',able = '',checked = '';
			var collect_type = g('feed'+(collect-1)).getAttribute('edit'); //编辑状态
			if(collect_type == 0){
				// 不可编辑
				all = 'all';
				able = 'disabled';
				checked = 'mui-hidden';
			}else {
				// 可编辑
				all = '';
				able = '';
				checked = '';
			}
			if(collect == 1){
				// 文章
				if(val.type == 2){
					play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
				}else{
					play_video = '';
				}
			}else if(collect == 2){
				// 悦头条
				if(val.type == 1){
					play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
				}else{
					play_video = '';
				}
			}else{
				play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
			}
			var $_li = document.createElement('li');
			$_li.className = 'mui-table-view-cell';
			$_li.innerHTML = '<div class="mui-input-row mui-checkbox mui-left" urlType="' + val.type + '" status="' + val.status + '" data-id="' + val.id + '">' +
		            			'<label class="' + all + '">' +
		            				'<a class="mui-slider-handle to_article">' +
			            				'<span class="doc-data mui-hidden" type="1" videoUrl="" authorName="12333呼和浩特" authorHeadPath="http://192.168.1.223:8082/upload/icon/liaoning.png"></span>' +
			            				'<div class="doc-thumbs mui-media-object mui-pull-left">' +
			            					'<div style="background:url(' + val.image + ') no-repeat 50% 50%;background-size:cover;"><img src="' + val.image + '" style="opacity:0"/>' + play_video + '</div>' +
			            				'</div>' +
			            				'<div class="mui-media-body">' +
			            					'<div class="doc-title mui-h4 mui-ellipsis">' + val.title + '</div>' +
			            				'</div>' +
		            				'</a>' +
		            			'</label>' +
							'<input name="checkbox" value="Item 1" type="checkbox" ' + able + ' class="' + checked + '">' +
						'</div>';
			return $_li;
		},
		// 创建片段
		creatFragment: function(data,collectType){
			var fragment = document.createDocumentFragment();
			var collect = collectType;
			$.each(data, function(index,val) {
				var $_li = main.favorite.getHtmlList(val,collect);
				fragment.appendChild($_li);
			});
			return fragment;
		},
		// 下拉刷新
		pullDownRefresh: function(pullSel){
			var tips = document.querySelector('.mui-pull-top-tips');
			if(!main.favorite.disableDown){
				document.querySelector('.mui-pull-top-tips').style.display = 'none';
				pullSel.endPullDownToRefresh();
				return false;
			}else {
				if(tips){
					tips.style.display = 'block';
				}
			}
//			main.favorite.initcheck();
			var ul = g('feed' + main.favorite.type).querySelector('.favorite-list');
			var Lazyload = $('#feed' + main.favorite.type).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			if(!main.favorite.loadInfo[main.favorite.type]){
				main.favorite.loadInfo[main.favorite.type] = false;
			}
			// 参数
			var pager = main.favorite.getPagers();
			var page_num = main.favorite.pagers[main.favorite.type].page_num,
				page_size = main.favorite.pagers[main.favorite.type].page_size;
			var record  = main.favorite.setRecord(page_num,page_size,main.favorite.type+1);
			var page = main.favorite.record[main.favorite.type].pageNum,
				size = main.favorite.record[main.favorite.type].pageSize,
				collectType = main.favorite.record[main.favorite.type].type;
			newsSvc.getNewFavoriteList(size,page,collectType).then(function(data){
				if(data.list && data.list.length > 0){
					g('feed'+main.favorite.type).querySelector('.noContent').classList.add('mui-hidden');
					var node = ul.children[0];
					var htmlCon = main.favorite.creatFragment(data.list,collectType);
					ul.insertBefore(htmlCon,node);
					while(ul.childElementCount > data.list.length){
						ul.lastElementChild.remove();
					}
					Lazyload.refresh(true);
				}else{
					if(ul.children.length <= 1){
						while(ul.childElementCount > 0){
							ul.lastElementChild.remove();
						}
						g('feed' + main.favorite.type).querySelector('.noContent').classList.remove('mui-hidden');
					}

				}
				var length = ul.childElementCount;
				if(data.pagination.totalItems >= data.pagination.pageSize){
					g('feed'+main.favorite.type).querySelector('.mui-pull-bottom-tips').style.display = 'block';
				}else{
					g('feed'+main.favorite.type).querySelector('.mui-pull-bottom-tips').style.display = 'none';
					if(!main.favorite.loadInfo[main.favorite.type]){
						main.favorite.loadInfo[main.favorite.type] = true;
					}
				}
				if(pullSel) pullSel.endPullDownToRefresh();
				if(pullSel) pullSel.endPullUpToRefresh(data.pagination.totalItems < data.pagination.pageSize);
				if(pullSel) pullSel.refresh(true);
			}).catch(function(err){
				if(pullSel) pullSel.endPullDownToRefresh();
				if(err.code=='0'){
					ul.innerHTML = '<li class="not-network"><span>点击页面 重新加载</span></li>';
				}else{
					$.toast(err.message);
				}
				console.error(err.message,err);
			})
		},
		// 上拉刷新
		pullUpRefresh: function(pullSel){
			var ul = g('feed' + main.favorite.type).querySelector('.favorite-list');
			var Lazyload = $('#feed' + main.favorite.type).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			if(!!main.favorite.loadInfo[main.favorite.type]){
				pullSel.endPullUpToRefresh(false);
				return false;
			}
			var page = main.favorite.record[main.favorite.type].pageNum + 1,
				size = main.favorite.record[main.favorite.type].pageSize,
				collectType = main.favorite.record[main.favorite.type].type;
			newsSvc.getNewFavoriteList(size,page,collectType).then(function(data){
				if(data.list && data.list.length > 0){
					var htmlCon = main.favorite.creatFragment(data.list,collectType);
					ul.appendChild(htmlCon);
					lazyload.refresh(true);
					main.favorite.listenSetting.page_num = data.pagination.pageNum;
	       			main.favorite.listenSetting.totalItems = data.pagination.totalItems;
	       			main.favorite.setPages(main.favorite.listenSetting);
				}
				if(main.favorite.listSetting.totalItems<=main.newsFun.listSetting.page_size){
			    		g('feed'+main.favorite.type).querySelector('.mui-pull-bottom-tips').style.display='none';
			    		main.favorite.disabledPullUp = true;
			    	}else if(!main.favorite.disabledPullUp){
			    		g('feed'+main.favorite.type).querySelector('.mui-pull-bottom-tips').style.display='block';
			    	}
				if(pullSel) pullSel.endPullUpToRefresh(data.pagination.totalItems < data.pagination.pageSize)
			}).catch(function(err){
				if(pullSel) pullSel.endPullUpToRefresh(true);
			})
		},
		// 滑动
		setPullToRefresh: function(){
			// 循环初始化所有上拉刷新下拉加载
			$.each(document.querySelectorAll('#pullRefresh .mui-scroll'), function(index,pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					down: {
						auto: true,
						callback: function(){
							var self = this;
							setTimeout(function() {
								// 下拉
								main.favorite.pullDownRefresh(self);
							}, 100);
							
						}
					},
					up: {
						callback: function(){
							var self = this;
							setTimeout(function() {
								// 下拉
								main.favorite.pullUpRefresh(self);
							}, 100);
						}
					}
				})
			});
		}
		
	}
	$.ready(function(){
		var feedTop = imbar.navBarHeight - imbar.statusbarHeight,
			pullTop = g('feedTab').offsetHeight;
		g('feed').style.top = imbar.navBarHeight + 'px';
		g('pullRefresh').style.top = pullTop + 'px';
		setTimeout(function(){
			main.favorite.init();
		},10)
	})
	
	// 重新加载
	$('#pullRefresh').on('tap','.not-network',function(){
	    	main.favorite.pullDownRefresh();
    	});
    	
    	// 批量编辑
    	$('#header').on('tap','#mui-edit',function(){
    		var slide =  $('#feed').slider().slideNumber;
    		var edit = g('feed'+slide).getAttribute('edit');
    		var self = this,
    			label = g('feed'+slide).querySelectorAll('li label'),
    			checkbox = g('feed'+slide).querySelectorAll('li input');
    		if(checkbox.length <= 0){
    			return false;
    		}
    		if(edit == 0){
    			// 可编辑
    			g('feed'+slide).setAttribute('edit','1');
    			self.innerHTML = '完成';
    			$.each(label, function() {
    				this.classList.remove('all')
    			});
    			$.each(checkbox, function() {
    				this.classList.remove('mui-hidden');
    				this.removeAttribute('disabled');
    			});
    			g('favorite_delete').classList.remove('mui-hidden');
    			main.favorite.disableDown = false;
    		}else{
    			// 不可编辑
    			g('feed'+slide).setAttribute('edit','0');
    			self.innerHTML = '编辑';
    			$.each(label, function() {
    				this.classList.add('all')
    			});
    			$.each(checkbox, function() {
    				this.classList.add('mui-hidden');
    				this.setAttribute('disabled','disabled');
    				this.checked = false;
    			});
			g('favorite_delete').classList.add('mui-hidden');
			g('favorite_delete').querySelector('.mui-btn').classList.remove('check');
			main.favorite.disableDown = true;
    		}
    	})
    	
    	//检测input值
    $('.mui-slider-group').on('change', 'input[type=checkbox]', function() {
		var slide =  $('#feed').slider().slideNumber;
		var checkbox = g('feed'+slide).querySelectorAll('li input[type=checkbox]');
		var num = 0;
		$.each(checkbox, function(idx,val) {
			var check = this.checked,
				deleteId = this.parentNode.getAttribute('data-id');
			if(check){
				num++;
			}
		});
		if(num > 0){
			g('favorite_delete').querySelector('.mui-btn').classList.add('check');
		}else{
			g('favorite_delete').querySelector('.mui-btn').classList.remove('check');
		}
	});
	
	// 删除收藏
	$('#favorite_delete').on('tap','.mui-btn',function(){
		var slide = $('#feed').slider().slideNumber;
		var checkbox = g('feed'+slide).querySelectorAll('li input[type=checkbox]');
		var delId = [];
		var btnArray = ['确认', '取消'];
		$.each(checkbox, function(idx,val) {
			var check = this.checked,
				deleteId = parseInt(this.parentNode.getAttribute('data-id'));
			if(check){
				delId.push(deleteId);
			}
		});
		if(delId.length <= 0){
			return false;
		}
		$.confirm('确认删除收藏记录吗？','',btnArray,function(e){
			if(e.index == 0){
				main.favorite.initcheck();//初始化
				newsSvc.favoriteDelete(delId,slide+1).then(function(data){
					$.each(checkbox, function(idx,val) {
						var self = this,
							li = self.parentNode.parentNode,
							checkNum = parseInt(self.parentNode.getAttribute('data-id'));
						$.each(delId,function(idx,value){
							if(value == checkNum){
								li.parentNode.removeChild(li);
								return false;
							}
						})
						self.checked = false;
					});
					var ul = g('feed'+slide).querySelector('ul');
					if(ul.childElementCount > 0){
						if(ul.childElementCount < 10){
							g('feed'+slide).querySelector('.mui-pull-bottom-tips').style.display = 'none';
						}
					}else{
						main.favorite.pullDownRefresh(); //下拉请求
					}
					$.toast('删除成功');
				}).catch(function(err){
					$.toast(err.message);
					$.toast('删除失败');
				})
			}else{
				// 取消
				main.favorite.initcheck();
			}
		})
		
	})
	
	// 跳转详情
	$('#pullRefresh').on('tap','.favorite-list li',function(){
		var slide = $('#feed').slider().slideNumber;
		var info = this.querySelector('.mui-input-row');
		var eidt = g('feed'+slide).getAttribute('edit');
		var collectType = $('#feed').slider().slideNumber;
		var id = info.getAttribute('data-id'),// 文章详情id
			status = parseInt(info.getAttribute('status')),// 发布状态
			urltype = info.getAttribute('urltype');// 文章详情类型
		// 删除时不能进入详情
		if(eidt == 0){
			if(status !== 2){
				$.toast('该内容已删除，无法查看哦！');
			}else{
				switch (collectType){
					case 0:
						// 文章
						if(urltype == 2) {
							$.openWindow({
								url: 'article-video.html?aid=' + id
							});
						} else {
							$.openWindow({
								url: 'article.html?aid=' + id
							});
						}
						break;
					case 1:
						// 悦头条
						if(urltype == 1) {
							$.openWindow({
								url: 'minfo/minfo-video.html?mId=' + id
							});
						} else {
							$.openWindow({
								url: 'minfo/minfo.html?mId=' + id
							});
						}
						break;
					case 2:
						$.openWindow({url: 'visualFrequency.html?visualId=' + id})
						break;
				}
			}
		}
		
			
	})
	
	// loading
	function dynamicLoad(ulBox){
		var loading = document.createElement('li');
		loading.className = 'loading';
		loading.innerHTML = '<img src="../images/loading.svg">';
		ulBox.appendChild(loading);
	}

})(mui,app)
