(function($, app, myStorage) {
	var main = {};
	var selectParams = {}; // 经纬度
	mui.init();
	//方法
	main.footFun = {
		type: 0, //元素类型 初始化
		refresh: {},
		getinfo: function() {
			var bol = main.footFun.refresh['' + main.footFun.type];
			if(!bol) {
				bol = {
					info: true
				}
				main.footFun.refresh['' + main.footFun.type] = bol;
			}
			return bol;
		},
		pagers: {}, //记录不同slider分页
		getPager: function() {
			var pager = main.footFun.pagers['' + main.footFun.type];
			if(!pager) {
				pager = {
					pageNum: 1,
					pageSize: 10
				};
				main.footFun.pagers['' + main.footFun.type] = pager;
			}
			return pager;
		},
		setPager: function(pager) {
			var p = $.extend({}, pager);
			main.footFun.pagers['' + main.footFun.type] = p;
		},
		setRecord: function(page_num) {
			var record = {
				pageNum: page_num ? page_num : 1,
				pageSize: 10,
				type: parseInt(main.footFun.type + 1),
				lon: selectParams.lon,
				lat: selectParams.lat
			}
			return record;
		},
		// 初始化
		initNews: function() {
			var type = $('#feed').slider().slideNumber;
			var page = main.footFun.getPager();
			var record = {
				pageNum: page.pageNum,
				pageSize: page.pageSize,
				type: parseInt(type + 1)
			}
			$('#pullRefresh .mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true,
				deceleration: mui.os.ios ? 0.003 : 0.0009
			});
			setTimeout(function(){
				main.footFun.creatPrintList(true, record); //首次加载列表-文章
			},1)
			setTimeout(function(){
				main.footFun.setPullToRefresh();
			},1)
			// 导航切换
			g('feed').addEventListener('slide', function(e) {
				var event = e;
				var feeds = g('pullRefresh').children;
				var feedId = feeds[event.detail.slideNumber].getAttribute('feed');
				var load = feeds[event.detail.slideNumber].getAttribute('load');
				if(feedId !== main.footFun.type && load == 0) {
					main.footFun.type = parseInt(feedId);
					var boxUl = document.querySelector('#feed' + feedId + ' .foot-list');
					if(boxUl.children.length <= 0) {
						g('feed' + main.footFun.type).querySelector('#noComment').classList.add('mui-hidden');
						var loading = document.createElement('li');
						loading.className = 'loading';
						loading.innerHTML = '<img src="../images/loading.svg">';
						boxUl.appendChild(loading);
						main.footFun.pulldownRefresh();
					}
				}else{
					main.footFun.type = parseInt(feedId);
				}
			}, false);
		},
		// 列表-下拉
		creatHeadList: function(data, ul, Lazyload, pullSel,index,main_type) {
			var list = data.recordList;
			var node = ul.children[0];
			if(list && list.length > 0) {
				g('feed' + main_type).querySelector('#noComment').classList.add('mui-hidden');
				var f_type = parseInt(main_type + 1);
				var html = main.footFun.getHtmlList(list,main_type,f_type);
				insertList(html, ul, node);
				while(ul.childElementCount > list.length) {
					ul.lastElementChild.remove();
				}
				g('feed' + main_type).querySelector('.mui-pull-bottom-tips').style.display = 'block';
				Lazyload.refresh(true);
			} else {
				while(ul.childElementCount > list.length) {
					ul.lastElementChild.remove();
				}
				g('feed' + main_type).querySelector('#noComment').classList.remove('mui-hidden');
				g('feed' + main_type).querySelector('.mui-pull-bottom-tips').style.display = 'none';
			}
			if(data.recordList.length < main.footFun.pagers[index].pageSize) {
				//不需要加载
				main.footFun.refresh[index].info = false;
				g('feed' + main_type).querySelector('.mui-pull-bottom-tips').style.display = 'none';
			}
			g('feed' + main_type).setAttribute('load','1');
		},
		// 列表-上拉
		creatlist: function(data, ul, Lazyload, pullSel, record) {
			var list = data.recordList;
			if(list && list.length > 0) {
				g('feed' + main.footFun.type).querySelector('#noComment').classList.add('mui-hidden');
				var f_type = parseInt(main.footFun.type + 1);
				var html = main.footFun.getHtmlList(list,main.footFun.type,f_type);
				appendList(html, ul);
				g('feed' + main.footFun.type).querySelector('.mui-pull-bottom-tips').style.display = 'block';
			} else {
				// 是否是首页
				if(record.pageNum == 1) {
					g('feed' + main.footFun.type).querySelector('#noComment').classList.remove('mui-hidden');
					g('feed' + main.footFun.type).querySelector('.mui-pull-bottom-tips').style.display = 'none';
				} else {
					g('feed' + main.footFun.type).querySelector('#noComment').classList.add('mui-hidden');
					g('feed' + main.footFun.type).querySelector('.mui-pull-bottom-tips').style.display = 'block';
				}
			}
		},
		// 创建列表
		creatPrintList: function(first, record) {
			if(first) {
				var boxUl = document.querySelector('#feed' + main.footFun.type + ' .foot-list');
				if(boxUl.children.length === 0) {
					var loading = document.createElement('li');
					loading.className = 'loading';
					loading.innerHTML = '<img src="../images/loading.svg">';
					boxUl.appendChild(loading);
					main.footFun.pulldownRefresh();
				}
				return false;
			}
		},
		// 渲染列表
		getHtmlList: function(list,nav_type,f_type){
			var htmlCon = [];
			if(nav_type == 7){
				// 投票
				for(var i in list) {
					htmlCon = htmlCon.concat([
						'<li nav_type="' + f_type + '" aid="' + list[i].id + '" class="mui-table-view-cell mui-media">' +
							'<a href="javascript:;">' +
								'<div class="mui-pull-left mui-media-object" style="background:url('+list[i].image+') no-repeat 50% 50%;background-size:cover;"></div>' +
								'<div class="mui-media-body">' +
									'<p class="mui-ellipsis">' + list[i].title + '</p>' +
									'<div class="vote-info">' +
										'<div class="vote-left vote-cont">' + list[i].rightContent + '</div>' +
										'<div class="vote-compare"><img src="../images/vote-compare.png"/></div>' +
										'<div class="vote-right vote-cont">' + list[i].opposContent + '</div>' +
									'</div>' +
								'</div>' +
							'</a>' +
						'</li>'
					]);
				}
			}else {
				for(var i in list) {
					var default_img = '', //列表图片-默认
						lower_self = 'mui-hidden',
						price_info = '', // 价格，月份
						lower_text = '', // 下架，无效
						list_title = '', // 列表标题
						play_video = '';
					var item = {
						id: '',
						type: '',
						distance: '', // 店铺距离
						storeId: '', // 店铺id
						storeName: '', // 店铺名称
						nav_type: nav_type, // 导航类型
						isLower:0, // 是否下架 0-下架  1-在线
						level: 0 // 具体的分类
					}
					// 导航类型
					switch(f_type) {
						case 1:
						case 6:
						case 7:
							//文章、店铺、小视频
							price_info = '';
							break;
						case 5:
							// 保险
							// 价格
							price_info = '<p class="list-info"><span class="new_price">' + list[i].pAmount + ' 元起/月</span></p>';
							break;
						case 4:
							// 社保
							//服务费/月份
							price_info = '<p class="list-info"><span class="new_price">' + list[i].pAmount + '+' + list[i].pServiceFee + list[i].pUnit + '</span></p>';
							break;
						case 2:
							// 悦头条
							price_info = '';
							break;
						case 3:
							//医疗
							price_info = '<p class="list-info"><span class="new_price">' + list[i].salesPrice + '元' + '</span><span class="old_price">门市价' + list[i].originalPrice + '元</span></p>';
							break;
					}
					// 文章/标题  状态 1-在线 0-下架
					switch(f_type) {
						case 1:
						case 2:
						case 7:
							// 文章/悦头条/小视频
							default_img = list[i].image ? list[i].image : default_img;
							list_title = list[i].title ? list[i].title : '暂无';
							item.id = list[i].id;
							item.type = list[i].type;
							if(list[i].status == 1){
								lower_self = 'mui-hidden';
								lower_text = '';
								item.isLower = 1;
							}else{
								lower_self = '';
								lower_text = '已下架';
								item.isLower = 0;
							}
							break;
						case 5:
							// 保险
							default_img = list[i].pImg ? list[i].pImg : '../images/baoxian/placeholder.jpg';
							list_title = list[i].pName ? list[i].pName : '暂无';
							if(list[i].pStatus == 1) {
								lower_self = 'mui-hidden';
								lower_text = '';
								item.isLower = 1;
							} else {
								lower_self = '';
								lower_text = '已下架';
								item.isLower = 0;
							}
							item.id = list[i].id;
							break;
						case 4:
							// 社保
							default_img = list[i].pImg ? list[i].pImg : '../images/advice/repair.jpg';
							list_title = list[i].pName ? list[i].pName : '暂无';
							item.id = list[i].id;
							if(list[i].pStatus == 1) {
								lower_self = 'mui-hidden';
								lower_text = '';
								item.isLower = 1;
							} else {
								lower_self = '';
								lower_text = '已下架';
								item.isLower = 0;
							}
							break;
						case 6:
							// 店铺
							default_img = (list[i].imageUrls && list[i].imageUrls.length > 0) ? list[i].imageUrls[0].imageUrl : default_img;
							list_title = list[i].storeName ? list[i].storeName : '暂无';
							item.id = list[i].storeId;
							item.distance = list[i].distance;
							item.level = list[i].level2;
							if(list[i].storeStatus == 1) {
								lower_self = 'mui-hidden';
								lower_text = '';
								item.isLower = 1;
							} else {
								lower_self = '';
								lower_text = '已下架';
								item.isLower = 0;
							}
							break;
						case 3:
							// 医疗
							default_img = list[i].thumbnail ? list[i].thumbnail : default_img;
							list_title = list[i].productName ? list[i].productName : '暂无';
							item.level = list[i].level2;
							item.id = list[i].productId;
							item.storeId = (list[i].storeData && list[i].storeData.length > 0) ? list[i].storeData[0].storeId : '';
							item.storeName = (list[i].storeData && list[i].storeData.length > 0) ? list[i].storeData[0].storeName : '';
							item.distance = (list[i].storeData && list[i].storeData.length > 0) ? list[i].storeData[0].distance : '';
							if(list[i].productStatus == 1) {
								lower_self = 'mui-hidden';
								lower_text = '';
								item.isLower = 1;
							} else {
								lower_self = '';
								lower_text = '已下架';
								item.isLower = 0;
							}
							break;
					}
					if(f_type == 1){
						// 文章
						if(list[i].type == 2){
							play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
						}else{
							play_video = '';
						}
					}else if(f_type == 2){
						// 悦头条
						if(list[i].type == 1){
							play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
						}else{
							play_video = '';
						}
					}else if(f_type == 7){
						play_video = '<div class="play_icon"><div class="float-btn fa fa-play"></div></div>';
					}
					htmlCon = htmlCon.concat(['<li nav_type="' + f_type + '" level="' + item.level + '" isLower="' + item.isLower + '" storeId="' + item.storeId + '" storeName="' + item.storeName + '" aid="' + item.id + '" atype="' + item.type + '" distance="' + item.distance + '" class="mui-table-view-cell mui-media">' +
						'<a href="javascript:;">' +
						(default_img ? '<div class="mui-pull-left mui-media-object" style="background:url(' + default_img + ') no-repeat 50% 50%;background-size:cover;">' + play_video + 
	//					'<img src="' + default_img + '" />' +
	//					'<span class="lower-self ' + lower_self + '">' + lower_text + '</span>' +
						'</div>' : '') +
						'<div class="mui-media-body">' +
						'<p class="mui-ellipsis">' + list_title + '</p>' +
						price_info + '</div>' +
						'</a>' +
						'</li>'
					]);
				}
			}
			
			return htmlCon;
		},
		pulldownRefresh: function(pullSel) {
			var ul = g('feed' + main.footFun.type).querySelector('.foot-list');
			g('feed' + main.footFun.type).querySelector('.foot-list').setAttribute('mainType',main.footFun.type);
			// 下拉刷新
			var Lazyload = $('#feed' + main.footFun.type).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			var record = main.footFun.setRecord();
			var index = parseInt(record.type - 1);
			var pagers = main.footFun.getPager();
			var refresh = main.footFun.getinfo();
			var main_type = parseInt(g('feed' + main.footFun.type).querySelector('.foot-list').getAttribute('mainType'));
			// 初始化
			if(!!main.footFun.pagers[index]) {
				main.footFun.pagers[index].pageNum = 1;
			}
			if(!!main.footFun.refresh[index]) {
				main.footFun.refresh[index].info = true;
			}
			// 调取接口
			userSvc.getMyRecords(record,main.footFun.type).then(function(data) {
				main.footFun.creatHeadList(data, ul, Lazyload, pullSel,index,main_type);
				if(pullSel) pullSel.endPullDownToRefresh();
				if(pullSel) pullSel.endPullUpToRefresh(!main.footFun.refresh[index].info);
				if(pullSel) pullSel.refresh(true);
			}).catch(function(err) {
				if(pullSel) pullSel.endPullDownToRefresh(true);
				if(err.code == '0') {
					ul.innerHTML = '<li class="not-network"><span>点击页面 重新加载</span></li>';
				} else {
					while(ul.childElementCount > 0) {
						ul.lastElementChild.remove();
					}
					$.toast(err.message);
				}
				console.error(err.message, err);
			})
		},
		pullupRefresh: function(pullSel) {
			// 上拉
			var Lazyload = $('#feed' + main.footFun.type).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			var idx = main.footFun.type;
			var num = main.footFun.pagers[idx].pageNum + 1;
			var record = main.footFun.setRecord(num);
			var ul = g('feed' + main.footFun.type).querySelector('.foot-list');
			if(!main.footFun.refresh[idx].info) {
				// 不需要加载
				if(pullSel){
					pullSel.endPullUpToRefresh(!main.footFun.refresh[idx].info);
				}
				return false;
			}
			// 调取接口
			userSvc.getMyRecords(record).then(function(data) {
				if(data.recordList.length > 0){
					main.footFun.creatlist(data, ul, Lazyload, pullSel, record);
					Lazyload.refresh(true);
					main.footFun.pagers[idx].pageNum++;
				}
				if(data.recordList.length < main.footFun.pagers[idx].pageSize) {
					var getinfo = main.footFun.getinfo();
					// 不需要加载
					main.footFun.refresh[idx].info = false;
					if(pullSel) pullSel.endPullUpToRefresh(!main.footFun.refresh[idx].info); //上拉加载结束
				} else {
					g('feed' + main.footFun.type).querySelector('.mui-pull-bottom-tips').style.display = 'block';
				}
				if(pullSel){
					pullSel.endPullUpToRefresh(!main.footFun.refresh[idx].info);
				}
			}).catch(function(err) {
				if(pullSel) pullSel.endPullUpToRefresh(true);
				console.log(err);
				while(ul.childElementCount > list.length) {
					ul.lastElementChild.remove();
				}
				$.toast(err.message);
				console.error(err.message, err);
			})
		},
		// 刷新
		setPullToRefresh: function() {
			$.each(document.querySelectorAll('#pullRefresh .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					down: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								// 下拉
								main.footFun.pulldownRefresh(self);
							}, 100);
						}
					},
					up: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								// 上拉
								main.footFun.pullupRefresh(self);
							}, 100);
						}
					}
				});
			});

		},
	}
	
	$.plusReady(function() {
		var feedTop = parseInt(document.querySelector('#feedTab').offsetHeight),
			navTop = parseInt(document.querySelector('.mui-bar-nav').offsetHeight);
		document.querySelector('#feedTab').style.top = navTop + 'px';
		document.querySelector('#pullRefresh').style.top = (feedTop + navTop - 44) + 'px';
		setTimeout(function(){
			main.footFun.initNews();
		},1)
	})
	
	// 列表点击事件
	$('#pullRefresh').on('tap', '.foot-list li', function(e) {
		var aid = this.getAttribute('aid'),
			atype = this.getAttribute('atype'), // 文章、视频 类型
			distance = this.getAttribute('distance'), // 距离
			nav_type = parseInt(this.getAttribute('nav_type')),
			storeId = parseInt(this.getAttribute('storeId')), // 店铺ID
			storeName = this.getAttribute('storeName'), // 店铺名称
			isLower = this.getAttribute('isLower'), // 是否下架
			level2 = this.getAttribute('level'); // 获取级别
		if(isLower == 0){
			// 下架
			if(nav_type == 1 || nav_type == 2 || nav_type == 7){
				// 文章，悦头条，小视频
				$.toast('该内容已删除，无法查看哦！');
			}else {
				$.toast('该产品已下架，无法查看哦！');
			}
			return false;
		}else {
			switch(nav_type) {
				case 1:
					//文章
					if(atype == 0 || atype == 1 || atype == 3) {
						$.openWindow({
							url: 'article.html?aid=' + aid,
							id: 'article'
						});
					} else {
						$.openWindow({
							url: 'article-video.html?aid=' + aid,
							id: 'article-video'
						});
					}
					break;
				case 2:
					//悦头条
					if(atype == 0 || atype == 2 || atype == 4) {
						$.openWindow({
							url: 'minfo/minfo.html?mId=' + aid,
							id: 'minfo'
						});
					} else {
						$.openWindow({
							url: 'minfo/minfo-video.html?mId=' + aid,
							id: 'minfo-video'
						});
					}
					break;
				case 3:
					//医疗产品
					var url = "o2o/pro_detail.html?proId=" + aid + "&storeId=" + storeId + "&distance=" + distance + "&storeName=" + storeName + "&level2=" + level2;
					$.openWindow({
						url: url,
						id: 'pro_detail'
					});
					break;
				case 4:
					//社保产品
					var _url = "agent-info.html?pid=" + aid;
					$.openWindow({
						url: _url,
						id: "agent-info",
						styles: {
							scrollIndicator: 'none'
						}
					});
					break;
				case 5:
					//保险产品
					bizSvc.getBizzParas(aid).then(function(data) {
						if(data && data.visitUrl) {
							url = data.visitUrl;
						}
						//支持小程序链接
						app.openMultiURL(url);
					}).catch(function(err) {
						console.error(err.message, err);
					});
					break;
				case 6:
					//店铺 体检跳转到原页面
					if(level2 == 4 || level2 == 5 || level2 == 60){
						$.openWindow("o2o/hospital.html?storeId=" + aid + "&dis=" + distance + "&level2=" + level2);
					}else if(level2 == 12 || level2 == 13 || level2 == 14 || level2 == 15){
						$.openWindow("o2o/service_location.html?storeId=" + aid + "&dis=" + distance + "&level2=" + level2);
					}else{
						$.openWindow("o2o/tijian_store.html?storeId=" + aid + "&dis=" + distance + "&level2=" + level2);
					}
					break;
				case 7:
					//小视频
					$.openWindow("visualFrequency.html?visualId="+aid);
					break;
				case 8:
					//投票
					$.openWindow("subscriber-vote.html?id="+aid);
					break;
			}
		}
		
	})
	
 	$('#pullRefresh').on('tap','.not-network',function(){
	    	main.footFun.pulldownRefresh()
    	});

	// 获取经纬度
	function initData(coords) {
		var cur_city = app.getCity();
		var cityCode = cur_city.cityCode;
		if(coords) {
			selectParams.lat = coords.latitude;
			selectParams.lon = coords.longitude;
		}
		selectParams.cityCode = cur_city.cityCode;
	};
	geo.getPoint(initData);
	
	// 尾部插入列表
	function appendList(elString, parent) {
		var len = elString.length;
		for(var i = 0; i < len; i++) {
			var div = document.createElement("div");
			div.innerHTML = elString[i];
			parent.appendChild(div.firstChild);
		}
	}

	// 头部插入列表
	function insertList(elString, parent, fnode) {
		var len = elString.length;
		for(var i = 0; i < len; i++) {
			var div = document.createElement("div");
			div.innerHTML = elString[i];
			parent.insertBefore(div.firstChild, fnode);
		}
	}
})(mui, app, myStorage);