(function($,myStorage,jscope,doc,gjjSvc) {
	window.main = window.main||{};
	var scroller = null;
	var obj = {
		user : null,
		funInfo : {},
		fundAcctId : 0,
		fundExpAId : 0
	};
	var appName;
	$.init({
		swipeBack:true
	});
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight,
			navBarH = g('navbar').offsetHeight,
			footerH = g('footer').offsetHeight,
			funsH = g('funsH').offsetHeight || 100,
			nbtnsH = g('nbtns').offsetHeight || 60;
			g('navbar').style.boxSizing = 'border-box';
			g('homeScroll').style.top = (imbar.navBarHeight - 1) +'px';
			g('homeScroll').style.height = (windowH - imbar.navBarHeight - footerH + 40) +'px';
			g('sub-scroll').style.top = '-40px';
			g('sub-scroll').style.height = (windowH-navBarH-footerH-funsH + 50)+'px';
	}
	initFeed();
	
	scroller = $('#homeScroll').jscroll({
		scrollX: false,
		indicators: false,
		bounce:false,
		child:{
			//fixBox:'#sub-scroll',
			//fixBar:'#feedTab',
			scBox:'#sub-scroll',
			scrolls:'#tScroll.mui-scroll-wrapper',
			active:'#tScroll.mui-scroll-wrapper'
		}
	});
	//公积金账户说明scroll
	$('#tipBox .mui-scroll-wrapper').scroll({ 
		bounce: false,
		indicators: false
	});
	
 	var showAniText = function(elId,text,callback){
		var wh = document.body.clientHeight;
		var ww = document.body.clientWidth;
		var txt =document.createElement('div');
		txt.id = 'ani_'+elId;
		txt.className=text>0?"ani-txt up":"ani-txt down";
		txt.style.fontSize = '60px';
	    txt.style.top = (wh/2-20)+"px";
	    txt.style.left = (ww/2-92)+"px";
	    document.body.appendChild(txt);
		 
	    var el = document.getElementById(elId);
	    txt.innerHTML= text>0?'+'+text.toFixed(2):text.toFixed(2);
	    txt.classList.add('ani-n');
	    txt.style.left = el.offsetLeft+"px";
	    txt.style.top = el.offsetTop+"px";
	    txt.style.fontSize = '24px';
	    txt.style.opacity = 0;
 		setTimeout(function(){
 			document.body.removeChild(txt);
 		},1600);
		callback();
	};	
	var showFlash = function(data){
		var balanceO =  parseFloat(obj.funInfo.balance||0),
			balanceN =  parseFloat(data.balance);
		if(balanceO===0){
			new CountUp("yue", 0, balanceN, 2, 2.5).start();
		}else if(balanceN!==balanceO){
			new CountUp("yue", balanceO, balanceN, 2, 2.5).start();
		}else{
			g('yue').innerText=data.balance||'0.00';
		}
	};

	var getNounsExplanation = function(payCity,callback){
		callback = callback || $.noop;
		shebaoSvc.getNounsExplanation(payCity).then(function(data){
			if(data.fund){
				g('tip').classList.remove('mui-hiden');
				obj.fundExpAId = data.fund;
				callback();
			}else{
				g('tip').classList.add('mui-hiden');
				obj.fundExpAId = 0;
				//$.toast('获取内容失败');
			}
		}).catch(function(err){
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var getFuncExplanation = function(payCity){
		shebaoSvc.getFuncExplanation(payCity).then(function(data){
			if(data[4]){
				g('functionBoxFourth').classList.remove('mui-hidden');
				g('functionBox4').innerHTML = data[4];
			}else{
				g('functionBoxFourth').classList.add('mui-hidden');
			}
			if(data[5]){
				g('functionBoxFifth').classList.remove('mui-hidden');
				g('functionBox5').innerHTML = data[5];
			}else{
				g('functionBoxFifth').classList.add('mui-hidden');
			}
		});
	};
	
	var setFundInfo = function(data){
		appName = data.name;
		getNounsExplanation(data.payCity);
		getFuncExplanation(data.payCity);
		showTools(data.payCity);
		g('perName').innerText = data.name;
		jscope.bind(g('infoSub'),data,'info');
		jscope.bind(g('payState'),data,'info');
		if(obj.fundAcctId==obj.funInfo.fundAcctId){
			showFlash(data);
		}else{
			g('yue').innerText=data.balance||'0.00';
			g('refreshTime').innerText=data.lastRefreshDate.split(" ")[0] ||'';
		}
		obj.funInfo = data;
	};
	var getFundInfo = function (fundId,update) {
		var data = myStorage.getItem('FunInfo_'+fundId);
		if(!update && data){
			setFundInfo(data);
		}else{
			gjjSvc.getFunInfo(fundId,update).then(function (data) {	
				setFundInfo(data);
			}).catch(function(err){
				if(err.code>'9999') $.toast(err.message);
				console.error(err.message,err);
			});
		}
	};
	var getFunAcctDetails = function (fundId) {
		gjjSvc.getFunAcctDetails(fundId).then(function(data){
			var fundList = doc.getElementById('fundList');
			for(var i in data){
				for(var j in data[i].fundInfoList){
					var str = data[i].fundInfoList[j].date;
					str = str.substring(0,2)+'-'+str.substring(2);
					data[i].fundInfoList[j].date = str;
					data[i].fundInfoList[j].growth = data[i].fundInfoList[j].amount>0;
					data[i].fundInfoList[j].lose =  data[i].fundInfoList[j].amount<0;
				}
			}
			jscope.bindRepeat(fundList,{fundList:data});
		}).catch(function(err){
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var LoadData = function (fundId) {
		document.body.classList.remove('nobind');
        getFundInfo(fundId);
		getFunAcctDetails(fundId);
		console.log('load gjjinfo');
	};
	
	var getSafeCode = function (callback) {
		callback = callback || $.noop;
		gjjSvc.getSafeCode(obj.funInfo.payCity).then(function (data) {
			if(data.statusMap && data.statusMap.status!=1){
				mui.alert(data.statusMap.message);
				return;
			}
			g('imgCode').setAttribute('src',data.saveCodePath);
			callback();
		}).catch(function (err) {
			g('imgCode').setAttribute('src','../images/yzm.gif');
			$.toast('连接公积金管理中心失败');
			console.error(err.message,err);
		});
	};
	var refresh = function () {
		obj.refresh=0;
		getSafeCode(function () {
            g('safeCode').value = '';
			$('#yzm').popover('toggle');
			g('safeCode').focus();
		});
	};
	var scrollEnd = function(e){
		var sliderTop = g('sub-scroll').offsetTop,
			actItem = qel('.mui-slider-item.mui-active .mui-collapse.mui-active');
		if(!actItem) return;
		if(sliderTop+actItem.nextElementSibling.offsetTop+e.detail.lastY<=60){
			var scrollTop = sliderTop+actItem.nextElementSibling.offsetTop;
			actItem.classList.remove('mui-active');
			scroller.scrollTo(0,0-scrollTop,0);
		}
	};
	//更新弹窗内的取消按钮
	g('openWind').addEventListener('tap',function(){
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
	},false);
	//更新中...按钮
	g('nbtns').children[1].addEventListener('tap',function(){
		g('processMask').style.display = 'block';
		g('progress').style.display = 'block';
	},false);
	
	//更新成功后数据处理
	var AccumulationFundDateSuccess = function (e) {
		var data = e.detail.success;
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
		localStorage.removeItem("gjjReadPage");
		progessBar.stopProgess(function(){
			var list = g('fundList'),
				el = list.children[0].cloneNode(true);
            list.innerHTML = '';
            list.appendChild(el);
			getFundInfo(obj.fundAcctId,true);
			getFunAcctDetails(obj.fundAcctId);
			
			app.fireEvent('main','showActivity',{
				posId:'activity_refresh_fund',
				triggerPoint:102,
				data:{
					fundAcctId:obj.fundAcctId,
					cityCode:obj.payCity,
					bodyCode:obj.bodyCode
				}
			});

			if(obj.fundAcctId===obj.user.fundAcctId){
                app.fireEvent('main','refreshHome');
                app.fireEvent('main','refreshJoy');
            }
		});
	}
	//更新失败
	var AccumulationFundDateErr = function (e){
		var err = e.detail.fail;
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
		localStorage.removeItem("gjjReadPage");
		progessBar.hideProgess();
		if(err.code=="90012"){
        		$.confirm("公积金账户密码错误，如果您已修改密码请重新绑定账户。现在重新绑定账户？",
    				"刷新公积金数据",['是','否'],function(event){
    				if ( 0===event.index ) {
					app.showGongJiJinAdd();
                }
    			});
        	}else if(err.code=="90008"){
        		$.alert(err.message);
        		return false;
        	}else if(err.message==='abort'){
        		$.alert('请求异常终止，请返回并重新进入查看');
        		return false;
        	}else if(err.code == 0){
			$.alert('网络连接已中断，请检查网络设置！');
			return false;
		}else{
			$.toast(err.message);
			return false;
		}
        	console.error(err.message,err);
	}
	//更新按钮中的确认更新按钮
	var refreshFund = function () {
		document.activeElement.blur();
		var code = g('safeCode').value.trim();
    	if(code.length==0){
    		g('safeCode').focus();
    		return $.toast("请输入图形验证码");
    	} 
		$('#yzm').popover('toggle');
		localStorage.setItem("gjjReadPage",false);
		g('refresh').classList.add('mui-hidden')	//隐藏更新按钮
		g('timeSpotBox').classList.remove('mui-hidden');	//显示更新中文案
		g('mongolia').classList.add('mui-hidden');
		//调取主页消息推送
		progessBar.startProgess();
		app.fireEvent('main','gongjijinInfoToUpdate',{code:code,fundAcctId:obj.fundAcctId,appName:appName,webViewObId:mui.currentWebview.id});
	};
	
	var exchange = function(){
		if(!app.checkLogin()){
			app.toLogin();
		}else{
			app.showGongJiJinAdd();
		}
	};
	var showTools = function(code){
  		var cityCodes = [
	  		"110000","130100","310000","330100","330200","350200",
	  		"370200","440100","440300","441900","500000","510100"
  		];
  		if(cityCodes.indexOf(code)>=0){
	  		var links = $('.funs .joy-fun');
	  		var urls=[ 
				//app._webUrl+'/app/fund/'+code+'/gjj-jiaocun.html?t=1517305077377',
		 		app._webUrl+'/app/fund/'+code+'/gjj-tiqu.html?t='+Date.now(), 
		 		app._webUrl+'/app/fund/'+code+'/gjj-daikuan.html?t='+Date.now()
	 		];
			for(var i=0,len=links.length;i<len;i++){
				links[i].setAttribute('jhref',urls[i]);
			}
  		}
  		joySvc.getInsList(code).then(function(data){
			$.each(data, function(i,mo) {
				var link = document.querySelector('.joy-fun[mcode="'+mo.modularId+'"]');
	 			if(link && mo.flag){
	 				var url = 'joymods/fund.html?mcode='+mo.modularId+'&fundid='+obj.fundAcctId+'&city='+code+'&t='+Date.now(); 
	 				link.setAttribute('jhref',url);
	 			}
	 		});
		});

	};
	
	var resetTipBox = function(){
		$('#fundCountent img').each(function(index,img){
			img.addEventListener('load',function(){
				var scrollbox = g('tipBox').querySelector('.mui-scroll');
				if(scrollbox.offsetHeight+56>document.body.offsetHeight*0.7){
					g('tipBox').classList.add('long');
				}
			},false);
		});
		g('tipBox').style.visibility='hidden';
		g('tipBox').style.display='block';
		var scrollbox = g('tipBox').querySelector('.mui-scroll');
		if(scrollbox.offsetHeight+56>document.body.offsetHeight*0.7){
			g('tipBox').classList.add('long');
		}
		g('tipBox').style.display='none';
		g('tipBox').style.visibility='visible';
	};

	var showTip = function(id){
		var aid = g('fundCountent').getAttribute('aid');
		if(aid!=obj.fundExpAId){
			g('tipBox').classList.remove('long');
			plus.nativeUI.showWaiting();
			getNounsExplanation(obj.funInfo.payCity,function(){
				newsSvc.documentContent(obj.fundExpAId).then(function(data){
					plus.nativeUI.closeWaiting();
					g('fundCountent').innerHTML = data.content;
					g('fundCountent').setAttribute("aid",obj.fundExpAId);
					resetTipBox();
					$('#tipBox').popover('show');
				}).catch(function(err){
					plus.nativeUI.closeWaiting();
					$.toast(err.message);
					console.error(err.message,err);
				});
			});
		}else {
			$('#tipBox').popover('show');
		}
	};
	var showlinks = function(){
		var appSwitchs = myStorage.getItem('appSwitch')||{};
		var keys = ['loan','creditCard'];
		for(var key in keys){
			if(appSwitchs[key]) $('.links')[0].classList[data[key]?'add':'remove']('small');
		}
	}


	//	点击明细内li月份明细计算滚动至位置
	$("#fundList").on("tap",'li.mui-collapse',function(){
		var theItem = this;
		var infoSubH = g('infoSub').clientHeight;
		var ulNode = theItem.parentNode.children;
		var sc = $('#tScroll').jscroll();
		var info = g('info').offsetHeight;
		var funsH = g('funsH').offsetHeight-10;
		var num = 1;
		scroller._toggleChild(true);
		for(var i = 1;i<ulNode.length;i++){
			if(theItem == ulNode[i]){
				num = i-1;
			}
		}
		var scrollTopVal = g('infoSub').classList.contains('mui-hidden')?60+(num*60):60+infoSubH+(num*60);
		setTimeout(function(){
			var tScroll = g('homeScroll'),
				sliderTop = g('sub-scroll').offsetTop,
				scrollHeight = tScroll.children[0].offsetHeight,
				paddingTop = tScroll.children[0].offsetTop,
				scrollMax = tScroll.offsetHeight - paddingTop - scrollHeight;
			if(scrollMax<0){
				if(theItem.classList.contains('mui-active')){
					scroller.scrollTo(0,Math.max(0-info+funsH,scrollMax),0);
					sc.scrollTo(0,-(scrollTopVal),0);
				}else{
					scroller.scrollTo(0,0-info+funsH,0);
					sc.scrollTo(0,0,0);
				}
			}else{
				scroller.scrollTo(0,0,0);
			}
		},100);
	});



	$("#list").on("tap",'li',function(){
		var li = this;
		var sc = $('#tScroll').scroll();
		setTimeout(function(){
			var tScroll = document.getElementById('tScroll');
			if(tScroll.children[0].offsetHeight>tScroll.offsetHeight){
				var slider = document.getElementById('slider');
				if(li.classList.contains('mui-active')){
					var ele=li,i=-1;
					while(ele = ele.previousElementSibling) i++; 
					sc.scrollTo(0,-(slider.offsetTop+(i*43)),0);
				}else{
					sc.scrollTo(0,0-slider.offsetTop,0);
				}
			}else{
				sc.scrollTo(0,0,0);
			}
		},100);
	});
	
	$("body").on('touchstart','.tap-bar',function(){
		this.classList.add('active');
	});
	$("body").on('touchend','.tap-bar',function(){
		this.classList.remove('active');
	});
	$("body").on('touchcancel','.tap-bar',function(){
		this.classList.remove('active');
	});
	$("body").on('touchend','.mui-backdrop-action',function(){
		document.activeElement.blur();
		//return false;
	});	 
	$(".funs").on("tap",'.joy-fun',function(){
		var url = this.getAttribute('jhref');
		if(url){
			$.openWindow(url);
		}else{
			$.alert('该城市暂无相关信息！','提示','确定',function(){},'div');
		}
	});
	
	g('detailsOfDeposit').addEventListener('tap',function(e){
		var sc = $('#tScroll').jscroll();
		var info = g('info').offsetHeight;
		var funsH = g('funsH').offsetHeight-10;
		if(this.classList.contains('mui-active')){
			g('infoSub').classList.add('mui-hidden');
		}else {
			g('infoSub').classList.remove('mui-hidden');
		}
		scroller.scrollTo(0,0-info+funsH,0);
		sc.scrollTo(0,0,0);
	},false);
	
	
	g('tip').addEventListener('tap',showTip,false);
    g('exchange').addEventListener('tap',exchange,false);
	g('sRefresh').addEventListener('tap',refreshFund,false);
	g('imgCode').addEventListener('touchend',function(e){
		getSafeCode(function(){
    		g('safeCode').value = '';
            g('safeCode').focus();
    	});
    	e.preventDefault();
    	e.stopPropagation();
	},false);
	g('refresh').addEventListener('tap',refresh,false);
//	g('refreshBtn2').addEventListener('tap',refresh,false);
	 	
	g('goShebao').addEventListener('tap',function(){
		 var user = app.getUser()||{};
		 if(user.userId){
		 	 if(user.securityAcctId){
		 	 	app.showSheBaoInfo(user.securityAcctId);
		 	 }else{
		 	 	app.showSheBaoAdd();
		 	 }
		 }else{
		 	app.toLogin();
		 }
	},false);
	g('goGjj').addEventListener('tap',function(){
		if(!app.checkLogin()){
			app.toLogin();
		}else{
			app.showGongJiJinAdd();
		}
	},false);
	
    window.addEventListener("show",function (event) {
	   if(!app.checkLogin()){
    			document.body.classList.add('nobind');
			setTimeout(function(){
				app.toLogin();
			},100);
		}else{
			var funId = event.detail.fundAcctId;
		    	if(funId && funId!==obj.fundAcctId){
		    		obj.fundAcctId = funId;
		        	LoadData(obj.fundAcctId);
	       	}
		    	console.log('show gjjinfo');
	    }
    }, false);
    window.addEventListener("refresh_data",function () {
	    	console.log('refresh gjjinfo');
	    	var user = app.getUser();
	    	if(user){
	    		var nw = plus.webview.currentWebview();
	    		obj.user = user;
	 		obj.fundAcctId = nw.fundAcctId || obj.user.fundAcctId;
	 		if(obj.fundAcctId){
	 			LoadData(obj.fundAcctId);
	 		}else{
	 			document.body.classList.add('nobind');
	 		}
	    	}
    }, false);
    
	document.addEventListener('netchange', function(e){
		var nt = plus.networkinfo.getCurrentType();
		if(progessBar.isShow && nt == plus.networkinfo.CONNECTION_NONE){
//			jel('#refresh').removeClass('spin');
			jel('.mui-bar-nav .mui-icon').removeClass('mui-hidden');
			progessBar.hideProgess();
			$.alert('网络连接已中断，请检查网络设置！');
		}
	},false);
	
	if(imbar.isImmersedStatusbar){
		var navbars = document.querySelectorAll('.mui-navbar-inner.mui-bar.mui-bar-nav');
		$.each(navbars,function(i,navbar){
			navbar.style.height = imbar.navBarHeight+"px";
			navbar.style.paddingTop=imbar.statusbarHeight+"px";
		});
		
//		var content = document.querySelector('#mainView .mui-pages');
//		content.style.top = imbar.navBarHeight+"px";
	}
//	//初始化单页view
//	var viewApi = $('#mainView').view({ defaultPage: '#info' });
//	var view = viewApi.view;
//	view.addEventListener('pageShow',function(e){
//		mui.currentWebview.setStyle({
//			popGesture:e.detail.page.id=='info'?'close':'none'
//		});
//	},false);
//	
//	//处理view的后退与webview后退
//	var oldBack = $.back;
//	$.back = function() {
//		if (viewApi.canBack()) {
//			viewApi.back();
//		} else {
//			oldBack();
//		}
//	};

	//初始化进度条弹窗init('追加位置元素'，'特殊样式','进度条图片路径','安全认证前icon颜色','登录/更新判断[true:登录;false:更新]')
	progessBar.init(document.body,'background:#FE4E50','../images/spinRed.png','color-red-center',false);
 	
 	showlinks();
 	
	if(!app.checkLogin()){
		document.body.classList.add('nobind');
		setTimeout(function(){
			app.toLogin();
		},100);
	}else{
		var fundAcctId = common.utils.queryString('id'),
			user = app.getUser(),
			loaded = false;
		obj.user = user;
		obj.fundAcctId = fundAcctId && !isNaN(fundAcctId) ? parseInt(fundAcctId):user.fundAcctId;		
		if(obj.fundAcctId){
			var gjjReadPage = localStorage.getItem("gjjReadPage");//获取
			var gjjInfoSecIdAry = JSON.parse(localStorage.getItem('gjjInfoSecId'));
			//判断是否更新完后[决定采用更新请求/非更新请求]
			if(gjjReadPage == 'true'){
				g('refresh').classList.remove('mui-hidden')	//显示更新按钮
				g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
				g('mongolia').classList.add('mui-hidden');
				getFundInfo(obj.fundAcctId,true);
				getFunAcctDetails(obj.fundAcctId);
				localStorage.removeItem("gjjReadPage");
			}else if(gjjReadPage == 'false'){
				if(gjjInfoSecIdAry.indexOf(parseInt(fundAcctId)) == -1){
					g('refresh').classList.remove('mui-hidden')	//隐藏更新按钮
					g('timeSpotBox').classList.add('mui-hidden');	//显示更新中文案
					g('mongolia').classList.add('mui-hidden');
				}else {
					g('refresh').classList.add('mui-hidden')	//隐藏更新按钮
					g('timeSpotBox').classList.remove('mui-hidden');	//显示更新中文案
					g('mongolia').classList.remove('mui-hidden');
				}
				LoadData(obj.fundAcctId);
				loaded = true;
			}else {
				LoadData(obj.fundAcctId);
				loaded = true;
			}
		}else{
			document.body.classList.add('nobind');
		}
		$.plusReady(function(){
			var nw = plus.webview.currentWebview();
			if(nw.showTab){
 				$('#sub-scroll').slider().gotoItem(nw.showTab-1,0);
 			}
	 		if(nw.refresh){
	 			setTimeout(function(){
	 				refresh();
	 			},500)
	 		} 
		});
	}
	//监听被存储的“gjjReadPage”的变化，是否更新完成
	window.addEventListener('storage',function (e) {//e只是一个传参
        //获取被修改的键值
        if (e.key == 'gjjReadPage') {
	    	g('refresh').classList.remove('mui-hidden')	//显示更新按钮
			g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
			g('mongolia').classList.add('mui-hidden');
			localStorage.removeItem("gjjReadPage");
			getFundInfo(obj.fundAcctId,true);
			getFunAcctDetails(obj.fundAcctId);
        }
    },false);
    
    //神策埋点
	function joyTrack(){
		//换卡
		jTrack.regEvents('#exchange','joyLinkClick','jtrack_name:公积金绑定,jtrack_page:/view/gjj-bind.html');
		//更新按钮
		jTrack.regEvents('#refresh','joyLinkClick','jtrack_name:公积金更新');
		//公积金账户解释 [公积金账户后面的问号]
		jTrack.regEvents('#tip','joyLinkClick','jtrack_name:公积金账户解释');
		//tab
		jTrack.regEvents('#funsH .fun','joyLinkClick','jtrack_name:this.innerText,jtrack_page:attr.jhref');
		//footer内按钮
		jTrack.regEvents('footer .btn','joyLinkClick','jtrack_name:this.innerText,jtrack_page:attr.jhref');
	}
	$.plusReady(function(){
		joyTrack();
	});
	document.addEventListener('AccumulationFundDateSuccess',AccumulationFundDateSuccess,false);
	document.addEventListener('AccumulationFundDateErr',AccumulationFundDateErr,false);
	window.gjjInfo = obj;
	
})(mui,myStorage,jscope,document,gjjSvc);

