(function ($) {
	$.init();
	$('.mui-scroll-wrapper').scroll();
	
	var gjjList = document.getElementById('gjjList');
//	var addBtn = document.getElementById('addGjj');
	var addBtn2 = document.getElementById('addSbk2');
	var options = document.getElementById('options');
	var unbind = document.getElementById('unbind');
	var optionsClear = document.getElementById('optionsClear');

	var removeId = 0;
	
	var getgjjList = function(data){
		var html = "";
		var item = "";
		for(var i in data){
			item = data[i];
			item.payCityName = geo.getCityNameByCode(item.payCity);
			var styleClass = item.isMainAccount?'fa-check-circle':'fa-circle-o';
			html += [ 
			'<li class="sbk',item.isMainAccount == 1?'':' second','">',
				'<div class="card-top" aid="',item.id,'">',
//					'<div class="sbk-icon mui-pull-left"><i class="jcon jcon-card"></i></div>',
					'<div class="sbk-user">',
						'<span class="pername">',item.name,'</span>',
						'<span class="mui-pull-right payCityName">',item.fundState||'--','</span>',
					'</div>',
					'<div class="sbk-code">',item.fundAccount,'</div>',
					'<div class="sbk-data mui-clearfix">',
						'<span class="sbkState">',item.payCityName,'公积金管理中心</span>',
						'<span class="mui-pull-right lastRefreshDate">',item.lastRefreshDate.substr(0,10),'</span>',
					'</div>',
				'</div>',
				'<div class="card-set mui-row">',
					'<div class="setDefaultBtn btn mui-col-xs-6" aid="',item.id,'" isMainAccount="',item.isMainAccount,'">',
						'<span class="fa ' + styleClass + ' setDefaultBtn"></span>', 
						item.isMainAccount?'默认卡片':'设为默认',
					'</div>',
					'<div class="removeBtn btn mui-col-xs-6" aid="',item.id,'">',
						'<span class="fa fa-trash-o"></span>删除',
					'</div>',
				'</div>',
			'</li>'].join('');
		}
		return html;
	}
	
	var getFundList = function () {
		if(!app.checkLogin()) return;
		gjjSvc.getFunList({}).then(function (data) {
			 var gjjList = document.getElementById('gjjList');
             gjjList.innerHTML = getgjjList(data)
             addBtn2.style.visibility="visible";
		}).catch(function (err) {
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	getFundList();
	$('.sbk-list').on('tap', '.setDefaultBtn', function(){
		var aid = parseInt(this.getAttribute('aid'));
		var isMainAccount = this.getAttribute('isMainAccount');
		if(isMainAccount == 1){
			$.toast("当前卡片已为默认");
		}else{
			setDefaultCard(aid);
		}
	},false);
	
	$('.sbk-list').on('tap', '.removeBtn', function(){
		$('#options').popover('show');
		g('options').style.top = '50%';
		g('options').style.left = '50%';
		removeId = parseInt(this.getAttribute('aid'));
	},false);
	//保留卡片
	g('saveCard').addEventListener('tap', function(){
		$('#options').popover('hide');
	},false);
	var removeCard = function (sfundAcctId) {
		gjjSvc.removeFundCard(sfundAcctId).then(function (data) {
            $.toast("解绑成功");
            var user = app.getUser();
         	user.fundAcctId = data;
        	app.setState('info',user);
            app.fireEvent('main','refreshFunNum');
            app.fireEvent('main','refreshHome');
            app.fireEvent('main','refreshJoy');
            app.fireEvent('gjj','refresh_data');
            $('#options').popover('hide');
       }).catch(function (err) {
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var setDefaultCard = function (sfundAcctId) {
		plus.nativeUI.showWaiting('正在保存设置...');
		gjjSvc.changeDefaultAccount(sfundAcctId).then(function (data) {
			plus.nativeUI.closeWaiting();
            $.toast("设置默认成功");
            var user = app.getUser();
         	user.fundAcctId = sfundAcctId;
        	app.setState('info',user);               	
            app.fireEvent('main','refreshHome');
            app.fireEvent('main','refreshJoy');
            app.fireEvent('gjj','refresh_data');
		}).catch(function (err) {
			plus.nativeUI.closeWaiting();
			$.toast(err.message);
			console.error(err.message,err);
		});
	};

	//因改版页面右上角添加社保卡功能去除，固屏蔽该功能
//	addBtn.addEventListener('tap',function(){ app.showGongJiJinAdd(); });
	addBtn2.addEventListener('tap',function(){ app.showGongJiJinAdd(); });
	
	unbind.addEventListener('tap',function(){
		removeCard(removeId);
	});
	
	optionsClear.addEventListener('tap',function(){
		$('#options').popover('hide');
	});
	
	
	$('.sbk-list').on('tap', '.card-top', function() {
		var fundId = parseInt(this.getAttribute('aid'));
		app.showGongJiJinInfo(fundId);
	});
	

	window.addEventListener('refresh_data',function(){
		console.log('refresh fundList');
		getFundList();
	},false);
	
})(mui);