(function($){
	var images =[
		{src:'../images/guide/0903-1.jpg'},
		{src:'../images/guide/0903-2.jpg'},
		{src:'../images/guide/0903-3.jpg'},
		{src:'../images/guide/1022-4.jpg'}
	];
	
	$.ready(function(){
		app.testQuit();
		createSlider(images);
		$('.mui-slider').slider({bounce:false});
	});
	
	$.plusReady(function(){
		var splashData = myStorage.getItemPlus('Splashscreen');
		var currVersion = 4;
		if(splashData && currVersion>splashData.version){
			var splashPath=plus.io.convertLocalFileSystemURL('_doc/splash.png');
			plus.io.resolveLocalFileSystemURL(splashPath, function (entry) {
	            entry.remove(function(){
	            	myStorage.removeItemPlus('Splashscreen');
	            	console.log('已删除闪屏图片');
	            }, function(){});
	        }, function (err) {
	        	console.error(err.message,err);
	        });
		}
	});
	
	function delSplash(){
		var appRPath = '/apps/'+plus.runtime.appid+'/www/';
		var splashPath = plus.io.convertLocalFileSystemURL('_www/').replace(appRPath,'/splash/');
		plus.io.resolveLocalFileSystemURL(splashPath, function (entry) {
	            entry.removeRecursively();
	            console.log('已删除闪屏图片');
	        }, function (err) {
	        	console.error(err.message,err);
	        });
	        
		plus.io.requestFileSystem( plus.io.PUBLIC_DOWNLOADS, function( fs ) {
			fs.root.getParent(function(entry){
	        	entry.getDirectory('splash', {create:true,exclusive:false}, function(dir){
					dir.removeRecursively();
					
					console.log('删除闪屏图片成功');
				}, function(e){
					
				});
	        }, function(e){
	        	
			});
		}, function ( e ) {
			 
		});
	}
	
	
	function createSlider(images){
		var items = '',inds='';
		for(var i in images){
			items+=['<div class="mui-slider-item',i==0?' mui-active':'','">',
					'<img src="',images[i].src,'">',
					i==images.length-1?'<div id="guideBtn" class="guide-btn">立即体验</div>':'',
				'</div>'].join('');
			inds+='<div class="mui-indicator'+(i==0?' mui-active':'')+'"></div>';
		}
		g('imgGroup').innerHTML=items;
		g('imgInd').innerHTML=inds;
		//g('guideBtn').style.bottom = (g('imgInd').offsetHeight+15)+'px';
		
		$('.mui-slider').on('tap','.guide-btn',function(){
			$.currentWebview.close('zoom-fade-in');
		},false);
	}
	
})(mui);
