(function($, window){
	$.init({
		gestureConfig: {
			tap: true,
			swipe: true,
		}
	})
	var timer = null;
	
	document.addEventListener("showInvitation", function(event){
		var data = {};
		g('promptBox').classList.remove('zoom-fade-out');
		g('promptBox').classList.add('zoom-fade-in');

		if (event.detail && (data = event.detail.msg)) {
			document.querySelector('.prompt-title').innerHTML = data.nickName + "：" + data.message;
		}
		autoHide();
	})
	
	g('promptBox').addEventListener('tap',function(){
		app.toKefu();
	},false);
	
	g('promptBox').addEventListener('swipeup', function(event){
		$.fire(plus.webview.getLaunchWebview(),'close');
	})
	g('promptBox').addEventListener('swipedown', function(event){
		app.toKefu();
	})
	
	
	function autoHide(){
		clearTimeout(timer);
		timer = setTimeout(function(){
			$.fire(plus.webview.getLaunchWebview(),'close');
		}, 3000)
	}
}(mui, window))
