(function($){
	var g = function(id){ return document.getElementById(id); };
	
	
	
	var setPullRefresh = function(){
		return $('#product').pullToRefresh({
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						if (isHot) {
							getCreditCardLists();
						} else {
							createCreditCardList(bankId);
						}
					}, 10);
				}
			}
		});
	};
	
	//tab切换
	$("#tab_box").on("tap",".tab_type ",function(){
		var index=this.getAttribute("tabindex");
		if(index==0){
			this.classList.add("active");
			$(".tab_type")[1].classList.remove("active");
			$(".list")[0].classList.remove("mui-hidden");
			$(".list")[1].classList.add("mui-hidden");
			try{
				$(".mui-pull-bottom-tips")[0].classList.add("mui-hidden");
			}catch(e){
				console.log("加载未初始化")
			}
			var load=this.getAttribute("load");
			if(load!=="load"){
				getLoanProdList();
			}
		}else{
			this.classList.add("active");
			$(".tab_type")[0].classList.remove("active");
			$(".list")[0].classList.add("mui-hidden");
			$(".list")[1].classList.remove("mui-hidden");
			try{
				$(".mui-pull-bottom-tips")[0].classList.remove("mui-hidden");
			}catch(e){
				console.log("加载未初始化")
			}
			var load=this.getAttribute("load");
			if(load!=="load"){
				pull = setPullRefresh();
				getCreditBankList();
				getCreditCardLists();
			}
		}
	});
	
	
	
	//小额贷
	var getLoanList = function(list){
		var html = "";
		var htmlType = "";
		for(var i in list){
			var item = list[i];
			if(item.productLabel){
				var arr = item.productLabel.split(",");
				var htmlLable = '';
				for(var j=0;j < arr.length;j++){
					htmlLable += '<li>'+ arr[j] +'</li>'
				}
			};
			var rcmdLabelHtml = item.rcmdLabel?'<div class="showName mui-ellipsis">'+item.rcmdLabel+'</div>':'';
			html += ['<li class="daikuanBox" orgname="',item.orgName,
					'" productId="',item.productId,
					'" spreadType="',item.spreadType,
					'" productType="',item.productType,
					'" productName="',item.productName,
					'" repayment="',item.repayment,
					'" spreadUrl="',item.spreadUrl,'">',
				'<div class="productLogo">',
					'<img src="' + item.orgLogoAddr + '" class="logoPic">',
				'</div>',
				'<div class="productContent">',
					'<div class="productTitle">',
						'<span class="productName mui-ellipsis">', item.productName, '</span>',rcmdLabelHtml,
					'</div>',
					'<p class="mui-ellipsis productDesc">',item.productDesc,'</p>',
					'<div class="productLable">',
						'<ul>',
							htmlLable,
						'</ul>',
					'</div>',
				'</div>',
				'<div class="productHeightEdu"><span class="light mui-ellipsis">', item.amountLimitMax,'元</span><span class="quota">最高额度</span></div>',
			'</li>'].join('');
		}
		return html;
	};
	
	var getLoanProdList = function(){
		var box = g("daikuan_box");
		loanSvc.getLoanProdList(2).then(function(data){
			if(data.length == 0){
				box.innerHTML ='<div class="not-network"><span>此类贷款业务暂未开通</span></div>';
			}else{
				box.innerHTML = getLoanList(data);
			}
		});
	};
	
	
	$("#daikuan_box").on('tap','li.daikuanBox',function(){
		var productName = this.getAttribute("productName");
		var spreadUrl = this.getAttribute("spreadUrl");
		var spreadType = this.getAttribute("spreadType");
		var productId = this.getAttribute("productId");
		var productType = this.getAttribute("productType");
		
		var pageUrl = productType == 2?'daikuan-XiaoEDai.html':'daikuan-XianJinDai.html';
		$.openWindow({ id:'loanPro',url:pageUrl+'?productId='+productId
			+'&productType='+productType
			+'&productName='+encodeURIComponent(productName)
			+'&spreadUrl='+encodeURIComponent(spreadUrl)
			+'&spreadType='+spreadType,
			styles:{scrollIndicator:'none'}
		});
	});
	var findCard = document.getElementById("findCard");
	var creditAll = document .getElementById("creditAll");
	var creditCardList = document.getElementById("creditCardList");
	var pageNum = 1;
	var isShow = true;
	var bankId = 0;
	var pull,isload=true,isHot=true,switchs=true;
	var bankArr = {
		"浦发银行":{background:"#003473",bankClass:"jcon-bank-spd"},
		"中信银行":{background:"#EF4037",bankClass:"jcon-bank-citic"},
		"广发银行":{background:"#BA1221",bankClass:"jcon-bank-cgb"},
		"民生银行":{background:"#00A199",bankClass:"jcon-bank-cmbc"},
		"兴业银行":{background:"#508AE6",bankClass:"jcon-bank-cib"},
		"光大银行":{background:"#A148AE",bankClass:"jcon-bank-ceb"},
		"招商银行":{background:"#EF4037",bankClass:"jcon-bank-cmb"},
		"交通银行":{background:"#205089",bankClass:"jcon-bank-bocm"},
		"工商银行":{background:"#FA5D5D",bankClass:"jcon-bank-icbc"},
		"平安银行":{background:"#FFA810",bankClass:"jcon-bank-pingan"},
		"中国银行":{background:"#cf322b",bankClass:"jcon-bank-boc"},
		"花旗银行":{background:"#007CB4",bankClass:"jcon-bank-citi"},
		"深圳发展银行":{background:"#0171B6",bankClass:"jcon-bank-sfz"},
		"邮政银行":{background:"#02903D",bankClass:"jcon-bank-psbc"},
		"建设银行":{background:"#18337B",bankClass:"jcon-bank-ccb"},
		"华夏银行":{background:"#CF0E15",bankClass:"jcon-bank-hxb"},
		"农业银行":{background:"#319C8B",bankClass:"jcon-bank-abc"},
		"北京农业商业银行":{background:"#b81b24",bankClass:"jcon-bjns"},
	};
	var bankNames = {};
	
	(function(){
		var showMore = document.body.clientWidth>340?8:6;
		g('show').classList[17>showMore?'remove':'add']('mui-hidden');
		$.each(bankArr, function(name,item) {
			findCard.innerHTML += ['<li class="blankLi mui-col-sm-3 mui-col-xs-4">',
					 	'<span class="cardLogo jcon ',item.ankClass,'"',
					 		' style="background-color:',item.background,'"></span>',
				     	'<div class="cardTxt mui-ellipsis">',name,'</div>',
				    '</li>'].join('');
		});
	})();
	
	$.plusReady(function(){
		$.currentWebview.setStyle({
			scrollIndicator:'none'
		});
	});
	

	var getBlankHtml = function(data){
		var html = ""; 
		for(var i in data){
			var htmlHot = "";
			var item = data[i];
			var iconSet = bankArr[item.bankName]||{
				bankClass:'',
				background:'url('+item.bankImg+') no-repeat 50% 50%;background-size: 100%;'
			};
			if(item.isRecommend == 1) htmlHot = '<span class="hot">首推</span>';
			if(item.isHot == 1) htmlHot = '<span class="hot">热门</span>';
			html += ['<li aId="',item.id,'"  bankName="',item.bankName,'" class="blankLi mui-col-sm-3 mui-col-xs-4">',
					 	'<span class="cardLogo jcon ',iconSet.bankClass,'"',
					 		' style="background:',iconSet.background,'"></span>',
				     	'<div class="cardTxt mui-ellipsis">',item.bankName,'</div>',
				     	htmlHot,
				    '</li>'].join('');
		}
		findCard.innerHTML = html;
		//g('show').style.width = findCard.children[0].offsetWidth+'px';
	};
	
	//银行列表
	var getCreditBankList =function(){
		bizSvc.getCreditBankList().then(function(data){
			$.each(data,function(i,bank){
				bankNames[bank.id] = bank.bankName;
			});
			var showMore = document.body.clientWidth>340?8:6;
			g('show').classList[data.length>showMore?'remove':'add']('mui-hidden');
			getBlankHtml(data);
			g("card").classList.remove("mui-hidden")
		}).catch(function(err){
			console.error(err.message,err);
		});
	};

	var checkName = function(){
		var cardChild = findCard.getElementsByTagName("li");
		var bankName ="";
		for(var i = 0; i < cardChild.length;i++){
			var item = cardChild[i];
			bankName = item.firstChild.getAttribute("bankName");
			for(var j in bankArr){
				var x = bankArr[j];
				if(x.bankName == bankName){
					item.firstChild.classList.add(x.bankClass);
					item.firstChild.style.background = x.background;
				}
			}
		}
	};
    var getApplayCreditCard = function(id){
		bizSvc.getApplayCreditCard(id).then(function(data){
			console.log(data);
		}).catch(function(err){
			console.error(err.message,err);
		});
	};
	
	var getCreditList = function(data,type){
		var html = "";
		for( var i in data){
			var htmlSort="";
			var item = data[i];
			if(type==0){
				if(item.isHot){//生成热销产品列表
					if(item.showSort){
						htmlSort +=[
						'<div class="label">',
							'<div class="circle">',
								'<span class="borderStyle">',item.showSort,'</span>',
								'<span>HOT</span>',
							'</div>',
							'<div class="circleBottom"></div>',
						'</div>'].join('');
					}
					html += [
						'<li class="creditLi" isHot="',item.isHot,'" bank="',bankNames[item.productType],'" credName="',item.productName,'" url="',item.spreadUrl,'"  credId="',item.id,'" >',
							'<div class="leftContent">',
								'<img data-lazyload="',item.productImg,'" src="../images/loading-credit.jpg"/>',
							'</div>',
							'<div class="rightContent">',
								'<div class="contentTitle mui-ellipsis">',item.productName,'</div>',
								'<div class="rightContentTxt mui-ellipsis">',item.productDesc,'</div>',
								'<div class="rightContentTxt mui-ellipsis"><span class="red">',item.applyCount,'人</span><span>申请</span></div>',
								htmlSort,
							'</div>',
						'</li>'].join('');
					}
				}else if(type==1){//银行对应的信用卡
					if(item.showSort){
						htmlSort +=[
						'<div class="label">',
							'<div class="circle">',
								'<span class="borderStyle">',item.showSort,'</span>',
								'<span>HOT</span>',
							'</div>',
							'<div class="circleBottom"></div>',
						'</div>'].join('');
					}
					html += [
						'<li class="creditLi" isHot="',item.isHot,'" bank="',bankNames[item.productType],'" credName="',item.productName,'" url="',item.spreadUrl,'"  credId="',item.id,'" >',
							'<div class="leftContent">',
								'<img data-lazyload="',item.productImg,'" src="../images/loading-credit.jpg"/>',
							'</div>',
							'<div class="rightContent">',
								'<div class="contentTitle setPadding mui-ellipsis">',item.productName,'</div>',
								'<div class="rightContentTxt mui-ellipsis">',item.productDesc,'</div>',
								'<div class="rightContentTxt mui-ellipsis"><span class="red">',item.applyCount,'人</span><span>申请</span></div>',
								htmlSort,
							'</div>',
						'</li>'].join('');
				}
				
			}
			
		return html;
	};
	//热销卡
	var getCreditCardLists = function(){
		var obj = {pageNum:pageNum,pageSize:5,isHot:1};
		var Lazyload = $('#creditAll').imageLazyload({
			placeholder: '../images/loading-credit.jpg',
			autoDestroy: false
		});
		if(!switchs)return;
		switchs = false;
		bizSvc.getCreditCardList(obj).then(function(data){
			if(pageNum>1){
				creditAll.innerHTML = creditAll.innerHTML + getCreditList(data.list,0);
			}else{
				creditAll.innerHTML = getCreditList(data.list,0);
			}
			if(data.total === 0){
				creditAll.innerHTML ='<div class="not-network"><span>此银行业务还未开通</span></div>';
				$(".mui-pull-bottom-tips")[0].style.display="none";
			}
			creditAll.setAttribute('pullend',pageNum>=data.pages?'1':'0');
			pull.endPullUpToRefresh(pageNum>=data.pages);
			Lazyload.refresh(true);
			isload = (pageNum<data.pages);
			pageNum++;
			switchs = true;
			$(".tab_type")[1].setAttribute("load","load")
		}).catch(function(err){
			switchs = true;
			pull.endPullUpToRefresh();
			console.error(err.message,err);
		});
		
	};

   //根据银行生成对应的信用卡列表
    var createCreditCardList = function(bankId){
    	var obj = {bankId:bankId,pageNum:pageNum,pageSize:5,isHot:0};
    	var Lazyload = $('#creditCardList').imageLazyload({
			placeholder: '../images/loading-credit.jpg'
		});
		if(!switchs)return;
		switchs = false;
		bizSvc.getCreditCardList(obj).then(function(data){
			if(pageNum>1){
				creditCardList.innerHTML = creditCardList.innerHTML + getCreditList(data.list,1);
			}else{
				creditCardList.innerHTML = getCreditList(data.list,1);
			}
			if(data.total === 0){
				creditCardList.innerHTML ='<div class="not-network"><span>此银行业务还未开通</span></div>';
				$(".mui-pull-bottom-tips")[0].style.display="none"
			}
			pull.endPullUpToRefresh(pageNum>=data.pages);
			Lazyload.refresh(true);
			isload = (pageNum<data.pages);
			pageNum++;
			switchs = true;
		}).catch(function(err){
			switchs = true;
			pull.endPullUpToRefresh(false);
			console.error(err.message,err);
		});
    };

    

	g('show').addEventListener("tap",function(){
		if(isShow){
			g('findCard').classList.add("showAll");
			g('show').style.bottom="5px";
			g('show').classList.add('mui-hidden');
			isShow = false;
		}else{
			g('findCard').classList.remove("showAll");
			g('show').style.bottom="0px";
			isShow =true;
		}
	});
    g("hotCreditCard").addEventListener("tap",function(){
			
    	for(var i=0;i<$(".cardLogo").length;i++){
			$(".cardLogo")[i].style.boxShadow="none";
			$(".cardLogo")[i].style.webkitBoxShadow="none";
		}
    	$(".mui-pull-bottom-tips")[0].style.display="block";
    	g('hotCard').classList['add']('mui-hidden');
    	g('more').classList['remove']('mui-hidden');
     	
     	if(creditAll.getAttribute('pullend')=='0'){
     		pull.refresh(true);
     	}else{
     		pull.endPullUpToRefresh(true);
     	}
	    	bankId = 0;
	    	isHot=true;
	    	isload = true;
	    	pageNum=1;
	    	switchs = true;
    });
	$('#findCard').on('tap','.blankLi',function(){
		var aid = this.getAttribute("aid");
		if(aid==bankId) return false;
		$(".mui-pull-bottom-tips")[0].style.display="block";
		for(var i=0;i<$(".cardLogo").length;i++){
			$(".cardLogo")[i].style.boxShadow="none";
			$(".cardLogo")[i].style.webkitBoxShadow="none";
		}
		var nodes = document.querySelector(".bg");
		if(nodes) nodes.remove();
		var bgColor = this.childNodes[0].style.background;
		if(bgColor.indexOf("url")>-1){
			var wid = this.offsetWidth;
			var left = (wid-52)/2;
			left = Math.ceil(left)
			var oBg=document.createElement("div");
			oBg.setAttribute("class","bg");
			this.appendChild(oBg);
		}
		var color = bgColor.split("(")[1].split(")");
		var shadow="";
		for(var i=0;i<color.length;i++){
			shadow = color[i] +shadow;
		}
		shadow ="rgba("+shadow+",0.5)";
		this.childNodes[0].style.webkitBoxShadow="0px 0px 0px 4px "+shadow;
		g('hotCard').classList['remove']('mui-hidden');
    	g('more').classList['add']('mui-hidden');
		g("bankIcon").setAttribute("class",this.childNodes[0].getAttribute("class"));
		g("bankIcon").style.background=bgColor;
		g("hotCardName").innerHTML = this.childNodes[1].innerHTML+"信用卡";
		bankId = aid;
		pull.refresh(true);
		pageNum=1;
		isload=true;
		isHot=false;
		createCreditCardList(bankId);
		return false;
	});
	$('#creditAll').on('tap','.creditLi',function(){
		var credId = this.getAttribute('credId');
		getApplayCreditCard(credId);
		app.openUrl(this.getAttribute('url'),{
			id:'credit-card',
			showCloseBtn:true,
			enableHistory:true,
			scalable:false
		});
	});
	$('#creditCardList').on('tap','.creditLi',function(){
		var credId = this.getAttribute('credId');
		getApplayCreditCard(credId);
		app.openUrl(this.getAttribute('url'),{
			id:'credit-card',
			showCloseBtn:true,
			enableHistory:true,
			scalable:false
		});
	});
	$('.mui-scroll-wrapper').on('scroll','.mui-scroll',function(e){
		if(e.detail.hasHorizontalScroll) return;

	},false);
	$('.mui-scroll-wrapper').scroll({
    		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
    });
    //开关
    var iconData={};
    iconData.cityCode=app.getCity().cityCode;
    iconData.locationId='borrowMoney';
    iconData.channel=app.getChannel();
    	var os;
	if(mui.os.ios){
		//ios
		os='iOS';
	}else{
		os='Android';
	};

	iconData.plusOsName=os;
	var initSwitch=function(){
		appSvc.getIconList(iconData).then(function(res){
			 var card=0,daikuan=0,list=[];//默认关
			 if(res){
			 	list=res.list;
				 if(list.length>0){
				 	g('tab_box').classList.remove('mui-hidden');
				 	for(var m=0;m<list.length;m++){
				 		if(list[m].buzzId=="IC27"){
				 			card=1;
				 			g("card_name").innerHTML=list[m].buzzName;
				 		};
				 		if(list[m].buzzId=="IC26"){
				 			daikuan=1;
				 			g("daikuan_name").innerHTML=list[m].buzzName;
				 		}
				 	}
					if(daikuan==0){//不包含
						g('daikuai_tab').classList.add('mui-hidden');
					}else{
						g('daikuai_tab').classList[daikuan==1?'remove':'add']('mui-hidden');
					}
					if(card==0){//不包含
						g('card_tab').classList.add('mui-hidden');
					}else{
						g('card_tab').classList[card==1?'remove':'add']('mui-hidden');
					}
					if(card==1&&daikuan==1||daikuan==1&&card==0){
						getLoanProdList();
					}else{
						pull = setPullRefresh();
						getCreditBankList();
						getCreditCardLists();
						g('card_tab').classList.add("active");
						g("daikuan").classList.add("mui-hidden");
					}
				}	
		    }	
		}).catch(function(err){
			console.error(err.message,err);
		})
		
	}
	initSwitch();
	
	
	
})(mui);