(function($,mapInner){
	$.init();
	
	var parent = null;
	var innerWs = null;
	
	var viewHeight = document.body.clientHeight;
	var viewWidth = document.body.clientWidth;
	var navHeight = 44;
	var paddintTop = 0;
	
	var dargView = null;
	var dragObj = null;
	var goRoute = null;

	var dragTarget = null;
	var dragBounce = null;

	var innerMTop = viewHeight-44;
	var drint,pull;
	var secInfo = null;
	var user = null;
	var bottomSafeHeight = imbar?imbar.bottomSafeArea||0:0;
	
	var getDefaultRange = function(){
		var range = myStorage.getItemPlus('mapSearchRange')||2000;
		var rs = [500,1000,2000,5000,0];
		var ridx = rs.indexOf(range);
		g('sRangeBtn').innerHTML=g('searchRange').children[0].children[ridx].innerText.replace('以内','')+'<i class="fa"></i>';
		jel('#searchRange li').removeClass('mui-selected');
		g('searchRange').children[0].children[ridx].classList.add('mui-selected');
		jel('#rangeSet li').removeClass('mui-selected');
		g('rangeSet').children[ridx].classList.add('mui-selected');
	};
	var getSecInfo = function(){
		if(app.checkLogin()){
			user = app.getUser();
			if(user.securityAcctId){
				shebaoSvc.getSecInfo(user.securityAcctId).then(function(data){
					secInfo = data;
				});
			}
		}
	};
	
	$.init();
	$.plusReady(function(){
		parent = plus.webview.currentWebview().parent();
		innerWs = plus.webview.currentWebview();
		paddintTop = imbar.isImmersedStatusbar?imbar.statusbarHeight:0;
		navHeight = 44+(imbar.isImmersedStatusbar?imbar.statusbarHeight:0);
		jel('.pan .mui-bar-nav').css('paddingTop',paddintTop);
		jel('.mui-scroll-wrapper').css('bottom','41px');
		jel('#searchResult .mui-scroll-wrapper').css('bottom','41px');
		var mapAutoShowFav = myStorage.getItemPlus('mapAutoShowFav');
		if(mapAutoShowFav) g('showFav').classList.add('mui-active');
		getDefaultRange();
	});
	
	getSecInfo();	
	HTMLCollection.prototype.indexOf =  Array.prototype.indexOf;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration:mui.os.ios?0.003:0.0009
    });
    
	$('#pullRefresh').pullToRefresh({
		up: {
			callback: function() {
				pull = this;
				if(!mapInner.searchEnd) $.fire(parent,'NextPage');
			}
		}
	});

	var showRouteBtn = function(){
		var left = viewWidth - 80;
		var top = viewHeight - g('makerIntro').offsetHeight - 20;
		var goRoute = plus.nativeObj.View.getViewById('goRoute');
		if(!goRoute){
			goRoute = new plus.nativeObj.View('goRoute',{
				top:top+'px',left:left+'px',height:'50px',width:'50px'
			},[{
				id:'bmpRoute',tag:'img',
				position:{top:'0px',left:'0px',width:'100%',height:'100%'},
				src:'../images/map/go.png'
			}]);
			parent.append(goRoute);
			
			goRoute.interceptTouchEvent(true)
			goRoute.addEventListener('click',function(){
				$.fire(parent,'GoThere'); 
			},false);
		}else{
			goRoute.setStyle({top:top+'px',left:left+'px'});
			goRoute.show();
		}
	};
	mapInner.showRouteBtn = showRouteBtn;
	
	var parentBack = function(){
		parent.evalJS('mui.back();');
	};
	var showPan = function(opt){
		var showEl = g(opt.pan);
		var pans = {
			nfuns:['cview','findMe','backBtn','searchBtn','layer'],
			searchBox:['naview'],
			searchResult:['naview'],
			searchResultHalf:['naview','findMe','cview'],
			makerInfo:['naview','findMe','layer'],
			showMoreBtn:['naview','cview','findMe','layer'],
			myPoint:['naview'],
			mapSetting:['naview'],
			favMakerInfo:['findMe','backBtn','searchBtn','layer']
		};
		var views = ['cview','findMe','backBtn','searchBtn','layer','naview'];
		var defaultOptions = {
			top:viewHeight - showEl.offsetHeight,
			bounce:'none',
			shows:pans[opt.panId||opt.pan]
		};
		var options = $.extend({},defaultOptions,opt);
		jel('#content>.pan').hide(); 
		showEl.style.display = 'block';
		innerWs.resetBounce();
		if(options.bounce!=='none'){
			innerWs.setStyle({top:options.top+'px',bounce:'vertical'});
			innerWs.setBounce({
				position:{top:(viewHeight-navHeight-44)+'px'},
				offset:{top:options.bounce+'px'},
				changeoffset:{top:options.bounce+'px'},
				preventTouchEvent:true
			});
		}else{
			innerWs.setStyle({top:options.top+'px',bounce:'none'});
			setTimeout(function(){
				innerWs.setBounce({position:{top:'none'}});
			},200);
		}
		
		for(var i in views){
			var view = views[i]!=='naview'?plus.nativeObj.View.getViewById(views[i]):plus.webview.getWebviewById('naview'),
				show = options.shows.indexOf(views[i])>=0;
			if(!view) continue;
			if(views[i]!=='naview'){
				if(show && !view.isVisible()){
					view.show();
				}
				if(!show){
					view.hide();
				}
			}else{
				if(show && !view.isVisible()){
					view.setStyle({top:'0px'});
					view.show();
				}
				if(!show){
					view.setStyle({top:'-44px'});
					view.hide();
				}
			}
		}
	};
	mapInner.showPan = showPan;
    mapInner.innerBack = parentBack;
    mapInner.searchKey = '';
    
    var setFindBtn = function(top){
    	var findMe = plus.nativeObj.View.getViewById('findMe');
		if(findMe){
			top = top?top-bottomSafeHeight:parseInt(innerWs.getStyle().top)-35;
			findMe.setStyle({top:top+'px'});
		} 
    };
	var setHistoryList = function(){
		var list = myStorage.getItemPlus('mapSearchKeys')||[];
		list.reverse();
		var html = '';
		for(var i in list){
			html+=[
				'<li class="mui-table-view-cell history-item">',
					'<i class="fa fa-search"></i> ',
					list[i],
				'</li>',
			].join('');
		}
		if(html.length>0){
			html+='<li id="clearHis" class="mui-table-view-cell history-clear">清空历史记录</li>'
			g('histroyList').innerHTML = html;
		}else{
			g('histroyList').innerHTML = '';
		}
	};	
	var updateHistory = function(keyword){
		var list = myStorage.getItemPlus('mapSearchKeys')||[];
		var index = list.indexOf(keyword);
		if(index<0){
			if(list.length>=10) list.shift();
		}else{
			list.splice(index,1);
		}
		list.push(keyword);
		myStorage.setItemPlus('mapSearchKeys',list);
	};
	var clearHistory = function(){
		myStorage.setItemPlus('mapSearchKeys',null);
		g('histroyList').innerHTML = '';
	};
   
	var showNav = function(id,nobounce,type){
		var naview = plus.webview.getWebviewById('naview');
		var wd = mapInner.searchKey;
		var fc = type;
		if(!naview){
			fc = type?'&fc='+type:'';
			var url = "joy-map-nav.html?id="+id+"&wd="+wd+fc;
			naview = plus.webview.create(url,'naview',{
				top:'0px',
				height:navHeight+'px',
				scrollIndicator:'none',
				background:'transparent',
				transition:{duration:300}
			});
			parent.append(naview);
		}else{
			$.fire(naview,'showNav',{id:id,wd:wd,fc:fc});
			naview.setStyle({top:'0px'});
			naview.show();
		}
	};
	
	var showFuns = function(){
		mapInner.searchKey='';
		showPan({pan:'nfuns',top:viewHeight-44-imbar.bottomSafeArea});
		setFindBtn(viewHeight-44-35);
		parent.evalJS('joyMap.setBack();joyMap.viewState="nfuns";joyMap.searchKey = "";');
		mapInner.innerBack = parentBack;
	};
	var showSearchBox = function(nobounce,type){
		mapInner.searchType='';
		showPan({pan:'searchBox',top:navHeight});
		showNav('searchNav',nobounce,type);
		setHistoryList();
		parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="searchBox";joyMap.map.clearOverlays();');
		mapInner.innerBack = showFuns;
	};
	var showResult = function(half,noscroll){
		var bounce=navHeight,
			opt={pan:'searchResult',top:bounce},
			navId='listNav',
			viewState='searchResultList';
		if(half){
			bounce = viewHeight*0.62;
			navId = 'inmapNav';
			viewState = 'searchResultHalf';
			opt={pan:'searchResult',panId:'searchResultHalf',top:bounce};
			setFindBtn(bounce - 35);
			mapInner.innerBack = function(){ showSearchBox(true); };
			g('searchResult').classList.add('half');
			g('searchResult').style.height=(viewHeight-bounce+44)+'px';
		}else{
			mapInner.innerBack = function(){ showResult(true); };
			g('searchResult').classList.remove('half');
			g('searchResult').style.height='100%';
		}
		showPan(opt);
		showNav(navId,true);
		if(!noscroll) $('#resultScroll').scroll().scrollTo(0,0,0);
		parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="'+viewState+'";');
		jel('.filter-item').removeClass('active');
		jel('.filter-con').removeClass('active');
		g('resultMask').style.display='none';
	};
	var showMarkerInfo = function(pos){
		g('makerInfo').style.display='block';
	 	g('mtitle').innerHTML= pos.name;
	 	g('maddr').innerHTML= pos.address;
	 	if(pos.phone&&pos.phone.indexOf('null')<0){
	 		jel('#mtel').html('<i class="fa fa-phone"></i> '+pos.phone);
	 		jel('#mtel').show(); 
	 		jel('#callTel').attr('href','tel:'+pos.phone);
	 		jel('#callTel').show();
	 		jel('.marker-btn').css('width','33.33%');
	 	}else{
	 		jel('#mtel').hide(); 
	 		jel('#mtel').html('');
	 		jel('#callTel').hide();
	 		jel('#callTel').attr('href','');
	 		jel('.marker-btn').css('width','50%');
	 	}
	 	var height = g('makerIntro').offsetHeight;
	 	var bounce = viewHeight - height - imbar.bottomSafeArea;
		showPan({pan:'makerInfo',top:bounce});
		showNav('inmapNav');
		setFindBtn(bounce-35);
	 	parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="makerInfo";');
	 	plus.maps.Map.calculateDistance(innerWs.myPoint, pos.point,function(res){
	 		g('maddr').innerHTML = parseInt(res.distance)  + "米 | "+pos.address;
	 		var h1 = g('makerIntro').offsetHeight;
	 		if(height!==h1){
	 			bounce = viewHeight - h1 - imbar.bottomSafeArea;
	 			innerWs.setStyle({top: bounce+'px'});
	 			setFindBtn(bounce-35);
	 		}
	 	});
		mapInner.innerBack = function(){
			showResult(true);
			parent.evalJS('joyMap.map.centerAndZoom(joyMap.myPoint,14);');
		};
	};
	var showFavMarkerInfo = function(pos){
		g('makerInfo').style.display='block';
	 	g('mtitle').innerHTML= pos.name;
	 	g('maddr').innerHTML= pos.address;
	 	if(pos.phone&&pos.phone.indexOf('null')<0){
	 		jel('#mtel').html('<i class="fa fa-phone"></i> '+pos.phone);
	 		jel('#mtel').show(); 
	 		jel('#callTel').attr('href','tel:'+pos.phone);
	 		jel('#callTel').show();
	 		jel('.marker-btn').css('width','33.33%');
	 	}else{
	 		jel('#mtel').hide(); 
	 		jel('#mtel').html('');
	 		jel('#callTel').hide();
	 		jel('#callTel').attr('href','');
	 		jel('.marker-btn').css('width','50%');
	 	}
	 	mapInner.sPosition = event.detail.pos;	
	 	var height = g('makerIntro').offsetHeight;
	 	var bounce = viewHeight - height - imbar.bottomSafeArea;
		showPan({pan:'makerInfo',panId:'favMakerInfo',top:bounce});
		setFindBtn(bounce-35);
	 	parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="favMakerInfo";');
	 	plus.maps.Map.calculateDistance(innerWs.myPoint, pos.point,function(res){
	 		g('maddr').innerHTML = parseInt(res.distance)  + "米 | "+pos.address;
	 		var h1 = g('makerIntro').offsetHeight;
	 		if(height!==h1){
	 			bounce = viewHeight - h1 - imbar.bottomSafeArea;
	 			innerWs.setStyle({top: bounce+'px'});
	 			setFindBtn(bounce-35);
	 		}
	 	});
		mapInner.innerBack = function(){
			showFuns();
		}; 
	};
	var showMoreBtn = function(){
		showPan({pan:'showMoreBtn',top:viewHeight - 44 - imbar.bottomSafeArea});
		showNav('inmapNav',true);
		setFindBtn(viewHeight - 44 -35);
		parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="showMoreBtn";');
		mapInner.innerBack = function(){
			showResult(true);
		};
	};
	var showMypointList = function(){
		showPan({pan:'myPoint',top:navHeight});
		showNav('myNav',true);
		getMyFavPoint();
		getMyHosptal();
		parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="myPoint";');
		mapInner.innerBack = showFuns;
	};
	var showSetting = function(){
		showPan({pan:'mapSetting',top:navHeight});
		showNav('setNav',true);
		parent.evalJS('joyMap.setBack("INNER");joyMap.viewState="mapSetting";');
		mapInner.innerBack = showFuns;
	};
	
	var createHosList = function(mapHos){
		g('refreshHos').classList.remove('spin');
		if(!mapHos || mapHos.length<=0){
			g('hosList').innerHTML = '<div class="mui-text-center color-dark" style="padding:40px 0">社保账户未设置定点医院</div>';
			return;
		}else{
			g('hosList').innerHTML = '';
		}
		var html,cell;
		for(var p in mapHos){
			cell = document.createElement('div');
			cell.className='mui-table-view-cell mui-media';
			
			if(mapHos[p].coord){
				cell.setAttribute('lng',mapHos[p].coord.longitude);
				cell.setAttribute('lat',mapHos[p].coord.latitude);
			}
			cell.setAttribute('name',mapHos[p].name);
			cell.setAttribute('address',mapHos[p].address);
			cell.setAttribute('city',mapHos[p].city);
			cell.innerHTML=[
				'<div class="mui-media-body mui-navigate-right">',
					mapHos[p].name,
					'<p class="mui-ellipsis">',mapHos[p].address,'</p>',
				'</div>'].join('');
			hosList.appendChild(cell);	
		}
		
	};
	var getMyFavPoint = function(update){
		var favCom = myStorage.getItemPlus('favCom');
		var favSi = myStorage.getItemPlus('favSi');
		if(favCom){
			jel('#com').attr('lng',favCom.lng);
			jel('#com').attr('lat',favCom.lat);
			jel('#com p').innerText=favCom.address;
		}else{
			
		}
		if(favSi){
			jel('#si').attr('lng',favSi.lng);
			jel('#si').attr('lat',favSi.lat);
			jel('#si p').innerText=favSi.address;
		}else{
			
		}
		var favBox=g('favBox');
		var favList = myStorage.getItemPlus('favList')||[];
		var html = '',cell;
		g('favList').innerHTML='';
		if(favList.length>0){
			g('favAdd').style.display='none';
			$.each(favList, function(i,p) {
				cell = document.createElement('div');
				cell.className='mui-table-view-cell mui-media';
				cell.setAttribute('index',i);
				cell.setAttribute('lng',p.lng);
				cell.setAttribute('lat',p.lat);
				if(p.phone) cell.setAttribute('phone',p.phone);
				cell.innerHTML=[
					'<div class="mui-slider-right mui-disabled">',
						'<a class="mui-btn mui-btn-red">删除</a>',
					'</div>',
					'<div class="mui-slider-handle mui-media-body  mui-navigate-right">',
						'<span>',p.name,'</span>',
						'<p class="mui-ellipsis">',p.address,'</p>',
					'</div>'].join('');
				g('favList').appendChild(cell);
			});
		}else{
			g('favAdd').style.display='block';
		}
	};
	var getMyHosptal = function(update){
		var hosList=g('hosList');
		if(hosList.children[0].id!=='hosNull' && !update) return;
		user = app.getUser();
		if(!user || !user.securityAcctId||!secInfo) return;
		var cityName = secInfo ? geo.getCityNameByCode(secInfo.payCity):undefined;
		var mapHos = myStorage.getItemPlus('mapHos');
		g('refreshHos').classList.remove('mui-hidden');
		if(!mapHos||update){
			shebaoSvc.getSecHosList(user.securityAcctId).then(function(data){
				mapHos = [];
				var list = [];
				for(var x in data) if(data[x].hospital!=='') list.push(data[x]);
				var len = list.length;
				if(len===0){
					myStorage.setItemPlus('mapHos',mapHos);
					createHosList(mapHos);
				}else{
					$.each(list, function(i,hos) {
						plus.maps.Map.geocode(hos.hospital, {city:cityName}, function(res){
							plus.maps.Map.reverseGeocode(res.coord,{coordType:res.coordType},function(res1){
								mapHos.push($.extend({},res1,{name:hos.hospital,city:cityName}));
								if(i===len-1&&mapHos.length>0){
									myStorage.setItemPlus('mapHos',mapHos);
									createHosList(mapHos);
								}
							},function(err){
								mapHos.push({name:hos.hospital,city:cityName,address:' '});
								if(i===len-1&&mapHos.length>0){
									myStorage.setItemPlus('mapHos',mapHos);
									createHosList(mapHos);
								}
							});
						},function(err){
							mapHos.push({name:hos.hospital,city:cityName,address:' '});
							if(i===len-1&&mapHos.length>0){
								myStorage.setItemPlus('mapHos',mapHos);
								createHosList(mapHos);
							}
						});
					});
				}
			}).catch(function(err){
				g('refreshHos').classList.remove('spin');
				console.error(err.message,err);
			});
		}else{
			createHosList(mapHos);
		}
	};
	
	
	$('#favList').on('tap', '.mui-btn', function(event) {
		var elem = this;
		var li = elem.parentNode.parentNode;
		$.confirm('确认删除该收藏位置？', '', ['确定','取消'], function(e) {
			if (e.index == 0) {
				li.parentNode.removeChild(li);
				var favList = myStorage.getItemPlus('favList')||[];
				var index  =  li.getAttribute('index');
				if(!isNaN(index)){
					favList.splice(index, 1);
					myStorage.setItemPlus('favList',favList);
					if(favList.length===0){
						g('favAdd').style.display='block';
					}
				}
			} else {
				setTimeout(function() {
					$.swipeoutClose(li);
				}, 0);
			}
		});
	});
	
	$('#searchBtns').on('tap','li a',function(){
		var wd = this.getAttribute('wd');
		var img = '../images/map/'+this.getAttribute('img');
		mapInner.searchImg = img;
		mapInner.searchKey = wd;
		mapInner.searchType='SELECT';
		$.fire(parent,'SearchNearBy',{txt:wd,img:img});
	});
	$('#resultList').on('tap','.pos .pos-info',function(){
		var pos = this.parentNode;
		//var index = pos.parentNode.children.indexOf(pos);
		var index = pos.getAttribute('uuid');
		$.fire(parent,'SelectMaker',{index:index});
		return false;
	});
	$('#resultList').on('tap','.pos .icon-quzheli',function(){
		var pos = this.parentNode.parentNode;
		//var index = pos.parentNode.children.indexOf(pos);
		var index = pos.getAttribute('uuid');
		$.fire(parent,'GoThere',{index:index});
		return false;
	});
	
	$('#hosList').on('tap','.mui-table-view-cell',function(){
		var wd = this.getAttribute('name');
		var img = '../images/map/yi.png';
		mapInner.searchImg = img;
		mapInner.searchKey = wd;
		mapInner.searchType='FAVORITE';
		$.fire(parent,'SearchInCity',{txt:wd,img:img});
	});
	$('#favList').on('tap','.mui-table-view-cell',function(){
		var index = this.parentNode.children.indexOf(this);
		$.fire(parent,'ShowMaker',{index:index});
		return false;
	});
	$('#histroyList').on('tap','.history-clear',function(){
		clearHistory();
	});
	$('#histroyList').on('tap','.history-item',function(){
		var wd = this.innerText.trim();
		var img = '../images/map/marker.png';
		mapInner.searchImg = img;
		mapInner.searchKey = wd;
		mapInner.searchType='INPUT';
		$.fire(parent,'SearchNearBy',{txt:wd,img:img});
	});

	
	g('hosNull').addEventListener('tap',function(){
		var state = app.getState();
        if(!state.token){
        	app.toLogin();
        }else{
			app.showSheBaoAdd();
        }
	},false);
	g('refreshHos').addEventListener('tap',function(){
		this.classList.add('spin');
		getMyHosptal(true);
	},false);
	g('goPoint').addEventListener('tap',function(){
		$.fire(parent,'GoThere'); 
	},false);
	g('favPoint').addEventListener('tap',function(){
		var favList = myStorage.getItemPlus('favList')||[];
		if(favList.length>9){
			$.toast('目前最多只能收藏10个位置');
			return;
		}
		var faved = false,point;
		var spoint = new plus.maps.Point(mapInner.sPosition.point.longitude,mapInner.sPosition.point.latitude);
		for(var i in favList) {
			point = new plus.maps.Point(favList[i].lng,favList[i].lat);
			if(spoint.equals(point)){
				faved=true;
				break;
			} 
		}
		if(!faved){
			favList.push({
				lng:mapInner.sPosition.point.longitude,
				lat:mapInner.sPosition.point.latitude,
				name:mapInner.sPosition.name,
				phone:mapInner.sPosition.phone,
				address:mapInner.sPosition.address
			});
			myStorage.setItemPlus('favList',favList);
			$.toast('收藏成功');
		}else{
			$.toast('已在收藏夹中');
		}
	},false);
	g('showMoreBtn').addEventListener('tap',function(){
		showResult(true);
	},false);
	g('resultHide').addEventListener('tap',function(){
		showMoreBtn();
	},false);
	g('sRangeBtn').addEventListener('tap',function(){
		jel('.filter-item').removeClass('active');
		jel('.filter-con').removeClass('active');
		g('resultMask').style.display='block';
		this.classList.add('active');
		g('searchRange').classList.add('active');
	},false);
 	g('resultMask').addEventListener('tap',function(){
		jel('.filter-item').removeClass('active');
		jel('.filter-con').removeClass('active');
		g('resultMask').style.display='none';
	},false);
	document.querySelector('#searchRange .mui-table-view-radio').addEventListener('selected',function(e){
		jel('.filter-item').removeClass('active');
		jel('.filter-con').removeClass('active');
		g('resultMask').style.display='none';
		g('sRangeBtn').innerHTML=e.detail.el.innerText.replace('以内','')+'<i class="fa"></i>';
		var range = parseInt(e.detail.el.getAttribute('value'));
		mapInner.nearRange = range;
		if(range===0){
			$.fire(parent,'SearchInCity',{txt:mapInner.searchKey,img:mapInner.searchImg});
		}else{
			$.fire(parent,'SetRange',{range:range});
		}
		return false;
	});
	
	g('showFav').addEventListener('toggle', function(event) {
	   myStorage.setItemPlus('mapAutoShowFav',event.detail.isActive);
	});
	
	document.querySelector('#rangeSet').addEventListener('selected',function(e){
 		var range = parseInt(e.detail.el.getAttribute('value'));
		myStorage.setItemPlus('mapSearchRange',range);
	});
	
	
	g('searchNear').addEventListener('tap',function(){
		showSearchBox(true);
	},false);
	g('searchMy').addEventListener('tap',function(){
		showMypointList();
	},false);
	g('searchSet').addEventListener('tap',function(){
		showSetting();
	},false);
	
	window.addEventListener('showResult',function(){
		var result = event.detail.result;
		if(pull) pull.endPullUpToRefresh(event.detail.state!==0 || result.currentNumber<10);
		if(event.detail.state!==0) return;
		var total = result.totalNumber?'共<span style="color:#298bbe">'+result.totalNumber+'</span>条,':'';
		var resultHtml = total+'第<span style="color:#298bbe">'+result.pageIndex+'</span>页';
		var pageNum = parseInt((result.totalNumber+10-1)/10);
		
		g('resutTxt1').innerHTML= resultHtml;
		g('resutTxt2').innerHTML= resultHtml;
		if(result.pageIndex===1){
			g('resultList').innerHTML='';
			if(mapInner.searchType==='INPUT') updateHistory(mapInner.searchKey);
			if(!mapInner.nearRange) getDefaultRange();
		}
		mapInner.nearRange = null;
		var pos,html,cell,poss=event.detail.poss;
		for(var i=0; i<poss.length; i++){
			pos = poss[i];
			cell = document.createElement('li');
			cell.className='pos mui-table-view-cell';
			cell.setAttribute('lng',pos.point.longitude);
			cell.setAttribute('lat',pos.point.latitude);
			cell.setAttribute('uuid',pos.uuid);
			if(pos.phone) cell.classList.add('addtel');
			html = [
				'<div class="pos-info">',
					'<div class="pos-name mui-ellipsis">',pos.name,'</div>',
					'<p class="pos-address">',pos.address,'</p>',
				'</div>',
				'<div class="pos-fun">',
					pos.phone?'<a class="fun jcon jcon-phohe" href="tel:'+pos.phone+'"></a>':'',
					'<span class="fun jcon jcon-map-nav-rd"></span>',
				'</div>'
			].join('');
			cell.innerHTML = html;
			g('resultList').appendChild(cell);
		}
		if(result.currentNumber<10 && result.pageIndex===1){
			jel('#pullRefresh .mui-pull-bottom-tips').hide();
		}else{
			jel('#pullRefresh .mui-pull-bottom-tips').show();
		}
		if(result.currentNumber<10 || result.pageIndex==pageNum){
			mapInner.searchEnd = true;
		}else{
			mapInner.searchEnd = false;
		}
		if(result.pageIndex===1 && g('showMoreBtn').style.display=='none'){
			showResult(true,true);
		}
	},false);
	
	window.addEventListener('showList',function(){
		showResult(event.detail.half);
	},false);
	
	window.addEventListener('showMakerInfo',function(){
		mapInner.sPosition = event.detail.pos;
		showMarkerInfo(event.detail.pos);
	},false);
	
	window.addEventListener('showFavMakerInfo',function(){
		mapInner.sPosition = event.detail.pos;
		showFavMarkerInfo(event.detail.pos);
	},false);
	
	window.addEventListener('showSearch',function(){
		showSearchBox(event.detail.nobounce,event.detail.type);
	},false);
	
	window.addEventListener('showFuns',showFuns,false);
	window.addEventListener('refresh_data',getSecInfo,false);
})(mui,window.mapInner={});