(function($,joyMap){
	$.init();
	var viewHeight = document.body.clientHeight,
		viewWidth = document.body.clientWidth,
		secInfo,uint,dint;

	joyMap.cview = null;
	joyMap.findMe = null;
	joyMap.infoView = null;

	joyMap.city = '';
	joyMap.map = null;
	joyMap.myPoint = null;
	joyMap.sMaker = null;
	joyMap.makerImg='../images/map/marker.png';
	
	joyMap.searchObj = null;
	joyMap.searchKey = '';
	joyMap.searchType = 'SearchNearBy';
	joyMap.searchPage = 0;
	joyMap.resultMarkers = {};
	
	joyMap.showFavorite=false;
	joyMap.favoriteMarkers = null;
	
	joyMap.route = null;
	joyMap.nearRange = 2000;
	
	var bottomSafeHeight = imbar?imbar.bottomSafeArea||0:0;
	
	var initSearch = function(){
		var wd = common.utils.queryString('wd');
		if(wd){
			wd = decodeURIComponent(wd);
			var wds = ['社保局|社保中心','住房公积金管理中心','医院','药店|药房'],
				imgs = ['she.png','gong.png','yi.png','yao.png'],
				idx = wds.indexOf(wd),
				img = '../images/map/'+(idx>=0?imgs[idx]:'marker.png');
			$.fire(mui.currentWebview,'SearchNearBy',{txt:wd,img:img});
		}
	};

	var setCenter = function(point,zoom,nofla){
		if(!joyMap.cview) return;
		var otop=0;
		var stop = viewHeight/2 - 33;
		clearInterval(uint);
		clearInterval(dint);
		joyMap.cview.setStyle({top:stop+'px'});
		zoom?joyMap.map.centerAndZoom(point,zoom):joyMap.map.setCenter(point);
		if(nofla) return;
		uint = setInterval(function(){
			otop+=1;
			joyMap.cview.setStyle({top:(stop-otop)+'px'});
			if(otop>=10){
				otop = 0;
				clearInterval(uint);
				dint = setInterval(function(){
					otop+=1;
					joyMap.cview.setStyle({top:(stop+otop)+'px'});
					if(otop>=10){
						otop = 0;
						clearInterval(dint);
						joyMap.cview.setStyle({top:stop+'px'});
					}
				},10);
			}
		},30);
	};
	joyMap.setCenter = setCenter;
	
	var createView = function (){
		var currWs = plus.webview.currentWebview();
		var left=0,top=0;
		joyMap.backBtn = plus.nativeObj.View.getViewById('backBtn');
		if(!joyMap.backBtn){
			top = imbar.isImmersedStatusbar?imbar.statusbarHeight+7:7;
			joyMap.backBtn = new plus.nativeObj.View('backBtn',{
				top:top+'px',left:'9px',height:'30px',width:'30px',opacity:0.6
			},[{
				id:'bmpBack',tag:'img',
				position:{top:'0px',left:'0px',width:'100%',height:'100%'},
				src:'../images/map/back.png'
			}]);
			joyMap.backBtn.interceptTouchEvent(true);
			joyMap.backBtn.addEventListener('click',function(){
				 $.back();
			},false);
			currWs.append(joyMap.backBtn);
		}
		joyMap.searchBtn = plus.nativeObj.View.getViewById('searchBtn');
		if(!joyMap.searchBtn){
			left = viewWidth-40;
			joyMap.searchBtn = new plus.nativeObj.View('searchBtn',{
				top:top+'px',left:left+'px',height:'30px',width:'30px',opacity:0.6
			},[{
				id:'bmpSearch',tag:'img',
				position:{top:'0px',left:'0px',width:'100%',height:'100%'},
				src:'../images/map/search.png'
			}]);
			joyMap.searchBtn.interceptTouchEvent(true);
			joyMap.searchBtn.addEventListener('click',function(){
				$.fire(joyMap.infoView,'showSearch',{nobounce:true,type:'INPUT'});
			},false);
			currWs.append(joyMap.searchBtn);
		}
		
		joyMap.cview = plus.nativeObj.View.getViewById('cview');
		if(!joyMap.cview){
			top = viewHeight/2 - 33;
			left = (viewWidth - 20)/2;
			joyMap.cview = new plus.nativeObj.View('cview',{
					top:top+'px',left:left+'px',height:'33px',width:'20px'
				},[{
					id:'bmpCView',tag:'img',
					position:{top:'0px',left:'0px',width:'100%',height:'100%'},
					src:'../images/map/cmaker.png'
				}]);
			joyMap.cview.interceptTouchEvent(true);
			currWs.append(joyMap.cview);
		}

		joyMap.layerView = plus.nativeObj.View.getViewById('layer');
		if(!joyMap.layerView){
			top = imbar.isImmersedStatusbar?imbar.statusbarHeight+54:54;
			left = viewWidth - 40;
			joyMap.layerView = new plus.nativeObj.View('layer',{
				top:top+'px',left:left+'px',height:'30px',width:'30px'
			},[{
				id:'bmpLayer',tag:'img',
				position:{top:'0px',left:'0px',width:'100%',height:'100%'},
				src:'../images/map/layer.png'
			}]);
			joyMap.layerView.interceptTouchEvent(true);
			joyMap.layerView.addEventListener('click',function(){
				showFavMarkers(!joyMap.showFavorite); 
			},false);
			currWs.append(joyMap.layerView);
		}
		
		joyMap.infoView = plus.webview.getWebviewById('infoView');
		top = viewHeight - 44;
		if(!joyMap.infoView){
			joyMap.infoView = plus.webview.create("joy-map-inner.html",'infoView',{
				top:top+'px',
				bounce:'vertical',
				scrollIndicator:'none',
				transition:{duration:300},
				background:'transparent'
			},{
				myPoint:joyMap.myPoint
			});
			currWs.append(joyMap.infoView);
			joyMap.infoView.addEventListener('loaded',function(){
				initSearch();
			},false);
		}else{
			joyMap.infoView.setStyle({top:top+'px'});
		}
	};
	joyMap.createView = createView;
	
	var SearchNearBy = function(pageIndex,range){
		if(plus.networkinfo.getCurrentType()===plus.networkinfo.CONNECTION_NONE){
			plus.nativeUI.toast('手机未连接到网络，无法搜索');
			return;
		}
		if(!pageIndex){
			joyMap.layerView.drawBitmap('../images/map/layer.png',"bmpLayer");
			joyMap.map.clearOverlays();
			joyMap.searchPage = 0;
			joyMap.infoView.evalJS("mapInner.searchEnd=false;");
			joyMap.nearRange = range||myStorage.getItemPlus('mapSearchRange')||2000;
		} 
		var center = joyMap.map.getCenter(); 
		//plus.nativeUI.showWaiting('正在检索地图 ...');
		joyMap.searchObj.poiSearchNearBy(joyMap.searchKey, center, joyMap.nearRange, pageIndex||0);
	};
	joyMap.SearchNearBy = SearchNearBy;
	
	var SearchInCity = function(pageIndex){
		if(plus.networkinfo.getCurrentType()===plus.networkinfo.CONNECTION_NONE){
			plus.nativeUI.toast('手机未连接到网络，无法搜索');
			return;
		}
		if(!pageIndex){
			joyMap.layerView.drawBitmap('../images/map/layer.png',"bmpLayer");
			joyMap.map.clearOverlays();
			joyMap.searchPage = 0;
			joyMap.infoView.evalJS("mapInner.searchEnd=false;");
		} 
		joyMap.searchObj.poiSearchInCity(joyMap.city, joyMap.searchKey, pageIndex||0);
	};
	joyMap.SearchInCity = SearchInCity;
		
	var oldBack = $.back;
	var theBack = function(){
		var cview = plus.nativeObj.View.getViewById('cview');
		var goRoute = plus.nativeObj.View.getViewById('goRoute');
		var findMe = plus.nativeObj.View.getViewById('findMe');
		var backBtn = plus.nativeObj.View.getViewById('backBtn');
		var searchBtn = plus.nativeObj.View.getViewById('searchBtn');
		var dragView = plus.nativeObj.View.getViewById('dragView');
		var infoView = plus.webview.getWebviewById('infoView');
		var layerView = plus.nativeObj.View.getViewById('layer');
		if(cview) cview.close();
		if(goRoute) goRoute.close();
		if(findMe) findMe.close();
		if(backBtn) backBtn.close();
		if(searchBtn) searchBtn.close();
		if(dragView) dragView.close();
		if(infoView) infoView.close();
		if(layerView) layerView.close();
		oldBack();
	};
	$.back = theBack;
	
	var setBack = function(type){
		if(type=='INNER'){
			$.back = function(){
				joyMap.infoView.evalJS('mapInner.innerBack()');
				$.back = theBack;
			}
		}else{
			$.back = theBack;
		}
	};
	joyMap.setBack = setBack;
	
	var markerClick = function(marker){
		if(mui.os.android && marker.bringToTop) marker.bringToTop();
		if(joyMap.sMaker) joyMap.sMaker.setIcon(joyMap.sMaker.icon.replace('-s',''));
		joyMap.sMaker = marker;
		joyMap.sMaker.setIcon(marker.icon.substring(0,marker.icon.lastIndexOf('.'))+'-s.png');
		setCenter(marker.pos.point,18);
	};
	
	var showFavMarkers = function(a){
		joyMap.showFavorite = a;
		var img = a ?'../images/map/layer-s.png':'../images/map/layer.png';
		joyMap.layerView.drawBitmap(img,"bmpLayer");
		if(a){
			var favlist = myStorage.getItemPlus('favList')||[];
			//console.log('favlist:'+JSON.stringify(favlist));
			joyMap.favoriteMarkers = joyMap.favoriteMarkers||{};
			$.each(favlist, function(i,pos) {
				var point =  new plus.maps.Point(pos.lng,pos.lat);
				var marker = new plus.maps.Marker(point);
				pos.point = point;
				marker.pos = pos;
				var icon = '../images/map/fav.png';
				if(mui.os.ios&&icon.indexOf('/ios/')<0){
					icon = icon.replace('/map/','/map/ios/');
				}
				marker.icon = icon;
				marker.setIcon(marker.icon);
				marker.onclick = function(){
					markerClick(this);
					$.fire(joyMap.infoView,'showFavMakerInfo',{pos:this.pos});
				};
				joyMap.map.addOverlay(marker);
				joyMap.favoriteMarkers[i] = marker;
			});
		}else{
			joyMap.map.clearOverlays();
			joyMap.favoriteMarkers = null;
		}
	};
	joyMap.showFavMarkers = showFavMarkers;

	window.addEventListener('SearchInCity',function(){
		joyMap.searchType = 'SearchInCity';
		joyMap.makerImg = event.detail.img||joyMap.makerImg;
		joyMap.searchKey = event.detail.txt;
		SearchInCity();
	},false);
	
	window.addEventListener('SearchNearBy',function(){
		joyMap.searchType = 'SearchNearBy';
		joyMap.makerImg = event.detail.img||joyMap.makerImg;
		joyMap.searchKey = event.detail.txt;
		SearchNearBy();
	},false);
	
	window.addEventListener('NextPage',function(){
		joyMap[joyMap.searchType](joyMap.searchPage+1);
	},false);
	
	var openMapByScheme = function(src,dst,dname){	
		var amapIsExist = false,bmapIsExist=false,theScheme='';
		var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		if(mui.os.ios){
			amapIsExist=plus.runtime.isApplicationExist({action:'iosmap://'});
   			if(amapIsExist){
   				theScheme = 'iosmap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
   			}else{
   				bmapIsExist=plus.runtime.isApplicationExist({action:'baidumap://'});
   				if(bmapIsExist){
   					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
   				}
   			}
		}else{
			amapIsExist=plus.runtime.isApplicationExist({pname:'com.autonavi.minimap',action:'androidamap://'});
			if(amapIsExist){
				theScheme = 'androidamap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
			}else{
				bmapIsExist=plus.runtime.isApplicationExist({pname:'com.baidu.baiduMap',action:'baidumap://'});
				if(bmapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}
		if(theScheme){
			theScheme=common.utils.patternStrPlus(theScheme,routeData);
		}else{
			theScheme=common.utils.patternStrPlus(amapUri,routeData);
		}
		plus.runtime.openURL(theScheme);
	};
	var openSysMap = function(src,dst,dname){
		plus.maps.openSysMap(dst,dname,src);
		var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		var iweb = setTimeout(function(){
			plus.runtime.openURL(common.utils.patternStrPlus(amapUri,routeData));
		},500);
		document.addEventListener('pause',function(){
			clearTimeout(iweb);
		},false);
	};
	window.addEventListener('GoThere',function(){
		var src = joyMap.myPoint,
			marker = event.detail.index!==undefined?joyMap.resultMarkers[event.detail.index]:joyMap.sMaker,
			dst = marker.pos.point,
			des = marker.pos.name;

		var wgsSrc = GPS.gcj_decrypt(src.latitude,src.longitude);
		var srcPoint = new plus.maps.Point(wgsSrc.lon,wgsSrc.lat);
		var wgsDst = GPS.gcj_decrypt(dst.latitude,dst.longitude);
		var dstPoint = new plus.maps.Point(wgsDst.lon,wgsDst.lat);
		
		//openSysMap(srcPoint,dst,des);
		openMapByScheme(srcPoint,dstPoint,des);
	},false);

	window.addEventListener('SelectMaker',function(){
		var index = event.detail.index;
		var marker;
		if(index!==undefined){
			marker = joyMap.resultMarkers[index];
		} 
		if(marker) {
			markerClick(marker);
			$.fire(joyMap.infoView,'showMakerInfo',{pos:marker.pos});
		}
	},false);
	
	window.addEventListener('ShowMaker',function(){
		var marker = null;
		var index = event.detail.index;
		var marker;
		if(!isNaN(index)){
			if(joyMap.favoriteMarkers){
				marker = joyMap.favoriteMarkers[index];
			}else{
				var favList = myStorage.getItemPlus('favList')||[];
				var pos = favList[index];
				if(pos){
					var point =  new plus.maps.Point(pos.lng,pos.lat);
					marker = new plus.maps.Marker(point);
					pos.point = point;
					marker.pos = pos;
					var icon = '../images/map/fav.png';
					if(mui.os.ios&&icon.indexOf('/ios/')<0){
						icon = icon.replace('/map/','/map/ios/');
					}
					marker.icon = icon;
					marker.setIcon(marker.icon);
					marker.onclick = function(){
						markerClick(this);
						$.fire(joyMap.infoView,'showFavMakerInfo',{pos:this.pos});
					};
					joyMap.map.addOverlay(marker);
				}
			}
		} 
		if(marker){
			markerClick(marker);
			$.fire(joyMap.infoView,'showFavMakerInfo',{pos:marker.pos});
		}
	},false);

	window.addEventListener('SetRange',function(){
		joyMap[joyMap.searchType](0,event.detail.range);
	},false);
	
	window.addEventListener('showFavMarkers',function(){
		joyMap.showFavMarkers(joyMap.showFavorite);
	},false);
	
	$.plusReady(function(){
		joyMap.nearRange = myStorage.getItemPlus('mapSearchRange')||2000;
		
		joyMap.map = new plus.maps.Map('em',{zoomControls:false,position: 'abuslute'});
		joyMap.map.showUserLocation(true);
		joyMap.map.getUserLocation(function(state,point){
			if(state!==0) return;
			joyMap.myPoint = point;
			joyMap.map.centerAndZoom(point,18);
			if(!joyMap.city){
				var url = 'http://api.map.baidu.com/geocoder/v2/?location='
				+ point.latitude+','+point.longitude
				+ '&output=json&pois=1&ak=hHe9D5WvTXS14U5cMKoS0Gi2MbaqfVg6';
				mui.getJSON(url,function(data){
				   joyMap.city = data.status===0&&data.result.addressComponent?data.result.addressComponent.city:'北京';
				});
			}
			
			joyMap.findMe = plus.nativeObj.View.getViewById('findMe');
			if(!joyMap.findMe){
				var top = viewHeight - 44 - 33 - bottomSafeHeight;
				joyMap.findMe = new plus.nativeObj.View('findMe',{
					top:top+'px',left:'10px',height:'30px',width:'30px'
				},[{
					id:'bmpFind',tag:'img',
					position:{top:'0px',left:'0px',width:'100%',height:'100%'},
					src:'../images/map/find.png'
				}]);
				joyMap.findMe.interceptTouchEvent(true);
				joyMap.findMe.addEventListener('click',function(){
					console.log('findme');
					joyMap.findMe.drawBitmap("../images/map/find-ing.png","bmpFind");
					var cpoint = joyMap.map.getCenter();
					setCenter(joyMap.myPoint,14);
					if(joyMap.searchKey && joyMap.searchType === 'SearchNearBy'){
						plus.maps.Map.calculateDistance(cpoint, joyMap.myPoint,function(res){
					 		if(res.distance>500){
					 			joyMap[joyMap.searchType]();
					 		}
					 	});
					}
				},false);
				plus.webview.currentWebview().append(joyMap.findMe);
			}
		});
		
		createView();
		var showFavorite = myStorage.getItemPlus('mapAutoShowFav')||false;
		showFavMarkers(showFavorite);
	
		joyMap.map.onstatuschanged = function(e){
			console.log("StatusChanged: ",e);
			var cpoint = joyMap.map.getCenter();
			if(!e.center.equals(cpoint)){
				//setCenter(e.center);
				if(joyMap.findMe)joyMap.findMe.drawBitmap("../images/map/find.png",'bmpFind');	
				if(joyMap.searchKey && joyMap.searchType==='SearchNearBy' && 
					(joyMap.viewState==='searchResultHalf'||joyMap.viewState==='showMoreBtn')){
					plus.maps.Map.calculateDistance(cpoint, e.center,function(res){
				 		if(res.distance>500){
				 			joyMap[joyMap.searchType]();
				 		}
				 	});
				}
			}
		};	
		
		joyMap.searchObj = new plus.maps.Search(joyMap.map);
		joyMap.searchObj.onPoiSearchComplete = function( state, result ){
			//plus.nativeUI.closeWaiting();
			console.log("onPoiSearchComplete: "+state+" , "+result.currentNumber+" , "+result.pageIndex+" , "+result.totalNumber);
			if (state === 0) {
				joyMap.searchPage = result.pageIndex;
				if(result.pageIndex===1){
					joyMap.map.setZoom(12);
					joyMap.resultMarkers = {};
				} 
				var poss = [];
				for(var i=0; i<result.currentNumber; i++){
					var pos = result.getPosition(i);
					//console.log('pos'+i+':'+JSON.stringify(pos));
					var marker = new plus.maps.Marker(pos.point);
					pos.uuid = marker._UUID_;
					poss.push(pos);
					marker.pos = pos;
					var icon = joyMap.makerImg;
					if(mui.os.ios&&icon.indexOf('/ios/')<0){
						icon = icon.replace('/map/','/map/ios/');
					}
					marker.icon = icon;
					marker.setIcon(marker.icon);
					joyMap.map.addOverlay(marker);
					//joyMap.resultMarkers[i] = marker;
					joyMap.resultMarkers[marker._UUID_] = marker;
					marker.onclick = function(){
						markerClick(this);
						$.fire(joyMap.infoView,'showMakerInfo',{pos:joyMap.sMaker.pos});
					};
				}
				$.fire(joyMap.infoView,'showResult',{state:state,result:result,poss:poss});
			} else {
				$.fire(joyMap.infoView,'showResult',{state:state,result:result});
				if(joyMap.searchPage===0) $.toast("未搜索到相关位置");
			}
		};
		joyMap.searchObj.onRouteSearchComplete = function ( state, result ) {
			console.log("onRouteSearchComplete: "+state+" , "+result.routeNumber);
			if (state == 0 && result.routeNumber>0) {
				joyMap.map.setZoom(16);
				if(joyMap.route) joyMap.map.removeOverlay(joyMap.route);
				joyMap.route = result.getRoute(0);
				joyMap.map.addOverlay(joyMap.route);
			}
		};
	});
	$.ready(function(){
		var location = myStorage.getItem("location");
		if(location&&location.address) joyMap.city = location.address.city;
	});


})(mui,window.joyMap={});