(function($,app,myStorage) {
	window.main = window.main||{};
	var level2=4;
	var selectParams={"pageNo":1,"pageSize":10,lat:"39.90793074",lon:"116.39131928",level1:1,level2:4,cityCode:110000,content:"",orderby:0};//默认显示口腔齿科
	var tj_default_params = {"pageNo":1,"pageSize":10,lat:"39.90793074",lon:"116.39131928",level1:1,level2:6,cityCode:110000,content:"",orderby:0};//默认显示口腔齿科
	
	$('#health').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
	});
	$.init();
	var cur_index=0;
	main.joyFun = {
		inited:false,
		init:function(){
	    	main.joyFun.inited = true;
	    	geo.getPoint(initData);
	    }
	};
	//改变城市
	var changeCityHandler = function(event) {
		var city = event.detail;
		selectParams.cityCode=city.cityCode;
		tj_default_params.cityCode=city.cityCode;
		$(".productList")[0].setAttribute("load","non_load");
		$(".productList")[1].setAttribute("load","non_load");
		if(level2==4){
			storeList(selectParams,0);
		}else{
			storeList(tj_default_params,1)
		}
	};
	window.addEventListener("changeCity", changeCityHandler, false);
	if(window.imbar && imbar.isImmersedStatusbar){
		var immer_bar_hig = window.imbar.navBarHeight;
		g("businessIcon").style.marginTop=immer_bar_hig+"px";
	};
	
	function keepOneDecimal(num) {
	  var result = parseFloat(num);
	  if (isNaN(result)) {
	 	$.toast('传递参数错误，请检查！');
	 	return false;
	  }
	  result = Math.round(num * 10) / 10;
	  return result;
	};

	function storeList(sendData,num){
		tijianSvc.searchNewStore(sendData).then(function (res) {
			var cons = res.storeList;
			var parentNode=$(".productList")[num].parentNode;
			$(".productList")[num].innerHTML="";
			if(cons.length>0){
				var htmlCon=[];
				var distance;
				for(var i in cons){
					if(cons[i].distance.indexOf("km")>0){
						distance = parseFloat(cons[i].distance);
						distance = keepOneDecimal(distance);
						if(distance>=50){
							distance = "50+km";//
						}else{
							distance = distance+"km";
						}
					}else{
						distance = parseFloat(cons[i].distance);
						if(distance<100){
							distance="<100m";
						}else{
							distance = cons[i].distance;//米
						}
					};
					var impressions="";
					if(cons[i].impressions.length>0){
						for(var m=0;m<cons[i].impressions.length;m++){
							impressions=impressions+'<span>'+cons[i].impressions[m].describe+'</span>';
						};
					};
					var more_pro='';
					if(cons[i].saleProductCount>2){
						more_pro='<p class="all_sale_pro" dis="'+distance+'" storeId="'+cons[i].storeId+'">查看全部在售'+cons[i].saleProductCount+'个产品></p>';
					};
					var starRank="";
					//店铺相关产品
					var storePro='',type='',avgPrice='';
					if(cons[i].productList){
						if(cons[i].avgPrice!=0){
							avgPrice='¥'+cons[i].avgPrice+"/人";
						}
						starRank='<p class="starRank"><label><img src="o2o/image/full-star.png" /></label>'+
						'<label><img src="o2o/image/full-star.png" /></label><label>'+
						'<img src="o2o/image/full-star.png" /></label><label><img src="o2o/image/full-star.png" /></label><label><img src="o2o/image/darkstar.png" /></label><span>'+avgPrice+'</span></p>';
						for(var k=0;k<cons[i].productList.length;k++){
							if(cons[i].productList[k].systematicLevel1){
								type='['+cons[i].productList[k].systematicLevel1+']';
							}
							storePro+='<div class="pro" dis="'+distance+'" proId="'+cons[i].productList[k].productId+'" storeId="'+cons[i].storeId+'" s_name="'+cons[i].storeName+'">'+
							'<p class="store_pro_name mui-ellipsis"><label class="buy">团</label><label>'+type+
							'</label><label>'+cons[i].productList[k].productName+'</label></p>'+
							'<p class="pro_sale"><span><label class="cur_price">'+cons[i].productList[k].salesPrice+
							'元</label><label class="old_price">'+cons[i].productList[k].originalPrice+'元</label></span><span>已售'+cons[i].productList[k].saleCount+'</span></p></div>';
						}
					};
					//商圈
					var areaCircle="";
					if(cons[i].businessArea){
						areaCircle='<label class="area_name">'+cons[i].businessArea+'</label>';
					};
					if(cons[i].levelName3){
						areaCircle+='<label class="area_name">'+cons[i].levelName3+'</label>';
					}
					var oDiv = document.createElement("div");
					oDiv.setAttribute("class","produce_detail");
					htmlStr = '<div class="place" storeId="'+cons[i].storeId+'" dis="'+distance+'">'+
								'<div class="locationPic" style="background:url('+cons[i].thumbnail+') no-repeat left top;background-size: cover;"></div>'+
								'<div class="locationInfo"><p class="locationName mui-ellipsis">'+cons[i].storeName+'</p>'+starRank+
								'<div class="location mui-ellipsis">'+areaCircle+'</div>'+
								'<div class="location impression">'+impressions+'</div>'+storePro+
								more_pro+'</div><div class="distance">'+distance+'</div></div>';
					oDiv.innerHTML=htmlStr;
					
					$(".productList")[num].appendChild(oDiv);
				}
				setTimeout(function(){
					var hig=$(".productList")[num].offsetHeight;
					if(hig>0){
						g("dianpu").style.height=hig+40+"px";
						$(".productList")[num].setAttribute("hig",g("dianpu").style.height)
					}
				},150)
				
				$(".clickMore")[num].classList.remove("mui-hidden")
			}else{
				var no_pro='<p class="noDataTips">暂时没有相关产品</p>';
				$(".productList")[num].innerHTML=no_pro;
				g("dianpu").style.height="60px";
				$(".clickMore")[num].classList.add("mui-hidden")
			}
			
			$(".productList")[num].setAttribute("load","load")
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	
	function initData(coords){
		if(coords){
			selectParams.lat = coords.latitude;
			selectParams.lon = coords.longitude;
			tj_default_params.lat = coords.latitude;
			tj_default_params.lon = coords.longitude;
		};
		var cur_city = app.getCity();
		var cityCode = cur_city.cityCode;
		selectParams.cityCode=cur_city.cityCode;
		tj_default_params.cityCode=cur_city.cityCode;
		storeList(selectParams,0);
	};
//	var scrollDiv = document.getElementById('health');
//	scrollDiv.addEventListener('scroll',function(e){
//		var scrollTop = e.detail.maxScrollY;
//		var y =  e.detail.y;
//		if(y==scrollTop){
//			if(level2==4){
//				$(".clickMore")[0].classList.remove("mui-hidden")
//			}
//			if(level2==6){
//				$(".clickMore")[1].classList.remove("mui-hidden")
//			}
//		}else{
//			$(".clickMore")[0].classList.add("mui-hidden");
//			$(".clickMore")[1].classList.add("mui-hidden")
//		}
//	},false);
 //切换品牌
//  $("#sliderSegmentedControl").on('tap','a',function(){
//		level2 = this.getAttribute("type");
//		var index=this.getAttribute("sort");
//		if(index==0){
//			// 判断之前是否加载
//			var load=$(".productList")[index].getAttribute("load");
//			if(load=="load"){
//				console.log("已加载")
//			}else{
//				storeList(selectParams,0)
//			}
//		}else{
//			var load=$(".productList")[index].getAttribute("load");
//			if(load=="load"){
//				console.log("已加载")
//			}else{
//				storeList(tj_default_params,1)
//			}
//		}
//	},false);
	g('slider').addEventListener('slide', function(event) {
		var cates = g('sliderSegmentedControl').children;
		level2 = cates[event.detail.slideNumber].getAttribute("type");
		var index=cates[event.detail.slideNumber].getAttribute("sort");
		if(index==0){
			// 判断之前是否加载
			var load=$(".productList")[index].getAttribute("load");
			if(load=="load"){
				var hig=$(".productList")[index].getAttribute("hig");
				g("dianpu").style.height=hig;
				mui('#health').scroll().scrollTo(0,0,10);
			}else{
				storeList(selectParams,0)
			}
		}else{
			var load=$(".productList")[index].getAttribute("load");
			if(load=="load"){
				var hig=$(".productList")[index].getAttribute("hig");
				g("dianpu").style.height=hig;
				mui('#health').scroll().scrollTo(0,0,10);
			}else{
				storeList(tj_default_params,1)
			}
		}
	},false);
	$("#dianpu").on("tap",".clickMore",function(){
		$.openWindow('o2o/storelist.html?level2='+level2)
	})
	//点击进入对应页面
	$("#zwIcon").on("tap",".type_icon",function(){
		var href= this.getAttribute("jHref");
		var name= this.getAttribute("name");
		name= encodeURIComponent(name)
		$.openWindow(href+"&name="+name);
	});
	$("#healthIcon").on("tap","a",function(){
		var type= this.getAttribute("type");
		if(type=="check"){
			var level2 = this.getAttribute("level2");
			var href= 'o2o/storelist.html?level2='+level2;
			$.openWindow(href);
		};
		if(type=="bx"){
			$.openWindow("insurances.html")
		}
		if(type=="yp"){
			app.openUrl("http://m.ddky.com/index.html?channel=chayue")
		}
	});
	//进入店铺详情
	$('#dianpu').on('tap','.place',function(){
		var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		if(level2==6){
			$.openWindow("o2o/tijian_store.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}else{
			$.openWindow("o2o/hospital.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}
	},false);
	//进入店铺详情
	$('#dianpu').on('tap','.all_sale_pro',function(){
 		var storeId = this.getAttribute("storeId");
		var dis = this.getAttribute("dis");
		if(level2==6){
			//体检跳转到原页面
			$.openWindow("o2o/tijian_store.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}else{
			$.openWindow("o2o/hospital.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}
	},false);
	//进入产品详情
	$('#dianpu').on('tap','.pro',function(e){
		var evt=e||event;
		evt.stopPropagation();
		var storeId=this.getAttribute("storeId");
		var pid=this.getAttribute("proId");
		var distance=this.getAttribute("dis");
		var storeName=this.getAttribute("s_name");
		$.openWindow("o2o/pro_detail.html?proId="+pid+"&distance="+distance+"&storeId="+storeId+"&level2="+level2+"&storeName="+encodeURIComponent(storeName))
	},false);
})(mui,app,myStorage);