(function($,app,myStorage) {
	window.main = window.main||{};
	main.myPageFun = {
		inited:false,
		pullHandler:null,
		secNum:1,
	    funNum:0,
	    favNum:0,
	    orderNum:0,
	 	getSecNum:function (callback) {
	        appSvc.getSecNum().then(function (data) {
	            main.myPageFun.secNum = data;
	            jel('#secNum').html(data + '张');
	            if(callback) callback(data);
	        });
	    },
	    getFunNum:function (callback) {
	        appSvc.getFunNum().then(function (data) {
	            main.myPageFun.funNum = data;
	            jel('#funNum').html(data + '张');
	            if(callback) callback(data);
	        });
	    },
	    getFavNum:function () {
	        newsSvc.getFavNum().then(function (data) {
	            main.myPageFun.favNum = data;
	            jel('#favNum').html(data);
	        });
	    },
	    getOrderNum:function () {
	        appSvc.getUserOrderNum().then(function (data) {
	            main.myPageFun.orderNum = data;
	             if(data!='0'){
	            	g('orderNum').classList.remove('mui-hidden');
	            	jel('#orderNum').html(data);
	             }else{
					g('orderNum').classList.add('mui-hidden');
	            	g('orderNum').innerHTML = '1';
	            }
	        });
	    },
	    getPersonInfo:function (pull) {
	    	appSvc.getPersonInfo().then(function(data){
				main.myPageFun.secNum = data.joyCardNum;
				main.myPageFun.funNum = data.joyFundNum;
				main.myPageFun.orderNum = data.joyOrderNum;
				main.myPageFun.joyConsultNum = data.joyConsultNum;
				jel('#secNum').html(data.joyCardNum + '张');
				jel('#funNum').html(data.joyFundNum + '张');
	    		if(data.joyOrderNum !== 0){
	    			jel('#orderNum').removeClass('mui-hidden');
	    		 	jel('#orderNum').html(data.joyOrderNum);
	    		}else{
	    			jel('#orderNum').addClass('mui-hidden');
	    		}
	    		if(data.joyConsultNum !== 0){
	    			//jel('#quesNum').removeClass('mui-hidden');
	    		 	//jel('#quesNum').html(data.joyConsultNum);
	    		 	jel('#advices .oicon').addClass('red-corner-dot');
	    		}else{
	    			//jel('#quesNum').addClass('mui-hidden');
	    			jel('#advices .oicon').removeClass('red-corner-dot');
	    		}
	    		if(pull) pull.endPullDownToRefresh();
	    	}).catch(function(err){
	    		if(pull) pull.endPullDownToRefresh();
	    		console.error(err.message,err);
	    	});
	    },
	    getReplyState:function () {
	        appSvc.getReplyState().then(function (data) {
	            if(data!=='0'){
	            	jel('#advices .oicon').addClass('red-corner-dot');
	            	jel('#tab-mypage .mui-icon').addClass('red-corner-dot');
	            }else{
	            	jel('#advices .oicon').removeClass('red-corner-dot');
	            	jel('#tab-mypage .mui-icon').removeClass('red-corner-dot');
	            }
	        });
	    }, 
	    getUserInfo:function () {
	        userSvc.getUserInfo(true).then(function (user) {
	            main.myPageFun.setUserMore();
	        });
	    },
	    setUserMore:function (info) {
	    		var info = app.getUser();
	        if(info.headBase64){
	        		jel('#headimg').attr('src',info.headBase64);
	        }else if(info.headPath){
	        		jel('#headimg').attr('src',info.headPath);
	        }else{
	        		jel('#headimg').attr('src','../images/user-photo.png');
	        }
	        jel('#uname').text(info.userName||'');
	        jel('#mobile').text(info.mobile||'');
	    },
	    showVersion:function(){
	     	var newVer = myStorage.getItem('newVersion');
	     	var curVer = myStorage.getItem('appver');
	     	jel('#version-code').text(curVer);
	    	if(newVer && newVer!==curVer){
	            jel('#verPan').addClass('red-dot');
	        }
	    },
	    refresh:function (pull){
	    	 	// 我的页面更新
	        if(app.checkLogin()){
	        		jel('#register').removeClass('mui-hidden');
	            jel('#register').text('');
	        		jel('#topHandSelf').removeClass('mui-hidden');
	        		jel('#uname').addClass('middle');
				main.myPageFun.getFavNum();
				main.myPageFun.getPersonInfo(pull);
	            main.myPageFun.setUserMore();
	            //main.myPageFun.getReplyState();
	        }else{
	            jel('#headimg').attr('src','../images/user-photo.png');
	            jel('#uname').text('未登录');
	            jel('#topHandSelf').addClass('mui-hidden');
	            jel('#register').removeClass('mui-hidden');
	            jel('#register').text('点击登录/注册');
	            jel('#uname').removeClass('middle');
	            //jel('#orderNum').html('');
	            //jel('#favNum').html('');
	            //jel('#quesNum').html('');
	            jel('#secNum').html('');
	            jel('#funNum').html('');
	            
	            jel('#orderNum').addClass('mui-hidden');
	            //jel('#quesNum').addClass('mui-hidden');
	            jel('#advices .oicon').removeClass('red-corner-dot');
	            jel('#tab-mypage .mui-icon').removeClass('red-corner-dot');
	            
	            if(pull) pull.endPullDownToRefresh();
	        }
	    },
	    openSecPage:function () {
	        var state = app.getState();
	        if(!state.token){
	            app.toLogin();
	        }else{
	        	if(main.myPageFun.secNum==0){
	        		plus.nativeUI.showWaiting();
	        		main.myPageFun.getSecNum(function(num){
	        			if(num>0){
	        				$.openWindow({id:'sbk',url:'sbk-list.html'});
	        			}else{
	        				app.showSheBaoAdd();
	        			}
	        			plus.nativeUI.closeWaiting();
	        		});
	        	}else{
	        		$.openWindow({id:'sbk',url:'sbk-list.html'});
	        	}
	        }
	    },
	    openFundPage:function () {
	        var state = app.getState();
	        if(!state.token){
	            app.toLogin();
	        }else {
	        	if(main.myPageFun.funNum==0){
	            	plus.nativeUI.showWaiting();
	        		main.myPageFun.getFunNum(function(num){
	        			if(num>0){
	        				$.openWindow({id:'gjj',url:'gjj-list.html'});
	        			}else{
	        				app.showGongJiJinAdd();
	        			}
	        			plus.nativeUI.closeWaiting();
	        		});
		        }else {
		            $.openWindow({id:'gjj',url:'gjj-list.html'});
		        }
	        }
	    },
	    openFavPage:function () {
	        var state = app.getState();
	        if(!state.token){
	            app.toLogin();
	        }else{
	            $.openWindow({id:'favorites',url:'favorites.html'});
	        }
	    },
	    // 个人资料
	    openUserPage:function (e) {
	    		e.stopPropagation();
	        var state = app.getState();
	        if(state.token){
	        		$.openWindow({id:'userInfo',url: 'my-info.html'});
	        }else{
	            app.toLogin();
	        }
	    },
	  	// 个人中心
	  	openUserSelf:function(e){
	  		e.stopPropagation();
	  		var state = app.getState();
	  		if(state.token){
	  			$.openWindow({id:'topHandSelf',url: 'my-self.html'});
	  		}else{
	  			app.toLogin();
	  		}
	  	},
	    openAdvicesPage:function () {
	        var state = app.getState();
	        if(state.token){
	            //$.openWindow({id:'advices',url:'advice-list.html'});
	            $.openWindow({id:'zixun-list',url:'zixun.html?type=0&back=1&classify=zixun'});
	        }else{
	            app.toLogin();
	        }
	    },
	    //社保订单
	    openOrdersPage:function () {
	        var state = app.getState();
	        if(state.token){
	            $.openWindow({id: 'orders',url:'order-list.html'});
	        }else{
	            app.toLogin();
	        }
	    }, 
	    // 联系方式
	    opentelways:function(){
	    		var state = app.getState();
	    		$.openWindow({id: 'contact',url:'order-contact.html'});
//	    		if(state.token){
//	            $.openWindow({id: 'contact',url:'order-contact.html'});
//	        }else{
//	            app.toLogin();
//	        }
	    },
	    // 保险订单
	    openinsureways:function(){
	    		var state = app.getState();
	    		if(state.token){
	            $.openWindow({id: 'insurance',url:'bx-order-list.html'});
	        }else{
	            app.toLogin();
	        }
	    },
	    openFootPrint:function(){
	    		// 我的足迹
	    		$.openWindow({id: 'footprint',url:'footPrint.html'});
	    },
	    openComment:function(){
	    		// 最近评论
	    		var state = app.getState();
	    		if(state.token){
	            $.openWindow({id: 'topHandSelf',url:'my-self.html'});
	        }else{
	            app.toLogin();
	        }
	    },
	    openCommentPage: function(){
	    		var state = app.getState();
	        if(!state.token){
	            app.toLogin();
	        }else{
	            $.openWindow({id:'myComment',url:'my-comment.html'});
	        }
	    },
		setContacts:function(){
			// 联系方式
			appSvc.getContacts('myPageContacts').then(function(data){
				if(!data||!data.length) return;
				var html = [];
				$.each(data,function(i,item){
					var href = '';
					if(item.mlType==3){
						href='href="tel:'+item.mlContent+'"';
					}else if(item.mlType==4){
						href='href="mailto:'+item.mlContent+'"';
					}
					html = html.concat(['<li class="mui-table-view-cell">',
						'<a ',href,' type="',item.mlType,'" text="',item.mlContent,'">',
							'<svg class="icon" aria-hidden="true">',
			                    '<use xlink:href="#',item.mlImgPath,'"></use>',
			                '</svg>',
							'<span> ',item.mlTitle,'</span>',
							'<span class="color-dark pull-right">',item.mlContent,'</span>',
						'</a>',
					'</li>']);
				});
//				g('myPageContacts').innerHTML=html.join('');
			}).catch(function(err){
				console.error(err.message,err);
			});
			
			$('#myPageContacts').off();
			$('#myPageContacts').on('tap','.mui-table-view-cell a',function(){
				var action = this.getAttribute('type');
				var txt = this.getAttribute('text');
				if(action=='1'){
					app.copyText(txt);
		        	    $.toast('号码已复制到剪贴板');
				}else if(action=='2'){
					app.copyText(txt);
					plus.runtime.openURL('mqqwpa://im/chat?chat_type=crm&uin='+txt+'&version=1&src_type=web&web_src=http:://wpa.b.qq.com');
				}else if(action=='3'){
					plus.runtime.openURL('tel:'+txt);
				}else if(action=='5'){
					app.openMultiURL(txt);
				}
			});
		},
		init:function(){
		    	main.myPageFun.inited = true;
		    	$('#myPageScroll').scroll({
				deceleration: 0.0005,
				indicators: false,
				bounce:false
			});
			$('#myPagePull').pullToRefresh({
				down: {
					callback: function() {
						main.myPageFun.refresh(this);
					}
				}
			});
			main.myPageFun.setContacts();
			main.myPageFun.refresh();
		    main.myPageFun.showVersion();

			share.initShare('share',null,function(){
				mui.toast('分享成功');
	        },function(e){
				mui.toast('分享失败');
	        });
	
		    g('setting').addEventListener('tap',function () {
		        $.openWindow({id:'setting',url:'setting.html'});
		    },false);
		    
		    g('checkBar').addEventListener('tap',function () {
			    update.checkVersion(function(flag){
					if(flag){
		                $.toast('已是最新版本');
		                jel('#verPan').removeClass('red-dot');
		            }else{
						jel('#verPan').addClass('red-dot');
		            }
				},true);
		    },false);
		    
		    g('mark').addEventListener('tap',function(){
				if(mui.os.android){
					plus.runtime.openURL('market://details?id=com.joyshebao.joy');
				}else if(mui.os.ios){
					plus.runtime.openURL('itms-apps://itunes.apple.com/us/app/id1136573266');
				}	
			},false);
			
			g('myPageScroll').addEventListener('scroll',function(e){
				var hdlH = g('topHandler').offsetHeight - 44;
				var st = Math.abs(e.detail.lastY);
				if(st>=0 && st<hdlH){
					var scale = st/hdlH;
//					g('myNav').style.opacity = g('topHandler').style.opacity = st/hdlH;
//					g('userInfo').style.transform= 'scale('+(1-scale)+')';
				}else{
//					g('myNav').style.opacity = g('topHandler').style.opacity = '1';
//					g('userInfo').style.transform= 'scale(0)';
				}
			},false);
		    g('myPageScroll').addEventListener('scrollend',function(e){
				var hdlH = g('topHandler').offsetHeight - 44;
				var st = Math.abs(e.detail.lastY);
				if(st>=hdlH){
//					g('myNav').style.opacity = g('topHandler').style.opacity = '1';
//					g('userInfo').style.transform= 'scale(0)';
				}
			},false);
			// 我的页面列表
		    g('favorites').addEventListener('tap',main.myPageFun.openFavPage,false);
		    g('sbk').addEventListener('tap',main.myPageFun.openSecPage,false);
		    g('gjj').addEventListener('tap',main.myPageFun.openFundPage,false);
		    g('topHandler').addEventListener('tap',main.myPageFun.openUserPage,false);
			//g('topHandImg').addEventListener('tap',main.myPageFun.openUserPage,false);//个人资料
		    g('topHandSelf').addEventListener('tap',main.myPageFun.openUserSelf,false);//个人中心
		    g('advices').addEventListener('tap',main.myPageFun.openAdvicesPage,false);
		    g('orders').addEventListener('tap',main.myPageFun.openOrdersPage,false);
		    g('contact').addEventListener('tap',main.myPageFun.opentelways,false);//联系方式
		    g('insurance').addEventListener('tap',main.myPageFun.openinsureways,false);//保险订单
		    g('footprint').addEventListener('tap',main.myPageFun.openFootPrint,false);// 我的足迹
		    g('recently-comment').addEventListener('tap',main.myPageFun.openComment,false);//最近评论
		    g('tijian').addEventListener('tap', function(){
		    		if(app.checkLogin()){
		    			$.openWindow({id: 'tijian-order-list',url: 'o2o/order/order-list.html'});
		    		}else{
		    			app.toLogin();
		    		}
		    }, false);
		    g('topHandImg').addEventListener('tap',function(){
		    		console.log('个人资料');
		    },false);//个人资料
//		    g('topHandFollow').addEventListener('tap',function(e){
//		    		console.log('关注');
//		    },false);
//		    g('topHandfans').addEventListener('tap',function(e){
//		    		console.log('粉丝');
//		    },false);
		}
	};

})(mui,app,myStorage);