(function($,app,myStorage) {
	window.main = window.main||{};
	main.newsFun = {
		inited:false,
		cateId:0,
		disabledPullUp:false,
		topicCates:[],
		sortChoose:null,
		sortUnChoose:null,
		follows:null,
		sortMask:null,
		pagers:{},
		listSetting:{
			page_num:1,
		    page_count:1,
		    page_size:10,
		    totalItems:0,
		    appendTime:0
		},
		// 创建分类列表选择框
		createChoose:function(){
	    		var choose = myStorage.getItem('myFollows') || [],
		    		cates = myStorage.getItem('newCates') || [],
		    		chtml=[],uhtml=[],carr = [],cid,cname;
	    		if(choose.length>0){
				carr = main.newsFun.getSortFollowIds(choose);
	            for(var i=0,len=choose.length;i<len;i++){
		            	cid = choose[i].documentClassSerial;
		            	cname = choose[i].documentClassName;
		            	chtml = chtml.concat([
		            		'<li cate="',cid,'" data-id="',cid,':',cname,'" class="cate-sort-item mui-ellipsis">',
		            			cname.trim(),
		            			'<span class="mui-icon mui-icon-closeempty"></span>',
		            		'</li>'
		            	]);
	            }
	            g('typeUl').innerHTML=chtml.join('');
			}else{
				g('typeUl').innerHTML=[
					'<li class="empty-follow mui-text-center mui-content-padded" style="color:#ddd;font-size:15px">',
						'您还没有订阅任何分类,赶快添加订阅吧!',
					'</li>'].join('');
			}
	    
		   for(var j=0,len=cates.length;j<len;j++){
	            	cid = cates[j].documentClassSerial;
	            	cname = cates[j].documentClassName;
	            	if(carr.indexOf(cid)<0){
	            		uhtml = uhtml.concat([
		            		'<li cate="',cid,'" data-id="',cid,':',cname,'" class="cate-sort-item mui-ellipsis">',
		            			cname.trim(),
	            				'<span class="mui-icon mui-icon-closeempty"></span>',
		            		'</li>'
		            	]);
	            	}
            }
	    		g('cates').innerHTML=uhtml.join('');
	    },
	    // 获取用户订阅分类
	    refresh: function(){
			newsSvc.getFollowClassList().then(function(res){
	    			var industry = myStorage.getItem('myFollows') || [],
	       			ndata = main.newsFun.setSortCates(res,industry);
	       		main.newsFun.follows = main.newsFun.getSortFollowIds(ndata);
	       		myStorage.setItem('myFollows',ndata);
	       		main.newsFun.createChoose();
		    	}).catch(function(err){
		    		console.error(err.message,err);
		    	});
	    },
	    createListHtml:function(first){
	        var all = myStorage.getItem('newCates') || [];
	        var choose = myStorage.getItem('myFollows') || [];
	        var chooseIds = main.newsFun.getSortFollowIds(choose);
	        for(var o in all){
		        	if(chooseIds.indexOf(all[o].documentClassSerial)==-1){
		        		choose.push(all[o]);
		        	}
	        }
	        if(!first && main.newsFun.follows.join('') === chooseIds.join('')) return;
	        var cateshtml=[],
	            cateList=g('cateList'),
	            pullRefresh=g('pullRefresh'),
	            cate,listi,cid,cname,sidx=0;
	        jel('#typeUl li.selected').removeClass('selected');
	        jel('#cates li.selected').removeClass('selected');
	        while(cateList.childElementCount>0){
		        	cateList.children[0].classList.remove('mui-active');
		        	g('tempTList').appendChild(cateList.children[0]);
	        }
	        while(pullRefresh.childElementCount>0){
		        	pullRefresh.children[0].classList.remove('mui-active');
		        	g('tempCList').appendChild(pullRefresh.children[0]);
	        }
			for(var i=0,len=choose.length;i<len;i++){
		        	cid = choose[i].documentClassSerial;
		        	cname = choose[i].documentClassName;
		        	cate = g('tempTList').querySelector('.mui-control-item[cate="'+cid+'"]');
		        	if(!cate){
		        		cate = document.createElement('a');
		        		cate_cont = document.createElement('span');
		            cate.className='mui-control-item';
		            cate.setAttribute('cate',cid);
		            cate.setAttribute('href','#cate'+cid);
		            cate_cont.innerHTML=cname.trim();
		            cate.appendChild(cate_cont);
				}
				cateList.appendChild(cate);
	        	
	        		listi = g('cate'+cid);
	        		if(!listi){
		            	listi = document.createElement('div');
				    	listi.id = 'cate'+cid;
			        listi.className='mui-slider-item mui-control-content';
			        listi.innerHTML = [
						'<div class="mui-scroll-wrapper">',
							'<div class="mui-scroll">',
								'<ul class="topic-list"></ul>',
							'</div>',
						'</div>'].join('');
			        
		        }
		        	pullRefresh.appendChild(listi);
		        	if(main.newsFun.cateId === cid){
		        		cate.classList.add('mui-active');
		        		listi.classList.add('mui-active');
		        		jel('#typeUl li[cate="'+cid+'"]').addClass('selected');
		        		sidx = i;
		        }
			}
			if(first){
				main.newsFun.setPullToRefresh();
	            $('#pullRefresh .mui-scroll-wrapper').scroll({
					bounce: false,
					indicators: true,
					deceleration:mui.os.ios?0.003:0.0009
		        });
	       }
	        var cateSlider = $('#cateSlider').slider();
	        var cateScroller = $('#scrollTopicCate').scroll();
			cateSlider.refresh();
			cateScroller.refresh();
	        cateSlider.gotoItem(sidx,0);
	    },
		updateMyFollows:function(){
			var myFollows = myStorage.getItem('myFollows');
			var newCates = myStorage.getItem('newCates');
			var cateIds = main.newsFun.getSortFollowIds(newCates);
			var newMyFollows = [];
			$.each(myFollows, function(i,cate) {
				if(cateIds.indexOf(cate.documentClassSerial)>=0){
					newMyFollows.push({
						'documentClassSerial':cate.documentClassSerial,
						'documentClassName':cate.documentClassName
					});
				}
			});
			myStorage.setItem('myFollows',newMyFollows);
			main.newsFun.follows = main.newsFun.getSortFollowIds(newMyFollows);
		},
		getSelectedFollowIds:function(){
			var follows=[],ci,
	    		els = document.querySelectorAll('#typeUl .cate-sort-item');
			for(var i=0,len=els.length;i<len;i++){
				ci = els[i].getAttribute('data-id').split(':');
				follows.push({
					'documentClassSerial':parseInt(ci[0]),
					'documentClassName':ci[1]
				});
			}
	    		return follows;
		},
		getSortFollowIds:function(follows){
			if(follows.length===0) return [];
			var result = [];		
			$.each(follows, function(i, val){
				result.push(val.documentClassSerial);
			})
			return result;
		},
		setSortCates:function(sdata,ldata){
		    	if(!ldata||ldata.length===0) return sdata;
		    	var ndata = [],idx,
	    		csdata = [].concat(sdata);
	    		nsdata = main.newsFun.getSortFollowIds(sdata);
		    	for(var i=0,len=ldata.length;i<len;i++){
		    		idx = nsdata.indexOf(''+ldata[i].documentClassSerial);
		    		if(idx>=0){
		    			ndata.push(ldata[i]);
		    			csdata.splice(idx,1,false);
		    		}
		    	}
		    	for(var j in csdata){
		    		if(csdata[j]) ndata.push(csdata[j]);
		    	}
		    	return ndata;
	    },
	    showChoose:function () {
		    	if(!g('popover').classList.contains('mui-active')){
		    		main.newsFun.sortMask = mui.createMask(function(){
		    			$.back = $.oldBack;
			    		main.newsFun.hideChooseAndPost();
		    		});
		    		main.newsFun.sortMask.show();
		    		g('popover').classList.add('mui-active');
		    		
		    		$.oldBack = $.back;
		    		$.back = function(){
		    			main.newsFun.sortMask.close();
		    		}
		    		
		    	}else{
		    		$.back = $.oldBack;
		    		main.newsFun.sortMask.close();
		    	}
	    },
	    hideChooseAndPost:function(){
			g('popover').classList.remove('mui-active');
			main.newsFun.endEdit();
			main.newsFun.createListHtml();
			main.newsFun.postFollows();
	    },
	    postFollows:function () {
		    	var choose = main.newsFun.getSelectedFollowIds();
		    	myStorage.setItem('myFollows',choose);
	        if(app.checkLogin()){
		        	var follows = main.newsFun.getSortFollowIds(choose);
			    	if(main.newsFun.follows.join('') === follows.join('')) return;
		        	newsSvc.modifyFollowClassBatch(1,follows).then(function(data){
		        		main.newsFun.follows = follows;
		        	}).catch(function(err){
		        		$.toast('保存订阅失败！');
		        		console.error(err.message,err);
		        	});
	    		}
	    },
		startEdit:function(){
			var els,i,j,len,clsbtn,ebtn=g('startEditBtn');
			g('typeUl').classList.add('inedit');
			ebtn.classList.add('active');
			ebtn.innerText='完成';
			ebtn.previousElementSibling.innerHTML='拖动改变顺序';
			main.newsFun.sortChoose = Sortable.create(g('typeUl'),{
		    		group: "choose",
		    		dragClass:'.cate-sort-item'
		    });	
			main.newsFun.sortUnChoose = Sortable.create(g('cates'),{
				group: "choose",
				dragClass:'.cate-sort-item',
				sort: false,
				onAdd: function (evt) {
					evt.item.classList.remove('selected');
				}
			});
		},
		endEdit:function(){
			var ebtn=g('startEditBtn');
			g('typeUl').classList.remove('inedit');
			ebtn.innerText='编辑';
			ebtn.previousElementSibling.innerHTML='点击进入分类';
			ebtn.classList.remove('active');
			if(main.newsFun.sortChoose){
				main.newsFun.sortChoose.destroy();
				main.newsFun.sortChoose = null;
			}
			if(main.newsFun.sortUnChoose){
				main.newsFun.sortUnChoose.destroy();
				main.newsFun.sortUnChoose = null;
			}
		},
		createListItem:function(item){
			var getNumFormatStr = function(num){
		    		if(!num) return '0';
		    		if(num>=10000){
		    			return (num/10000).toFixed(1)+'万';
		    		}else{
		    			return ''+num;
		    		}
		    	};
		    	var dauthor = {name:'悦社',img:'../images/joyshebao.png'};
			var li = document.createElement('li');
			li.className = 'article-item';
			var author = item.authorName?{
				name:item.authorName,
				img: item.authorHeadPath ? item.authorHeadPath : '../images/user-photo.png'
			}:dauthor;
			var thumbs = '';
			if(!main.newsFun.inited){
				thumbs = item.image?'<img src="'+item.image+'" />':'';
			}else{
				thumbs = item.image?'<img data-lazyload="'+item.image+'" src="../images/loading-news.png" />':'';
			}
			var imgCover = item.image?'<div class="img-cover"></div>':'';
			var videoUrl = item.type==2?item.videoUrl:'';
			var videoCover = videoUrl?'<div class="video-cover" aid="'+item.id+'" type="'+item.type+'" title="'+item.title+'">'
					+'<span class="video-btn jcon jcon-play"></span>'
	    		+'</div>':'';
			li.innerHTML= [
			'<div class="to_article" aid="',item.id,'" type="',item.type,'" title="',item.title,'" videoUrl="',videoUrl,'">',
				thumbs,videoCover,imgCover,
		        	'<div class="article_title">',item.title,'</div>',
		        	'<span class="yuedu before-dot fa fa-eye">',getNumFormatStr(item.readAmount),'</span>',
		        	'<p class="article_zhaiyao">',item.introduce,'</p>',
	        '</div>',
	        '<div class="article_function mui-clearfix">',
	        		'<span class="author_name" userid="',item.releaseOperator,'">',
					'<img src="',author.img,'"><span>',author.name,'</span>',
				'</span>',
	        		'<span class="pinglun jcon jcon-xiaoxi1" type="',item.type,'" title="',item.title,'" aid="',item.id,'">',
		        		'<i class="',(getNumFormatStr(item.replyCount) == '0'? 'hide': ''),'">',getNumFormatStr(item.replyCount),'</i>',
		        	'</span>',
	            '<span class="zhan jcon ',(item.agreeStates? 'jcon-dianzan1':'jcon-dianzan'), '" praise="0" praised="',item.agreeStates,'" type="',item.type,'" title="',item.title,'" aid="',item.id,'">',
	            		'<i praised="', item.agreeCount,'">',getNumFormatStr(item.agreeCount),'</i>','<b class="c-yellow"></b>',
	            '</span>',
	            '<span class="fun-more jcon jcon-gengduo',(item.isCollection?' light':''),'" collectioned="',item.isCollection?'1':'0','" aid="',item.id,'"></span>',
	        '</div>'].join('');
			return li;
		},
		getListHtml:function(list){
	        var fragment = document.createDocumentFragment();
	        for(var i in list){
		        	var li = main.newsFun.createListItem(list[i]);
		        	fragment.appendChild(li);
	        }
	        return fragment;
	    },
	    refreshDocList:function(){
			var city = app.getCity();

		},
	    getPager:function(){
		    	var pager = main.newsFun.pagers[''+main.newsFun.cateId];
		    	if(!pager){
		    		pager = {page_num:1, page_count:1, page_size:1, totalItems:0, appendTime:0};
		    		main.newsFun.pagers[''+main.newsFun.cateId] = pager;
		    	}
		    	return pager;
	    },
	    setPager:function(pager){
		    	var p = $.extend({},pager);
		    	main.newsFun.pagers[''+main.newsFun.cateId] = p;
	    },
	    // 悦社 更新列表
	    setPullToRefresh:function(){
			$.each(document.querySelectorAll('#pullRefresh .mui-scroll'), function(index, pullRefreshEl) {
				$(pullRefreshEl).pullToRefresh({
					down: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								main.newsFun.pulldownRefresh(self);
							}, 100);
						}
					},
					up: {
						callback: function() {
							var self = this;
							setTimeout(function() {
								main.newsFun.pullupRefresh(self);
							}, 100);
						}
					}
				});
			});
	    },
	    createLastList:function(data,con,Lazyload,pullSel){
	    		if(data && data.list.length>0){
	            //con.innerHTML='';
	            //con.appendChild(main.newsFun.getListHtml(data.list));
		    		var dlen = data.list.length,
		    			fNode = con.children[0];
	    			con.insertBefore(main.newsFun.getListHtml(data.list),fNode);
		    		setTimeout(function(){
		    			while(con.childElementCount>dlen){
						con.lastElementChild.remove();
					}
		    		},1);
				g('cate'+main.newsFun.cateId).querySelector('.mui-pull-bottom-tips').style.display='block';
				Lazyload.refresh(true);
			}else{
				con.innerHTML ='<li id="empty" class="empty-item"><span class="fa fa-3x fa-newspaper-o color-dark"></span><p class="color-dark">暂无此类文章</p></li>';
			}
			main.newsFun.listSetting.page_count = parseInt((data.pagination.totalItems+main.newsFun.listSetting.page_size-1)/main.newsFun.listSetting.page_size);
	        main.newsFun.listSetting.page_num = data.pagination.pageNum;
	        main.newsFun.listSetting.totalItems = data.pagination.totalItems;
	        main.newsFun.setPager(main.newsFun.listSetting);
		    	if(main.newsFun.listSetting.totalItems<=main.newsFun.listSetting.page_size){
		    		g('cate'+main.newsFun.cateId).querySelector('.mui-pull-bottom-tips').style.display='none';
		    		main.newsFun.disabledPullUp = true;
		    	}else if(!main.newsFun.disabledPullUp){
		    		g('cate'+main.newsFun.cateId).querySelector('.mui-pull-bottom-tips').style.display='block';
		    	}
		    	if(pullSel) pullSel.endPullDownToRefresh();
		    	if(pullSel) pullSel.endPullUpToRefresh(main.newsFun.listSetting.page_num>=main.newsFun.listSetting.page_count);
	    },
	    createCacheList:function(cateId){
		    	newsSvc.getCacheDocumentList(cateId).then(function(data){
		    		var ul = g('cate'+cateId).querySelector('.topic-list');
		    		var Lazyload = $('#cate'+main.newsFun.cateId).imageLazyload({
		    			placeholder: '../images/loading-news.png',
		    			autoDestroy: false
					});
		    		main.newsFun.createLastList(data,ul,Lazyload);
		    	});
	    },
	    pulldownRefresh:function (pullSel){
		    	var city = app.getCity();
		    	var ul = g('cate'+main.newsFun.cateId).querySelector('.topic-list');
		    	var Lazyload = $('#cate'+main.newsFun.cateId).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			newsSvc.getCacheFollowDocumentList(1,main.newsFun.listSetting.page_size,main.newsFun.cateId,city.cityCode)
			.then(function(data){
				g('tooltips').classList.add('mui-hidden');
				main.newsFun.createLastList(data,ul,Lazyload,pullSel);
				if(pullSel) pullSel.refresh(true);
			})
			.catch(function(err){
				if(pullSel) pullSel.endPullDownToRefresh();
				if(err.code=='0'){
					ul.innerHTML = '<li class="not-network"><span>点击页面 重新加载</span></li>';
				}else{
					$.toast(err.message);
				}
				console.error(err.message,err);
			});
	    },
	    pullupRefresh:function (pullSel){
	        var time = (new Date()).getTime() - main.newsFun.listSetting.appendTime;
		    	var city = app.getCity();
		    	var pager = main.newsFun.getPager();
		    	var Lazyload = $('#cate'+main.newsFun.cateId).imageLazyload({
				placeholder: '../images/loading-news.png',
				autoDestroy: false
			});
			newsSvc.getFollowDocumentList(pager.page_num+1,main.newsFun.listSetting.page_size,main.newsFun.cateId,city.cityCode).then(function(data){
	        		if(data.list.length>0){
	               	var ul = g('cate'+main.newsFun.cateId).querySelector('.topic-list');
	               	ul.appendChild(main.newsFun.getListHtml(data.list));
					Lazyload.refresh(true);
	            }
				main.newsFun.listSetting.appendTime = (new Date()).getTime();
	            main.newsFun.listSetting.page_count = parseInt((data.pagination.totalItems+main.newsFun.listSetting.page_size-1)/main.newsFun.listSetting.page_size);
	            main.newsFun.listSetting.page_num = data.pagination.pageNum;
	            main.newsFun.listSetting.totalItems = data.pagination.totalItems;
	            main.newsFun.setPager(main.newsFun.listSetting);
	            if(pullSel) pullSel.endPullUpToRefresh(main.newsFun.listSetting.page_num>=main.newsFun.listSetting.page_count);
	        }).catch(function(err){
				if(pullSel) pullSel.endPullUpToRefresh();
	            $.toast(err.message);
	            console.error(err.message,err);
	        });
	    },
	    praiseArticle:function(){
			if (!app.checkLogin()) {
				app.toLogin(); 
				return;
			}
	    		var el = this;
	    		aid = el.getAttribute('aid'),
	    		dir = el.getAttribute('praised')==='1',
	    		praising = el.getAttribute('praising');
	    		if(praising) return;
			el.setAttribute('praising','1');	
			newsSvc.follow(0, aid, dir).then(function(res){
				el.removeAttribute('praising');
				el.setAttribute('praised',dir?'0':'1');
				el.setAttribute('praise',dir?'0':'1');
				var praiseNum = parseInt(el.innerText.replace('+1',''));
				el.innerHTML = '<i praise="0" praised="' + (praiseNum+(dir?-1:1)) + '">'+(praiseNum+(dir?-1:1))+'</i><b class="c-yellow"></b>';
				el.classList[dir?'add':'remove']('jcon-dianzan');
				el.classList[dir?'remove':'add']('jcon-dianzan1');
				setTimeout(function(){
					el.setAttribute('praise',"0");
				},2000)
			}).catch(function(err){
				// 已经点赞 
				if ('90001' == err.code ) {
					el.classList.add('jcon-dianzan1');	
					el.classList.remove('jcon-dianzan');	
					el.setAttribute('praised','1');
					el.setAttribute('praise','1');
	    			//已经取消赞	
				} else if('90004' == err.code) {
					el.classList.remove('jcon-dianzan1');
					el.classList.add('jcon-dianzan');
					el.setAttribute('praised','0');
					el.setAttribute('praise','0');
				}
				el.removeAttribute('praising');
				console.error(err.message,err);
			});
	    },
	    openArticlePage:function (aid) {
		    	var artItem = document.querySelector('.to_article[aid="'+aid+'"]');
		    	if(!artItem) return;
		    	var img = artItem.querySelector('img');
	        var params = {
		        	aid:artItem.getAttribute("aid"),
		        	title:artItem.querySelector('.article_title').innerText,
		        	image:img?img.src:'',
		        	type:artItem.getAttribute('type'),
		        	videoUrl:artItem.getAttribute('videoUrl'),
		        	authorName:artItem.nextSibling.querySelector('.author_name').innerText,
		        	authorHeadPath:artItem.nextSibling.querySelector('.author_name img').src
	        };
	        var targetUrl = (params.videoUrl?'article-video.html':'article.html') +
	        		'?aid='+params.aid+'&image='+encodeURIComponent(params.image);
	        $.openWindow({
	        	id: params.videoUrl ? 'article-video' : 'article',
	            url: targetUrl,
	            extras: params,
	            waiting: {autoShow: false}
	        });
	    },
	    initNews:function(){
	    		main.newsFun.follows = main.newsFun.getSortFollowIds(myStorage.getItem('myFollows') || []);
		    	var qAll = [];
			qAll.push(newsSvc.getDocumenClassList());
			if(app.checkLogin()){
				qAll.push(newsSvc.getFollowClassList());
			}
			Q.all(qAll).then(function(all){	
				if (all[1]) {
					var industry = myStorage.getItem('myFollows') || [],
		       			ndata = main.newsFun.setSortCates(all[1],industry);
		       		main.newsFun.follows = main.newsFun.getSortFollowIds(ndata);
		       		main.newsFun.cateId = main.newsFun.follows[0];
		       		myStorage.setItem('myFollows',ndata);
				}
				if (all[0]) {
					myStorage.setItem('newCates',all[0]);
					main.newsFun.updateMyFollows();
					if(!main.newsFun.cateId) main.newsFun.cateId = main.newsFun.follows[0];
					if(!main.newsFun.cateId) main.newsFun.cateId = all[0][0].documentClassSerial;
					main.newsFun.createListHtml(true);
				}
				main.newsFun.createChoose();
				main.newsFun.pulldownRefresh();
			});
	    },
	    getHotKeyowrds:function(){
	    		var keywords = myStorage.getItem('hotKeys');
	    		if(keywords && keywords.length){
	    			jel('#chooseTitle .keyword').html(keywords.join(' | '));
	    		}
	    },
	    init:function(){
		    	main.newsFun.inited = true;
		    	
		    var cateSlider = $('#cateSlider').slider();
	        var cateScroller = $('#scrollTopicCate').scroll();
			cateSlider.refresh();
			cateScroller.refresh();
			
		    	main.newsFun.getHotKeyowrds();
			$('#scrollTopicCate').scroll({
	        		bounce: false,
				indicators: false,
				deceleration:mui.os.ios?0.003:0.0009
	        });
		    
		    	g('showFollow').addEventListener('tap',main.newsFun.showChoose,false);
		    	g('startEditBtn').addEventListener('tap',function(e){
			    	if(this.classList.contains('active')){
		    			main.newsFun.endEdit();
		    		}else{
		    			main.newsFun.startEdit();
		    		}
		    		e.stopPropagation();
			},false);
			g('cateSlider').addEventListener('slide', function(event) {
		    		var cates = g('cateList').children;
				var theId = cates[event.detail.slideNumber].getAttribute('cate');
		        if(theId!==main.newsFun.cateId){
			        	main.newsFun.cateId = parseInt(theId);
			        	var cSItem = g('typeUl').querySelector('li.selected');
			        	if(cSItem) cSItem.classList.remove('selected');
			        	var cCItem = g('typeUl').querySelector('li[data-id^="'+theId+':"]');
			        	if(cCItem) cCItem.classList.add('selected');
			        	var boxUl = document.querySelector('#cate'+theId+' .topic-list');
			        	if(boxUl.children.length===0){
			        		var loading = document.createElement('li');
			        		loading.className='loading';
			        		loading.innerHTML = '<img src="../images/loading.svg">';
			        		//loading.innerHTML = '<span class="mui-icon mui-icon-spinner-cycle mui-spin">数据加载中...</span>';
		        			boxUl.appendChild(loading);
			        		main.newsFun.pulldownRefresh();
			        	}
		        }
			},false);
			
			$('#cateList').on('tap','.mui-control-item:not(.mui-active)',function(){
				HTMLCollection.prototype.indexOf =  Array.prototype.indexOf;
				var idx = g('cateList').children.indexOf(this);
		        $('#cateSlider').slider().gotoItem(idx,0);
		    });
	        
			$('#typeUl').on('tap','.cate-sort-item',function(){
				HTMLCollection.prototype.indexOf =  Array.prototype.indexOf;
				//var idx = this.parentNode.children.indexOf(this);
				//$('#cateSlider').slider().gotoItem(idx+1,0);
				var cate = this.getAttribute('cate');
				main.newsFun.cateId = parseInt(cate);
				var idx = g('cateList').children.indexOf(g('cateList').querySelector('[cate="'+cate+'"]'));
				$('#cateSlider').slider().gotoItem(idx,0);
				main.newsFun.sortMask.close();
				return false;
			});
			$('#typeUl').on('longtap','.cate-sort-item',function(evt){
				if(window.plus && !main.newsFun.sortChoose) plus.device.vibrate(100);
				main.newsFun.startEdit();
			});
			$('#typeUl').on('tap','.cate-sort-item span',function(){
				g('cates').appendChild(this.parentNode);
				
				return false;
			});
			$('#cates').on('tap','.cate-sort-item',function(){
				var fitem = document.querySelector('#typeUl .empty-follow');
				if(fitem) g('typeUl').removeChild(fitem);
				g('typeUl').appendChild(this);
				return false;
			});
			$('#popover').on('tap', '.close-btn', function(e){
				main.newsFun.showChoose();
				e.stopPropagation();
			})
			$(document.body).on('tap', '#popover', function(e){
				main.newsFun.showChoose();
				e.stopPropagation();
			})
			$('#popover').on('tap', '.pop-cont', function(e){
				e.stopPropagation();
			})
		    $('#pullRefresh').on('tap','.to_article',function(){
			    	var aid = this.getAttribute('aid');
			    	main.newsFun.openArticlePage(aid);
		    });
		    $('#pullRefresh').on('tap','.video-cover',function(){
			    	var aItem = this.parentNode,
			    		url = aItem.getAttribute('videoUrl'),
			    		id = aItem.getAttribute('aid'),
			    		title = aItem.querySelector('.article_title').innerText,
			    		introduce = aItem.querySelector('.article_zhaiyao').innerText,
			    		poster = aItem.querySelector('img').src;
			    	var shareMsg = {
		            href:app._webUrl+"/article.html?id="+id,
		            title:title,
		            content:introduce,
		            thumbs:[poster],
		            weixin_WXSceneSession:{
						type:'miniProgram',
						title: title,
						content: introduce,
						thumbs:[poster],
						miniProgram:{
							id: 'gh_beaab2f0c619', //小程序的原始ID
							path: '/pages/article/article?type=video&id=' + id, //微信小程序打开的页面路径
							type: '0', // 微信小程序版本类型 0-正式版； 1-测试版； 2-体验版。 默认值为0。
							webUrl: app._webUrl + "/article.html?id=" + id// 兼容低版本的网页链接
						}
					},
		            successCB:function(){
		            		newsSvc.setDocumentForwardAmount(id);
		            }
		        };
		        var rtop = g('choose').offsetHeight+g('scrollTopicCate').offsetHeight;
				var rbottom = g('tabNav').offsetHeight;
			    	joyPlayer.play({
			    		src:url,
			    		title:title,
			    		followTitle:true,
			    		parent:this.parentNode,
			    		poster:poster,
			    		rect:{
			    			top:rtop,right:0,bottom:rbottom,left:0
			    		},
			    		shareMsg:shareMsg
		    		});
		    		newsSvc.addViewCount(id).catch(function(err){
		    			console.log(err)
		    		});
			    	return false;
			});
		    
		    $('#pullRefresh').on('tap','.not-network',function(){
			    	main.newsFun.pulldownRefresh()
		    	});
		    $('#pullRefresh').on('tap','.pinglun',function(){
			    	var aid = this.getAttribute('aid');
			    	main.newsFun.openArticlePage(aid);
		    });
		    $('#pullRefresh').on('tap','.zhan',main.newsFun.praiseArticle);
		    $('#pullRefresh').on('tap','.author_name img',function(){
		    		var releaseOperator = this.parentNode.getAttribute('userId');
		    		$.openWindow("minfo/person.html?mId=" + releaseOperator);
		    });
		    $('#pullRefresh').on('tap','.author_name span',function(){
		    		var releaseOperator = this.parentNode.getAttribute('userId');
		    		$.openWindow("minfo/person.html?mId=" + releaseOperator);
		    });
			$('#pullRefresh').on('tap','.fun-more',function(){
		    		var moreEl = this;
		    		var aid = this.getAttribute('aid'),
		    		collectioned=this.getAttribute('collectioned'),
		    		title = document.querySelector('.to_article[aid="'+aid+'"] .article_title').innerText,
		    		introduce = document.querySelector('.to_article[aid="'+aid+'"] .article_zhaiyao').innerText,
		    		imgEl = document.querySelector('.to_article[aid="'+aid+'"] img'),
		    		videoUrl = moreEl.parentElement.parentElement.querySelector('.to_article').getAttribute('videourl');
		    		shareMsg = {
		            href:app._webUrl+"/article.html?id="+aid,
		            title:title,
		            content:introduce,
		            weixin_WXSceneSession:{
						type:'miniProgram',
						title: title,
						content: introduce,
						miniProgram:{
							id: 'gh_beaab2f0c619', //小程序的原始ID
							path: '/pages/article/article?type=' + (videoUrl ? "video" : "art") +'&id=' + aid, //微信小程序打开的页面路径
							type: '0', // 微信小程序版本类型 0-正式版； 1-测试版； 2-体验版。 默认值为0。
							webUrl: app._webUrl + "/article.html?id=" + aid// 兼容低版本的网页链接
						},
					}
		        };
				if(imgEl){
		            	shareMsg.thumbs = [imgEl.src];
	            		shareMsg.weixin_WXSceneSession.thumbs = [imgEl.src];
		        } 
		        var favBack = function(){
					if(app.checkLogin()){
						newsSvc.collectionNews(aid,collectioned==='1'?'0':'1').then(function(){
			            		moreEl.setAttribute('collectioned',collectioned==='1'?'0':'1');
			            		moreEl.classList[collectioned==='1'?'remove':'add']('light');
			                $.toast(collectioned==='1'?'取消收藏成功':'收藏成功');
			            }).catch(function(err){
							$.toast(err.message);
			            });
		            }else{
		            		app.toLogin();
		            }
		        };
		
		        	share.showShares({funs:[{
			        			name:'fav',
			        			text:collectioned==='1'?'取消收藏':'收藏',
			        			iconClass:'fa fa-star'+(collectioned==='1'?' color-yellow':''),
			        			callback:favBack
		        			},'copyUrl','brcode','more']
		        		},
		        		shareMsg,
		        		function(){
				    		$.toast('分享成功');
				    		newsSvc.setDocumentForwardAmount(aid);
				    	},
				    	function(e){
				    		console.log(e);
				    		$.toast('分享失败');
			    	});
			});
		    
		    $('#chooseTitle').on('tap','.mui-placeholder',function(){
		    		$.openWindow({
		    			url:'search_news.html', 
		    			id: 'search_news',
		    			waiting:{autoShow:false}
	    			});
		    });
			
			window.addEventListener('praiseSwitch',function(event){
				var aid = event.detail.aid;
				var dir = event.detail.dir;
				var count = event.detail.count;
				var el = document.querySelectorAll('.zhan[aid="'+aid+'"]');			
				if(el){
					for (var i = 0; i < el.length; i ++) {
						if(count>=0) el[i].querySelector('i').innerText = count;
						el[i].setAttribute('praised',dir?'1':'0');
		    				// 赞
						if (dir) {
							el[i].classList.remove('jcon-dianzan');
							el[i].classList.add('jcon-dianzan1');
						} else {
							el[i].classList.remove('jcon-dianzan1');
							el[i].classList.add('jcon-dianzan');
						}
						el[i].querySelector('i').setAttribute('priased', count);	
					}
				}
			},false);
			
			window.addEventListener('reply',function(event){
				var data = event.detail;
				var targetDom = document.querySelectorAll('.pinglun[aid="' + data.id + '"]');
				if (targetDom) {
					for (var i = 0; i < targetDom.length; i ++) {
						if (0 == data.len) {
							targetDom[i].querySelector('i').classList.add('hide');	
						} else {
							targetDom[i].querySelector('i').classList.remove('hide');
							targetDom[i].querySelector('i').innerText =  data.len;
						}		
					}
				}
			}, false);
	    	
			window.addEventListener('videoQuitFullScreen',function(event){
				HTMLCollection.prototype.indexOf =  Array.prototype.indexOf;
				var cateSlider = $('#cateSlider').slider();
				cateSlider.refresh();
				var acti = document.querySelector("#cateList .mui-control-item.mui-active");
				var idx = g('cateList').children.indexOf(acti);
			    $('#cateSlider').slider().gotoItem(idx,0);
			},false);
			
			// 无网络重新请求
			g('tooltips').addEventListener('tap',function(){
				g('cateList').innerHTML = '';
				var topic_lists = document.querySelectorAll('.topic-list');
				$.each(topic_lists, function(idx,val) {
					val.innerHTML = '';
				});
				main.newsFun.initNews();
			},false)
		}
	};

})(mui,app,myStorage);