(function($,app,myStorage) {
	window.main = window.main||{};
	main.serviceFun = {
		inited:false,
		funLoaded:false,
		//处理icon数据
		iconDataProcessing:function(data){
			var serviceMain =  g('serviceMain');
			var html='';
			$.each(data,function(i,link){
				html+=[
					'<div id="',link.buzzId,'" class="service-item joy-link" jhref="',link.linkUrl,'" style="background:#fff url(',link.imgPath,') no-repeat right bottom;">',
						'<div class="h2">',link.buzzName,'</div>',
						'<p class="ser-des1">',link.introduce,'</p>',
						'<p class="ser-des2">',link.traitDes,'</p>',
					'</div>'
				].join('');
			});
			if(html){
				serviceMain.innerHTML=html;
			}
		},
		//获取服务Icon信息
		serversIconList:function (){
			var dataObj = {};
			dataObj.cityCode = app.getCity().cityCode || '000000';
			dataObj.plusOsName = plus.os.name;
			dataObj.channel = app.getChannel();
			dataObj.locationId = 'service';
			g('serviceMain').innerHTML = '';
			appSvc.getIconList(dataObj).then(function(data){
				if(data){
					var dataList = data.list;
					main.serviceFun.iconDataProcessing(dataList);
				}
	        }).catch(function(err){
	        	console.log(err.message,err);
	        });
		},
		//社保、公积金 判断是否登录
		checkLoginFun:function (ids){
			var user = app.getUser()||{};
			if(app.checkLogin()){
				switch (ids){
					case 'sbk-info':
						if(user.securityAcctId){
							app.showSheBaoInfo(user.securityAcctId);
						}else{
							app.showSheBaoAdd();
						}
						break;
					case 'gjj-info':
						if(user.fundAcctId){
							app.showGongJiJinInfo(user.fundAcctId);
						}else{
							app.showGongJiJinAdd();
						}
						break;
					default:
				 		break;
				}
			}else{
				app.toLogin();
			}
		},
		//点击icon跳转
		iconTapFun:function(thissing){
			var thisHref = thissing.getAttribute('Jhref');
			var url = thisHref.split('/');
			var ids = url[url.length-1].split('.html');
			switch (ids[0]){
				case 'sbk-info':
					main.serviceFun.checkLoginFun(ids[0]);
					break;
				case 'gjj-info':
					main.serviceFun.checkLoginFun(ids[0]);
					break;
				case "medicalCareService":
					//医疗服务
					var mainView = plus.webview.getLaunchWebview();
					mui.fire(mainView, 'goTab', {tabid:'tab-joy'});
					break;
				default:
					app.openMultiURL(thisHref);
					break;
			}
		},
		init:function(){
			main.serviceFun.inited = true;
			main.serviceFun.serversIconList();
			
			$('#serviceMain').on('tap','.service-item',function(){
				main.serviceFun.iconTapFun(this);
			},false);
		}
	};

})(mui,app,myStorage);