/**
 * Created by tuchl on 2016-08-12.
 */
(function ($) {
	var buzzId = common.utils.queryString("buzzId");
	var orderType = common.utils.queryString("orderType");
	var pro,amt,detail,pId,total,order_time,serviceType;
	
	//初始化获取容器高度
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight,
			navBarH = document.getElementById('header').offsetHeight,
			payBarH = document.getElementById('payBar').offsetHeight||50;
		document.getElementById('content').style.height = (windowH)+'px';
	}
	initFeed();
	
	var g = function(id){ return document.getElementById(id); };
	
	var getOrderDetail = function(){
		if(!app.checkLogin()) return;
		g('payBar').classList.add('mui-hidden');
        sbSvc.getOrderDetail_new(1,buzzId).then(function(data){
        	//判断按钮显隐及样式调整
        	if(data.orderPayState !== 1){
        		g('payBar').classList.add('footer_box1');
        		g('payBar').classList.remove('footer_box3');
        		g('canclePay').classList.add('mui-hidden');
        		g('goPay').classList.add('mui-hidden');
        	}else {
        		g('payBar').classList.add('footer_box3');
        		g('payBar').classList.remove('footer_box1');
        		g('canclePay').classList.remove('mui-hidden');
        		g('goPay').classList.remove('mui-hidden');
        	}
        	data.buzzId = buzzId;
        	//data.phoneHide = data.phone.substr(0,3)+'****'+data.phone.substr(7,4);
        	if(data.serviceType) data.pUnit = data.pUnit.substring(1);
        	serviceType = data.serviceType;
        	data.num = data.months;
        	var pTotalFee = (data.pAmount*100+data.pServiceFee*100)/100;
        	if(data.serviceType===1) {
        		if(data.pFeeType===1){ 
					data.num = parseInt(data.months/12);
				}
				data.pProAmount = pTotalFee*data.num;
			}else{
				data.pProAmount = pTotalFee;
				if(data.pAmount == 0) {
        			g('agent').classList.add('mui-hidden');
        		}else {
        			g('agent').classList.remove('mui-hidden');
        		}
			}
			data.productNum = data.buyerCount*data.num; //产品数量=人数*月数
        	jscope.bind(g('conBox'),data,'info');
        	if(data.cbrlist && data.cbrlist.length>0){
        		g('buyers').innerHTML='';
        		var names = [],li,per,phone,len,con;
        		for(var i in data.cbrlist){
        			per = data.cbrlist[i];
        			li = document.createElement('li');
        			li.className ='mui-table-view-cell no-active odetail-info';
        			li.innerHTML = [
        				'<p class="per-name color-green">',per.name,'</p>',
        				'<p>身份证&nbsp;&nbsp;&nbsp;&nbsp;',per.bodyCode,'</p>',
        				'<p class="per-phone">手机号&nbsp;&nbsp;&nbsp;&nbsp;',per.phone.replace(/^(\d{3})\d{6}(\d+)/,"$1******$2"),'</p>'
        			].join('');
        			g('buyers').appendChild(li);
        			if(names.length<2) names.push(per.name);
        		}
        		g('manTxt').innerHTML = '<span class="participants_span"><span class="color-main name_style">'+names.join('、')+'</span><span class="color-grey fs-12">'+(data.buyerCount>2?'等'+data.buyerCount+'人':'')+'</span></span>';
        	}
        	g('payBar').classList.remove('mui-hidden');
//      	if(data.logoAddr) g('orgLogo').src=data.logoAddr; 
        	pro = data.pName;
        	amt = data.pTotalAmount;
        	pId=data.pId;
        	total= data.pTotalAmount;
        	order_time=data.createTime;
        	detail = data;
        }).catch(function(err){
        	if(err.code=='0'){
				g('conBox').innerHTML = '<div class="not-network"><span>点击页面 重新加载</span></div>';
			}
        	console.error(err.message,err);
        });
	};
	
	var cancleOrder = function(){
		sbSvc.cancleSecurityOrder(buzzId).then(function(data){
        	$.alert('订单已取消',function(){
        		getOrderDetail();
        		app.fireEvent('orders','refresh_data');
        	});
       }).catch(function(err){
        	if(err.code>'1000'){
				$.alert(err.message);
			}
        	console.error(err.message,err);
        });
	};
	
	$('#conBox').on('tap','.not-network',getOrderDetail);
 	
 	//打开参保人列表弹窗
 	g('participants').addEventListener('tap',function(){
 		g('participantsBox').classList.remove('mui-hidden');
 	},false);
 	
 	//关闭参保人弹窗
 	g('closeBtn').addEventListener('tap',function(){
 		g('participantsBox').classList.add('mui-hidden');
 	},false);
 	
 	
	g('goPay').addEventListener('tap',function(){
		$.openWindow({
		 	url:'o2o/payment.html?orderId='+buzzId+"&proname="+encodeURIComponent(pro)+"&proId="+pId+"&total="+total+"&order_time="+encodeURIComponent(order_time)+"&serviceType="+serviceType,
		 	id:'orderPay',
		 	extras:{'detail':detail}
	 	});
	},false);
	g('canclePay').addEventListener('tap',function(){
		$.confirm('是否取消此订单？','',['是','否'],function(e){
			if(e.index===0){
				cancleOrder();
			}
		});
	},false);

	g('callServices').addEventListener('tap',app.toKefu,false);
	
	window.addEventListener('paySuccess',function(){
		getOrderDetail();
	},false);
	window.addEventListener('refresh_data',getOrderDetail,false);
	
    $.init({swipeBack:true});
    $(".mui-scroll-wrapper").scroll();
    getOrderDetail();
 	
})(mui);