(function($, doc) {
	$.init();
	var img, cityCode, id, qsId; //订单号，问题编号，
	var locationBox = doc.getElementById("city");
	var pickBtn = doc.getElementById('pickCity');
	var submits_btn = doc.getElementById('submits');
	var reSubmit = doc.getElementById("reSubmit");
	var repay = doc.getElementById("repay");
	var paynow = doc.getElementById('paynow');
	var getCameraBtn = doc.getElementById('getCamera');
	var galleryBtn = doc.getElementById('gallery');
	var addImgBtn = doc.getElementById('addImg');
	var photoBox = doc.getElementById('photoBox');
	var warn = doc.getElementById("warning");
	var closePopover = doc.getElementById('closePopover');
	var zixunType = doc.getElementById('zixunType');
	var qsType = doc.getElementById('qsType');
	var qsData = {
		queCateId: 0,
		queCateName: "",
		conCateId: 0,
		conCateName: ""
	}; //提交问题的参数
	var num = 0;
	var channels = {};
	var backStatus = 0; //返回状态，当提交成功后直接返回不提示
	var payAmt = 0;
	//初始化数据
	var getTypeData = function(cityCode) {//咨询类别
		bizSvc.getZixunType(cityCode).then(function(res) {
			if(res == null || res.length == 0) {
				warning("当前城市未开通付费咨询");
				for(var k = 0; k < $(".selcet").length; k++) {
					$(".selcet")[k].style.border = "none";
				}
				doc.getElementById("zixunTypeBox").style.display = "none";
				return false;
			}
			doc.getElementById("zixunTypeBox").style.display = "block";
			zixunType.innerHTML = "<option value='choose'  pay='1'  cost='5'>请选择咨询类别</option>";
			//qsType.innerHTML='<option value="preChoose">请选择问题类别</option>';
			for(var m = 0; m < res.length; m++) {
				var opt = doc.createElement("option");
				opt.setAttribute("value", res[m].id); //咨询类型id
				opt.setAttribute("pay", res[m].isPay); //是否付费
				opt.setAttribute("cost", res[m].cost); //付费价格
				opt.innerHTML = res[m].name;
				zixunType.appendChild(opt);
			}
		}).catch(function(err) {
			warning(err.message, err);
			console.error(err.message, err);
		});
	}
	//改变城市
	var changeCityHandler = function(event) {
		var city = event.detail;
		doc.getElementById("pickCity").setAttribute("cityCode", city.cityCode);
		doc.getElementById("pickCity").setAttribute("cityName", city.cityName);
		locationBox.innerHTML = city.cityName;
		doc.getElementById("zixun").innerHTML = "请选择";
		//doc.getElementById("qs").innerHTML = "请选择";
		doc.getElementById("zixun").setAttribute("class", "type");
		//doc.getElementById("qs").setAttribute("class", "type");
		getTypeData(city.cityCode);
	};
	window.addEventListener("changeCity", changeCityHandler, false);
	var getQsType = function(typeId) {
		doc.getElementById("qs").innerHTML = "请选择";
	    doc.getElementById("qs").setAttribute("class","type");
		bizSvc.getQsType(typeId).then(function(res) {
			if(res == null || res.length == 0) {
				qsData.queCateId = 0;
				doc.getElementById("qsTypebox").style.display = "none";
				return false;
			}
			doc.getElementById("qsTypebox").style.display = "block";
			qsType.innerHTML = '<option value="preChoose">请选择问题类别</option>';
			qsData.queCateId = "preChoose";
			for(var m = 0; m < res.length; m++) {
				var opt = doc.createElement("option");
				opt.setAttribute("value", res[m].id); //问题分类id
				opt.innerHTML = res[m].name;
				doc.getElementById("qsType").appendChild(opt);
			}
		}).catch(function(err) {
			warning(err.message, err);
			console.error(err.message, err);
		});
	}
	
	if(zixunType && zixunType.addEventListener) {
		zixunType.addEventListener('change', function(e) {
			doc.getElementsByClassName("charge")[0].style.display = "block";
			var index = zixunType.selectedIndex;
			var val = zixunType.options[index].value;
			if(val == "choose") {
				doc.getElementsByClassName("charge")[0].style.display = "none";
			}
			doc.getElementById("zixun").style.display = "block";
			doc.getElementById("zixun").innerHTML = zixunType.options[index].text;
			doc.getElementById("zixun").setAttribute("class", "type addColor");
			qsData.isPay = zixunType.options[index].getAttribute("pay");
			qsData.cost = zixunType.options[index].getAttribute("cost");
			doc.getElementById("cost").innerHTML = qsData.cost;
		//	getQsType(val);
			qsData.conCateId = val; //咨询类别id
			qsData.conCateName = zixunType.options[index].text;
			//如果该类别是免费
			if(qsData.isPay == 0) {
				doc.getElementById("submits").innerHTML = "限时免费，立即提问";
			} else {
				doc.getElementById("submits").innerHTML = "支付" + qsData.cost + "元，发起咨询";
			}
		}, false)
	}
	if(qsType && qsType.addEventListener) {
		qsType.addEventListener('change', function(e) {
			var index = qsType.selectedIndex;
			var val = qsType.options[index].value;
			doc.getElementById("qs").style.display = "block";
			doc.getElementById("qs").innerHTML = qsType.options[index].text;
			doc.getElementById("qs").setAttribute("class", "type addColor")
			qsData.queCateId = val; //问题类别id
			qsData.queCateName = qsType.options[index].text;
		}, false)
	}
	
	function openPickCity() {
		document.activeElement.blur();
		$.openWindow({
			url: 'pick-city.html?workType=2',
			id: 'pickCity',
			waiting: {
				autoShow: false
			}
		});
	}
	
	doc.getElementById('pickCity').addEventListener('tap', openPickCity, false);
	
	var mask = $.createMask(callback);
	function callback() {
		console.log("关闭遮罩");
	}

	//统一样式的警告
	function warning(txt) {
		warn.innerHTML = txt;
		warn.style.display = "block";
		setTimeout(function() {
			warn.style.display = "none";
		}, 3000);
	}
	
	//提交按钮绑定事件、初次提交、提交失败再次提交、付费失败再次提交
	submits_btn.addEventListener("tap", submitCheck, false);
	reSubmit.addEventListener("tap", submitCheck, false);
	repay.addEventListener("tap", submitCheck, false);

	doc.getElementById("qsCon").addEventListener("input",function(){
		var matchEmoji = /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g;
		if(matchEmoji.test(this.value)){
			$.toast('不支持emoji表情符号！');
			this.value = this.value.replace(matchEmoji,'');
		}
	},false);
	
	function submitCheck() {
		if(!app.checkLogin()){
			$.alert("请登录后提交问题",function(){
				app.toLogin();
			});
			return false;
		}
		if(qsData.queCateId == "preChoose") { //有问题分类但是没有选择
			warning("请先选择问题类别");
			return false;
		}
		var detail = doc.getElementById("qsCon").value;
		var matchEmoji = /\uD83C[\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F]/g;
		if(matchEmoji.test(detail)){
			warning("不支持emoji表情符号！");
			return false;
		}
		if(detail.length > 500 || detail.length < 10) {
			warning("内容在10～500字之间");
			return false;
		} else {
			qsData.content = detail;
		}
		qsData.cityCode = doc.getElementById("pickCity").getAttribute("cityCode");
		qsData.cityName = doc.getElementById("pickCity").getAttribute("cityName");
		qsData.type = 1;
		qsData.title = "";
		
		var files = null,
			imgs = $('#photoBox .picPath');
		if(imgs){
			files = {};
			$.each(imgs,function(i,img){
				files["imageFile"+(i+1)] = img.src;
			});
		}
		postFiles(qsData,files); 
	}

	function paddLeft(s){
		var str = ''+s;
		return str.length>1?str:'0'+str;
	}

	function postFiles(data,files) {
		var waitting = plus.nativeUI.showWaiting();
		bizSvc.loginZixun(data,files).then(function(res) {
			waitting.close();
			imgSrc = "";
			if(qsData.isPay == 0) {
				backStatus = 1;
				doc.getElementById("mask").style.display = "block";
				doc.getElementById("popover").style.display = "block";
				//提交成功时隐藏提交失败的弹框failMask
				doc.getElementById("failMask").style.display = "none";
				return false;
			}
			qsId = res.questionId; //问题id
			doc.getElementById("pay").style.display = "block";
			backStatus = 2;
			id = res.buzzId;
			payAmt = res.payAmt;
			//神策付费咨询订单
			if(window.SDAnalytics){
				var now = new Date();
				var moth = paddLeft(now.getMonth()+1);
				var day = paddLeft(now.getDate());
				var hours = paddLeft(now.getHours());
				var minutes = paddLeft(now.getMinutes());
				var seconds = paddLeft(now.getSeconds());
				var time = now.getFullYear()+'-'+moth+'-'+day+' '+hours+':'+minutes+':'+seconds;
				
				SDAnalytics.customTrack('joyConsultOrder',{
					 jtrack_consultOrder_id:res.buzzId,
					 jtrack_consultOrder_cityCode:data.cityCode,
					 jtrack_consultOrder_cityName:data.cityName,
					 jtrack_consultOrder_conCateId:data.conCateId,
					 jtrack_consultOrder_conCateName:data.conCateName,
					 jtrack_consultOrder_payAmt:res.payAmt,
					 jtrack_consultOrder_createTime:time
				});
			}
			
		}).catch(function(err) {
			fail();
			waitting.close();
			console.error(err.message, err);
		});
	}
	//提交失败
	function fail() {
		doc.getElementById("failMask").style.display = "block";
		doc.getElementById("failPopover").style.display = "block";
	}
	
	doc.getElementById("failClose").addEventListener("tap", function() {
		doc.getElementById("failMask").style.display = "none";
		doc.getElementById("failPopover").style.display = "none";
	}, false);

	//支付

   paynow.addEventListener("tap",function(){
   	var type = $(".active")[0].getAttribute("payType");
		if(type == 0) {
			payOrder(0)
		} else {
			payOrder(1)
		}
  });
	var saTack = function(id,payway,result){
		//神策社保订单支付
		if(window.SDAnalytics){
			SDAnalytics.customTrack('joyOrderPay',{
				 jtrack_pay_oid:id,
				 jtrack_pay_otype:5,
				 jtrack_pay_way:payway,
				 jtrack_pay_amount:payAmt,
				 jtrack_pay_result:result
			});
		}
	};
	
	var payOrder = function(type){
		var typeId;
		if(type==0){
			var payChannel = channels["alipay"];
			typeId="alipay";
		}else{
			var payChannel = channels["wxpay"];
			typeId="wxpay";
		}
		if(!payChannel.serviceReady){
			var msg = '系统未安装“'+payChannel.description+'”服务，无法完成支付，是否立即安装？';
			plus.nativeUI.confirm(msg, function(e){
				if(e.index==0){
					payChannel.installService();
				}
			}, payChannel.description);
		}
		prePay(typeId);
	};
	var prePay = function(payway){
		var waitting = plus.nativeUI.showWaiting();
		bizSvc.prePay(id,bizSvc.payMethod[payway]).then(function(data){
			var paySrc = null;
			if(payway=='wxpay') 
				paySrc = JSON.stringify(data.tradeData);
			else if(payway=='alipay') 
				paySrc = data.tradeData;
			plus.payment.request(channels[payway], paySrc, function(result){
		 		waitting.close();
				orderSuccess(); //支付成功之后
				saTack(id,payway,'成功');
			}, function(error){
				parseError(payway,error);
				saTack(id,payway,'失败');
			});
		}).catch(function(err){
			waitting.close();
			console.error(err.message, err);
		});
	};
	var parseError = function(type,error){
		if(type=='wxpay'){
			if(error.message.indexOf('[payment微信:-2]')>=0){
				warning("您已取消支付")
			}else if(error.message.indexOf('[payment微信:-3]')>=0){
				warning("支付请求发送失败，请检查是否网络问题");
			}else{
				
				warning("支付环境错误")
			}
		}else{
			if(error.message.indexOf('[payment支付宝:62001]')>=0){
				warning("您已取消支付")
			}else if(error.message.indexOf('[payment支付宝:62002]')>=0){
				warning("您的设备不支持支付")
			}else if(error.message.indexOf('[payment支付宝:62003]')>=0){
				warning("数据格式错误")
			}else if(error.message.indexOf('[payment支付宝:62005]')>=0){
				warning("订单信息错误")
			}else if(error.message.indexOf('[payment支付宝:62006]')>=0||error.message.indexOf('[payment支付宝:62007]')>=0){
				warning("支付宝服务错误")
			}else if(error.message.indexOf('[payment支付宝:62008]')>=0){
				warning("网络错误")
			}else {
				warning("支付环境错误")
			}
		}
	};
	
	//切换支付方式
	doc.getElementById("zfbPay").onclick = function() {
		console.log(this.getAttribute("class"));
		if(this.getAttribute("class") == "payWay active") {
			console.log("不操作")
		} else {
			this.setAttribute("class", "payWay active");
			doc.getElementById("wxpay").setAttribute("class", "payWay");
		}
	}
	doc.getElementById("wxpay").onclick = function() {
		if(this.getAttribute("class") == "payWay active") {
			console.log("不操作")
		} else {
			this.setAttribute("class", "payWay active");
			doc.getElementById("zfbPay").setAttribute("class", "payWay");
		}
	}

	//支付成功之后;
	var orderSuccess = function(questionId, buzzId, type) {
		bizSvc.paySuccess(qsId, id, 0).then(function(res) {
			backStatus = 1;
			doc.getElementById("pay").style.display = "none";
			doc.getElementById("mask").style.display = "block";
			doc.getElementById("popover").style.display = "block";
			//提交成功时隐藏提交失败的弹框failMask
			doc.getElementById("failMask").style.display = "none";
			doc.getElementById("failPayPopover").style.display = "none";
			doc.getElementById("payFail").style.display = "none";
		}).catch(function(err) {
			//支付失败
			warning(err.message, err);
			console.error(err.message, err);
		});
	}
	//支付失败之后
	var orderFail = function() {
		doc.getElementById("payFail").style.display = "block";
		doc.getElementById("failPayPopover").style.display = "block";
		doc.getElementById("pay").style.display = "none"; //先关闭支付弹框
	}
	
	doc.getElementById("failPayClose").addEventListener("tap", function() {
		doc.getElementById("payFail").style.display = "none";
		doc.getElementById("failPayPopover").style.display = "none";
		setTimeout(function() {
			doc.getElementById("pay").style.display = "block"; //显示支付弹框
		}, 30)
	}, false);
	
	//查看咨询
	doc.getElementById("look").addEventListener("tap", function() {
		setTimeout(function(){
			mui.currentWebview.close('none');
		},1000);
		var vw = plus.webview.getWebviewById('zixun-list');
		if(vw){
			vw.hide("none");
			$.fire(vw,'refreshPage',{type:1});
			setTimeout(function(){
				vw.show("slide-in-right");
			},100);
		}else{
			mui.openWindow({
				id:'zixun-list',
				url:'zixun.html?type=1&back=0&classify=cost'
			});
		}
		
	}, false);
	
	doc.getElementById("closePopover").addEventListener("tap", function() {
		backPage();
	}, false);
	
	doc.getElementById("cancelPay").addEventListener("tap", function() {
		doc.getElementById("pay").style.display = "none";
		doc.getElementById("popover").style.display = "none";
	}, false);

	//图片居中
	function AutoResizeImage(maxWidth, maxHeight, objImg) {
		console.log(objImg.height)
		var img = new Image();
		img.src = objImg.src;
		var hRatio;
		var wRatio;
		var Ratio = 1;
		img.onload = function() {
			var w = img.width;
			var h = img.height;
			wRatio = maxWidth / w;
			hRatio = maxHeight / h;
			if(maxWidth == 0 && maxHeight == 0) {
				Ratio = 1;
			} else if(maxWidth == 0) { //
				if(hRatio < 1) Ratio = hRatio;
			} else if(maxHeight == 0) {
				if(wRatio < 1) Ratio = wRatio;
			} else if(wRatio < 1 || hRatio < 1) {
				Ratio = (wRatio <= hRatio ? wRatio : hRatio);
			}
			if(Ratio < 1) {
				w = w * Ratio;
				h = h * Ratio;
			}

			objImg.height = h;
			objImg.width = w;
			if(h > w) {
				//长图
				objImg.height = h - 2;
				objImg.width = w;
				var left = parseInt((68 - w) / 2);
				objImg.style.marginLeft = left + "px";
			}
			if(h<w) {
				objImg.height = h;
				objImg.width = w - 2;
				var top = parseInt((68 - h) / 2);
				objImg.style.marginTop = top + "px";
			}
		}
	}
	
	function bindEvent(){
		if($(".picPath").length == 0) {
			return false;
		}
		for(var i = 0; i < $(".picPath").length; i++) {
			$(".image-close")[i].addEventListener("tap", function(e) {
				var obj = e.target.parentNode;
				obj.parentNode.removeChild(obj);
			}, false);
			$(".picPath")[i].addEventListener("load", AutoResizeImage("68", "68", $(".picPath")[i]), false);
		}
	}

	
	function compressImg(path,callback){
		var ext = path.toLowerCase().substr(path.toLowerCase().lastIndexOf('.'));
		if(ext==".jpg"||ext==".png"||ext==".jpeg"){
			plus.nativeUI.showWaiting('正在压缩图片...');
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				//console.log(entry.fullPath);
				entry.file(function(file){
					//console.log(file.name);
					var unitM = 1024 * 1024;
					var mSize = file.size/unitM;
					var qper = mSize>2?2*unitM/file.size:0.92;
					var canvas = document.createElement('CANVAS');
					var ctx = canvas.getContext('2d'); 
					var img = new Image();
					img.crossOrigin = 'Anonymous'; 
					img.onload = function(){ 
						//console.log('imgSrc:',this.src);
						canvas.height = img.height; 
						canvas.width = img.width; 
						ctx.drawImage(img,0,0); 
						var dataURL = canvas.toDataURL('image/jpeg',qper); 
						callback.call(this, dataURL); 
						canvas = null; 
					}; 
					img.src = entry.fullPath;
				},function(e){
					//console.log(e.message);
					warning("读取文件失败！");
				});
			}, function (e) {
				console.log(e.message);
				warning("读取文件失败！");
			});
		}else{
			warning("请选择jpg/png格式的图片");
		}
	}
	//拍照
	function captureImage() {
		$('#picture').popover('hide');
		var cmr = plus.camera.getCamera(),
			res = cmr.supportedImageResolutions[0],
			fmt = cmr.supportedImageFormats[0];
		cmr.captureImage(function(path) {
			compressImg(path,function(b64Src){
				var pic = doc.createElement("div");
            	pic.setAttribute("class","qsPhoto");
	    		pic.innerHTML= "<img class='picPath' src='"+b64Src+"' data-preview-src='' data-preview-group='1' /><span class='image-close'>X<span>";
				photoBox.appendChild(pic);
				backStatus = 1;
				$.previewImage();
	    		bindEvent();
	    		plus.nativeUI.closeWaiting();
    		});
		},function(error) {
			$.toast("拍照失败请重试");
		}, {
			resolution: res,
			format: fmt
		});
	};
	//从相册中选择图片
	function galleryImgs() {
		$('#picture').popover('hide');
		plus.gallery.pick(function(e) {
			for(var i in e.files){
	    		if(i>2) break;
	    		compressImg(e.files[i],function(b64Src){
	    			var pic = doc.createElement("div");
	            	pic.setAttribute("class","qsPhoto");
		    		pic.innerHTML= "<img class='picPath' src='"+b64Src+"' data-preview-src='' data-preview-group='1' /><span class='image-close'>X<span>";
					photoBox.appendChild(pic);
					backStatus = 1;
					$.previewImage();
		    		bindEvent();
		    		plus.nativeUI.closeWaiting();
	    		});
	    	}
		}, function(e) {
			$.toast("取消选择图片");
		}, {
			filter: "image",
			multiple: true
		});
	};
	
	getCameraBtn.addEventListener('tap', captureImage, false);
	galleryBtn.addEventListener('tap', galleryImgs, false);
	
	doc.getElementById('addImg').addEventListener('tap',function(){
		document.activeElement.blur();
		$('#picture').popover('show');
	},false);
	//监听字数变化
	doc.getElementById("qsCon").addEventListener("input",function() {
		var con = doc.getElementById("qsCon").value;
		con = con.replace(/[\r\n]/g, "") //去掉回车换行
		var wordLimit = 500 - parseInt(con.length);
		doc.getElementById("wordLimit").innerHTML = wordLimit;
	}, false);
	
	function getCity() {
		var city = app.getCity();
		cityCode = city.cityCode;
		locationBox.innerHTML = city.cityName;
		doc.getElementById("pickCity").setAttribute("cityCode", city.cityCode);
		doc.getElementById("pickCity").setAttribute("cityName", city.cityName);
	};

	getCity();
	if(!app.checkLogin()){
		app.toLogin();
	}else{
		getTypeData(cityCode);
	}
	var g = function(id) {
		return document.getElementById(id);
	};
	var getChannels = function(s) {
		var channel = null;
		for(var i = 0; i < s.length; i++) {
			channels[s[i].id] = s[i];
		}
	};
	
	var actionBtn = $(".chooseBtn button");
	for(var k = 0; k < actionBtn.length; k++) {
		actionBtn[k].addEventListener("tap", function() {
			if(this.getAttribute("optionType") == 0) {
				backPage();
			} else {
				doc.getElementById("backInfo").style.display = "none";
			}
		}, false);
	}
	
	//监听返回
	var backPage = $.back;
	$.back = function() {
		//检测是否全部为空
		var detail = doc.getElementById("qsCon").value;
		var picLen = $(".picPath").length;
		if(backStatus == 1) {
			//提交成功之后的返回
			backPage();
			return false;
		}
		if(backStatus == 2) {
			//取消支付弹框
			doc.getElementById("pay").style.display = "none";
			if((qsData.conCateId == 0 && detail == "" && picLen == 0) || qsData.conCateId == "choose") {
				backStatus = 1;
			} else {
				backStatus = 0;
				console.log(backStatus)
			}
			return false;
		}
		if((qsData.conCateId == 0 && detail == "" && picLen == 0) || qsData.conCateId == "choose") {
			backPage();
		} else {
			doc.getElementById("pay").style.display = "none";
			doc.getElementById("backInfo").style.display = "block";
		}
	};
	
	$.plusReady(function() {
		//获取支付通道列表
		plus.payment.getChannels(function(s) {
			getChannels(s);
		}, function(e) {
			alert("获取支付通道列表失败：" + e.message);
		});
	});

})(mui, document);