(function($) {

	var cityStatus = '';
	var cityType = '';
	var cityCode = '';
	var photoValue = '';
	var perType = '3';
	var personId = queryString('uId');
	
	$.init();
	$('.mui-scroll-wrapper').scroll();
	function queryString(name){
	    var reg = new RegExp("(^|&)"+name+"=([^&]*)(&|$)", "i");
	    var matchs = location.search.substr(1).match(reg);
	    if(matchs!==null) return matchs[2];
	    return null;
	}

	$('.choose-city').on('tap', '.seleBox', function() {
		cityStatus = this.children[0].getAttribute('huKouStatus');
		var chooseCity = g('selectedState').children;
		for(var i = 0; i < chooseCity.length; i++) {
			chooseCity[i].children[0].classList.remove('jcon-danxuan');
			chooseCity[i].children[0].classList.add('jcon-weixuanze');
		}
		this.children[0].classList.add('jcon-danxuan');
		this.children[0].classList.remove('jcon-weixuanze');
	}, false);

	$('.chooseType').on('tap', '.seleBox', function() {
		cityType = this.children[0].getAttribute('huKouType');
		var chooseType = g('selectedType').children;
		for(var i = 0; i < chooseType.length; i++) {
			chooseType[i].children[0].classList.remove('jcon-danxuan');
			chooseType[i].children[0].classList.add('jcon-weixuanze');
		}
		this.children[0].classList.add('jcon-danxuan');
		this.children[0].classList.remove('jcon-weixuanze');
	}, false);
	
	var checkCoose = function(status, type) {
		var message = [];
		if(g('txtPerName').value.trim() === '') {
			message.push('真实姓名不能为空');
		}
		if(g('txtPerIdcard').value.trim() === '') {
			message.push('身份证号不能为空');
		} else if(!common.utils.validCertNo(g('txtPerIdcard').value.trim())) {
			message.push('身份证号格式有误');
		}
		if(g('txtPerMobile').value.trim() === '') {
			message.push('手机号不能为空');
		} else if(!/^1\d{10}$/.test(g('txtPerMobile').value.trim())) {
			message.push('手机号格式有误');
		}
		if(g('txtPerEmail').value.trim() !== '' && !/^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/.test(g('txtPerEmail').value.trim())) {
			message.push('电子邮箱格式错误');
		}
		if(type === '') {
			message.push('请选择户籍性质');
		}
		if(status === '') {
			message.push('请选择户籍类型');
		}
		if(message.length > 0){
			setTimeout(function(){
				$.toast(message[0], {
					duration: 4000,
					type: 'div',
					top: '20%'
				});
			},20);
			return false;
		}else{
			return true;
		}
	};

	var editPersion = function(){
		var flag = checkCoose(cityStatus, cityType);
		if(!flag) return;
		if(perType=='3'&&!g('cardBox').classList.contains('mui-hidden')){
			if(g('face').src==''||g('back').src==''){
				$.toast('首次参保需上传身份证正反面照片！', {
					duration: 4000,
					type: 'div',
					top: '20%'
				});
				return;
			}
		}
		var person = {
			id:personId,
			name: g('txtPerName').value,
			bodyCode: g('txtPerIdcard').value,
			phone: g('txtPerMobile').value,
			email: g('txtPerEmail').value,
			huKouType: cityType,
			huKouStatus: cityStatus
		};
		sbSvc.updateBuyer(person).then(function(data){
			showSucessPOP('恭喜您！您的个人信息保存成功啦！');
			$.fire(mui.currentWebview.opener(),'refresh_data');
			setTimeout(function(){
				mui.currentWebview.close();
			},3000);
		}).catch(function(err){
			showErrorPOP(err.message);
		});
		modifyCardPhotos();
	};
	
	var setDotStatus =function(status){
		var chooseCity = g('selectedState').children;
		for(var i = 0; i < chooseCity.length; i++) {
			chooseCity[i].children[0].classList.remove('jcon-danxuan');
			chooseCity[i].children[0].classList.add('jcon-weixuanze');
		}
		if(status ==1){
			cityStatus=1;
			g('txtPerCity').classList.add('jcon-danxuan');
			g('txtPerCountry').classList.remove('jcon-danxuan');
			g('txtPerCountry').classList.add('jcon-weixuanze');
		}
		else if(status==2){
			cityStatus=2;
			g('txtPerCountry').classList.add('jcon-danxuan');
			g('txtPerCity').classList.remove('jcon-danxuan');
			g('txtPerCity').classList.add('jcon-weixuanze');
		}
	};
	
	var setDotType =function(type){
		var chooseType = g('selectedType').children;
		for(var i = 0; i < chooseType.length; i++) {
			chooseType[i].children[0].classList.remove('jcon-danxuan');
			chooseType[i].children[0].classList.add('jcon-weixuanze');
		}
		if(type ==1){
			cityType=1;
			g('txtPerLocal').classList.add('jcon-danxuan');
			g('txtPerOther').classList.remove('jcon-danxuan');
			g('txtPerOther').classList.add('jcon-weixuanze');
		}
		else if(type==2){
			cityType=2;
			g('txtPerOther').classList.add('jcon-danxuan');
			g('txtPerLocal').classList.remove('jcon-danxuan');
			g('txtPerLocal').classList.add('jcon-weixuanze');
		}
	};

	var uploadCardPhotos = function(){
		var files = {};
		if(g('face').getAttribute('modify')) files.imageFace=g('face').src;
		if(g('back').getAttribute('modify')) files.imageBack=g('back').src;
		if(!files.imageFace || !files.imageBack) return;
		var wt = plus.nativeUI.showWaiting('正在上传图片...');
		sbSvc.uploadCardPhotos(files,personId,function(data) {
            wt.close();
		}).catch(function(err){
			wt.close();
	        $.toast(err.message);
		});
	};
	
	var modifyCardPhotos = function(){
		var files = {};
		if(g('face').getAttribute('modify')) files.imageFace=g('face').src;
		if(g('back').getAttribute('modify')) files.imageBack=g('back').src;
		if(!files.imageFace && !files.imageBack) return;
		var wt = plus.nativeUI.showWaiting('正在上传图片...');
		sbSvc.modifyCardPhotos(files,personId,function(data) {
            wt.close();
		}).catch(function(err){
			wt.close();
	        $.toast(err.message);
		});
	};
	
	crop.addEventListener('complete',function(event){
		var file = event.detail.b64;
		//jel('#'+photoValue).attr('src',file);
		//jel('#'+photoValue).attr('modify','1');
		
		//选择图片裁剪后识别
		var type = g('setPhoto').getAttribute('type');
		var options = {type:type,path:file};
		plus.IDCardOCR.detectImg(options,function(res){
			if(res.isLegal){
				jel('#'+photoValue).attr('src',file);
				jel('#'+photoValue).attr('modify','1');
			}else{
				$.alert('照片不是身份证或太模糊，请重新选择');
			}
		},function(err){
			$.toast(err.message);
			console.error(err.message,err);
		});
		
	},false);
	
	var setPhotoByCamera = function() {
		//crop.show('camera','idcard');
		$('#setPhoto').popover('toggle');
		setTimeout(function(){
			var type = g('setPhoto').getAttribute('type');
			var options = {type:type,direction:"1",urlType:"2"};
			plus.IDCardOCR.doScan(options,function(res){
				var imgPath = res.base64;
				jel('#'+photoValue).attr('src',imgPath);
				jel('#'+photoValue).attr('modify','1');
			},function(err){
				$.toast(err.message);
				console.error(err.message,err);
			});
		},10);
	};

	var setPhotoByGallery = function() {
		//crop.show('gallery','idcard');
		$('#setPhoto').popover('toggle');
		crop.showEx({
			title:'设置身份证',
			tipMessage:'拖动或缩放图片使证件图像置于方框之内，并使证件边缘与边框对齐',
			origin:'gallery',
			type:'idcard',
			outType:'image/png'
		});
	};
	
	var savePerson = function() {
		var flag = checkCoose(cityStatus, cityType);
		if(!flag) return;
		if(!g('cardBox').classList.contains('mui-hidden')){
			if(g('face').src==''||g('back').src==''){
				$.toast('首次参保需上传身份证正反面照片！', {
					duration: 4000,
					type: 'div',
					top: '20%'
				});
				return;
			}
		}
		
		var person = {
			name: g('txtPerName').value,
			bodyCode: g('txtPerIdcard').value,
			phone: g('txtPerMobile').value,
			email: g('txtPerEmail').value,
			huKouType: cityType,
			huKouStatus: cityStatus
		};
		
		sbSvc.createBuyer(person).then(function(data) {
			personId=data.id;
			uploadCardPhotos();
			showSucessPOP('恭喜您！您的个人信息保存成功啦！');
			$.fire(mui.currentWebview.opener(),'refresh_data');
			setTimeout(function(){
				mui.currentWebview.close();
			},3000);
		}).catch(function(err) {
			showErrorPOP(err.message);
		});
	};
	var showSucessPOP = function(msg){
		document.querySelector('#saveSucess .mui-popup-inner span').innerText = msg;
		$('#saveSucess').popover('toggle');
	};
	var showErrorPOP = function(msg){
		document.querySelector('#saveLose .mui-popup-inner span').innerText = msg;
		$('#saveLose').popover('toggle');
	};
	
	g('closeAddPop').addEventListener('tap', function(e) {
		$('#saveSucess').popover('hide');
		$.back();
	}, false);

	g('closeAddPop2').addEventListener('tap', function(e) {
		$('#saveLose').popover('hide');
	}, false);

	var deletePerson = function(uid, type){
		sbSvc.delBuyer(uid, type).then(function(data) {
			showSucessPOP('删除参保人成功！');
			$.fire(mui.currentWebview.opener(),'refresh_data');
			setTimeout(function(){
				mui.currentWebview.close();
			},3000);
		}).catch(function(err) {
			showErrorPOP(err.message);
		});
	};

	g('gallery').addEventListener('tap', setPhotoByGallery, false);
	g('getCamera').addEventListener('tap', setPhotoByCamera, false);
	
	document.body.addEventListener('touchstart',function(e){
		if(e.target.tagName.toLocaleLowerCase()!=='input'){
			document.activeElement.blur();
		}
	},false);
	
	var tipsShow = false;
	function initAddUI(){
		g('addBtnBox').style.display="block";
		g('editBtnBox').style.display="none";
		g('btnAddPerson').addEventListener('tap', function() {
			savePerson();
		}, false);
		if(cityCode!="110000"&&pCategory=='1'&&pType=='1') {
			jel('#cardBox').removeClass('mui-hidden');
			$('.card-box').on('tap', '.photo', function() {
				$('#setPhoto')[0].setAttribute('type',this.getAttribute('photo')=='face'?"1":"2");
				if(!tipsShow){
					$('#photoTips').popover('toggle');
					tipsShow = true;
				}else{
					$('#setPhoto').popover('toggle');
				}
				photoValue = this.getAttribute('photo');
			});
		}
	}
	
	function getPhoto(perId,perInfo){
		sbSvc.getBodyCardPic(perId).then(function(data) {
			if(data.faceBase64Str) {
				g('face').src = "data:image/png;base64," + data.faceBase64Str;
				g('face').style.display = "block";
			}
			if(data.backBase64Str) {
				g('back').src = "data:image/png;base64," + data.backBase64Str;
				g('back').style.display = "block";
			}
			if(!data.faceBase64Str && perInfo.type!='3'){
				g('facePhoto').style.display = "none";
			}
			if(!data.backBase64Str && perInfo.type!='3'){
				g('backPhoto').style.display = "none";
			}
			if(data.faceBase64Str||data.backBase64Str) {
				jel('#cardBox').removeClass('mui-hidden');
			}
			if(perInfo.type=='3') {
				jel('#cardBox').removeClass('mui-hidden');
				$('.card-box').on('tap', '.photo', function() {
					$('#setPhoto')[0].setAttribute('type',this.getAttribute('photo')=='face'?"1":"2");
					$('#setPhoto').popover('toggle');
					photoValue = this.getAttribute('photo');
				});
			}
		});
	}
	function initEditUI(perId,perInfo){
		g('addBtnBox').style.display="none";
		g('editBtnBox').style.display="block";
		
		perSonInfo = perInfo;
		perType = perSonInfo.type;
		setDotStatus(perSonInfo.huKouStatus);
		setDotType(perSonInfo.huKouType);

		g('txtPerName').value = perSonInfo.name;
		g('txtPerIdcard').value = perSonInfo.bodyCode;
		g('txtPerMobile').value = perSonInfo.phone;
		g('txtPerEmail').value = perSonInfo.email;
		
		if(cityCode!="110000"&&pCategory=='1'&&pType=='1') {
			getPhoto(perId,perInfo);
		}
		if(perSonInfo.type=='3'){
			g('delPerson').classList.remove('mui-hidden');
			g('delPerson').addEventListener('tap', function(e) {
				$.confirm('确定要删除此参保人信息？', '删除参保人', ['确定', '取消'], function(e) {
					if(e.index === 0) {
						deletePerson(perId, perSonInfo.type);
					}
				});
			}, false);
			g('btnEditPerson').removeAttribute('disabled');
			g('btnEditPerson').addEventListener('tap', function() {
				editPersion();
			}, false);
		}else{
			jel('.pflag').removeClass('mui-hidden');
			jel('.persion-bg .extend').addClass('mui-hidden');
			g('cardBox').style.display="none";	//已认证的用户身份证照片区域隐藏
			jel('.persion-bg input').attr('disabled','disabled');
			g('editBtnBox').style.display="none";
		}
		
	};
	
	$.plusReady(function(){
		var nw = plus.webview.currentWebview(),
			cityCode = nw.cityCode;
			pCategory = nw.pCategory;
			pType = nw.pType;
			
		if(!personId) {
			initAddUI();
		} else {
			initEditUI(personId,nw.perSonInfo);
		}
	});
	
})(mui);