(function($,app) {
	var dataObj = {};
	var filter = {pCate:0,pCityCode:'110000'};
	var scroll = $('#homeScroll').scroll({
				deceleration: 0.0005,
				indicators: false,
				bounce:false
			});
	//运营位渲染
	var navTabList = function (dataList){
		var navTab = g('navTab');
		var html = '';
		$.each(dataList,function(i,link){
			html+=[
				'<dl data-buzzId="',link.buzzId,'" data-linkUrl="',link.linkUrl,'">',
					'<dt><img src="',link.imgPath,'"/></dt>',
					'<dd>',link.buzzName,'</dd>',
				'</dl>'
			].join('');
		});
		if(html){
			navTab.innerHTML=html;
		}
	}
	
	//请求运营位icon
	
	var getSiPayFun = function (){
		dataObj.cityCode = g('cityTxt').getAttribute('cityCode') || '110000';
		dataObj.plusOsName = plus.os.name;
		dataObj.channel = app.getChannel();
		dataObj.locationId = 'siPay';
		g('navTab').innerHTML = '';
		appSvc.getIconList(dataObj).then(function(data){
			var dataList = data.list;
			navTabList(dataList);
        }).catch(function(err){
        	console.log(err.message,err);
        });
	}
	//灵活就业社保缴费
	g('flexibleEmployment').addEventListener('tap',function(){
   		var _url ="makeAnAppointment/makeAnAppointment.html?buzzType=2&cityCode="+dataObj.cityCode;
   		plus.navigator.setStatusBarStyle('dark');
		$.openWindow({ url: _url, id: "makeAnAppointment"});
		var currentPageId = plus.webview.getWebviewById('makeAnAppointment');
		currentPageId.addEventListener('close', function() {
			plus.navigator.setStatusBarStyle('light');
		});
   	});
	//城乡居民社保缴费
	g('urbanAndRuralResidents').addEventListener('tap',function(){
   		var _url ="makeAnAppointment/makeAnAppointment.html?buzzType=1&cityCode="+dataObj.cityCode;
   		plus.navigator.setStatusBarStyle('dark');
		$.openWindow({ url: _url, id: "makeAnAppointment"});
		var currentPageId = plus.webview.getWebviewById('makeAnAppointment');
		currentPageId.addEventListener('close', function() {
			plus.navigator.setStatusBarStyle('light');
		});
   	});
   	
   	//运营位icon跳转
	$('#navTab').on('tap','dl',function(){
		var dataLinkUrl = this.getAttribute('data-linkUrl');
		$.openWindow({ url: dataLinkUrl});
   	});
   	//设置city回显、存储选中城市
	var setCity = function(city){
		city = city || app.getCity();
		var ocode = jel('#cityTxt').attr('cityCode');
		var cname = city.cityName.length>4?city.cityName.substr(0,4)+'...':city.cityName;
		jel('#cityTxt').attr('cityCode',city.cityCode);
		jel('#cityTxt').html(cname);
		getSiPayFun();
	};
	//城市change时
	var changeCity = function(e){
		if(e.detail){
			setCity(e.detail);
			filter.pCityCode = e.detail.cityCode; //获取当前选中的城市cityCode
		}
	};
	//调取选择城市页面
	var pickCity = function(){
		document.activeElement.blur();
		$.openWindow({url:'pick-city.html?workType=0',id:'pickCity',waiting: {autoShow: false}});
	};
 	//点击选择城市
	g('pCity').addEventListener('tap',function(e){
		pickCity();
		e.stopPropagation();
	},false);
	
	//神策埋点
	function joyTrack(){
		//Icon
		jTrack.regEventsLive('#navTab','dl','joyFuncClick','jtrack_name:this.innerText,jtrack_page:attr.data-linkurl,jtrack_pid:attr.data-buzzid');
		//城市
		jTrack.regEvents('#pCity','joyLinkClick','jtrack_name:城市选择');
		//灵活就业社保缴费
		jTrack.regEvents('#flexibleEmployment','joyLinkClick','jtrack_name:this.innerText');
		//城乡居民社保缴费
		jTrack.regEvents('#urbanAndRuralResidents','joyLinkClick','jtrack_name:this.innerText');
	}
	$.plusReady(function(){
		getSiPayFun();
		joyTrack();
	});
	//选择城市监听
	window.addEventListener('changeCity', changeCity ,false);
})(mui,app);