(function($, doc) {			
	$.init();
	var pushSwitchBtn = doc.getElementById('pushSwitch');
	//var pushSetting = doc.getElementById('pushSetting');
	
	var getPushsetting = function(){
		var pushsetting = app.getSetting('push');
		pushsetting = pushsetting==undefined?1:pushsetting;
		return pushsetting;
	};
	
	var getPushState = function(){
		var state = true;
    	if(mui.os.ios){
    		state = getPushsetting()==1;
    	}else if(mui.os.android){
    		var context = plus.android.runtimeMainActivity();
	        var PushManager = plus.android.importClass("com.igexin.sdk.PushManager");
	        state = PushManager.getInstance().isPushTurnedOn(context);
    	}
    	setTimeout(function(){
    		pushSwitchBtn.classList[state?'add':'remove']('mui-active');
    	},10);
	};
	
	var switchPush = function(on){
    	if(mui.os.ios){
    		var GeTuiSdk = plus.ios.importClass("GeTuiSdk");
			GeTuiSdk.setPushModeForOff(!on);
			app.setSetting('push',on?1:0);
    	}else if(mui.os.android){
	        var context = plus.android.runtimeMainActivity();
	        var PushManager = plus.android.importClass("com.igexin.sdk.PushManager");
	        PushManager.getInstance()[on?'turnOnPush':'turnOffPush'](context);
	        app.setSetting('push',on?1:0);
    	}
	};

	pushSwitchBtn.addEventListener('toggle', function(event) {
		var isActive = event.detail.isActive;
		//pushSetting.style.display = isActive ? 'block' : 'none';
		setTimeout(function(){
    		switchPush(isActive);
    	},10);
	}, false);
	
	setTimeout(function(){
		pushSwitchBtn.classList[getPushsetting()==1?'add':'remove']('mui-active');
	},0);

	$.plusReady(function(){
		getPushState();
	});
	
}(mui, document));