(function($,myStorage,jscope,shebaoSvc,doc) {
	window.main = window.main||{};
	var obj = {};
	obj.user = {};
	obj.secInfo = {};
	obj.securityAcctId = null;
	obj.refresh = 0;
	obj.monthDetails = {};
	obj.costDetails = {};
	var explanIds={med:0,Pen:0}
	var scroller = null;
	var appName;
	var socialCardId;
	var thatYearCache = false;
	var historyCache = false;
	$.init({swipeBack:true});
	
	
	var initFeed = function () {
		var windowH = document.documentElement.clientHeight,
			navBarH = g('navbar').offsetHeight,
			footerH = g('footer').offsetHeight,
			feedTabH = g('feedTab').offsetHeight||70;
			g('navbar').style.boxSizing = 'border-box';
			g('homeScroll').style.top = imbar.navBarHeight +'px';
			g('homeScroll').style.height = (windowH -imbar.navBarHeight -footerH) +'px';
			g('feedGroup').style.height = (windowH-navBarH-feedTabH-footerH-10)+'px';
			g('feed').style.height = (feedTabH+g('feedGroup').offsetHeight+5)+'px';
	}
	initFeed();
	scroller = $('#homeScroll').jscroll({
		scrollX: false,
		indicators: false,
		bounce:false,
		child:{
			fixBox:'#feed',
			//fixBar:'#feedTab',
			scBox:'#feedGroup',
			scrolls:'#feedGroup .mui-scroll-wrapper',
			active:'#feedGroup .mui-slider-item.mui-active .mui-scroll-wrapper'
		}
	});
	
	var slider = $('#feed').slider({bounce:false});
	var winW = document.documentElement.clientWidth;
	var scbody = document.querySelector('#homeScroll .mui-scroll');
	//内容窗体加宽动画
	var scAni = function(){
		var feed = g('feed');
		var slider = $('#feed').slider();
		if(!feed.classList.contains('unfold') && scroller.y<=scroller.maxScrollY){
			g('feedGroup').style['webkitTransform']='translate3d(-'+(slider.slideNumber*winW)+'px, 0px, 0px) translateZ(0px)';
			g('feedGroup').style['transitionDuration']='500ms';
			g('feedGroup').style['transitionTimingFunction']='ease-in-out';
			feed.classList.add('unfold');
		}else if(feed.classList.contains('unfold') && scroller.y>scroller.maxScrollY){			
			g('feedGroup').style['webkitTransform']='translate3d(-'+(slider.slideNumber*winW*0.9)+'px, 0px, 0px) translateZ(0px)';
			g('feedGroup').style['transitionDuration']='500ms';
			g('feedGroup').style['transitionTimingFunction']='ease-in-out';
			feed.classList.remove('unfold');
		}
	};
	
	HTMLCollection.prototype.indexOf =  Array.prototype.indexOf;
	
	var exchangeBtn = doc.getElementById('exchange');
	var info = doc.getElementById('info');
	var infoSubBox = doc.getElementById('infoSub');
	var swipeSubBtn = doc.getElementById('swipeSub');
	var slider = doc.getElementById('feed');

	var refreshBtn =  doc.getElementById('refresh');
	var ybMoney =  doc.getElementById('ybMoney');
	var ylMoney =  doc.getElementById('ylMoney');
    var imgCode = doc.getElementById('imgCode');
    var safeCodeBox = doc.getElementById('safeCode');
	var sRefreshBtn = doc.getElementById('sRefresh');
	var payStateMark = doc.getElementById('payState');

	var weixinServicesBtn = doc.getElementById('weixinServices');
	var QQServicesBtn = doc.getElementById('QQServices');
	
	var qel = function(selector){
		return document.querySelector(selector);
	};
	var showAniText = function(elId,text,callback){		
		var wh = document.body.clientHeight;
		var ww = document.body.clientWidth;
		var txt =document.createElement('div');
		txt.id = 'ani_'+elId;
		txt.className=text>0?"ani-txt up":"ani-txt down";
		txt.style.fontSize = '60px';
	    txt.style.top = (wh/2-20)+"px";
	    txt.style.left = (ww/2-92)+"px";
	    document.body.appendChild(txt);
		 
	    var el = document.getElementById(elId);
	    txt.innerHTML= text>0?'+'+text.toFixed(2):text.toFixed(2);
	    txt.classList.add('ani-n');
	    txt.style.left = el.offsetLeft+"px";
	    txt.style.top = el.offsetTop+"px";
	    txt.style.fontSize = '24px';
	    txt.style.opacity = 0;
 		setTimeout(function(){
 			document.body.removeChild(txt);
 		},1600);
		callback();
	};
	var showFlash = function(data){
		var ybMoneyO =  parseFloat(isNaN(obj.secInfo.medicalAccountBalance)?"0":obj.secInfo.medicalAccountBalance),
			ylMoneyO =  parseFloat(isNaN(obj.secInfo.pensionAccountBalance)?"0":obj.secInfo.pensionAccountBalance);
		if(!isNaN(data.medicalAccountBalance)&&data.medicalAccountBalance!==""){
			var ybMoneyN =  parseFloat(data.medicalAccountBalance);
			if(ybMoneyO===0){
				new CountUp("ybMoney", 0, ybMoneyN, 2, 2.5).start();
			}else if(ybMoneyN!==ybMoneyO){
				new CountUp("ybMoney", ybMoneyO, ybMoneyN, 2, 2.5).start();
			}
		}else{
			g('ybMoney').innerText=data.medicalAccountBalance||"-";
		}
		if(!isNaN(data.pensionAccountBalance)&&data.pensionAccountBalance!==""){
			var ylMoneyN =  parseFloat(data.pensionAccountBalance);
			if(ylMoneyO===0){
				new CountUp("ylMoney", 0, ylMoneyN, 2, 2.5).start();
			}else if(ylMoneyN!==ylMoneyO){
				new CountUp("ylMoney", ylMoneyO, ylMoneyN, 2, 2.5).start();
			}
		}else{
			g('ylMoney').innerText=data.pensionAccountBalance||"-";
		}
	};
	var rewriteData = function(data) {
        var perAmt = 0;
        var comAmt = 0;
        var list = data.joySecurityAccountPayments.concat();
		$.each(list,function (i,ins) {
			perAmt += parseFloat(ins.payPersonal===null?0:ins.payPersonal);
			comAmt += parseFloat(ins.payCompany===null?0:ins.payCompany);
			ins.amt = parseFloat(ins.payPersonal===null?0:ins.payPersonal) + parseFloat(ins.payCompany===null?0:ins.payCompany);
			ins.payPersonal = ins.payPersonal===null?'-':ins.payPersonal;
			ins.payCompany =  ins.payCompany===null?'-':ins.payCompany;
		});
        return {perAmt:perAmt,comAmt:comAmt,payMonth:data.payMonth,list:list};
	};
	var getPieOption = function (datas,nameLabel,valueLabel){
	 	var kind = [];
	 	var data = [];
	 	var chartData = datas.newSecurityPaymentList.slice(0,datas.newSecurityPaymentList.length-1);
		$.each(chartData,function (i,ins) {
			kind.push(ins[nameLabel]);
			data.push({value:ins[valueLabel],name:ins[nameLabel]});
		});
	 	return {
		    title : {
			    	text:'缴费\n比例',
			    	left:'23.6%',
			    	top:'43.8%',
			    	textStyle:{
			    		color:'#0E324B',
			    		fontSize:16,
			    		lineHeight:20,
			    		fontWeight:'normal'
		    		}
		    },
		    legend:{
		    	orient:'horizontal',
		    	width:'140px',
		    	itemWidth:15,
        		itemHeight:15,
		    	top:50,
		    	right:0,
		    	itemGap:20,
		    	data:kind
		    },
		    series : [{
		        name: '险种',
		        type: 'pie',
		        startAngle:-15,
		        radius : ['40%','70%'],
		        center: ['30%', '55%'],
		        data:data,
		        color:['#3ebba9','#4aa46e','#f18336','#6b56e1','#5778d9','#16C7C7'],
		        label: {
	                normal: {
	                    show: false,
	                    position: 'center'
	                },
	            },
		        itemStyle: {
		            emphasis: {
		                shadowBlur: 10,
		                shadowOffsetX: 0,
		                shadowColor: 'rgba(0, 0, 0, 0.5)'
	                }
		        }
	       }]
		};
	 };
	var setRecentPie = function (data){
		if(data){
			var chart = echarts.init(doc.getElementById('pieChart'))
			var option = getPieOption(data,'insuranceName','insuranceTotalAmt');
			chart.setOption(option);		
		}else{
			g("thatYearBox").classList.add('mui-hidden');
			g("chartUI").classList.add('mui-hidden');
			g('dataNull').style.display = 'block';
			g("functionBox1").style.marginTop ="0px";
		}
		
	};
	
	var setSecInfo = function(data){
		appName = data.name;
		g('header').innerText=data.name;
		g('payState').classList[data.securityState=='正常'?'remove':'add']('bg-red');  //显隐社保账号是否正常
		//社保入账明细基础信息移位
		var list = doc.getElementById('feed1');
		data.payBase = numFormat(data.payBase);
		jscope.bind(list,data,'info');
		socialCardId = data.id;
		if(obj.securityAcctId==obj.secInfo.securityAcctId){
			showFlash(data);
		}else{
			g('ybMoney').innerText=data.medicalAccountBalance||"-";
			g('ylMoney').innerText=data.pensionAccountBalance||"-";
			g('refreshTime').innerText=data.lastRefreshDate.split(" ")[0] ||'';	//截取最后更新时间的日期
		}
		obj.secInfo = data;
		if($('#feed').slider().slideNumber===2 && obj.secInfo.medicalPayType && g('costListOne').getAttribute('secid')!=obj.securityAcctId){
			getMedicalPayList(obj.securityAcctId);
		}
		getNounsExplanation(data.payCity);
		getFuncExplanation(data.payCity);	
	};
	
	//调取社保卡基本信息
	var getSecInfo = function (secId,update) {
		if(!app.checkLogin()) return;
		var secInfo = myStorage.getItem('SecInfo_'+secId);
		if(!secInfo||secInfo.medicalPayType===undefined) update=true;
		
		if(!update && secInfo){
			setSecInfo(secInfo);
		}else{
			shebaoSvc.getSecInfo(secId,update).then(function (data) {
				setSecInfo(data);
			}).catch(function(err){
				if(err.code>'9999'){
					$.toast(err.message);
				} 
				console.error(err.message,err);
			});
		}
	};
	
	var getSecNewList = function (secId) {
		if(!app.checkLogin()) return;
		shebaoSvc.getNewSecPayList(secId).then(function(data){
			if(data && !$.isEmptyObject(data)){
				g("dataNull").style.display = 'none';
				var payYear = data.payMonth.substring(0,4);
				var payMonth = data.payMonth.substring(4,data.payMonth.length);
				g('depositTime').innerHTML = payYear + '-' + payMonth + '缴费明细';
				setRecentPie(data);
				var lastTable = doc.getElementById('lastTable');
				jscope.bind(lastTable,{dtable:data.newSecurityPaymentList});
				var rows = lastTable.children;
				var colors = ['','#3ebba9','#4aa46e','#f18336','#6b56e1','#5778d9','#16C7C7'];
				for(var i=1; i<rows.length;i++){
					rows[i].children[0].style.color=colors[i];
				}
			}else{
				g("thatYearBox").classList.add('mui-hidden');
				g("chartUI").classList.add('mui-hidden');
				g("dataNull").style.display = 'block';
			}
		}).catch(function(err){
			if(err.code>'9999') $.toast(err.message);
			console.error(err.message,err);
		});
	};
	var getSecDetails = function (secId) {
		if(!app.checkLogin()) return;
		shebaoSvc.getSecAcctDetails(secId).then(function (data) {
			if(data){
				//基金、医保、养老金数据处理，添加千分位分隔符
				$.each(data,function(index,dataList){
					$.each(dataList.securityInfoList,function(indexS,dataListS){
						dataListS.medical = numFormat(dataListS.medical);
						dataListS.pension = numFormat(dataListS.pension);
						dataListS.pensionBase = numFormat(dataListS.pensionBase);
					});
				});
				var secList = doc.getElementById('secList');
				jscope.bindRepeat(secList,{secList:data});
				setTimeout(function(){
					createDetails(data);
				},100);
				g('refresh').children[0].classList.remove('spin');
			}
		}).catch(function(err){
			g('refresh').children[0].classList.remove('spin');
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var getMonthDetail = function(secId,month,show){
		shebaoSvc.getSecPayListByMonth(secId,month).then(function (data) {
			if($.isEmptyObject(data)) data = {
				payMonth:month,
				newSecurityPaymentList:[],
				joySecurityAccountPayments:[]
			};
			obj.monthDetails[data.payMonth] = data.newSecurityPaymentList;
			createMonthDetail(data.payMonth,data.newSecurityPaymentList);
			if(show) showDetail(data.payMonth);
			plus.nativeUI.closeWaiting();
		}).catch(function(err){
			plus.nativeUI.closeWaiting();
			console.error(err.message,err);
		});
	};
	var getMedicalPayList = function(secId){
		plus.nativeUI.showWaiting('正在读取...');
		shebaoSvc.getMedicalPay(secId).then(function(data){
			createCostList(data,secId);
			if(data.medicalPayType==2) createCostDetails(data);
			plus.nativeUI.closeWaiting();
		}).catch(function(err){
			plus.nativeUI.closeWaiting();
			console.error(err.message,err);
		});
	};
	
	var LoadData = function (secId) {
		console.log('load sbkinfo');
		g('refresh').children[0].classList.add('spin');
		document.body.classList.remove('nobind');
    		getSecInfo(secId);
		getSecNewList(secId);
		setTimeout(function(){
			getSecDetails(secId);
		},10);
	};
	
	var settime = function () {
		var intSms = null;
		var sec = 120;
		intSms = setInterval(function() {
			sec--;
			if (sec <= 0) {
				clearInterval(intSms);
				btnGetMsg.innerHTML = '获取验证码';
				btnGetMsg.removeAttribute('disabled');
			} else {
				btnGetMsg.innerHTML = sec + 's';
				btnGetMsg.setAttribute('disabled','disabled');
			}
		}, 1000);
	};
	var getMsgCode = function() {
		var datasObj = {
			accountId:obj.secInfo.id,
			cityCode: obj.secInfo.payCity,
			grabType: '0',//0-社保,1-公积金
			telCodeType: '2'
		};
		if(!g('safeCodeRow').classList.contains('mui-hidden')){
			var safeCode = g('safeCode').value;
			if(!safeCode || !safeCode.trim()){
				safeCodeBox.focus();
				return $.toast('请先输入图形验证码');
			}
			datasObj.safeCode = safeCode;
		}
		btnGetMsg.innerHTML = '<i class="mui-spinner"></i>';
		btnGetMsg.setAttribute('disabled','disabled');
		shebaoSvc.getTelcode(datasObj).then(function(data) {
			settime();
		}).catch(function(err) {
			$.alert(err.message);
			btnGetMsg.innerHTML = '获取验证码';
			btnGetMsg.removeAttribute('disabled');
			if(!g('safeCodeRow').classList.contains('mui-hidden')){
				getSafeCode();
			}
			console.error(err.message,err);
		});
	};
	
	var getSafeCode = function (callback) {
		callback = callback || $.noop;
		imgCode.setAttribute('src','../images/yzm.gif');
		shebaoSvc.getSafeCode(obj.secInfo.payCity).then(function (data) {
			if(data.statusMap && data.statusMap.status!=1){
				mui.alert(data.statusMap.message);
				return;
			}
			var hasInput = false;
			if(data.saveCodePath){
				hasInput = true;
				g('safeCodeRow').classList.remove('mui-hidden');
				imgCode.setAttribute('src',data.saveCodePath);
				safeCodeBox.value = '';
				safeCodeBox.focus();
			}else{
				g('safeCodeRow').classList.add('mui-hidden');
			}
		    if(data.phoneCode=='1'){
				hasInput = true;
				g('phoneCode').value = '';
				g('phoneCodeRow').classList.remove('mui-hidden');
			}else{
				g('phoneCodeRow').classList.add('mui-hidden');
			}
			callback(hasInput);
		}).catch(function (err) {
			$.toast('连接社保网失败');
		    console.error(err.message,err);
		});
	};
	var refresh = function () {
		obj.refresh=0;
		getSafeCode(function (hasInput) {
			if(hasInput){
				$('#yzm').popover('show');
			}else{
				refreshSec();
			}
		});
	};
	//更新弹窗内的取消按钮
	g('openWind').addEventListener('tap',function(){
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
	},false);
	//更新中...按钮
	g('nbtns').children[1].addEventListener('tap',function(){
		g('processMask').style.display = 'block';
		g('progress').style.display = 'block';
	},false);
	
	
	
	//更新后数据处理
	var dateRefresh = function (e) {
		var data = e.detail.success;
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
		localStorage.removeItem("shebaoReadPage");
		progessBar.stopProgess(function(){
			var list = g('secList'),
				el = list.children[0].cloneNode(true);
		    list.innerHTML = '';
		    list.appendChild(el);
		    g('refresh').children[0].classList.add('spin');
		    getSecInfo(obj.securityAcctId,true);
		    getSecNewList(obj.securityAcctId);
		    getSecDetails(obj.securityAcctId);
		    getMedicalPayList(obj.securityAcctId);
		    
			if(obj.securityAcctId===obj.user.securityAcctId){
				app.fireEvent('main','refreshHome');
				app.fireEvent('main','refreshJoy');
			}
			 
			app.fireEvent('main','showActivity',{
				posId:'activity_refresh_security',
				triggerPoint:101,
				data:{
					securityAcctId:obj.securityAcctId,
					cityCode:obj.payCity,
					bodyCode:obj.bodyCode
				}
			});
		});
	}
	//更新失败
	var dateRefreshErr = function (e){
		var err = e.detail.fail;
		g('refresh').children[0].classList.remove('spin');
		g('refresh').classList.remove('mui-hidden')	//显示更新按钮
		g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
		g('mongolia').classList.add('mui-hidden');
		localStorage.removeItem("shebaoReadPage");
//			jel('.mui-bar-nav .mui-icon').removeClass('mui-hidden');
		progessBar.hideProgess();
		if(err.code=="90012"){
			$.confirm("绑定的社保账户密码错误，如果您已修改密码请重新绑定账户。现在重新绑定账户？",
				"刷新社保数据",['是','否'],function(event){
				if ( 0===event.index ) {
					app.showSheBaoAdd();
				}
			});
		}else if(err.code=="90008"){
			$.alert(err.message);
		}else if(err.message==='abort'){
			$.alert('请求异常终止，请返回并重新进入查看');
		}else if(err.code == 0){
			$.alert('网络连接已中断，请检查网络设置！');
		}else{
			$.toast(err.message);
		}
		console.error(err.message,err);
	}
	
	//更新按钮
	var refreshSec = function () {
		document.activeElement.blur();
		var safeCode = g('safeCode').value.trim();
		var phoneCode = g('phoneCode').value.trim();
		if(!g('safeCodeRow').classList.contains('mui-hidden') && safeCode.length==0){
			g('safeCode').focus();
			return $.toast("请输入图形验证码");
		}
		if(!g('phoneCodeRow').classList.contains('mui-hidden') && phoneCode.length==0){
			g('phoneCode').focus();
			return $.toast("请输入短信验证码");
		}
		$('#yzm').popover('hide');
		localStorage.setItem("shebaoReadPage",false);
		g('refresh').classList.add('mui-hidden')	//隐藏更新按钮
		g('timeSpotBox').classList.remove('mui-hidden');	//显示更新中文案
		g('mongolia').classList.add('mui-hidden');
		progessBar.startProgess();
		//调取主页消息推送
		app.fireEvent('main','shebaoInfoToUpdate',{safeCode:safeCode,securityAcctId:obj.securityAcctId,phoneCode:phoneCode,appName:appName,webViewObId:mui.currentWebview.id});
	};
 	
 	var scrollEnd = function(e){
		var sliderTop = g('feed').offsetTop,
			actItem = qel('.mui-slider-item.mui-active .mui-collapse.mui-active');
		if(!actItem) return;
		if(sliderTop+actItem.nextElementSibling.offsetTop+e.detail.lastY<=60){
			var scrollTop = sliderTop+actItem.nextElementSibling.offsetTop;
			actItem.classList.remove('mui-active');
			scroller.scrollTo(0,0-scrollTop,0);
		}
	};

	var slideFunc = function(e) {
		var navbarHeight = g('navbar').offsetHeight,
			sliderTop = g('feed').offsetTop,
			index = e.detail.slideNumber;
		
		//tab标签切换（数据分析、缴纳明细、医疗支出）样式变化
		jel('.mui-slider-indicator a').removeClass('mui-active');
		jel('.mui-slider-indicator a')[0][index].classList.add('mui-active');
		if(index===2 && obj.secInfo.medicalPayType && g('costListOne') && g('costListOne').getAttribute('secid')!=obj.securityAcctId){
			getMedicalPayList(obj.securityAcctId);
		}
	};
    
    var exchange = function(){
    	if(!app.checkLogin()){
			app.toLogin();
		}else{
			app.showSheBaoAdd();
		}
    };

    var oldBack = $.back;
    var closeDetail = function(){
    	document.getElementById('monthBox').classList.remove('mui-active');
    	document.getElementById('costBox').classList.remove('mui-active');
		obj.mask&&obj.mask.close();
		$.back = oldBack;
    };
    var createDetails = function(data){
    	if(data.length===0) return;
    	var item,mitem,yms,fullMonth;
    	g('monthGroup').innerHTML='';
    	for(var i=data.length-1;i>=0;i--){
    		yms = data[i].securityInfoList;
    		for(var x=yms.length-1;x>=0;x--){
    			im = yms[x];
    			fullMonth = im.year+''+(im.month>9?im.month:'0'+im.month);
    			mitem = document.createElement('div');
				mitem.className='mui-slider-item'+(g('monthGroup').childElementCount===0?' mui-active':'');
				mitem.setAttribute('month',fullMonth);
				mitem.innerHTML=[
					'<div class="month-detail mui-popup mui-popover">',
						'<div class="mui-popup-title">',fullMonth,' 缴费明细</div>',
						'<div class="mui-popup-inner"></div>',
					'</div>'].join('');
				g('monthGroup').appendChild(mitem);
    		}
    	}
    	g("monthBox").style.visibility='hidden';
    	g("monthBox").classList.add('mui-active');
		$("#monthBox").slider().refresh();
		g("monthBox").classList.remove('mui-active');
		g("monthBox").style.visibility='visible';	
    };
    var createMonthDetail = function(fullMonth,detail){
    	var item,
    		mitem=g('monthGroup').querySelector('.mui-slider-item[month="'+fullMonth+'"]')
    		mcon=mitem.querySelector('.mui-popup-inner');
		mitem.setAttribute('create','1');
		if(mcon.children.length>0) return;
		if(detail.length>0){
			$.each(detail,function(index,mi){
				item = document.createElement('div');
				if(index==detail.length-1){
					item.className='ins-total';
					item.innerHTML=mi.insuranceName+':'+numFormat(mi.insuranceTotalAmt)+'元';
				}else{
					item.className='ins-info';
					item.innerHTML=[
						'<label>'+mi.insuranceName+'</label>',
						'<div>',
							'<em>',mi.payCompany==='-'?'--':numFormat(mi.payCompany)+' 元','</em>',
							'<span>单位缴费</span>',
						'</div>',
						'<div>',
							'<em>',mi.payPersonal==='-'?'--':numFormat(mi.payPersonal)+' 元','</em>',
							'<span>个人缴费</span>',
						'</div>'].join('');
				}
				mcon.appendChild(item);
			});
		}else{
			mcon.innerHTML='<p class="ins-empty">未查到本月缴费数据，<br>联系客服获得更多帮助！</p>';
			item = document.createElement('div');
			item.className = 'mui-popup-bottom';
			item.innerHTML=[
				'<a class="btn-bj btnKf mui-pull-left">联系客服</a>',
				'<a class="btn-bj btnZx mui-pull-right">政策咨询</a>',
			].join('');
			mitem.children[0].appendChild(item);
		}
    };
    
    //入账明细-年明细-月缴费明细
    var showDetail = function(fullMonth){
		var detail = obj.monthDetails[fullMonth];
		if(!detail){
			plus.nativeUI.showWaiting();
			getMonthDetail(obj.securityAcctId,fullMonth,true);
		}else{
			console.log('showMonth:'+fullMonth);
			var monthBox=g('monthBox'),
			 	monthGroup = g('monthGroup'),
				active = monthGroup.querySelector('.mui-slider-item[month="'+fullMonth+'"]'),
				idx = monthGroup.children.indexOf(active),
				sleft = idx*(0-document.body.clientWidth),
				slider = $('#monthBox').slider(),
				st = slider.options.scrollTime,
				se = slider.options.scrollEasing;
			obj.monthDetails.currMonth = fullMonth;	
			if(!monthBox.classList.contains('mui-active')){
				var mask = obj.mask;
				if(!mask){
					mask = obj.mask = $.createMask();
					mask[0].addEventListener('tap',function(){
						closeDetail();
					},false);
				}
				$.back = closeDetail;
				mask.show();
				monthBox.classList.add('mui-active');
				slider.gotoItem(idx,0);
			}else{
				slider.gotoItem(idx,st);
			}
		}
	};
	var goDetail = function(num){
		console.log('currMonth:'+obj.monthDetails.currMonth);
		var activeEl = g('monthGroup').querySelector('.mui-slider-item.mui-active');
		if(!activeEl) return;
		activeEl = num>0?activeEl.nextElementSibling:activeEl.previousElementSibling;
		if(!activeEl) return;
		showDetail(activeEl.getAttribute('month'));
	};
	var goMonthItem = function(fullMonth){
		var active = g('monthGroup').querySelector('.mui-slider-item[month="'+fullMonth+'"]'),
			nextEl = active.nextElementSibling,
			prevEl = active.previousElementSibling,
			nextMonth = nextEl?nextEl.getAttribute('month'):false,
			prevMonth = prevEl?prevEl.getAttribute('month'):false;		
		g('btnNextM').style.display=nextEl?'block':'none';
		g('btnPrevM').style.display=prevEl?'block':'none';		
		if(nextMonth && !obj.monthDetails[nextMonth]) {
			getMonthDetail(obj.securityAcctId,nextMonth);
		}
		if(prevMonth && !obj.monthDetails[prevMonth]){
			getMonthDetail(obj.securityAcctId,prevMonth);
		}
	};
	//千位分隔符
	var numFormat = function(num) {
		if(num == null){
			num = 0;
		}
	    num=num.toString().split(".");  // 分隔小数点
	    var arr=num[0].split("").reverse();  // 转换成字符数组并且倒序排列
	    var res=[];
	    for(var i=0,len=arr.length;i<len;i++){
	      if(i%3===0&&i!==0){
	         res.push(",");   // 添加分隔符
	      }
	      res.push(arr[i]);
	    }
	    res.reverse(); // 再次倒序成为正确的顺序
	    if(num[1]){  // 如果有小数的话添加小数部分
	      res=res.join("").concat("."+num[1]);
	    }else{
	      res=res.join("");
	    }
	    return res;
	}
	function changeMoney(num) {
	 	var regexp = /(?:\.0*|(\.\d+?)0+)$/
	 	if (num > 1000000) {
		 	num = JSON.stringify(num).slice(0, JSON.stringify(num).length - 4) / 100
		 	return num + '万'
	 	} else {
		    num = (num / 100).toFixed(2)
		    num = num.replace(regexp, '$1')
		    return num
	 	}
	}
	var costChart = null;
	var setCostRatePieChart=function(costbox){
		var cost = parseFloat(costbox.getAttribute('cost')),
			refund = parseFloat(costbox.getAttribute('refund'));
		var dataStyle = {
		    normal: {
		        label: {show:false},
		        labelLine: {show:false}
		    }
		};
	 	var options = {
	 		series : [{
		    	tooltip:{show:false},
		        name: '费用',
		        type: 'pie',
		        startAngle:-90,
		        radius : ['60%','100%'],
		        center: ['50%', '50%'],
		        data:[
			        {name:'已报销',value:refund},
			        {name:'未报销',value:cost-refund}
		        ],
		        itemStyle : dataStyle,
		        color:['#0c71fd','#eeeeee']
	       }]
		};
		var chartbox = g('costPie');
		if(!chartbox){
			chartbox = document.createElement('div');
			chartbox.style.width="85px";
			chartbox.style.height="85px";
			chartbox.id = 'costPie';
		} 
		costbox.appendChild(chartbox);
		if(!costChart) costChart = echarts.init(chartbox);
		costChart.setOption(options);
	};
	var createCostDetails=function(data){
		var dateStr1,costi,pay,md,feeList,feei,spline,
			payType = ['普通支出','门诊','住院','购药','挂号','特殊支出'];
		g('costGroup').innerHTML='';
		spline = '<div class="spline"></div>';
		for(var x=data.payList.length-1;x>=0;x--){
			pay = data.payList[x];
			for(var y=0;y<pay.monthDate.length;y++){
				md = pay.monthDate[y];
				dateStr1 = md.payDateTime.substr(0,4)+'-'+md.payDateTime.substr(4,2)+'-'+md.payDateTime.substr(6,2),
				costi = document.createElement('div');
				costi.className='mui-slider-item';
				costi.setAttribute('date',md.payDateTime);
				costi.setAttribute('idx',x+'_'+y);
				
				var refund = parseFloat(md.feeList[0].split(':')[1]);
				var rate =  md.payTotal?parseInt(refund*100/md.payTotal)+'%':'0%';
				
				feeList = '';
				for(var fi in md.feeList){
					feei = md.feeList[fi].split(':');
					feeList +=[
						'<div class="cost-dd">',
							'<label>',feei[0],'</label>',
							'<em>',numFormat(feei[1]),'元</em>',
						'</div>'].join('');
				}
				costi.innerHTML=[
					'<div class="cost-detail mui-popup mui-popover">',
						'<div class="mui-popup-inner',md.feeTypeValue==0?' fee-x':' fee-t','">',
							'<div class="cost-chart mui-clearfix">',
								'<div class="cost-pie mui-pull-left" cost="',md.payTotal,'" refund="',refund,'"></div>',
								'<div class="cost-legend">',
									'<div class="rate">',
										'<label>报销比例</label>',
										'<span>',rate,'</span>',
									'</div>',
									spline,
									'<div class="legend">',
										'<i class="fa fa-circle"> 已报销</i>',
										'<i class="fa fa-circle"> 未报销</i>',
									'</div>',
								'</div>',
							'</div>',
							spline,
							'<div class="cost-dd">',
								'<label>使用地点</label>',
								'<span>',md.hospName,'</span>',
							'</div>',
							'<div class="cost-dd">',
								'<label>使用时间</label>',
								'<span>',dateStr1,'</span>',
							'</div>',
							'<div class="cost-dd">',
								'<label>类型</label>',
								'<span>',payType[md.payTypeValue],'</span>',
							'</div>',
							spline, feeList, spline,
							'<div class="cost-dd total">',
								'<label>总费用</label>',
								'<em>',numFormat(md.payTotal),'元</em>',
							'</div>',
							spline,
							'<div class="ad"></div>',
						'</div>',
					'</div>'].join('');
				g('costGroup').appendChild(costi);
				
				if(dyAdBanner) dyAdBanner.createIndex(costi.querySelector('.ad'))
			}
		}
		g("costBox").style.visibility='hidden';
    	g("costBox").classList.add('mui-active');
    	if(data.payList.length-1 >= 0) $("#costBox").slider().refresh();
		g("costBox").classList.remove('mui-active');
		g("costBox").style.visibility='visible';
	};
	var createCostList = function(data){
		var costList = g('costListOne'),
			type=data.medicalPayType,
			payType = ['普通支出','门诊','住院','购药','挂号','特殊支出'],
			pay,md,dateStr,liYear,liCost,innerList,liItem,stotal;
		if(type===0){
//			costList.innerHTML='<div class="empty">该城市暂不支持</div>';
		}else if(!data.payList||data.payList.length===0){
			costList.innerHTML='<div class="empty">没有任何医疗支出项目</div>';
		}else{
			costList.innerHTML='';
			costList.setAttribute('secid',obj.securityAcctId);
			for(var x=0;x<data.payList.length;x++){
				pay= data.payList[x];
				liYear = document.createElement('li');
				liYear.className = 'mui-table-view-cell mui-collapse cost'+(x==0?' mui-active':'');
				liYear.innerHTML=[
					'<a class="mui-navigate-right" href="#">',
						'<span><span>',pay.year,'</span>年明细</span>',
					'</a>'
				].join('');
				costList.appendChild(liYear);
				if(type===1){
					innerList = document.createElement('ul');
					innerList.className = 'mui-table-view payy';
					innerList.innerHTML=[
						'<li class="mui-table-view-cell">',
							'<label>门诊</label>',
							'<div><span><em>',numFormat(pay.monthDate.clinicPay),'</em>元</span><p>消费</p></div>',
							'<div><span><em>',numFormat(pay.monthDate.clinicPayLarge),'</em>元</span><p>报销</p></div>',
							'<div><span><em>',numFormat(pay.monthDate.clinicPayInside),'</em>元</span><p>自费</p></div>',
						'</li>',
						'<li class="mui-table-view-cell">',
							'<label>住院</label>',
							'<div><span><em>',numFormat(pay.monthDate.hospPayPlan),'</em>元</span><p>消费</p></div>',
							'<div><span><em>',numFormat(pay.monthDate.hospPayLarge),'</em>元</span><p>报销</p></div>',
							'<div><span><em>',numFormat(pay.monthDate.hospPayInside),'</em>元</span><p>自费</p></div>',
						'</li>'
					].join('');
					liYear.appendChild(innerList);
				}else if(type===2){
					innerList = document.createElement('ul');
					innerList.className = 'mui-table-view payi';
					liYear.appendChild(innerList);
					for(var y=pay.monthDate.length-1;y>=0;y--) {
						md = pay.monthDate[y];
						liItem = document.createElement('li');
						liItem.className='mui-table-view-cell';
						liItem.setAttribute('type',md.payTypeValue);
						liItem.setAttribute('date',md.payDateTime);
						liItem.setAttribute('idx',x+'_'+y);
						dateStr = md.payDateTime.substr(4,2)+'-'+md.payDateTime.substr(6,2);
						var payAccountNew = md.payAccount < 0 ? '-' : '';
						md.payAccount = md.payAccount < 0 ? Math.abs(md.payAccount) : md.payAccount;
						liItem.innerHTML = [
							'<span class="mui-pull-left pay-date">',dateStr,'</span>',
							'<span class="pay-de-amount ',md.feeTypeValue=='0'?'color-green':'color-red','">',
								'<em>',payAccountNew,numFormat(md.payAccount),'元</em>',
							'</span>',
							'<span class="pay-type">',
								'<i class="',md.feeTypeValue=='0'?' fa fa-long-arrow-down':' fa fa-long-arrow-up','"></i>',
								payType[md.payTypeValue],
							'</span>',
							'<p class="pay-toal-amount">',
								'<span>总费用:</span>',
								'<em>',numFormat(md.payTotal),'元</em>',
							'</p>',
							'<p class="pay-hosname">',
								md.hospName,
							'</p>'
						].join('');
						innerList.appendChild(liItem);
					}
				}
			}
		}
	};
	var showCostDetail = function(dataStr){
		console.log('showCost:'+dataStr);
		obj.costDetails.currDate = dataStr;
		jel('#costGroup .mui-slider-item.mui-active').removeClass('mui-active');
		var costGroup = g('costGroup'),costBox=g('costBox'),
			active = costGroup.querySelector('.mui-slider-item[idx="'+dataStr+'"]'),
			idx = costGroup.children.indexOf(active),
			sleft = idx*(0-document.body.clientWidth),
			slider = $('#costBox').slider(),
			st = slider.options.scrollTime,
			se = slider.options.scrollEasing;
		setCostRatePieChart(active.querySelector('.cost-pie'));
		g('btnNextMM').style.display=active.nextElementSibling?'block':'none';
		g('btnPrevMM').style.display=active.previousElementSibling?'block':'none';
		if(!costBox.classList.contains('mui-active')){
			var mask = obj.mask;
			if(!mask){
				mask = obj.mask = $.createMask();
				mask[0].addEventListener('tap',closeDetail,false);
			}
			costBox.classList.add('mui-active');
			mask.show();
			$.back = closeDetail;
			slider.gotoItem(idx,0);
		}else{
			slider.gotoItem(idx,st);
		}
		active.classList.add('mui-active');
		
	};
 
	var goCostDetail = function(num){
		console.log('currCost:'+obj.costDetails.currDate);
		var activeEl = g('costGroup').querySelector('.mui-slider-item.mui-active');
		if(!activeEl) return;
		activeEl = num>0?activeEl.nextElementSibling:activeEl.previousElementSibling;
		if(!activeEl) return;
		showCostDetail(activeEl.getAttribute('idx'));
	};
	
	var getNounsExplanation = function(payCity,callback){
		callback = callback || $.noop;
		shebaoSvc.getNounsExplanation(payCity).then(function(data){
			if(data.med){
				explanIds.med = data.med;
				g('ybTip').classList.remove('mui-hidden');
				callback();
			}else{
				explanIds.med = 0;
				g('ybTip').classList.add('mui-hidden');
			}
			if(data.Pen){
				explanIds.Pen = data.Pen;
				g('ylTip').classList.remove('mui-hidden');
				callback();
			}else{
				explanIds.Pen = 0;
				g('ylTip').classList.add('mui-hidden');
			}
		}).catch(function(err){
			$.toast(err.message);
			console.error(err.message,err);
		});
	};
	var getFuncExplanation = function(payCity){
		shebaoSvc.getFuncExplanation(payCity).then(function(data){
			if(data[1]){
				g('functionBoxFirst').classList.remove('mui-hidden');
				g('functionBox1').innerHTML = data[1];
			}else{
				g('functionBoxFirst').classList.add('mui-hidden');
			}
			if(data[2]){
				g('functionBoxSecond').classList.remove('mui-hidden');
				g('functionBox2').innerHTML = data[2];
			}else{
				g('functionBoxSecond').classList.add('mui-hidden');
			}
			if(data[3] && obj.secInfo.medicalPayType){
				g('functionBoxThird').classList.remove('mui-hidden');
				g('functionBox3').innerHTML = data[3];
			}else{
				g('functionBoxThird').classList.add('mui-hidden');
			}
		});
	};
	
	var showTip = function(boxId,cid,aid){
		var tid = g(cid).getAttribute('aid');
		if(tid!==aid.toString()){
			newsSvc.documentContent(aid).then(function(data){
				g(cid).innerHTML = data.content;
				
				g(boxId).style.left='1000px';
				g(boxId).style.display='block';
				var rHeight = document.documentElement.clientHeight;
				var aHeight = g(boxId).querySelector('.mui-popup-inner').offsetHeight + 30;
				if(aHeight/rHeight>0.7){
					g(boxId).classList.add('long');
					$('#'+boxId+' .mui-scroll-wrapper').scroll({bounce:false});
				}
				g(boxId).style.left='0';
				g(boxId).style.display='';
				g(cid).setAttribute("aid",aid);
				$('#'+boxId).popover('show');
			}).catch(function(err){
				$.toast(err.message);
			});
		}else{
			$('#'+boxId).popover('show');
		}
		plus.nativeUI.closeWaiting();
	};
	
	var setContacts = function(){
		appSvc.getContacts('infoContacts').then(function(data){
			if(!data||!data.length) return;
			var html = [];
			$.each(data,function(i,item){
				var href = '';
				if(item.mlType==3){
					href='href="tel:'+item.mlContent+'"';
				}else if(item.mlType==4){
					href='href="mailto:'+item.mlContent+'"';
				}
				html = html.concat([
					'<li class="mui-table-view-cell mui-media">',
						'<a ',href,' type="',item.mlType,'" text="',item.mlContent,'">',
							'<div class="mui-media-object mui-pull-left">',
								'<i class="jcon color-light ',item.mlImgPath,'"></i>',
							'</div>',
							'<div class="mui-media-body">',
								item.mlTitle,
								'<p class="mui-ellipsis text_left">',item.mlContent,'，工作日  9:00－18:30</p>',
							'</div>',
						'</a>',
					'</li>']);
			});
			g('infoContacts').innerHTML=html.join('');
		});
		$('#infoContacts').off();
		$('#infoContacts').on('tap','.mui-table-view-cell a',function(){
			var action = this.getAttribute('type');
			var txt = this.getAttribute('text');
			if(action=='1'){
				app.copyText(txt);
	        	    $.toast('号码已复制到剪贴板');
			}else if(action=='2'){
				app.copyText(txt);
				plus.runtime.openURL('mqqwpa://im/chat?chat_type=crm&uin='+txt+'&version=1&src_type=web&web_src=http:://wpa.b.qq.com');
			}else if(action=='3'){
				plus.runtime.openURL('tel:'+txt);
			}else if(action=='5'){
				app.openMultiURL(txt);
			}
			return false;
		});
	};
	var setGjjDisplay = function(){
		var lChannels=['joyshebao_BaiDu'];
		var tChannel = app.getDeviceInfo().channel;
		gjjDisplay = lChannels.indexOf(tChannel)<0;
		g('goGongjj').classList[gjjDisplay?'remove':'add']('mui-hidden');
	};
	/*
	 *	 当年累计消费详情&历史累计缴费详情
	 * 	type:'thatYear'/'history'
	 * 	data:数据参数
	 * */
	var getDetailsChartOption = function (datas,nameLabel,valueLabel){
	 	var kind = [];
	 	var data = [];
	 	var chartData = datas.newSecurityPaymentList.slice(0,datas.newSecurityPaymentList.length-1);
		$.each(chartData,function (i,ins) {
			kind.push(ins[nameLabel]);
			data.push({value:ins[valueLabel],name:ins[nameLabel]});
		});
	 	return {
		    title : {
			    	text:'缴费\n比例',
			    	left:'18.6%',
			    	top:'38.8%',
			    	textStyle:{
			    		color:'#0E324B',
			    		fontSize:16,
			    		lineHeight:20,
			    		fontWeight:'normal'
		    		}
		    },
		    legend:{
		    	orient:'horizontal',
		    	width:'140px',
		    	itemWidth:15,
        		itemHeight:15,
		    	top:30,
		    	right:'5%',
		    	itemGap:20,
		    	data:kind
		    },
		    series : [{
		        name: '险种',
		        type: 'pie',
		        startAngle:-15,
		        radius : ['40%','70%'],
		        center: ['25%', '50%'],
		        data:data,
		        color:['#3ebba9','#4aa46e','#f18336','#6b56e1','#5778d9','#16C7C7'],
		        label: {
	                normal: {
	                    show: false,
	                    position: 'center'
	                },
	            },
		        itemStyle: {
		            emphasis: {
		                shadowBlur: 10,
		                shadowOffsetX: 0,
		                shadowColor: 'rgba(0, 0, 0, 0.5)'
	                }
		        }
	       }]
		};
	 };
	 
	/*
	 * 	type:当年/历史
	 * 	data:图表数据
	 * **/
	var detailsFun = function(type,data){
		var chart = echarts.init(doc.getElementById(type));
		var option = getDetailsChartOption(data,'insuranceName','insuranceTotalAmt');
		chart.setOption(option);
	};
	var calculation = function (nums){
		if(!isNaN(nums)){
			if(nums >= 1000 && nums < 10000){
				nums = numFormat(nums);
			}else if(nums > 10000 ){
				var num = (nums/10000).toFixed(2);
				if(num > 1000){
					num = numFormat(num);
				}
				nums = '约' + num + '万';
			}
		}
		return nums;
	}
	//当年累计缴费查看
	var thatYearDetail = function (aid){
		if(!thatYearCache){
			thatYearCache = true;
			shebaoSvc.getNewYearSecurityPaymentList(aid).then(function(data){
				if(data){
					g('oldAgePension').innerHTML = data.monthNum + '个月';
					g('medicalInsuranceInThoseYears').innerHTML = data.yiLmonthNum + '个月';
					detailsFun('thatYearDetailsChart',data);
					//数据处理，添加千分位分隔符，约万处理
					$.each(data.newSecurityPaymentList,function(index,dataList){
						dataList.insuranceTotalAmt = calculation(dataList.insuranceTotalAmt);
						dataList.payCompany = calculation(dataList.payCompany);
						dataList.payPersonal = calculation(dataList.payPersonal);
					});
					var thatYearDetailsTable = doc.getElementById('thatYearDetailsTable');
					jscope.bind(thatYearDetailsTable,{thatYearDtable:data.newSecurityPaymentList});
					var rows = thatYearDetailsTable.children;
					var colors = ['','#3ebba9','#4aa46e','#f18336','#6b56e1','#5778d9','#16C7C7'];
					for(var i=1; i<rows.length;i++){
						rows[i].children[0].style.color=colors[i];
					}
				}else {
					g('thatYearBox').classList.add('mui-hidden');
				}
				var thatYearDetailsMsk = document.createElement("div");
				thatYearDetailsMsk.setAttribute('id','thatYearDetailsMsk');
				thatYearDetailsMsk.classList.add('details_msk');
				thatYearDetailsMsk.style.zIndex = '10';
				thatYearDetailsMsk.innerHTML = '<span id="thatYearCloseBox" class="close_box mui-icon mui-icon-closeempty"></span>';
				document.getElementsByTagName('body')[0].appendChild(thatYearDetailsMsk);
				thatYearDetailsMsk.classList.add('mui-hidden');
				g('thatYearCloseBox').style.top = 'calc(50% + '+ (g('thatYearBoxMask').offsetHeight/2 + 10)+'px)';
				
				g('thatYearBoxMask').classList.add('mui-hidden');
				g('thatYearBoxMask').style.zIndex = '99';
				//				g('thatYearDetailsMsk').style.zIndex = '10';
//								g('thatYearDetailsMsk').classList.add('mui-hidden');
			}).catch(function(err){
				if(err.code>'9999') $.toast(err.message);
				console.error(err.message,err);
			});
		}
	}
	
	//历史累计缴费查看
	var historyDetail = function (aid){
		if(!historyCache){
			historyCache = true;
			shebaoSvc.getAllSecurityPaymentList(aid).then(function(data){
				//加判断   如果用户数据小于2年的话，历史累计缴费弹窗入口隐藏
				if((data && data.monthNum >= 24) || (data && data.yiLmonthNum >= 24)){
					g('pensionAccumulation').innerHTML = data.monthNum + '个月';
					g('medicalInsuranceAccumulation').innerHTML = data.yiLmonthNum + '个月';
					detailsFun('cumulativeDetailsChart',data);
					//数据处理，添加千分位分隔符，约万处理
					$.each(data.newSecurityPaymentList,function(index,dataList){
						dataList.insuranceTotalAmt = calculation(dataList.insuranceTotalAmt);
						dataList.payCompany = calculation(dataList.payCompany);
						dataList.payPersonal = calculation(dataList.payPersonal);
					});
					var cumulativeDetailsTable = doc.getElementById('cumulativeDetailsTable');
					jscope.bind(cumulativeDetailsTable,{cumulativeDetailsTable:data.newSecurityPaymentList});
					var rows = cumulativeDetailsTable.children;
					var colors = ['','#3ebba9','#4aa46e','#f18336','#6b56e1','#5778d9','#16C7C7'];
					for(var i=1; i<rows.length;i++){
						rows[i].children[0].style.color=colors[i];
					}
				}else {
					g('historyBox').classList.add('mui-hidden');
				}
				var cumulativeDetailsMsk = document.createElement("div");
				cumulativeDetailsMsk.setAttribute('id','cumulativeDetailsMsk');
				cumulativeDetailsMsk.classList.add('details_msk');
				cumulativeDetailsMsk.style.zIndex = '10';
				cumulativeDetailsMsk.innerHTML = '<span id="cumulativeCloseBox" class="close_box mui-icon mui-icon-closeempty"></span>';
				document.getElementsByTagName('body')[0].appendChild(cumulativeDetailsMsk);
				cumulativeDetailsMsk.classList.add('mui-hidden');
				g('cumulativeCloseBox').style.top = 'calc(50% + '+ (g('cumulativeBoxMask').offsetHeight/2 + 10)+'px)';
				
				g('cumulativeBoxMask').classList.add('mui-hidden');
				g('cumulativeBoxMask').style.zIndex = '99';
			}).catch(function(err){
				if(err.code>'9999') $.toast(err.message);
				console.error(err.message,err);
			});
		}
	}
	
	
	//当年医疗弹窗图标处理
	var setmedicalPieChart=function(cost){
		var proportion =  cost.payTotalamt?parseInt(cost.paybxamt*100/cost.payTotalamt):'0';
		var dataStyle = {
		    normal: {
		        label: {show:false},
		        labelLine: {show:false}
		    }
		};
	 	return {
	 		series : [{
		    	tooltip:{show:false},
		        name: '费用',
		        type: 'pie',
		        startAngle:-90,
		        radius : ['60%','100%'],
		        center: ['50%', '50%'],
		        data:[
			        {name:'已报销',value:proportion},
			        {name:'未报销',value:100-proportion}
		        ],
		        itemStyle : dataStyle,
		        color:['#0c71fd','#eeeeee']
	       }]
		};
	};
	//当年医疗弹窗数据处理
	var createMedicalDetails=function(data){
		var spline,md,pay,proportion;
		var medicalCareDital = document.getElementById('medicalCareDital');
		spline = '<div class="spline"></div>';
		if(data.payAccountamt < 0){
			data.payAccountamt = Math.abs(data.payAccountamt);
		}
		proportion =  data.payTotalamt?parseInt(data.paybxamt*100/data.payTotalamt)+'%':'0%';
		if(data.medicalPayType == 1){
			medicalCareDital.innerHTML = [
			'<div class="cost-detail">',
				'<div class="mui-popup-inner medical_ditail_box">',
					'<div class="cost-chart mui-clearfix">',
						'<div id="medicalPie" class="cost-pie mui-pull-left medical_pie"></div>',
						'<div class="cost-legend medical_cont">',
							'<div class="rate">',
								'<label>报销比例</label>',
								'<span>',proportion,'</span>',
							'</div>',
							spline,
							'<div class="legend">',
								'<i class="fa fa-circle"> 已报销</i>',
								'<i class="fa fa-circle"> 未报销</i>',
							'</div>',
						'</div>',
					'</div>',
					spline,
					'<div class="cost-dd">',
						'<label>当年报销费用</label>',
						'<span>',numFormat(data.paybxamt),'元</span>',
					'</div>',
					'<div class="cost-dd">',
						'<label>当年自费金额</label>',
						'<span>',numFormat(data.payAccountamt),'元</span>',
					'</div>',
					spline,
					'<div class="cost-dd total">',
						'<label>总消费金额</label>',
						'<em>',numFormat(data.payTotalamt),'元</em>',
					'</div>',
					spline,
					'<div class="ad2"></div>',
				'</div>',
			'</div>'].join('');
		}else {
			medicalCareDital.innerHTML = [
				'<div class="cost-detail">',
					'<div class="mui-popup-inner medical_ditail_box">',
						'<div class="cost-chart mui-clearfix">',
							'<div id="medicalPie" class="cost-pie mui-pull-left medical_pie"></div>',
							'<div class="cost-legend medical_cont">',
								'<div class="rate">',
									'<label>报销比例</label>',
									'<span>',proportion,'</span>',
								'</div>',
								spline,
								'<div class="legend">',
									'<i class="fa fa-circle"> 已报销</i>',
									'<i class="fa fa-circle"> 未报销</i>',
								'</div>',
							'</div>',
						'</div>',
						spline,
						'<div class="cost-dd">',
							'<label>当年报销费用</label>',
							'<span>',numFormat(data.paybxamt),'元</span>',
						'</div>',
						'<div class="cost-dd">',
							'<label>当年医保支付</label>',
							'<span>',numFormat(data.payAccountamt),'元</span>',
						'</div>',
						'<div class="cost-dd">',
							'<label>当年现金支付</label>',
							'<span>',numFormat(data.paycash),'元</span>',
						'</div>',
						spline,
						'<div class="cost-dd total">',
							'<label>总消费金额</label>',
							'<em>',numFormat(data.payTotalamt),'元</em>',
						'</div>',
						spline,
						'<div class="ad2"></div>',
					'</div>',
				'</div>'].join('');
		}
		if(dyAdBanner2) dyAdBanner2.createIndex(medicalCareDital.querySelector('.ad2'));
	};
	//当年医疗消费
	var medicalCareDetail = function (aid){
		shebaoSvc.getMedicalPayYear(aid).then(function(data){
			if(data.medicalPayType != 0){
				if(data.payTotalamt && data.payTotalamt != 0){
					createMedicalDetails(data);
					var chart = echarts.init(doc.getElementById('medicalPie'));
					var option = setmedicalPieChart(data);
					chart.setOption(option);
				}else {
					g('medicalCareBox').classList.add('mui-hidden');
				}
			}else {
				g('consumptionDetails').classList[!data.medicalPayType?'add':'remove']('mui-hidden');  
				g('feed2').classList[!data.medicalPayType?'add':'remove']('mui-hidden');
				var idTabObject = g('consumptionDetails');
				var idObject = g('feed2');
				idObject.parentNode.removeChild(idObject);
				idTabObject.parentNode.removeChild(idTabObject);
				g('feed3').setAttribute('id','feed2');
				g('toolOrMedicalExpenditure').setAttribute('href','#feed2');
				g('toolOrMedicalExpenditure').setAttribute('tab','2');
			}
			g('medicalBoxMask').classList.add('mui-hidden');
			g('medicalBoxMask').style.zIndex = '99';
			g('medicalCareMsk').style.zIndex = '10';
		}).catch(function(err){
			console.error(err.message,err);
		});
	}
	//查看当年医疗消费弹窗
	g("medicalCareDetails").addEventListener("tap",function(){
		g('medicalCareMsk').classList.remove('mui-hidden');
		g('medicalBoxMask').classList.remove('mui-hidden');
		g('closeMedicalCareBox').style.top = 'calc(50% + '+ (g('medicalBoxMask').offsetHeight/2 + 10)+'px)';
	},false);
	//关闭当年医疗消费查看弹窗
	g("closeMedicalCareBox").addEventListener("tap",function(){
		g('medicalCareMsk').classList.add('mui-hidden');
		g('medicalBoxMask').classList.add('mui-hidden');
	},false);
	g("medicalCareMsk").addEventListener("tap",function(){
		g('medicalCareMsk').classList.add('mui-hidden');
		g('medicalBoxMask').classList.add('mui-hidden');
	},false);
	
	
	setContacts();
	setGjjDisplay();
	
//	点击入账明细内li月份明细计算滚动至位置
	$("#secList").on("tap",'li.mui-collapse',function(){
		var theItem = this;
		var infoSubH = g('infoSub').clientHeight;
		var detailsOfDepositH = g('detailsOfDeposit').clientHeight;
		var historyBoxH = g('historyBox').clientHeight;
		var ulNode = theItem.parentNode.children;
		var sc = $('#tScroll').jscroll();
		scroller._toggleChild(true);
		var num = 1;
		for(var i = 1;i<ulNode.length;i++){
			if(theItem == ulNode[i]){
				num = i-1;
			}
		}
//		var scrollTopVal = infoSubH+(num*60);
		var scrollTopVal = g('infoSub').classList.contains('mui-hidden')?detailsOfDepositH+historyBoxH+(num*60):detailsOfDepositH+historyBoxH+infoSubH+(num*60);
		setTimeout(function(){
			var tScroll = g('homeScroll'),
				sliderTop = g('feed').offsetTop,
				theTop =  sliderTop + theItem.offsetTop,
				scrollHeight = tScroll.children[0].offsetHeight,
				paddingTop = tScroll.children[0].offsetTop,
				scrollMax = tScroll.offsetHeight - paddingTop - scrollHeight;
			if(scrollMax<0){
				if(theItem.classList.contains('mui-active')){
					scroller.scrollTo(0,Math.max(0-theTop,scrollMax),0);
					sc.scrollTo(0,-(scrollTopVal),0);
				}else{
					scroller.scrollTo(0,0-sliderTop+5,0);
					sc.scrollTo(0,0,0);
				}
			}else{
				scroller.scrollTo(0,0,0);
			}
		},100);
	});

	//点击入账明细内li月弹出月明细
	$("#secList").on("tap",'li.mui-collapse>.mui-table-view>li',function(){
		var year = parseInt(this.parentNode.getAttribute('year')),
			month = parseInt(this.getAttribute('month'));
		var fullMonth = year+''+(month>9?month:'0'+month);
		showDetail(fullMonth);
		return false;
	});
	$("#costListOne").on("tap",'.payi li',function(){
		var dataStr = this.getAttribute('idx');
		showCostDetail(dataStr);
		return false;
	});
	
	//入账明细-月缴费明细-上一个月
	g("btnPrevM").addEventListener("tap",function(){
		goDetail(-1);
	},false);
	//入账明细-月缴费明细-下一个月
	g("btnNextM").addEventListener("tap",function(){
		goDetail(1);
	},false);
	g("btnPrevMM").addEventListener("tap",function(){
		goCostDetail(-1);
	},false);
	g("btnNextMM").addEventListener("tap",function(){
		goCostDetail(1);
	},false);

	g('monthBox').addEventListener('slide', function(event) {
		var mitem = g('monthGroup').children[event.detail.slideNumber];
		goMonthItem(mitem.getAttribute('month'));
	},false);
	$("#monthBox").on('tap','.mui-icon-closeempty',function(){
		closeDetail();
		return false;
	});
	$("#monthBox").on('tap','.btnKf',function(){
		app.toKefu();
		return false;
	});
	$("#monthBox").on('tap','.btnZx',function(){
		$.openWindow({
			url:"_www/view/advice-cate.html",
			id:'advice-cate.html',
			show:{aniShow:'slide-in-right'},
			waiting:{autoShow:false}
		});
		return false;
	});
	//缴纳明细
	g('detailsOfDeposit').addEventListener('tap',function(e){
		var sc = $('#tScroll').jscroll();
		var info = g('info').offsetHeight;
		if(this.classList.contains('mui-active')){
			g('infoSub').classList.add('mui-hidden');
		}else {
			g('infoSub').classList.remove('mui-hidden');
		}
		scroller.scrollTo(0,0-info-20,0);
		sc.scrollTo(0,0,0);
	},false);
	
	g('costBox').addEventListener('slide', function(event) {
		var mitem = g('costGroup').children[event.detail.slideNumber];
		showCostDetail(mitem.getAttribute('idx'));
	},false);
	
	$("#costBox").on('tap','.mui-icon-closeempty',function(){
		closeDetail();
		return false;
	});
	$("body").on('touchend','.mui-backdrop-action',function(){
		document.activeElement.blur();
		//return false;
	});
	//险种分析
	g('goAnalysis').addEventListener('tap',function(){
		 $.openWindow({url:'analysis.html',id:'analysis' + Math.random(1,200).toFixed(2)});
	},false); 
	//社保咨询
	g('qa').addEventListener('tap',function(){
		 $.openWindow('qa.html');
	},false); 
	//查看公积金
	g('goGongjj').addEventListener('tap',function(){
		 var user = app.getUser()||{};
		 if(user.userId){
		 	 if(user.fundAcctId){
		 	 	app.showGongJiJinInfo(user.fundAcctId);
		 	 }else{
		 	 	app.showGongJiJinAdd();
		 	 }
		 }else{
		 	app.toLogin();
		 }
	},false); 
	
    exchangeBtn.addEventListener('tap',exchange,false);
	refreshBtn.addEventListener('tap',refresh,false);
	slider.addEventListener('slide', slideFunc,false);
    imgCode.addEventListener('touchend',function(e){
    	getSafeCode(function(){
    		safeCodeBox.value = '';
            safeCodeBox.focus();
    	});
    	e.preventDefault();
    	e.stopPropagation();
    },false);
    sRefreshBtn.addEventListener('tap',refreshSec,false);
 
 	
 	$('#info').on('tap','.yb',function(){
 		plus.nativeUI.showWaiting();
 		var ybTip = g('ybTip').classList.value;
 		if(ybTip.indexOf('mui-hidden') == -1){
 			if(explanIds.med===0){
 				getNounsExplanation(obj.secInfo.payCity,function(){
 					showTip('ybTipBox','ybContent',explanIds.med);
 				});
 			}else {
 				showTip('ybTipBox','ybContent',explanIds.med);
 			}
 		}else {
 			plus.nativeUI.closeWaiting();
 		}
 	},false);
 	$('#info').on('tap','.yl',function(){
 		plus.nativeUI.showWaiting();
 		var ylTip = g('ylTip').classList.value;
 		if(ylTip.indexOf('mui-hidden') == -1){
			if(explanIds.Pen===0){
				getNounsExplanation(obj.secInfo.payCity,function(){
					showTip('ylTipBox','ylContent',explanIds.Pen);
				});
			}else {
				showTip('ylTipBox','ylContent',explanIds.Pen);
			}
		}else {
 			plus.nativeUI.closeWaiting();
 		}
 	},false);
 	
	
	var openWebViewFun = function (urlLink){
		$.openWindow({
			url:urlLink,
		    waiting:{autoShow:false}
		});
	}
	//社保网点
	g('socialSecurityNetwork').addEventListener('tap',function(){
		openWebViewFun('o2o/dingdian_list.html?name=社保网点&levelId=12');
	});
	//社保计算
	g('socialSecurityComputation').addEventListener('tap',function(){
		openWebViewFun('_www/view/calc/security-calc.html?orgin=gj&socialCard=' + socialCardId);
	});
	//定点医院
	g('designatedHospital').addEventListener('tap',function(){
		openWebViewFun('_www/view/o2o/dingdian_list.html?name=定点医院&levelId=14');
	});
	//定点药店
	g('designatedDrugstore').addEventListener('tap',function(){
		openWebViewFun('_www/view/o2o/dingdian_list.html?name=定点药店&levelId=15');
	});
	
	
	
	g('btnGetMsg').addEventListener('tap',function(){
		getMsgCode();
	},false);
	
    window.addEventListener("show",function (event) {
    	if(!app.checkLogin()){
    		document.body.classList.add('nobind');
			setTimeout(function(){
				app.toLogin();
			},100);
		}else{
	    	var secId = event.detail.securityAcctId,
    		extras = event.detail.extras;
	    	if(secId && secId!==obj.securityAcctId){
	    		obj.securityAcctId = secId;
	        	LoadData(obj.securityAcctId);
	        	//当年累计缴费、历史累计缴费、当年医疗消费
				historyDetail(obj.securityAcctId);
				thatYearDetail(obj.securityAcctId);
				medicalCareDetail(obj.securityAcctId);
       		}
	    	if(extras && extras.showTab){
	    		$('#feed').slider().gotoItem(showTab-1,0);
	    	} 
	    	console.log('show sbkinfo');
	    }
    }, false);
    
    window.addEventListener("refresh_data",function () {
	    	console.log('refresh sbkinfo');
	    	var user = app.getUser();
	    	if(user){
	    		var nw = plus.webview.currentWebview();
	    		obj.user = user;
		 		obj.securityAcctId = nw.securityAcctId || user.securityAcctId;
				if(obj.securityAcctId){
		 			LoadData(obj.securityAcctId);
		 			//当年累计缴费、历史累计缴费、当年医疗消费
					historyDetail(obj.securityAcctId);
					thatYearDetail(obj.securityAcctId);
					medicalCareDetail(obj.securityAcctId);
		 		}else{
		 			document.body.classList.add('nobind');
		 		}
	    	}
    }, false);
	
	document.addEventListener('netchange', function(e){
		var nt = plus.networkinfo.getCurrentType();
		if(progessBar.isShow && nt == plus.networkinfo.CONNECTION_NONE){
			g('refresh').children[0].classList.remove('spin');
			jel('.mui-bar-nav .mui-icon').removeClass('mui-hidden');
			progessBar.hideProgess();
			$.alert('网络连接已中断，请检查网络设置！');
		}
	},false);
 	//初始化进度条弹窗init('追加位置元素'，'特殊样式','进度条图片路径','安全认证前icon颜色','登录/更新判断[true:登录;false:更新]')
 	progessBar.init(document.body,'top:0px','../images/spin.png','color-green-cenrer',false);
 	
	var dyAdBanner = null;
	var dyAdBanner2 = null;
	
	if(!app.checkLogin()){
		document.body.classList.add('nobind');
		setTimeout(function(){
			app.toLogin();
		},100);
	}else{
		dyAdBanner = jadFn.initDyBanner('medicalpay_banner');
		dyAdBanner2 = jadFn.initDyBanner('medical_year_banner');
		var secId = common.utils.queryString('id'),
			user = app.getUser(),
			loaded = false;	
		obj.user = user;
		obj.securityAcctId = secId && !isNaN(secId) ? parseInt(secId):user.securityAcctId;		
		if(obj.securityAcctId){
			//判断是否更新完后[决定采用更新请求/非更新请求]
			var shebaoReadPage = localStorage.getItem("shebaoReadPage");//获取
			var shebaoInfoSecIdAry = JSON.parse(localStorage.getItem('shebaoInfoSecId'));
			if(shebaoReadPage == "true"){
				g('refresh').classList.remove('mui-hidden')	//显示更新按钮
				g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
				g('mongolia').classList.add('mui-hidden');
				localStorage.removeItem("shebaoReadPage");
				getSecInfo(obj.securityAcctId,true);
			    getSecNewList(obj.securityAcctId);
			    getSecDetails(obj.securityAcctId);
			    getMedicalPayList(obj.securityAcctId);
			}else if(shebaoReadPage == "false"){
				if(shebaoInfoSecIdAry.indexOf(parseInt(secId)) == -1){
     				g('refresh').classList.remove('mui-hidden');
     				g('timeSpotBox').classList.add('mui-hidden');
     				g('mongolia').classList.add('mui-hidden');
    			}else {
     				g('refresh').classList.add('mui-hidden') //隐藏更新按钮
     				g('timeSpotBox').classList.remove('mui-hidden'); //显示更新中文案
     				g('mongolia').classList.remove('mui-hidden');
   			 	}
				LoadData(obj.securityAcctId);
				//当年累计缴费、历史累计缴费、当年医疗消费
				historyDetail(obj.securityAcctId);
				thatYearDetail(obj.securityAcctId);
				medicalCareDetail(obj.securityAcctId);
				loaded = true;
			}else {
				LoadData(obj.securityAcctId);
				//当年累计缴费、历史累计缴费、当年医疗消费
				historyDetail(obj.securityAcctId);
				thatYearDetail(obj.securityAcctId);
				medicalCareDetail(obj.securityAcctId);
				loaded = true;
			}
		}else{
			document.body.classList.add('nobind');
		}
		$.plusReady(function(){
			var nw = plus.webview.currentWebview();
 			if(nw.showTab){
 				$('#feed').slider().gotoItem(nw.showTab-1,0);
 			}		
	 		if(nw.refresh){
	 			setTimeout(function(){
	 				refresh();
	 			},500);
	 		}
		});
	}
	
	//神策埋点
	function joyTrack(){
		//换卡
		jTrack.regEvents('#exchange','joyLinkClick','jtrack_name:社保绑卡,jtrack_page:/view/shebaobind.html');
		//更新按钮
		jTrack.regEvents('#refresh','joyLinkClick','jtrack_name:更新社保信息');
		//医保账户解释 [医保账户后面的问号]
		jTrack.regEvents('#ybTip','joyLinkClick','jtrack_name:医保账户解释');
		//养老账户解释 [养老账户后面的问号]
		jTrack.regEvents('#ylTip','joyLinkClick','jtrack_name:养老账户解释');
		//tab
		jTrack.regEvents('#feedTab a','joyLinkClick','jtrack_name:this.innerText');
		//footer内按钮
		jTrack.regEvents('footer .btn','joyLinkClick','jtrack_name:this.innerText,jtrack_page:attr.data-href');
		//广告
		jTrack.regEventsLive('#costGroup','.ad a','joyAdClick','jtrack_name:attr.title,jtrack_ad_gameid:attr.gameid,jtrack_ad_id:attr.adid,jtrack_ad_posid:attr.posid,jtrack_ad_url:attr.jhref');
	}
	
	$.plusReady(function(){
		document.addEventListener('dateRefresh',dateRefresh,false);
		document.addEventListener('dateRefreshErr',dateRefreshErr,false);
		joyTrack();
		g("thatYearDetails").addEventListener("tap",function(){
			g('thatYearDetailsMsk').classList.remove('mui-hidden');
			g('thatYearBoxMask').classList.remove('mui-hidden');
		},false);
		//关闭当年累计缴费查看弹窗
		$("body").on("tap",'#thatYearCloseBox',function(){
			g('thatYearDetailsMsk').classList.add('mui-hidden');
			g('thatYearBoxMask').classList.add('mui-hidden');
		},false);
		$("body").on("tap",'#thatYearDetailsMsk',function(){
			g('thatYearDetailsMsk').classList.add('mui-hidden');
			g('thatYearBoxMask').classList.add('mui-hidden');
		},false);
		
		g("historyDetails").addEventListener("tap",function(){
			g('cumulativeDetailsMsk').classList.remove('mui-hidden');
			g('cumulativeBoxMask').classList.remove('mui-hidden');
		},false);
		//关闭累计缴费查看弹窗
		$("body").on("tap",'#cumulativeCloseBox',function(){
			g('cumulativeDetailsMsk').classList.add('mui-hidden');
		},false);
		$("body").on("tap",'#cumulativeDetailsMsk',function(){
			g('cumulativeDetailsMsk').classList.add('mui-hidden');
			g('cumulativeBoxMask').classList.add('mui-hidden');
		},false);
	});
	
	//监听被存储的“shebaoReadPage”的变化，是否更新完成
	window.addEventListener('storage',function (e) {//e只是一个传参
        //获取被修改的键值
        if (e.key == 'shebaoReadPage') {
	    	g('refresh').classList.remove('mui-hidden')	//显示更新按钮
			g('timeSpotBox').classList.add('mui-hidden');	//隐藏更新中文案
			g('mongolia').classList.add('mui-hidden');
			localStorage.removeItem("shebaoReadPage");
			getSecInfo(obj.securityAcctId,true);
		    getSecNewList(obj.securityAcctId);
		    getSecDetails(obj.securityAcctId);
		    getMedicalPayList(obj.securityAcctId);
        }
    },false);
	window.sbkInfo = obj;
})(mui,myStorage,jscope,shebaoSvc,document);
