(function($){
	var subscriber = {};
	var voteId = common.utils.queryString('id');
	var deleId = ""; //删除ID
	var shareInfo = {};
	var shareImg = '../images/user-photo.png',
		joy_logo = '../images/logo.jpg';
	var wordLimit = 100;
	var	lastTime = 0,//记录点赞时间
		pritime = 0; //记录是否投票
	var prisetimer = null,sendtimer = null,praiseTime = null; // 点赞虚拟
	subscriber = {
		init: function(){
			$('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: mui.os.ios ? 0.003 : 0.0009
			})
			subscriber.getVoteInfo();
			subscriber.setPullToRefresh();
			subscriber.pullupRefresh();
		},
		param: {
			pageNum: 1,
			pageSize: 10,
			contentId: voteId
		},
		// 获取观点列表
		getVoteLists: function(list,ele){
			$.each(list, function(idx,val) {
				var $_li = document.createElement('li');
				$_li.className = 'vote-statement';
				$_li.setAttribute('data-id',val.id);
				$_li.setAttribute('userid',val.userId);
				$_li.innerHTML = '<div class="vote-content">' + val.content + '</div>' +
								'<div class="vote-more mui-hidden" type="1"><span class="jcon jcon-xiajiantou1"></span></div>' +
								'<div class="vote-msg" data-type="0">' +
									'<div class="vote-users mui-ellipsis"><img src="' + (val.headPath ? val.headPath : shareImg) + '"/><div class="vote-user mui-ellipsis">' + val.userName + '</div></div>' +
									'<div class="vote-praise" data-type="' + (val.isLike == 0 ? '0' : '1') + '">' +
										'<span class="praise jcon jcon-dianzan"></span>' +
										'<span class="praise-num">' + val.agreeCount + '</span>' +
										'<b class="c-yellow"></b>' +
									'</div>' +
								'</div>';
				ele.appendChild($_li);
			});
			$.each(ele.children,function(idx,val){
				if(val.className.indexOf('vote-points') == -1 && val.querySelector('.vote-more').getAttribute('type') == 1){
					var el_H = val.querySelector('.vote-content').offsetHeight;
					if(el_H > 65){
						val.querySelector('.vote-content').classList.add('outstrip');
						val.querySelector('.vote-more').classList.remove('mui-hidden');
						val.setAttribute('isLong','1');
					}
				}
			})			
		},
		// 获取投票详情
		getVoteInfo: function(){
			newsSvc.getVoteContent(voteId).then(function(res){
				if(res){
					shareInfo.title = res.title;
					shareInfo.images = res.feedImage;
					subscriber.initShare(shareInfo);
					document.querySelector('.subscriber-title').innerHTML = res.title ? res.title : '';
					document.querySelector('.subscriber-content').innerHTML = res.content ? res.content : '';
					subscriber.getVoteInfos(res);
				}
			}).catch(function(err){
				
			})
		},
		// 投票渲染
		getVoteInfos: function(res){
			if(res.voteStatus){
				// 已投票  投票类型：voteType 1-红方 2-绿方
				g('vote_select').querySelector('.vote-status[data-type="0"]').classList.add('mui-hidden');
				g('vote_select').querySelector('.vote-status[data-type="1"]').classList.remove('mui-hidden');
				document.querySelector('.vote-later .percent_left').classList[res.redVotePercent == '100%' ? 'add' : 'remove']('all'); // 是否0% 和 100%
				document.querySelector('.vote-later .percent_right').classList[res.greenVotePercent == '100%' ? 'add' : 'remove']('all');
				document.querySelector('.vote-later .percent_left').style.width = res.redVotePercent; // 百分比
				document.querySelector('.vote-later .percent_right').style.width = res.greenVotePercent;
				document.querySelector('.vote-later .title_left .votePercent').innerHTML = res.redVotePercent;
				document.querySelector('.vote-later .title_right .votePercent').innerHTML = res.greenVotePercent;
				document.querySelector('.vote-later .title_left .vote-conts').innerHTML = res.rightContent;
				document.querySelector('.vote-later .title_right .vote-conts').innerHTML = res.opposContent;
				document.querySelector('.vote-later .vote-result[data-type="0"]').style.opacity = '0';
				document.querySelector('.vote-later .vote-result[data-type="1"]').style.opacity = '0';
				document.querySelector('.vote-later .vote-result[data-type="' + (res.voteType == 1 ? 0 : 1) + '"]').style.opacity = '1';;
			}else {
				g('vote_select').querySelector('.vote-status[data-type="0"]').classList.remove('mui-hidden');
				g('vote_select').querySelector('.vote-status[data-type="1"]').classList.add('mui-hidden');
				document.querySelector('.vote-before .vote-left').innerHTML = res.rightContent;
				document.querySelector('.vote-before .vote-right').innerHTML = res.opposContent;
			}
			g('attend').innerHTML = res.voteCount ? res.voteCount : 0;
			// 是否显示站位图
			if(res.popularizeUrl !== "" && !!res.popularizeImage){
				g('vote-info').classList.remove('mui-hidden');
				g('vote-info').querySelector('img').setAttribute('src',res.popularizeImage);
				g('vote-info').setAttribute('data-href',res.popularizeUrl);
			}else {
				g('vote-info').classList.add('mui-hidden');
			}
			if(res.voteStatus && !res.reviewStatus){ //res.reviewStatus -true-已写观点，false -没发观点
				// 是否写观点
				var points = document.querySelector('.vote-points') ? document.querySelector('.vote-points .viewpoint') : "";
				if(points){
					points.classList.remove('mui-hidden');
					return false;
				}
				g('noComment').classList.add('mui-hidden');
				var viewpoint = document.querySelector('.viewpoint').cloneNode(true);
				viewpoint.classList.remove('mui-hidden');
				var ul = g('vote-list').querySelector('.vote-box[data-type="' + (res.voteType==1 ? '0' : '1') + '"] ul');
				var $_li = document.createElement('li');
				$_li.className = 'vote-points';
				$_li.setAttribute('data-type',res.voteType);
				$_li.appendChild(viewpoint);
				if(ul.childElementCount <= 0){
					ul.appendChild($_li);
				}else {
					ul.insertBefore($_li,ul.children[0]);
				}
			}
		},
		// 上拉加载数据
		pullupRefresh: function(pullSel){
			var param = subscriber.param,
				suqare = g('vote-list').querySelector('.vote-box[data-type="0"] ul'),
				con_side = g('vote-list').querySelector('.vote-box[data-type="1"] ul');
			newsSvc.voteGetFirReviewList(param).then(function(res){
				var greenVote = res.greenVote.list,
					redVote = res.redVote.list,
					points = document.querySelector('.vote-points') ? document.querySelector('.vote-points .viewpoint') : "";
				if(greenVote.length === 0 && redVote.length === 0){
					if(param.pageNum <= 1 && !points){
						g('noComment').classList.remove('mui-hidden');
						document.querySelector('.mui-pull-bottom-tips').style.display = 'none';
					}
					document.querySelector('.loading').classList.add('mui-hidden');
				}else {
					g('noComment').classList.add('mui-hidden');
					document.querySelector('.loading').classList.add('mui-hidden');
					if(redVote.length > 0){
						subscriber.getVoteLists(redVote,suqare);
					}
					if(greenVote.length > 0){
						subscriber.getVoteLists(greenVote,con_side);
					}
					if(points){
						points.classList.remove('mui-hidden');
					}
					document.querySelector('.mui-pull-bottom-tips').style.display = 'none';
					param.pageNum = param.pageNum + 1;
					param.allNumGre =  res.greenVote.pagination.totalItems;
					param.allNumRed =  res.redVote.pagination.totalItems;
					param.countG = (res.greenVote.pagination.totalItems + res.greenVote.pagination.pageSize -1 ) / res.greenVote.pagination.pageSize;
					param.countR = (res.redVote.pagination.totalItems + res.redVote.pagination.pageSize -1 ) / res.redVote.pagination.pageSize;
					subscriber.param = param;
					if(pullSel){
						var count = param.allNumGre >= param.allNumRed ? param.countG : param.countR;
						pullSel.endPullUpToRefresh(count <= param.pageNum-1);
					}
				}
			}).catch(function(err){
				if(pullSel) pullSel.endPullUpToRefresh(true);
				
			})
		},
		setPullToRefresh: function(){
			$('#pullrefresh .mui-scroll').pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							// 上拉
							subscriber.pullupRefresh(self);
						}, 100);
					}
				}
			});
		},
		// 写评论
		commentSet: function(){
			var self = g('vote-comment'),
				mark = g('mark'),
				comment_fixed = document.querySelector('.comment-fixed');
			comment_fixed.classList.add('comment-move');
			mark.classList.remove('mui-hidden');
			setTimeout(function(){
				self.focus();
			},300)
		},
		// 初始化评论
		commentInit: function(){
			var self = g('vote-comment'),
				mark = g('mark'),
				comment_fixed = document.querySelector('.comment-fixed');
			comment_fixed.classList.remove('comment-move');
			self.value = "";
			g('wordLimit').innerHTML = wordLimit;
			self.blur();
			mark.classList.add('mui-hidden');
		},
		initShare: function(){
			var shareMsg = {
				href:  app._webUrl+"/vote/subscriber.html?id=" + voteId,
				title: shareInfo.title,
				content:'这个投票挺有意思，你觉得该选哪个？',
				thumbs:[shareInfo.images],
				pictures:[shareInfo.images]
			};
			window.share.initShare("share", shareMsg, function() {
				$.toast('分享成功');
			}, function(e) {
				if(e.code === -100) {
					$.toast('已取消分享');
				} else {
					$.toast('分享失败：' + e.message);
				}
			});
		},
	}
	$.init({
		gestureConfig: {
			longtap: true // 支持长按
		}
	});
	$.plusReady(function(){
		$.currentWebview.setStyle({
			softinputMode:"adjustResize"
		});
		subscriber.init();
		// 滚动监听观点
		document.querySelector('.mui-scroll-wrapper').addEventListener('scroll', function (e) {
			var scrollTop = Math.abs(e.detail.y),
				leftH = parseInt(document.querySelector('.vote-box[data-type="0"] ul').offsetHeight),
				rightH = parseInt(document.querySelector('.vote-box[data-type="1"] ul').offsetHeight),
				imgH = parseInt(g('vote-slide').offsetHeight),
				elH = leftH >= rightH ? rightH : leftH,
				sliderIndex = leftH >= rightH ? '1' : '0',
				pointsH = 0,
				voteH = g('vote-list').offsetTop + 20,
				headerH = parseInt(g('header').offsetHeight),
				slideH = window.innerHeight - (voteH - scrollTop + elH) - headerH,
		  		points = document.querySelector('.vote-points') ? document.querySelector('.vote-points').className : "",
				elAll = g('vote-slide').querySelectorAll('.slide-all');
			if(scrollTop < 10){
				return false;
			}
			// 无观点图片 短的一边出现
			if(slideH >= imgH){
				if(leftH - rightH >= imgH){
					// 红方长
					g('vote-slide').querySelector('.slide-all[data-type="'+sliderIndex+'"]').style.opacity = 1;
				}else if(rightH - leftH >= imgH){
					// 绿方长
					g('vote-slide').querySelector('.slide-all[data-type="'+sliderIndex+'"]').style.opacity = 1;
				}else {
					$.each(elAll,function(idx,val){
						val.style.opacity = 0;
					})
				}
			}else {
				$.each(elAll,function(idx,val){
					val.style.opacity = 0;
				})
			}
			if(!app.checkLogin()){
				return false;
			}else {
				// 悬浮观点
				if(points == "" || points.indexOf('mui-hidden') !== -1){
					return false;
				}else {
					pointsH = voteH + parseInt(document.querySelector('.vote-points').offsetHeight);
				}
				if(scrollTop >= pointsH){
					// 显示悬浮观点
					document.querySelector('.vote-point').style.zIndex = '99';
					document.querySelector('.vote-point').style.transform = 'translate(-50%,0)';
				}else{
					document.querySelector('.vote-point').style.zIndex = '-1';
					document.querySelector('.vote-point').style.transform = 'translate(-50%,200%)';
				}
			}
		})
	})
	// 投票
	$('.vote-before').on('tap','.vote-cont',function(e){
		e.stopPropagation();
		var self = this,
			type = parseInt(self.getAttribute('data-type')),
			iswait = self.getAttribute('voted'),
			content = self.innerHTML,
			describe = '我选了' + content + '，你觉得呢？';
		if(!app.checkLogin()){
			app.toLogin();
			return false;
		}
		if(!!iswait){
			return false;
		}
		if(pritime !== 0){
			return false;
		}
		pritime = pritime + 1;
		self.setAttribute('voted','1');
		newsSvc.saveVote(voteId,type).then(function(res){
			if(res){
				subscriber.getVoteInfos(res);
				g('noComment').classList.add('mui-hidden');
				g('comment-mark').classList.remove('mui-hidden');
				shareInfo.describe = describe;
				shareInfo.title = res.title;
				shareInfo.images = res.feedImage ? res.feedImage : joy_logo;
				self.removeAttribute('voted');
				primitime = 0;
			}
		}).catch(function(err){
			console.log(err);
			self.removeAttribute('voted');
			primitime = 0;
		})
	})
	// 跳转链接
	g('vote-info').addEventListener('tap',function(){
		var href = this.getAttribute('data-href');
		app.openMultiURL(href);
	},false)
	// 删除观点
	$('#vote-list').on('longtap','.vote-statement',function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin();
		}
		var id = parseInt(this.getAttribute('userid')),
			userId = app.getUser().userId;
		if(id !== userId){
			$.toast('不能删除评论');
			return false;
		}
		deleId = this.getAttribute('data-id');
		$('#vote-delet').popover('show');
	})
	g('dete-cont').addEventListener('tap',function(){
		$('#vote-delet').popover('hide');
		var points = document.querySelector('.vote-points') ? document.querySelector('.vote-points') : "";
		newsSvc.voteDelReivew(deleId).then(function(res){
			if(points){
				points.classList.remove('mui-hidden');
			}
			g('vote-list').querySelector('.vote-statement[data-id="' + deleId + '"]').remove();
			$.toast('删除成功');
			subscriber.getVoteInfo();
		}).catch(function(err){
			
		})
	},false)
	g('dete-cancel').addEventListener('tap',function(){
		$('#vote-delet').popover('hide');
	},false)
	$('#vote-list').on('tap','.vote-more',function(e){
		e.stopPropagation();
		var ele = this.parentNode.querySelector('.vote-content'),
			type = this.getAttribute('type'), //0 -已展开  1-未展开
			parent_el = document.querySelectorAll('.vote-statement');
		if(type === "1"){
			// 初始化
			$.each(parent_el, function(idx,val) {
				var long_l = val.getAttribute('isLong');
				if(long_l === "1"){
					val.querySelector('.vote-content').classList.add('outstrip');
					val.querySelector('span.jcon').classList.remove('jcon-shangjiantou');
					val.querySelector('span.jcon').classList.add('jcon-xiajiantou1');
					val.querySelector('.vote-more').setAttribute('type',1);
				}
			});
			// 展开
			ele.classList.remove('outstrip');
			this.querySelector('.jcon').classList.remove('jcon-xiajiantou1');
			this.querySelector('.jcon').classList.add('jcon-shangjiantou');
			this.setAttribute('type','0'); //0 -已展开  1-未展开
		}else {
			// 关闭
			ele.classList.add('outstrip');
			this.querySelector('.jcon').classList.remove('jcon-shangjiantou');
			this.querySelector('.jcon').classList.add('jcon-xiajiantou1');
			this.setAttribute('type','1'); //0 -已展开  1-未展开
		}
	})
	// 点赞
	$('#vote-list').on('tap','.vote-praise',function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin();
			return false;
		}
		var self = this,
			contentId = self.parentNode.parentNode.getAttribute('data-id'),
		 	type = self.getAttribute('data-type'),// 0-未点赞 1-点赞
		 	dir = type == '0' ? 1 : 0,
		 	num = parseInt(self.querySelector('.praise-num').innerHTML);
		var param = {
			contentId: contentId,
			dir: dir
		}
		clearTimeout(praiseTime);
		self.setAttribute('data-type',dir);
		self.parentNode.setAttribute('data-type',dir);
		self.querySelector('.praise-num').innerHTML = dir==1 ? num+1 : num-1;
		praiseTime = setTimeout(function(){
			self.parentNode.setAttribute('data-type',0);
		},2000)
		realTime(param);
	})
	var realTime = function(param){
		var currentTime = new Date().getTime();
	    //记录两次相连的点击时间间隔，大于1秒，重新记录点击次数
	    var count = (currentTime-lastTime) < 500 ? count + 1 : 1;
	    lastTime = new Date().getTime();
	    if(count === 1){
	        clearTimeout(prisetimer);
	        prisetimer = setTimeout(function(){
				distinguish(param);
	        },200)
	    }else {
			clearTimeout(sendtimer);
	        // 连续点击不执行
	        clearTimeout(prisetimer);
	        sendtimer = setTimeout(function(){
				distinguish(param);
	        },500)
	    }
		
	}
	var distinguish = function(data){
		newsSvc.voteLikeContent(data.contentId,data.dir).then(function(res){
			console.log(res);
		}).catch(function(err){
			
		})
	}
	// 写评论
	$('#pullrefresh').on('tap','.viewpoint',function(e){
		e.stopPropagation();
		subscriber.commentSet();
	})
	$('body').on('tap','.vote-point',function(e){
		e.stopPropagation();
		subscriber.commentSet();
	})
	g('mark').addEventListener('tap',function(){
		subscriber.commentInit(); //关闭评论
	},false)
	// 评论实时
	g('vote-comment').addEventListener('input',function(event){
		var output = Array.from(this.value),
			val_len = output.length,
			last_len = wordLimit - val_len;
		var wordLimits = g('wordLimit');
		if(val_len > wordLimit){
			return false;
		}
		wordLimits.innerHTML = last_len;
	},false)
	// 失焦
	g('vote-comment').addEventListener('blur',function(){
		if(mui.os.ios){
			this.blur();
		}
	},false)
	// 取消
	document.querySelector('.comment-cancel').addEventListener('tap',function(){
		subscriber.commentInit(); //关闭评论
	},false)
	// 发表
	document.querySelector('.comment-send').addEventListener('tap',function(){
		var comment_text = g('vote-comment').value;
		var content = comment_text.trim().replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, function(w){
			return w.codePointAt ? '&#'+w.codePointAt()+";":'';
		});
		if(!app.checkLogin()){
			app.toLogin();
			return false;
		}
		if(content) {
			subscriber.commentInit(); //关闭评论
			var points = document.querySelector('.vote-points') ? document.querySelector('.vote-points') : "";
			var voteType = points ? parseInt(points.getAttribute('data-type')) : '';
			var user = app.getUser();
			newsSvc.voteaddReivew(voteId,voteType,content).then(function(res){
				var ul = g('vote-list').querySelector('.vote-box[data-type="' + (voteType-1) + '"] ul');
				var vote_more = content.length < 65 ? 'mui-hidden' : '',
					cont = content.length < 65 ? '' : 'outstrip',
					isLong = content.length < 65 ? '' : '1';
				var $_li = document.createElement('li');
				$_li.className = 'vote-statement';
				$_li.setAttribute('data-id',res.id);
				$_li.setAttribute('userid',user.userId);
				$_li.setAttribute('isLong',isLong);
				$_li.innerHTML = '<div class="vote-content ' + cont + '">' + content + '</div>' +
								'<div class="vote-more ' + vote_more + '" type="1"><span class="jcon jcon-xiajiantou1"></span></div>' +
								'<div class="vote-msg" data-type="0">' +
									'<div class="vote-users"><img src="' + user.headPath + '"/><div class="vote-user">' + user.userName + '</div></div>' +
									'<div class="vote-praise" data-type="0">' +
										'<span class="praise jcon jcon-dianzan"></span>' +
										'<span class="praise-num">0</span>' +
										'<b class="c-yellow"></b>' +
									'</div>' +
								'</div>';
				mui.toast('发表成功');
				if(points){
					ul.insertBefore($_li,ul.children[1]);
					points.classList.add('mui-hidden');
					document.querySelector('.vote-point').style.transform = 'translate(-50%,200%)';
				}
			}).catch(function(err){
				
			})
		}else {
			$.toast('发表的内容不能为空');
		}
		
	},false)
	// 发表成功弹框
	g('closeBtn').addEventListener('tap',function(){
		g('comment-mark').classList.add('mui-hidden');
	})
	g('comment-mark').addEventListener('tap',function(e){
		if(e.target.id !== 'comment-mark') return false;
		this.classList.add('mui-hidden');
	})
	$('#comment-info').on('tap','.icon-item',function(e){
		var ex = this.getAttribute('ex');
		shareWechat(ex);
	})
	// 分享
	var shareWechat = function(ex){
		// WXSceneSession 好友  WXSceneTimeline 朋友圈
		var share_type = ex == 'WXSceneSession' ? 'WXSceneSession' : 'WXSceneTimeline';
		g('comment-mark').classList.add('mui-hidden');
		addForwardAmount();
	    share.goShare('weixin',share_type,{
			type: 'web',
			href:  app._webUrl+"/vote/subscriber.html?id=" + voteId,
			title: shareInfo.title,
			content: shareInfo.describe,
			thumbs: [shareInfo.images],
			pictures: [shareInfo.images]
		},function(){
			$.toast('分享成功');
		},function(err){
			if(err.code === -100) {
				$.toast('已取消分享');
			} else {
				$.toast('分享失败：' + e.message);
			}
		})
	}
	function addForwardAmount(){
		newsSvc.voteaddForwardAmount(voteId).then(function(res){
			console.log('转发量加1');
		}).catch(function(err){
			console.log(err);
		})
	}
    // 更新数据
	window.addEventListener('refresh_data',function(){
		subscriber.getVoteInfo();
	},false)
	window.addEventListener('refreshCount',function(){
		addForwardAmount();
	},false);
	//控制确认订单左滑不会回到上一个页面
	var goBack = mui.back;
	mui.back = function (){
		var comment_bol = document.querySelector('.comment-fixed').className.indexOf('comment-move') !== -1 ? true : false;
		//控制查看详情左滑不会回到上一个页面
		if(comment_bol){
			subscriber.commentInit(); //关闭评论
		}else {
			goBack();
		}
	}
	// 监听键盘
	var clientH = window.innerHeight;
	window.onresize = function(){
		if(mui.os.android){
			if(document.body.offsetHeight === clientH){
				g('vote-comment').blur();
			}
		}
	}
})(mui)
