(function($, window){
		var customer = {data: {}};
		var nw = null;
		var chatWin = null;
		
		// 关闭消息弹出层
       	customer.close = function () {
       		if (!nw) return;
   			nw.close('zoom-fade-in');
   			nw = null;
        };
        
      	// 打开客服聊天界面
        customer.openPage = function(){
			openKefu();
	      	customer.close();
	      	function openKefu(){
				chatWin = plus.webview.getWebviewById('kefu');
				if(window.plus){
					if (!chatWin) {
						chatWin = $.preload({
							url:'_www/view/chat/chat.html',
							id:'kefu',
							show:{aniShow:'slide-in-bottom'},
							waiting: {autoShow: false}
						});
					} else {
						$.fire(chatWin, 'refresh_data');
					}
					chatWin.show('slide-in-bottom');
				}
			}
        }
        
        // 邀请
        customer.showInvite = function(){
        	mui.confirm('您收到客服邀请，是否与客服对话','邀请提示',['进入','取消'],function(e){
        		
        		if (e.index == 0) {
        			customer.openPage();
        		}
        	}) ;
        }
        
        // 有新的消息
        customer.showNotice = function(msg){
        	var iTop = plus.navigator.isImmersedStatusbar() ? plus.navigator.getStatusbarHeight() : 0;
        	
        	
        	if (customer.isBackground) {
				plus && plus.push.createMessage(msg.message, {domain: 'chat', content: ''}, {title: '新消息'});
			} else {
				if (nw) {
	        		$.fire(nw, 'showInvitation', {
						msg: msg
					});
	        	} else {
	        		nw = $.openWindow({
		    		url: '_www/view/invitation.html', id: 'customer', 
		        		styles: {
				      		top: iTop + 'px',left:'0px',height:'83px',
				      		width:'100%',zindex:998,background:'transparent',
				      	},
				      	waiting: {autoShow: false},
		    		});	
			      	nw.show();
			      	nw.addEventListener('loaded',function(){
			      		
			      		// 触发邀请消息界面
						$.fire(nw, 'showInvitation', {
							msg: msg
						});
			      	},false);		
	        	}	
			}
        }
   		
   		// 关闭消息界面
    	document.addEventListener('close', function(event){
    		customer.close();
    	})
    	
    	// 打开客服聊天界面
    	document.addEventListener('openChat', function(event){
    		customer.openPage();
    	})
    	customer.isBackground = false;
        window.customer = customer;
}(mui, window))
