var functionConfig =  {
	"订单": {
		"isCheckLogin": true,
		"icon": "order",
		"title": "订单",
		"des": "查询我的订单",
		"target": {
			"app" : {
				"url": "_www/view/order-list.html"
			}
		}
	},
	"医院": {
		"icon": "hospital",
		"title": "医院",
		"des": "查询附近医院地点",
		"target": {
			"app" : {
				"url": "_www/view/o2o/dingdian_list.html",
				"createNewTarget": function(userData, url){
					if (!url || -1 < url.indexOf('?')) return url;
					return url += '?levelId=14&name=%E5%AE%9A%E7%82%B9%E5%8C%BB%E9%99%A2';
				}
			}
		}
	},
	"药房": {
		"icon": "pharmacy",
		"title": "药房",
		"des": "查询附近药房地点",
		"target": {
			"app" : {
				"url": "_www/view/o2o/dingdian_list.html",
				"createNewTarget": function(userData, url){
					if (!url || -1 < url.indexOf('?')) return url;
					return url += '?levelId=15&name=%E5%AE%9A%E7%82%B9%E8%8D%AF%E5%BA%97';
				}
			}
		}
	},
	"社保网点": {
		"icon": "security",
		"title": "社保网点",
		"des": "查询附近服务网点",
		"target": {
			"app" : {
				"url":"_www/view/o2o/dingdian_list.html",
				"createNewTarget": function(userData, url){
					if (!url || -1 < url.indexOf('?')) return url;
					return url += '?levelId=12&name=%E7%A4%BE%E4%BF%9D%E7%BD%91%E7%82%B9';
				}
			}	
		}
		
	},
	"公积金网点": {
		"icon": "fund",
		"title": "公积金网点",
		"des": "查询附近公积金网点",
		"target": {
			"app" : {
				"url": "_www/view/o2o/dingdian_list.html",
				"createNewTarget": function(userData, url){
					if (!url || -1 < url.indexOf('?')) return url;
					return url += '?levelId=13&name=%E5%85%AC%E7%A7%AF%E9%87%91%E7%BD%91%E7%82%B9';
				}
			}
		}
	},
	"社保查询": {
		"isCheckLogin": true,
		"icon": "security",
		"title": "社保查询",
		"des": "在线查询社保余额入账明细",
		"target": {
			"app" : {
				"url": "_www/view/sbk-info.html",
//				"createNewTarget": function(userData, url){
//					if (!url || -1 < url.indexOf('?')) return url;
//					return url += '?id=' + userData.securityAcctId;
//				}
			}
		}
	},
	"公积金查询": {
		"isCheckLogin": true,
		"icon": "fund-query",
		"title": "公积金查询",
		"des": "在线查询社保余额入账明细",
		"target": {
			"app": {
				"url": "_www/view/gjj-info.html",
//				"createNewTarget": function(userData, url){
//					if (!url || -1 < url.indexOf('?')) return url;
//					return url += '?id=' + userData.fundAcctId;
//				}
			}
		}	
	},
	"养老保险": {
		"icon": "personal",
		"title": "养老保险",
		"des": "养老保险收益计算，养老金额度",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('养老', '100400', userData);
				}
			}
		},
		
	},
	"医疗保险": {
		"icon": "medic",
		"title": "医疗保险",
		"des": "医疗保险实际比例和报销保障",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('医疗', '100100', userData);
				}
			}
		}
	},
	"工伤保险": {
		"icon": "injury",
		"title": "工伤保险",
		"des": "工伤保险赔偿额度和保障",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('工伤', '100300', userData);
				}
			}
		}
	},
	"生育保险": {
		"icon": "bearing",
		"title": "生育保险",
		"des": "生育保险报销金额和津贴额度",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('生育', '100200', userData);
				}
			}
		}
	},
	"失业保险": {
		"icon": "lostjob",
		"title": "失业保险",
		"des": "失业保险领取条件和额度",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('失业', '100500', userData);
				}
			}
		}
	},
	"子女上学": {
		"icon": "children-school",
		"title": "子女上学",
		"des": "解读当地子女上学政策",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('子女上学', '0', userData);
				}
			}
		}
	},
	"买车": {
		"icon": "buy-car",
		"title": "买车",
		"des": "解读当地购车政策，",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('买车', '0', userData);
				}
			}
		}
	},
	"买房": {
		"icon": "buy-house",
		"title": "买房",
		"des": "解读当地买房政策",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('买房', '0', userData);
				}
			}
		}
	},
	"居住证/落户": {
		"icon": "residence-permit",
		"title": "居住证/落户",
		"des": "解读居住证/落户,当地政策法规",
		"target": {
			"wechat": {
				"url": "/pages/insurance/insurance",
			},
			"app": {
				"url": "",
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('居住证/落户', '0', userData);
				}
			}
		}
	},
	"问题咨询": {
		"isCheckLogin": true,
		"icon": "custom_pay",
		"title": "问题咨询",
		"des": "专业的社保查询工具,数据清晰",
		"target": {
			"app": {
				"url": "_www/view/login-zixun.html"
			}
		}
	},
	"社保服务": {
		"icon": "security",
		"title": "社保服务",
		"des": "社保代理+代办+咨询服务",
		"target": {
			"app": {
				"url": "_www/view/advice-cate.html"
			}
		}
	},
	"药品商城": {
		"icon": "medinice_shop",
		"title": "药品商城",
		"des": "方便快捷 闪电送货",
		"target": {
			"app": {
				"url": "http://m.ddky.com/index.html?channel=chayue"
			}
		}
	},
	"微保": {
		"icon": "wesure",
		"title": "微保",
		"des": "平安出行，立减30",
		"target": {
			"app": {
				"url": "http://m.ddky.com/index.html?channel=chayue"
			}
		}
	},
	"商业保险": {
		"icon": "insurance_bussiness",
		"title": "商业保险",
		"des": "灵活投保，社保外的贴心保障",
		"target": {
			"app": {
				"url": "_www/view/insurances.html"
			}
		}
	},
	"信用卡": {
		"icon": "credit",
		"title": "信用卡",
		"des": "智能申卡 个性定制",
		"target": {
			"app": {
				"url": "_www/view/creditNew.html"
			}
		}
	},
	"贷款": {
		"icon": "loan",
		"title": "贷款",
		"des": "无抵押 审核快",
		"target": {
			"app": {
				"url": "_www/view/daikuanNew.html"
			}
		}
	},
	"重疾": {
		"icon": "insurance_bussiness",
		"title": "重疾",
		"des": "重大疾病保险，抵御意外风险",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('重疾');
				}
			}
		}
	},
	"住院": {
		"icon": "insurance_bussiness",
		"title": "住院",
		"des": "全面健康保障，减轻家庭经济负担",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('住院');
				}
			}
		}
	},
	"少儿": {
		"icon": "insurance_bussiness",
		"title": "少儿",
		"des": "提高全面保障，家庭生活安定",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('少儿');
				}
			}
		}
	},
	"女性": {
		"icon": "insurance_bussiness",
		"title": "女性",
		"des": "专享保险，专项呵护",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('女性');
				}
			}
		}
	},
	"意外": {
		"icon": "insurance_bussiness",
		"title": "意外",
		"des": "多重保证，专业呵护",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('意外');
				}
			}
		}
	},
	"养老": {
		"icon": "insurance_bussiness",
		"title": "养老",
		"des": "提供晚年幸福生活坚实保障",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('养老');
				}
			}
		}
	},
	"车险": {
		"icon": "insurance_bussiness",
		"title": "车险",
		"des": "精准报价，省心方便",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('车险');
				}
			}
		}
	},
	"财险": {
		"icon": "insurance_bussiness",
		"title": "财险",
		"des": "保障家庭、企业、个人财产安全",
		"target": {
			"app": {
				"sync": false,
				"createNewTarget": function(userData, url, requestHandle){
					requestHandle('财险');
				}
			}
		}
	},
}
// {"key":"医院"}
// {"key":"药房"}
// {"key":"社保网点"}
// {"key":"公积金网点"}
// {"key":"子女上学"}
// {"key":"买车"}
// {"key":"买房"}
// {"key":"居住证/落户"}
// {"key":"重疾"}
// {"key":"女性"}
// {"key":"住院"}
// {"key":"少儿"}
// {"key":"养老"}
// {"key":"车险"}
// {"key":"财险"},
// {"key":"社保查询"}
// {"key":"公积金查询"}
// {"key":"养老保险"}
// {"key":"工伤保险"}
// {"key":"失业保险"}
// {"key":"医疗保险"}
// {"key":"生育保险"}
// {"key":"登录咨询"}
// {"key":"付费咨询"}
// {"key":"社保服务"}
// {"key":"药品商城"}
// {"key":"信用卡"}
// {"key":"贷款"}