(function (factory) {
    if (typeof exports === 'object') {
        // Node/CommonJS
        module.exports = factory();
    } else if (typeof define === 'function' && define.amd) {
        // AMD 
        define(factory);
    } else {
        // Browser globals (with support for web workers)
        var glob;
        try {
            glob = window;
        } catch (e) {
            glob = self;
        }
        glob.content = factory();
    }
}(function(){
 	var bar = {};
	 
	function initUI(){
		bar.box.innerHTML = bar.data;
	}
	function loadStyles(){
		var styles =['content/css.css'];
		createStyles(styles);
	}
	function formatData(data){
		return data.content;
	}
	
	bar.name='content';
	bar.show = function(el,data){
		bar.box = el;
		bar.data = formatData(data);
		initUI();
	};
	//loadStyles();
	
	return bar;
}));
	