(function($){
	var furRetireYear = common.utils.queryString('furRetireYear'), //距离退休的年龄
		furPayYears = common.utils.queryString('furPayYears'), // 已经缴纳养老金年数
		retirePension = common.utils.queryString('retirePension'), //退休时工资
		cityCode = common.utils.queryString('cityCode');
	var userInfo = app.getUser() ? app.getUser() : null;
	var apps={
		'100100':{appName:'医疗',appIcon:'icon-yll'}
	};
	$('.mui-content').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var share_img = '../../../images/user-photo.png',
		share_code = './image/my-pension.png';
	// 分享
	var shareImage = function(path,ex,bitmap){
		// WXSceneSession 好友  WXSceneTimeline 朋友圈
		var share_type = ex == 'WXSceneSession' ? 'WXSceneSession' : 'WXSceneTimeline';
	    share.goShare('weixin',share_type,{
			type:'image',
			title: "养老金计算器",
			content: "养老金计算器",
			thumbs:[path],
			pictures: [path]
		},function(){
			bitmap.clear();
			bitmap.recycle();
			$.toast('分享成功');
		},function(err){
			console.log(err);
			bitmap.clear();
			bitmap.recycle();
			if(err.code === -100) {
				$.toast('已取消分享');
			} else {
				$.toast('分享失败：' + e.message);
			}
		})
	}
	var insuranInfo = function(){
		cityCode = cityCode ? cityCode : '110000';
		joySvc.getInsList(cityCode).then(function(data) {
			if (data) {
				setInsuranceLink(data);
			}
		}).catch(function(err){
			console.log(err.message,err);
		});
		joySvc.getAIList(cityCode).then(function(data) {
			mui.each(data, function(i, app) {
				var link = document.querySelector('.app-link.' + app.appIcon);
				if (!link) return;
				link.setAttribute('jhref', app.appUrl);
			});
		});
	}
	var setInsuranceLink = function(data){
		mui.each(data, function(i, app) {
			app.appIcon = apps[app.modularId + ''].appIcon ? apps[app.modularId + ''].appIcon : '';
			var link = app.appIcon ? document.querySelector('.app-link.' + app.appIcon) : "";
			if (!link) return;
			link.setAttribute('state', app.flag);
			link.setAttribute('mid', app.modularId);
			link.setAttribute('citycode', cityCode);
		});
	}
	// 获取养老金计算值
	var getPension = function(){
		g('calcu_info').querySelector('.retire_pension').innerHTML = retirePension ? retirePension : '--';
		g('calcu_info').querySelector('.furRetireYear').innerHTML = furRetireYear ? furRetireYear : '--';
		g('calcu_info').querySelector('.already').innerHTML = furPayYears ? furPayYears : '--';
	}
	$.plusReady(function(){
		var headpath = userInfo && userInfo.headPath !== '../images/user-photo.png' ? userInfo.headPath : share_img;
		g('calcu_info').querySelector('.user-info img.user-img').setAttribute('src',headpath);
		getPension();
		insuranInfo();
		// 分享
		$('#calcu_share').on('tap','.icon-item',function () {
			var ex = this.getAttribute('ex');
			g('share_btn').innerHTML = '';
			var cloneEle = document.querySelector('#calcu_msg').cloneNode(true);
			cloneEle.querySelector('#calculation').style.paddingTop = '20px';
			cloneEle.querySelector('#calcu_share').remove();
			cloneEle.querySelector('#calcu_check').remove();
			cloneEle.querySelector('#dimensional').classList.remove('mui-hidden');

			cloneEle.querySelector('.retire_text').classList.add('retire_circle');
			cloneEle.querySelector('#result img').setAttribute('src',share_code);
			cloneEle.querySelector('#calcu_info .user-info').classList.remove('box');
			if(app.checkLogin()){
				var userInfo = app.getUser();
				cloneEle.querySelector('.user_name').classList.remove('mui-hidden');
				cloneEle.querySelector('.user_name').innerHTML = userInfo.userName;
			}
			g('share_btn').appendChild(cloneEle);
			$.plusReady(function(){
				getPicter(ex);
			})
	    });
	})
	// 查看养老金数据
	g('check_pension').addEventListener('tap',function(){
		if(!app.checkLogin()){
			app.toLogin();
			return;
		}
		var user = app.getUser();
		var secId = user.securityAcctId;
		if(secId){
			// 绑卡
			$.openWindow({url:'_www/view/sbk-info.html?id='+user.securityAcctId,id:"sbkinfo"+Math.random(0,20).toFixed(2)});
		}else {
			// 未绑卡
			app.showSheBaoAdd();
		}
	},false)
	// 查看医保待遇
	g('check_insurance').addEventListener('tap',function(){
		var flag = this.getAttribute('state');
		var mid = this.getAttribute('mid');
		var url = this.getAttribute('jhref');
		var citycode = this.getAttribute('citycode');
		if (flag == '1' && mid) {
			var href = '../index.html?mcode=' + mid + '&cityCode=' + citycode + '&m=' + Math.random(0,100);
			//if (cStyle.type) href += '&css=' + encodeURIComponent(cStyle.filename);
			var joyapp = $.openWindow({
				id: 'joy_' + mid + Math.random(1,200).toFixed(2),
				url: href
			});
		} else if (url) {
			$.openWindow({
				id: 'joy_apps' + Math.random(1,200).toFixed(2),
				url: url + '?t=' + Date.now()
			});
		} else {
			$.alert('该城市无相关政策介绍', '智能应用', '确定', function() {}, 'div');
		}
	},false)
	
	// 生成图片
	var getPicter = function(ex){
		plus.nativeUI.showWaiting();
		var copyDom = mui('.share_btn');
	    var width = copyDom[0].offsetWidth;//dom宽
	    var height = copyDom[0].offsetHeight;//dom高
	    var canvas = document.createElement('canvas'),
	    		context = canvas.getContext("2d");
	    var scale = 8; //放大倍数
	    canvas.width = width*scale;//canvas宽度
	    canvas.height = height*scale;//canvas高度
	    var content = canvas.getContext("2d");
	    content.scale(scale,scale);
	    var rect = copyDom[0].getBoundingClientRect();//获取元素相对于视察的偏移量
	    content.translate(-rect.left,-rect.top);//设置context位置，值为相对于视窗的偏移量负值，让图片复位
	    var opts = {
	    		logging: true, 
	    		allowTaint: true,
            taintTest: false,
	        scale:scale,
	        canvas:canvas,
	        background: '#fff',
	        width:width,
	        heigth:height,
	        ignoreElements: copyDom[0].querySelector('#calcu_share'),
	    }
	    html2canvas(copyDom[0], opts).then(function (canvas) {
    			canvas.id = "mycanvas";
            //生成base64图片数据  参数：图片格式和清晰度(0-1)
           	var dataUrl = canvas.toDataURL('image/jpeg', 1);
 			var bitmap = new plus.nativeObj.Bitmap();
			var filename = "_picture" + ".jpeg";
            bitmap.loadBase64Data(dataUrl,function(){
                bitmap.save("_doc/" + filename,{overwrite:true},function(i){
	                plus.nativeUI.closeWaiting();
	                mui.toast('保存图片成功！');
	                //销毁Bitmap图片
					bitmap.clear();
					bitmap.recycle();
					var path = "_doc/" + filename;
	    				shareImage(path,ex,bitmap);
	            },function(){
	            		bitmap.clear();
	            		bitmap.recycle();
	            		plus.nativeUI.closeWaiting();
	                mui.toast('保存图片失败！');
	            });
            },function(e){
				console.log('加载Base64图片数据失败：'+JSON.stringify(e));  
                plus.nativeUI.closeWaiting();
                mui.toast('创建图片失败！');
            });
	    });
	}
	
})(mui);
