(function($,doc,messageCenterSvc) {
	scroller = $('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration:mui.os.ios?0.003:0.0009
	});
	//获取地址栏参数
	function getQueryVariable (variable) {
       var query = window.location.search.substring(1);
       var vars = query.split("&");
       for (var i=0;i<vars.length;i++) {
               var pair = vars[i].split("=");
               if(pair[0] == variable){return pair[1];}
       }
       return(false);
	}
	//消息列表数据处理
	var noticeList = function (data,msgTypeIdData,muiTitleCont){
		var messageInfoRow = document.getElementById('messageInfo');
		var html = '';
		if(data.length>0){
			$.each(data, function(i,item) {
				var muiHidden = item.status == '1' ? "mui-hidden" : '';		//显隐未读标记
				var msgBodyObj = JSON.parse(item.msgBody);
				var linkUrl,jumpType,contentId='false';
				switch (msgBodyObj.domain){
					case 'joySocietyRefresh':
						//我的社保卡
						jumpType = 1;
						linkUrl = 'view/sbk-list.html';
						break;
					case 'joyNoticeContent':
						//展示内容
						jumpType = 2;
						contentId = msgBodyObj.cid;
						linkUrl = 'view/messageCenter/systemNotification/article.html';
						break;
					case 'joyUrl':
						//跳转至msgBody里的url
//						if('cid' in msgBodyObj){
//							jumpType = 2;
//							contentId = msgBodyObj.cid;
//							linkUrl = 'view/messageCenter/systemNotification/article.html';
//						}else {
//							jumpType = 3;
//							linkUrl = msgBodyObj.url;
//						}
						jumpType = 3;
						linkUrl = msgBodyObj.url;
						break;
				}
				
				html +=	'<li><h5 class="date_time">'+item.createTime+'</h5>';
				html +=	'<ul class="content_ul">';
				html +=	'<a data-contentId="'+contentId+'" data-titles="'+muiTitleCont+'" data-msgcateId="'+msgTypeIdData+'" data-jumpType="'+jumpType+'" data-title="'+item.title+'" data-taskId="'+item.taskId+'" data-msgTypeId="'+msgTypeIdData+'" data-href="'+linkUrl+'">';
				html +=	'<li class="content_list">';
				html +=	'<h6 class="list_title">'+item.title+'</h6>';
				html +=	'<p class="specific_time">'+item.createTime+'</p>';
				html +=	'<p class="brief_introduction">'+item.content+'</p>';
				html +=	'<span class="unread_sign '+muiHidden+'"></span>';
				html +=	'</li></a></ul></li>';
			});
		}else {
			html += '<div id="noComment" class="noContent">';
			html += '<img src="../../../images/mynodatabg.png">';
			html += '<p>暂无内容</p>';
			html += '</div>';
		}
		messageInfoRow.innerHTML = html;
	}
	//获取子类消息数据列表
	var getNoticeMessage = function (){
		var msgTypeIdData = getQueryVariable('msgTypeId');
		var muiTitleCont = decodeURIComponent(getQueryVariable('title'));
		g('muiTitle').innerHTML = muiTitleCont;
		messageCenterSvc.getSysMsgList(Number(msgTypeIdData)).then(function(data) {
			noticeList(data,msgTypeIdData,muiTitleCont);
		}).catch(function(err) {
			$.toast(err.message);
		});
	}
	//指定消息类型下的一个消息内容标记已读
	var getModifyMsgRead = function (dataObj) {
		messageCenterSvc.getModifyMsgRead(dataObj).then(function(data) {
			getNoticeMessage();
		}).catch(function(err) {
			$.toast(err.message);
		});
	}
	//消息列表跳转
	$('#messageInfo').on('tap','a',function(){
		var urlAll = this.getAttribute('data-href');
		var jumpType = this.getAttribute('data-jumpType');
		var contentId = this.getAttribute('data-contentId');
		var title = this.getAttribute('data-titles');
		var dataObj = {};
		dataObj.msgTypeId = Number(this.getAttribute('data-msgTypeId'));
		dataObj.taskId = this.getAttribute('data-taskId');
		if(jumpType=='1' && !app.checkLogin()){
			return app.toLogin();
		}
		getModifyMsgRead(dataObj);
		
		var url = urlAll.split('/');
		var ids = url[url.length-1].split('.html');
		var id,urlLink;
		id = ids[0];
		urlLink = url[url.length-1];
		if(jumpType=='1'){
			plus.navigator.setStatusBarStyle('light');
			$.openWindow({id:'sbk-list',url: '../../'+urlLink});
			var pageId = plus.webview.getWebviewById(id);
			pageId.addEventListener('close', function() {
				plus.navigator.setStatusBarStyle('dark');
				getNoticeMessage();
			});
		}else if(jumpType=='2'){
			$.openWindow({id: id,url: urlLink+'?muiTitle='+dataObj.msgTypeId+'&contentId='+contentId+'&title='+encodeURIComponent(title)});
			var currentPageId = plus.webview.getWebviewById(id);
			currentPageId.addEventListener('close', function() {
				getNoticeMessage();
			});
		}else {
			app.openMultiURL(urlAll);
		}
	},false);
	
	getNoticeMessage();
	//神策埋点
	function joyTrack(){
		//系统通知分类点击
		jTrack.regEventsLive('#messageInfo','a','joyMsgConClick','jtrack_msg_title:attr.data-title,jtrack_msg_id:attr.data-taskId,jtrack_msgcate_id:attr.data-msgcateId');
	}
	$.plusReady(function() {
		plus.navigator.setStatusBarStyle('dark');
		joyTrack();
	});
	
})(mui,document,messageCenterSvc);
