/**
 * Created by tuchl on 2016-08-12.
 */
(function($) {
	$.init({
		swipeBack: true,
		swipe: true,
		beforeback:function(){
			plus.navigator.setFullscreen(false);
		}
	});
	var back = $.back;
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var querySelector = function(selector) {
		return document.querySelector(selector)
	};
	var mId; //头条ID
	var comment_params={pageSize:5,mId:mId,pageNo:1};//评论参数
	var oVideo = null; // 视频
	
	var mInfo;
	var r_userId,r_commentId,repReviewId = 0,r_pageNum = 1,all_replay_num = 0;//获取所有评论的页数,所有回复数
	var re_userName = "",re_userContent = "",re_reply = 0;//回复别人的回复时为1
	var userInfo = null;
	var total_reply = 0;//评论+回复数
	var login = app.checkLogin();
	var replyNode=null,pariseNode;//当前点击回复的评论和点赞按钮
	var shareInfo={shareImage:'_www/images/logo.jpg'};
	var default_headpath= '../../images/user-photo.png';
	var headTop = document.querySelector('.video-header').offsetHeight,
		navTop = document.getElementsByClassName('mui-bar-nav')[0].offsetHeight;
	g('popover').style.top = navTop + 'px';
	document.getElementById('comments').style.top = headTop + 'px';
	function login_info(){
		if(app.checkLogin()){
			userInfo = app.getUser();//当前用户信息
			if(userInfo.headPath=="../images/user-photo.png"){
				userInfo.headPath=default_headpath;
			}
		};
	}
	login_info();
	/**
	 * 设置视频占位图片
	 */
 	var sendType=0;//判断是评论还是回复别人的评论，默认增加新的评论
    $.back = function(){
		if(sendType==0){
			back();
		}else{
			g("popover").classList.remove("show");
			g("popover").classList.add("hide");
			sendType=0;
			var reply_count = g("reply_count");
			if(reply_count){
				var new_reply_count = g("reply_count").innerHTML;
				if(new_reply_count>0){
					replyNode.innerHTML="<label class='com_reviewNum'>"+new_reply_count+"</label>回复";
				}else{
					replyNode.innerHTML="<label class='com_reviewNum mui-hidden'>0</label>回复";
				}
			}else{
				replyNode.innerHTML="<label class='com_reviewNum mui-hidden'>0</label>回复";
			}
		}
	};
	(function() {
		//var imgUrl = common.utils.queryString('image');
		var videoCont = querySelector('.article-video-box');
		var clientWidth = document.documentElement.clientWidth;
		var iHeight = clientWidth * 9 / 16;
		videoCont.style.height = iHeight + 'px';
		if(imbar.isIphoneX) {
			querySelector('.mui-content').style.bottom = (imbar.bottomSafeArea + 51) + 'px';
		}
//		if(imgUrl){
//			videoCont.innerHTML = '<img src="'+decodeURIComponent(imgUrl)+'" />';
//		}
		mId=common.utils.queryString('mId');
		comment_params.mId = mId;
		initData(mId);
	})();
	function pullupRefresh(self){
 		comment_params.pageNo++;
 		newsSvc.getComments(comment_params.mId,comment_params.pageSize,comment_params.pageNo).then(function(data){
			var list = data.reviewList;
 			if(list&&list.length>0){
 				if(self){
 					g('comments').querySelector('.mui-pull-bottom-tips').style.display = 'block';
 				}
				var htmlCon=[];
				$.each(list,function(key,value){
					var commentReply = value.reviewNum > 0 ? 'comment-resize' : '';
					var reply = value.reviewNum==0?"<label class='com_reviewNum mui-hidden'>0</label>回复":"<label class='com_reviewNum'>"+value.reviewNum+"</label>回复";
					var praiseStr= value.isLike==0?'<span class="comment-praise jcon jcon-dianzan"></span>':'<span class="comment-praise jcon jcon-dianzan1"></span>';
					var  delete_icon="";
					if(login){
						if(value.userId==userInfo.userId){
							delete_icon='<span class="jcon jcon-shanchu delete_com" commnet_id="'+value.id+'" sendtype="0"></span>';
						}
					}
					htmlCon=htmlCon.concat([
						'<div class="comment-item" commnet_id="',value.id,'"><div class="clearfix comment-info-box"><img src="',value.headPath ? value.headPath : default_headpath,'">',
						'<div class="comment-info">','<span class="comment-author">',value.userName,'</span><div class="praise_box praise_box_',value.isLike,'" praised="0" praise=',value.isLike,' commnet_id="',value.id,'">',praiseStr,'<label class="parise_num">',value.agreeCount,'</label><b class="c-yellow"></b></div></div></div>',
						'<div class="comment-bd">',value.content,'</div><div class="comment-fd"><span class="comment-time">',value.createDate,'</span><span class="reply-dot">&middot;</span><span class="comment-reply ' + commentReply + '" replay_userId="',value.userId,'" commnet_id="',value.id,'" reply_num="',value.reviewNum,'">',reply,'</span>',delete_icon,'</div></div>'
					]);
				});
				jpl('#commentList').innerHTML += htmlCon.join('');
			}else{
				if(!self){
					g('comments').querySelector('.mui-pull-bottom-tips').style.display = 'none';
				}
			}
			var cur_num = comment_params.pageNo*comment_params.pageSize;
			if(self) self.endPullUpToRefresh(cur_num>= data.total);
 		}).catch(function(err){
			console.log("err");
 			console.error(err.message,err);
 		});
 	}
 	var setPullToRefresh= function() {
		$.each(document.querySelectorAll('#contentScroll .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullupRefresh(self)
						},100);
					}
				}
			});
		});
	}; 	
	function commentRefresh(self){
		r_pageNum++;
		getReply(r_commentId,r_pageNum,comment_params.pageSize,self);
	};
	var commentUpRefresh= function() {
		$.each(document.querySelectorAll('#replyScrollBox .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							commentRefresh(self)
						},100);
					}
				}
			});
		});
	}
	
	//删除评论
	$("#commentList").on("tap",".delete_com",function(e){
		e.stopPropagation();
		var self = this;
		var cur_total_count = g("total_reply").innerHTML;
		cur_total_count = Number(cur_total_count);
		var  delete_id = this.getAttribute("commnet_id");
		var type = this.getAttribute("sendType");
		var delete_dom = this.parentNode.parentNode;
		var parentNodes = delete_dom.parentNode;
		var btnArray = ['否', '是'];
		mui.confirm('', '确认删除吗？', btnArray, function(e) {
			if(e.index == 1) {
				// 删除
				newsSvc.deleteCommentReply(delete_id,type).then(function(res){
					var count = parseInt(self.parentNode.querySelector('.com_reviewNum').innerHTML) + 1;
					delete_dom.remove();
					if(cur_total_count>=1){
						cur_total_count -= count;
					}else{
						cur_total_count=0;
					};
					g("total_reply").innerHTML = cur_total_count;
					if(cur_total_count <= 0){
						g("total_reply").classList.add('mui-hidden');
					}else{
						g("total_reply").classList.remove('mui-hidden');
					}
					if(parentNodes.children.length<=0){
						g("no_comment").classList.remove("mui-hidden")
					}
					$.toast('删除评论成功');
				}).catch(function(err){
					console.log(err.message.err)
				});
			}
		}, 'div')
		
	});
	//删除一级评论(回复页面)
	$("#comment_top").on("tap",".delete_com",function(e){
		e.stopPropagation();
		var self = this;
		var cur_total_count = g("total_reply").innerHTML;
		cur_total_count = Number(cur_total_count);
		var  delete_id = this.getAttribute("commnet_id");
		var type = this.getAttribute("sendType");
		var btnArray = ['否', '是'];
		mui.confirm('', '确认删除吗？', btnArray, function(e) {
			if(e.index == 1) {
				// 删除
				newsSvc.deleteCommentReply(delete_id, type).then(function(res) {
					var count = g('reply-list').childElementCount + 1 + 1,
						comment_cont = g('commentList').querySelector('.comment-item[commnet_id="' + delete_id + '"]');
					if(cur_total_count >= 1) {
						cur_total_count -= count;
					} else {
						cur_total_count = 0;
					};
					g("total_reply").innerHTML = cur_total_count;
					if(cur_total_count <= 0){
						g("total_reply").classList.add('mui-hidden');
					}else{
						g("total_reply").classList.remove('mui-hidden');
					}
					g("popover").classList.add("hide");
					g("popover").classList.remove("show");
					g('commentList').removeChild(comment_cont);
					if(g('commentList').childElementCount <= 0) {
						g("no_comment").classList.remove("mui-hidden")
					}
					sendType = 0;
					re_reply = 0;
					setTimeout(function(){
						g("comment-placeholder-box").classList.remove("mui-hidden");
						g("comment-input").classList.add("mui-hidden");
						document.querySelector('#commmentTxt').blur();
					},200)
					g('comment-placeholder-box').querySelector('.control-btns').classList.remove('reply-content');
					$.toast('删除评论成功');
				}).catch(function(err) {
					console.log(err.message.err)
				});
			}
		}, 'div')
	});
	//删除回复
	$("#reply-list").on("tap",".delete_com",function(){
		var cur_total_count = g("total_reply").innerHTML;
		cur_total_count = Number(cur_total_count);
		var  delete_id = this.getAttribute("commnet_id");
		var type = this.getAttribute("sendType");
		var delete_dom = this.parentNode.parentNode;
		var parentNodes = delete_dom.parentNode;
		var btnArray = ['否', '是'];
		mui.confirm('', '确认删除吗？', btnArray, function(e) {
			if(e.index == 1){
				newsSvc.deleteCommentReply(delete_id,type).then(function(res){
					delete_dom. remove();
					if(cur_total_count>=1){
						cur_total_count--;
					}else{
						cur_total_count=0;
					};
					g("total_reply").innerHTML = cur_total_count;
					if(cur_total_count <= 0){
						g("total_reply").classList.add('mui-hidden');
					}else{
						g("total_reply").classList.remove('mui-hidden');
					}
					if(parentNodes.children.length<=0){
						//没有回复的时候
						r_pageNum=1;
						g("r_title").innerHTML='还没有回复哦!'
						g("no_reply").classList.remove("mui-hidden");
						g("no_reply_box").classList.remove("mui-hidden");
					}else{
						var count = Number(g("reply_count").innerHTML);
						count--;
						g("reply_count").innerHTML=count;
					}
					$.toast('删除评论成功');
				}).catch(function(err){
					console.log(err.message.err);
				});
			}
		},'div')
		
	});
	
	//点击回复评论
	$("#commentList").on("tap",".comment-reply",function(e){
		e.stopPropagation();
		login_info();
		var reply_num = parseInt(this.getAttribute('reply_num'));
		if(reply_num <= 0){
			g("comment-placeholder-box").classList.add("mui-hidden");
			g("comment-input").classList.remove("mui-hidden");
			setTimeout(function(){
				document.querySelector('#commmentTxt').focus();
				if(mui.os.ios){
					app.openSoftKeyboard();
				}
			},200)
		}
		r_userId = this.getAttribute("replay_userId");//该条评论的用户id
		r_commentId = this.getAttribute("commnet_id");//该条评论id
		g('comment-placeholder-box').querySelector('.control-btns').classList.add('reply-content');
		g("popover").classList.remove("hide");
		g("popover").classList.add("show");
		var commentObj = this.parentNode.parentNode;
		var node = commentObj.cloneNode(true);
		replyNode = this;
		pariseNode = commentObj.querySelector(".praise_box");
		g("comment_top").innerHTML="";
		var reply = node.querySelector(".comment-reply");
		reply.classList.add('mui-hidden');
		g("comment_top").appendChild(node);
		sendType=1;
		var reply_num = this.querySelector(".com_reviewNum").innerHTML;
		if(reply_num>0){
			g("r_title").innerHTML="<label id='reply_count'>"+reply_num+"</label>条回复";
		}else{
			g("r_title").innerHTML="还没有回复哦!";
		}
		g("reply-list").innerHTML="";
		getReply(r_commentId,1,comment_params.pageSize);
	});
	
	//点击进入评论
	$("#commentList").on("tap",".comment-item",function(e){
		e.stopPropagation();
		var that = this.querySelector('.comment-reply');
		r_userId = that.getAttribute("replay_userId");//该条评论的用户id
		r_commentId = that.getAttribute("commnet_id");//该条评论id
		g('comment-placeholder-box').querySelector('.control-btns').classList.add('reply-content');
		g("popover").classList.remove("hide");
		g("popover").classList.add("show");
		var commentObj = that.parentNode.parentNode;
		var node = commentObj.cloneNode(true);
		replyNode = that;
		pariseNode = commentObj.querySelector(".praise_box");
		g("comment_top").innerHTML="";
		var reply = node.querySelector(".comment-reply");
	    reply.classList.add('mui-hidden');
		g("comment_top").appendChild(node);
		sendType=1;
		var reply_num = that.querySelector(".com_reviewNum").innerHTML;
		if(reply_num>0){
			g("r_title").innerHTML="<label id='reply_count'>"+reply_num+"</label>条回复";
		}else{
			g("r_title").innerHTML="还没有回复哦!";
		}
		g("reply-list").innerHTML="";
		getReply(r_commentId,1,comment_params.pageSize);
	});
	
	//获取一级评论
 	var getComments = function(params){
 		newsSvc.getComments(params.mId,params.pageSize,params.pageNo).then(function(data){
 			total_reply = data.total;
 			total_reply = Number(total_reply);
			var list = data.reviewList;
 			if(list&&list.length>0){
 				g("no_comment").classList.add("mui-hidden");
				var htmlCon=[];
				$.each(list,function(key,value){
					var commentReply = value.reviewNum > 0 ? 'comment-resize' : '';
					var reply = value.reviewNum==0?"<label class='com_reviewNum mui-hidden'>0</label>回复":"<label class='com_reviewNum'>"+value.reviewNum+"</label>回复";
					total_reply = total_reply+value.reviewNum;
					var praiseStr= value.isLike==0?'<span class="comment-praise jcon jcon-dianzan"></span>':'<span class="comment-praise jcon jcon-dianzan1"></span>';
					var  delete_icon="";
					if(login){
						if(value.userId==userInfo.userId){
						 	delete_icon='<span class="jcon jcon-shanchu delete_com" commnet_id="'+value.id+'" sendtype="0"></span>';
						}
					}
					htmlCon=htmlCon.concat([
						'<div class="comment-item" commnet_id="',value.id,'"><div class="clearfix comment-info-box"><img src="',value.headPath ? value.headPath : default_headpath,'">',
						'<div class="comment-info">','<span class="comment-author">',value.userName,'</span><div class="praise_box praise_box_',value.isLike,'" praised="0" praise=',value.isLike,' commnet_id="',value.id,'">',praiseStr,'<label class="parise_num">',value.agreeCount,'</label><b class="c-yellow"></b></div></div></div>',
						'<div class="comment-bd">',value.content,'</div><div class="comment-fd"><span class="comment-time">',value.createDate,'</span><span class="reply-dot">&middot;</span><span class="comment-reply ' + commentReply + '" replay_userId="',value.userId,'" commnet_id="',value.id,'" reply_num="',value.reviewNum,'">',reply,'</span>',delete_icon,'</div></div>'
					]);
				});
				
				if(data.total>params.pageSize){
					setPullToRefresh();
				}else{
					
				}
				jpl('#commentList').innerHTML = htmlCon.join('');
				g("total_reply").innerHTML = total_reply;
				g("total_reply").classList.remove("mui-hidden");
			};
 		}).catch(function(err){
			console.log("err");
 			console.error(err.message,err);
 		});
 	};
 	
 	
 	function praise(obj){
		var dianzan  =obj;
		var praise = obj.getAttribute("praise");//未点赞是0
		var praise_num = obj.querySelector(".parise_num");
		var praise_icon =  obj.querySelector(".comment-praise");
		var num =Number(praise_num.innerHTML);
		//likeType:0,取消点赞，likeId评论id,type:0,内容点赞
		var praise_id=obj.getAttribute("commnet_id");
		if(praise==0){
			var likeType = 1;
		}else{
			var likeType = 0;
		}
		newsSvc.likeMan(praise_id,likeType,1).then(function(res){
			dianzan.setAttribute('class',praise==1?'praise_box':'praise_box praise_box_1');
			praise_icon.setAttribute('class',praise==1?'comment-praise jcon jcon-dianzan':'comment-praise jcon jcon-dianzan1');
			dianzan.setAttribute("praise",praise==1?"0":"1");
			dianzan.setAttribute("praised",praise==1?"0":"1");
			setTimeout(function(){
				dianzan.setAttribute("praised","0");
			},2000)
			praise_num.innerHTML = praise==1?num-1:num+1;
		}).catch(function(err){
			$.toast(err.message,err)
			console.error(err.message,err);
		});
	};
	
	//点赞评论
	$("#commentList").on("tap",".praise_box",function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin();
			return;
		}
		praise(this);
	});
	//点赞回复
	$("#comment_reply").on("tap",".praise_box",function(e){
		e.stopPropagation();
		if(!app.checkLogin()){
			app.toLogin();
			return;
		}
		praise(this);
	});
	
	//获取评论下的回复
	function getReply(c_id,num,size,pullsel){
		newsSvc.getReply(c_id,num,size).then(function(res){
			var reviewList = res.reviewList;
			var htmlCon=[];
			if(reviewList&&reviewList.length>0){
				if(pullsel){
					return;
				}else{
					all_replay_num = res.total;
					g("reply_count").innerHTML = all_replay_num;
				}
				g("no_reply").classList.add("mui-hidden");
				g("no_reply_box").classList.add("mui-hidden");
				$.each(reviewList,function(key,value){
					var delete_icon = "";
					if(login){
						if(value.userId==userInfo.userId){
						 	delete_icon='<span class="jcon jcon-shanchu delete_com" commnet_id="'+value.id+'" sendtype="1"></span>';
						}
					} 
					var commentWord = value.isSecRev == 0 ? value.content : value.content + " // <label class='re_userName'>@"+value.repUserName+"</label> : "+value.repUserContent;
					var praiseStr= value.isLike==0?'<span class="comment-praise jcon jcon-dianzan"></span>':'<span class="comment-praise jcon jcon-dianzan1"></span>'
					htmlCon=htmlCon.concat([
						'<div class="comment-item" commnet_id="',value.id,'"><div class="clearfix comment-info-box"><img src="',value.headPath ? value.headPath : default_headpath,'">',
						'<div class="comment-info">','<span class="comment-author">',value.userName,'</span><div class="praise_box praise_box_',value.isLike,'" praised="0" praise=',value.isLike,' commnet_id="',value.id,'">',praiseStr,'<label class="parise_num">',value.agreeCount,'</label><b class="c-yellow"></b></div></div></div>',
						'<div class="comment-bd">',commentWord,'</div><div class="comment-fd"><span class="comment-time">',value.createDate,'</span><span class="reply-dot">&middot;</span><span class="comment-reply" replay_userId="',value.userId,'" commnet_id="',value.id,'" pubname="',value.userName,'" pubcont="',commentWord,'">回复</span>',delete_icon,'</div></div>'
					]);
				})
				jpl('#reply-list').innerHTML += htmlCon.join('');
				if(num<res.pages){
					commentUpRefresh()
				}
				if(pullsel){
					pullsel.endPullUpToRefresh(num>=res.pages)
				} 
			}else{
				if(pullsel){
					pullsel.endPullUpToRefresh(true)
				}else{
					g("no_reply").classList.remove("mui-hidden");
					g("no_reply_box").classList.remove("mui-hidden");
				}
			}
		}).catch(function(err){
			console.log(err.message,err)
		})
	};
	//回复回复
	$("#reply-list").on("tap",".comment-reply",function(e){
		e.stopPropagation();
		var holder = this.parentElement.parentElement.querySelector('.comment-author').innerHTML;
		setTimeout(function(){
			g("comment-placeholder-box").classList.add("mui-hidden");
			g("comment-input").classList.remove("mui-hidden");
			document.querySelector('#commmentTxt').focus();
			g('commmentTxt').setAttribute('placeholder','回复 @' + holder);
			if(mui.os.ios){
				app.openSoftKeyboard();
			}
		},200);
		re_userName = this.getAttribute('pubname');
		re_userContent = this.getAttribute('pubcont');
		re_reply = 1;
		r_userId = this.getAttribute("replay_userId");//该条回复的userId
		repReviewId =this.getAttribute("commnet_id");//该条回复的Id
		g("comment-placeholder-box").classList.add("mui-hidden");
		g("comment-input").classList.remove("mui-hidden");
	})
	//关闭回复页面
	$('#popover').on('tap', '.close-btn', function(){
		g('comment-placeholder-box').querySelector('.control-btns').classList.remove('reply-content');
		g("popover").classList.remove("show");
		g("popover").classList.add("hide");
		sendType = 0;
		re_reply = 0;
		var reply_count = g("reply_count");
		if(reply_count){
			var new_reply_count = g("reply_count").innerHTML;
			if(new_reply_count>0){
				replyNode.innerHTML="<label class='com_reviewNum'>"+new_reply_count+"</label>回复";
				replyNode.classList.add('comment-resize');
			}else{
				replyNode.innerHTML="<label class='com_reviewNum mui-hidden'>0</label>回复";
				replyNode.classList.remove('comment-resize');
			}
		}else{
			replyNode.innerHTML="<label class='com_reviewNum mui-hidden'>0</label>回复";
		}
		//更新点赞
		var praise_node = g("comment_top").querySelector(".praise_box");
		var new_praise_node = praise_node.cloneNode(true);
		var praise = new_praise_node.getAttribute('praise');
		pariseNode.parentNode.appendChild(new_praise_node);
		pariseNode.parentNode.querySelector('.comment-author').nextElementSibling.remove();
		setTimeout(function(){
			g("comment-placeholder-box").classList.remove("mui-hidden");
			g("comment-input").classList.add("mui-hidden");
			document.querySelector('#commmentTxt').blur();
		},200)
	})
	//关注
	g('btnFollow').addEventListener('tap',function(){
		if(app.checkLogin()){
			login_info();
			var followedId = mInfo.content.releaseOperator;
			var folType = this.classList.contains('nofollow') ? 1:0;
			var userId = userInfo.userId;
			newsSvc.followMan(folType,followedId,userId).then(function(data){
	 			jel('#btnFollow').attr('class',folType==1?'follow-btn followed':'follow-btn nofollow');
				if(folType==1){
					g('btnFollow').innerHTML="已关注";
					$.toast('关注成功');
				}else{
					g('btnFollow').innerHTML="+关注";
					$.toast('取消关注');
				}
	 		}).catch(function(err){
	 			console.error(err.message,err);
	 		});
		}else{
			app.toLogin();
		}
	},false);
	//收藏
	g("shoucang").addEventListener("tap",function(){
		var shoucang = this;
		var sc_state = this.getAttribute("sc_state");//1：未收藏
		// 未登录
		if(!app.checkLogin()) {
			app.toLogin();
			return;
		}
		mId = Number(mId);
		newsSvc.collect(mId,sc_state).then(function(res){
			if(res){
				if(sc_state==0){
					g("shoucang").setAttribute("sc_state",1);
					g("shoucang").setAttribute("class","jcon jcon-shoucang2");
				}else{
					g("shoucang").setAttribute("sc_state",0);
					g("shoucang").setAttribute("class","jcon jcon-shoucang11");
				}
			}
		}).catch(function(err){
			$.toast(err.message,err)
			console.error(err.message,err);
		})
		
	},false);
	// 发表评论
	$('.comment-fixed').on('tap', '.input-box', function(e) {
		e.stopPropagation();
		if(!app.checkLogin()) {
			app.toLogin();
			return;
		}
		g("comment-placeholder-box").classList.add("mui-hidden");
		g("comment-input").classList.remove("mui-hidden");
		g('commmentTxt').focus();
	})
	//删除之后修改页面数据
	function changeReplyNum(){
		var new_reply_count = g("reply_count").innerHTML;
		if(reply>0){//有其他回复
		    g("r_title").innerHTML='<label id="reply_count">'+reply+'</label>条回复';
		 	replyNode.innerHTML="<label class='com_reviewNum'>"+new_reply_count+"</label>回复";
		}else{
			 g("r_title").innerHTML='还没有回复哦!';
			 replyNode.innerHTML="<label class='com_reviewNum mui-hidden'></label>回复"
		}
	}
	
	//发送
	mui('.comment-fixed').on('tap', '.comment-send', function() {
		var that = this;
		var type = that.getAttribute('type');
		if(type == 0){
			that.setAttribute('type','1');
		}else{
			return false;
		}
		if(!!app.checkLogin()){
			var commentTxt = g("commmentTxt").value;
			var content = commentTxt.trim().replace(/[\uD800-\uDBFF][\uDC00-\uDFFF]/g, function(w){
				return w.codePointAt ? '&#'+w.codePointAt()+";":'';
			});
			if(content){
				var info={},parentNodes,childrenLen;
				info=sendType==0?{"minfoId":mId,"type":sendType,"content":content}:{"minfoId":mId,"type":sendType,"content":content,"repUserId":r_userId,"repViewId":r_commentId,"repReviewId":repReviewId}
			    if(re_reply==1){//回复回复
					commentTxt = commentTxt + " // <label class='re_userName'>@"+re_userName+"</label> : " + re_userContent;
				}
	 			parentNodes = sendType==0?g("commentList"):g("reply-list");
				newsSvc.addComments(info).then(function(res){
					g("no_comment").classList.add("mui-hidden");
					var no_reply = g("no_reply");
					if(no_reply){
						g("no_reply").classList.add("mui-hidden");
						g("no_reply_box").classList.add("mui-hidden");
					}
					var oDiv = document.createElement("div");
					oDiv.setAttribute("class","comment-item");
					oDiv.setAttribute("commnet_id",res.id);
					var html=[];
					var html=html.concat([
						'<div class="clearfix comment-info-box"><img src="',userInfo.headPath,'"><div class="comment-info"><span class="comment-author">',userInfo.userName,'</span>',
						'<div class="praise_box" praise="0" commnet_id="',res.id,'"><span class="comment-praise jcon jcon-dianzan"></span><label class="parise_num">0</label><b class="c-yellow"></b></div></div></div>',
						'<div class="comment-bd">',commentTxt,'</div><div class="comment-fd"><span class="comment-time">刚刚</span><span class="reply-dot">&middot;</span><span class="comment-reply" replay_userid="',userInfo.userId,'" commnet_id="',res.id,'" sendType="',sendType,'" pubname="',userInfo.userName,'" pubcont="',content,'"><label class="com_reviewNum mui-hidden">0</label>回复</span>',
						'<span class="jcon jcon-shanchu delete_com" commnet_id="',res.id,'" sendType="',sendType,'"></span></div>'
					]);
					oDiv.innerHTML = html.join("");
					childrenLen = parentNodes.children.length;
					if(childrenLen==0){
						parentNodes.appendChild(oDiv);
					}else{
						var first_child = parentNodes.firstChild;
						parentNodes.insertBefore(oDiv,first_child)
					}
					g("commmentTxt").value="";
					
					var cur_total_count = g("total_reply").innerHTML;
					cur_total_count = Number(cur_total_count);
					cur_total_count++;
					if(cur_total_count <= 0){
						g("total_reply").classList.add('mui-hidden');
					}else {
						g("total_reply").classList.remove('mui-hidden');
					}
					g("total_reply").innerHTML = cur_total_count;
					g("comment-placeholder-box").classList.remove("mui-hidden");
					g("comment-input").classList.add("mui-hidden");
					//增加提示数
					if(sendType==1){
						all_replay_num++;
						var reply_count = g("reply_count");
						if(reply_count){
							reply_count.innerHTML = all_replay_num;
						}else{
							//第一条回复
							g("r_title").innerHTML='<label id="reply_count">1</label>条回复';
							all_replay_num = 1;
						}
					}
					document.querySelector('#commmentTxt').blur();
					that.setAttribute('type','0');
					re_reply = 0; // 初始化
					repReviewId = 0;
					$.toast('评论发表成功');
				}).catch(function(err){
					$.toast(err.message,err)
					console.error(err.message,err);
				});
			}else{
				$.toast('发表的内容不能为空');
			}
		}else{
			g("commmentTxt").value="";
			g("comment-placeholder-box").classList.remove("mui-hidden");
			g("comment-input").classList.add("mui-hidden");
			document.querySelector('#commmentTxt').blur();
			that.setAttribute('type','0');
			app.toLogin();
		}
	},false);
	//进入个人中心
	g("author").addEventListener("tap",function(){
//		$.openWindow("person.html?mId="+mId);
		$.openWindow("person.html?mId=" + mInfo.content.releaseOperator);
	},false);
	//分享
	function initShare(content){
		var content = content.content.length >= 26 ? content.content.slice(0,26).concat('...') : content.content;
		var shareMsg = {
//			href: app._webUrl+"/minfo/minfo-video.html?id="+mId,
			href:  app._webUrl+"/minfo/minfo_share.html?id="+content.id,
			title: content,
//			content: shareInfo.content,
			content:'#悦头条内容分享#',
			thumbs:[shareInfo.shareImage],
			pictures:[shareInfo.shareImage]
		};
		window.share.initShare("share_button2", shareMsg, function() {
				mui.toast('分享成功');
			}, function(e) {
				if(e.code === -100) {
					mui.toast('已取消分享');
				} else {
					mui.toast('分享失败：' + e.message);
				}
			});
	};
	/**
	 * 初始化数据
	 * @param {Object} id
	 * @param {Object} isRefresh 是否刷新
	 */
	function initData(id, isRefresh) {
		newsSvc.getMinfo(id).then(function(content){
			mInfo = content;
			playVideo(content);//视频分享
			showContent(content);
			getComments(comment_params);//获取评论
			initShare(content);
		}).catch(function(res) {
			console.log(res)
		});
	}
	
	function getParentOffsetTop(dom) {
		var top = dom.offsetTop;
		var parent = dom.offsetParent;
		while(parent) {
			top += parent.offsetTop;
			parent = parent.offsetParent;
			if(!parent) {
				break;
			}
		}
		return top;
	}

	function playVideo(content){
		var video_info = content.content;
		var shareMsg = {
			href:  app._webUrl+"/minfo/minfo_share.html?id="+content.id,
			title:video_info.content,
			content:'上查悦社保，看最新社保资讯。',
			thumbs:[video_info.image]
		};
	    	joyPlayer.play({
	    		src:video_info.videoUrl,
	    		title:'',
	    		parent:document.querySelector('.article-video-box'),
	    		poster:video_info.image,
	    		shareMsg:shareMsg,
	    		outRange:2
		});
	};
	//视频分享
	function shareVideo(content) {
		var shareMsg = {
			href:  app._webUrl+"/minfo/minfo_share.html?id="+content.id,
			title: content.title,
//			content: content.introduce,
			content:'上查悦社保，看最新社保资讯。'
		};
		var oImgs = contentInfo.querySelectorAll('img');
		var pictures = [];
		var picNum = Math.min(oImgs.length, 9);
		for(var i = 0; i < picNum; i++) {
			pictures.push(oImgs[i].src);
		}
		if(content.image) {
			shareMsg.thumbs = [content.image];
		}
		shareMsg.pictures = pictures;
		share.initShare("share_button", shareMsg, function() {
			$.toast('分享成功');
			newsSvc.setDocumentForwardAmount(content.id);
		}, function(e) {
			if(e.code === -100) {
				$.toast('已取消分享');
			} else {
				$.toast('分享失败：' + e.message);
			}
		});
		share.initShare("share_button2", shareMsg, function() {
			$.toast('分享成功');
			newsSvc.setDocumentForwardAmount(content.id);
		}, function(e) {
			if(e.code === -100) {
				$.toast('已取消分享');
			} else {
				$.toast('分享失败：' + e.message);
			}
		});
	}
//	function showVideoCover(content){
//		var videoCont = querySelector('.article-video-box');
//		if(!videoCont.querySelector('img')){
//			var img = document.createElement('img');
//			img.src = content.image;
//			videoCont.appendChild(img);
//		}
//		var cover = document.createElement('div');
//		cover.className='video-cover';
//		cover.innerHTML='<span class="video-btn jcon jcon-play"></span>';
//		cover.addEventListener('tap',function(){
//			playVideo(content);
//		},false);
//		videoCont.appendChild(cover);
//	}
	function showContent(content) {
		if(content.AuthorHeadPath) g('photo').setAttribute('src',content.AuthorHeadPath);
		g("shoucang").setAttribute("class",content.colflag==0?'jcon jcon-shoucang2':'jcon jcon-shoucang11');
		g("shoucang").setAttribute("sc_state",content.colflag==0?1:0);
		querySelector(".name").innerHTML = content.AuthorName
		querySelector('.date').innerHTML = content.showTime;
		querySelector('.text').innerHTML = content.content.content
		g('btnFollow').setAttribute('class',content.content.folflag==1?'follow-btn followed':'follow-btn nofollow');
		g('btnFollow').innerHTML=content.content.folflag==1?'已关注':'+关注';
	}
	
	$.plusReady(function() {
		$.currentWebview.setStyle({
			softinputMode:"adjustResize"
		});
		window.addEventListener('refresh_data', function(e) { //执行刷新
			initData(mId);
		});
		window.addEventListener('video-playing-listen', function(e) { //执行刷新
			joyPlayer.playing();
		});
		$('.extra-controll').on('tap', '.understand-more', function(){
			mui.fire(plus.webview.getLaunchWebview(), 'goTab', {tabid:'tab-joy'});	
			var allWebview = plus.webview.all();
			for (var i = 0; i < allWebview.length; i++) {
				if (plus.webview.getLaunchWebview().id != allWebview[i].id) {
					allWebview[i].close('none');
				}
			}
		});
		window.addEventListener('refreshFollowBth',function(){
			initData(mId);
		},false);
		var footH = document.querySelector('.comment-fixed').offsetHeight;
		$('#contentScroll')[0].style.paddingBottom = footH + 'px';
	});
	
	var scrollTop = 0;
	//滚动条高度
	document.querySelector('#contentScroll').addEventListener('scroll', function(e) {
		var detail_y = -e.detail.y,
			top = document.querySelector('.comment-hd').offsetTop,
			type = document.querySelector('.go-comment-list').getAttribute('data-type');
		// 评论置顶 不需要记录
		if(type == 1) {
			return false;
		}
		if(-detail_y < top && detail_y !== top) {
			scrollTop = -detail_y;
		}
	})
	//评论切换
	$(document).on('tap', '.go-comment-list', function() {
		var that = this,
			type = that.getAttribute('data-type'),
			iTop = 0,
			scroll = scrollTop;
		document.querySelector("#comments").style.transitionDuration = ".2s";
		document.querySelector("#comments").style.webkitTransitionDuration = ".2s";
		if(type == 0) {
			// 评论置顶
			iTop = document.querySelector('.comment-hd').offsetTop;
			that.setAttribute('data-type', 1);
			document.querySelector("#comments").style.transform = "translateY(-" + iTop + "px)";
			document.querySelector("#comments").style.webkitTransform = "translateY(-" + iTop + "px)";
		} else {
			iTop = -scroll;
			that.setAttribute('data-type', 0);
			document.querySelector("#comments").style.transform = "translateY(-" + iTop + "px)";
			document.querySelector("#comments").style.webkitTransform = "translateY(-" + iTop + "px)";
		}
		mui('#contentScroll').scroll().scrollTo(0, -iTop);
	});
	
	// 进入评论
	// 显示评论的回复
	$('.comment-body').on('tap', '.comment-line', function(e){
//			e.stopPropagation();
		var list = e.target.className.split(' ');
		var that = this.getElementsByClassName('reply-react')[0];
		var commentId = that.getAttribute('commentId');
		var replyId = that.getAttribute('replyId');
		if(list.indexOf('jcon-delete') == -1){
			oComment.showReplyList({commentId: commentId, replyId: replyId}, false,  iTop);
		}else{
		}
	})
	// 搜索页面
	mui('.mui-bar').on('tap','#read-search',function(){
		$.openWindow({
			url: "../search_all.html",
			waiting:{autoShow:false}
		})
	})
	var backBtn = document.querySelector('.mui-action-back');
	if(backBtn){
		backBtn.addEventListener('tap',function(evt){
			g("commmentTxt").value="";
			g("comment-placeholder-box").classList.remove("mui-hidden");
			g("comment-input").classList.add("mui-hidden");
			document.querySelector('#commmentTxt').blur();
		},false);
	}
	var windowH = window.innerHeight;
	window.onresize = function() {
		if(mui.os.android) {
			// 监听键盘
			if(document.body.offsetHeight === windowH) {
				closeCommentLayer();
			}
		}
	}
	// 输入框失焦
	g('commmentTxt').onblur = function(){
		if(mui.os.ios){
			closeCommentLayer();
		}
	}
	var closeCommentLayer = function(){
		g("commmentTxt").value="";
		g("comment-placeholder-box").classList.remove("mui-hidden");
		g("comment-input").classList.add("mui-hidden");
		document.querySelector('#commmentTxt').blur();
		document.querySelector('#commmentTxt').setAttribute('placeholder','写评论...');
	}
	
})(mui);