(function($,doc){
	$.init();
	var caseId =  common.utils.queryString('caseId');
	var storeId=common.utils.queryString('storeId');
	var caseParams={storeId:storeId,pageNo:1,pageSize:5}
	
	var docterId = common.utils.queryString('docterId');//不一定全部都有
	//案例相关医师参数
	var ys_params ={id:caseId,lat:"39.90793074",lon:"116.39131928"}
	$(".mui-scroll-wrapper").scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var back=$.back;
	var opener;
	$.previewImage();
	$.back=function(){
		$.fire(opener,"update_views");
		back();
	}
	//日志列表
	var imgArr=[];
	var diaryListHig;
	var diaryList = function(list){
		var htmlCon=[];
		$.each(list,function(index,item){
			var imgStr=[],imgHtml;
			if(item.diaryimageUrl){
				for(var m=0;m<item.diaryimageUrl.length;m++){
					imgStr=imgStr.concat('<div class="operation_img" data-src="',item.diaryimageUrl[m],'" data-preview-group="1" style="background:url(',item.diaryimageUrl[m],') no-repeat center;background-size:cover;"></div>')
				}
			}
			imgHtml=imgStr.join("");
		    htmlCon=htmlCon.concat([
			   '<div class="after_operation"><span class="dot"></span>',
			   '<span class="days">体验后',item.experienceDays,'天</span>',
			   	'<div class="imgBox">',imgHtml,'</div>',
			   	'<div class="operation_record"><p class="text_record line3">',item.discuss,'</p>',
			   	'</div></div>'
		    ]);
		});
		g("after_operation").innerHTML=htmlCon.join("");
		for(var k=0;k<$(".operation_img").length;k++){
			$(".operation_img")[k].setAttribute("index",k)
		}
		if(diaryData.length<3){
			g("openAllBox").classList.add("mui-hidden")
		}
		for(var i=0;i<$(".text_record").length;i++){
			var hig = $(".text_record")[i].offsetHeight;
			$(".text_record")[i].setAttribute("hig",hig);
			if(hig >= 60){
				var showAll = doc.createElement("span");
				showAll.setAttribute("class","showAllText close");
				showAll.innerHTML="全文";
				showAll.setAttribute("sort",i);
				$(".operation_record")[i].appendChild(showAll);
				$(".operation_record")[i].querySelector('.showAllText').setAttribute("sort",i);
			}
		}
	};
	$("#after_operation").on("tap",".operation_img",function(){
		var index=this.getAttribute("index");
		plus.nativeUI.previewImage(imgArr,{current:index,loop:false,indicator:"number"})
	});
	//展开全文
	$("#after_operation").on("tap",".showAllText",function(){
		var index = this.getAttribute("sort");
		if(this.classList.contains("close")){//关闭状态
			$(".text_record")[index].classList.remove("line3");
			this.innerHTML="收起";
			this.classList.remove("close");
		}else{
			$(".text_record")[index].classList.add("line3");
			this.innerHTML="全文";
			this.classList.add("close");
		}
	});
	g("openAll").addEventListener("tap",function(){
		g("openAllBox").classList.add("mui-hidden");
		 diaryList(diaryData);
	},false)
	//案例详情
	var campareImg=[],diaryData=[];
	var getCaseDetails = function(id){
		tijianSvc.caseDetails(id).then(function (res) {
		  g("casename").innerHTML=res.caseName;
		  g("xm_name").innerHTML="["+res.projectClassName+"]";
		  g("name_age").innerHTML=res.userName+" "+res.userAge+"岁";
		  g("solution").innerHTML=res.solution;
		  g("solution_time").innerHTML=res.solutionTime;
		  g("price").innerHTML=res.price;
		  g("before").style.backgroundImage ="url("+res.beforeImageStr+")";
		  g("before").style.backgroundRepeat ="no-repeat";
		  g("before").style.backgroundPosition = "center";
		  g("before").style.backgroundSize="cover";
		  g("after").style.backgroundImage ="url("+res.afterImageStr+")";
		  g("after").style.backgroundRepeat ="no-repeat";
		  g("after").style.backgroundPosition = "center";
		  g("after").style.backgroundSize="cover";
		  g("previewNum").innerHTML=res.views;
		  campareImg.push(res.beforeImageStr);
		  campareImg.push(res.afterImageStr);
		  var characterArr=[],str="";
		  if(res.userCharacter.length>0){
			characterArr=res.userCharacter.split("，");
			for(var j=0;j<characterArr.length;j++){
				if(characterArr[j]!=""){
					str+="<label>"+characterArr[j]+"</label>" 
				}
			}
			g("user_tz").innerHTML=str;
		  };
		    diaryData=res.diaryList;
		    $.each(diaryData,function(index,item){
				if(item.diaryimageUrl){
					for(var m=0;m<item.diaryimageUrl.length;m++){
						imgArr.push(item.diaryimageUrl[m])
					}
				}
			});
		  if(res.diaryList.length>0&&res.diaryList.length<=3){
			  diaryList(res.diaryList);
		  }else if(res.diaryList.length>3){
		  	 diaryList(res.diaryList.slice(0,3));
		  }else{
			  g("after_operation").classList.add("mui-hidden");
			  g("openAllBox").classList.add("mui-hidden")
		  }
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	$("#casebox").on("tap",".caseImage",function(){
		var index=this.getAttribute("index");
		plus.nativeUI.previewImage(campareImg,{current:index,loop:false,indicator:"number"})
	})
	//相关医师
	var getCaseDocter = function(ys_params,d_id){
		tijianSvc.caseDocter(ys_params.id,ys_params.lon,ys_params.lat).then(function (res) {
		  var list=[];
		  console.log(d_id)
		  if(res.length>0){
		  	if(d_id){
		  		for(var m=0;m<res.length;m++){
			  		if(res[m].doctorId==d_id){
			  			list=res[m];
			  		}
			  	};
		  	}else{
		  		list = res[0];
		  	}
			g("main_docter_img").setAttribute("src",list.doctorImage)
		    g("main_docter_name").innerHTML=list.doctorName;
		    g("main_docter_job").innerHTML=list.doctorJob;
		    g("main_docter_hos_name").innerHTML=list.storeName;
		    g("main_docter_hos_adr").innerHTML=list.businessArea+" "+list.distance;
		    g("main_docter_info").setAttribute("docterId",list.doctorId)
		    var phones = list.storePhones;
		    var phoneCon=[];
		    for(var i=0;i<phones.length;i++){
				phoneCon=phoneCon.concat(['<li>',phones[i].phone,'</li>']);
			}
			g("telList").innerHTML=phoneCon.join("");
		  }else{
			  g("main_docter").classList.add("mui-hidden")
		  }
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	//打电话
	g("main_docter_hos_call").addEventListener("tap",function(){
		g("popover").classList.add("show")
	},false);
	g("cancel_call").addEventListener("tap",function(){
		g("popover").classList.remove("show")
	},false);
	$("#telList").on("tap","li",function(){
    	var phoneNumber = this.innerHTML;
		plus.device.dial(phoneNumber,true)
    })
	//相关产品
	var relatedCase = function(ys_params){
		tijianSvc.relatedCase(ys_params.id,ys_params.lon,ys_params.lat).then(function (res) {
		   if(res.length>0){
			var list = res[0];
		    g("relative_pro_img").setAttribute("src",list.thumbnail);
		    g("relative_hos").innerHTML=list.productName;
		    g("relative_pro_price").innerHTML='￥'+list.salesPrice;
		    g("pro_buy_price").innerHTML="门市价:￥"+list.originalPrice;
		    g("relative_pro_intro").setAttribute("productId",list.productId);
		    g("relative_pro_intro").setAttribute("storeId",list.storeId);
		    g("relative_pro_intro").setAttribute("storeName",list.storeName);
		    g("relative_pro_intro").setAttribute("level2",list.level2);
		    g("relative_pro_intro").setAttribute("distance",list.distance);
		  }else{
			  g("relative_pro").classList.add("mui-hidden")
		  }
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	//进入产品详情
	g("relative_pro_intro").addEventListener("tap",function(){
		var proId = this.getAttribute("productId");
		var storeId=this.getAttribute("storeId");
		var dis = this.getAttribute("distance");
		var cur_storeName=this.getAttribute("storeName");
		cur_storeName = encodeURIComponent(cur_storeName); 
		var level2=this.getAttribute("level2");
		$.openWindow("pro_detail.html?proId="+proId+"&storeId="+storeId+"&distance="+dis+"&storeName="+cur_storeName+"&level2="+level2); 
	},false)
	//案例
	var caseList=function(id,num,size){
		tijianSvc.caseList(id,num,size).then(function (res) {
			for(var m=0;m<res.list.length;m++){
			  	if(res.list[m].id==caseId){
			  		 res.list.splice(m,1)
			  	}
			}
			var list=res.list;
		    if(list.length==0){
			   g("more_releative_case").classList.add("mui-hidden")
		    }else{
			  var caseCon=[];
			  $.each(list,function(i,item){
				   var str='',characterArr=[];
				  if(item.userCharacter.length>0){
					characterArr=item.userCharacter.split("，");
					for(var j=0;j<characterArr.length;j++){
					   str+=characterArr[j]+"、"
					}
					var str1 = str.slice(0,str.length-1);
				  };
				  caseCon=caseCon.concat([
					'<div class="caseDemo" caseId=',item.id,'><div class="caseInfo">',
					'<span class="caseName">[',item.projectClassName,']',item.caseName,'</span>',
					'<span class="case_previewNum"><label class="previewNum">',item.views,'</label>预览</span>',
					'</div><div class="casePic"><div class="caseCompare bg">',
					'<p class="caseTitle">体验前</p><div class="caseImage">',
					'<img src="',item.BeforeImageStr,'" /></div></div>',
					'<div class="caseCompare bg"><p class="caseTitle">体验后</p>',
					'<div class="caseImage"><img src="',item.AfterImageStr,'" /></div></div>',
					'<p class="case_dsc">',str1,'</p></div></div>'
				  ])
			  })
			  g("casebox_list").innerHTML=caseCon.join("");
		  }
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	}
	//医师相关案例
	var getCaseList = function(id,docterId,num,size){
		tijianSvc.docter_caseList(id,docterId,num,size).then(function (res) {
			for(var m=0;m<res.list.length;m++){
			  	if(res.list[m].id==caseId){
			  		 res.list.splice(m,1)
			  	}
			}
			var list=res.list;
			if(list.length>0){
				var caseCon=[];
			    $.each(list,function(i,item){
				    var str='',characterArr=[];
				    if(item.userCharacter.length>0){
					    characterArr=item.userCharacter.split("，");
					    for(var j=0;j<characterArr.length;j++){
						   str+=characterArr[j]+"、"
					    }
					    var str1 = str.slice(0,str.length-1);
				    };
				    caseCon=caseCon.concat([
					  '<div class="caseDemo" caseId=',item.id,'><div class="caseInfo">',
			    		'<span class="caseName">[',item.projectClassName,']',item.caseName,'</span>',
			    		'<span class="case_previewNum"><label class="previewNum">',item.views,'</label>预览</span>',
			    		'</div><div class="casePic"><div class="caseCompare bg">',
			    		'<p class="caseTitle">体验前</p><div class="caseImage" style="background:url(',item.BeforeImageStr,') no-repeat center;background-size:cover;">',
			    		'</div></div><div class="caseCompare bg"><p class="caseTitle">体验后</p>',
			    		'<div class="caseImage" style="background:url(',item.AfterImageStr,') no-repeat center;background-size:cover;"></div></div>',
			    		'<p class="case_dsc">',str1,'</p></div></div>'
				    ])
			    });
			    g("casebox_list").innerHTML=caseCon.join("");
			}else{
				g("more_releative_case").classList.add("mui-hidden");
			}
			
		}).catch(function(err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	//进入医师详情
	g("main_docter_info").addEventListener("tap",function(){
		var docterId = this.getAttribute("docterId");
		$.openWindow("docter.html?storeId="+storeId+"&docterId="+docterId);
	},false)
	//进入机构详情
	g("main_docter_hos_info").addEventListener("tap",function(){
		$.openWindow("hospital.html?storeId="+storeId);
	},false);
		//进入案例详情
	$("#casebox_list").on("tap",".caseDemo",function(){
		var caseId = this.getAttribute("caseId");
		$.openWindow("case.html?caseId="+caseId)
	},false)
	function initData(coords){
		if(coords){
			ys_params.lat = coords.latitude;
			ys_params.lon = coords.longitude;
		}
		getCaseDocter(ys_params,docterId);
		relatedCase(ys_params);
	};
	geo.getPoint(initData);
	getCaseDetails(caseId);
	if(docterId){
		getCaseList(caseParams.storeId,docterId,caseParams.pageNo,caseParams.pageSize)
	}else{
		caseList(caseParams.storeId,caseParams.pageNo,caseParams.pageSize);
	}
	
	$.plusReady(function(){
		opener=plus.webview.currentWebview().opener();
	})
}(mui,document))
