(function($,doc){
	$.init();
	var storeId =  common.utils.queryString('storeId');
	var listParams = {storeId:storeId,pageNo:1,pageSize:3};
	
	var opener;//默认直接返回
	var back=$.back;
	$(".mui-scroll-wrapper").scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	
	$.back=function(){
		if(opener){$.fire(opener,"update_views")}
		back()
	}
	var pullupRefresh = function(pull){
		listParams.pageNo++;
		getCaseList(listParams.storeId,listParams.pageNo,listParams.pageSize,pull)
		
	}
	var setPullToRefresh= function() {
		console.log($('#storeCase .mui-scroll'))
		$('#storeCase .mui-scroll').pullToRefresh({
			up: {
				callback: function() {
					var self = this;
					setTimeout(function() {
						pullupRefresh(self)
					}, 100);
				}
			}
		});
	};
	
	
	//获取案例列表
	var getCaseList = function(id,num,size,pull){
		tijianSvc.caseList(id,num,size).then(function (res) {
		  var list=res.list;
		  	if(list.length==0&&num>1){//第1页以上没有数据
		 		if(pull) pull.endPullUpToRefresh(true);
		  	}else if(list.length==0&&num<=1){//第一页没有数据
			  	var op = "<p class='noCase'>暂时没有数据</p>";
				g("casebox").innerHTML=op;
		  	}else{//有数据
			    var caseCon=[];
			    $.each(list,function(i,item){
				    var str='',characterArr=[];
				    if(item.userCharacter.length>0){
					    characterArr=item.userCharacter.split(",");
					    for(var j=0;j<characterArr.length;j++){
						   str+=characterArr[j]
					    }
				    };
				    caseCon=caseCon.concat([
					  '<div class="caseDemo" caseId=',item.id,'><div class="caseInfo">',
			    		'<span class="caseName">[',item.projectClassName,']',item.caseName,'</span>',
			    		'<span class="case_previewNum"><label class="previewNum">',item.views,'</label>预览</span>',
			    		'</div><div class="casePic"><div class="caseCompare bg">',
			    		'<p class="caseTitle">体验前</p><div class="caseImage" style="background:url(',item.BeforeImageStr,') no-repeat center;background-size:cover;">',
			    		'</div></div><div class="caseCompare bg"><p class="caseTitle">体验后</p>',
			    		'<div class="caseImage" style="background:url(',item.AfterImageStr,') no-repeat center;background-size:cover;"></div></div>',
			    		'<p class="case_dsc">',str,'</p></div></div>'
				    ])
			    });
			    g("casebox").innerHTML= num==1?caseCon.join(""):g("casebox").innerHTML+caseCon.join("");
			 	
			    if(res.page.totalCount>size&&num==1){
			   		setPullToRefresh()
			    };
			    if(pull) pull.endPullUpToRefresh(false);
		  	}
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	window.addEventListener('update_views', function() {
		getCaseList(storeId,1,3);
	}, false);
	//进入案例详情
	$("#casebox").on("tap",".caseDemo",function(){
		var caseId = this.getAttribute("caseId");
		$.openWindow("case.html?caseId="+caseId)
	},false)
	getCaseList(storeId,1,3);
	$.plusReady(function(){
		opener=plus.webview.currentWebview().opener();
	})
}(mui,document))

