(function($,doc){
	var commentText = g("commentText");
	var addPic = g("addPic");
	var getCameraBtn = g("getCameraBtn");
	var galleryBtn = g("galleryBtn");
	var img_list = g("img_list");
	//评价打分
	$('.stars').on('tap','span',function(){
	  	var index = parseInt(this.getAttribute("data-index"));
	  	var parent = this.parentNode;
	  	var children = parent.children;
	    switch (index){
	    	case 1:
	    		commentText.innerHTML="非常不满意";
	    		break;
	    	case 2:
	    		commentText.innerHTML="不满意";
	    		break;
	    	case 3:
	    		commentText.innerHTML="一般";
	    		break;
	    	case 4:
	    		commentText.innerHTML="满意";
	    		break;
	    	case 5:
	    		commentText.innerHTML="非常满意";
	    		break;		
	    	default:
	    		break;
	    }
	  	if(this.classList.contains("star")){
	  		for(var i=0;i<index;i++){
				children[i].classList.remove('star');
				children[i].classList.add('active');
	  		}
	  	}else{
	  		for (var i = index; i < 5; i++) {
	  			children[i].classList.add('star');
	  			children[i].classList.remove('active');
	  		}
	  	}
//	  	starIndex = index;
    });
   //图片居中
    function AutoResizeImage(maxWidth,maxHeight,objImg){
		var img = new Image();
		img.src = objImg.src;
		console.log(objImg.naturalWidth)
		var hRatio;
		var wRatio;
		var Ratio = 1;
		img.onload = function(){
			var w = img.width;
			var h = img.height;wRatio = maxWidth / w;
			hRatio = maxHeight / h;
			if (maxWidth ==0 && maxHeight==0){
				Ratio = 1;
			}else if (maxWidth==0){//
			if (hRatio<1) Ratio = hRatio;
			}else if (maxHeight==0){
			if (wRatio<1) Ratio = wRatio;
			}else if (wRatio<1 || hRatio<1){
			Ratio = (wRatio<=hRatio?wRatio:hRatio);
			}
			if (Ratio<1){
				w = w * Ratio;
				h = h * Ratio;
			}
			if(h>w){
				//长图
				h=h-2;
				objImg.height = h;
				objImg.width = w;
				var left = parseInt((68-w)/2);
				objImg.style.marginLeft = left+"px";
			}
			if(h<w){
				w=w-2;
				objImg.height = h;
				objImg.width = w;
				var top = parseInt((68-h)/2);
				objImg.style.marginTop = top+"px";
			}
		}
		
	};
	function bindEvent(){
		if($(".picPath").length==0){
			return false;
		}
		for(var i=0;i<$(".picPath").length;i++){
			$(".image-close")[i].addEventListener("tap",function(e){
				var obj = e.target.parentNode;
				obj.parentNode.removeChild(obj);
			},false);
			//$(".picPath")[i].addEventListener("load",AutoResizeImage("68","68",$(".picPath")[i]),false);	
		}
	}
	function compressImg(path,callback){
		var ext = path.toLowerCase().substr(path.toLowerCase().lastIndexOf('.'));
		if(ext==".jpg"||ext==".png"||ext==".jpeg"){
			plus.nativeUI.showWaiting('正在压缩图片...');
			plus.io.resolveLocalFileSystemURL(path, function(entry) {
				entry.file(function(file){
					var unitM = 1024 * 1024;
					var mSize = file.size/unitM;
					var qper = mSize>2?2*unitM/file.size:0.92;
					var canvas = document.createElement('CANVAS');
					var ctx = canvas.getContext('2d'); 
					var img = new Image();
					img.crossOrigin = 'Anonymous'; 
					img.onload = function(){ 
						//console.log('imgSrc:',this.src);
						canvas.height = img.height; 
						canvas.width = img.width; 
						ctx.drawImage(img,0,0); 
						var dataURL = canvas.toDataURL('image/jpeg',qper); 
						callback.call(this, dataURL); 
						canvas = null; 
					}; 
					img.src = entry.fullPath;
				},function(e){
					//console.log(e.message);
					warning("读取文件失败！");
				});
			}, function (e) {
				console.log(e.message);
				warning("读取文件失败！");
			});
		}else{
			warning("请选择jpg/png格式的图片");
		}
	}
	
	//拍照
   	function captureImage(){
    	$('#picture').popover('hide');
		cmr = plus.camera.getCamera();
		var res = cmr.supportedImageResolutions[0];
		var fmt = cmr.supportedImageFormats[0];
		cmr.captureImage(function(path){
			compressImg(path,function(b64Src){
    			var pic = doc.createElement("div");
            	pic.setAttribute("class","comment_pic");
	    		pic.innerHTML= "<img class='picPath' src='"+b64Src+"' data-preview-src='' data-preview-group='1' /><span class='image-close mui-icon mui-icon-closeempty'><span>";
				img_list.insertBefore(pic,img_list.firstChild);
				$.previewImage();
				bindEvent()
	    		plus.nativeUI.closeWaiting();
	    		
    		});
		},function( error ) {
			$.toast("拍照失败请重试");
		},{resolution:res,format:fmt});
		
   };
   
    //从相册中选择图片
	function galleryImgs(){
		$('#picture').popover('hide');
	    plus.gallery.pick( function(e){
	    	for(var i in e.files){
	    		if(i>8) break;
	    		compressImg(e.files[i],function(b64Src){
	    			var pic = doc.createElement("div");
	            	pic.setAttribute("class","comment_pic");
		    		pic.innerHTML= "<img class='picPath' src='"+b64Src+"' data-preview-src='' data-preview-group='1' /><span class='image-close mui-icon mui-icon-closeempty'><span>";
					img_list.insertBefore(pic,img_list.firstChild);
					$.previewImage();
					bindEvent()
					plus.nativeUI.closeWaiting();
	    		});
	    	}
	    }, function (e) {
	    	$.toast( "取消选择图片" );
	    },{filter:"image",multiple:true});
	}
	
	getCameraBtn.addEventListener('tap',captureImage,false);
	galleryBtn.addEventListener('tap',galleryImgs,false);
}(mui,document))
