(function($,doc){
	var docterId = common.utils.queryString('docterId');
	var storeId = common.utils.queryString('storeId');
	var level2 = common.utils.queryString('level2');
	var dis=common.utils.queryString('dis');
	
	var shareInfo={shareImage:'_www/images/logo.jpg'};
	
	var back=$.back;
	$.back=function(){
		if(opener){$.fire(opener,"update_views")}
		back()
	}
	mui('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var imgArr=[];
	var getDocterList=function(id){
		tijianSvc.docterDetail(id).then(function (res) {
		  g("docter_name").innerHTML=res.doctorName;
		  shareInfo.title=res.doctorName;
		  shareInfo.content=res.doctorJob+" 从业"+res.jobTime+"年";
		  g("docter_job").innerHTML=res.doctorJob+" (从业"+res.jobTime+"年)";
		  g("docter_headerPath").style.backgroundImage ="url("+res.headImageUrl+")";
		  g("docter_headerPath").style.backgroundRepeat ="no-repeat";
		  g("docter_headerPath").style.backgroundPosition = "0px 0px";
		  g("docter_headerPath").style.backgroundSize="cover";
		  if(res.certificationNumber.length>0){
		  	g("certificationNumber").innerHTML="执业资格编号："+res.certificationNumber;
		  }else{
		  	g("zige").classList.add("mui-hidden");
		  }
		  //擅长项目
		  if(res.goodProjects.length>0){
		  	var str="";
		    for(var m=0;m<res.goodProjects.length;m++){
		       str+='<label>'+res.goodProjects[m]+'</label>';
		    }
		    g("goodProjects").innerHTML=str;
		  }else{
		  	g("xm").classList.add("mui-hidden");
			g("zige").style.border="none";
		  }
		  var store=[];
		  for(var m=0;m<res.storeList.length;m++){
		  	if(res.storeList[m].storeId==storeId){
		  		store.push(res.storeList[m]);
		  	}
		  }
		  if(store.length>0){
		  	g("hospial_name").innerHTML=store[0].storeName;
		  	g("hospial_add").innerHTML=store[0].address;
		  }else{
		  	g("hospitalInfo").classList.add("mui-hidden")
		  }
		g("white").style.height=g("introduce").offsetHeight-100+"px";
		  //电话号码，多个以逗号分开
		  if(store[0].phone.indexOf(",")>0){
		  	var phone = store[0].phone.split(",");
		  	var liCon=[];
		  	 for(var m=0;m<phone.length;m++){
		  	 	liCon=liCon.concat([
		  	 		'<li>',phone[m],'</li>'
		  	 	])
		  	 };
		  	 g("telList").innerHTML=liCon.join("");
		  }else{
		  	if(res.storeList[0].phone.length>0){
		  		var oLi='<li>'+res.storeList[0].phone+'</li>';
		  	}
		  	g("telList").innerHTML=oLi;
		  }
		  //荣誉风采
		  if(res.contentImageList.length<=0){
		     g("certificate_info").classList.add("mui-hidden")
		  }else{
		  	var list=res.contentImageList;
		  	var htmlCon=[];
		  	$.each(list,function(index,item){
				imgArr.push(item.imageUrl);
				htmlCon=htmlCon.concat([
		  			'<div class="mui-slider-item" index=',index,'><div class="certificate" style="background:url(',item.imageUrl,') no-repeat center;background-size:cover;">',
					'</div><p class="honor_title"><span class="honor">荣誉</span>',item.imageNote,'</p></div>'
		  		])
		  	});
		  	g("picBox").innerHTML=htmlCon.join("")
		  }
		  initShare();
		}).catch(function (err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	 //分享
    function initShare(){
		var shareMsg = {
			href:app._webUrl+"/o2o/docter.html?storeId="+storeId+"&dis="+dis+"&level2="+level2+"&docterId="+docterId,
			title: shareInfo.title,
			content:shareInfo.content,
			thumbs:[shareInfo.shareImage],
			weixin_WXSceneTimeline:{
		     href:app._webUrl+"/o2o/docter.html?storeId="+storeId+"&dis="+dis+"&level2="+level2+"&docterId="+docterId,
		     title:shareInfo.content,
		    }
		};
		window.share.initShare("share", shareMsg, function() {
			mui.toast('分享成功');
		}, function(e) {
			if(e.code === -100) {
				mui.toast('已取消分享');
			} else {
				mui.toast('分享失败：' + e.message);
			}
		});
	};
	$("#picBox").on("tap",".mui-slider-item",function(){
		var index=this.getAttribute("index");
		plus.nativeUI.previewImage(imgArr,{current:index,loop:false,indicator:"number"})
	});
	//打电话
	g("hospital_call").addEventListener("tap",function(){
		g("popover").classList.add("show")
	},false);
	g("cancel_call").addEventListener("tap",function(){
		g("popover").classList.remove("show")
	},false);
	$("#telList").on("tap","li",function(){
    	var phoneNumber = this.innerHTML;
		plus.device.dial(phoneNumber,true)
    })
	
	//获取案例列表
	var getCaseList = function(id,docterId,num,size){
		tijianSvc.docter_caseList(id,docterId,num,size).then(function (res) {
		//	console.log(res);
			g("allCaseNum").innerHTML=res.page.totalCount;
			var list=res.list;
			if(list.length>0){
				var caseCon=[];
			    $.each(list,function(i,item){
				    var str='',characterArr=[];
				    if(item.userCharacter.length>0){
					    characterArr=item.userCharacter.split("，");
					    for(var j=0;j<characterArr.length;j++){
						   str+=characterArr[j]+"、"
					    }
					    var str1 = str.slice(0,str.length-1);
				    };
				    caseCon=caseCon.concat([
					  '<div class="caseDemo" caseId=',item.id,'><div class="caseInfo">',
			    		'<span class="caseName">[',item.projectClassName,']',item.caseName,'</span>',
			    		'<span class="case_previewNum"><label class="previewNum">',item.views,'</label>预览</span>',
			    		'</div><div class="casePic"><div class="caseCompare bg">',
			    		'<p class="caseTitle">体验前</p><div class="caseImage" style="background:url(',item.BeforeImageStr,') no-repeat center;background-size:cover;">',
			    		'</div></div><div class="caseCompare bg"><p class="caseTitle">体验后</p>',
			    		'<div class="caseImage" style="background:url(',item.AfterImageStr,') no-repeat center;background-size:cover;"></div></div>',
			    		'<p class="case_dsc">',str1,'</p></div></div>'
				    ])
			    });
			    g("casebox").innerHTML=caseCon.join("");
			}else{
				g("offical_case").classList.add("mui-hidden")
			}
			
		}).catch(function(err) {
			$.toast(err.message,err);
			console.error(err.message,err);
		});
	};
	window.addEventListener('update_views', function() {
		getCaseList(storeId,docterId,1,5);
	}, false);
	getDocterList(docterId);
	getCaseList(storeId,docterId,1,5);
	//查看全部案例
	g("allCase").addEventListener("tap",function(){
		$.openWindow("docter_case.html?storeId="+storeId+"&docterId="+docterId)
	},false);
	g("allCase_all").addEventListener("tap",function(){
		$.openWindow("docter_case.html?storeId="+storeId+"&docterId="+docterId)
	},false);
	g("hospital").addEventListener("tap",function(){
		$.openWindow("hospital.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
	},false);
	//进入案例详情
	$("#casebox").on("tap",".caseDemo",function(){
		var caseId = this.getAttribute("caseId");
		$.openWindow("case.html?caseId="+caseId+"&docterId="+docterId+"&storeId="+storeId)
	},false);
	$.plusReady(function(){
		opener=plus.webview.currentWebview().opener();
	})
})(mui,document)