(function($,doc){
	$.init();
	var maps = null;
	var cur_pos={lat:"39.90793074",lon:"116.39131928"};
	var proId = common.utils.queryString('proId');
	var storeId = common.utils.queryString('storeId');
	var posParams = {lat:"39.90793074",lon:"116.39131928"};
	
	var level2=common.utils.queryString('level2');
	g("cancelCall").addEventListener("tap",function(){
		g("callBoard").classList.add("mui-hidden");
	},false);
	g('locName').innerHTML = '<i class="mui-spinner"></i>正在获取位置信息...';
	var cityInfo = app.getCity();
	g('locName').innerHTML = '<label class="jcon jcon-didian"></label><label id="city">'+cityInfo.cityName+'</label>';
	g('locName').setAttribute('data-value',cityInfo.cityCode);
	
	function initData(coords){
		if(coords){
			posParams.lat = coords.latitude;
			posParams.lon = coords.longitude;
			cur_pos=posParams;
		}
	 	posParams.productId = proId;
	 	productStore(posParams);
	}	
	geo.getPoint(initData);
	function keepOneDecimal(num) {
	 var result = parseFloat(num);
	 if (isNaN(result)) {
	 	$.toast('传递参数错误，请检查！');
	 	return false;
	 }
	 result = Math.round(num * 10) / 10;
	 return result;
	}
	
	//获取电话号码
	function getNumber(storeId){
		tijianSvc.getNumber(storeId).then(function(res){
			g("numberlist").innerHTML="";
			var phone = [];
			for(var m=0;m<res.length;m++){
				
				phone = phone.concat([
					'<li>',res[m],'</li>'
				])
				var Oli = '<li>'+res[m]+'</li>';
				

			}
			g("numberlist").innerHTML = phone.join("")
			g("callBoard").classList.remove("mui-hidden")
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	$("#numberlist").on("tap","li",function(){
		var tel=this.innerHTML;
		plus.device.dial(tel, true)
	});
	var openMapByScheme = function(src,dst,dname){
		var amapIsExist = false,bmapIsExist=false,theScheme='';
		//var amapUri = 'https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}&src=joyshebao&coordinate=gaode&callnative=1';
		var amapUri ='https://uri.amap.com/navigation?from={{slon}},{{slat}},{{sname}}&to={{dlon}},{{dlat}},{{dname}}';
		var routeData = {
			softname:'查悦社保',
			slat:src.latitude,slon:src.longitude,sname:'我的位置',
			dlat:dst.latitude,dlon:dst.longitude,dname:dname
		};
		if(mui.os.ios){
			bmapIsExist=plus.runtime.isApplicationExist({action:'iosamap://'});
			if(bmapIsExist){
				//先判断高德
				theScheme ='iosamap://path?sourceApplication=applicationName&sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}=&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&t=0';
			}else{
				amapIsExist=plus.runtime.isApplicationExist({action:'baidumap://'});//百度
				var name = encodeURIComponent(dname);
				if(amapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}else{
			amapIsExist=plus.runtime.isApplicationExist({pname:'com.autonavi.minimap',action:'androidamap://'});//高德
			if(amapIsExist){
				
				// theScheme = 'amapuri://route/plan/?sid=BGVIS1&slat=39.92848272&slon=116.39560823&sname=A&did=BGVIS2&dlat=39.98848272&dlon=116.47560823&dname=B&dev=0&t=0'
				theScheme = 'androidamap://route?sid=BGVIS1&slat={{slat}}&slon={{slon}}&sname={{sname}}&did=BGVIS2&dlat={{dlat}}&dlon={{dlon}}&dname={{dname}}&dev=0&m=0&t=0';  
			}else{
				bmapIsExist=plus.runtime.isApplicationExist({pname:'com.baidu.baiduMap',action:'baidumap://'});
				if(bmapIsExist){
					theScheme = 'baidumap://map/direction?origin=name:{{sname}}|latlng:{{slat}},{{slon}}&destination=name:{{dname}}|latlng:{{dlat}},{{dlon}}&coord_type=gcj02'; 
				}
			}
		}
		if(theScheme){
			theScheme=common.utils.patternStrPlus(theScheme,routeData);
		}else{
			theScheme=common.utils.patternStrPlus(amapUri,routeData);
		}
		theScheme = encodeURI(theScheme);
		plus.runtime.openURL(theScheme)
	};
	
	//产品可用店铺
	function productStore(sendData){
		tijianSvc.productStore(sendData).then(function(res){
			var distance;
			for(var k=0;k<res.length;k++){
				if(res[k].distance.indexOf("km")>0){
					distance = parseFloat(res[k].distance);
					distance = keepOneDecimal(distance);
					if(distance>=50){
						distance = "50+km";//
					}else{
						distance = distance+"km";
					}
				}else{
					distance = res[k].distance;//米
				}
				var str='<div class="more_place_info"><div class="placeInner clearfix" level2="'+res[k].level2+'" sId="'+res[k].storeId+'" dis="'+distance+'">'+
							'<div class="placeInfo"><p class="locationName">'+res[k].storeName+'</p>'+
							'<p class="location_add">'+res[k].address+'</p></div>'+
							'<div class="distance">'+distance+'</div></div>'+
							'<div class="opt"><div class="call user_opt" storeId="'+res[k].storeId+'"><label>拨打电话</label></div>'+
							'<div class="goThere user_opt"><label lat="'+res[k].lat+'" lon="'+res[k].lon+'" class="toDsc" dstName="'+res[k].storeName+'">去这里</label></div>'+
							'<div class="user_opt all_tc" place="'+res[k].storeName+'"><label class="setmeal">全部套餐</label></div></div></div>';
				if(res[k].storeId==storeId){
					g("cur_place").innerHTML = str;
				}else{
					g("more_place").innerHTML=g("more_place").innerHTML+str;	
				}
			}
			$("#list").on("tap",".toDsc",function(){
				var dst_lon = this.getAttribute("lon");
				var dst_lat = this.getAttribute("lat"); 
				var dstName = this.getAttribute("dstName");
				var wgsSrc = GPS.gcj_decrypt(cur_pos.lat,cur_pos.lon);
				var srcPoint = new plus.maps.Point(wgsSrc.lon,wgsSrc.lat);
				var wgsDst = GPS.gcj_decrypt(dst_lat,dst_lon);
				var dstPoint = new plus.maps.Point(wgsDst.lon,wgsDst.lat);
				openMapByScheme(srcPoint,dstPoint,dstName);
			});
			
			$("#list").on("tap",".call",function(){
				var cur_storeId = this.getAttribute("storeId");
				getNumber({"storeId":cur_storeId})
			});
			$("#list").on("tap",".all_tc",function(){
				var place = this.getAttribute("place");
				$.openWindow("taocan.html?place="+place+"&level2="+level2)
			});
		}).catch(function(err){
			$.toast(err.message,err);
			console.error(err.message,err);
		})
	};
	$("#list").on("tap",".placeInner",function(){
		var dis = this.getAttribute("dis");
		var level2=this.getAttribute("level2");
		var storeId=this.getAttribute("sId");
		if(level2==6){
			$.openWindow("tijian_store.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}else{
			$.openWindow("hospital.html?storeId="+storeId+"&dis="+dis+"&level2="+level2)
		}
	});
	
})(mui,document)
