(function($) {
	//productStatus 0-不可预约 1-待预约 2-预约中 3-已预约 4-体检已完成
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//orderPayStatus 0-无需支付 1-待支付 2-支付完成 3-已失效
	var logout=0,overdue=0;//默认未注销、未过期
	tijianSvc.searchProductLogout().then(function(res){
		if(res.logOutStatus==1){
			logout=1;
		}
	}).catch(function(err){
		console.log(err)
	})
	var productStatus={
		0:'不可预约',
		1:'待预约',
		2:'预约中',
		3:'预约成功',
		4:'已完成',
		5:"已过期",
		11:"退款中",
		12:"业务审核通过",
		13:"退款失败",
		14:"退款成功",
		16:"退款失败"
	};
	var back=$.back;
	var productId = 0;
	var product = {};
	var orderInfo = {};
	var theCoords = {};
	var store = {};
	var orderComplete=true; 
	var pro_name="",order_time="";//
	var level2=6;//默认体检
	var opener;
	var payment=0;
	var cxtk_status,offData=1;//过期是否可退
	
	var pNode,cx_pId,cx_pName,pNode_txt;
	$.back=function(){
		$.fire(opener,"refresh_data");
		back();
	};
	//退款信息显示备注：有退款成功--部分退款，没有--已支付
	var getDetail = function(id){
		return tijianSvc.getOrderDetail(id).then(function(data){
			order_time = data.orderInfo.createTime;
			offData = data.orderInfo.moback;
			if(data.orderInfo.orderStatus==607||data.orderInfo.orderStatus==603){
				overdue=1;
			}
			level2 = data.orderInfo.level2;
			if(data){				
				orderInfo = data.orderInfo;
				orderInfo.price = data.o2oOrderList[0].price;
				g("orderStatus").innerHTML=orderInfo.orderStatusName;
				if(orderInfo.orderStatus==603||orderInfo.orderStatus==604||orderInfo.orderStatus==600){
					//子订单合并显示
					data.o2oOrderList[0].number=data.o2oOrderList.length;
					var arr=[];
					arr.push(data.o2oOrderList[0]);
					orderInfo.show="mui-hidden";
					if(orderInfo.orderStatus==600){
						g('footer').classList.remove('mui-hidden');
						payment=1;
					}
					createProList(arr);
				}else{
					createProList(data.o2oOrderList);
				}
				//删除订单
				if(orderInfo.orderStatus==602||orderInfo.orderStatus==603||orderInfo.orderStatus==604||orderInfo.orderStatus==605){
					g("delOrder").classList.remove("mui-hidden")
				}else{
					g("delOrder").classList.add("mui-hidden")
				}
				
				jpl('#tplOrderInfo').pattern('#orderInfo',orderInfo); 
				g('copyOrder').addEventListener('tap', function() {
					var p_node= this.parentNode;
					var txt= p_node.querySelector("b").innerHTML;
					app.copyText(txt);
					mui.toast('复制成功');
				}, false);
				return orderInfo.productId;
			}else{
				return 0;
			}
		}).catch(function(err){
			$.plusReady(function(){
				$.alert('对不起，数据请求错误请稍后再试！',function(){
					back();
				});
			});
		});
	};
	
	var dealTime=function(time){
		var now_time = new Date();
		var n_hour=now_time.getHours();
		var create_time,c_hour;
		create_time = new Date(order_time.replace(/-/g, "/"));
		c_hour = create_time.getHours();
		var left_hour;
		if(c_hour<=n_hour){
			c_hour=c_hour+24;
		}
		left_hour = c_hour-n_hour;
		return left_hour; 
	}
	var createProList = function(data){
		var html = [];
		var getTuiKuanBtn = function(pro){
			if(pro.orderStatus==4||pro.orderStatus==3||pro.orderStatus==14||pro.orderStatus==0){//完成、预约成功、过期、退款成功
				return '';
			}else{
				//refundStatus产品订单退款标识 0-未发起退款 1-申请退款 2-业务审核通过 3-业务审核失败4成功
				//新增6财务审核被拒  
				
				if(pro.refundStatus==0) {
					//过期未退款
					if(overdue==1){
						console.log(111)
						return ''
					}else{
						return '<a class="btn light tuikuan" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" isModify="'+pro.ismodify+'">申请退款</a>';
					}
				}else if(pro.refundStatus==1||pro.refundStatus==2||pro.refundStatus==3||pro.refundStatus==6){
					if(cxtk_status==1){//撤销退款
						return '<a class="btn dark tuikuan" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" isModify="'+pro.ismodify+'">申请退款</a>';
					}else{
						var name="退款进度";
						return '<a class="btn light tkxq" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" tk_time="'+pro.refundTime+'">'+name+'</a>';
					}
				}else{
					//4:已完成没有按钮
					return '';
					console.log("已完成")
				}
			}
		};
		var getYuYueBtn = function(pro){
				//orderStatus0:'不可预约',1:'待预约',2:'预约中',3:'预约成功',4:'已完成',5:"已过期",
				//11:"申请退款",12:"业务审核通过",13:"退款失败",14:"退款成功"
				//新增16财务审核被拒，按钮变成预约
				var btnNames = {
					0:'不可预约',
					1:'立刻预约',
					2:'查看预约进度',
					3:'查看预约详情',
					4:'已完成',
					5:"申请退款",
					11:"撤销退款",
					12:"撤销退款",
					13:"撤销退款",
					14:"退款详情",
					16:"立刻预约"
				};
				var name = btnNames[pro.orderStatus];
				var cname;
				if(pro.orderStatus==1||pro.orderStatus==2||pro.orderStatus==3){
					if(overdue==1){
						return ''
					}else{
						if(pro.orderStatus==1){
							cname="yuyue";
						}else{//2、3
							cname="yyxq";
						}
						return '<a class="btn light '+cname+'" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" s_name="'+pro.orgName+'" storeId="'+pro.orgId+'">'+name+'</a>';
					}
				}else if(pro.orderStatus==11||pro.orderStatus==12||pro.orderStatus==13){//退款中
					//撤销退款
					if(cxtk_status==1){//撤销了申请
						name=btnNames[pro.status];
						if(pro.status==1){
							cname="yuyue";
						}else{//2、3
							cname="yyxq";
						}
						return '<a class="btn light '+cname+'" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" s_name="'+pro.orgName+'" storeId="'+pro.orgId+'">'+name+'</a>';
					}else{
						//过期不显示撤销
						if(overdue==1){
							return ''
						}else{
							return '<a class="btn light cxtk" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'">'+name+'</a>';
						}
					}
					
				}else if(pro.orderStatus==5){
					g('footer').classList.add('mui-hidden');
					//已完成不显示退款按钮
					if(pro.status==4||orderInfo.orderStatus==600||orderInfo.orderStatus==604){
						return ''
					}else{
						if(pro.refundStatus==0){//申请退款
							return '<a class="btn dark tuikuan" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" isModify="'+pro.ismodify+'">'+name+'</a>';
						}else{
							return ''
						}
						
					}
				}else if(pro.orderStatus==14){
					//14:退款成功
					return '<a class="btn light tkxq" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" tk_time="'+pro.refundTime+'">'+name+'</a>';
					
				}else if(pro.orderStatus==16){
					//16:退款失败
					if(overdue==1){
						//退款失败且过期
						return ''
					}else{
						name=btnNames[pro.status];//根据产品预约状态
						if(pro.status==1){
							cname="yuyue";
						}else{//2、3
							cname="yyxq";
						}
						return '<a class="btn light '+cname+'" data-pname="'+pro.productName+'" data-id="'+pro.orderId+'" tk_time="'+pro.refundTime+'">'+name+'</a>';
					}
				}else{
					
					//4:已完成
					return ''
				}
		};
		$.each(data, function(i,pro) {
			var btns = [];
			btns.push(getTuiKuanBtn(pro));
			btns.push(getYuYueBtn(pro));
			var r = btns.filter(function (s) {
			    return s && s.trim(); // 注：IE9(不包含IE9)以下的版本没有trim()方法
			});
			pro.btns = r.join('');
			pNode_txt = pro.btns;
			pro.isFull=r.length<2?'fullBtn':"";
			pro.isEnd = orderInfo.orderStatus==604 || pro.btns=='' ? ' mui-hidden':'';
			if(orderInfo.orderStatus==600){//待支付
				var t=dealTime(order_time);
				pro.productStatus=t+"小时之后取消";
			}else if(orderInfo.orderStatus==603){
				pro.productStatus="订单已失效";
			}else if(orderInfo.orderStatus==604){
				pro.productStatus="订单已取消";
			}else{
				pro.productStatus =productStatus[pro.orderStatus];
			}
		});
		orderComplete = orderInfo.orderPayStatus==2;
		jpl('#tplProList').patternEach('#proList',data);
		pro_name=data[0].productName;
		if(orderComplete) g('invoiceBtn').classList.remove('mui-hidden');
	};
	//取消订单
	var cancelOrder=function(bId){
		var len = $(".productStatus").length;
		tijianSvc.cancelOrder(bId).then(function(data){
			g("footer").classList.add("mui-hidden");
			g("orderStatus").innerHTML="订单已取消";
			g("delOrder").classList.remove("mui-hidden");
			for(var m=0;m<len;m++){
				$(".productStatus")[m].innerHTML="订单已取消";
			}
		}).catch(function(err){
			console.log(err)
		});
	}
	//删除订单
	var delOrder=function(bId){
		tijianSvc.delOrder(bId).then(function(data){
			$.toast("删除订单成功");
			setTimeout(function(){
				$.fire(opener,"refresh_data");
				back()
			},100)
		}).catch(function(err){
			console.log(err)
		});
	};
	
	//保留一位小数
	function keepOneDecimal(num) {
	   var result = parseFloat(num);
	   if (isNaN(result)) {
	 	  $.toast('传递参数错误，请检查！');
	 	   return false;
	    }
		result = Math.round(num * 10) / 10;
		return result;
	};
	var createShops = function(id){
		geo.getPoint(function(coords){
			theCoords = coords;
			var searchPara = {productId:id,lon:coords.longitude,lat:coords.latitude}
			tijianSvc.productStore(searchPara).then(function(data){
				if(data && data.length>0){
					var distance,unit;
					for(var i=0;i<data.length;i++){
						if(data[i].distance.indexOf("km")>0){
							unit="km"
						}else{
							unit="m"
						}
						distance = parseFloat(data[i].distance);
						distance = keepOneDecimal(distance);
						data[i].distance=distance+unit;
						if(data[i].storeId == orderInfo.orgId){
							store = data[i];
							store.storeNum = data.length-1;
							jpl('#tplShops').pattern('#shops',store);
							break;
						}
					};
				}
			}).catch(function(err){
				console.error(err.message,err);
			});
		});
	};
	var createDetailItems = function(id){
		tijianSvc.productProject({productId:id}).then(function(data){
			if(data && data.level1List){
				$.each(data.level1List, function(i,level1) {
					var leve2Html=[];
					$.each(level1.level2List, function(i,level2) {
						var level3Html = [];
						$.each(level2.level3List, function(i,level3) {
							level3Html.push(level3.categoryName);
						});
						level2.level3=level3Html.join('、');
					});
					leve2Html.push(jpl('#tplItemsLevel2').getPatternEachStr(level1.level2List));
					level1.level2=leve2Html.join('');
				});
				jpl('#tplItemsLevel1').patternEach('#items',data.level1List); 
			}
		}).catch(function(err){
			console.error(err.message,err);
		});
	};
	var createDetail = function(id){
		getDetail(id).then(function(pid){
			if(pid){
				pid = parseInt(pid);
				productId = pid;
				createShops(pid);
				createDetailItems(pid); 
				getProductInfo(pid);
			}
		}).catch(function(err){
			console.log(err.message,err);
		});
	};
	var getProductInfo = function(id){
		return tijianSvc.getDetail({productId:id}).then(function(data){
			if(data){
				product = data;
				//g('notice').innerHTML = data.purchaseInformation.replace(/\r\n/g,'<div style="margin-top:10px"></div>');
				if(data.productUser){
					g("buy_warning").classList.remove("mui-hidden")
					g("serviceTime").innerHTML=data.productUser.serviceTime;
					g("validTime").innerHTML=data.productUser.buyStart+"至"+data.productUser.buyEnd;
					g("reserveInformation").innerHTML=data.productUser.reserveInformation;
					g("applyCrowd").innerHTML=data.productUser.applyCrowd;
					g("rulesRemind").innerHTML=data.productUser.rulesRemind;
					g("businessServices").innerHTML=data.productUser.businessServices;
					g("liucheng").innerHTML=data.productUser.consumptionProcess;
					g("tixing").innerHTML=data.productUser.tips;
				}else{
					g("buy_warning").classList.add("mui-hidden")
				}
				for(var m=0;m<$(".info-con").length;m++){
					var txt = $(".info-con")[m].innerHTML;
					txt= txt.replace(/\s*/g,"");
					if(txt==""){
						$(".info-con")[m].parentNode.classList.add("mui-hidden");
					}
				}
			}
		}).catch(function(err){
			 console.log(err.message,err);
		});
	};
	
    
	var setContacts = function(){
		appSvc.getContactsNew('tijian-dingdan').then(function(data){
			if(!data||!data.conList.length) return;
			var href=data.conList[0].mlType==3?'tel:'+data.conList[0].mlContent:"";
			g('tjTel').setAttribute('href',href);
			g('tjTel').setAttribute('text',data.conList[0].mlContent);
			g("mTitle").innerHTML=data.conList[0].mlTitle;
			g("tjNum").innerHTML=data.conList[0].mlContent;
		});
	};
	//复制微信号
	g("tjTel").addEventListener("tap",function(){
		var href=this.getAttribute("href");
		if(href==""){
			var txt=g("tjNum").innerHTML;
			app.copyText(txt);
			mui.toast("号码已复制到剪切板")
		}
	},false)
	setContacts();
	
	
	
    //撤销退款
    var cancelRefund =function(id){
    	cxtk_status=1;
    	tijianSvc.cancelRefund(id).then(function(data){
			$.toast("撤销退款成功");
			getDetail(buzzId);
		}).catch(function(err){
			$.toast(err.message)
			console.log(err.message);
			//getDetail(buzzId);
		});
    };
    $('#proList').on('tap','.cxtk',function(){
		cx_pId= this.getAttribute("data-id");
		cx_pName=this.getAttribute("data-pname");
		pNode=this.parentNode;
		g("popover").classList.add("show");
		g("delete").classList.add("mui-hidden");
		g("logout").classList.add("mui-hidden");
		g("cancel_order").classList.add("mui-hidden");
		g("chexiao").classList.remove("mui-hidden");
	});
	$("#chexiao_user_opt").on("tap",".opt_btn",function(){
		var index = this.getAttribute("index");
		if(index==1){
			cancelRefund(cx_pId);
		}
		g("popover").classList.remove("show");
	},false);
	//
	$('#proList').on('tap','.tuikuan',function(){
		if(offData==0&&overdue==1){
			//过期不可退
			$.toast("该商品过期不可退款");
		}else{
			var modify=this.getAttribute("isModify");
			if(modify==1){
				$.toast("修改预约中，不可退款")
			}else{
				var tk_status = this.getAttribute("tk_status");
				var subOrderid = this.getAttribute('data-id');
				var pname = encodeURIComponent(product.productName);
				var amount = product.salesPrice||'0';
				var mamount = product.originalPrice||'0';
				var ws = $.openWindow({
					url:'tuikuan.html?id='+subOrderid+'&pid='+productId+'&pname='+pname+'&amount='+amount+'&mamount='+mamount,
					extras: {btn:pNode_txt}
				});
			}
		}
	});
	window.addEventListener("refresh_btn",function(e){
		pNode_txt = e.detail;
	},false)
	$('#proList').on('tap','.tkxq',function(){
		var tk_time=this.getAttribute('tk_time');
		$.openWindow({
			url:'tuikuan-xq.html?id='+this.getAttribute('data-id')+"&tk_time="+encodeURIComponent(tk_time)
		});
	});
	$('#proList').on('tap','.yuyue',function(){
		var subOrderid = this.getAttribute('data-id');
		var pname = encodeURIComponent(product.productName);
		var sex = product.examinationSex||'';
		var path ='yuyue_jk.html';
		var storeName = this.getAttribute("s_name");
		var storeId= this.getAttribute("storeId");
			
		var detail={storeName:storeName,level2:level2,storeId:storeId}
		if(level2==6){//6
			path = 'yuyue.html';
		}
		if(valueArray.length==0){
	    	$.plusReady(function(){
				valueArray =plus.webview.currentWebview().detail;
				var ws = $.openWindow({
					url:path+'?id='+subOrderid+'&pid='+productId+'&pname='+pname+'&sex='+sex+'&sd='+encodeURIComponent(orderInfo.createTime)
					+'&ed='+encodeURIComponent(product.useEnd)+'&wd='+product.waitBookingDay+"&storeId="+valueArray.storeId,
					extras: { detail: valueArray}
				});
			})
	   }else{
	    	var ws = $.openWindow({
				url:path+'?id='+subOrderid+'&pid='+productId+'&pname='+pname+'&sex='+sex+'&sd='+encodeURIComponent(orderInfo.createTime)
				+'&ed='+encodeURIComponent(product.useEnd)+'&wd='+product.waitBookingDay+"&storeId="+valueArray.storeId,
				extras: { detail: valueArray}
			});
	    }
	});
	$('#proList').on('tap','.yyxq',function(){
		var subOrderid = this.getAttribute('data-id');
		var pname = encodeURIComponent(product.productName);
		var path ='yuyue-xq_jk.html';
		if(level2==6){//6
			path = 'yuyue-xq.html';
		};
		var ws = $.openWindow({
			url:path+'?id='+subOrderid+'&pid='+productId+'&pname='+pname,
			extras: { detail: valueArray}
		});
		
	});
		
	$('#proList').on('tap','.pro-bd',function(){
		var pid = this.parentElement.getAttribute('data-pid');
		var storeName = encodeURIComponent(store.storeName);
		$.openWindow({
			url:'../pro_detail.html?proId='+pid+'&storeId='+orderInfo.orgId+'&storeName='+storeName+'&distance='+store.distance+"&level2="+level2
		});
	});
	g('shops').addEventListener('tap',function(){
		$.openWindow({
			url:"../jigou.html?proId="+productId+"&storeId="+orderInfo.orgId,
			id:"jigou"
		});
	},false);
	
	g('invoiceBtn').addEventListener('tap',function(){
		var search = '?buzzId='+orderInfo.buzzId+'&amount='+orderInfo.orderAmount
		$.openWindow({
			url:"invoice.html"+search,
			styles:{
				userSelect:true
			}
		});
	},false);
	
	g("close_popover1").addEventListener("tap",function(){
		g("popover").classList.remove("show");
	},false)
	g('payBtn').addEventListener('tap',function(){
		var title = pro_name;
 		title = encodeURIComponent(title);
 		
 		//判断是否注销
 		if(logout==1){
 			g("popover").classList.add("show");
 			g("logout").classList.remove("mui-hidden");
 			g("delete").classList.add("mui-hidden");
			g("chexiao").classList.add("mui-hidden");
			g("cancel_order").classList.add("mui-hidden");
 		}else{
 			if(valueArray.length==0){
		    	$.plusReady(function(){
					valueArray =plus.webview.currentWebview().detail;
					var ws = $.openWindow({
						url:"../payment.html?orderId="+orderInfo.buzzId+"&total="+orderInfo.orderAmount
						+"&proId="+orderInfo.productId+"&buyCount="+orderInfo.number+"&proname="+title+"&order_time="+encodeURIComponent(order_time)+"&level2="+level2,
						extras: { detail: valueArray}
					});
					//$.openWindow("payment.html?orderId="+res+"&total="+totalPrice+"&proId="+proId+"&buyCount="+buyCount+"&proname="+proname);
				})
		    }else{
		    	var ws = $.openWindow({
					url:"../payment.html?orderId="+orderInfo.buzzId+"&total="+orderInfo.orderAmount
					+"&proId="+orderInfo.productId+"&buyCount="+orderInfo.number+"&proname="+title+"&order_time="+encodeURIComponent(order_time),
					extras: { detail: valueArray}
				});
		    }
 		}
	},false);
	//取消订单
	g('cancelOrder').addEventListener('tap',function(){
		g("popover").classList.add("show");
		g("cancel_order").classList.remove("mui-hidden");
		g("chexiao").classList.add("mui-hidden");
		g("logout").classList.add("mui-hidden");
		g("delete").classList.add("mui-hidden");
	},false);
	$("#cancel_order_opt").on("tap",".opt_btn",function(){
		var index = this.getAttribute("index");
		if(index==1){
			cancelOrder(buzzId);
		}
		g("popover").classList.remove("show");
	},false)
	//删除订单
	g("delOrder").addEventListener('tap',function(){
		g("popover").classList.add("show");
		g("delete").classList.remove("mui-hidden");
		g("chexiao").classList.add("mui-hidden");
		g("cancel_order").classList.add("mui-hidden");
		g("logout").classList.add("mui-hidden");
	},false);
	$("#user_opt").on("tap",".opt_btn",function(){
		var index = this.getAttribute("index");
		if(index==1){
			delOrder(buzzId)
		}
		g("popover").classList.remove("show");
	},false);
	window.addEventListener('paySuccess',function(){
		g('payBtn').classList.add('mui-hidden');
		cxtk_status=0;
		getDetail(buzzId);
	});
	
	window.addEventListener('refreshDetail',function(){
		cxtk_status=0;
		getDetail(buzzId);
	});
	window.addEventListener('refresh_data',function(){
		cxtk_status=0;
		createDetail(buzzId);
	});
	
	var buzzId = common.utils.queryString('id');
	createDetail(buzzId);
	
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: false,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	var opener,valueArray =[];
	$.plusReady(function(){
		opener = plus.webview.currentWebview().opener();
		valueArray =plus.webview.currentWebview().detail;
	})
})(mui);