(function($) {
	//var status 001 - 全部 002 - 待付款 003 - 待体检 004 -退款/售后
	//var orderPayStatus = {0:'无需支付',1:'待支付',2:'支付已完成' 3:'已失效'};
	var hasNewOrder = false;
	var logout=0;
	tijianSvc.searchProductLogout().then(function(res){
		console.log(res);
		if(res.logOutStatus==1){
			logout=1;
		}
	}).catch(function(err){
		console.log(err)
	})
	
	var setListHtmlByTemplate = function(box,data,isAppend){
		var now_time = new Date();
		var n_hour=now_time.getHours();
		var create_time,c_hour;
		var left_hour;
		data.map(function(item,i){
			item.hidden = '';
			var btns = [];
			if(item.orderPayStatus==1){
				hasNewOrder=true;
				if(item.orderStatus!=607){
					btns.push('<a class="btn light payOrder" createTime="'+item.createTime+'" storeId="'+item.storeId+'" s_name="'+item.storeName+'" level2="'+item.level2+'">立即支付</a>');
				}else{
					item.hidden = 'mui-hidden';
				}
				
			}else if(item.orderPayStatus==3||item.orderPayStatus==2||item.orderPayStatus==0){
				item.hidden = 'mui-hidden';
			}
			//订单状态
			switch (item.orderStatus){
				case 600:
				item.p_status='<span class="p_status red">待支付</span>';
				break;
				case 601:
				item.p_status='<span class="p_status">已支付</span>';
				break;
				case 602:
				item.p_status='<span class="p_status">已完成</span>';
				break;
				case 603:
				item.p_status='<span class="p_status">已失效</span>';
				break;
				case 604:
				item.p_status='<span class="p_status">已取消</span>';
				break;
				case 605:
				item.p_status='<span class="p_status">全部退款</span>';
				break;
				case 606:
				item.p_status='<span class="p_status">部分退款</span>';
				break;
				case 607:
				item.p_status='<span class="p_status">已过期</span>';
				break;
				default:
				item.p_status='';
				break;
			}
			item.btns = btns.join('');
			create_time = new Date(item.createTime.replace(/-/g, "/"));
			c_hour = create_time.getHours();
			if(c_hour<=n_hour){
				c_hour=c_hour+24;
			}
			left_hour = c_hour-n_hour;
			item.createTime = left_hour+"小时后订单自动取消";
			return item;
		});
		jpl('#tplOrderList').patternEach(box,data,isAppend);
	};
	
	var getOrderList = function(pageIndex,puller) {
		var index = $('#slider').slider().slideNumber;		
		var item = g('orderGroup').children[index];
		var list = item.querySelector('.order-list');
		var pullUpTips = item.querySelector('.mui-pull-bottom-tips'); 
		var scrollWrapper = item.querySelector('.mui-scroll-wrapper');
		var scroller = item.querySelector('.mui-scroll'); 
		var status = item.getAttribute('data-status');
		item.classList.remove('no-login');
		item.classList.remove('net-error');
		item.classList.remove('empty');
		return tijianSvc.getOrderList(status, pageIndex,20).then(function(data) {
			item.setAttribute('data-page',data.page.pageNo);
			item.setAttribute('data-pages',data.page.totalPage);
			list.classList.remove('loading');
			setListHtmlByTemplate(list,data.orderList,pageIndex>1);
			pullUpTips.style.display = scroller.offsetHeight<scrollWrapper.offsetHeight ? 'none' : 'block';
			if(data.page.totalCount === 0) item.classList.add('empty');
			return data.page.pageNo >= data.page.totalPage;
		}).catch(function(err) {
			list.classList.remove('loading');
			if(err.code=='cu6001'||err.code==app.needLoginCode){
				item.classList.add('no-login');
				//app.toLogin();
			}else{
				item.classList.add('net-error');
			}
			console.error(err.message,err);
		});
	};
	var openOrderDetail = function() {
		var id = this.parentElement.getAttribute("data-id");
		var storeName= this.parentElement.getAttribute("data-sName");
		var storeId= this.parentElement.getAttribute("data-sid");
		var level2=this.parentElement.getAttribute("level2");
		var detail={storeName:storeName,level2:level2,storeId:storeId}
		var ws = $.openWindow({
			url: "order-detail.html?id=" + id,
			id: "tijian-order",
			extras: { detail: detail}
		});	
	};
	
	
	var pullDown = function(puller){
		puller.refresh(true);
		getOrderList(1).then(function(flag){
			puller.endPullDownToRefresh();
			if(flag) puller.disablePullupToRefresh();
		}).catch(function(err) {
			puller.endPullDownToRefresh();
		}); 
	};
	var pullUp = function(puller){
		var index = $('#slider').slider().slideNumber;		
		var item = g('orderGroup').children[index];
		var currPage = parseInt(item.getAttribute('data-page'));
		getOrderList(currPage+1).then(function(flag){
			puller.endPullUpToRefresh(flag);
		}).catch(function(err) {
			puller.endPullUpToRefresh();
		});;
	};
	g("close_popover1").addEventListener("tap",function(){
		g("popover").classList.remove("show");
	},false)
	$.ready(function() {
		$('#slider').on('tap', '.order-bd', openOrderDetail);
		$('#slider').on('tap', '.payOrder', function(){
			if(logout==1){//1:申请注销
				g("popover").classList.add("show")
			}else{
				var item = this.parentElement.parentElement;
				var orderId = item.getAttribute('data-id');
				var buyCount = item.getAttribute('data-number');
				var productId = item.getAttribute('data-pid');
				var amount = item.getAttribute('data-amount');
				var proname = item.querySelector(".pname").innerHTML;
				var createTime = this.getAttribute("createTime");
				proname = encodeURIComponent(proname); 
				createTime=encodeURIComponent(createTime); 
				var storeName = this.getAttribute("s_name");
				var storeId= this.getAttribute("storeId");
				var level2=this.getAttribute("level2");
				var detail={storeName:storeName,level2:level2,storeId:storeId}
				var ws = $.openWindow({
					url:"../payment.html?orderId="+orderId+"&total="+amount+"&proId="+productId+"&buyCount="+buyCount+"&proname="+proname+"&order_time="+createTime+"&level2="+level2,
					extras: { detail: detail}
				});
			}
			

		});

		$('#slider').on('tap', '.net-error', function() {
			 this.classList.remove('net-error');
			 getOrderList(1);
		});
		$('#slider').on('tap', '.no-login', function() {
			 this.classList.remove('no-login');
			 app.toLogin();
		});
		$('.mui-scroll-wrapper').scroll({
			bounce: false,
			indicators: true,
			deceleration: mui.os.ios ? 0.003 : 0.0009
		});
		g('orderGroup').style.height=(document.documentElement.clientHeight-imbar.navBarHeight-44)+'px';
		
		$.each(document.querySelectorAll('#orderGroup .mui-scroll'), function(index, pullRefreshEl) {
			$(pullRefreshEl).pullToRefresh({
				down: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullDown(self);
						}, 100);
					}
				},
				up: {
					callback: function() {
						var self = this;
						setTimeout(function() {
							pullUp(self);
						}, 100);
					}
				}
			});
			var pullUpTips = pullRefreshEl.querySelector('.mui-pull-bottom-tips');
			pullUpTips.style.display = 'none';
		});
		
		if(app.checkLogin()){
			getOrderList(1);
		}else{
			app.toLogin();
		}
	});

	g('slider').addEventListener('slide',function(e){
		var index = e.detail.slideNumber;		
		var item = g('orderGroup').children[index];
		var list = item.querySelector('.order-list');
		if(list.innerHTML==''){
			 getOrderList(1);
		}
	},false);

	window.addEventListener('refresh_data', function() {
		getOrderList(1);
	}, false);
	
})(mui);