(function($) {

	var orderId = common.utils.queryString('id');
	var tk_time=common.utils.queryString('tk_time');
	tk_time = decodeURIComponent(tk_time);
	//status 流程状态 1-退款中 2-银行处理中 3-退款成功 4-退款被拒
	var pstatus = ['','退款中','审核通过','退款被拒','退款成功','','退款被拒'];
	//var pstatus = ['','申请退款','审核通过','退款被拒','3个工作日内，原路返回至您的账户中，请注意查收'];
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//		0-未发起退款 
	//		1-退款中 
	//		2-业务审核成功 
	//		3-退款失败
	//		4财务审核成功（退款成功）
	var statusTips = [
		'',
		'退款中，请等待工作人员审核',
		'退款审核通过',
		'申请退款失败，审核拒绝',
		'申请退款成功',
		'',
		'退款被拒'
	];
	
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	
	tijianSvc.getRefundsDetail(orderId).then(function(data){
		data.o2oOrderInfo.createTime = tk_time;
		
		var len = 0,arr=[];
		if(data.refundList){
			len = data.refundList.length;
			data.refundList[len-1].isCurr='curr';
			arr.push(data.refundList[0]);
			arr[0].createDate=tk_time;
			if(data.refundList.length>1){
				for(var i=0;i<len;i++){
					if(data.refundList[i].status==4||data.refundList[i].status==3||data.refundList[i].status==6){
						arr.push(data.refundList[i])
					}
				}
			}
			
		}
		for(var i in data.refundList){
			data.refundList[i].progressName = pstatus[data.refundList[i].status];
			if(data.refundList[i].status==6){
				g('noPassNote').classList.remove('mui-hidden');
				g('refusReason').innerHTML = data.refundList[i].note;
				//data.o2oOrderInfo.note=data.refundList[i].note;
			}
		}
		jpl('#tplRefunds').pattern('#refundsInfo',data.o2oOrderInfo);
//		if(data.refundList[len-1].status==4 && data.refundList[len-1].isCurr=='curr'){
//			data.refundList[len-1].progressName = '<m class="fs12">3个工作日内，原路返回至您的账户中，请注意查收</m>';
//		}
		if(data.o2oOrderInfo.noPassNote){
			g('noPassNote').classList.remove('mui-hidden');
			g('refusReason').innerHTML = data.o2oOrderInfo.noPassNote;
		}
		jpl('#tplProgress').patternEach('#refundsPrc',arr);
		g('tips').innerHTML = statusTips[data.o2oOrderInfo.refundStatus];//data.refundsInfo.statusTips;
	}).catch(function(err){
		console.error(err.message,err);
	});
	
	
	var setContacts = function(){
		appSvc.getContactsNew('tijian-tuikuan').then(function(data){
			if(!data||!data.conList.length) return;
			var href=data.conList[0].mlType==3?'tel:'+data.conList[0].mlContent:"";
			g('tjTel').setAttribute('href',href);
			g('tjTel').setAttribute('text',data.conList[0].mlContent);
			g("mTitle").innerHTML=data.conList[0].mlTitle;
			g("tjNum").innerHTML=data.conList[0].mlContent;
		});
	};
	//复制微信号
	g("tjTel").addEventListener("tap",function(){
		var href=this.getAttribute("href");
		if(href==""){
			var txt=g("tjNum").innerHTML;
			app.copyText(txt);
			mui.toast("号码已复制到剪切板")
		}
	},false)
	setContacts();
	
})(mui);