(function($) {
	//productStatus 0-不可预约 1-待预约 2-预约中 3-已预约 4-体检已完成
	//refundStatus 0-未发起退款 1-退款中 2-退款成功 3-退款失败
	//sex  1-男  2-女

	var orderId = common.utils.queryString('id');
	var proId = common.utils.queryString('pid');
	var amount = common.utils.queryString('amount');
	var mamount = common.utils.queryString('mamount');
	var proName = common.utils.queryString('pname');
	if(proName) proName = decodeURIComponent(proName);
	
	g('proName').innerHTML = proName;
	g('proAmount').innerHTML = amount+'元';
	g('promAmount').innerHTML = mamount+'元';
	g('proxAmount').innerHTML = amount+'元';
	
	g('result').style.paddingTop = imbar.navBarHeight+'px';

	$.init();
	var back=$.back;
	$('.mui-scroll-wrapper').scroll({
		bounce: false,
		indicators: true,
		deceleration: mui.os.ios ? 0.003 : 0.0009
	});
	$.back=function(){
		$.fire(mui.currentWebview.opener(),'refreshDetail');
		
		back()
	}
	tijianSvc.getRefundsReasons().then(function(data){
		jpl('#tplReasons').patternEach('#reasons',data);
	}).catch(function(err){
		console.error(err.message,err);
	});
	
	g('postBtn').addEventListener('tap',function(){
		var theSerializer = jutils.formSerializer('#applyForm');
		var formData = theSerializer.serialize();
		if(!formData.data.refundKey){
			formData.errors.push({});
			formData.messages.push('必须选择退款原因');
		}
		if(formData.errors.length>0){
			$.toast(formData.messages.join('<br>'),{duration:'long',type:'div'});
		}else{
			formData.data.orderId = orderId;
			var theRadio = g('applyForm').querySelector('input[name=refundKey]:checked');
			formData.data.refundValue = theRadio.getAttribute('title');
			tijianSvc.applyRefunds(formData.data).then(function(data){
				isPosted = true;
				g('result').classList.add('active');
				jpl('#tplResult').pattern('#result',{
					state:'ok',
					title:'提交成功！',
					message:'请等待工作人员和你确认。',
					btns:'<a id="backThis" class="btn">返回详情</a>'
				});
				$.fire(mui.currentWebview.opener(),'refreshDetail');
			}).catch(function(err){
				g('result').classList.add('active');
				jpl('#tplResult').pattern('#result',{
					state:'err',
					title:'提交失败！',
					message:err.message,
					btns:'<a id="reWrite" class="btn">重试</a>'
				});
				console.error(err.message,err);
			});
		}
	},false);

	$('#result').on('tap','#backThis',function(){
		$.fire(mui.currentWebview.opener(),'refreshDetail');
		if(opener){
			$.fire(opener,"refresh_btn",btn);
		}else{
			opener = plus.webview.currentWebview().opener();
		}
		$.currentWebview.close();
	});
	
	$('#result').on('tap','#reWrite',function(){
		g('result').classList.remove('active');
//		setTimeout(function(){
//			$.trigger(g('postBtn'),'tap'); 
//		},300);
	});
	var btn,opener;
	$.plusReady(function(){
		opener = plus.webview.currentWebview().opener();
		btn=plus.webview.currentWebview().btn;
		console.log(btn)
	})
	
})(mui);