document.addEventListener("plusready", function() {
    var _BARCODE = 'SDAnalytics',
        B = window.plus.bridge;
    var SDAnalytics = {
        trackEventWithProperties: function(event, JSONDict) {
            return B.execSync(_BARCODE, "trackEventWithProperties", [event, JSONDict]);
        },
        trackTimer: function(event) {
            return B.execSync(_BARCODE, "trackTimer", [event]);
        },
        clearTrackTimer: function() {
            return B.execSync(_BARCODE, "clearTrackTimer");
        },
        trackInstallationWithProperties: function(event, JSONDict) {
            return B.execSync(_BARCODE, "clearTrackTimer", [event, JSONDict]);
        },
        login: function(uid) {
            return B.execSync(_BARCODE, "login", [uid]);
        },
        logout: function() {
            return B.execSync(_BARCODE, "logout");
        },
        trackViewScreenWithProperties: function(url, JSONDict) {
            return B.execSync(_BARCODE, "trackViewScreenWithProperties", [url, JSONDict]);
        },
        setProfile: function(JSONDict) {
            return B.execSync(_BARCODE, "setProfile", [JSONDict]);
        },
        setProfileOnce: function(JSONDict) {
            return B.execSync(_BARCODE, "setProfileOnce", [JSONDict]);
        },
        unsetProfile: function(profileKey) {
            return B.execSync(_BARCODE, "unsetProfile", [profileKey]);
        },
        incrementProfileByAmount: function(profileKey, amount) {
            return B.execSync(_BARCODE, "incrementProfileByAmount", [profileKey, amount]);
        },
        appendProfile: function(profileKey, JSONArray) {
            return B.execSync(_BARCODE, "appendProfile", [profileKey, JSONArray]);
        },
        deleteUse: function() {
            return B.execSync(_BARCODE, "deleteUse");
        },
        trackH5Event: function(JSONDict) {
            return B.exec(_BARCODE, "trackH5Event", [JSONDict]);
        },
    };
    window.plus.SDAnalytics = SDAnalytics;
}, true);